#include <tree_sitter/parser.h>

#if defined(__GNUC__) || defined(__clang__)
#pragma GCC diagnostic push
#pragma GCC diagnostic ignored "-Wmissing-field-initializers"
#endif

#define LANGUAGE_VERSION 9
#define STATE_COUNT 346
#define SYMBOL_COUNT 161
#define ALIAS_COUNT 0
#define TOKEN_COUNT 83
#define EXTERNAL_TOKEN_COUNT 0
#define MAX_ALIAS_SEQUENCE_LENGTH 8

enum {
  sym_nil = 1,
  sym_true = 2,
  sym_false = 3,
  sym__normal_long = 4,
  sym__number_hex = 5,
  sym__number_arbitrary_radix = 6,
  sym__number_octal = 7,
  sym_number_double = 8,
  sym_number_bigint = 9,
  sym_number_bigdecimal = 10,
  sym_number_ratio = 11,
  anon_sym_POUND_POUND = 12,
  sym_infinity = 13,
  sym_negative_infinity = 14,
  sym_not_a_number = 15,
  anon_sym_BSLASH = 16,
  sym__normal_char = 17,
  anon_sym_newline = 18,
  anon_sym_space = 19,
  anon_sym_tab = 20,
  anon_sym_formfeed = 21,
  anon_sym_backspace = 22,
  anon_sym_return = 23,
  anon_sym_u = 24,
  sym__hex_char = 25,
  anon_sym_o = 26,
  aux_sym__octal_num_token1 = 27,
  aux_sym__octal_num_token2 = 28,
  aux_sym__octal_num_token3 = 29,
  anon_sym_DQUOTE = 30,
  anon_sym_BSLASH_DQUOTE = 31,
  aux_sym__string_token1 = 32,
  anon_sym_POUND_DQUOTE = 33,
  aux_sym__regex_token1 = 34,
  anon_sym_SQUOTE = 35,
  anon_sym_LPARENquote = 36,
  anon_sym_RPAREN = 37,
  anon_sym_COLON = 38,
  anon_sym_COLON_COLON = 39,
  anon_sym_SLASH = 40,
  sym__keyword_chars = 41,
  anon_sym_DASH_GT = 42,
  anon_sym_DASH_GT_GT = 43,
  anon_sym_as_DASH_GT = 44,
  anon_sym_some_DASH_GT = 45,
  anon_sym_some_DASH_GT_GT = 46,
  anon_sym_cond_DASH_GT = 47,
  anon_sym_cond_DASH_GT_GT = 48,
  sym__symbol_chars = 49,
  sym_member_access = 50,
  sym_field_access = 51,
  sym_new_class = 52,
  anon_sym_LPAREN = 53,
  anon_sym_LBRACK = 54,
  anon_sym_RBRACK = 55,
  anon_sym_LBRACE = 56,
  anon_sym_RBRACE = 57,
  anon_sym_POUND_COLON_COLON_LBRACE = 58,
  aux_sym_namespace_map_token1 = 59,
  anon_sym_POUND_LBRACE = 60,
  anon_sym_SEMI = 61,
  aux_sym_semicolon_token1 = 62,
  anon_sym_POUND_BANG = 63,
  anon_sym_POUND_ = 64,
  anon_sym_comment = 65,
  anon_sym_fn = 66,
  anon_sym_POUND_LPAREN = 67,
  sym_shorthand_function_arg = 68,
  anon_sym_defn = 69,
  anon_sym_defn_DASH = 70,
  anon_sym_CARET = 71,
  anon_sym_CARET_COLON = 72,
  anon_sym_CARET_DQUOTE = 73,
  anon_sym_BQUOTE = 74,
  anon_sym_POUND_SQUOTE = 75,
  anon_sym_TILDE = 76,
  anon_sym_TILDE_AT = 77,
  sym_gensym = 78,
  anon_sym_AT = 79,
  anon_sym_POUND = 80,
  anon_sym_POUND_QMARK = 81,
  anon_sym_POUND_QMARK_AT = 82,
  sym_program = 83,
  sym__anything = 84,
  sym__literals = 85,
  sym__collection_literals = 86,
  sym_boolean = 87,
  sym_number = 88,
  sym__number = 89,
  sym_number_long = 90,
  sym_symbolic_value = 91,
  sym_character = 92,
  sym__character = 93,
  sym__special_char = 94,
  sym__unicode_char = 95,
  sym__octal_char = 96,
  sym__octal_num = 97,
  sym_string = 98,
  sym__string = 99,
  sym_regex = 100,
  sym__regex = 101,
  sym_quote = 102,
  sym__quote = 103,
  sym_keyword = 104,
  sym__keyword = 105,
  sym__unqualified_keyword = 106,
  sym_qualified_keyword = 107,
  sym_symbol = 108,
  sym__symbol = 109,
  sym_threading_macro = 110,
  sym_qualified_symbol = 111,
  sym__qualified_symbol = 112,
  sym_interop = 113,
  sym_list = 114,
  sym__list = 115,
  sym_vector = 116,
  sym__vector = 117,
  sym_hash_map = 118,
  sym__hash_map = 119,
  sym_namespace_map = 120,
  sym__hash_map_kv_pair = 121,
  sym__hash_map_key = 122,
  sym__hash_map_value = 123,
  sym_set = 124,
  sym__set = 125,
  sym_comment = 126,
  sym_semicolon = 127,
  sym_shebang_line = 128,
  sym_ignore_form = 129,
  sym_comment_macro = 130,
  sym__functions = 131,
  sym_anonymous_function = 132,
  sym__after_the_fn_name = 133,
  sym_function_name = 134,
  sym__single_arity_fn = 135,
  sym__multi_arity_fn = 136,
  sym_function_body = 137,
  sym_params = 138,
  sym_shorthand_function = 139,
  sym_defn = 140,
  sym_docstring = 141,
  sym_attr_map = 142,
  sym_metadata = 143,
  sym__metadata_map = 144,
  sym_metadata_shorthand = 145,
  sym_syntax_quote = 146,
  sym_var_quote = 147,
  sym_unquote = 148,
  sym_unquote_splice = 149,
  sym_deref = 150,
  sym_tagged_literal = 151,
  sym_reader_conditional = 152,
  sym__reader_conditional_symbol = 153,
  aux_sym_program_repeat1 = 154,
  aux_sym__string_repeat1 = 155,
  aux_sym__regex_repeat1 = 156,
  aux_sym__hash_map_repeat1 = 157,
  aux_sym__multi_arity_fn_repeat1 = 158,
  aux_sym_metadata_repeat1 = 159,
  aux_sym_reader_conditional_repeat1 = 160,
};

static const char *ts_symbol_names[] = {
  [ts_builtin_sym_end] = "end",
  [sym_nil] = "nil",
  [sym_true] = "true",
  [sym_false] = "false",
  [sym__normal_long] = "_normal_long",
  [sym__number_hex] = "_number_hex",
  [sym__number_arbitrary_radix] = "_number_arbitrary_radix",
  [sym__number_octal] = "_number_octal",
  [sym_number_double] = "number_double",
  [sym_number_bigint] = "number_bigint",
  [sym_number_bigdecimal] = "number_bigdecimal",
  [sym_number_ratio] = "number_ratio",
  [anon_sym_POUND_POUND] = "##",
  [sym_infinity] = "infinity",
  [sym_negative_infinity] = "negative_infinity",
  [sym_not_a_number] = "not_a_number",
  [anon_sym_BSLASH] = "\\",
  [sym__normal_char] = "_normal_char",
  [anon_sym_newline] = "newline",
  [anon_sym_space] = "space",
  [anon_sym_tab] = "tab",
  [anon_sym_formfeed] = "formfeed",
  [anon_sym_backspace] = "backspace",
  [anon_sym_return] = "return",
  [anon_sym_u] = "u",
  [sym__hex_char] = "_hex_char",
  [anon_sym_o] = "o",
  [aux_sym__octal_num_token1] = "_octal_num_token1",
  [aux_sym__octal_num_token2] = "_octal_num_token2",
  [aux_sym__octal_num_token3] = "_octal_num_token3",
  [anon_sym_DQUOTE] = "\"",
  [anon_sym_BSLASH_DQUOTE] = "\\\"",
  [aux_sym__string_token1] = "_string_token1",
  [anon_sym_POUND_DQUOTE] = "#\"",
  [aux_sym__regex_token1] = "_regex_token1",
  [anon_sym_SQUOTE] = "'",
  [anon_sym_LPARENquote] = "(quote",
  [anon_sym_RPAREN] = ")",
  [anon_sym_COLON] = ":",
  [anon_sym_COLON_COLON] = "::",
  [anon_sym_SLASH] = "/",
  [sym__keyword_chars] = "_keyword_chars",
  [anon_sym_DASH_GT] = "->",
  [anon_sym_DASH_GT_GT] = "->>",
  [anon_sym_as_DASH_GT] = "as->",
  [anon_sym_some_DASH_GT] = "some->",
  [anon_sym_some_DASH_GT_GT] = "some->>",
  [anon_sym_cond_DASH_GT] = "cond->",
  [anon_sym_cond_DASH_GT_GT] = "cond->>",
  [sym__symbol_chars] = "_symbol_chars",
  [sym_member_access] = "member_access",
  [sym_field_access] = "field_access",
  [sym_new_class] = "new_class",
  [anon_sym_LPAREN] = "(",
  [anon_sym_LBRACK] = "[",
  [anon_sym_RBRACK] = "]",
  [anon_sym_LBRACE] = "{",
  [anon_sym_RBRACE] = "}",
  [anon_sym_POUND_COLON_COLON_LBRACE] = "#::{",
  [aux_sym_namespace_map_token1] = "namespace_map_token1",
  [anon_sym_POUND_LBRACE] = "#{",
  [anon_sym_SEMI] = ";",
  [aux_sym_semicolon_token1] = "semicolon_token1",
  [anon_sym_POUND_BANG] = "#!",
  [anon_sym_POUND_] = "#_",
  [anon_sym_comment] = "comment",
  [anon_sym_fn] = "fn",
  [anon_sym_POUND_LPAREN] = "#(",
  [sym_shorthand_function_arg] = "shorthand_function_arg",
  [anon_sym_defn] = "defn",
  [anon_sym_defn_DASH] = "defn-",
  [anon_sym_CARET] = "^",
  [anon_sym_CARET_COLON] = "^:",
  [anon_sym_CARET_DQUOTE] = "^\"",
  [anon_sym_BQUOTE] = "`",
  [anon_sym_POUND_SQUOTE] = "#'",
  [anon_sym_TILDE] = "~",
  [anon_sym_TILDE_AT] = "~@",
  [sym_gensym] = "gensym",
  [anon_sym_AT] = "@",
  [anon_sym_POUND] = "#",
  [anon_sym_POUND_QMARK] = "#?",
  [anon_sym_POUND_QMARK_AT] = "#?@",
  [sym_program] = "program",
  [sym__anything] = "_anything",
  [sym__literals] = "_literals",
  [sym__collection_literals] = "_collection_literals",
  [sym_boolean] = "boolean",
  [sym_number] = "number",
  [sym__number] = "_number",
  [sym_number_long] = "number_long",
  [sym_symbolic_value] = "symbolic_value",
  [sym_character] = "character",
  [sym__character] = "_character",
  [sym__special_char] = "_special_char",
  [sym__unicode_char] = "_unicode_char",
  [sym__octal_char] = "_octal_char",
  [sym__octal_num] = "_octal_num",
  [sym_string] = "string",
  [sym__string] = "_string",
  [sym_regex] = "regex",
  [sym__regex] = "_regex",
  [sym_quote] = "quote",
  [sym__quote] = "_quote",
  [sym_keyword] = "keyword",
  [sym__keyword] = "_keyword",
  [sym__unqualified_keyword] = "_unqualified_keyword",
  [sym_qualified_keyword] = "qualified_keyword",
  [sym_symbol] = "symbol",
  [sym__symbol] = "_symbol",
  [sym_threading_macro] = "threading_macro",
  [sym_qualified_symbol] = "qualified_symbol",
  [sym__qualified_symbol] = "_qualified_symbol",
  [sym_interop] = "interop",
  [sym_list] = "list",
  [sym__list] = "_list",
  [sym_vector] = "vector",
  [sym__vector] = "_vector",
  [sym_hash_map] = "hash_map",
  [sym__hash_map] = "_hash_map",
  [sym_namespace_map] = "namespace_map",
  [sym__hash_map_kv_pair] = "_hash_map_kv_pair",
  [sym__hash_map_key] = "_hash_map_key",
  [sym__hash_map_value] = "_hash_map_value",
  [sym_set] = "set",
  [sym__set] = "_set",
  [sym_comment] = "comment",
  [sym_semicolon] = "semicolon",
  [sym_shebang_line] = "shebang_line",
  [sym_ignore_form] = "ignore_form",
  [sym_comment_macro] = "comment_macro",
  [sym__functions] = "_functions",
  [sym_anonymous_function] = "anonymous_function",
  [sym__after_the_fn_name] = "_after_the_fn_name",
  [sym_function_name] = "function_name",
  [sym__single_arity_fn] = "_single_arity_fn",
  [sym__multi_arity_fn] = "_multi_arity_fn",
  [sym_function_body] = "function_body",
  [sym_params] = "params",
  [sym_shorthand_function] = "shorthand_function",
  [sym_defn] = "defn",
  [sym_docstring] = "docstring",
  [sym_attr_map] = "attr_map",
  [sym_metadata] = "metadata",
  [sym__metadata_map] = "_metadata_map",
  [sym_metadata_shorthand] = "metadata_shorthand",
  [sym_syntax_quote] = "syntax_quote",
  [sym_var_quote] = "var_quote",
  [sym_unquote] = "unquote",
  [sym_unquote_splice] = "unquote_splice",
  [sym_deref] = "deref",
  [sym_tagged_literal] = "tagged_literal",
  [sym_reader_conditional] = "reader_conditional",
  [sym__reader_conditional_symbol] = "_reader_conditional_symbol",
  [aux_sym_program_repeat1] = "program_repeat1",
  [aux_sym__string_repeat1] = "_string_repeat1",
  [aux_sym__regex_repeat1] = "_regex_repeat1",
  [aux_sym__hash_map_repeat1] = "_hash_map_repeat1",
  [aux_sym__multi_arity_fn_repeat1] = "_multi_arity_fn_repeat1",
  [aux_sym_metadata_repeat1] = "metadata_repeat1",
  [aux_sym_reader_conditional_repeat1] = "reader_conditional_repeat1",
};

static const TSSymbolMetadata ts_symbol_metadata[] = {
  [ts_builtin_sym_end] = {
    .visible = false,
    .named = true,
  },
  [sym_nil] = {
    .visible = true,
    .named = true,
  },
  [sym_true] = {
    .visible = true,
    .named = true,
  },
  [sym_false] = {
    .visible = true,
    .named = true,
  },
  [sym__normal_long] = {
    .visible = false,
    .named = true,
  },
  [sym__number_hex] = {
    .visible = false,
    .named = true,
  },
  [sym__number_arbitrary_radix] = {
    .visible = false,
    .named = true,
  },
  [sym__number_octal] = {
    .visible = false,
    .named = true,
  },
  [sym_number_double] = {
    .visible = true,
    .named = true,
  },
  [sym_number_bigint] = {
    .visible = true,
    .named = true,
  },
  [sym_number_bigdecimal] = {
    .visible = true,
    .named = true,
  },
  [sym_number_ratio] = {
    .visible = true,
    .named = true,
  },
  [anon_sym_POUND_POUND] = {
    .visible = true,
    .named = false,
  },
  [sym_infinity] = {
    .visible = true,
    .named = true,
  },
  [sym_negative_infinity] = {
    .visible = true,
    .named = true,
  },
  [sym_not_a_number] = {
    .visible = true,
    .named = true,
  },
  [anon_sym_BSLASH] = {
    .visible = true,
    .named = false,
  },
  [sym__normal_char] = {
    .visible = false,
    .named = true,
  },
  [anon_sym_newline] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_space] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_tab] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_formfeed] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_backspace] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_return] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_u] = {
    .visible = true,
    .named = false,
  },
  [sym__hex_char] = {
    .visible = false,
    .named = true,
  },
  [anon_sym_o] = {
    .visible = true,
    .named = false,
  },
  [aux_sym__octal_num_token1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym__octal_num_token2] = {
    .visible = false,
    .named = false,
  },
  [aux_sym__octal_num_token3] = {
    .visible = false,
    .named = false,
  },
  [anon_sym_DQUOTE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BSLASH_DQUOTE] = {
    .visible = true,
    .named = false,
  },
  [aux_sym__string_token1] = {
    .visible = false,
    .named = false,
  },
  [anon_sym_POUND_DQUOTE] = {
    .visible = true,
    .named = false,
  },
  [aux_sym__regex_token1] = {
    .visible = false,
    .named = false,
  },
  [anon_sym_SQUOTE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LPARENquote] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_RPAREN] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_COLON] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_COLON_COLON] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_SLASH] = {
    .visible = true,
    .named = false,
  },
  [sym__keyword_chars] = {
    .visible = false,
    .named = true,
  },
  [anon_sym_DASH_GT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DASH_GT_GT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_as_DASH_GT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_some_DASH_GT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_some_DASH_GT_GT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_cond_DASH_GT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_cond_DASH_GT_GT] = {
    .visible = true,
    .named = false,
  },
  [sym__symbol_chars] = {
    .visible = false,
    .named = true,
  },
  [sym_member_access] = {
    .visible = true,
    .named = true,
  },
  [sym_field_access] = {
    .visible = true,
    .named = true,
  },
  [sym_new_class] = {
    .visible = true,
    .named = true,
  },
  [anon_sym_LPAREN] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LBRACK] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_RBRACK] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LBRACE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_RBRACE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_POUND_COLON_COLON_LBRACE] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_namespace_map_token1] = {
    .visible = false,
    .named = false,
  },
  [anon_sym_POUND_LBRACE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_SEMI] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_semicolon_token1] = {
    .visible = false,
    .named = false,
  },
  [anon_sym_POUND_BANG] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_POUND_] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_comment] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_fn] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_POUND_LPAREN] = {
    .visible = true,
    .named = false,
  },
  [sym_shorthand_function_arg] = {
    .visible = true,
    .named = true,
  },
  [anon_sym_defn] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_defn_DASH] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_CARET] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_CARET_COLON] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_CARET_DQUOTE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BQUOTE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_POUND_SQUOTE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_TILDE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_TILDE_AT] = {
    .visible = true,
    .named = false,
  },
  [sym_gensym] = {
    .visible = true,
    .named = true,
  },
  [anon_sym_AT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_POUND] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_POUND_QMARK] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_POUND_QMARK_AT] = {
    .visible = true,
    .named = false,
  },
  [sym_program] = {
    .visible = true,
    .named = true,
  },
  [sym__anything] = {
    .visible = false,
    .named = true,
  },
  [sym__literals] = {
    .visible = false,
    .named = true,
  },
  [sym__collection_literals] = {
    .visible = false,
    .named = true,
  },
  [sym_boolean] = {
    .visible = true,
    .named = true,
  },
  [sym_number] = {
    .visible = true,
    .named = true,
  },
  [sym__number] = {
    .visible = false,
    .named = true,
  },
  [sym_number_long] = {
    .visible = true,
    .named = true,
  },
  [sym_symbolic_value] = {
    .visible = true,
    .named = true,
  },
  [sym_character] = {
    .visible = true,
    .named = true,
  },
  [sym__character] = {
    .visible = false,
    .named = true,
  },
  [sym__special_char] = {
    .visible = false,
    .named = true,
  },
  [sym__unicode_char] = {
    .visible = false,
    .named = true,
  },
  [sym__octal_char] = {
    .visible = false,
    .named = true,
  },
  [sym__octal_num] = {
    .visible = false,
    .named = true,
  },
  [sym_string] = {
    .visible = true,
    .named = true,
  },
  [sym__string] = {
    .visible = false,
    .named = true,
  },
  [sym_regex] = {
    .visible = true,
    .named = true,
  },
  [sym__regex] = {
    .visible = false,
    .named = true,
  },
  [sym_quote] = {
    .visible = true,
    .named = true,
  },
  [sym__quote] = {
    .visible = false,
    .named = true,
  },
  [sym_keyword] = {
    .visible = true,
    .named = true,
  },
  [sym__keyword] = {
    .visible = false,
    .named = true,
  },
  [sym__unqualified_keyword] = {
    .visible = false,
    .named = true,
  },
  [sym_qualified_keyword] = {
    .visible = true,
    .named = true,
  },
  [sym_symbol] = {
    .visible = true,
    .named = true,
  },
  [sym__symbol] = {
    .visible = false,
    .named = true,
  },
  [sym_threading_macro] = {
    .visible = true,
    .named = true,
  },
  [sym_qualified_symbol] = {
    .visible = true,
    .named = true,
  },
  [sym__qualified_symbol] = {
    .visible = false,
    .named = true,
  },
  [sym_interop] = {
    .visible = true,
    .named = true,
  },
  [sym_list] = {
    .visible = true,
    .named = true,
  },
  [sym__list] = {
    .visible = false,
    .named = true,
  },
  [sym_vector] = {
    .visible = true,
    .named = true,
  },
  [sym__vector] = {
    .visible = false,
    .named = true,
  },
  [sym_hash_map] = {
    .visible = true,
    .named = true,
  },
  [sym__hash_map] = {
    .visible = false,
    .named = true,
  },
  [sym_namespace_map] = {
    .visible = true,
    .named = true,
  },
  [sym__hash_map_kv_pair] = {
    .visible = false,
    .named = true,
  },
  [sym__hash_map_key] = {
    .visible = false,
    .named = true,
  },
  [sym__hash_map_value] = {
    .visible = false,
    .named = true,
  },
  [sym_set] = {
    .visible = true,
    .named = true,
  },
  [sym__set] = {
    .visible = false,
    .named = true,
  },
  [sym_comment] = {
    .visible = true,
    .named = true,
  },
  [sym_semicolon] = {
    .visible = true,
    .named = true,
  },
  [sym_shebang_line] = {
    .visible = true,
    .named = true,
  },
  [sym_ignore_form] = {
    .visible = true,
    .named = true,
  },
  [sym_comment_macro] = {
    .visible = true,
    .named = true,
  },
  [sym__functions] = {
    .visible = false,
    .named = true,
  },
  [sym_anonymous_function] = {
    .visible = true,
    .named = true,
  },
  [sym__after_the_fn_name] = {
    .visible = false,
    .named = true,
  },
  [sym_function_name] = {
    .visible = true,
    .named = true,
  },
  [sym__single_arity_fn] = {
    .visible = false,
    .named = true,
  },
  [sym__multi_arity_fn] = {
    .visible = false,
    .named = true,
  },
  [sym_function_body] = {
    .visible = true,
    .named = true,
  },
  [sym_params] = {
    .visible = true,
    .named = true,
  },
  [sym_shorthand_function] = {
    .visible = true,
    .named = true,
  },
  [sym_defn] = {
    .visible = true,
    .named = true,
  },
  [sym_docstring] = {
    .visible = true,
    .named = true,
  },
  [sym_attr_map] = {
    .visible = true,
    .named = true,
  },
  [sym_metadata] = {
    .visible = true,
    .named = true,
  },
  [sym__metadata_map] = {
    .visible = false,
    .named = true,
  },
  [sym_metadata_shorthand] = {
    .visible = true,
    .named = true,
  },
  [sym_syntax_quote] = {
    .visible = true,
    .named = true,
  },
  [sym_var_quote] = {
    .visible = true,
    .named = true,
  },
  [sym_unquote] = {
    .visible = true,
    .named = true,
  },
  [sym_unquote_splice] = {
    .visible = true,
    .named = true,
  },
  [sym_deref] = {
    .visible = true,
    .named = true,
  },
  [sym_tagged_literal] = {
    .visible = true,
    .named = true,
  },
  [sym_reader_conditional] = {
    .visible = true,
    .named = true,
  },
  [sym__reader_conditional_symbol] = {
    .visible = false,
    .named = true,
  },
  [aux_sym_program_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym__string_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym__regex_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym__hash_map_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym__multi_arity_fn_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_metadata_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_reader_conditional_repeat1] = {
    .visible = false,
    .named = false,
  },
};

static bool ts_lex(TSLexer *lexer, TSStateId state) {
  START_LEXER();
  switch (state) {
    case 0:
      if (lookahead == 0)
        ADVANCE(1);
      if (lookahead == '"')
        ADVANCE(2);
      if (lookahead == '#')
        ADVANCE(3);
      if (lookahead == '%')
        ADVANCE(4);
      if (lookahead == '\'')
        ADVANCE(5);
      if (lookahead == '(')
        ADVANCE(6);
      if (lookahead == ')')
        ADVANCE(7);
      if (lookahead == '+')
        ADVANCE(8);
      if (lookahead == ',')
        SKIP(0);
      if (lookahead == '-')
        ADVANCE(9);
      if (lookahead == '.')
        ADVANCE(10);
      if (lookahead == '/')
        ADVANCE(11);
      if (lookahead == ':')
        ADVANCE(12);
      if (lookahead == ';')
        ADVANCE(13);
      if (lookahead == '@')
        ADVANCE(14);
      if (lookahead == 'I')
        ADVANCE(15);
      if (lookahead == 'N')
        ADVANCE(16);
      if (lookahead == '[')
        ADVANCE(17);
      if (lookahead == '\\')
        ADVANCE(18);
      if (lookahead == ']')
        ADVANCE(19);
      if (lookahead == '^')
        ADVANCE(20);
      if (lookahead == '`')
        ADVANCE(21);
      if (lookahead == 'n')
        ADVANCE(22);
      if (lookahead == 'o')
        ADVANCE(23);
      if (lookahead == 'r')
        ADVANCE(24);
      if (lookahead == 's')
        ADVANCE(25);
      if (lookahead == 't')
        ADVANCE(26);
      if (lookahead == 'u')
        ADVANCE(27);
      if (lookahead == '{')
        ADVANCE(28);
      if (lookahead == '}')
        ADVANCE(29);
      if (lookahead == '~')
        ADVANCE(30);
      if (lookahead == '8' ||
          lookahead == '9')
        ADVANCE(31);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ')
        SKIP(0);
      if (('0' <= lookahead && lookahead <= '7'))
        ADVANCE(31);
      if (('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f'))
        ADVANCE(32);
      END_STATE();
    case 1:
      ACCEPT_TOKEN(ts_builtin_sym_end);
      END_STATE();
    case 2:
      ACCEPT_TOKEN(anon_sym_DQUOTE);
      END_STATE();
    case 3:
      ACCEPT_TOKEN(anon_sym_POUND);
      if (lookahead == '!')
        ADVANCE(33);
      if (lookahead == '"')
        ADVANCE(34);
      if (lookahead == '#')
        ADVANCE(35);
      if (lookahead == '\'')
        ADVANCE(36);
      if (lookahead == '(')
        ADVANCE(37);
      if (lookahead == ':')
        ADVANCE(38);
      if (lookahead == '?')
        ADVANCE(39);
      if (lookahead == '_')
        ADVANCE(40);
      if (lookahead == '{')
        ADVANCE(41);
      END_STATE();
    case 4:
      ACCEPT_TOKEN(sym_shorthand_function_arg);
      if (lookahead == '&' ||
          ('1' <= lookahead && lookahead <= '9'))
        ADVANCE(4);
      END_STATE();
    case 5:
      ACCEPT_TOKEN(anon_sym_SQUOTE);
      END_STATE();
    case 6:
      ACCEPT_TOKEN(anon_sym_LPAREN);
      if (lookahead == 'q')
        ADVANCE(42);
      END_STATE();
    case 7:
      ACCEPT_TOKEN(anon_sym_RPAREN);
      END_STATE();
    case 8:
      if (('0' <= lookahead && lookahead <= '9'))
        ADVANCE(43);
      END_STATE();
    case 9:
      if (lookahead == '>')
        ADVANCE(44);
      if (lookahead == 'I')
        ADVANCE(45);
      if (('0' <= lookahead && lookahead <= '9'))
        ADVANCE(43);
      END_STATE();
    case 10:
      if (lookahead == '-')
        ADVANCE(46);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z'))
        ADVANCE(47);
      END_STATE();
    case 11:
      ACCEPT_TOKEN(anon_sym_SLASH);
      END_STATE();
    case 12:
      ACCEPT_TOKEN(anon_sym_COLON);
      if (lookahead == ':')
        ADVANCE(48);
      END_STATE();
    case 13:
      ACCEPT_TOKEN(anon_sym_SEMI);
      END_STATE();
    case 14:
      ACCEPT_TOKEN(anon_sym_AT);
      END_STATE();
    case 15:
      if (lookahead == 'n')
        ADVANCE(49);
      END_STATE();
    case 16:
      if (lookahead == 'a')
        ADVANCE(50);
      END_STATE();
    case 17:
      ACCEPT_TOKEN(anon_sym_LBRACK);
      END_STATE();
    case 18:
      ACCEPT_TOKEN(anon_sym_BSLASH);
      if (lookahead == '"')
        ADVANCE(51);
      END_STATE();
    case 19:
      ACCEPT_TOKEN(anon_sym_RBRACK);
      END_STATE();
    case 20:
      ACCEPT_TOKEN(anon_sym_CARET);
      if (lookahead == '"')
        ADVANCE(52);
      if (lookahead == ':')
        ADVANCE(53);
      END_STATE();
    case 21:
      ACCEPT_TOKEN(anon_sym_BQUOTE);
      END_STATE();
    case 22:
      if (lookahead == 'e')
        ADVANCE(54);
      if (lookahead == 'i')
        ADVANCE(55);
      END_STATE();
    case 23:
      ACCEPT_TOKEN(anon_sym_o);
      END_STATE();
    case 24:
      if (lookahead == 'e')
        ADVANCE(56);
      END_STATE();
    case 25:
      if (lookahead == 'o')
        ADVANCE(57);
      if (lookahead == 'p')
        ADVANCE(58);
      END_STATE();
    case 26:
      if (lookahead == 'a')
        ADVANCE(59);
      if (lookahead == 'r')
        ADVANCE(60);
      END_STATE();
    case 27:
      ACCEPT_TOKEN(anon_sym_u);
      END_STATE();
    case 28:
      ACCEPT_TOKEN(anon_sym_LBRACE);
      END_STATE();
    case 29:
      ACCEPT_TOKEN(anon_sym_RBRACE);
      END_STATE();
    case 30:
      ACCEPT_TOKEN(anon_sym_TILDE);
      if (lookahead == '@')
        ADVANCE(61);
      END_STATE();
    case 31:
      ACCEPT_TOKEN(sym__normal_long);
      if (('0' <= lookahead && lookahead <= '9'))
        ADVANCE(43);
      END_STATE();
    case 32:
      ACCEPT_TOKEN(sym__hex_char);
      END_STATE();
    case 33:
      ACCEPT_TOKEN(anon_sym_POUND_BANG);
      END_STATE();
    case 34:
      ACCEPT_TOKEN(anon_sym_POUND_DQUOTE);
      END_STATE();
    case 35:
      ACCEPT_TOKEN(anon_sym_POUND_POUND);
      END_STATE();
    case 36:
      ACCEPT_TOKEN(anon_sym_POUND_SQUOTE);
      END_STATE();
    case 37:
      ACCEPT_TOKEN(anon_sym_POUND_LPAREN);
      END_STATE();
    case 38:
      if (lookahead == ':')
        ADVANCE(62);
      if (lookahead == '!' ||
          lookahead == '*' ||
          lookahead == '+' ||
          lookahead == '-' ||
          lookahead == '?' ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z'))
        ADVANCE(63);
      END_STATE();
    case 39:
      ACCEPT_TOKEN(anon_sym_POUND_QMARK);
      if (lookahead == '@')
        ADVANCE(64);
      END_STATE();
    case 40:
      ACCEPT_TOKEN(anon_sym_POUND_);
      END_STATE();
    case 41:
      ACCEPT_TOKEN(anon_sym_POUND_LBRACE);
      END_STATE();
    case 42:
      if (lookahead == 'u')
        ADVANCE(65);
      END_STATE();
    case 43:
      ACCEPT_TOKEN(sym__normal_long);
      if (('0' <= lookahead && lookahead <= '9'))
        ADVANCE(43);
      END_STATE();
    case 44:
      ACCEPT_TOKEN(anon_sym_DASH_GT);
      if (lookahead == '>')
        ADVANCE(66);
      END_STATE();
    case 45:
      if (lookahead == 'n')
        ADVANCE(67);
      END_STATE();
    case 46:
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z'))
        ADVANCE(68);
      END_STATE();
    case 47:
      ACCEPT_TOKEN(sym_member_access);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z'))
        ADVANCE(47);
      END_STATE();
    case 48:
      ACCEPT_TOKEN(anon_sym_COLON_COLON);
      END_STATE();
    case 49:
      if (lookahead == 'f')
        ADVANCE(69);
      END_STATE();
    case 50:
      if (lookahead == 'N')
        ADVANCE(70);
      END_STATE();
    case 51:
      ACCEPT_TOKEN(anon_sym_BSLASH_DQUOTE);
      END_STATE();
    case 52:
      ACCEPT_TOKEN(anon_sym_CARET_DQUOTE);
      END_STATE();
    case 53:
      ACCEPT_TOKEN(anon_sym_CARET_COLON);
      END_STATE();
    case 54:
      if (lookahead == 'w')
        ADVANCE(71);
      END_STATE();
    case 55:
      if (lookahead == 'l')
        ADVANCE(72);
      END_STATE();
    case 56:
      if (lookahead == 't')
        ADVANCE(73);
      END_STATE();
    case 57:
      if (lookahead == 'm')
        ADVANCE(74);
      END_STATE();
    case 58:
      if (lookahead == 'a')
        ADVANCE(75);
      END_STATE();
    case 59:
      if (lookahead == 'b')
        ADVANCE(76);
      END_STATE();
    case 60:
      if (lookahead == 'u')
        ADVANCE(77);
      END_STATE();
    case 61:
      ACCEPT_TOKEN(anon_sym_TILDE_AT);
      END_STATE();
    case 62:
      if (lookahead == '{')
        ADVANCE(78);
      END_STATE();
    case 63:
      ACCEPT_TOKEN(aux_sym_namespace_map_token1);
      if (lookahead == '!' ||
          lookahead == '\'' ||
          lookahead == '*' ||
          lookahead == '+' ||
          lookahead == '-' ||
          ('0' <= lookahead && lookahead <= ':') ||
          lookahead == '?' ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z'))
        ADVANCE(63);
      END_STATE();
    case 64:
      ACCEPT_TOKEN(anon_sym_POUND_QMARK_AT);
      END_STATE();
    case 65:
      if (lookahead == 'o')
        ADVANCE(79);
      END_STATE();
    case 66:
      ACCEPT_TOKEN(anon_sym_DASH_GT_GT);
      END_STATE();
    case 67:
      if (lookahead == 'f')
        ADVANCE(80);
      END_STATE();
    case 68:
      ACCEPT_TOKEN(sym_field_access);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z'))
        ADVANCE(68);
      END_STATE();
    case 69:
      ACCEPT_TOKEN(sym_infinity);
      END_STATE();
    case 70:
      ACCEPT_TOKEN(sym_not_a_number);
      END_STATE();
    case 71:
      if (lookahead == 'l')
        ADVANCE(81);
      END_STATE();
    case 72:
      ACCEPT_TOKEN(sym_nil);
      END_STATE();
    case 73:
      if (lookahead == 'u')
        ADVANCE(82);
      END_STATE();
    case 74:
      if (lookahead == 'e')
        ADVANCE(83);
      END_STATE();
    case 75:
      if (lookahead == 'c')
        ADVANCE(84);
      END_STATE();
    case 76:
      ACCEPT_TOKEN(anon_sym_tab);
      END_STATE();
    case 77:
      if (lookahead == 'e')
        ADVANCE(85);
      END_STATE();
    case 78:
      ACCEPT_TOKEN(anon_sym_POUND_COLON_COLON_LBRACE);
      END_STATE();
    case 79:
      if (lookahead == 't')
        ADVANCE(86);
      END_STATE();
    case 80:
      ACCEPT_TOKEN(sym_negative_infinity);
      END_STATE();
    case 81:
      if (lookahead == 'i')
        ADVANCE(87);
      END_STATE();
    case 82:
      if (lookahead == 'r')
        ADVANCE(88);
      END_STATE();
    case 83:
      if (lookahead == '-')
        ADVANCE(89);
      END_STATE();
    case 84:
      if (lookahead == 'e')
        ADVANCE(90);
      END_STATE();
    case 85:
      ACCEPT_TOKEN(sym_true);
      END_STATE();
    case 86:
      if (lookahead == 'e')
        ADVANCE(91);
      END_STATE();
    case 87:
      if (lookahead == 'n')
        ADVANCE(92);
      END_STATE();
    case 88:
      if (lookahead == 'n')
        ADVANCE(93);
      END_STATE();
    case 89:
      if (lookahead == '>')
        ADVANCE(94);
      END_STATE();
    case 90:
      ACCEPT_TOKEN(anon_sym_space);
      END_STATE();
    case 91:
      ACCEPT_TOKEN(anon_sym_LPARENquote);
      END_STATE();
    case 92:
      if (lookahead == 'e')
        ADVANCE(95);
      END_STATE();
    case 93:
      ACCEPT_TOKEN(anon_sym_return);
      END_STATE();
    case 94:
      ACCEPT_TOKEN(anon_sym_some_DASH_GT);
      if (lookahead == '>')
        ADVANCE(96);
      END_STATE();
    case 95:
      ACCEPT_TOKEN(anon_sym_newline);
      END_STATE();
    case 96:
      ACCEPT_TOKEN(anon_sym_some_DASH_GT_GT);
      END_STATE();
    case 97:
      if (lookahead == 0)
        ADVANCE(1);
      if (lookahead == '"')
        ADVANCE(2);
      if (lookahead == '#')
        ADVANCE(3);
      if (lookahead == '%')
        ADVANCE(4);
      if (lookahead == '\'')
        ADVANCE(5);
      if (lookahead == '(')
        ADVANCE(6);
      if (lookahead == ')')
        ADVANCE(7);
      if (lookahead == '+')
        ADVANCE(98);
      if (lookahead == ',')
        SKIP(97);
      if (lookahead == '-')
        ADVANCE(99);
      if (lookahead == '.')
        ADVANCE(100);
      if (lookahead == '/')
        ADVANCE(11);
      if (lookahead == '0')
        ADVANCE(101);
      if (lookahead == ':')
        ADVANCE(12);
      if (lookahead == ';')
        ADVANCE(13);
      if (lookahead == '@')
        ADVANCE(14);
      if (lookahead == '[')
        ADVANCE(17);
      if (lookahead == '\\')
        ADVANCE(102);
      if (lookahead == ']')
        ADVANCE(19);
      if (lookahead == '^')
        ADVANCE(20);
      if (lookahead == '`')
        ADVANCE(21);
      if (lookahead == 'a')
        ADVANCE(103);
      if (lookahead == 'c')
        ADVANCE(104);
      if (lookahead == 'f')
        ADVANCE(105);
      if (lookahead == 'n')
        ADVANCE(106);
      if (lookahead == 's')
        ADVANCE(107);
      if (lookahead == 't')
        ADVANCE(108);
      if (lookahead == '{')
        ADVANCE(28);
      if (lookahead == '}')
        ADVANCE(29);
      if (lookahead == '~')
        ADVANCE(30);
      if (lookahead == '!' ||
          lookahead == '*' ||
          lookahead == '?')
        ADVANCE(109);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ')
        SKIP(97);
      if (('1' <= lookahead && lookahead <= '9'))
        ADVANCE(110);
      if (('A' <= lookahead && lookahead <= 'z'))
        ADVANCE(111);
      END_STATE();
    case 98:
      ACCEPT_TOKEN(sym__symbol_chars);
      if (lookahead == '#')
        ADVANCE(112);
      if (('0' <= lookahead && lookahead <= '9'))
        ADVANCE(113);
      if (lookahead == '!' ||
          lookahead == '\'' ||
          lookahead == '*' ||
          lookahead == '+' ||
          lookahead == '-' ||
          lookahead == ':' ||
          lookahead == '?' ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z'))
        ADVANCE(109);
      END_STATE();
    case 99:
      ACCEPT_TOKEN(sym__symbol_chars);
      if (lookahead == '#')
        ADVANCE(112);
      if (lookahead == '0')
        ADVANCE(114);
      if (lookahead == '>')
        ADVANCE(44);
      if (('1' <= lookahead && lookahead <= '9'))
        ADVANCE(115);
      if (lookahead == '!' ||
          lookahead == '\'' ||
          lookahead == '*' ||
          lookahead == '+' ||
          lookahead == '-' ||
          lookahead == ':' ||
          lookahead == '?' ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z'))
        ADVANCE(109);
      END_STATE();
    case 100:
      if (lookahead == '-')
        ADVANCE(46);
      if (('0' <= lookahead && lookahead <= '9'))
        ADVANCE(116);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z'))
        ADVANCE(47);
      END_STATE();
    case 101:
      ACCEPT_TOKEN(sym__normal_long);
      if (lookahead == '.')
        ADVANCE(117);
      if (lookahead == '/')
        ADVANCE(118);
      if (lookahead == 'N')
        ADVANCE(119);
      if (lookahead == '_')
        ADVANCE(120);
      if (lookahead == 'E' ||
          lookahead == 'e')
        ADVANCE(121);
      if (lookahead == 'R' ||
          lookahead == 'r')
        ADVANCE(122);
      if (lookahead == 'X' ||
          lookahead == 'x')
        ADVANCE(123);
      if (('D' <= lookahead && lookahead <= 'F') ||
          ('d' <= lookahead && lookahead <= 'f'))
        ADVANCE(124);
      if (('0' <= lookahead && lookahead <= '9'))
        ADVANCE(110);
      END_STATE();
    case 102:
      ACCEPT_TOKEN(anon_sym_BSLASH);
      END_STATE();
    case 103:
      ACCEPT_TOKEN(sym__symbol_chars);
      if (lookahead == '#')
        ADVANCE(112);
      if (lookahead == '.')
        ADVANCE(125);
      if (lookahead == 's')
        ADVANCE(126);
      if (lookahead == '!' ||
          lookahead == '\'' ||
          lookahead == '*' ||
          lookahead == '+' ||
          lookahead == '-' ||
          lookahead == ':' ||
          lookahead == '?')
        ADVANCE(109);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z'))
        ADVANCE(111);
      END_STATE();
    case 104:
      ACCEPT_TOKEN(sym__symbol_chars);
      if (lookahead == '#')
        ADVANCE(112);
      if (lookahead == '.')
        ADVANCE(125);
      if (lookahead == 'o')
        ADVANCE(127);
      if (lookahead == '!' ||
          lookahead == '\'' ||
          lookahead == '*' ||
          lookahead == '+' ||
          lookahead == '-' ||
          lookahead == ':' ||
          lookahead == '?')
        ADVANCE(109);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z'))
        ADVANCE(111);
      END_STATE();
    case 105:
      ACCEPT_TOKEN(sym__symbol_chars);
      if (lookahead == '#')
        ADVANCE(112);
      if (lookahead == '.')
        ADVANCE(125);
      if (lookahead == 'a')
        ADVANCE(128);
      if (lookahead == '!' ||
          lookahead == '\'' ||
          lookahead == '*' ||
          lookahead == '+' ||
          lookahead == '-' ||
          lookahead == ':' ||
          lookahead == '?')
        ADVANCE(109);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('b' <= lookahead && lookahead <= 'z'))
        ADVANCE(111);
      END_STATE();
    case 106:
      ACCEPT_TOKEN(sym__symbol_chars);
      if (lookahead == '#')
        ADVANCE(112);
      if (lookahead == '.')
        ADVANCE(125);
      if (lookahead == 'i')
        ADVANCE(129);
      if (lookahead == '!' ||
          lookahead == '\'' ||
          lookahead == '*' ||
          lookahead == '+' ||
          lookahead == '-' ||
          lookahead == ':' ||
          lookahead == '?')
        ADVANCE(109);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z'))
        ADVANCE(111);
      END_STATE();
    case 107:
      ACCEPT_TOKEN(sym__symbol_chars);
      if (lookahead == '#')
        ADVANCE(112);
      if (lookahead == '.')
        ADVANCE(125);
      if (lookahead == 'o')
        ADVANCE(130);
      if (lookahead == '!' ||
          lookahead == '\'' ||
          lookahead == '*' ||
          lookahead == '+' ||
          lookahead == '-' ||
          lookahead == ':' ||
          lookahead == '?')
        ADVANCE(109);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z'))
        ADVANCE(111);
      END_STATE();
    case 108:
      ACCEPT_TOKEN(sym__symbol_chars);
      if (lookahead == '#')
        ADVANCE(112);
      if (lookahead == '.')
        ADVANCE(125);
      if (lookahead == 'r')
        ADVANCE(131);
      if (lookahead == '!' ||
          lookahead == '\'' ||
          lookahead == '*' ||
          lookahead == '+' ||
          lookahead == '-' ||
          lookahead == ':' ||
          lookahead == '?')
        ADVANCE(109);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z'))
        ADVANCE(111);
      END_STATE();
    case 109:
      ACCEPT_TOKEN(sym__symbol_chars);
      if (lookahead == '#')
        ADVANCE(112);
      if (lookahead == '!' ||
          lookahead == '\'' ||
          lookahead == '*' ||
          lookahead == '+' ||
          lookahead == '-' ||
          ('0' <= lookahead && lookahead <= ':') ||
          lookahead == '?' ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z'))
        ADVANCE(109);
      END_STATE();
    case 110:
      ACCEPT_TOKEN(sym__normal_long);
      if (lookahead == '.')
        ADVANCE(117);
      if (lookahead == '/')
        ADVANCE(118);
      if (lookahead == 'N')
        ADVANCE(119);
      if (lookahead == '_')
        ADVANCE(120);
      if (lookahead == 'E' ||
          lookahead == 'e')
        ADVANCE(121);
      if (lookahead == 'R' ||
          lookahead == 'r')
        ADVANCE(122);
      if (('D' <= lookahead && lookahead <= 'F') ||
          ('d' <= lookahead && lookahead <= 'f'))
        ADVANCE(124);
      if (('0' <= lookahead && lookahead <= '9'))
        ADVANCE(110);
      END_STATE();
    case 111:
      ACCEPT_TOKEN(sym__symbol_chars);
      if (lookahead == '#')
        ADVANCE(112);
      if (lookahead == '.')
        ADVANCE(125);
      if (lookahead == '!' ||
          lookahead == '\'' ||
          lookahead == '*' ||
          lookahead == '+' ||
          lookahead == '-' ||
          lookahead == ':' ||
          lookahead == '?')
        ADVANCE(109);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z'))
        ADVANCE(111);
      END_STATE();
    case 112:
      ACCEPT_TOKEN(sym_gensym);
      END_STATE();
    case 113:
      ACCEPT_TOKEN(sym__normal_long);
      if (lookahead == '#')
        ADVANCE(112);
      if (lookahead == '/')
        ADVANCE(118);
      if (lookahead == 'N')
        ADVANCE(132);
      if (('0' <= lookahead && lookahead <= '9'))
        ADVANCE(113);
      if (lookahead == '!' ||
          lookahead == '\'' ||
          lookahead == '*' ||
          lookahead == '+' ||
          lookahead == '-' ||
          lookahead == ':' ||
          lookahead == '?' ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z'))
        ADVANCE(109);
      END_STATE();
    case 114:
      ACCEPT_TOKEN(sym__normal_long);
      if (lookahead == '#')
        ADVANCE(112);
      if (lookahead == '.')
        ADVANCE(133);
      if (lookahead == '/')
        ADVANCE(118);
      if (lookahead == 'N')
        ADVANCE(132);
      if (lookahead == 'R' ||
          lookahead == 'r')
        ADVANCE(134);
      if (lookahead == 'X' ||
          lookahead == 'x')
        ADVANCE(135);
      if (('0' <= lookahead && lookahead <= '9'))
        ADVANCE(115);
      if (lookahead == '!' ||
          lookahead == '\'' ||
          lookahead == '*' ||
          lookahead == '+' ||
          ('-' <= lookahead && lookahead <= ':') ||
          lookahead == '?' ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z'))
        ADVANCE(109);
      END_STATE();
    case 115:
      ACCEPT_TOKEN(sym__normal_long);
      if (lookahead == '#')
        ADVANCE(112);
      if (lookahead == '.')
        ADVANCE(133);
      if (lookahead == '/')
        ADVANCE(118);
      if (lookahead == 'N')
        ADVANCE(132);
      if (lookahead == 'R' ||
          lookahead == 'r')
        ADVANCE(134);
      if (('0' <= lookahead && lookahead <= '9'))
        ADVANCE(115);
      if (lookahead == '!' ||
          lookahead == '\'' ||
          lookahead == '*' ||
          lookahead == '+' ||
          ('-' <= lookahead && lookahead <= ':') ||
          lookahead == '?' ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z'))
        ADVANCE(109);
      END_STATE();
    case 116:
      ACCEPT_TOKEN(sym_number_double);
      if (lookahead == '_')
        ADVANCE(136);
      if (lookahead == 'E' ||
          lookahead == 'e')
        ADVANCE(137);
      if (('D' <= lookahead && lookahead <= 'F') ||
          ('d' <= lookahead && lookahead <= 'f'))
        ADVANCE(124);
      if (('0' <= lookahead && lookahead <= '9'))
        ADVANCE(116);
      END_STATE();
    case 117:
      ACCEPT_TOKEN(sym_number_double);
      if (lookahead == 'E' ||
          lookahead == 'e')
        ADVANCE(138);
      if (('D' <= lookahead && lookahead <= 'F') ||
          ('d' <= lookahead && lookahead <= 'f'))
        ADVANCE(124);
      if (('0' <= lookahead && lookahead <= '9'))
        ADVANCE(139);
      END_STATE();
    case 118:
      if (('0' <= lookahead && lookahead <= '9'))
        ADVANCE(140);
      END_STATE();
    case 119:
      ACCEPT_TOKEN(sym_number_bigint);
      END_STATE();
    case 120:
      if (lookahead == '_')
        ADVANCE(120);
      if (('0' <= lookahead && lookahead <= '9'))
        ADVANCE(141);
      END_STATE();
    case 121:
      if (lookahead == '+')
        ADVANCE(142);
      if (lookahead == '-')
        ADVANCE(142);
      if (('0' <= lookahead && lookahead <= '9'))
        ADVANCE(143);
      END_STATE();
    case 122:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z'))
        ADVANCE(144);
      END_STATE();
    case 123:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f'))
        ADVANCE(145);
      END_STATE();
    case 124:
      ACCEPT_TOKEN(sym_number_double);
      END_STATE();
    case 125:
      ACCEPT_TOKEN(sym_new_class);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z'))
        ADVANCE(146);
      END_STATE();
    case 126:
      ACCEPT_TOKEN(sym__symbol_chars);
      if (lookahead == '#')
        ADVANCE(112);
      if (lookahead == '-')
        ADVANCE(147);
      if (lookahead == '.')
        ADVANCE(125);
      if (lookahead == '!' ||
          lookahead == '\'' ||
          lookahead == '*' ||
          lookahead == '+' ||
          lookahead == ':' ||
          lookahead == '?')
        ADVANCE(109);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z'))
        ADVANCE(111);
      END_STATE();
    case 127:
      ACCEPT_TOKEN(sym__symbol_chars);
      if (lookahead == '#')
        ADVANCE(112);
      if (lookahead == '.')
        ADVANCE(125);
      if (lookahead == 'n')
        ADVANCE(148);
      if (lookahead == '!' ||
          lookahead == '\'' ||
          lookahead == '*' ||
          lookahead == '+' ||
          lookahead == '-' ||
          lookahead == ':' ||
          lookahead == '?')
        ADVANCE(109);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z'))
        ADVANCE(111);
      END_STATE();
    case 128:
      ACCEPT_TOKEN(sym__symbol_chars);
      if (lookahead == '#')
        ADVANCE(112);
      if (lookahead == '.')
        ADVANCE(125);
      if (lookahead == 'l')
        ADVANCE(149);
      if (lookahead == '!' ||
          lookahead == '\'' ||
          lookahead == '*' ||
          lookahead == '+' ||
          lookahead == '-' ||
          lookahead == ':' ||
          lookahead == '?')
        ADVANCE(109);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z'))
        ADVANCE(111);
      END_STATE();
    case 129:
      ACCEPT_TOKEN(sym__symbol_chars);
      if (lookahead == '#')
        ADVANCE(112);
      if (lookahead == '.')
        ADVANCE(125);
      if (lookahead == 'l')
        ADVANCE(150);
      if (lookahead == '!' ||
          lookahead == '\'' ||
          lookahead == '*' ||
          lookahead == '+' ||
          lookahead == '-' ||
          lookahead == ':' ||
          lookahead == '?')
        ADVANCE(109);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z'))
        ADVANCE(111);
      END_STATE();
    case 130:
      ACCEPT_TOKEN(sym__symbol_chars);
      if (lookahead == '#')
        ADVANCE(112);
      if (lookahead == '.')
        ADVANCE(125);
      if (lookahead == 'm')
        ADVANCE(151);
      if (lookahead == '!' ||
          lookahead == '\'' ||
          lookahead == '*' ||
          lookahead == '+' ||
          lookahead == '-' ||
          lookahead == ':' ||
          lookahead == '?')
        ADVANCE(109);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z'))
        ADVANCE(111);
      END_STATE();
    case 131:
      ACCEPT_TOKEN(sym__symbol_chars);
      if (lookahead == '#')
        ADVANCE(112);
      if (lookahead == '.')
        ADVANCE(125);
      if (lookahead == 'u')
        ADVANCE(152);
      if (lookahead == '!' ||
          lookahead == '\'' ||
          lookahead == '*' ||
          lookahead == '+' ||
          lookahead == '-' ||
          lookahead == ':' ||
          lookahead == '?')
        ADVANCE(109);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z'))
        ADVANCE(111);
      END_STATE();
    case 132:
      ACCEPT_TOKEN(sym_number_bigint);
      if (lookahead == '#')
        ADVANCE(112);
      if (lookahead == '!' ||
          lookahead == '\'' ||
          lookahead == '*' ||
          lookahead == '+' ||
          lookahead == '-' ||
          ('0' <= lookahead && lookahead <= ':') ||
          lookahead == '?' ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z'))
        ADVANCE(109);
      END_STATE();
    case 133:
      if (('0' <= lookahead && lookahead <= '9'))
        ADVANCE(153);
      END_STATE();
    case 134:
      ACCEPT_TOKEN(sym__symbol_chars);
      if (lookahead == '#')
        ADVANCE(112);
      if (lookahead == '!' ||
          lookahead == '\'' ||
          lookahead == '*' ||
          lookahead == '+' ||
          lookahead == '-' ||
          lookahead == ':' ||
          lookahead == '?' ||
          lookahead == '_')
        ADVANCE(109);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z'))
        ADVANCE(154);
      END_STATE();
    case 135:
      ACCEPT_TOKEN(sym__symbol_chars);
      if (lookahead == '#')
        ADVANCE(112);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f'))
        ADVANCE(155);
      if (lookahead == '!' ||
          lookahead == '\'' ||
          lookahead == '*' ||
          lookahead == '+' ||
          lookahead == '-' ||
          lookahead == ':' ||
          lookahead == '?' ||
          ('G' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('g' <= lookahead && lookahead <= 'z'))
        ADVANCE(109);
      END_STATE();
    case 136:
      if (lookahead == '_')
        ADVANCE(136);
      if (('0' <= lookahead && lookahead <= '9'))
        ADVANCE(116);
      END_STATE();
    case 137:
      if (lookahead == '+')
        ADVANCE(156);
      if (lookahead == '-')
        ADVANCE(156);
      if (('0' <= lookahead && lookahead <= '9'))
        ADVANCE(157);
      END_STATE();
    case 138:
      if (lookahead == '+')
        ADVANCE(158);
      if (lookahead == '-')
        ADVANCE(158);
      if (('0' <= lookahead && lookahead <= '9'))
        ADVANCE(159);
      END_STATE();
    case 139:
      ACCEPT_TOKEN(sym_number_double);
      if (lookahead == 'M')
        ADVANCE(160);
      if (lookahead == '_')
        ADVANCE(161);
      if (lookahead == 'E' ||
          lookahead == 'e')
        ADVANCE(162);
      if (('D' <= lookahead && lookahead <= 'F') ||
          ('d' <= lookahead && lookahead <= 'f'))
        ADVANCE(124);
      if (('0' <= lookahead && lookahead <= '9'))
        ADVANCE(139);
      END_STATE();
    case 140:
      ACCEPT_TOKEN(sym_number_ratio);
      if (('0' <= lookahead && lookahead <= '9'))
        ADVANCE(140);
      END_STATE();
    case 141:
      if (lookahead == '.')
        ADVANCE(163);
      if (lookahead == '_')
        ADVANCE(120);
      if (lookahead == 'E' ||
          lookahead == 'e')
        ADVANCE(121);
      if (('D' <= lookahead && lookahead <= 'F') ||
          ('d' <= lookahead && lookahead <= 'f'))
        ADVANCE(124);
      if (('0' <= lookahead && lookahead <= '9'))
        ADVANCE(141);
      END_STATE();
    case 142:
      if (('0' <= lookahead && lookahead <= '9'))
        ADVANCE(143);
      END_STATE();
    case 143:
      ACCEPT_TOKEN(sym_number_double);
      if (lookahead == '_')
        ADVANCE(164);
      if (lookahead == 'D' ||
          lookahead == 'F' ||
          lookahead == 'd' ||
          lookahead == 'f')
        ADVANCE(124);
      if (('0' <= lookahead && lookahead <= '9'))
        ADVANCE(143);
      END_STATE();
    case 144:
      ACCEPT_TOKEN(sym__number_arbitrary_radix);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z'))
        ADVANCE(144);
      END_STATE();
    case 145:
      ACCEPT_TOKEN(sym__number_hex);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f'))
        ADVANCE(145);
      END_STATE();
    case 146:
      if (lookahead == '.')
        ADVANCE(125);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z'))
        ADVANCE(146);
      END_STATE();
    case 147:
      ACCEPT_TOKEN(sym__symbol_chars);
      if (lookahead == '#')
        ADVANCE(112);
      if (lookahead == '>')
        ADVANCE(165);
      if (lookahead == '!' ||
          lookahead == '\'' ||
          lookahead == '*' ||
          lookahead == '+' ||
          lookahead == '-' ||
          ('0' <= lookahead && lookahead <= ':') ||
          lookahead == '?' ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z'))
        ADVANCE(109);
      END_STATE();
    case 148:
      ACCEPT_TOKEN(sym__symbol_chars);
      if (lookahead == '#')
        ADVANCE(112);
      if (lookahead == '.')
        ADVANCE(125);
      if (lookahead == 'd')
        ADVANCE(166);
      if (lookahead == '!' ||
          lookahead == '\'' ||
          lookahead == '*' ||
          lookahead == '+' ||
          lookahead == '-' ||
          lookahead == ':' ||
          lookahead == '?')
        ADVANCE(109);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z'))
        ADVANCE(111);
      END_STATE();
    case 149:
      ACCEPT_TOKEN(sym__symbol_chars);
      if (lookahead == '#')
        ADVANCE(112);
      if (lookahead == '.')
        ADVANCE(125);
      if (lookahead == 's')
        ADVANCE(167);
      if (lookahead == '!' ||
          lookahead == '\'' ||
          lookahead == '*' ||
          lookahead == '+' ||
          lookahead == '-' ||
          lookahead == ':' ||
          lookahead == '?')
        ADVANCE(109);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z'))
        ADVANCE(111);
      END_STATE();
    case 150:
      ACCEPT_TOKEN(sym_nil);
      if (lookahead == '#')
        ADVANCE(112);
      if (lookahead == '.')
        ADVANCE(125);
      if (lookahead == '!' ||
          lookahead == '\'' ||
          lookahead == '*' ||
          lookahead == '+' ||
          lookahead == '-' ||
          lookahead == ':' ||
          lookahead == '?')
        ADVANCE(109);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z'))
        ADVANCE(111);
      END_STATE();
    case 151:
      ACCEPT_TOKEN(sym__symbol_chars);
      if (lookahead == '#')
        ADVANCE(112);
      if (lookahead == '.')
        ADVANCE(125);
      if (lookahead == 'e')
        ADVANCE(168);
      if (lookahead == '!' ||
          lookahead == '\'' ||
          lookahead == '*' ||
          lookahead == '+' ||
          lookahead == '-' ||
          lookahead == ':' ||
          lookahead == '?')
        ADVANCE(109);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z'))
        ADVANCE(111);
      END_STATE();
    case 152:
      ACCEPT_TOKEN(sym__symbol_chars);
      if (lookahead == '#')
        ADVANCE(112);
      if (lookahead == '.')
        ADVANCE(125);
      if (lookahead == 'e')
        ADVANCE(169);
      if (lookahead == '!' ||
          lookahead == '\'' ||
          lookahead == '*' ||
          lookahead == '+' ||
          lookahead == '-' ||
          lookahead == ':' ||
          lookahead == '?')
        ADVANCE(109);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z'))
        ADVANCE(111);
      END_STATE();
    case 153:
      if (lookahead == 'M')
        ADVANCE(160);
      if (lookahead == 'E' ||
          lookahead == 'e')
        ADVANCE(170);
      if (('0' <= lookahead && lookahead <= '9'))
        ADVANCE(153);
      END_STATE();
    case 154:
      ACCEPT_TOKEN(sym__number_arbitrary_radix);
      if (lookahead == '#')
        ADVANCE(112);
      if (lookahead == '!' ||
          lookahead == '\'' ||
          lookahead == '*' ||
          lookahead == '+' ||
          lookahead == '-' ||
          lookahead == ':' ||
          lookahead == '?' ||
          lookahead == '_')
        ADVANCE(109);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z'))
        ADVANCE(154);
      END_STATE();
    case 155:
      ACCEPT_TOKEN(sym__number_hex);
      if (lookahead == '#')
        ADVANCE(112);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f'))
        ADVANCE(155);
      if (lookahead == '!' ||
          lookahead == '\'' ||
          lookahead == '*' ||
          lookahead == '+' ||
          lookahead == '-' ||
          lookahead == ':' ||
          lookahead == '?' ||
          ('G' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('g' <= lookahead && lookahead <= 'z'))
        ADVANCE(109);
      END_STATE();
    case 156:
      if (('0' <= lookahead && lookahead <= '9'))
        ADVANCE(157);
      END_STATE();
    case 157:
      ACCEPT_TOKEN(sym_number_double);
      if (lookahead == '_')
        ADVANCE(171);
      if (lookahead == 'D' ||
          lookahead == 'F' ||
          lookahead == 'd' ||
          lookahead == 'f')
        ADVANCE(124);
      if (('0' <= lookahead && lookahead <= '9'))
        ADVANCE(157);
      END_STATE();
    case 158:
      if (('0' <= lookahead && lookahead <= '9'))
        ADVANCE(159);
      END_STATE();
    case 159:
      ACCEPT_TOKEN(sym_number_double);
      if (lookahead == '_')
        ADVANCE(172);
      if (lookahead == 'D' ||
          lookahead == 'F' ||
          lookahead == 'd' ||
          lookahead == 'f')
        ADVANCE(124);
      if (('0' <= lookahead && lookahead <= '9'))
        ADVANCE(159);
      END_STATE();
    case 160:
      ACCEPT_TOKEN(sym_number_bigdecimal);
      END_STATE();
    case 161:
      if (lookahead == '_')
        ADVANCE(161);
      if (('0' <= lookahead && lookahead <= '9'))
        ADVANCE(173);
      END_STATE();
    case 162:
      if (lookahead == '+')
        ADVANCE(174);
      if (lookahead == '-')
        ADVANCE(174);
      if (('0' <= lookahead && lookahead <= '9'))
        ADVANCE(175);
      END_STATE();
    case 163:
      ACCEPT_TOKEN(sym_number_double);
      if (lookahead == 'E' ||
          lookahead == 'e')
        ADVANCE(138);
      if (('D' <= lookahead && lookahead <= 'F') ||
          ('d' <= lookahead && lookahead <= 'f'))
        ADVANCE(124);
      if (('0' <= lookahead && lookahead <= '9'))
        ADVANCE(173);
      END_STATE();
    case 164:
      if (lookahead == '_')
        ADVANCE(164);
      if (('0' <= lookahead && lookahead <= '9'))
        ADVANCE(143);
      END_STATE();
    case 165:
      ACCEPT_TOKEN(anon_sym_as_DASH_GT);
      END_STATE();
    case 166:
      ACCEPT_TOKEN(sym__symbol_chars);
      if (lookahead == '#')
        ADVANCE(112);
      if (lookahead == '-')
        ADVANCE(176);
      if (lookahead == '.')
        ADVANCE(125);
      if (lookahead == '!' ||
          lookahead == '\'' ||
          lookahead == '*' ||
          lookahead == '+' ||
          lookahead == ':' ||
          lookahead == '?')
        ADVANCE(109);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z'))
        ADVANCE(111);
      END_STATE();
    case 167:
      ACCEPT_TOKEN(sym__symbol_chars);
      if (lookahead == '#')
        ADVANCE(112);
      if (lookahead == '.')
        ADVANCE(125);
      if (lookahead == 'e')
        ADVANCE(177);
      if (lookahead == '!' ||
          lookahead == '\'' ||
          lookahead == '*' ||
          lookahead == '+' ||
          lookahead == '-' ||
          lookahead == ':' ||
          lookahead == '?')
        ADVANCE(109);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z'))
        ADVANCE(111);
      END_STATE();
    case 168:
      ACCEPT_TOKEN(sym__symbol_chars);
      if (lookahead == '#')
        ADVANCE(112);
      if (lookahead == '-')
        ADVANCE(178);
      if (lookahead == '.')
        ADVANCE(125);
      if (lookahead == '!' ||
          lookahead == '\'' ||
          lookahead == '*' ||
          lookahead == '+' ||
          lookahead == ':' ||
          lookahead == '?')
        ADVANCE(109);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z'))
        ADVANCE(111);
      END_STATE();
    case 169:
      ACCEPT_TOKEN(sym_true);
      if (lookahead == '#')
        ADVANCE(112);
      if (lookahead == '.')
        ADVANCE(125);
      if (lookahead == '!' ||
          lookahead == '\'' ||
          lookahead == '*' ||
          lookahead == '+' ||
          lookahead == '-' ||
          lookahead == ':' ||
          lookahead == '?')
        ADVANCE(109);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z'))
        ADVANCE(111);
      END_STATE();
    case 170:
      if (lookahead == '+' ||
          lookahead == '-')
        ADVANCE(179);
      if (('0' <= lookahead && lookahead <= '9'))
        ADVANCE(180);
      END_STATE();
    case 171:
      if (lookahead == '_')
        ADVANCE(171);
      if (('0' <= lookahead && lookahead <= '9'))
        ADVANCE(157);
      END_STATE();
    case 172:
      if (lookahead == '_')
        ADVANCE(172);
      if (('0' <= lookahead && lookahead <= '9'))
        ADVANCE(159);
      END_STATE();
    case 173:
      ACCEPT_TOKEN(sym_number_double);
      if (lookahead == '_')
        ADVANCE(161);
      if (lookahead == 'E' ||
          lookahead == 'e')
        ADVANCE(138);
      if (('D' <= lookahead && lookahead <= 'F') ||
          ('d' <= lookahead && lookahead <= 'f'))
        ADVANCE(124);
      if (('0' <= lookahead && lookahead <= '9'))
        ADVANCE(173);
      END_STATE();
    case 174:
      if (('0' <= lookahead && lookahead <= '9'))
        ADVANCE(175);
      END_STATE();
    case 175:
      ACCEPT_TOKEN(sym_number_double);
      if (lookahead == 'M')
        ADVANCE(160);
      if (lookahead == '_')
        ADVANCE(172);
      if (lookahead == 'D' ||
          lookahead == 'F' ||
          lookahead == 'd' ||
          lookahead == 'f')
        ADVANCE(124);
      if (('0' <= lookahead && lookahead <= '9'))
        ADVANCE(175);
      END_STATE();
    case 176:
      ACCEPT_TOKEN(sym__symbol_chars);
      if (lookahead == '#')
        ADVANCE(112);
      if (lookahead == '>')
        ADVANCE(181);
      if (lookahead == '!' ||
          lookahead == '\'' ||
          lookahead == '*' ||
          lookahead == '+' ||
          lookahead == '-' ||
          ('0' <= lookahead && lookahead <= ':') ||
          lookahead == '?' ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z'))
        ADVANCE(109);
      END_STATE();
    case 177:
      ACCEPT_TOKEN(sym_false);
      if (lookahead == '#')
        ADVANCE(112);
      if (lookahead == '.')
        ADVANCE(125);
      if (lookahead == '!' ||
          lookahead == '\'' ||
          lookahead == '*' ||
          lookahead == '+' ||
          lookahead == '-' ||
          lookahead == ':' ||
          lookahead == '?')
        ADVANCE(109);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z'))
        ADVANCE(111);
      END_STATE();
    case 178:
      ACCEPT_TOKEN(sym__symbol_chars);
      if (lookahead == '#')
        ADVANCE(112);
      if (lookahead == '>')
        ADVANCE(94);
      if (lookahead == '!' ||
          lookahead == '\'' ||
          lookahead == '*' ||
          lookahead == '+' ||
          lookahead == '-' ||
          ('0' <= lookahead && lookahead <= ':') ||
          lookahead == '?' ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z'))
        ADVANCE(109);
      END_STATE();
    case 179:
      if (('0' <= lookahead && lookahead <= '9'))
        ADVANCE(180);
      END_STATE();
    case 180:
      if (lookahead == 'M')
        ADVANCE(160);
      if (('0' <= lookahead && lookahead <= '9'))
        ADVANCE(180);
      END_STATE();
    case 181:
      ACCEPT_TOKEN(anon_sym_cond_DASH_GT);
      if (lookahead == '>')
        ADVANCE(182);
      END_STATE();
    case 182:
      ACCEPT_TOKEN(anon_sym_cond_DASH_GT_GT);
      END_STATE();
    case 183:
      if (lookahead == '"')
        ADVANCE(2);
      if (lookahead == ',')
        ADVANCE(184);
      if (lookahead == '\\')
        ADVANCE(185);
      if (lookahead == '\t' ||
          lookahead == ' ')
        ADVANCE(184);
      if (lookahead == '\n' ||
          lookahead == '\r')
        SKIP(183);
      if (lookahead != 0)
        ADVANCE(186);
      END_STATE();
    case 184:
      ACCEPT_TOKEN(aux_sym__regex_token1);
      if (lookahead == ',')
        ADVANCE(184);
      if (lookahead == '\\')
        ADVANCE(185);
      if (lookahead == '\t' ||
          lookahead == ' ')
        ADVANCE(184);
      if (lookahead != 0 &&
          lookahead != '\n' &&
          lookahead != '\r' &&
          lookahead != '"')
        ADVANCE(186);
      END_STATE();
    case 185:
      ACCEPT_TOKEN(aux_sym__regex_token1);
      if (lookahead == '"')
        ADVANCE(51);
      END_STATE();
    case 186:
      ACCEPT_TOKEN(aux_sym__regex_token1);
      END_STATE();
    case 187:
      if (lookahead == ',')
        SKIP(187);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ')
        SKIP(187);
      if (lookahead == '!' ||
          ('+' <= lookahead && lookahead <= '.') ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z'))
        ADVANCE(188);
      END_STATE();
    case 188:
      ACCEPT_TOKEN(sym__keyword_chars);
      if (lookahead == '!' ||
          lookahead == '+' ||
          lookahead == '-' ||
          lookahead == '.' ||
          ('0' <= lookahead && lookahead <= ':') ||
          lookahead == '?' ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z'))
        ADVANCE(188);
      END_STATE();
    case 189:
      ACCEPT_TOKEN(aux_sym_semicolon_token1);
      if (lookahead == ',')
        ADVANCE(189);
      if (lookahead == '\t' ||
          lookahead == '\r' ||
          lookahead == ' ')
        ADVANCE(189);
      if (lookahead != 0 &&
          lookahead != '\n')
        ADVANCE(190);
      END_STATE();
    case 190:
      ACCEPT_TOKEN(aux_sym_semicolon_token1);
      if (lookahead != 0 &&
          lookahead != '\n')
        ADVANCE(190);
      END_STATE();
    case 191:
      if (lookahead == ',')
        SKIP(191);
      if (lookahead == '-')
        ADVANCE(192);
      if (lookahead == 'I')
        ADVANCE(15);
      if (lookahead == 'N')
        ADVANCE(16);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ')
        SKIP(191);
      END_STATE();
    case 192:
      if (lookahead == 'I')
        ADVANCE(45);
      END_STATE();
    case 193:
      if (lookahead == '"')
        ADVANCE(2);
      if (lookahead == '#')
        ADVANCE(3);
      if (lookahead == '%')
        ADVANCE(4);
      if (lookahead == '\'')
        ADVANCE(5);
      if (lookahead == '(')
        ADVANCE(6);
      if (lookahead == ')')
        ADVANCE(7);
      if (lookahead == '+')
        ADVANCE(98);
      if (lookahead == ',')
        SKIP(193);
      if (lookahead == '-')
        ADVANCE(99);
      if (lookahead == '.')
        ADVANCE(100);
      if (lookahead == '/')
        ADVANCE(11);
      if (lookahead == '0')
        ADVANCE(101);
      if (lookahead == ':')
        ADVANCE(12);
      if (lookahead == ';')
        ADVANCE(13);
      if (lookahead == '@')
        ADVANCE(14);
      if (lookahead == '[')
        ADVANCE(17);
      if (lookahead == '\\')
        ADVANCE(102);
      if (lookahead == '^')
        ADVANCE(20);
      if (lookahead == '`')
        ADVANCE(21);
      if (lookahead == 'a')
        ADVANCE(103);
      if (lookahead == 'c')
        ADVANCE(104);
      if (lookahead == 'f')
        ADVANCE(105);
      if (lookahead == 'n')
        ADVANCE(106);
      if (lookahead == 's')
        ADVANCE(107);
      if (lookahead == 't')
        ADVANCE(108);
      if (lookahead == '{')
        ADVANCE(28);
      if (lookahead == '~')
        ADVANCE(30);
      if (lookahead == '!' ||
          lookahead == '*' ||
          lookahead == '?')
        ADVANCE(109);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ')
        SKIP(193);
      if (('1' <= lookahead && lookahead <= '9'))
        ADVANCE(110);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          ('_' <= lookahead && lookahead <= 'z'))
        ADVANCE(111);
      END_STATE();
    case 194:
      if (lookahead == '"')
        ADVANCE(2);
      if (lookahead == ',')
        ADVANCE(195);
      if (lookahead == '\\')
        ADVANCE(196);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ')
        ADVANCE(195);
      if (lookahead != 0)
        ADVANCE(197);
      END_STATE();
    case 195:
      ACCEPT_TOKEN(aux_sym__string_token1);
      if (lookahead == ',')
        ADVANCE(195);
      if (lookahead == '\\')
        ADVANCE(196);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ')
        ADVANCE(195);
      if (lookahead != 0 &&
          lookahead != '"')
        ADVANCE(197);
      END_STATE();
    case 196:
      ACCEPT_TOKEN(aux_sym__string_token1);
      if (lookahead == '"')
        ADVANCE(51);
      END_STATE();
    case 197:
      ACCEPT_TOKEN(aux_sym__string_token1);
      END_STATE();
    case 198:
      if (lookahead == '"')
        ADVANCE(2);
      if (lookahead == '#')
        ADVANCE(3);
      if (lookahead == '%')
        ADVANCE(4);
      if (lookahead == '\'')
        ADVANCE(5);
      if (lookahead == '(')
        ADVANCE(6);
      if (lookahead == '+')
        ADVANCE(98);
      if (lookahead == ',')
        SKIP(198);
      if (lookahead == '-')
        ADVANCE(99);
      if (lookahead == '.')
        ADVANCE(100);
      if (lookahead == '0')
        ADVANCE(101);
      if (lookahead == ':')
        ADVANCE(12);
      if (lookahead == ';')
        ADVANCE(13);
      if (lookahead == '@')
        ADVANCE(14);
      if (lookahead == '[')
        ADVANCE(17);
      if (lookahead == '\\')
        ADVANCE(102);
      if (lookahead == '^')
        ADVANCE(20);
      if (lookahead == '`')
        ADVANCE(21);
      if (lookahead == 'a')
        ADVANCE(103);
      if (lookahead == 'c')
        ADVANCE(104);
      if (lookahead == 'f')
        ADVANCE(105);
      if (lookahead == 'n')
        ADVANCE(106);
      if (lookahead == 's')
        ADVANCE(107);
      if (lookahead == 't')
        ADVANCE(108);
      if (lookahead == '{')
        ADVANCE(28);
      if (lookahead == '}')
        ADVANCE(29);
      if (lookahead == '~')
        ADVANCE(30);
      if (lookahead == '!' ||
          lookahead == '*' ||
          lookahead == '?')
        ADVANCE(109);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ')
        SKIP(198);
      if (('1' <= lookahead && lookahead <= '9'))
        ADVANCE(110);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          ('_' <= lookahead && lookahead <= 'z'))
        ADVANCE(111);
      END_STATE();
    case 199:
      if (lookahead == '"')
        ADVANCE(2);
      if (lookahead == '#')
        ADVANCE(3);
      if (lookahead == '%')
        ADVANCE(4);
      if (lookahead == '\'')
        ADVANCE(5);
      if (lookahead == '(')
        ADVANCE(6);
      if (lookahead == ')')
        ADVANCE(7);
      if (lookahead == '+')
        ADVANCE(98);
      if (lookahead == ',')
        SKIP(199);
      if (lookahead == '-')
        ADVANCE(99);
      if (lookahead == '.')
        ADVANCE(100);
      if (lookahead == '0')
        ADVANCE(101);
      if (lookahead == ':')
        ADVANCE(12);
      if (lookahead == ';')
        ADVANCE(13);
      if (lookahead == '@')
        ADVANCE(14);
      if (lookahead == '[')
        ADVANCE(17);
      if (lookahead == '\\')
        ADVANCE(102);
      if (lookahead == '^')
        ADVANCE(20);
      if (lookahead == '`')
        ADVANCE(21);
      if (lookahead == 'a')
        ADVANCE(103);
      if (lookahead == 'c')
        ADVANCE(200);
      if (lookahead == 'd')
        ADVANCE(201);
      if (lookahead == 'f')
        ADVANCE(202);
      if (lookahead == 'n')
        ADVANCE(106);
      if (lookahead == 's')
        ADVANCE(107);
      if (lookahead == 't')
        ADVANCE(108);
      if (lookahead == '{')
        ADVANCE(28);
      if (lookahead == '~')
        ADVANCE(30);
      if (lookahead == '!' ||
          lookahead == '*' ||
          lookahead == '?')
        ADVANCE(109);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ')
        SKIP(199);
      if (('1' <= lookahead && lookahead <= '9'))
        ADVANCE(110);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          ('_' <= lookahead && lookahead <= 'z'))
        ADVANCE(111);
      END_STATE();
    case 200:
      ACCEPT_TOKEN(sym__symbol_chars);
      if (lookahead == '#')
        ADVANCE(112);
      if (lookahead == '.')
        ADVANCE(125);
      if (lookahead == 'o')
        ADVANCE(203);
      if (lookahead == '!' ||
          lookahead == '\'' ||
          lookahead == '*' ||
          lookahead == '+' ||
          lookahead == '-' ||
          lookahead == ':' ||
          lookahead == '?')
        ADVANCE(109);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z'))
        ADVANCE(111);
      END_STATE();
    case 201:
      ACCEPT_TOKEN(sym__symbol_chars);
      if (lookahead == '#')
        ADVANCE(112);
      if (lookahead == '.')
        ADVANCE(125);
      if (lookahead == 'e')
        ADVANCE(204);
      if (lookahead == '!' ||
          lookahead == '\'' ||
          lookahead == '*' ||
          lookahead == '+' ||
          lookahead == '-' ||
          lookahead == ':' ||
          lookahead == '?')
        ADVANCE(109);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z'))
        ADVANCE(111);
      END_STATE();
    case 202:
      ACCEPT_TOKEN(sym__symbol_chars);
      if (lookahead == '#')
        ADVANCE(112);
      if (lookahead == '.')
        ADVANCE(125);
      if (lookahead == 'a')
        ADVANCE(128);
      if (lookahead == 'n')
        ADVANCE(205);
      if (lookahead == '!' ||
          lookahead == '\'' ||
          lookahead == '*' ||
          lookahead == '+' ||
          lookahead == '-' ||
          lookahead == ':' ||
          lookahead == '?')
        ADVANCE(109);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('b' <= lookahead && lookahead <= 'z'))
        ADVANCE(111);
      END_STATE();
    case 203:
      ACCEPT_TOKEN(sym__symbol_chars);
      if (lookahead == '#')
        ADVANCE(112);
      if (lookahead == '.')
        ADVANCE(125);
      if (lookahead == 'm')
        ADVANCE(206);
      if (lookahead == 'n')
        ADVANCE(148);
      if (lookahead == '!' ||
          lookahead == '\'' ||
          lookahead == '*' ||
          lookahead == '+' ||
          lookahead == '-' ||
          lookahead == ':' ||
          lookahead == '?')
        ADVANCE(109);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z'))
        ADVANCE(111);
      END_STATE();
    case 204:
      ACCEPT_TOKEN(sym__symbol_chars);
      if (lookahead == '#')
        ADVANCE(112);
      if (lookahead == '.')
        ADVANCE(125);
      if (lookahead == 'f')
        ADVANCE(207);
      if (lookahead == '!' ||
          lookahead == '\'' ||
          lookahead == '*' ||
          lookahead == '+' ||
          lookahead == '-' ||
          lookahead == ':' ||
          lookahead == '?')
        ADVANCE(109);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z'))
        ADVANCE(111);
      END_STATE();
    case 205:
      ACCEPT_TOKEN(anon_sym_fn);
      if (lookahead == '#')
        ADVANCE(112);
      if (lookahead == '.')
        ADVANCE(125);
      if (lookahead == '!' ||
          lookahead == '\'' ||
          lookahead == '*' ||
          lookahead == '+' ||
          lookahead == '-' ||
          lookahead == ':' ||
          lookahead == '?')
        ADVANCE(109);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z'))
        ADVANCE(111);
      END_STATE();
    case 206:
      ACCEPT_TOKEN(sym__symbol_chars);
      if (lookahead == '#')
        ADVANCE(112);
      if (lookahead == '.')
        ADVANCE(125);
      if (lookahead == 'm')
        ADVANCE(208);
      if (lookahead == '!' ||
          lookahead == '\'' ||
          lookahead == '*' ||
          lookahead == '+' ||
          lookahead == '-' ||
          lookahead == ':' ||
          lookahead == '?')
        ADVANCE(109);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z'))
        ADVANCE(111);
      END_STATE();
    case 207:
      ACCEPT_TOKEN(sym__symbol_chars);
      if (lookahead == '#')
        ADVANCE(112);
      if (lookahead == '.')
        ADVANCE(125);
      if (lookahead == 'n')
        ADVANCE(209);
      if (lookahead == '!' ||
          lookahead == '\'' ||
          lookahead == '*' ||
          lookahead == '+' ||
          lookahead == '-' ||
          lookahead == ':' ||
          lookahead == '?')
        ADVANCE(109);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z'))
        ADVANCE(111);
      END_STATE();
    case 208:
      ACCEPT_TOKEN(sym__symbol_chars);
      if (lookahead == '#')
        ADVANCE(112);
      if (lookahead == '.')
        ADVANCE(125);
      if (lookahead == 'e')
        ADVANCE(210);
      if (lookahead == '!' ||
          lookahead == '\'' ||
          lookahead == '*' ||
          lookahead == '+' ||
          lookahead == '-' ||
          lookahead == ':' ||
          lookahead == '?')
        ADVANCE(109);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z'))
        ADVANCE(111);
      END_STATE();
    case 209:
      ACCEPT_TOKEN(anon_sym_defn);
      if (lookahead == '#')
        ADVANCE(112);
      if (lookahead == '-')
        ADVANCE(211);
      if (lookahead == '.')
        ADVANCE(125);
      if (lookahead == '!' ||
          lookahead == '\'' ||
          lookahead == '*' ||
          lookahead == '+' ||
          lookahead == ':' ||
          lookahead == '?')
        ADVANCE(109);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z'))
        ADVANCE(111);
      END_STATE();
    case 210:
      ACCEPT_TOKEN(sym__symbol_chars);
      if (lookahead == '#')
        ADVANCE(112);
      if (lookahead == '.')
        ADVANCE(125);
      if (lookahead == 'n')
        ADVANCE(212);
      if (lookahead == '!' ||
          lookahead == '\'' ||
          lookahead == '*' ||
          lookahead == '+' ||
          lookahead == '-' ||
          lookahead == ':' ||
          lookahead == '?')
        ADVANCE(109);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z'))
        ADVANCE(111);
      END_STATE();
    case 211:
      ACCEPT_TOKEN(anon_sym_defn_DASH);
      if (lookahead == '#')
        ADVANCE(112);
      if (lookahead == '!' ||
          lookahead == '\'' ||
          lookahead == '*' ||
          lookahead == '+' ||
          lookahead == '-' ||
          ('0' <= lookahead && lookahead <= ':') ||
          lookahead == '?' ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z'))
        ADVANCE(109);
      END_STATE();
    case 212:
      ACCEPT_TOKEN(sym__symbol_chars);
      if (lookahead == '#')
        ADVANCE(112);
      if (lookahead == '.')
        ADVANCE(125);
      if (lookahead == 't')
        ADVANCE(213);
      if (lookahead == '!' ||
          lookahead == '\'' ||
          lookahead == '*' ||
          lookahead == '+' ||
          lookahead == '-' ||
          lookahead == ':' ||
          lookahead == '?')
        ADVANCE(109);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z'))
        ADVANCE(111);
      END_STATE();
    case 213:
      ACCEPT_TOKEN(anon_sym_comment);
      if (lookahead == '#')
        ADVANCE(112);
      if (lookahead == '.')
        ADVANCE(125);
      if (lookahead == '!' ||
          lookahead == '\'' ||
          lookahead == '*' ||
          lookahead == '+' ||
          lookahead == '-' ||
          lookahead == ':' ||
          lookahead == '?')
        ADVANCE(109);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z'))
        ADVANCE(111);
      END_STATE();
    case 214:
      if (lookahead == '"')
        ADVANCE(2);
      if (lookahead == '#')
        ADVANCE(215);
      if (lookahead == '(')
        ADVANCE(216);
      if (lookahead == ')')
        ADVANCE(7);
      if (lookahead == ',')
        SKIP(214);
      if (lookahead == '-')
        ADVANCE(217);
      if (lookahead == '/')
        ADVANCE(11);
      if (lookahead == '[')
        ADVANCE(17);
      if (lookahead == '^')
        ADVANCE(20);
      if (lookahead == 'a')
        ADVANCE(218);
      if (lookahead == 'c')
        ADVANCE(219);
      if (lookahead == 's')
        ADVANCE(220);
      if (lookahead == '{')
        ADVANCE(28);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ')
        SKIP(214);
      if (lookahead == '!' ||
          lookahead == '*' ||
          lookahead == '+' ||
          lookahead == '?' ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('b' <= lookahead && lookahead <= 'z'))
        ADVANCE(221);
      END_STATE();
    case 215:
      if (lookahead == ':')
        ADVANCE(38);
      if (lookahead == '{')
        ADVANCE(41);
      END_STATE();
    case 216:
      ACCEPT_TOKEN(anon_sym_LPAREN);
      END_STATE();
    case 217:
      ACCEPT_TOKEN(sym__symbol_chars);
      if (lookahead == '>')
        ADVANCE(44);
      if (lookahead == '!' ||
          lookahead == '\'' ||
          lookahead == '*' ||
          lookahead == '+' ||
          lookahead == '-' ||
          ('0' <= lookahead && lookahead <= ':') ||
          lookahead == '?' ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z'))
        ADVANCE(221);
      END_STATE();
    case 218:
      ACCEPT_TOKEN(sym__symbol_chars);
      if (lookahead == 's')
        ADVANCE(222);
      if (lookahead == '!' ||
          lookahead == '\'' ||
          lookahead == '*' ||
          lookahead == '+' ||
          lookahead == '-' ||
          ('0' <= lookahead && lookahead <= ':') ||
          lookahead == '?' ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z'))
        ADVANCE(221);
      END_STATE();
    case 219:
      ACCEPT_TOKEN(sym__symbol_chars);
      if (lookahead == 'o')
        ADVANCE(223);
      if (lookahead == '!' ||
          lookahead == '\'' ||
          lookahead == '*' ||
          lookahead == '+' ||
          lookahead == '-' ||
          ('0' <= lookahead && lookahead <= ':') ||
          lookahead == '?' ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z'))
        ADVANCE(221);
      END_STATE();
    case 220:
      ACCEPT_TOKEN(sym__symbol_chars);
      if (lookahead == 'o')
        ADVANCE(224);
      if (lookahead == '!' ||
          lookahead == '\'' ||
          lookahead == '*' ||
          lookahead == '+' ||
          lookahead == '-' ||
          ('0' <= lookahead && lookahead <= ':') ||
          lookahead == '?' ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z'))
        ADVANCE(221);
      END_STATE();
    case 221:
      ACCEPT_TOKEN(sym__symbol_chars);
      if (lookahead == '!' ||
          lookahead == '\'' ||
          lookahead == '*' ||
          lookahead == '+' ||
          lookahead == '-' ||
          ('0' <= lookahead && lookahead <= ':') ||
          lookahead == '?' ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z'))
        ADVANCE(221);
      END_STATE();
    case 222:
      ACCEPT_TOKEN(sym__symbol_chars);
      if (lookahead == '-')
        ADVANCE(225);
      if (lookahead == '!' ||
          lookahead == '\'' ||
          lookahead == '*' ||
          lookahead == '+' ||
          ('0' <= lookahead && lookahead <= ':') ||
          lookahead == '?' ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z'))
        ADVANCE(221);
      END_STATE();
    case 223:
      ACCEPT_TOKEN(sym__symbol_chars);
      if (lookahead == 'n')
        ADVANCE(226);
      if (lookahead == '!' ||
          lookahead == '\'' ||
          lookahead == '*' ||
          lookahead == '+' ||
          lookahead == '-' ||
          ('0' <= lookahead && lookahead <= ':') ||
          lookahead == '?' ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z'))
        ADVANCE(221);
      END_STATE();
    case 224:
      ACCEPT_TOKEN(sym__symbol_chars);
      if (lookahead == 'm')
        ADVANCE(227);
      if (lookahead == '!' ||
          lookahead == '\'' ||
          lookahead == '*' ||
          lookahead == '+' ||
          lookahead == '-' ||
          ('0' <= lookahead && lookahead <= ':') ||
          lookahead == '?' ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z'))
        ADVANCE(221);
      END_STATE();
    case 225:
      ACCEPT_TOKEN(sym__symbol_chars);
      if (lookahead == '>')
        ADVANCE(165);
      if (lookahead == '!' ||
          lookahead == '\'' ||
          lookahead == '*' ||
          lookahead == '+' ||
          lookahead == '-' ||
          ('0' <= lookahead && lookahead <= ':') ||
          lookahead == '?' ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z'))
        ADVANCE(221);
      END_STATE();
    case 226:
      ACCEPT_TOKEN(sym__symbol_chars);
      if (lookahead == 'd')
        ADVANCE(228);
      if (lookahead == '!' ||
          lookahead == '\'' ||
          lookahead == '*' ||
          lookahead == '+' ||
          lookahead == '-' ||
          ('0' <= lookahead && lookahead <= ':') ||
          lookahead == '?' ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z'))
        ADVANCE(221);
      END_STATE();
    case 227:
      ACCEPT_TOKEN(sym__symbol_chars);
      if (lookahead == 'e')
        ADVANCE(229);
      if (lookahead == '!' ||
          lookahead == '\'' ||
          lookahead == '*' ||
          lookahead == '+' ||
          lookahead == '-' ||
          ('0' <= lookahead && lookahead <= ':') ||
          lookahead == '?' ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z'))
        ADVANCE(221);
      END_STATE();
    case 228:
      ACCEPT_TOKEN(sym__symbol_chars);
      if (lookahead == '-')
        ADVANCE(230);
      if (lookahead == '!' ||
          lookahead == '\'' ||
          lookahead == '*' ||
          lookahead == '+' ||
          ('0' <= lookahead && lookahead <= ':') ||
          lookahead == '?' ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z'))
        ADVANCE(221);
      END_STATE();
    case 229:
      ACCEPT_TOKEN(sym__symbol_chars);
      if (lookahead == '-')
        ADVANCE(231);
      if (lookahead == '!' ||
          lookahead == '\'' ||
          lookahead == '*' ||
          lookahead == '+' ||
          ('0' <= lookahead && lookahead <= ':') ||
          lookahead == '?' ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z'))
        ADVANCE(221);
      END_STATE();
    case 230:
      ACCEPT_TOKEN(sym__symbol_chars);
      if (lookahead == '>')
        ADVANCE(181);
      if (lookahead == '!' ||
          lookahead == '\'' ||
          lookahead == '*' ||
          lookahead == '+' ||
          lookahead == '-' ||
          ('0' <= lookahead && lookahead <= ':') ||
          lookahead == '?' ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z'))
        ADVANCE(221);
      END_STATE();
    case 231:
      ACCEPT_TOKEN(sym__symbol_chars);
      if (lookahead == '>')
        ADVANCE(94);
      if (lookahead == '!' ||
          lookahead == '\'' ||
          lookahead == '*' ||
          lookahead == '+' ||
          lookahead == '-' ||
          ('0' <= lookahead && lookahead <= ':') ||
          lookahead == '?' ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z'))
        ADVANCE(221);
      END_STATE();
    case 232:
      if (lookahead == '"')
        ADVANCE(2);
      if (lookahead == '#')
        ADVANCE(3);
      if (lookahead == '%')
        ADVANCE(4);
      if (lookahead == '\'')
        ADVANCE(5);
      if (lookahead == '(')
        ADVANCE(6);
      if (lookahead == '+')
        ADVANCE(98);
      if (lookahead == ',')
        SKIP(232);
      if (lookahead == '-')
        ADVANCE(99);
      if (lookahead == '.')
        ADVANCE(100);
      if (lookahead == '0')
        ADVANCE(101);
      if (lookahead == ':')
        ADVANCE(12);
      if (lookahead == ';')
        ADVANCE(13);
      if (lookahead == '@')
        ADVANCE(14);
      if (lookahead == '[')
        ADVANCE(17);
      if (lookahead == '\\')
        ADVANCE(102);
      if (lookahead == ']')
        ADVANCE(19);
      if (lookahead == '^')
        ADVANCE(20);
      if (lookahead == '`')
        ADVANCE(21);
      if (lookahead == 'a')
        ADVANCE(103);
      if (lookahead == 'c')
        ADVANCE(104);
      if (lookahead == 'f')
        ADVANCE(105);
      if (lookahead == 'n')
        ADVANCE(106);
      if (lookahead == 's')
        ADVANCE(107);
      if (lookahead == 't')
        ADVANCE(108);
      if (lookahead == '{')
        ADVANCE(28);
      if (lookahead == '~')
        ADVANCE(30);
      if (lookahead == '!' ||
          lookahead == '*' ||
          lookahead == '?')
        ADVANCE(109);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ')
        SKIP(232);
      if (('1' <= lookahead && lookahead <= '9'))
        ADVANCE(110);
      if (('A' <= lookahead && lookahead <= 'z'))
        ADVANCE(111);
      END_STATE();
    case 233:
      if (lookahead == '\n')
        SKIP(233);
      if (lookahead == ',')
        ADVANCE(234);
      if (lookahead == 'b')
        ADVANCE(235);
      if (lookahead == 'f')
        ADVANCE(236);
      if (lookahead == 'n')
        ADVANCE(237);
      if (lookahead == 'o')
        ADVANCE(23);
      if (lookahead == 'r')
        ADVANCE(238);
      if (lookahead == 's')
        ADVANCE(239);
      if (lookahead == 't')
        ADVANCE(240);
      if (lookahead == 'u')
        ADVANCE(27);
      if (lookahead == '\t' ||
          lookahead == '\r' ||
          lookahead == ' ')
        ADVANCE(234);
      if (lookahead != 0)
        ADVANCE(241);
      END_STATE();
    case 234:
      ACCEPT_TOKEN(sym__normal_char);
      if (lookahead == ',')
        ADVANCE(234);
      if (lookahead == 'b')
        ADVANCE(235);
      if (lookahead == 'f')
        ADVANCE(236);
      if (lookahead == 'n')
        ADVANCE(237);
      if (lookahead == 'o')
        ADVANCE(23);
      if (lookahead == 'r')
        ADVANCE(238);
      if (lookahead == 's')
        ADVANCE(239);
      if (lookahead == 't')
        ADVANCE(240);
      if (lookahead == 'u')
        ADVANCE(27);
      if (lookahead == '\t' ||
          lookahead == '\r' ||
          lookahead == ' ')
        ADVANCE(234);
      if (lookahead != 0 &&
          lookahead != '\n')
        ADVANCE(241);
      END_STATE();
    case 235:
      ACCEPT_TOKEN(sym__normal_char);
      if (lookahead == 'a')
        ADVANCE(242);
      END_STATE();
    case 236:
      ACCEPT_TOKEN(sym__normal_char);
      if (lookahead == 'o')
        ADVANCE(243);
      END_STATE();
    case 237:
      ACCEPT_TOKEN(sym__normal_char);
      if (lookahead == 'e')
        ADVANCE(54);
      END_STATE();
    case 238:
      ACCEPT_TOKEN(sym__normal_char);
      if (lookahead == 'e')
        ADVANCE(56);
      END_STATE();
    case 239:
      ACCEPT_TOKEN(sym__normal_char);
      if (lookahead == 'p')
        ADVANCE(58);
      END_STATE();
    case 240:
      ACCEPT_TOKEN(sym__normal_char);
      if (lookahead == 'a')
        ADVANCE(59);
      END_STATE();
    case 241:
      ACCEPT_TOKEN(sym__normal_char);
      END_STATE();
    case 242:
      if (lookahead == 'c')
        ADVANCE(244);
      END_STATE();
    case 243:
      if (lookahead == 'r')
        ADVANCE(245);
      END_STATE();
    case 244:
      if (lookahead == 'k')
        ADVANCE(246);
      END_STATE();
    case 245:
      if (lookahead == 'm')
        ADVANCE(247);
      END_STATE();
    case 246:
      if (lookahead == 's')
        ADVANCE(248);
      END_STATE();
    case 247:
      if (lookahead == 'f')
        ADVANCE(249);
      END_STATE();
    case 248:
      if (lookahead == 'p')
        ADVANCE(250);
      END_STATE();
    case 249:
      if (lookahead == 'e')
        ADVANCE(251);
      END_STATE();
    case 250:
      if (lookahead == 'a')
        ADVANCE(252);
      END_STATE();
    case 251:
      if (lookahead == 'e')
        ADVANCE(253);
      END_STATE();
    case 252:
      if (lookahead == 'c')
        ADVANCE(254);
      END_STATE();
    case 253:
      if (lookahead == 'd')
        ADVANCE(255);
      END_STATE();
    case 254:
      if (lookahead == 'e')
        ADVANCE(256);
      END_STATE();
    case 255:
      ACCEPT_TOKEN(anon_sym_formfeed);
      END_STATE();
    case 256:
      ACCEPT_TOKEN(anon_sym_backspace);
      END_STATE();
    case 257:
      if (lookahead == ',')
        SKIP(257);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ')
        SKIP(257);
      if (('0' <= lookahead && lookahead <= '3'))
        ADVANCE(258);
      if (('4' <= lookahead && lookahead <= '7'))
        ADVANCE(259);
      END_STATE();
    case 258:
      ACCEPT_TOKEN(aux_sym__octal_num_token3);
      if (('0' <= lookahead && lookahead <= '7'))
        ADVANCE(260);
      END_STATE();
    case 259:
      ACCEPT_TOKEN(aux_sym__octal_num_token3);
      if (('0' <= lookahead && lookahead <= '7'))
        ADVANCE(261);
      END_STATE();
    case 260:
      ACCEPT_TOKEN(aux_sym__octal_num_token2);
      if (('0' <= lookahead && lookahead <= '7'))
        ADVANCE(262);
      END_STATE();
    case 261:
      ACCEPT_TOKEN(aux_sym__octal_num_token2);
      END_STATE();
    case 262:
      ACCEPT_TOKEN(aux_sym__octal_num_token1);
      END_STATE();
    case 263:
      if (lookahead == ',')
        SKIP(263);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ')
        SKIP(263);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f'))
        ADVANCE(32);
      END_STATE();
    default:
      return false;
  }
}

static TSLexMode ts_lex_modes[STATE_COUNT] = {
  [0] = {.lex_state = 0},
  [1] = {.lex_state = 97},
  [2] = {.lex_state = 97},
  [3] = {.lex_state = 97},
  [4] = {.lex_state = 183},
  [5] = {.lex_state = 187},
  [6] = {.lex_state = 97},
  [7] = {.lex_state = 97},
  [8] = {.lex_state = 189},
  [9] = {.lex_state = 97},
  [10] = {.lex_state = 191},
  [11] = {.lex_state = 97},
  [12] = {.lex_state = 97},
  [13] = {.lex_state = 193},
  [14] = {.lex_state = 187},
  [15] = {.lex_state = 194},
  [16] = {.lex_state = 97},
  [17] = {.lex_state = 187},
  [18] = {.lex_state = 198},
  [19] = {.lex_state = 198},
  [20] = {.lex_state = 199},
  [21] = {.lex_state = 97},
  [22] = {.lex_state = 214},
  [23] = {.lex_state = 97},
  [24] = {.lex_state = 198},
  [25] = {.lex_state = 189},
  [26] = {.lex_state = 97},
  [27] = {.lex_state = 232},
  [28] = {.lex_state = 233},
  [29] = {.lex_state = 214},
  [30] = {.lex_state = 214},
  [31] = {.lex_state = 97},
  [32] = {.lex_state = 194},
  [33] = {.lex_state = 214},
  [34] = {.lex_state = 97},
  [35] = {.lex_state = 97},
  [36] = {.lex_state = 97},
  [37] = {.lex_state = 97},
  [38] = {.lex_state = 97},
  [39] = {.lex_state = 214},
  [40] = {.lex_state = 214},
  [41] = {.lex_state = 97},
  [42] = {.lex_state = 97},
  [43] = {.lex_state = 97},
  [44] = {.lex_state = 97},
  [45] = {.lex_state = 97},
  [46] = {.lex_state = 0},
  [47] = {.lex_state = 97},
  [48] = {.lex_state = 97},
  [49] = {.lex_state = 97},
  [50] = {.lex_state = 97},
  [51] = {.lex_state = 214},
  [52] = {.lex_state = 214},
  [53] = {.lex_state = 214},
  [54] = {.lex_state = 97},
  [55] = {.lex_state = 183},
  [56] = {.lex_state = 187},
  [57] = {.lex_state = 97},
  [58] = {.lex_state = 97},
  [59] = {.lex_state = 189},
  [60] = {.lex_state = 193},
  [61] = {.lex_state = 191},
  [62] = {.lex_state = 193},
  [63] = {.lex_state = 193},
  [64] = {.lex_state = 193},
  [65] = {.lex_state = 97},
  [66] = {.lex_state = 187},
  [67] = {.lex_state = 198},
  [68] = {.lex_state = 198},
  [69] = {.lex_state = 199},
  [70] = {.lex_state = 97},
  [71] = {.lex_state = 214},
  [72] = {.lex_state = 97},
  [73] = {.lex_state = 198},
  [74] = {.lex_state = 189},
  [75] = {.lex_state = 214},
  [76] = {.lex_state = 232},
  [77] = {.lex_state = 233},
  [78] = {.lex_state = 214},
  [79] = {.lex_state = 97},
  [80] = {.lex_state = 194},
  [81] = {.lex_state = 214},
  [82] = {.lex_state = 193},
  [83] = {.lex_state = 214},
  [84] = {.lex_state = 193},
  [85] = {.lex_state = 193},
  [86] = {.lex_state = 193},
  [87] = {.lex_state = 193},
  [88] = {.lex_state = 193},
  [89] = {.lex_state = 214},
  [90] = {.lex_state = 214},
  [91] = {.lex_state = 193},
  [92] = {.lex_state = 214},
  [93] = {.lex_state = 214},
  [94] = {.lex_state = 193},
  [95] = {.lex_state = 193},
  [96] = {.lex_state = 214},
  [97] = {.lex_state = 193},
  [98] = {.lex_state = 97},
  [99] = {.lex_state = 183},
  [100] = {.lex_state = 97},
  [101] = {.lex_state = 198},
  [102] = {.lex_state = 97},
  [103] = {.lex_state = 97},
  [104] = {.lex_state = 97},
  [105] = {.lex_state = 97},
  [106] = {.lex_state = 97},
  [107] = {.lex_state = 97},
  [108] = {.lex_state = 97},
  [109] = {.lex_state = 97},
  [110] = {.lex_state = 97},
  [111] = {.lex_state = 193},
  [112] = {.lex_state = 214},
  [113] = {.lex_state = 194},
  [114] = {.lex_state = 97},
  [115] = {.lex_state = 97},
  [116] = {.lex_state = 97},
  [117] = {.lex_state = 97},
  [118] = {.lex_state = 97},
  [119] = {.lex_state = 97},
  [120] = {.lex_state = 97},
  [121] = {.lex_state = 97},
  [122] = {.lex_state = 198},
  [123] = {.lex_state = 97},
  [124] = {.lex_state = 97},
  [125] = {.lex_state = 97},
  [126] = {.lex_state = 97},
  [127] = {.lex_state = 97},
  [128] = {.lex_state = 97},
  [129] = {.lex_state = 198},
  [130] = {.lex_state = 97},
  [131] = {.lex_state = 193},
  [132] = {.lex_state = 97},
  [133] = {.lex_state = 214},
  [134] = {.lex_state = 214},
  [135] = {.lex_state = 193},
  [136] = {.lex_state = 97},
  [137] = {.lex_state = 193},
  [138] = {.lex_state = 97},
  [139] = {.lex_state = 97},
  [140] = {.lex_state = 97},
  [141] = {.lex_state = 198},
  [142] = {.lex_state = 97},
  [143] = {.lex_state = 214},
  [144] = {.lex_state = 97},
  [145] = {.lex_state = 97},
  [146] = {.lex_state = 97},
  [147] = {.lex_state = 97},
  [148] = {.lex_state = 97},
  [149] = {.lex_state = 97},
  [150] = {.lex_state = 232},
  [151] = {.lex_state = 257},
  [152] = {.lex_state = 97},
  [153] = {.lex_state = 263},
  [154] = {.lex_state = 97},
  [155] = {.lex_state = 214},
  [156] = {.lex_state = 97},
  [157] = {.lex_state = 97},
  [158] = {.lex_state = 194},
  [159] = {.lex_state = 97},
  [160] = {.lex_state = 97},
  [161] = {.lex_state = 193},
  [162] = {.lex_state = 214},
  [163] = {.lex_state = 214},
  [164] = {.lex_state = 97},
  [165] = {.lex_state = 97},
  [166] = {.lex_state = 193},
  [167] = {.lex_state = 193},
  [168] = {.lex_state = 183},
  [169] = {.lex_state = 193},
  [170] = {.lex_state = 198},
  [171] = {.lex_state = 193},
  [172] = {.lex_state = 193},
  [173] = {.lex_state = 193},
  [174] = {.lex_state = 193},
  [175] = {.lex_state = 193},
  [176] = {.lex_state = 193},
  [177] = {.lex_state = 193},
  [178] = {.lex_state = 193},
  [179] = {.lex_state = 198},
  [180] = {.lex_state = 214},
  [181] = {.lex_state = 198},
  [182] = {.lex_state = 193},
  [183] = {.lex_state = 193},
  [184] = {.lex_state = 214},
  [185] = {.lex_state = 214},
  [186] = {.lex_state = 193},
  [187] = {.lex_state = 193},
  [188] = {.lex_state = 193},
  [189] = {.lex_state = 193},
  [190] = {.lex_state = 193},
  [191] = {.lex_state = 214},
  [192] = {.lex_state = 198},
  [193] = {.lex_state = 193},
  [194] = {.lex_state = 214},
  [195] = {.lex_state = 193},
  [196] = {.lex_state = 232},
  [197] = {.lex_state = 257},
  [198] = {.lex_state = 193},
  [199] = {.lex_state = 263},
  [200] = {.lex_state = 193},
  [201] = {.lex_state = 193},
  [202] = {.lex_state = 214},
  [203] = {.lex_state = 194},
  [204] = {.lex_state = 193},
  [205] = {.lex_state = 193},
  [206] = {.lex_state = 193},
  [207] = {.lex_state = 193},
  [208] = {.lex_state = 97},
  [209] = {.lex_state = 97},
  [210] = {.lex_state = 183},
  [211] = {.lex_state = 97},
  [212] = {.lex_state = 198},
  [213] = {.lex_state = 97},
  [214] = {.lex_state = 193},
  [215] = {.lex_state = 214},
  [216] = {.lex_state = 194},
  [217] = {.lex_state = 187},
  [218] = {.lex_state = 97},
  [219] = {.lex_state = 198},
  [220] = {.lex_state = 97},
  [221] = {.lex_state = 198},
  [222] = {.lex_state = 198},
  [223] = {.lex_state = 97},
  [224] = {.lex_state = 193},
  [225] = {.lex_state = 97},
  [226] = {.lex_state = 193},
  [227] = {.lex_state = 214},
  [228] = {.lex_state = 214},
  [229] = {.lex_state = 214},
  [230] = {.lex_state = 193},
  [231] = {.lex_state = 193},
  [232] = {.lex_state = 214},
  [233] = {.lex_state = 214},
  [234] = {.lex_state = 214},
  [235] = {.lex_state = 214},
  [236] = {.lex_state = 214},
  [237] = {.lex_state = 97},
  [238] = {.lex_state = 97},
  [239] = {.lex_state = 97},
  [240] = {.lex_state = 232},
  [241] = {.lex_state = 97},
  [242] = {.lex_state = 263},
  [243] = {.lex_state = 97},
  [244] = {.lex_state = 97},
  [245] = {.lex_state = 193},
  [246] = {.lex_state = 97},
  [247] = {.lex_state = 193},
  [248] = {.lex_state = 193},
  [249] = {.lex_state = 214},
  [250] = {.lex_state = 198},
  [251] = {.lex_state = 193},
  [252] = {.lex_state = 187},
  [253] = {.lex_state = 193},
  [254] = {.lex_state = 214},
  [255] = {.lex_state = 193},
  [256] = {.lex_state = 193},
  [257] = {.lex_state = 193},
  [258] = {.lex_state = 214},
  [259] = {.lex_state = 214},
  [260] = {.lex_state = 214},
  [261] = {.lex_state = 193},
  [262] = {.lex_state = 214},
  [263] = {.lex_state = 193},
  [264] = {.lex_state = 193},
  [265] = {.lex_state = 263},
  [266] = {.lex_state = 214},
  [267] = {.lex_state = 193},
  [268] = {.lex_state = 193},
  [269] = {.lex_state = 97},
  [270] = {.lex_state = 97},
  [271] = {.lex_state = 97},
  [272] = {.lex_state = 193},
  [273] = {.lex_state = 97},
  [274] = {.lex_state = 193},
  [275] = {.lex_state = 214},
  [276] = {.lex_state = 193},
  [277] = {.lex_state = 193},
  [278] = {.lex_state = 198},
  [279] = {.lex_state = 97},
  [280] = {.lex_state = 198},
  [281] = {.lex_state = 214},
  [282] = {.lex_state = 214},
  [283] = {.lex_state = 214},
  [284] = {.lex_state = 214},
  [285] = {.lex_state = 214},
  [286] = {.lex_state = 214},
  [287] = {.lex_state = 193},
  [288] = {.lex_state = 214},
  [289] = {.lex_state = 214},
  [290] = {.lex_state = 263},
  [291] = {.lex_state = 97},
  [292] = {.lex_state = 193},
  [293] = {.lex_state = 97},
  [294] = {.lex_state = 97},
  [295] = {.lex_state = 97},
  [296] = {.lex_state = 97},
  [297] = {.lex_state = 97},
  [298] = {.lex_state = 193},
  [299] = {.lex_state = 214},
  [300] = {.lex_state = 193},
  [301] = {.lex_state = 193},
  [302] = {.lex_state = 193},
  [303] = {.lex_state = 193},
  [304] = {.lex_state = 214},
  [305] = {.lex_state = 214},
  [306] = {.lex_state = 193},
  [307] = {.lex_state = 214},
  [308] = {.lex_state = 263},
  [309] = {.lex_state = 193},
  [310] = {.lex_state = 214},
  [311] = {.lex_state = 97},
  [312] = {.lex_state = 214},
  [313] = {.lex_state = 198},
  [314] = {.lex_state = 198},
  [315] = {.lex_state = 214},
  [316] = {.lex_state = 198},
  [317] = {.lex_state = 214},
  [318] = {.lex_state = 193},
  [319] = {.lex_state = 97},
  [320] = {.lex_state = 214},
  [321] = {.lex_state = 263},
  [322] = {.lex_state = 193},
  [323] = {.lex_state = 214},
  [324] = {.lex_state = 193},
  [325] = {.lex_state = 193},
  [326] = {.lex_state = 214},
  [327] = {.lex_state = 263},
  [328] = {.lex_state = 214},
  [329] = {.lex_state = 198},
  [330] = {.lex_state = 214},
  [331] = {.lex_state = 193},
  [332] = {.lex_state = 97},
  [333] = {.lex_state = 214},
  [334] = {.lex_state = 97},
  [335] = {.lex_state = 193},
  [336] = {.lex_state = 193},
  [337] = {.lex_state = 214},
  [338] = {.lex_state = 193},
  [339] = {.lex_state = 214},
  [340] = {.lex_state = 97},
  [341] = {.lex_state = 193},
  [342] = {.lex_state = 193},
  [343] = {.lex_state = 193},
  [344] = {.lex_state = 97},
  [345] = {.lex_state = 193},
};

static uint16_t ts_parse_table[STATE_COUNT][SYMBOL_COUNT] = {
  [0] = {
    [anon_sym_POUND] = ACTIONS(1),
    [anon_sym_DASH_GT] = ACTIONS(1),
    [anon_sym_LPARENquote] = ACTIONS(1),
    [anon_sym_POUND_DQUOTE] = ACTIONS(1),
    [anon_sym_COLON] = ACTIONS(1),
    [aux_sym_namespace_map_token1] = ACTIONS(1),
    [anon_sym_POUND_] = ACTIONS(1),
    [anon_sym_SEMI] = ACTIONS(1),
    [sym_member_access] = ACTIONS(1),
    [anon_sym_RBRACK] = ACTIONS(1),
    [anon_sym_POUND_POUND] = ACTIONS(1),
    [anon_sym_CARET_DQUOTE] = ACTIONS(1),
    [sym_negative_infinity] = ACTIONS(1),
    [anon_sym_POUND_LPAREN] = ACTIONS(1),
    [anon_sym_CARET_COLON] = ACTIONS(1),
    [anon_sym_TILDE] = ACTIONS(1),
    [anon_sym_o] = ACTIONS(1),
    [anon_sym_BSLASH_DQUOTE] = ACTIONS(1),
    [anon_sym_tab] = ACTIONS(1),
    [anon_sym_POUND_QMARK] = ACTIONS(1),
    [anon_sym_DASH_GT_GT] = ACTIONS(1),
    [anon_sym_some_DASH_GT] = ACTIONS(1),
    [anon_sym_COLON_COLON] = ACTIONS(1),
    [anon_sym_POUND_LBRACE] = ACTIONS(1),
    [anon_sym_RBRACE] = ACTIONS(1),
    [sym_field_access] = ACTIONS(1),
    [anon_sym_LBRACE] = ACTIONS(1),
    [anon_sym_LPAREN] = ACTIONS(1),
    [anon_sym_BQUOTE] = ACTIONS(1),
    [sym_not_a_number] = ACTIONS(1),
    [sym__normal_long] = ACTIONS(1),
    [sym_nil] = ACTIONS(1),
    [sym_shorthand_function_arg] = ACTIONS(1),
    [anon_sym_AT] = ACTIONS(1),
    [aux_sym__octal_num_token3] = ACTIONS(1),
    [anon_sym_newline] = ACTIONS(1),
    [anon_sym_return] = ACTIONS(1),
    [anon_sym_POUND_QMARK_AT] = ACTIONS(1),
    [anon_sym_some_DASH_GT_GT] = ACTIONS(1),
    [anon_sym_SQUOTE] = ACTIONS(1),
    [anon_sym_SLASH] = ACTIONS(1),
    [anon_sym_RPAREN] = ACTIONS(1),
    [anon_sym_POUND_COLON_COLON_LBRACE] = ACTIONS(1),
    [anon_sym_POUND_BANG] = ACTIONS(1),
    [ts_builtin_sym_end] = ACTIONS(1),
    [anon_sym_LBRACK] = ACTIONS(1),
    [anon_sym_POUND_SQUOTE] = ACTIONS(1),
    [anon_sym_BSLASH] = ACTIONS(1),
    [sym_infinity] = ACTIONS(1),
    [sym_true] = ACTIONS(1),
    [anon_sym_CARET] = ACTIONS(1),
    [anon_sym_TILDE_AT] = ACTIONS(1),
    [sym__hex_char] = ACTIONS(1),
    [anon_sym_DQUOTE] = ACTIONS(1),
    [anon_sym_space] = ACTIONS(1),
    [anon_sym_u] = ACTIONS(1),
  },
  [1] = {
    [sym_deref] = STATE(42),
    [sym_boolean] = STATE(42),
    [sym__character] = STATE(34),
    [sym__string] = STATE(35),
    [sym__keyword] = STATE(36),
    [sym_qualified_symbol] = STATE(44),
    [sym__vector] = STATE(37),
    [sym_ignore_form] = STATE(38),
    [sym_var_quote] = STATE(42),
    [sym_number] = STATE(42),
    [sym__reader_conditional_symbol] = STATE(39),
    [aux_sym_metadata_repeat1] = STATE(40),
    [sym_regex] = STATE(42),
    [sym__unqualified_keyword] = STATE(36),
    [sym__qualified_symbol] = STATE(41),
    [sym_hash_map] = STATE(42),
    [sym_set] = STATE(42),
    [sym_comment_macro] = STATE(38),
    [sym_unquote] = STATE(42),
    [sym__literals] = STATE(42),
    [aux_sym_program_repeat1] = STATE(42),
    [sym_symbolic_value] = STATE(42),
    [sym__quote] = STATE(43),
    [sym__symbol] = STATE(44),
    [sym__list] = STATE(45),
    [sym_semicolon] = STATE(38),
    [sym_shorthand_function] = STATE(42),
    [sym_metadata_shorthand] = STATE(40),
    [sym__collection_literals] = STATE(42),
    [sym_tagged_literal] = STATE(42),
    [sym_character] = STATE(42),
    [sym_string] = STATE(42),
    [sym_keyword] = STATE(42),
    [sym_threading_macro] = STATE(44),
    [sym_vector] = STATE(42),
    [sym_shebang_line] = STATE(38),
    [sym_defn] = STATE(42),
    [sym_syntax_quote] = STATE(42),
    [sym_program] = STATE(46),
    [sym_reader_conditional] = STATE(42),
    [sym__number] = STATE(47),
    [sym__regex] = STATE(48),
    [sym_qualified_keyword] = STATE(36),
    [sym_interop] = STATE(42),
    [sym__hash_map] = STATE(49),
    [sym__set] = STATE(50),
    [sym__functions] = STATE(42),
    [sym_metadata] = STATE(51),
    [sym__anything] = STATE(42),
    [sym_unquote_splice] = STATE(42),
    [sym_number_long] = STATE(47),
    [sym_quote] = STATE(42),
    [sym_symbol] = STATE(42),
    [sym_list] = STATE(42),
    [sym_namespace_map] = STATE(49),
    [sym_comment] = STATE(42),
    [sym_anonymous_function] = STATE(42),
    [sym__metadata_map] = STATE(52),
    [anon_sym_DASH_GT] = ACTIONS(3),
    [anon_sym_cond_DASH_GT] = ACTIONS(3),
    [anon_sym_LPARENquote] = ACTIONS(5),
    [anon_sym_POUND_DQUOTE] = ACTIONS(7),
    [anon_sym_COLON] = ACTIONS(9),
    [aux_sym_namespace_map_token1] = ACTIONS(11),
    [anon_sym_POUND_] = ACTIONS(13),
    [anon_sym_SEMI] = ACTIONS(15),
    [sym_member_access] = ACTIONS(17),
    [anon_sym_POUND_POUND] = ACTIONS(19),
    [sym_number_bigint] = ACTIONS(21),
    [sym_gensym] = ACTIONS(23),
    [sym_false] = ACTIONS(25),
    [sym_number_double] = ACTIONS(21),
    [sym__number_hex] = ACTIONS(27),
    [anon_sym_POUND_LPAREN] = ACTIONS(29),
    [anon_sym_CARET_COLON] = ACTIONS(31),
    [anon_sym_CARET_DQUOTE] = ACTIONS(33),
    [anon_sym_TILDE] = ACTIONS(35),
    [anon_sym_POUND_QMARK] = ACTIONS(37),
    [anon_sym_DASH_GT_GT] = ACTIONS(39),
    [anon_sym_cond_DASH_GT_GT] = ACTIONS(39),
    [anon_sym_some_DASH_GT] = ACTIONS(3),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_POUND_LBRACE] = ACTIONS(43),
    [sym_field_access] = ACTIONS(17),
    [anon_sym_LBRACE] = ACTIONS(45),
    [anon_sym_LPAREN] = ACTIONS(47),
    [sym_number_bigdecimal] = ACTIONS(49),
    [anon_sym_BQUOTE] = ACTIONS(51),
    [sym_shorthand_function_arg] = ACTIONS(23),
    [sym_nil] = ACTIONS(53),
    [sym__normal_long] = ACTIONS(27),
    [sym__number_arbitrary_radix] = ACTIONS(27),
    [anon_sym_AT] = ACTIONS(55),
    [anon_sym_POUND_QMARK_AT] = ACTIONS(57),
    [anon_sym_as_DASH_GT] = ACTIONS(39),
    [anon_sym_some_DASH_GT_GT] = ACTIONS(39),
    [anon_sym_SQUOTE] = ACTIONS(59),
    [anon_sym_POUND_COLON_COLON_LBRACE] = ACTIONS(61),
    [ts_builtin_sym_end] = ACTIONS(63),
    [anon_sym_POUND_BANG] = ACTIONS(65),
    [sym_new_class] = ACTIONS(17),
    [sym__symbol_chars] = ACTIONS(67),
    [anon_sym_LBRACK] = ACTIONS(69),
    [sym_number_ratio] = ACTIONS(49),
    [anon_sym_BSLASH] = ACTIONS(71),
    [anon_sym_POUND_SQUOTE] = ACTIONS(73),
    [sym_true] = ACTIONS(25),
    [sym__number_octal] = ACTIONS(27),
    [anon_sym_CARET] = ACTIONS(75),
    [anon_sym_TILDE_AT] = ACTIONS(77),
    [anon_sym_DQUOTE] = ACTIONS(79),
    [anon_sym_POUND] = ACTIONS(81),
  },
  [2] = {
    [anon_sym_cond_DASH_GT] = ACTIONS(83),
    [anon_sym_POUND_DQUOTE] = ACTIONS(85),
    [aux_sym_namespace_map_token1] = ACTIONS(85),
    [anon_sym_SEMI] = ACTIONS(85),
    [anon_sym_RBRACK] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(83),
    [sym_number_bigint] = ACTIONS(83),
    [sym_gensym] = ACTIONS(85),
    [sym_false] = ACTIONS(83),
    [anon_sym_CARET_COLON] = ACTIONS(85),
    [sym__number_hex] = ACTIONS(83),
    [anon_sym_cond_DASH_GT_GT] = ACTIONS(85),
    [anon_sym_POUND_LBRACE] = ACTIONS(85),
    [anon_sym_LBRACE] = ACTIONS(85),
    [sym_number_bigdecimal] = ACTIONS(85),
    [anon_sym_AT] = ACTIONS(85),
    [sym__normal_long] = ACTIONS(83),
    [sym__number_arbitrary_radix] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(85),
    [anon_sym_RPAREN] = ACTIONS(85),
    [anon_sym_POUND_BANG] = ACTIONS(85),
    [sym__symbol_chars] = ACTIONS(83),
    [sym_number_ratio] = ACTIONS(85),
    [anon_sym_POUND] = ACTIONS(83),
    [sym__number_octal] = ACTIONS(83),
    [anon_sym_DASH_GT] = ACTIONS(83),
    [anon_sym_LPARENquote] = ACTIONS(85),
    [anon_sym_COLON] = ACTIONS(83),
    [anon_sym_POUND_] = ACTIONS(85),
    [sym_member_access] = ACTIONS(85),
    [anon_sym_POUND_POUND] = ACTIONS(85),
    [anon_sym_CARET_DQUOTE] = ACTIONS(85),
    [anon_sym_POUND_LPAREN] = ACTIONS(85),
    [sym_number_double] = ACTIONS(83),
    [anon_sym_POUND_QMARK] = ACTIONS(83),
    [anon_sym_DASH_GT_GT] = ACTIONS(85),
    [anon_sym_some_DASH_GT] = ACTIONS(83),
    [anon_sym_COLON_COLON] = ACTIONS(85),
    [anon_sym_RBRACE] = ACTIONS(85),
    [sym_field_access] = ACTIONS(85),
    [anon_sym_LPAREN] = ACTIONS(83),
    [anon_sym_BQUOTE] = ACTIONS(85),
    [sym_shorthand_function_arg] = ACTIONS(85),
    [sym_nil] = ACTIONS(83),
    [anon_sym_POUND_QMARK_AT] = ACTIONS(85),
    [anon_sym_as_DASH_GT] = ACTIONS(85),
    [anon_sym_some_DASH_GT_GT] = ACTIONS(85),
    [anon_sym_POUND_COLON_COLON_LBRACE] = ACTIONS(85),
    [ts_builtin_sym_end] = ACTIONS(85),
    [sym_new_class] = ACTIONS(85),
    [anon_sym_LBRACK] = ACTIONS(85),
    [anon_sym_POUND_SQUOTE] = ACTIONS(85),
    [anon_sym_BSLASH] = ACTIONS(85),
    [anon_sym_TILDE_AT] = ACTIONS(85),
    [sym_true] = ACTIONS(83),
    [anon_sym_CARET] = ACTIONS(83),
    [anon_sym_DQUOTE] = ACTIONS(85),
  },
  [3] = {
    [sym_metadata_shorthand] = STATE(40),
    [sym_deref] = STATE(94),
    [sym__collection_literals] = STATE(94),
    [sym_boolean] = STATE(94),
    [sym_character] = STATE(94),
    [sym_string] = STATE(94),
    [sym_tagged_literal] = STATE(94),
    [sym_keyword] = STATE(94),
    [sym__character] = STATE(82),
    [sym__string] = STATE(83),
    [sym__keyword] = STATE(84),
    [sym_vector] = STATE(94),
    [sym_threading_macro] = STATE(96),
    [sym_qualified_symbol] = STATE(96),
    [sym__vector] = STATE(85),
    [sym_shebang_line] = STATE(86),
    [sym_ignore_form] = STATE(86),
    [sym_defn] = STATE(94),
    [sym_syntax_quote] = STATE(94),
    [sym_var_quote] = STATE(94),
    [sym_reader_conditional] = STATE(94),
    [sym_number] = STATE(94),
    [sym__number] = STATE(87),
    [aux_sym_metadata_repeat1] = STATE(40),
    [sym_regex] = STATE(94),
    [sym__regex] = STATE(88),
    [sym__unqualified_keyword] = STATE(84),
    [sym_qualified_keyword] = STATE(84),
    [sym__qualified_symbol] = STATE(89),
    [sym_interop] = STATE(94),
    [sym_hash_map] = STATE(94),
    [sym__hash_map] = STATE(90),
    [sym_set] = STATE(94),
    [sym__set] = STATE(91),
    [sym_comment_macro] = STATE(86),
    [sym__functions] = STATE(94),
    [sym__reader_conditional_symbol] = STATE(92),
    [sym_metadata] = STATE(93),
    [sym_unquote] = STATE(94),
    [sym__literals] = STATE(94),
    [sym_unquote_splice] = STATE(94),
    [sym_symbolic_value] = STATE(94),
    [sym_number_long] = STATE(87),
    [sym__anything] = STATE(94),
    [sym_quote] = STATE(94),
    [sym__quote] = STATE(95),
    [sym_symbol] = STATE(94),
    [sym__symbol] = STATE(96),
    [sym_list] = STATE(94),
    [sym__list] = STATE(97),
    [sym_namespace_map] = STATE(90),
    [sym_comment] = STATE(94),
    [sym_semicolon] = STATE(86),
    [sym_anonymous_function] = STATE(94),
    [sym_shorthand_function] = STATE(94),
    [sym__metadata_map] = STATE(52),
    [anon_sym_DASH_GT] = ACTIONS(87),
    [anon_sym_cond_DASH_GT] = ACTIONS(87),
    [anon_sym_LPARENquote] = ACTIONS(89),
    [anon_sym_POUND_DQUOTE] = ACTIONS(91),
    [anon_sym_COLON] = ACTIONS(93),
    [aux_sym_namespace_map_token1] = ACTIONS(95),
    [anon_sym_POUND_] = ACTIONS(97),
    [anon_sym_SEMI] = ACTIONS(99),
    [sym_member_access] = ACTIONS(101),
    [anon_sym_POUND_POUND] = ACTIONS(103),
    [sym_number_bigint] = ACTIONS(105),
    [sym_gensym] = ACTIONS(107),
    [sym_false] = ACTIONS(109),
    [sym_number_double] = ACTIONS(105),
    [sym__number_hex] = ACTIONS(111),
    [anon_sym_POUND_LPAREN] = ACTIONS(113),
    [anon_sym_CARET_COLON] = ACTIONS(31),
    [anon_sym_CARET_DQUOTE] = ACTIONS(33),
    [anon_sym_TILDE] = ACTIONS(115),
    [anon_sym_POUND_QMARK] = ACTIONS(117),
    [anon_sym_DASH_GT_GT] = ACTIONS(119),
    [anon_sym_cond_DASH_GT_GT] = ACTIONS(119),
    [anon_sym_some_DASH_GT] = ACTIONS(87),
    [anon_sym_COLON_COLON] = ACTIONS(121),
    [anon_sym_POUND_LBRACE] = ACTIONS(123),
    [sym_field_access] = ACTIONS(101),
    [anon_sym_LBRACE] = ACTIONS(125),
    [anon_sym_LPAREN] = ACTIONS(127),
    [sym_number_bigdecimal] = ACTIONS(129),
    [anon_sym_BQUOTE] = ACTIONS(131),
    [sym_shorthand_function_arg] = ACTIONS(107),
    [sym_nil] = ACTIONS(133),
    [sym__normal_long] = ACTIONS(111),
    [sym__number_arbitrary_radix] = ACTIONS(111),
    [anon_sym_AT] = ACTIONS(135),
    [anon_sym_POUND_QMARK_AT] = ACTIONS(137),
    [anon_sym_as_DASH_GT] = ACTIONS(119),
    [anon_sym_some_DASH_GT_GT] = ACTIONS(119),
    [anon_sym_SQUOTE] = ACTIONS(139),
    [anon_sym_POUND_COLON_COLON_LBRACE] = ACTIONS(141),
    [anon_sym_POUND_BANG] = ACTIONS(143),
    [sym_new_class] = ACTIONS(101),
    [sym__symbol_chars] = ACTIONS(145),
    [anon_sym_LBRACK] = ACTIONS(147),
    [sym_number_ratio] = ACTIONS(129),
    [anon_sym_BSLASH] = ACTIONS(149),
    [anon_sym_POUND_SQUOTE] = ACTIONS(151),
    [sym_true] = ACTIONS(109),
    [sym__number_octal] = ACTIONS(111),
    [anon_sym_CARET] = ACTIONS(75),
    [anon_sym_TILDE_AT] = ACTIONS(153),
    [anon_sym_DQUOTE] = ACTIONS(155),
    [anon_sym_POUND] = ACTIONS(157),
  },
  [4] = {
    [aux_sym__regex_repeat1] = STATE(99),
    [aux_sym__regex_token1] = ACTIONS(159),
    [anon_sym_BSLASH_DQUOTE] = ACTIONS(161),
    [anon_sym_DQUOTE] = ACTIONS(163),
  },
  [5] = {
    [sym__keyword_chars] = ACTIONS(165),
  },
  [6] = {
    [anon_sym_LBRACE] = ACTIONS(167),
  },
  [7] = {
    [sym_metadata_shorthand] = STATE(40),
    [sym_deref] = STATE(102),
    [sym__collection_literals] = STATE(102),
    [sym_boolean] = STATE(102),
    [sym_character] = STATE(102),
    [sym_string] = STATE(102),
    [sym_tagged_literal] = STATE(102),
    [sym_keyword] = STATE(102),
    [sym__character] = STATE(34),
    [sym__string] = STATE(35),
    [sym__keyword] = STATE(36),
    [sym_vector] = STATE(102),
    [sym_threading_macro] = STATE(44),
    [sym_qualified_symbol] = STATE(44),
    [sym__vector] = STATE(37),
    [sym_shebang_line] = STATE(38),
    [sym_ignore_form] = STATE(38),
    [sym_defn] = STATE(102),
    [sym_syntax_quote] = STATE(102),
    [sym_var_quote] = STATE(102),
    [sym_reader_conditional] = STATE(102),
    [sym_number] = STATE(102),
    [sym__number] = STATE(47),
    [aux_sym_metadata_repeat1] = STATE(40),
    [sym_regex] = STATE(102),
    [sym__regex] = STATE(48),
    [sym__unqualified_keyword] = STATE(36),
    [sym_qualified_keyword] = STATE(36),
    [sym__qualified_symbol] = STATE(41),
    [sym_interop] = STATE(102),
    [sym_hash_map] = STATE(102),
    [sym__hash_map] = STATE(49),
    [sym_set] = STATE(102),
    [sym__set] = STATE(50),
    [sym_comment_macro] = STATE(38),
    [sym__functions] = STATE(102),
    [sym__reader_conditional_symbol] = STATE(39),
    [sym_metadata] = STATE(51),
    [sym_unquote] = STATE(102),
    [sym__literals] = STATE(102),
    [sym_unquote_splice] = STATE(102),
    [sym_symbolic_value] = STATE(102),
    [sym_number_long] = STATE(47),
    [sym__anything] = STATE(102),
    [sym_quote] = STATE(102),
    [sym__quote] = STATE(43),
    [sym_symbol] = STATE(102),
    [sym__symbol] = STATE(44),
    [sym_list] = STATE(102),
    [sym__list] = STATE(45),
    [sym_namespace_map] = STATE(49),
    [sym_comment] = STATE(102),
    [sym_semicolon] = STATE(38),
    [sym_anonymous_function] = STATE(102),
    [sym_shorthand_function] = STATE(102),
    [sym__metadata_map] = STATE(52),
    [anon_sym_DASH_GT] = ACTIONS(3),
    [anon_sym_cond_DASH_GT] = ACTIONS(3),
    [anon_sym_LPARENquote] = ACTIONS(5),
    [anon_sym_POUND_DQUOTE] = ACTIONS(7),
    [anon_sym_COLON] = ACTIONS(9),
    [aux_sym_namespace_map_token1] = ACTIONS(11),
    [anon_sym_POUND_] = ACTIONS(13),
    [anon_sym_SEMI] = ACTIONS(15),
    [sym_member_access] = ACTIONS(17),
    [anon_sym_POUND_POUND] = ACTIONS(19),
    [sym_number_bigint] = ACTIONS(21),
    [sym_gensym] = ACTIONS(169),
    [sym_false] = ACTIONS(25),
    [sym_number_double] = ACTIONS(21),
    [sym__number_hex] = ACTIONS(27),
    [anon_sym_POUND_LPAREN] = ACTIONS(29),
    [anon_sym_CARET_COLON] = ACTIONS(31),
    [anon_sym_CARET_DQUOTE] = ACTIONS(33),
    [anon_sym_TILDE] = ACTIONS(35),
    [anon_sym_POUND_QMARK] = ACTIONS(37),
    [anon_sym_DASH_GT_GT] = ACTIONS(39),
    [anon_sym_cond_DASH_GT_GT] = ACTIONS(39),
    [anon_sym_some_DASH_GT] = ACTIONS(3),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_POUND_LBRACE] = ACTIONS(43),
    [sym_field_access] = ACTIONS(17),
    [anon_sym_LBRACE] = ACTIONS(45),
    [anon_sym_LPAREN] = ACTIONS(47),
    [sym_number_bigdecimal] = ACTIONS(49),
    [anon_sym_BQUOTE] = ACTIONS(51),
    [sym_shorthand_function_arg] = ACTIONS(169),
    [sym_nil] = ACTIONS(171),
    [sym__normal_long] = ACTIONS(27),
    [sym__number_arbitrary_radix] = ACTIONS(27),
    [anon_sym_AT] = ACTIONS(55),
    [anon_sym_POUND_QMARK_AT] = ACTIONS(57),
    [anon_sym_as_DASH_GT] = ACTIONS(39),
    [anon_sym_some_DASH_GT_GT] = ACTIONS(39),
    [anon_sym_SQUOTE] = ACTIONS(59),
    [anon_sym_POUND_COLON_COLON_LBRACE] = ACTIONS(61),
    [anon_sym_POUND_BANG] = ACTIONS(65),
    [sym_new_class] = ACTIONS(17),
    [sym__symbol_chars] = ACTIONS(67),
    [anon_sym_LBRACK] = ACTIONS(69),
    [sym_number_ratio] = ACTIONS(49),
    [anon_sym_BSLASH] = ACTIONS(71),
    [anon_sym_POUND_SQUOTE] = ACTIONS(73),
    [sym_true] = ACTIONS(25),
    [sym__number_octal] = ACTIONS(27),
    [anon_sym_CARET] = ACTIONS(75),
    [anon_sym_TILDE_AT] = ACTIONS(77),
    [anon_sym_DQUOTE] = ACTIONS(79),
    [anon_sym_POUND] = ACTIONS(81),
  },
  [8] = {
    [aux_sym_semicolon_token1] = ACTIONS(173),
  },
  [9] = {
    [anon_sym_cond_DASH_GT] = ACTIONS(175),
    [anon_sym_POUND_DQUOTE] = ACTIONS(177),
    [aux_sym_namespace_map_token1] = ACTIONS(177),
    [anon_sym_SEMI] = ACTIONS(177),
    [anon_sym_RBRACK] = ACTIONS(177),
    [anon_sym_TILDE] = ACTIONS(175),
    [sym_number_bigint] = ACTIONS(175),
    [sym_gensym] = ACTIONS(177),
    [sym_false] = ACTIONS(175),
    [anon_sym_CARET_COLON] = ACTIONS(177),
    [sym__number_hex] = ACTIONS(175),
    [anon_sym_cond_DASH_GT_GT] = ACTIONS(177),
    [anon_sym_POUND_LBRACE] = ACTIONS(177),
    [anon_sym_LBRACE] = ACTIONS(177),
    [sym_number_bigdecimal] = ACTIONS(177),
    [anon_sym_AT] = ACTIONS(177),
    [sym__normal_long] = ACTIONS(175),
    [sym__number_arbitrary_radix] = ACTIONS(175),
    [anon_sym_SQUOTE] = ACTIONS(177),
    [anon_sym_RPAREN] = ACTIONS(177),
    [anon_sym_POUND_BANG] = ACTIONS(177),
    [sym__symbol_chars] = ACTIONS(175),
    [sym_number_ratio] = ACTIONS(177),
    [anon_sym_POUND] = ACTIONS(175),
    [sym__number_octal] = ACTIONS(175),
    [anon_sym_DASH_GT] = ACTIONS(175),
    [anon_sym_LPARENquote] = ACTIONS(177),
    [anon_sym_COLON] = ACTIONS(175),
    [anon_sym_POUND_] = ACTIONS(177),
    [sym_member_access] = ACTIONS(177),
    [anon_sym_POUND_POUND] = ACTIONS(177),
    [anon_sym_CARET_DQUOTE] = ACTIONS(177),
    [anon_sym_POUND_LPAREN] = ACTIONS(177),
    [sym_number_double] = ACTIONS(175),
    [anon_sym_POUND_QMARK] = ACTIONS(175),
    [anon_sym_DASH_GT_GT] = ACTIONS(177),
    [anon_sym_some_DASH_GT] = ACTIONS(175),
    [anon_sym_COLON_COLON] = ACTIONS(177),
    [anon_sym_RBRACE] = ACTIONS(177),
    [sym_field_access] = ACTIONS(177),
    [anon_sym_LPAREN] = ACTIONS(175),
    [anon_sym_BQUOTE] = ACTIONS(177),
    [sym_shorthand_function_arg] = ACTIONS(177),
    [sym_nil] = ACTIONS(175),
    [anon_sym_POUND_QMARK_AT] = ACTIONS(177),
    [anon_sym_as_DASH_GT] = ACTIONS(177),
    [anon_sym_some_DASH_GT_GT] = ACTIONS(177),
    [anon_sym_POUND_COLON_COLON_LBRACE] = ACTIONS(177),
    [ts_builtin_sym_end] = ACTIONS(177),
    [sym_new_class] = ACTIONS(177),
    [anon_sym_LBRACK] = ACTIONS(177),
    [anon_sym_POUND_SQUOTE] = ACTIONS(177),
    [anon_sym_BSLASH] = ACTIONS(177),
    [anon_sym_TILDE_AT] = ACTIONS(177),
    [sym_true] = ACTIONS(175),
    [anon_sym_CARET] = ACTIONS(175),
    [anon_sym_DQUOTE] = ACTIONS(177),
  },
  [10] = {
    [sym_infinity] = ACTIONS(179),
    [sym_negative_infinity] = ACTIONS(179),
    [sym_not_a_number] = ACTIONS(179),
  },
  [11] = {
    [anon_sym_cond_DASH_GT] = ACTIONS(181),
    [anon_sym_POUND_DQUOTE] = ACTIONS(183),
    [aux_sym_namespace_map_token1] = ACTIONS(183),
    [anon_sym_SEMI] = ACTIONS(183),
    [anon_sym_RBRACK] = ACTIONS(183),
    [anon_sym_TILDE] = ACTIONS(181),
    [sym_number_bigint] = ACTIONS(181),
    [sym_gensym] = ACTIONS(183),
    [sym_false] = ACTIONS(181),
    [anon_sym_CARET_COLON] = ACTIONS(183),
    [sym__number_hex] = ACTIONS(181),
    [anon_sym_cond_DASH_GT_GT] = ACTIONS(183),
    [anon_sym_POUND_LBRACE] = ACTIONS(183),
    [anon_sym_LBRACE] = ACTIONS(183),
    [sym_number_bigdecimal] = ACTIONS(183),
    [anon_sym_AT] = ACTIONS(183),
    [sym__normal_long] = ACTIONS(181),
    [sym__number_arbitrary_radix] = ACTIONS(181),
    [anon_sym_SQUOTE] = ACTIONS(183),
    [anon_sym_RPAREN] = ACTIONS(183),
    [anon_sym_POUND_BANG] = ACTIONS(183),
    [sym__symbol_chars] = ACTIONS(181),
    [sym_number_ratio] = ACTIONS(183),
    [anon_sym_POUND] = ACTIONS(181),
    [sym__number_octal] = ACTIONS(181),
    [anon_sym_DASH_GT] = ACTIONS(181),
    [anon_sym_LPARENquote] = ACTIONS(183),
    [anon_sym_COLON] = ACTIONS(181),
    [anon_sym_POUND_] = ACTIONS(183),
    [sym_member_access] = ACTIONS(183),
    [anon_sym_POUND_POUND] = ACTIONS(183),
    [anon_sym_CARET_DQUOTE] = ACTIONS(183),
    [anon_sym_POUND_LPAREN] = ACTIONS(183),
    [sym_number_double] = ACTIONS(181),
    [anon_sym_POUND_QMARK] = ACTIONS(181),
    [anon_sym_DASH_GT_GT] = ACTIONS(183),
    [anon_sym_some_DASH_GT] = ACTIONS(181),
    [anon_sym_COLON_COLON] = ACTIONS(183),
    [anon_sym_RBRACE] = ACTIONS(183),
    [sym_field_access] = ACTIONS(183),
    [anon_sym_LPAREN] = ACTIONS(181),
    [anon_sym_BQUOTE] = ACTIONS(183),
    [sym_shorthand_function_arg] = ACTIONS(183),
    [sym_nil] = ACTIONS(181),
    [anon_sym_POUND_QMARK_AT] = ACTIONS(183),
    [anon_sym_as_DASH_GT] = ACTIONS(183),
    [anon_sym_some_DASH_GT_GT] = ACTIONS(183),
    [anon_sym_POUND_COLON_COLON_LBRACE] = ACTIONS(183),
    [ts_builtin_sym_end] = ACTIONS(183),
    [sym_new_class] = ACTIONS(183),
    [anon_sym_LBRACK] = ACTIONS(183),
    [anon_sym_POUND_SQUOTE] = ACTIONS(183),
    [anon_sym_BSLASH] = ACTIONS(183),
    [anon_sym_TILDE_AT] = ACTIONS(183),
    [sym_true] = ACTIONS(181),
    [anon_sym_CARET] = ACTIONS(181),
    [anon_sym_DQUOTE] = ACTIONS(183),
  },
  [12] = {
    [anon_sym_cond_DASH_GT] = ACTIONS(185),
    [anon_sym_POUND_DQUOTE] = ACTIONS(187),
    [aux_sym_namespace_map_token1] = ACTIONS(187),
    [anon_sym_SEMI] = ACTIONS(187),
    [anon_sym_RBRACK] = ACTIONS(187),
    [anon_sym_TILDE] = ACTIONS(185),
    [sym_number_bigint] = ACTIONS(185),
    [sym_gensym] = ACTIONS(187),
    [sym_false] = ACTIONS(185),
    [anon_sym_CARET_COLON] = ACTIONS(187),
    [sym__number_hex] = ACTIONS(185),
    [anon_sym_cond_DASH_GT_GT] = ACTIONS(187),
    [anon_sym_POUND_LBRACE] = ACTIONS(187),
    [anon_sym_LBRACE] = ACTIONS(187),
    [sym_number_bigdecimal] = ACTIONS(187),
    [anon_sym_AT] = ACTIONS(187),
    [sym__normal_long] = ACTIONS(185),
    [sym__number_arbitrary_radix] = ACTIONS(185),
    [anon_sym_SQUOTE] = ACTIONS(187),
    [anon_sym_RPAREN] = ACTIONS(187),
    [anon_sym_POUND_BANG] = ACTIONS(187),
    [sym__symbol_chars] = ACTIONS(185),
    [sym_number_ratio] = ACTIONS(187),
    [anon_sym_POUND] = ACTIONS(185),
    [sym__number_octal] = ACTIONS(185),
    [anon_sym_DASH_GT] = ACTIONS(185),
    [anon_sym_LPARENquote] = ACTIONS(187),
    [anon_sym_COLON] = ACTIONS(185),
    [anon_sym_POUND_] = ACTIONS(187),
    [sym_member_access] = ACTIONS(187),
    [anon_sym_POUND_POUND] = ACTIONS(187),
    [anon_sym_CARET_DQUOTE] = ACTIONS(187),
    [anon_sym_POUND_LPAREN] = ACTIONS(187),
    [sym_number_double] = ACTIONS(185),
    [anon_sym_POUND_QMARK] = ACTIONS(185),
    [anon_sym_DASH_GT_GT] = ACTIONS(187),
    [anon_sym_some_DASH_GT] = ACTIONS(185),
    [anon_sym_COLON_COLON] = ACTIONS(187),
    [anon_sym_RBRACE] = ACTIONS(187),
    [sym_field_access] = ACTIONS(187),
    [anon_sym_LPAREN] = ACTIONS(185),
    [anon_sym_BQUOTE] = ACTIONS(187),
    [sym_shorthand_function_arg] = ACTIONS(187),
    [sym_nil] = ACTIONS(185),
    [anon_sym_POUND_QMARK_AT] = ACTIONS(187),
    [anon_sym_as_DASH_GT] = ACTIONS(187),
    [anon_sym_some_DASH_GT_GT] = ACTIONS(187),
    [anon_sym_POUND_COLON_COLON_LBRACE] = ACTIONS(187),
    [ts_builtin_sym_end] = ACTIONS(187),
    [sym_new_class] = ACTIONS(187),
    [anon_sym_LBRACK] = ACTIONS(187),
    [anon_sym_POUND_SQUOTE] = ACTIONS(187),
    [anon_sym_BSLASH] = ACTIONS(187),
    [anon_sym_TILDE_AT] = ACTIONS(187),
    [sym_true] = ACTIONS(185),
    [anon_sym_CARET] = ACTIONS(185),
    [anon_sym_DQUOTE] = ACTIONS(187),
  },
  [13] = {
    [sym_deref] = STATE(111),
    [sym_boolean] = STATE(111),
    [sym__character] = STATE(34),
    [sym__string] = STATE(35),
    [sym__keyword] = STATE(36),
    [sym_qualified_symbol] = STATE(44),
    [sym__vector] = STATE(37),
    [sym_ignore_form] = STATE(38),
    [sym_var_quote] = STATE(111),
    [sym_number] = STATE(111),
    [sym__reader_conditional_symbol] = STATE(39),
    [aux_sym_metadata_repeat1] = STATE(40),
    [sym_regex] = STATE(111),
    [sym__unqualified_keyword] = STATE(36),
    [sym__qualified_symbol] = STATE(41),
    [sym_hash_map] = STATE(111),
    [sym_set] = STATE(111),
    [sym_comment_macro] = STATE(38),
    [sym_unquote] = STATE(111),
    [sym__literals] = STATE(111),
    [aux_sym_program_repeat1] = STATE(111),
    [sym_symbolic_value] = STATE(111),
    [sym__quote] = STATE(43),
    [sym__symbol] = STATE(44),
    [sym__list] = STATE(45),
    [sym_semicolon] = STATE(38),
    [sym_shorthand_function] = STATE(111),
    [sym_metadata_shorthand] = STATE(40),
    [sym__collection_literals] = STATE(111),
    [sym_tagged_literal] = STATE(111),
    [sym_character] = STATE(111),
    [sym_string] = STATE(111),
    [sym_keyword] = STATE(111),
    [sym_threading_macro] = STATE(44),
    [sym_vector] = STATE(111),
    [sym_shebang_line] = STATE(38),
    [sym_defn] = STATE(111),
    [sym_syntax_quote] = STATE(111),
    [sym_reader_conditional] = STATE(111),
    [sym__number] = STATE(47),
    [sym__regex] = STATE(48),
    [sym_qualified_keyword] = STATE(36),
    [sym_interop] = STATE(111),
    [sym__hash_map] = STATE(49),
    [sym__set] = STATE(50),
    [sym__functions] = STATE(111),
    [sym_metadata] = STATE(51),
    [sym__anything] = STATE(111),
    [sym_unquote_splice] = STATE(111),
    [sym_number_long] = STATE(47),
    [sym_quote] = STATE(111),
    [sym_symbol] = STATE(111),
    [sym_list] = STATE(111),
    [sym_namespace_map] = STATE(49),
    [sym_comment] = STATE(111),
    [sym_anonymous_function] = STATE(111),
    [sym__metadata_map] = STATE(52),
    [anon_sym_DASH_GT] = ACTIONS(3),
    [anon_sym_cond_DASH_GT] = ACTIONS(3),
    [anon_sym_LPARENquote] = ACTIONS(5),
    [anon_sym_POUND_DQUOTE] = ACTIONS(7),
    [anon_sym_COLON] = ACTIONS(9),
    [aux_sym_namespace_map_token1] = ACTIONS(11),
    [anon_sym_POUND_] = ACTIONS(189),
    [anon_sym_SEMI] = ACTIONS(15),
    [sym_member_access] = ACTIONS(17),
    [anon_sym_POUND_POUND] = ACTIONS(19),
    [sym_number_bigint] = ACTIONS(21),
    [sym_gensym] = ACTIONS(191),
    [sym_false] = ACTIONS(25),
    [sym_number_double] = ACTIONS(21),
    [sym__number_hex] = ACTIONS(27),
    [anon_sym_POUND_LPAREN] = ACTIONS(29),
    [anon_sym_CARET_COLON] = ACTIONS(31),
    [anon_sym_CARET_DQUOTE] = ACTIONS(33),
    [anon_sym_TILDE] = ACTIONS(193),
    [anon_sym_POUND_QMARK] = ACTIONS(37),
    [anon_sym_DASH_GT_GT] = ACTIONS(39),
    [anon_sym_cond_DASH_GT_GT] = ACTIONS(39),
    [anon_sym_some_DASH_GT] = ACTIONS(3),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_POUND_LBRACE] = ACTIONS(43),
    [sym_field_access] = ACTIONS(17),
    [anon_sym_LBRACE] = ACTIONS(45),
    [anon_sym_LPAREN] = ACTIONS(47),
    [sym_number_bigdecimal] = ACTIONS(49),
    [anon_sym_BQUOTE] = ACTIONS(195),
    [sym_shorthand_function_arg] = ACTIONS(191),
    [sym_nil] = ACTIONS(197),
    [sym__normal_long] = ACTIONS(27),
    [sym__number_arbitrary_radix] = ACTIONS(27),
    [anon_sym_AT] = ACTIONS(55),
    [anon_sym_POUND_QMARK_AT] = ACTIONS(57),
    [anon_sym_as_DASH_GT] = ACTIONS(39),
    [anon_sym_some_DASH_GT_GT] = ACTIONS(39),
    [anon_sym_SQUOTE] = ACTIONS(199),
    [anon_sym_RPAREN] = ACTIONS(201),
    [anon_sym_POUND_COLON_COLON_LBRACE] = ACTIONS(61),
    [anon_sym_POUND_BANG] = ACTIONS(65),
    [sym_new_class] = ACTIONS(17),
    [sym__symbol_chars] = ACTIONS(67),
    [anon_sym_LBRACK] = ACTIONS(69),
    [sym_number_ratio] = ACTIONS(49),
    [anon_sym_BSLASH] = ACTIONS(71),
    [anon_sym_POUND_SQUOTE] = ACTIONS(73),
    [sym_true] = ACTIONS(25),
    [sym__number_octal] = ACTIONS(27),
    [anon_sym_CARET] = ACTIONS(75),
    [anon_sym_TILDE_AT] = ACTIONS(203),
    [anon_sym_DQUOTE] = ACTIONS(79),
    [anon_sym_POUND] = ACTIONS(81),
  },
  [14] = {
    [sym__keyword_chars] = ACTIONS(205),
  },
  [15] = {
    [aux_sym__string_repeat1] = STATE(113),
    [anon_sym_DQUOTE] = ACTIONS(207),
    [anon_sym_BSLASH_DQUOTE] = ACTIONS(209),
    [aux_sym__string_token1] = ACTIONS(211),
  },
  [16] = {
    [sym_metadata_shorthand] = STATE(40),
    [sym_deref] = STATE(114),
    [sym__collection_literals] = STATE(114),
    [sym_boolean] = STATE(114),
    [sym_character] = STATE(114),
    [sym_string] = STATE(114),
    [sym_tagged_literal] = STATE(114),
    [sym_keyword] = STATE(114),
    [sym__character] = STATE(34),
    [sym__string] = STATE(35),
    [sym__keyword] = STATE(36),
    [sym_vector] = STATE(114),
    [sym_threading_macro] = STATE(44),
    [sym_qualified_symbol] = STATE(44),
    [sym__vector] = STATE(37),
    [sym_shebang_line] = STATE(38),
    [sym_ignore_form] = STATE(38),
    [sym_defn] = STATE(114),
    [sym_syntax_quote] = STATE(114),
    [sym_var_quote] = STATE(114),
    [sym_reader_conditional] = STATE(114),
    [sym_number] = STATE(114),
    [sym__number] = STATE(47),
    [aux_sym_metadata_repeat1] = STATE(40),
    [sym_regex] = STATE(114),
    [sym__regex] = STATE(48),
    [sym__unqualified_keyword] = STATE(36),
    [sym_qualified_keyword] = STATE(36),
    [sym__qualified_symbol] = STATE(41),
    [sym_interop] = STATE(114),
    [sym_hash_map] = STATE(114),
    [sym__hash_map] = STATE(49),
    [sym_set] = STATE(114),
    [sym__set] = STATE(50),
    [sym_comment_macro] = STATE(38),
    [sym__functions] = STATE(114),
    [sym__reader_conditional_symbol] = STATE(39),
    [sym_metadata] = STATE(51),
    [sym_unquote] = STATE(114),
    [sym__literals] = STATE(114),
    [sym_unquote_splice] = STATE(114),
    [sym_symbolic_value] = STATE(114),
    [sym_number_long] = STATE(47),
    [sym__anything] = STATE(114),
    [sym_quote] = STATE(114),
    [sym__quote] = STATE(43),
    [sym_symbol] = STATE(114),
    [sym__symbol] = STATE(44),
    [sym_list] = STATE(114),
    [sym__list] = STATE(45),
    [sym_namespace_map] = STATE(49),
    [sym_comment] = STATE(114),
    [sym_semicolon] = STATE(38),
    [sym_anonymous_function] = STATE(114),
    [sym_shorthand_function] = STATE(114),
    [sym__metadata_map] = STATE(52),
    [anon_sym_DASH_GT] = ACTIONS(3),
    [anon_sym_cond_DASH_GT] = ACTIONS(3),
    [anon_sym_LPARENquote] = ACTIONS(5),
    [anon_sym_POUND_DQUOTE] = ACTIONS(7),
    [anon_sym_COLON] = ACTIONS(9),
    [aux_sym_namespace_map_token1] = ACTIONS(11),
    [anon_sym_POUND_] = ACTIONS(13),
    [anon_sym_SEMI] = ACTIONS(15),
    [sym_member_access] = ACTIONS(17),
    [anon_sym_POUND_POUND] = ACTIONS(19),
    [sym_number_bigint] = ACTIONS(21),
    [sym_gensym] = ACTIONS(213),
    [sym_false] = ACTIONS(25),
    [sym_number_double] = ACTIONS(21),
    [sym__number_hex] = ACTIONS(27),
    [anon_sym_POUND_LPAREN] = ACTIONS(29),
    [anon_sym_CARET_COLON] = ACTIONS(31),
    [anon_sym_CARET_DQUOTE] = ACTIONS(33),
    [anon_sym_TILDE] = ACTIONS(35),
    [anon_sym_POUND_QMARK] = ACTIONS(37),
    [anon_sym_DASH_GT_GT] = ACTIONS(39),
    [anon_sym_cond_DASH_GT_GT] = ACTIONS(39),
    [anon_sym_some_DASH_GT] = ACTIONS(3),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_POUND_LBRACE] = ACTIONS(43),
    [sym_field_access] = ACTIONS(17),
    [anon_sym_LBRACE] = ACTIONS(45),
    [anon_sym_LPAREN] = ACTIONS(47),
    [sym_number_bigdecimal] = ACTIONS(49),
    [anon_sym_BQUOTE] = ACTIONS(51),
    [sym_shorthand_function_arg] = ACTIONS(213),
    [sym_nil] = ACTIONS(215),
    [sym__normal_long] = ACTIONS(27),
    [sym__number_arbitrary_radix] = ACTIONS(27),
    [anon_sym_AT] = ACTIONS(55),
    [anon_sym_POUND_QMARK_AT] = ACTIONS(57),
    [anon_sym_as_DASH_GT] = ACTIONS(39),
    [anon_sym_some_DASH_GT_GT] = ACTIONS(39),
    [anon_sym_SQUOTE] = ACTIONS(59),
    [anon_sym_POUND_COLON_COLON_LBRACE] = ACTIONS(61),
    [anon_sym_POUND_BANG] = ACTIONS(65),
    [sym_new_class] = ACTIONS(17),
    [sym__symbol_chars] = ACTIONS(67),
    [anon_sym_LBRACK] = ACTIONS(69),
    [sym_number_ratio] = ACTIONS(49),
    [anon_sym_BSLASH] = ACTIONS(71),
    [anon_sym_POUND_SQUOTE] = ACTIONS(73),
    [sym_true] = ACTIONS(25),
    [sym__number_octal] = ACTIONS(27),
    [anon_sym_CARET] = ACTIONS(75),
    [anon_sym_TILDE_AT] = ACTIONS(77),
    [anon_sym_DQUOTE] = ACTIONS(79),
    [anon_sym_POUND] = ACTIONS(81),
  },
  [17] = {
    [sym__keyword_chars] = ACTIONS(217),
  },
  [18] = {
    [sym_deref] = STATE(122),
    [sym_boolean] = STATE(122),
    [sym__character] = STATE(34),
    [sym__string] = STATE(35),
    [sym__keyword] = STATE(36),
    [sym_qualified_symbol] = STATE(44),
    [sym__vector] = STATE(37),
    [sym_ignore_form] = STATE(38),
    [sym_var_quote] = STATE(122),
    [sym_number] = STATE(122),
    [sym__reader_conditional_symbol] = STATE(39),
    [aux_sym_metadata_repeat1] = STATE(40),
    [sym_regex] = STATE(122),
    [sym__unqualified_keyword] = STATE(36),
    [sym__qualified_symbol] = STATE(41),
    [sym_hash_map] = STATE(122),
    [sym_set] = STATE(122),
    [sym_comment_macro] = STATE(38),
    [sym_unquote] = STATE(122),
    [sym__literals] = STATE(122),
    [aux_sym_program_repeat1] = STATE(122),
    [sym_symbolic_value] = STATE(122),
    [sym__quote] = STATE(43),
    [sym__symbol] = STATE(44),
    [sym__list] = STATE(45),
    [sym_semicolon] = STATE(38),
    [sym_shorthand_function] = STATE(122),
    [sym_metadata_shorthand] = STATE(40),
    [sym__collection_literals] = STATE(122),
    [sym_tagged_literal] = STATE(122),
    [sym_character] = STATE(122),
    [sym_string] = STATE(122),
    [sym_keyword] = STATE(122),
    [sym_threading_macro] = STATE(44),
    [sym_vector] = STATE(122),
    [sym_shebang_line] = STATE(38),
    [sym_defn] = STATE(122),
    [sym_syntax_quote] = STATE(122),
    [sym_reader_conditional] = STATE(122),
    [sym__number] = STATE(47),
    [sym__regex] = STATE(48),
    [sym_qualified_keyword] = STATE(36),
    [sym_interop] = STATE(122),
    [sym__hash_map] = STATE(49),
    [sym__set] = STATE(50),
    [sym__functions] = STATE(122),
    [sym_metadata] = STATE(51),
    [sym__anything] = STATE(122),
    [sym_unquote_splice] = STATE(122),
    [sym_number_long] = STATE(47),
    [sym_quote] = STATE(122),
    [sym_symbol] = STATE(122),
    [sym_list] = STATE(122),
    [sym_namespace_map] = STATE(49),
    [sym_comment] = STATE(122),
    [sym_anonymous_function] = STATE(122),
    [sym__metadata_map] = STATE(52),
    [anon_sym_DASH_GT] = ACTIONS(3),
    [anon_sym_cond_DASH_GT] = ACTIONS(3),
    [anon_sym_LPARENquote] = ACTIONS(5),
    [anon_sym_POUND_DQUOTE] = ACTIONS(7),
    [anon_sym_COLON] = ACTIONS(9),
    [aux_sym_namespace_map_token1] = ACTIONS(11),
    [anon_sym_POUND_] = ACTIONS(219),
    [anon_sym_SEMI] = ACTIONS(15),
    [sym_member_access] = ACTIONS(17),
    [anon_sym_POUND_POUND] = ACTIONS(19),
    [sym_number_bigint] = ACTIONS(21),
    [sym_gensym] = ACTIONS(221),
    [sym_false] = ACTIONS(25),
    [sym_number_double] = ACTIONS(21),
    [sym__number_hex] = ACTIONS(27),
    [anon_sym_POUND_LPAREN] = ACTIONS(29),
    [anon_sym_CARET_COLON] = ACTIONS(31),
    [anon_sym_CARET_DQUOTE] = ACTIONS(33),
    [anon_sym_TILDE] = ACTIONS(223),
    [anon_sym_POUND_QMARK] = ACTIONS(37),
    [anon_sym_DASH_GT_GT] = ACTIONS(39),
    [anon_sym_cond_DASH_GT_GT] = ACTIONS(39),
    [anon_sym_some_DASH_GT] = ACTIONS(3),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_POUND_LBRACE] = ACTIONS(43),
    [anon_sym_RBRACE] = ACTIONS(225),
    [sym_field_access] = ACTIONS(17),
    [anon_sym_LBRACE] = ACTIONS(45),
    [anon_sym_LPAREN] = ACTIONS(47),
    [sym_number_bigdecimal] = ACTIONS(49),
    [anon_sym_BQUOTE] = ACTIONS(227),
    [sym_shorthand_function_arg] = ACTIONS(221),
    [sym_nil] = ACTIONS(229),
    [sym__normal_long] = ACTIONS(27),
    [sym__number_arbitrary_radix] = ACTIONS(27),
    [anon_sym_AT] = ACTIONS(55),
    [anon_sym_POUND_QMARK_AT] = ACTIONS(57),
    [anon_sym_as_DASH_GT] = ACTIONS(39),
    [anon_sym_some_DASH_GT_GT] = ACTIONS(39),
    [anon_sym_SQUOTE] = ACTIONS(231),
    [anon_sym_POUND_COLON_COLON_LBRACE] = ACTIONS(61),
    [anon_sym_POUND_BANG] = ACTIONS(65),
    [sym_new_class] = ACTIONS(17),
    [sym__symbol_chars] = ACTIONS(67),
    [anon_sym_LBRACK] = ACTIONS(69),
    [sym_number_ratio] = ACTIONS(49),
    [anon_sym_BSLASH] = ACTIONS(71),
    [anon_sym_POUND_SQUOTE] = ACTIONS(73),
    [sym_true] = ACTIONS(25),
    [sym__number_octal] = ACTIONS(27),
    [anon_sym_CARET] = ACTIONS(75),
    [anon_sym_TILDE_AT] = ACTIONS(233),
    [anon_sym_DQUOTE] = ACTIONS(79),
    [anon_sym_POUND] = ACTIONS(81),
  },
  [19] = {
    [sym_deref] = STATE(130),
    [sym_boolean] = STATE(130),
    [sym__character] = STATE(34),
    [sym__string] = STATE(35),
    [sym__keyword] = STATE(36),
    [sym_qualified_symbol] = STATE(44),
    [sym__vector] = STATE(37),
    [sym_ignore_form] = STATE(38),
    [sym_var_quote] = STATE(130),
    [sym_number] = STATE(130),
    [sym__reader_conditional_symbol] = STATE(39),
    [aux_sym_metadata_repeat1] = STATE(40),
    [sym_regex] = STATE(130),
    [sym__unqualified_keyword] = STATE(36),
    [sym__qualified_symbol] = STATE(41),
    [sym_hash_map] = STATE(130),
    [sym_set] = STATE(130),
    [sym_comment_macro] = STATE(38),
    [sym_unquote] = STATE(130),
    [sym__literals] = STATE(130),
    [sym_symbolic_value] = STATE(130),
    [sym__quote] = STATE(43),
    [sym__symbol] = STATE(44),
    [sym__list] = STATE(45),
    [sym__hash_map_kv_pair] = STATE(129),
    [sym_semicolon] = STATE(38),
    [sym_shorthand_function] = STATE(130),
    [sym_metadata_shorthand] = STATE(40),
    [sym__collection_literals] = STATE(130),
    [sym_tagged_literal] = STATE(130),
    [sym_character] = STATE(130),
    [aux_sym__hash_map_repeat1] = STATE(129),
    [sym_string] = STATE(130),
    [sym_keyword] = STATE(130),
    [sym_threading_macro] = STATE(44),
    [sym_vector] = STATE(130),
    [sym__hash_map_key] = STATE(130),
    [sym_shebang_line] = STATE(38),
    [sym_defn] = STATE(130),
    [sym_syntax_quote] = STATE(130),
    [sym_reader_conditional] = STATE(130),
    [sym__number] = STATE(47),
    [sym__regex] = STATE(48),
    [sym_qualified_keyword] = STATE(36),
    [sym_interop] = STATE(130),
    [sym__hash_map] = STATE(49),
    [sym__set] = STATE(50),
    [sym__functions] = STATE(130),
    [sym_metadata] = STATE(51),
    [sym__anything] = STATE(130),
    [sym_unquote_splice] = STATE(130),
    [sym_number_long] = STATE(47),
    [sym_quote] = STATE(130),
    [sym_symbol] = STATE(130),
    [sym_list] = STATE(130),
    [sym_namespace_map] = STATE(49),
    [sym_comment] = STATE(130),
    [sym_anonymous_function] = STATE(130),
    [sym__metadata_map] = STATE(52),
    [anon_sym_DASH_GT] = ACTIONS(3),
    [anon_sym_cond_DASH_GT] = ACTIONS(3),
    [anon_sym_LPARENquote] = ACTIONS(5),
    [anon_sym_POUND_DQUOTE] = ACTIONS(7),
    [anon_sym_COLON] = ACTIONS(9),
    [aux_sym_namespace_map_token1] = ACTIONS(11),
    [anon_sym_POUND_] = ACTIONS(235),
    [anon_sym_SEMI] = ACTIONS(15),
    [sym_member_access] = ACTIONS(17),
    [anon_sym_POUND_POUND] = ACTIONS(19),
    [sym_number_bigint] = ACTIONS(21),
    [sym_gensym] = ACTIONS(237),
    [sym_false] = ACTIONS(25),
    [sym_number_double] = ACTIONS(21),
    [sym__number_hex] = ACTIONS(27),
    [anon_sym_POUND_LPAREN] = ACTIONS(29),
    [anon_sym_CARET_COLON] = ACTIONS(31),
    [anon_sym_CARET_DQUOTE] = ACTIONS(33),
    [anon_sym_TILDE] = ACTIONS(239),
    [anon_sym_POUND_QMARK] = ACTIONS(37),
    [anon_sym_DASH_GT_GT] = ACTIONS(39),
    [anon_sym_cond_DASH_GT_GT] = ACTIONS(39),
    [anon_sym_some_DASH_GT] = ACTIONS(3),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_POUND_LBRACE] = ACTIONS(43),
    [anon_sym_RBRACE] = ACTIONS(241),
    [sym_field_access] = ACTIONS(17),
    [anon_sym_LBRACE] = ACTIONS(45),
    [anon_sym_LPAREN] = ACTIONS(47),
    [sym_number_bigdecimal] = ACTIONS(49),
    [anon_sym_BQUOTE] = ACTIONS(243),
    [sym_shorthand_function_arg] = ACTIONS(237),
    [sym_nil] = ACTIONS(245),
    [sym__normal_long] = ACTIONS(27),
    [sym__number_arbitrary_radix] = ACTIONS(27),
    [anon_sym_AT] = ACTIONS(55),
    [anon_sym_POUND_QMARK_AT] = ACTIONS(57),
    [anon_sym_as_DASH_GT] = ACTIONS(39),
    [anon_sym_some_DASH_GT_GT] = ACTIONS(39),
    [anon_sym_SQUOTE] = ACTIONS(247),
    [anon_sym_POUND_COLON_COLON_LBRACE] = ACTIONS(61),
    [anon_sym_POUND_BANG] = ACTIONS(65),
    [sym_new_class] = ACTIONS(17),
    [sym__symbol_chars] = ACTIONS(67),
    [anon_sym_LBRACK] = ACTIONS(69),
    [sym_number_ratio] = ACTIONS(49),
    [anon_sym_BSLASH] = ACTIONS(71),
    [anon_sym_POUND_SQUOTE] = ACTIONS(73),
    [sym_true] = ACTIONS(25),
    [sym__number_octal] = ACTIONS(27),
    [anon_sym_CARET] = ACTIONS(75),
    [anon_sym_TILDE_AT] = ACTIONS(249),
    [anon_sym_DQUOTE] = ACTIONS(79),
    [anon_sym_POUND] = ACTIONS(81),
  },
  [20] = {
    [sym_deref] = STATE(135),
    [sym_boolean] = STATE(135),
    [sym__character] = STATE(34),
    [sym__string] = STATE(35),
    [sym__keyword] = STATE(36),
    [sym_qualified_symbol] = STATE(44),
    [sym__vector] = STATE(37),
    [sym_ignore_form] = STATE(38),
    [sym_var_quote] = STATE(135),
    [sym_number] = STATE(135),
    [sym__reader_conditional_symbol] = STATE(39),
    [aux_sym_metadata_repeat1] = STATE(40),
    [sym_regex] = STATE(135),
    [sym__unqualified_keyword] = STATE(36),
    [sym__qualified_symbol] = STATE(41),
    [sym_hash_map] = STATE(135),
    [sym_set] = STATE(135),
    [sym_comment_macro] = STATE(38),
    [sym_unquote] = STATE(135),
    [sym__literals] = STATE(135),
    [aux_sym_program_repeat1] = STATE(135),
    [sym_symbolic_value] = STATE(135),
    [sym__quote] = STATE(43),
    [sym__symbol] = STATE(44),
    [sym__list] = STATE(45),
    [sym_semicolon] = STATE(38),
    [sym_shorthand_function] = STATE(135),
    [sym_metadata_shorthand] = STATE(40),
    [sym__collection_literals] = STATE(135),
    [sym_tagged_literal] = STATE(135),
    [sym_character] = STATE(135),
    [sym_string] = STATE(135),
    [sym_keyword] = STATE(135),
    [sym_threading_macro] = STATE(44),
    [sym_vector] = STATE(135),
    [sym_shebang_line] = STATE(38),
    [sym_defn] = STATE(135),
    [sym_syntax_quote] = STATE(135),
    [sym_reader_conditional] = STATE(135),
    [sym__number] = STATE(47),
    [sym__regex] = STATE(48),
    [sym_qualified_keyword] = STATE(36),
    [sym_interop] = STATE(135),
    [sym__hash_map] = STATE(49),
    [sym__set] = STATE(50),
    [sym__functions] = STATE(135),
    [sym_metadata] = STATE(51),
    [sym__anything] = STATE(135),
    [sym_unquote_splice] = STATE(135),
    [sym_number_long] = STATE(47),
    [sym_quote] = STATE(135),
    [sym_symbol] = STATE(135),
    [sym_list] = STATE(135),
    [sym_namespace_map] = STATE(49),
    [sym_comment] = STATE(135),
    [sym_anonymous_function] = STATE(135),
    [sym__metadata_map] = STATE(52),
    [anon_sym_cond_DASH_GT] = ACTIONS(3),
    [anon_sym_POUND_DQUOTE] = ACTIONS(7),
    [aux_sym_namespace_map_token1] = ACTIONS(11),
    [anon_sym_SEMI] = ACTIONS(15),
    [anon_sym_TILDE] = ACTIONS(193),
    [sym_number_bigint] = ACTIONS(21),
    [sym_gensym] = ACTIONS(251),
    [sym_false] = ACTIONS(25),
    [anon_sym_CARET_COLON] = ACTIONS(31),
    [sym__number_hex] = ACTIONS(27),
    [anon_sym_cond_DASH_GT_GT] = ACTIONS(39),
    [anon_sym_POUND_LBRACE] = ACTIONS(43),
    [anon_sym_LBRACE] = ACTIONS(45),
    [sym_number_bigdecimal] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(55),
    [sym__normal_long] = ACTIONS(27),
    [anon_sym_comment] = ACTIONS(253),
    [sym__number_arbitrary_radix] = ACTIONS(27),
    [anon_sym_SQUOTE] = ACTIONS(199),
    [anon_sym_RPAREN] = ACTIONS(255),
    [anon_sym_POUND_BANG] = ACTIONS(65),
    [sym__symbol_chars] = ACTIONS(67),
    [sym_number_ratio] = ACTIONS(49),
    [anon_sym_POUND] = ACTIONS(81),
    [anon_sym_fn] = ACTIONS(257),
    [sym__number_octal] = ACTIONS(27),
    [anon_sym_DASH_GT] = ACTIONS(3),
    [anon_sym_LPARENquote] = ACTIONS(5),
    [anon_sym_COLON] = ACTIONS(9),
    [anon_sym_POUND_] = ACTIONS(189),
    [sym_member_access] = ACTIONS(17),
    [anon_sym_POUND_POUND] = ACTIONS(19),
    [anon_sym_CARET_DQUOTE] = ACTIONS(33),
    [anon_sym_POUND_LPAREN] = ACTIONS(29),
    [sym_number_double] = ACTIONS(21),
    [anon_sym_defn] = ACTIONS(259),
    [anon_sym_POUND_QMARK] = ACTIONS(37),
    [anon_sym_DASH_GT_GT] = ACTIONS(39),
    [anon_sym_some_DASH_GT] = ACTIONS(3),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [sym_field_access] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(47),
    [anon_sym_BQUOTE] = ACTIONS(195),
    [sym_shorthand_function_arg] = ACTIONS(251),
    [sym_nil] = ACTIONS(261),
    [anon_sym_defn_DASH] = ACTIONS(259),
    [anon_sym_POUND_QMARK_AT] = ACTIONS(57),
    [anon_sym_as_DASH_GT] = ACTIONS(39),
    [anon_sym_some_DASH_GT_GT] = ACTIONS(39),
    [anon_sym_POUND_COLON_COLON_LBRACE] = ACTIONS(61),
    [sym_new_class] = ACTIONS(17),
    [anon_sym_LBRACK] = ACTIONS(69),
    [anon_sym_POUND_SQUOTE] = ACTIONS(73),
    [anon_sym_BSLASH] = ACTIONS(71),
    [anon_sym_TILDE_AT] = ACTIONS(203),
    [sym_true] = ACTIONS(25),
    [anon_sym_CARET] = ACTIONS(75),
    [anon_sym_DQUOTE] = ACTIONS(79),
  },
  [21] = {
    [sym_metadata_shorthand] = STATE(40),
    [sym_deref] = STATE(136),
    [sym__collection_literals] = STATE(136),
    [sym_boolean] = STATE(136),
    [sym_character] = STATE(136),
    [sym_string] = STATE(136),
    [sym_tagged_literal] = STATE(136),
    [sym_keyword] = STATE(136),
    [sym__character] = STATE(34),
    [sym__string] = STATE(35),
    [sym__keyword] = STATE(36),
    [sym_vector] = STATE(136),
    [sym_threading_macro] = STATE(44),
    [sym_qualified_symbol] = STATE(44),
    [sym__vector] = STATE(37),
    [sym_shebang_line] = STATE(38),
    [sym_ignore_form] = STATE(38),
    [sym_defn] = STATE(136),
    [sym_syntax_quote] = STATE(136),
    [sym_var_quote] = STATE(136),
    [sym_reader_conditional] = STATE(136),
    [sym_number] = STATE(136),
    [sym__number] = STATE(47),
    [aux_sym_metadata_repeat1] = STATE(40),
    [sym_regex] = STATE(136),
    [sym__regex] = STATE(48),
    [sym__unqualified_keyword] = STATE(36),
    [sym_qualified_keyword] = STATE(36),
    [sym__qualified_symbol] = STATE(41),
    [sym_interop] = STATE(136),
    [sym_hash_map] = STATE(136),
    [sym__hash_map] = STATE(49),
    [sym_set] = STATE(136),
    [sym__set] = STATE(50),
    [sym_comment_macro] = STATE(38),
    [sym__functions] = STATE(136),
    [sym__reader_conditional_symbol] = STATE(39),
    [sym_metadata] = STATE(51),
    [sym_unquote] = STATE(136),
    [sym__literals] = STATE(136),
    [sym_unquote_splice] = STATE(136),
    [sym_symbolic_value] = STATE(136),
    [sym_number_long] = STATE(47),
    [sym__anything] = STATE(136),
    [sym_quote] = STATE(136),
    [sym__quote] = STATE(43),
    [sym_symbol] = STATE(136),
    [sym__symbol] = STATE(44),
    [sym_list] = STATE(136),
    [sym__list] = STATE(45),
    [sym_namespace_map] = STATE(49),
    [sym_comment] = STATE(136),
    [sym_semicolon] = STATE(38),
    [sym_anonymous_function] = STATE(136),
    [sym_shorthand_function] = STATE(136),
    [sym__metadata_map] = STATE(52),
    [anon_sym_DASH_GT] = ACTIONS(3),
    [anon_sym_cond_DASH_GT] = ACTIONS(3),
    [anon_sym_LPARENquote] = ACTIONS(5),
    [anon_sym_POUND_DQUOTE] = ACTIONS(7),
    [anon_sym_COLON] = ACTIONS(9),
    [aux_sym_namespace_map_token1] = ACTIONS(11),
    [anon_sym_POUND_] = ACTIONS(13),
    [anon_sym_SEMI] = ACTIONS(15),
    [sym_member_access] = ACTIONS(17),
    [anon_sym_POUND_POUND] = ACTIONS(19),
    [sym_number_bigint] = ACTIONS(21),
    [sym_gensym] = ACTIONS(263),
    [sym_false] = ACTIONS(25),
    [sym_number_double] = ACTIONS(21),
    [sym__number_hex] = ACTIONS(27),
    [anon_sym_POUND_LPAREN] = ACTIONS(29),
    [anon_sym_CARET_COLON] = ACTIONS(31),
    [anon_sym_CARET_DQUOTE] = ACTIONS(33),
    [anon_sym_TILDE] = ACTIONS(35),
    [anon_sym_POUND_QMARK] = ACTIONS(37),
    [anon_sym_DASH_GT_GT] = ACTIONS(39),
    [anon_sym_cond_DASH_GT_GT] = ACTIONS(39),
    [anon_sym_some_DASH_GT] = ACTIONS(3),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_POUND_LBRACE] = ACTIONS(43),
    [sym_field_access] = ACTIONS(17),
    [anon_sym_LBRACE] = ACTIONS(45),
    [anon_sym_LPAREN] = ACTIONS(47),
    [sym_number_bigdecimal] = ACTIONS(49),
    [anon_sym_BQUOTE] = ACTIONS(51),
    [sym_shorthand_function_arg] = ACTIONS(263),
    [sym_nil] = ACTIONS(265),
    [sym__normal_long] = ACTIONS(27),
    [sym__number_arbitrary_radix] = ACTIONS(27),
    [anon_sym_AT] = ACTIONS(55),
    [anon_sym_POUND_QMARK_AT] = ACTIONS(57),
    [anon_sym_as_DASH_GT] = ACTIONS(39),
    [anon_sym_some_DASH_GT_GT] = ACTIONS(39),
    [anon_sym_SQUOTE] = ACTIONS(59),
    [anon_sym_POUND_COLON_COLON_LBRACE] = ACTIONS(61),
    [anon_sym_POUND_BANG] = ACTIONS(65),
    [sym_new_class] = ACTIONS(17),
    [sym__symbol_chars] = ACTIONS(67),
    [anon_sym_LBRACK] = ACTIONS(69),
    [sym_number_ratio] = ACTIONS(49),
    [anon_sym_BSLASH] = ACTIONS(71),
    [anon_sym_POUND_SQUOTE] = ACTIONS(73),
    [sym_true] = ACTIONS(25),
    [sym__number_octal] = ACTIONS(27),
    [anon_sym_CARET] = ACTIONS(75),
    [anon_sym_TILDE_AT] = ACTIONS(77),
    [anon_sym_DQUOTE] = ACTIONS(79),
    [anon_sym_POUND] = ACTIONS(81),
  },
  [22] = {
    [sym_threading_macro] = STATE(44),
    [sym_qualified_symbol] = STATE(44),
    [sym_symbol] = STATE(138),
    [sym__symbol] = STATE(44),
    [sym_list] = STATE(138),
    [sym__list] = STATE(45),
    [sym__qualified_symbol] = STATE(41),
    [anon_sym_LPAREN] = ACTIONS(267),
    [anon_sym_DASH_GT] = ACTIONS(3),
    [anon_sym_cond_DASH_GT] = ACTIONS(3),
    [sym__symbol_chars] = ACTIONS(67),
    [anon_sym_DASH_GT_GT] = ACTIONS(39),
    [anon_sym_cond_DASH_GT_GT] = ACTIONS(39),
    [anon_sym_some_DASH_GT] = ACTIONS(3),
    [anon_sym_as_DASH_GT] = ACTIONS(39),
    [anon_sym_some_DASH_GT_GT] = ACTIONS(39),
  },
  [23] = {
    [sym_metadata_shorthand] = STATE(40),
    [sym_deref] = STATE(139),
    [sym__collection_literals] = STATE(139),
    [sym_boolean] = STATE(139),
    [sym_character] = STATE(139),
    [sym_string] = STATE(139),
    [sym_tagged_literal] = STATE(139),
    [sym_keyword] = STATE(139),
    [sym__character] = STATE(34),
    [sym__string] = STATE(35),
    [sym__keyword] = STATE(36),
    [sym_vector] = STATE(139),
    [sym_threading_macro] = STATE(44),
    [sym_qualified_symbol] = STATE(44),
    [sym__vector] = STATE(37),
    [sym_shebang_line] = STATE(38),
    [sym_ignore_form] = STATE(38),
    [sym_defn] = STATE(139),
    [sym_syntax_quote] = STATE(139),
    [sym_var_quote] = STATE(139),
    [sym_reader_conditional] = STATE(139),
    [sym_number] = STATE(139),
    [sym__number] = STATE(47),
    [aux_sym_metadata_repeat1] = STATE(40),
    [sym_regex] = STATE(139),
    [sym__regex] = STATE(48),
    [sym__unqualified_keyword] = STATE(36),
    [sym_qualified_keyword] = STATE(36),
    [sym__qualified_symbol] = STATE(41),
    [sym_interop] = STATE(139),
    [sym_hash_map] = STATE(139),
    [sym__hash_map] = STATE(49),
    [sym_set] = STATE(139),
    [sym__set] = STATE(50),
    [sym_comment_macro] = STATE(38),
    [sym__functions] = STATE(139),
    [sym__reader_conditional_symbol] = STATE(39),
    [sym_metadata] = STATE(51),
    [sym_unquote] = STATE(139),
    [sym__literals] = STATE(139),
    [sym_unquote_splice] = STATE(139),
    [sym_symbolic_value] = STATE(139),
    [sym_number_long] = STATE(47),
    [sym__anything] = STATE(139),
    [sym_quote] = STATE(139),
    [sym__quote] = STATE(43),
    [sym_symbol] = STATE(139),
    [sym__symbol] = STATE(44),
    [sym_list] = STATE(139),
    [sym__list] = STATE(45),
    [sym_namespace_map] = STATE(49),
    [sym_comment] = STATE(139),
    [sym_semicolon] = STATE(38),
    [sym_anonymous_function] = STATE(139),
    [sym_shorthand_function] = STATE(139),
    [sym__metadata_map] = STATE(52),
    [anon_sym_DASH_GT] = ACTIONS(3),
    [anon_sym_cond_DASH_GT] = ACTIONS(3),
    [anon_sym_LPARENquote] = ACTIONS(5),
    [anon_sym_POUND_DQUOTE] = ACTIONS(7),
    [anon_sym_COLON] = ACTIONS(9),
    [aux_sym_namespace_map_token1] = ACTIONS(11),
    [anon_sym_POUND_] = ACTIONS(13),
    [anon_sym_SEMI] = ACTIONS(15),
    [sym_member_access] = ACTIONS(17),
    [anon_sym_POUND_POUND] = ACTIONS(19),
    [sym_number_bigint] = ACTIONS(21),
    [sym_gensym] = ACTIONS(269),
    [sym_false] = ACTIONS(25),
    [sym_number_double] = ACTIONS(21),
    [sym__number_hex] = ACTIONS(27),
    [anon_sym_POUND_LPAREN] = ACTIONS(29),
    [anon_sym_CARET_COLON] = ACTIONS(31),
    [anon_sym_CARET_DQUOTE] = ACTIONS(33),
    [anon_sym_TILDE] = ACTIONS(35),
    [anon_sym_POUND_QMARK] = ACTIONS(37),
    [anon_sym_DASH_GT_GT] = ACTIONS(39),
    [anon_sym_cond_DASH_GT_GT] = ACTIONS(39),
    [anon_sym_some_DASH_GT] = ACTIONS(3),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_POUND_LBRACE] = ACTIONS(43),
    [sym_field_access] = ACTIONS(17),
    [anon_sym_LBRACE] = ACTIONS(45),
    [anon_sym_LPAREN] = ACTIONS(47),
    [sym_number_bigdecimal] = ACTIONS(49),
    [anon_sym_BQUOTE] = ACTIONS(51),
    [sym_shorthand_function_arg] = ACTIONS(269),
    [sym_nil] = ACTIONS(271),
    [sym__normal_long] = ACTIONS(27),
    [sym__number_arbitrary_radix] = ACTIONS(27),
    [anon_sym_AT] = ACTIONS(55),
    [anon_sym_POUND_QMARK_AT] = ACTIONS(57),
    [anon_sym_as_DASH_GT] = ACTIONS(39),
    [anon_sym_some_DASH_GT_GT] = ACTIONS(39),
    [anon_sym_SQUOTE] = ACTIONS(59),
    [anon_sym_POUND_COLON_COLON_LBRACE] = ACTIONS(61),
    [anon_sym_POUND_BANG] = ACTIONS(65),
    [sym_new_class] = ACTIONS(17),
    [sym__symbol_chars] = ACTIONS(67),
    [anon_sym_LBRACK] = ACTIONS(69),
    [sym_number_ratio] = ACTIONS(49),
    [anon_sym_BSLASH] = ACTIONS(71),
    [anon_sym_POUND_SQUOTE] = ACTIONS(73),
    [sym_true] = ACTIONS(25),
    [sym__number_octal] = ACTIONS(27),
    [anon_sym_CARET] = ACTIONS(75),
    [anon_sym_TILDE_AT] = ACTIONS(77),
    [anon_sym_DQUOTE] = ACTIONS(79),
    [anon_sym_POUND] = ACTIONS(81),
  },
  [24] = {
    [sym_deref] = STATE(130),
    [sym_boolean] = STATE(130),
    [sym__character] = STATE(34),
    [sym__string] = STATE(35),
    [sym__keyword] = STATE(36),
    [sym_qualified_symbol] = STATE(44),
    [sym__vector] = STATE(37),
    [sym_ignore_form] = STATE(38),
    [sym_var_quote] = STATE(130),
    [sym_number] = STATE(130),
    [sym__reader_conditional_symbol] = STATE(39),
    [aux_sym_metadata_repeat1] = STATE(40),
    [sym_regex] = STATE(130),
    [sym__unqualified_keyword] = STATE(36),
    [sym__qualified_symbol] = STATE(41),
    [sym_hash_map] = STATE(130),
    [sym_set] = STATE(130),
    [sym_comment_macro] = STATE(38),
    [sym_unquote] = STATE(130),
    [sym__literals] = STATE(130),
    [sym_symbolic_value] = STATE(130),
    [sym__quote] = STATE(43),
    [sym__symbol] = STATE(44),
    [sym__list] = STATE(45),
    [sym__hash_map_kv_pair] = STATE(141),
    [sym_semicolon] = STATE(38),
    [sym_shorthand_function] = STATE(130),
    [sym_metadata_shorthand] = STATE(40),
    [sym__collection_literals] = STATE(130),
    [sym_tagged_literal] = STATE(130),
    [sym_character] = STATE(130),
    [aux_sym__hash_map_repeat1] = STATE(141),
    [sym_string] = STATE(130),
    [sym_keyword] = STATE(130),
    [sym_threading_macro] = STATE(44),
    [sym_vector] = STATE(130),
    [sym__hash_map_key] = STATE(130),
    [sym_shebang_line] = STATE(38),
    [sym_defn] = STATE(130),
    [sym_syntax_quote] = STATE(130),
    [sym_reader_conditional] = STATE(130),
    [sym__number] = STATE(47),
    [sym__regex] = STATE(48),
    [sym_qualified_keyword] = STATE(36),
    [sym_interop] = STATE(130),
    [sym__hash_map] = STATE(49),
    [sym__set] = STATE(50),
    [sym__functions] = STATE(130),
    [sym_metadata] = STATE(51),
    [sym__anything] = STATE(130),
    [sym_unquote_splice] = STATE(130),
    [sym_number_long] = STATE(47),
    [sym_quote] = STATE(130),
    [sym_symbol] = STATE(130),
    [sym_list] = STATE(130),
    [sym_namespace_map] = STATE(49),
    [sym_comment] = STATE(130),
    [sym_anonymous_function] = STATE(130),
    [sym__metadata_map] = STATE(52),
    [anon_sym_DASH_GT] = ACTIONS(3),
    [anon_sym_cond_DASH_GT] = ACTIONS(3),
    [anon_sym_LPARENquote] = ACTIONS(5),
    [anon_sym_POUND_DQUOTE] = ACTIONS(7),
    [anon_sym_COLON] = ACTIONS(9),
    [aux_sym_namespace_map_token1] = ACTIONS(11),
    [anon_sym_POUND_] = ACTIONS(235),
    [anon_sym_SEMI] = ACTIONS(15),
    [sym_member_access] = ACTIONS(17),
    [anon_sym_POUND_POUND] = ACTIONS(19),
    [sym_number_bigint] = ACTIONS(21),
    [sym_gensym] = ACTIONS(237),
    [sym_false] = ACTIONS(25),
    [sym_number_double] = ACTIONS(21),
    [sym__number_hex] = ACTIONS(27),
    [anon_sym_POUND_LPAREN] = ACTIONS(29),
    [anon_sym_CARET_COLON] = ACTIONS(31),
    [anon_sym_CARET_DQUOTE] = ACTIONS(33),
    [anon_sym_TILDE] = ACTIONS(239),
    [anon_sym_POUND_QMARK] = ACTIONS(37),
    [anon_sym_DASH_GT_GT] = ACTIONS(39),
    [anon_sym_cond_DASH_GT_GT] = ACTIONS(39),
    [anon_sym_some_DASH_GT] = ACTIONS(3),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_POUND_LBRACE] = ACTIONS(43),
    [anon_sym_RBRACE] = ACTIONS(273),
    [sym_field_access] = ACTIONS(17),
    [anon_sym_LBRACE] = ACTIONS(45),
    [anon_sym_LPAREN] = ACTIONS(47),
    [sym_number_bigdecimal] = ACTIONS(49),
    [anon_sym_BQUOTE] = ACTIONS(243),
    [sym_shorthand_function_arg] = ACTIONS(237),
    [sym_nil] = ACTIONS(245),
    [sym__normal_long] = ACTIONS(27),
    [sym__number_arbitrary_radix] = ACTIONS(27),
    [anon_sym_AT] = ACTIONS(55),
    [anon_sym_POUND_QMARK_AT] = ACTIONS(57),
    [anon_sym_as_DASH_GT] = ACTIONS(39),
    [anon_sym_some_DASH_GT_GT] = ACTIONS(39),
    [anon_sym_SQUOTE] = ACTIONS(247),
    [anon_sym_POUND_COLON_COLON_LBRACE] = ACTIONS(61),
    [anon_sym_POUND_BANG] = ACTIONS(65),
    [sym_new_class] = ACTIONS(17),
    [sym__symbol_chars] = ACTIONS(67),
    [anon_sym_LBRACK] = ACTIONS(69),
    [sym_number_ratio] = ACTIONS(49),
    [anon_sym_BSLASH] = ACTIONS(71),
    [anon_sym_POUND_SQUOTE] = ACTIONS(73),
    [sym_true] = ACTIONS(25),
    [sym__number_octal] = ACTIONS(27),
    [anon_sym_CARET] = ACTIONS(75),
    [anon_sym_TILDE_AT] = ACTIONS(249),
    [anon_sym_DQUOTE] = ACTIONS(79),
    [anon_sym_POUND] = ACTIONS(81),
  },
  [25] = {
    [aux_sym_semicolon_token1] = ACTIONS(275),
  },
  [26] = {
    [anon_sym_cond_DASH_GT] = ACTIONS(277),
    [anon_sym_POUND_DQUOTE] = ACTIONS(279),
    [aux_sym_namespace_map_token1] = ACTIONS(279),
    [anon_sym_SEMI] = ACTIONS(279),
    [anon_sym_RBRACK] = ACTIONS(279),
    [anon_sym_TILDE] = ACTIONS(277),
    [sym_number_bigint] = ACTIONS(277),
    [sym_gensym] = ACTIONS(279),
    [sym_false] = ACTIONS(277),
    [anon_sym_CARET_COLON] = ACTIONS(279),
    [sym__number_hex] = ACTIONS(277),
    [anon_sym_cond_DASH_GT_GT] = ACTIONS(279),
    [anon_sym_POUND_LBRACE] = ACTIONS(279),
    [anon_sym_LBRACE] = ACTIONS(279),
    [sym_number_bigdecimal] = ACTIONS(279),
    [anon_sym_AT] = ACTIONS(279),
    [sym__normal_long] = ACTIONS(277),
    [sym__number_arbitrary_radix] = ACTIONS(277),
    [anon_sym_SQUOTE] = ACTIONS(279),
    [anon_sym_RPAREN] = ACTIONS(279),
    [anon_sym_POUND_BANG] = ACTIONS(279),
    [sym__symbol_chars] = ACTIONS(277),
    [sym_number_ratio] = ACTIONS(279),
    [anon_sym_POUND] = ACTIONS(277),
    [sym__number_octal] = ACTIONS(277),
    [anon_sym_DASH_GT] = ACTIONS(277),
    [anon_sym_LPARENquote] = ACTIONS(279),
    [anon_sym_COLON] = ACTIONS(277),
    [anon_sym_POUND_] = ACTIONS(279),
    [sym_member_access] = ACTIONS(279),
    [anon_sym_POUND_POUND] = ACTIONS(279),
    [anon_sym_CARET_DQUOTE] = ACTIONS(279),
    [anon_sym_POUND_LPAREN] = ACTIONS(279),
    [sym_number_double] = ACTIONS(277),
    [anon_sym_POUND_QMARK] = ACTIONS(277),
    [anon_sym_DASH_GT_GT] = ACTIONS(279),
    [anon_sym_some_DASH_GT] = ACTIONS(277),
    [anon_sym_COLON_COLON] = ACTIONS(279),
    [anon_sym_RBRACE] = ACTIONS(279),
    [sym_field_access] = ACTIONS(279),
    [anon_sym_LPAREN] = ACTIONS(277),
    [anon_sym_BQUOTE] = ACTIONS(279),
    [sym_shorthand_function_arg] = ACTIONS(279),
    [sym_nil] = ACTIONS(277),
    [anon_sym_POUND_QMARK_AT] = ACTIONS(279),
    [anon_sym_as_DASH_GT] = ACTIONS(279),
    [anon_sym_some_DASH_GT_GT] = ACTIONS(279),
    [anon_sym_SLASH] = ACTIONS(281),
    [anon_sym_POUND_COLON_COLON_LBRACE] = ACTIONS(279),
    [ts_builtin_sym_end] = ACTIONS(279),
    [sym_new_class] = ACTIONS(279),
    [anon_sym_LBRACK] = ACTIONS(279),
    [anon_sym_POUND_SQUOTE] = ACTIONS(279),
    [anon_sym_BSLASH] = ACTIONS(279),
    [anon_sym_TILDE_AT] = ACTIONS(279),
    [sym_true] = ACTIONS(277),
    [anon_sym_CARET] = ACTIONS(277),
    [anon_sym_DQUOTE] = ACTIONS(279),
  },
  [27] = {
    [sym_deref] = STATE(150),
    [sym_boolean] = STATE(150),
    [sym__character] = STATE(34),
    [sym__string] = STATE(35),
    [sym__keyword] = STATE(36),
    [sym_qualified_symbol] = STATE(44),
    [sym__vector] = STATE(37),
    [sym_ignore_form] = STATE(38),
    [sym_var_quote] = STATE(150),
    [sym_number] = STATE(150),
    [sym__reader_conditional_symbol] = STATE(39),
    [aux_sym_metadata_repeat1] = STATE(40),
    [sym_regex] = STATE(150),
    [sym__unqualified_keyword] = STATE(36),
    [sym__qualified_symbol] = STATE(41),
    [sym_hash_map] = STATE(150),
    [sym_set] = STATE(150),
    [sym_comment_macro] = STATE(38),
    [sym_unquote] = STATE(150),
    [sym__literals] = STATE(150),
    [aux_sym_program_repeat1] = STATE(150),
    [sym_symbolic_value] = STATE(150),
    [sym__quote] = STATE(43),
    [sym__symbol] = STATE(44),
    [sym__list] = STATE(45),
    [sym_semicolon] = STATE(38),
    [sym_shorthand_function] = STATE(150),
    [sym_metadata_shorthand] = STATE(40),
    [sym__collection_literals] = STATE(150),
    [sym_tagged_literal] = STATE(150),
    [sym_character] = STATE(150),
    [sym_string] = STATE(150),
    [sym_keyword] = STATE(150),
    [sym_threading_macro] = STATE(44),
    [sym_vector] = STATE(150),
    [sym_shebang_line] = STATE(38),
    [sym_defn] = STATE(150),
    [sym_syntax_quote] = STATE(150),
    [sym_reader_conditional] = STATE(150),
    [sym__number] = STATE(47),
    [sym__regex] = STATE(48),
    [sym_qualified_keyword] = STATE(36),
    [sym_interop] = STATE(150),
    [sym__hash_map] = STATE(49),
    [sym__set] = STATE(50),
    [sym__functions] = STATE(150),
    [sym_metadata] = STATE(51),
    [sym__anything] = STATE(150),
    [sym_unquote_splice] = STATE(150),
    [sym_number_long] = STATE(47),
    [sym_quote] = STATE(150),
    [sym_symbol] = STATE(150),
    [sym_list] = STATE(150),
    [sym_namespace_map] = STATE(49),
    [sym_comment] = STATE(150),
    [sym_anonymous_function] = STATE(150),
    [sym__metadata_map] = STATE(52),
    [anon_sym_DASH_GT] = ACTIONS(3),
    [anon_sym_cond_DASH_GT] = ACTIONS(3),
    [anon_sym_LPARENquote] = ACTIONS(5),
    [anon_sym_POUND_DQUOTE] = ACTIONS(7),
    [anon_sym_COLON] = ACTIONS(9),
    [aux_sym_namespace_map_token1] = ACTIONS(11),
    [anon_sym_POUND_] = ACTIONS(283),
    [anon_sym_SEMI] = ACTIONS(15),
    [sym_member_access] = ACTIONS(17),
    [anon_sym_RBRACK] = ACTIONS(285),
    [anon_sym_POUND_POUND] = ACTIONS(19),
    [sym_number_bigint] = ACTIONS(21),
    [sym_gensym] = ACTIONS(287),
    [sym_false] = ACTIONS(25),
    [sym_number_double] = ACTIONS(21),
    [sym__number_hex] = ACTIONS(27),
    [anon_sym_POUND_LPAREN] = ACTIONS(29),
    [anon_sym_CARET_COLON] = ACTIONS(31),
    [anon_sym_CARET_DQUOTE] = ACTIONS(33),
    [anon_sym_TILDE] = ACTIONS(289),
    [anon_sym_POUND_QMARK] = ACTIONS(37),
    [anon_sym_DASH_GT_GT] = ACTIONS(39),
    [anon_sym_cond_DASH_GT_GT] = ACTIONS(39),
    [anon_sym_some_DASH_GT] = ACTIONS(3),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_POUND_LBRACE] = ACTIONS(43),
    [sym_field_access] = ACTIONS(17),
    [anon_sym_LBRACE] = ACTIONS(45),
    [anon_sym_LPAREN] = ACTIONS(47),
    [sym_number_bigdecimal] = ACTIONS(49),
    [anon_sym_BQUOTE] = ACTIONS(291),
    [sym_shorthand_function_arg] = ACTIONS(287),
    [sym_nil] = ACTIONS(293),
    [sym__normal_long] = ACTIONS(27),
    [sym__number_arbitrary_radix] = ACTIONS(27),
    [anon_sym_AT] = ACTIONS(55),
    [anon_sym_POUND_QMARK_AT] = ACTIONS(57),
    [anon_sym_as_DASH_GT] = ACTIONS(39),
    [anon_sym_some_DASH_GT_GT] = ACTIONS(39),
    [anon_sym_SQUOTE] = ACTIONS(295),
    [anon_sym_POUND_COLON_COLON_LBRACE] = ACTIONS(61),
    [anon_sym_POUND_BANG] = ACTIONS(65),
    [sym_new_class] = ACTIONS(17),
    [sym__symbol_chars] = ACTIONS(67),
    [anon_sym_LBRACK] = ACTIONS(69),
    [sym_number_ratio] = ACTIONS(49),
    [anon_sym_BSLASH] = ACTIONS(71),
    [anon_sym_POUND_SQUOTE] = ACTIONS(73),
    [sym_true] = ACTIONS(25),
    [sym__number_octal] = ACTIONS(27),
    [anon_sym_CARET] = ACTIONS(75),
    [anon_sym_TILDE_AT] = ACTIONS(297),
    [anon_sym_DQUOTE] = ACTIONS(79),
    [anon_sym_POUND] = ACTIONS(81),
  },
  [28] = {
    [sym__special_char] = STATE(152),
    [sym__unicode_char] = STATE(152),
    [sym__octal_char] = STATE(152),
    [anon_sym_formfeed] = ACTIONS(299),
    [anon_sym_o] = ACTIONS(301),
    [anon_sym_tab] = ACTIONS(299),
    [sym__normal_char] = ACTIONS(303),
    [anon_sym_backspace] = ACTIONS(299),
    [anon_sym_newline] = ACTIONS(299),
    [anon_sym_return] = ACTIONS(299),
    [anon_sym_space] = ACTIONS(299),
    [anon_sym_u] = ACTIONS(305),
  },
  [29] = {
    [sym_threading_macro] = STATE(44),
    [sym_qualified_symbol] = STATE(44),
    [sym_symbol] = STATE(154),
    [sym__symbol] = STATE(44),
    [sym__qualified_symbol] = STATE(41),
    [anon_sym_DASH_GT] = ACTIONS(3),
    [anon_sym_cond_DASH_GT] = ACTIONS(3),
    [sym__symbol_chars] = ACTIONS(67),
    [anon_sym_DASH_GT_GT] = ACTIONS(39),
    [anon_sym_cond_DASH_GT_GT] = ACTIONS(39),
    [anon_sym_some_DASH_GT] = ACTIONS(3),
    [anon_sym_as_DASH_GT] = ACTIONS(39),
    [anon_sym_some_DASH_GT_GT] = ACTIONS(39),
  },
  [30] = {
    [sym_hash_map] = STATE(155),
    [sym__hash_map] = STATE(90),
    [sym_namespace_map] = STATE(90),
    [anon_sym_POUND_COLON_COLON_LBRACE] = ACTIONS(141),
    [sym__symbol_chars] = ACTIONS(205),
    [aux_sym_namespace_map_token1] = ACTIONS(95),
    [anon_sym_LBRACE] = ACTIONS(125),
  },
  [31] = {
    [sym_metadata_shorthand] = STATE(40),
    [sym_deref] = STATE(156),
    [sym__collection_literals] = STATE(156),
    [sym_boolean] = STATE(156),
    [sym_character] = STATE(156),
    [sym_string] = STATE(156),
    [sym_tagged_literal] = STATE(156),
    [sym_keyword] = STATE(156),
    [sym__character] = STATE(34),
    [sym__string] = STATE(35),
    [sym__keyword] = STATE(36),
    [sym_vector] = STATE(156),
    [sym_threading_macro] = STATE(44),
    [sym_qualified_symbol] = STATE(44),
    [sym__vector] = STATE(37),
    [sym_shebang_line] = STATE(38),
    [sym_ignore_form] = STATE(38),
    [sym_defn] = STATE(156),
    [sym_syntax_quote] = STATE(156),
    [sym_var_quote] = STATE(156),
    [sym_reader_conditional] = STATE(156),
    [sym_number] = STATE(156),
    [sym__number] = STATE(47),
    [aux_sym_metadata_repeat1] = STATE(40),
    [sym_regex] = STATE(156),
    [sym__regex] = STATE(48),
    [sym__unqualified_keyword] = STATE(36),
    [sym_qualified_keyword] = STATE(36),
    [sym__qualified_symbol] = STATE(41),
    [sym_interop] = STATE(156),
    [sym_hash_map] = STATE(156),
    [sym__hash_map] = STATE(49),
    [sym_set] = STATE(156),
    [sym__set] = STATE(50),
    [sym_comment_macro] = STATE(38),
    [sym__functions] = STATE(156),
    [sym__reader_conditional_symbol] = STATE(39),
    [sym_metadata] = STATE(51),
    [sym_unquote] = STATE(156),
    [sym__literals] = STATE(156),
    [sym_unquote_splice] = STATE(156),
    [sym_symbolic_value] = STATE(156),
    [sym_number_long] = STATE(47),
    [sym__anything] = STATE(156),
    [sym_quote] = STATE(156),
    [sym__quote] = STATE(43),
    [sym_symbol] = STATE(156),
    [sym__symbol] = STATE(44),
    [sym_list] = STATE(156),
    [sym__list] = STATE(45),
    [sym_namespace_map] = STATE(49),
    [sym_comment] = STATE(156),
    [sym_semicolon] = STATE(38),
    [sym_anonymous_function] = STATE(156),
    [sym_shorthand_function] = STATE(156),
    [sym__metadata_map] = STATE(52),
    [anon_sym_DASH_GT] = ACTIONS(3),
    [anon_sym_cond_DASH_GT] = ACTIONS(3),
    [anon_sym_LPARENquote] = ACTIONS(5),
    [anon_sym_POUND_DQUOTE] = ACTIONS(7),
    [anon_sym_COLON] = ACTIONS(9),
    [aux_sym_namespace_map_token1] = ACTIONS(11),
    [anon_sym_POUND_] = ACTIONS(13),
    [anon_sym_SEMI] = ACTIONS(15),
    [sym_member_access] = ACTIONS(17),
    [anon_sym_POUND_POUND] = ACTIONS(19),
    [sym_number_bigint] = ACTIONS(21),
    [sym_gensym] = ACTIONS(307),
    [sym_false] = ACTIONS(25),
    [sym_number_double] = ACTIONS(21),
    [sym__number_hex] = ACTIONS(27),
    [anon_sym_POUND_LPAREN] = ACTIONS(29),
    [anon_sym_CARET_COLON] = ACTIONS(31),
    [anon_sym_CARET_DQUOTE] = ACTIONS(33),
    [anon_sym_TILDE] = ACTIONS(35),
    [anon_sym_POUND_QMARK] = ACTIONS(37),
    [anon_sym_DASH_GT_GT] = ACTIONS(39),
    [anon_sym_cond_DASH_GT_GT] = ACTIONS(39),
    [anon_sym_some_DASH_GT] = ACTIONS(3),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_POUND_LBRACE] = ACTIONS(43),
    [sym_field_access] = ACTIONS(17),
    [anon_sym_LBRACE] = ACTIONS(45),
    [anon_sym_LPAREN] = ACTIONS(47),
    [sym_number_bigdecimal] = ACTIONS(49),
    [anon_sym_BQUOTE] = ACTIONS(51),
    [sym_shorthand_function_arg] = ACTIONS(307),
    [sym_nil] = ACTIONS(309),
    [sym__normal_long] = ACTIONS(27),
    [sym__number_arbitrary_radix] = ACTIONS(27),
    [anon_sym_AT] = ACTIONS(55),
    [anon_sym_POUND_QMARK_AT] = ACTIONS(57),
    [anon_sym_as_DASH_GT] = ACTIONS(39),
    [anon_sym_some_DASH_GT_GT] = ACTIONS(39),
    [anon_sym_SQUOTE] = ACTIONS(59),
    [anon_sym_POUND_COLON_COLON_LBRACE] = ACTIONS(61),
    [anon_sym_POUND_BANG] = ACTIONS(65),
    [sym_new_class] = ACTIONS(17),
    [sym__symbol_chars] = ACTIONS(67),
    [anon_sym_LBRACK] = ACTIONS(69),
    [sym_number_ratio] = ACTIONS(49),
    [anon_sym_BSLASH] = ACTIONS(71),
    [anon_sym_POUND_SQUOTE] = ACTIONS(73),
    [sym_true] = ACTIONS(25),
    [sym__number_octal] = ACTIONS(27),
    [anon_sym_CARET] = ACTIONS(75),
    [anon_sym_TILDE_AT] = ACTIONS(77),
    [anon_sym_DQUOTE] = ACTIONS(79),
    [anon_sym_POUND] = ACTIONS(81),
  },
  [32] = {
    [aux_sym__string_repeat1] = STATE(158),
    [anon_sym_DQUOTE] = ACTIONS(311),
    [anon_sym_BSLASH_DQUOTE] = ACTIONS(313),
    [aux_sym__string_token1] = ACTIONS(315),
  },
  [33] = {
    [sym__qualified_symbol] = STATE(160),
    [sym__symbol_chars] = ACTIONS(317),
  },
  [34] = {
    [anon_sym_cond_DASH_GT] = ACTIONS(319),
    [anon_sym_POUND_DQUOTE] = ACTIONS(321),
    [aux_sym_namespace_map_token1] = ACTIONS(321),
    [anon_sym_SEMI] = ACTIONS(321),
    [anon_sym_RBRACK] = ACTIONS(321),
    [anon_sym_TILDE] = ACTIONS(319),
    [sym_number_bigint] = ACTIONS(319),
    [sym_gensym] = ACTIONS(321),
    [sym_false] = ACTIONS(319),
    [anon_sym_CARET_COLON] = ACTIONS(321),
    [sym__number_hex] = ACTIONS(319),
    [anon_sym_cond_DASH_GT_GT] = ACTIONS(321),
    [anon_sym_POUND_LBRACE] = ACTIONS(321),
    [anon_sym_LBRACE] = ACTIONS(321),
    [sym_number_bigdecimal] = ACTIONS(321),
    [anon_sym_AT] = ACTIONS(321),
    [sym__normal_long] = ACTIONS(319),
    [sym__number_arbitrary_radix] = ACTIONS(319),
    [anon_sym_SQUOTE] = ACTIONS(321),
    [anon_sym_RPAREN] = ACTIONS(321),
    [anon_sym_POUND_BANG] = ACTIONS(321),
    [sym__symbol_chars] = ACTIONS(319),
    [sym_number_ratio] = ACTIONS(321),
    [anon_sym_POUND] = ACTIONS(319),
    [sym__number_octal] = ACTIONS(319),
    [anon_sym_DASH_GT] = ACTIONS(319),
    [anon_sym_LPARENquote] = ACTIONS(321),
    [anon_sym_COLON] = ACTIONS(319),
    [anon_sym_POUND_] = ACTIONS(321),
    [sym_member_access] = ACTIONS(321),
    [anon_sym_POUND_POUND] = ACTIONS(321),
    [anon_sym_CARET_DQUOTE] = ACTIONS(321),
    [anon_sym_POUND_LPAREN] = ACTIONS(321),
    [sym_number_double] = ACTIONS(319),
    [anon_sym_POUND_QMARK] = ACTIONS(319),
    [anon_sym_DASH_GT_GT] = ACTIONS(321),
    [anon_sym_some_DASH_GT] = ACTIONS(319),
    [anon_sym_COLON_COLON] = ACTIONS(321),
    [anon_sym_RBRACE] = ACTIONS(321),
    [sym_field_access] = ACTIONS(321),
    [anon_sym_LPAREN] = ACTIONS(319),
    [anon_sym_BQUOTE] = ACTIONS(321),
    [sym_shorthand_function_arg] = ACTIONS(321),
    [sym_nil] = ACTIONS(319),
    [anon_sym_POUND_QMARK_AT] = ACTIONS(321),
    [anon_sym_as_DASH_GT] = ACTIONS(321),
    [anon_sym_some_DASH_GT_GT] = ACTIONS(321),
    [anon_sym_POUND_COLON_COLON_LBRACE] = ACTIONS(321),
    [ts_builtin_sym_end] = ACTIONS(321),
    [sym_new_class] = ACTIONS(321),
    [anon_sym_LBRACK] = ACTIONS(321),
    [anon_sym_POUND_SQUOTE] = ACTIONS(321),
    [anon_sym_BSLASH] = ACTIONS(321),
    [anon_sym_TILDE_AT] = ACTIONS(321),
    [sym_true] = ACTIONS(319),
    [anon_sym_CARET] = ACTIONS(319),
    [anon_sym_DQUOTE] = ACTIONS(321),
  },
  [35] = {
    [anon_sym_cond_DASH_GT] = ACTIONS(323),
    [anon_sym_POUND_DQUOTE] = ACTIONS(325),
    [aux_sym_namespace_map_token1] = ACTIONS(325),
    [anon_sym_SEMI] = ACTIONS(325),
    [anon_sym_RBRACK] = ACTIONS(325),
    [anon_sym_TILDE] = ACTIONS(323),
    [sym_number_bigint] = ACTIONS(323),
    [sym_gensym] = ACTIONS(325),
    [sym_false] = ACTIONS(323),
    [anon_sym_CARET_COLON] = ACTIONS(325),
    [sym__number_hex] = ACTIONS(323),
    [anon_sym_cond_DASH_GT_GT] = ACTIONS(325),
    [anon_sym_POUND_LBRACE] = ACTIONS(325),
    [anon_sym_LBRACE] = ACTIONS(325),
    [sym_number_bigdecimal] = ACTIONS(325),
    [anon_sym_AT] = ACTIONS(325),
    [sym__normal_long] = ACTIONS(323),
    [sym__number_arbitrary_radix] = ACTIONS(323),
    [anon_sym_SQUOTE] = ACTIONS(325),
    [anon_sym_RPAREN] = ACTIONS(325),
    [anon_sym_POUND_BANG] = ACTIONS(325),
    [sym__symbol_chars] = ACTIONS(323),
    [sym_number_ratio] = ACTIONS(325),
    [anon_sym_POUND] = ACTIONS(323),
    [sym__number_octal] = ACTIONS(323),
    [anon_sym_DASH_GT] = ACTIONS(323),
    [anon_sym_LPARENquote] = ACTIONS(325),
    [anon_sym_COLON] = ACTIONS(323),
    [anon_sym_POUND_] = ACTIONS(325),
    [sym_member_access] = ACTIONS(325),
    [anon_sym_POUND_POUND] = ACTIONS(325),
    [anon_sym_CARET_DQUOTE] = ACTIONS(325),
    [anon_sym_POUND_LPAREN] = ACTIONS(325),
    [sym_number_double] = ACTIONS(323),
    [anon_sym_POUND_QMARK] = ACTIONS(323),
    [anon_sym_DASH_GT_GT] = ACTIONS(325),
    [anon_sym_some_DASH_GT] = ACTIONS(323),
    [anon_sym_COLON_COLON] = ACTIONS(325),
    [anon_sym_RBRACE] = ACTIONS(325),
    [sym_field_access] = ACTIONS(325),
    [anon_sym_LPAREN] = ACTIONS(323),
    [anon_sym_BQUOTE] = ACTIONS(325),
    [sym_shorthand_function_arg] = ACTIONS(325),
    [sym_nil] = ACTIONS(323),
    [anon_sym_POUND_QMARK_AT] = ACTIONS(325),
    [anon_sym_as_DASH_GT] = ACTIONS(325),
    [anon_sym_some_DASH_GT_GT] = ACTIONS(325),
    [anon_sym_POUND_COLON_COLON_LBRACE] = ACTIONS(325),
    [ts_builtin_sym_end] = ACTIONS(325),
    [sym_new_class] = ACTIONS(325),
    [anon_sym_LBRACK] = ACTIONS(325),
    [anon_sym_POUND_SQUOTE] = ACTIONS(325),
    [anon_sym_BSLASH] = ACTIONS(325),
    [anon_sym_TILDE_AT] = ACTIONS(325),
    [sym_true] = ACTIONS(323),
    [anon_sym_CARET] = ACTIONS(323),
    [anon_sym_DQUOTE] = ACTIONS(325),
  },
  [36] = {
    [anon_sym_cond_DASH_GT] = ACTIONS(327),
    [anon_sym_POUND_DQUOTE] = ACTIONS(329),
    [aux_sym_namespace_map_token1] = ACTIONS(329),
    [anon_sym_SEMI] = ACTIONS(329),
    [anon_sym_RBRACK] = ACTIONS(329),
    [anon_sym_TILDE] = ACTIONS(327),
    [sym_number_bigint] = ACTIONS(327),
    [sym_gensym] = ACTIONS(329),
    [sym_false] = ACTIONS(327),
    [anon_sym_CARET_COLON] = ACTIONS(329),
    [sym__number_hex] = ACTIONS(327),
    [anon_sym_cond_DASH_GT_GT] = ACTIONS(329),
    [anon_sym_POUND_LBRACE] = ACTIONS(329),
    [anon_sym_LBRACE] = ACTIONS(329),
    [sym_number_bigdecimal] = ACTIONS(329),
    [anon_sym_AT] = ACTIONS(329),
    [sym__normal_long] = ACTIONS(327),
    [sym__number_arbitrary_radix] = ACTIONS(327),
    [anon_sym_SQUOTE] = ACTIONS(329),
    [anon_sym_RPAREN] = ACTIONS(329),
    [anon_sym_POUND_BANG] = ACTIONS(329),
    [sym__symbol_chars] = ACTIONS(327),
    [sym_number_ratio] = ACTIONS(329),
    [anon_sym_POUND] = ACTIONS(327),
    [sym__number_octal] = ACTIONS(327),
    [anon_sym_DASH_GT] = ACTIONS(327),
    [anon_sym_LPARENquote] = ACTIONS(329),
    [anon_sym_COLON] = ACTIONS(327),
    [anon_sym_POUND_] = ACTIONS(329),
    [sym_member_access] = ACTIONS(329),
    [anon_sym_POUND_POUND] = ACTIONS(329),
    [anon_sym_CARET_DQUOTE] = ACTIONS(329),
    [anon_sym_POUND_LPAREN] = ACTIONS(329),
    [sym_number_double] = ACTIONS(327),
    [anon_sym_POUND_QMARK] = ACTIONS(327),
    [anon_sym_DASH_GT_GT] = ACTIONS(329),
    [anon_sym_some_DASH_GT] = ACTIONS(327),
    [anon_sym_COLON_COLON] = ACTIONS(329),
    [anon_sym_RBRACE] = ACTIONS(329),
    [sym_field_access] = ACTIONS(329),
    [anon_sym_LPAREN] = ACTIONS(327),
    [anon_sym_BQUOTE] = ACTIONS(329),
    [sym_shorthand_function_arg] = ACTIONS(329),
    [sym_nil] = ACTIONS(327),
    [anon_sym_POUND_QMARK_AT] = ACTIONS(329),
    [anon_sym_as_DASH_GT] = ACTIONS(329),
    [anon_sym_some_DASH_GT_GT] = ACTIONS(329),
    [anon_sym_POUND_COLON_COLON_LBRACE] = ACTIONS(329),
    [ts_builtin_sym_end] = ACTIONS(329),
    [sym_new_class] = ACTIONS(329),
    [anon_sym_LBRACK] = ACTIONS(329),
    [anon_sym_POUND_SQUOTE] = ACTIONS(329),
    [anon_sym_BSLASH] = ACTIONS(329),
    [anon_sym_TILDE_AT] = ACTIONS(329),
    [sym_true] = ACTIONS(327),
    [anon_sym_CARET] = ACTIONS(327),
    [anon_sym_DQUOTE] = ACTIONS(329),
  },
  [37] = {
    [anon_sym_cond_DASH_GT] = ACTIONS(331),
    [anon_sym_POUND_DQUOTE] = ACTIONS(333),
    [aux_sym_namespace_map_token1] = ACTIONS(333),
    [anon_sym_SEMI] = ACTIONS(333),
    [anon_sym_RBRACK] = ACTIONS(333),
    [anon_sym_TILDE] = ACTIONS(331),
    [sym_number_bigint] = ACTIONS(331),
    [sym_gensym] = ACTIONS(333),
    [sym_false] = ACTIONS(331),
    [anon_sym_CARET_COLON] = ACTIONS(333),
    [sym__number_hex] = ACTIONS(331),
    [anon_sym_cond_DASH_GT_GT] = ACTIONS(333),
    [anon_sym_POUND_LBRACE] = ACTIONS(333),
    [anon_sym_LBRACE] = ACTIONS(333),
    [sym_number_bigdecimal] = ACTIONS(333),
    [anon_sym_AT] = ACTIONS(333),
    [sym__normal_long] = ACTIONS(331),
    [sym__number_arbitrary_radix] = ACTIONS(331),
    [anon_sym_SQUOTE] = ACTIONS(333),
    [anon_sym_RPAREN] = ACTIONS(333),
    [anon_sym_POUND_BANG] = ACTIONS(333),
    [sym__symbol_chars] = ACTIONS(331),
    [sym_number_ratio] = ACTIONS(333),
    [anon_sym_POUND] = ACTIONS(331),
    [sym__number_octal] = ACTIONS(331),
    [anon_sym_DASH_GT] = ACTIONS(331),
    [anon_sym_LPARENquote] = ACTIONS(333),
    [anon_sym_COLON] = ACTIONS(331),
    [anon_sym_POUND_] = ACTIONS(333),
    [sym_member_access] = ACTIONS(333),
    [anon_sym_POUND_POUND] = ACTIONS(333),
    [anon_sym_CARET_DQUOTE] = ACTIONS(333),
    [anon_sym_POUND_LPAREN] = ACTIONS(333),
    [sym_number_double] = ACTIONS(331),
    [anon_sym_POUND_QMARK] = ACTIONS(331),
    [anon_sym_DASH_GT_GT] = ACTIONS(333),
    [anon_sym_some_DASH_GT] = ACTIONS(331),
    [anon_sym_COLON_COLON] = ACTIONS(333),
    [anon_sym_RBRACE] = ACTIONS(333),
    [sym_field_access] = ACTIONS(333),
    [anon_sym_LPAREN] = ACTIONS(331),
    [anon_sym_BQUOTE] = ACTIONS(333),
    [sym_shorthand_function_arg] = ACTIONS(333),
    [sym_nil] = ACTIONS(331),
    [anon_sym_POUND_QMARK_AT] = ACTIONS(333),
    [anon_sym_as_DASH_GT] = ACTIONS(333),
    [anon_sym_some_DASH_GT_GT] = ACTIONS(333),
    [anon_sym_POUND_COLON_COLON_LBRACE] = ACTIONS(333),
    [ts_builtin_sym_end] = ACTIONS(333),
    [sym_new_class] = ACTIONS(333),
    [anon_sym_LBRACK] = ACTIONS(333),
    [anon_sym_POUND_SQUOTE] = ACTIONS(333),
    [anon_sym_BSLASH] = ACTIONS(333),
    [anon_sym_TILDE_AT] = ACTIONS(333),
    [sym_true] = ACTIONS(331),
    [anon_sym_CARET] = ACTIONS(331),
    [anon_sym_DQUOTE] = ACTIONS(333),
  },
  [38] = {
    [anon_sym_cond_DASH_GT] = ACTIONS(335),
    [anon_sym_POUND_DQUOTE] = ACTIONS(337),
    [aux_sym_namespace_map_token1] = ACTIONS(337),
    [anon_sym_SEMI] = ACTIONS(337),
    [anon_sym_RBRACK] = ACTIONS(337),
    [anon_sym_TILDE] = ACTIONS(335),
    [sym_number_bigint] = ACTIONS(335),
    [sym_gensym] = ACTIONS(337),
    [sym_false] = ACTIONS(335),
    [anon_sym_CARET_COLON] = ACTIONS(337),
    [sym__number_hex] = ACTIONS(335),
    [anon_sym_cond_DASH_GT_GT] = ACTIONS(337),
    [anon_sym_POUND_LBRACE] = ACTIONS(337),
    [anon_sym_LBRACE] = ACTIONS(337),
    [sym_number_bigdecimal] = ACTIONS(337),
    [anon_sym_AT] = ACTIONS(337),
    [sym__normal_long] = ACTIONS(335),
    [sym__number_arbitrary_radix] = ACTIONS(335),
    [anon_sym_SQUOTE] = ACTIONS(337),
    [anon_sym_RPAREN] = ACTIONS(337),
    [anon_sym_POUND_BANG] = ACTIONS(337),
    [sym__symbol_chars] = ACTIONS(335),
    [sym_number_ratio] = ACTIONS(337),
    [anon_sym_POUND] = ACTIONS(335),
    [sym__number_octal] = ACTIONS(335),
    [anon_sym_DASH_GT] = ACTIONS(335),
    [anon_sym_LPARENquote] = ACTIONS(337),
    [anon_sym_COLON] = ACTIONS(335),
    [anon_sym_POUND_] = ACTIONS(337),
    [sym_member_access] = ACTIONS(337),
    [anon_sym_POUND_POUND] = ACTIONS(337),
    [anon_sym_CARET_DQUOTE] = ACTIONS(337),
    [anon_sym_POUND_LPAREN] = ACTIONS(337),
    [sym_number_double] = ACTIONS(335),
    [anon_sym_POUND_QMARK] = ACTIONS(335),
    [anon_sym_DASH_GT_GT] = ACTIONS(337),
    [anon_sym_some_DASH_GT] = ACTIONS(335),
    [anon_sym_COLON_COLON] = ACTIONS(337),
    [anon_sym_RBRACE] = ACTIONS(337),
    [sym_field_access] = ACTIONS(337),
    [anon_sym_LPAREN] = ACTIONS(335),
    [anon_sym_BQUOTE] = ACTIONS(337),
    [sym_shorthand_function_arg] = ACTIONS(337),
    [sym_nil] = ACTIONS(335),
    [anon_sym_POUND_QMARK_AT] = ACTIONS(337),
    [anon_sym_as_DASH_GT] = ACTIONS(337),
    [anon_sym_some_DASH_GT_GT] = ACTIONS(337),
    [anon_sym_POUND_COLON_COLON_LBRACE] = ACTIONS(337),
    [ts_builtin_sym_end] = ACTIONS(337),
    [sym_new_class] = ACTIONS(337),
    [anon_sym_LBRACK] = ACTIONS(337),
    [anon_sym_POUND_SQUOTE] = ACTIONS(337),
    [anon_sym_BSLASH] = ACTIONS(337),
    [anon_sym_TILDE_AT] = ACTIONS(337),
    [sym_true] = ACTIONS(335),
    [anon_sym_CARET] = ACTIONS(335),
    [anon_sym_DQUOTE] = ACTIONS(337),
  },
  [39] = {
    [anon_sym_LPAREN] = ACTIONS(339),
  },
  [40] = {
    [sym_metadata_shorthand] = STATE(163),
    [aux_sym_metadata_repeat1] = STATE(163),
    [anon_sym_LPAREN] = ACTIONS(341),
    [anon_sym_POUND_COLON_COLON_LBRACE] = ACTIONS(341),
    [anon_sym_CARET_COLON] = ACTIONS(31),
    [anon_sym_LBRACK] = ACTIONS(341),
    [aux_sym_namespace_map_token1] = ACTIONS(341),
    [anon_sym_CARET] = ACTIONS(343),
    [anon_sym_POUND_LBRACE] = ACTIONS(341),
    [anon_sym_CARET_DQUOTE] = ACTIONS(33),
    [anon_sym_LBRACE] = ACTIONS(341),
  },
  [41] = {
    [anon_sym_cond_DASH_GT] = ACTIONS(345),
    [anon_sym_POUND_DQUOTE] = ACTIONS(347),
    [aux_sym_namespace_map_token1] = ACTIONS(347),
    [anon_sym_SEMI] = ACTIONS(347),
    [anon_sym_RBRACK] = ACTIONS(347),
    [anon_sym_TILDE] = ACTIONS(345),
    [sym_number_bigint] = ACTIONS(345),
    [sym_gensym] = ACTIONS(347),
    [sym_false] = ACTIONS(345),
    [anon_sym_CARET_COLON] = ACTIONS(347),
    [sym__number_hex] = ACTIONS(345),
    [anon_sym_cond_DASH_GT_GT] = ACTIONS(347),
    [anon_sym_POUND_LBRACE] = ACTIONS(347),
    [anon_sym_LBRACE] = ACTIONS(347),
    [sym_number_bigdecimal] = ACTIONS(347),
    [anon_sym_AT] = ACTIONS(347),
    [sym__normal_long] = ACTIONS(345),
    [sym__number_arbitrary_radix] = ACTIONS(345),
    [anon_sym_SQUOTE] = ACTIONS(347),
    [anon_sym_RPAREN] = ACTIONS(347),
    [anon_sym_POUND_BANG] = ACTIONS(347),
    [sym__symbol_chars] = ACTIONS(345),
    [sym_number_ratio] = ACTIONS(347),
    [anon_sym_POUND] = ACTIONS(345),
    [sym__number_octal] = ACTIONS(345),
    [anon_sym_DASH_GT] = ACTIONS(345),
    [anon_sym_LPARENquote] = ACTIONS(347),
    [anon_sym_COLON] = ACTIONS(345),
    [anon_sym_POUND_] = ACTIONS(347),
    [sym_member_access] = ACTIONS(347),
    [anon_sym_POUND_POUND] = ACTIONS(347),
    [anon_sym_CARET_DQUOTE] = ACTIONS(347),
    [anon_sym_POUND_LPAREN] = ACTIONS(347),
    [sym_number_double] = ACTIONS(345),
    [anon_sym_POUND_QMARK] = ACTIONS(345),
    [anon_sym_DASH_GT_GT] = ACTIONS(347),
    [anon_sym_some_DASH_GT] = ACTIONS(345),
    [anon_sym_COLON_COLON] = ACTIONS(347),
    [anon_sym_RBRACE] = ACTIONS(347),
    [sym_field_access] = ACTIONS(347),
    [anon_sym_LPAREN] = ACTIONS(345),
    [anon_sym_BQUOTE] = ACTIONS(347),
    [sym_shorthand_function_arg] = ACTIONS(347),
    [sym_nil] = ACTIONS(345),
    [anon_sym_POUND_QMARK_AT] = ACTIONS(347),
    [anon_sym_as_DASH_GT] = ACTIONS(347),
    [anon_sym_some_DASH_GT_GT] = ACTIONS(347),
    [anon_sym_POUND_COLON_COLON_LBRACE] = ACTIONS(347),
    [ts_builtin_sym_end] = ACTIONS(347),
    [sym_new_class] = ACTIONS(347),
    [anon_sym_LBRACK] = ACTIONS(347),
    [anon_sym_POUND_SQUOTE] = ACTIONS(347),
    [anon_sym_BSLASH] = ACTIONS(347),
    [anon_sym_TILDE_AT] = ACTIONS(347),
    [sym_true] = ACTIONS(345),
    [anon_sym_CARET] = ACTIONS(345),
    [anon_sym_DQUOTE] = ACTIONS(347),
  },
  [42] = {
    [sym_deref] = STATE(164),
    [sym_boolean] = STATE(164),
    [sym__character] = STATE(34),
    [sym__string] = STATE(35),
    [sym__keyword] = STATE(36),
    [sym_qualified_symbol] = STATE(44),
    [sym__vector] = STATE(37),
    [sym_ignore_form] = STATE(38),
    [sym_var_quote] = STATE(164),
    [sym_number] = STATE(164),
    [sym__reader_conditional_symbol] = STATE(39),
    [aux_sym_metadata_repeat1] = STATE(40),
    [sym_regex] = STATE(164),
    [sym__unqualified_keyword] = STATE(36),
    [sym__qualified_symbol] = STATE(41),
    [sym_hash_map] = STATE(164),
    [sym_set] = STATE(164),
    [sym_comment_macro] = STATE(38),
    [sym_unquote] = STATE(164),
    [sym__literals] = STATE(164),
    [aux_sym_program_repeat1] = STATE(164),
    [sym_symbolic_value] = STATE(164),
    [sym__quote] = STATE(43),
    [sym__symbol] = STATE(44),
    [sym__list] = STATE(45),
    [sym_semicolon] = STATE(38),
    [sym_shorthand_function] = STATE(164),
    [sym_metadata_shorthand] = STATE(40),
    [sym__collection_literals] = STATE(164),
    [sym_tagged_literal] = STATE(164),
    [sym_character] = STATE(164),
    [sym_string] = STATE(164),
    [sym_keyword] = STATE(164),
    [sym_threading_macro] = STATE(44),
    [sym_vector] = STATE(164),
    [sym_shebang_line] = STATE(38),
    [sym_defn] = STATE(164),
    [sym_syntax_quote] = STATE(164),
    [sym_reader_conditional] = STATE(164),
    [sym__number] = STATE(47),
    [sym__regex] = STATE(48),
    [sym_qualified_keyword] = STATE(36),
    [sym_interop] = STATE(164),
    [sym__hash_map] = STATE(49),
    [sym__set] = STATE(50),
    [sym__functions] = STATE(164),
    [sym_metadata] = STATE(51),
    [sym__anything] = STATE(164),
    [sym_unquote_splice] = STATE(164),
    [sym_number_long] = STATE(47),
    [sym_quote] = STATE(164),
    [sym_symbol] = STATE(164),
    [sym_list] = STATE(164),
    [sym_namespace_map] = STATE(49),
    [sym_comment] = STATE(164),
    [sym_anonymous_function] = STATE(164),
    [sym__metadata_map] = STATE(52),
    [anon_sym_DASH_GT] = ACTIONS(3),
    [anon_sym_cond_DASH_GT] = ACTIONS(3),
    [anon_sym_LPARENquote] = ACTIONS(5),
    [anon_sym_POUND_DQUOTE] = ACTIONS(7),
    [anon_sym_COLON] = ACTIONS(9),
    [aux_sym_namespace_map_token1] = ACTIONS(11),
    [anon_sym_POUND_] = ACTIONS(13),
    [anon_sym_SEMI] = ACTIONS(15),
    [sym_member_access] = ACTIONS(17),
    [anon_sym_POUND_POUND] = ACTIONS(19),
    [sym_number_bigint] = ACTIONS(21),
    [sym_gensym] = ACTIONS(349),
    [sym_false] = ACTIONS(25),
    [sym_number_double] = ACTIONS(21),
    [sym__number_hex] = ACTIONS(27),
    [anon_sym_POUND_LPAREN] = ACTIONS(29),
    [anon_sym_CARET_COLON] = ACTIONS(31),
    [anon_sym_CARET_DQUOTE] = ACTIONS(33),
    [anon_sym_TILDE] = ACTIONS(35),
    [anon_sym_POUND_QMARK] = ACTIONS(37),
    [anon_sym_DASH_GT_GT] = ACTIONS(39),
    [anon_sym_cond_DASH_GT_GT] = ACTIONS(39),
    [anon_sym_some_DASH_GT] = ACTIONS(3),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_POUND_LBRACE] = ACTIONS(43),
    [sym_field_access] = ACTIONS(17),
    [anon_sym_LBRACE] = ACTIONS(45),
    [anon_sym_LPAREN] = ACTIONS(47),
    [sym_number_bigdecimal] = ACTIONS(49),
    [anon_sym_BQUOTE] = ACTIONS(51),
    [sym_shorthand_function_arg] = ACTIONS(349),
    [sym_nil] = ACTIONS(351),
    [sym__normal_long] = ACTIONS(27),
    [sym__number_arbitrary_radix] = ACTIONS(27),
    [anon_sym_AT] = ACTIONS(55),
    [anon_sym_POUND_QMARK_AT] = ACTIONS(57),
    [anon_sym_as_DASH_GT] = ACTIONS(39),
    [anon_sym_some_DASH_GT_GT] = ACTIONS(39),
    [anon_sym_SQUOTE] = ACTIONS(59),
    [anon_sym_POUND_COLON_COLON_LBRACE] = ACTIONS(61),
    [ts_builtin_sym_end] = ACTIONS(353),
    [anon_sym_POUND_BANG] = ACTIONS(65),
    [sym_new_class] = ACTIONS(17),
    [sym__symbol_chars] = ACTIONS(67),
    [anon_sym_LBRACK] = ACTIONS(69),
    [sym_number_ratio] = ACTIONS(49),
    [anon_sym_BSLASH] = ACTIONS(71),
    [anon_sym_POUND_SQUOTE] = ACTIONS(73),
    [sym_true] = ACTIONS(25),
    [sym__number_octal] = ACTIONS(27),
    [anon_sym_CARET] = ACTIONS(75),
    [anon_sym_TILDE_AT] = ACTIONS(77),
    [anon_sym_DQUOTE] = ACTIONS(79),
    [anon_sym_POUND] = ACTIONS(81),
  },
  [43] = {
    [anon_sym_cond_DASH_GT] = ACTIONS(355),
    [anon_sym_POUND_DQUOTE] = ACTIONS(357),
    [aux_sym_namespace_map_token1] = ACTIONS(357),
    [anon_sym_SEMI] = ACTIONS(357),
    [anon_sym_RBRACK] = ACTIONS(357),
    [anon_sym_TILDE] = ACTIONS(355),
    [sym_number_bigint] = ACTIONS(355),
    [sym_gensym] = ACTIONS(357),
    [sym_false] = ACTIONS(355),
    [anon_sym_CARET_COLON] = ACTIONS(357),
    [sym__number_hex] = ACTIONS(355),
    [anon_sym_cond_DASH_GT_GT] = ACTIONS(357),
    [anon_sym_POUND_LBRACE] = ACTIONS(357),
    [anon_sym_LBRACE] = ACTIONS(357),
    [sym_number_bigdecimal] = ACTIONS(357),
    [anon_sym_AT] = ACTIONS(357),
    [sym__normal_long] = ACTIONS(355),
    [sym__number_arbitrary_radix] = ACTIONS(355),
    [anon_sym_SQUOTE] = ACTIONS(357),
    [anon_sym_RPAREN] = ACTIONS(357),
    [anon_sym_POUND_BANG] = ACTIONS(357),
    [sym__symbol_chars] = ACTIONS(355),
    [sym_number_ratio] = ACTIONS(357),
    [anon_sym_POUND] = ACTIONS(355),
    [sym__number_octal] = ACTIONS(355),
    [anon_sym_DASH_GT] = ACTIONS(355),
    [anon_sym_LPARENquote] = ACTIONS(357),
    [anon_sym_COLON] = ACTIONS(355),
    [anon_sym_POUND_] = ACTIONS(357),
    [sym_member_access] = ACTIONS(357),
    [anon_sym_POUND_POUND] = ACTIONS(357),
    [anon_sym_CARET_DQUOTE] = ACTIONS(357),
    [anon_sym_POUND_LPAREN] = ACTIONS(357),
    [sym_number_double] = ACTIONS(355),
    [anon_sym_POUND_QMARK] = ACTIONS(355),
    [anon_sym_DASH_GT_GT] = ACTIONS(357),
    [anon_sym_some_DASH_GT] = ACTIONS(355),
    [anon_sym_COLON_COLON] = ACTIONS(357),
    [anon_sym_RBRACE] = ACTIONS(357),
    [sym_field_access] = ACTIONS(357),
    [anon_sym_LPAREN] = ACTIONS(355),
    [anon_sym_BQUOTE] = ACTIONS(357),
    [sym_shorthand_function_arg] = ACTIONS(357),
    [sym_nil] = ACTIONS(355),
    [anon_sym_POUND_QMARK_AT] = ACTIONS(357),
    [anon_sym_as_DASH_GT] = ACTIONS(357),
    [anon_sym_some_DASH_GT_GT] = ACTIONS(357),
    [anon_sym_POUND_COLON_COLON_LBRACE] = ACTIONS(357),
    [ts_builtin_sym_end] = ACTIONS(357),
    [sym_new_class] = ACTIONS(357),
    [anon_sym_LBRACK] = ACTIONS(357),
    [anon_sym_POUND_SQUOTE] = ACTIONS(357),
    [anon_sym_BSLASH] = ACTIONS(357),
    [anon_sym_TILDE_AT] = ACTIONS(357),
    [sym_true] = ACTIONS(355),
    [anon_sym_CARET] = ACTIONS(355),
    [anon_sym_DQUOTE] = ACTIONS(357),
  },
  [44] = {
    [anon_sym_cond_DASH_GT] = ACTIONS(359),
    [anon_sym_POUND_DQUOTE] = ACTIONS(361),
    [aux_sym_namespace_map_token1] = ACTIONS(361),
    [anon_sym_SEMI] = ACTIONS(361),
    [anon_sym_RBRACK] = ACTIONS(361),
    [anon_sym_TILDE] = ACTIONS(359),
    [sym_number_bigint] = ACTIONS(359),
    [sym_gensym] = ACTIONS(361),
    [sym_false] = ACTIONS(359),
    [anon_sym_CARET_COLON] = ACTIONS(361),
    [sym__number_hex] = ACTIONS(359),
    [anon_sym_cond_DASH_GT_GT] = ACTIONS(361),
    [anon_sym_POUND_LBRACE] = ACTIONS(361),
    [anon_sym_LBRACE] = ACTIONS(361),
    [sym_number_bigdecimal] = ACTIONS(361),
    [anon_sym_AT] = ACTIONS(361),
    [sym__normal_long] = ACTIONS(359),
    [sym__number_arbitrary_radix] = ACTIONS(359),
    [anon_sym_SQUOTE] = ACTIONS(361),
    [anon_sym_RPAREN] = ACTIONS(361),
    [anon_sym_POUND_BANG] = ACTIONS(361),
    [sym__symbol_chars] = ACTIONS(359),
    [sym_number_ratio] = ACTIONS(361),
    [anon_sym_POUND] = ACTIONS(359),
    [sym__number_octal] = ACTIONS(359),
    [anon_sym_DASH_GT] = ACTIONS(359),
    [anon_sym_LPARENquote] = ACTIONS(361),
    [anon_sym_COLON] = ACTIONS(359),
    [anon_sym_POUND_] = ACTIONS(361),
    [sym_member_access] = ACTIONS(361),
    [anon_sym_POUND_POUND] = ACTIONS(361),
    [anon_sym_CARET_DQUOTE] = ACTIONS(361),
    [anon_sym_POUND_LPAREN] = ACTIONS(361),
    [sym_number_double] = ACTIONS(359),
    [anon_sym_POUND_QMARK] = ACTIONS(359),
    [anon_sym_DASH_GT_GT] = ACTIONS(361),
    [anon_sym_some_DASH_GT] = ACTIONS(359),
    [anon_sym_COLON_COLON] = ACTIONS(361),
    [anon_sym_RBRACE] = ACTIONS(361),
    [sym_field_access] = ACTIONS(361),
    [anon_sym_LPAREN] = ACTIONS(359),
    [anon_sym_BQUOTE] = ACTIONS(361),
    [sym_shorthand_function_arg] = ACTIONS(361),
    [sym_nil] = ACTIONS(359),
    [anon_sym_POUND_QMARK_AT] = ACTIONS(361),
    [anon_sym_as_DASH_GT] = ACTIONS(361),
    [anon_sym_some_DASH_GT_GT] = ACTIONS(361),
    [anon_sym_POUND_COLON_COLON_LBRACE] = ACTIONS(361),
    [ts_builtin_sym_end] = ACTIONS(361),
    [sym_new_class] = ACTIONS(361),
    [anon_sym_LBRACK] = ACTIONS(361),
    [anon_sym_POUND_SQUOTE] = ACTIONS(361),
    [anon_sym_BSLASH] = ACTIONS(361),
    [anon_sym_TILDE_AT] = ACTIONS(361),
    [sym_true] = ACTIONS(359),
    [anon_sym_CARET] = ACTIONS(359),
    [anon_sym_DQUOTE] = ACTIONS(361),
  },
  [45] = {
    [anon_sym_cond_DASH_GT] = ACTIONS(363),
    [anon_sym_POUND_DQUOTE] = ACTIONS(365),
    [aux_sym_namespace_map_token1] = ACTIONS(365),
    [anon_sym_SEMI] = ACTIONS(365),
    [anon_sym_RBRACK] = ACTIONS(365),
    [anon_sym_TILDE] = ACTIONS(363),
    [sym_number_bigint] = ACTIONS(363),
    [sym_gensym] = ACTIONS(365),
    [sym_false] = ACTIONS(363),
    [anon_sym_CARET_COLON] = ACTIONS(365),
    [sym__number_hex] = ACTIONS(363),
    [anon_sym_cond_DASH_GT_GT] = ACTIONS(365),
    [anon_sym_POUND_LBRACE] = ACTIONS(365),
    [anon_sym_LBRACE] = ACTIONS(365),
    [sym_number_bigdecimal] = ACTIONS(365),
    [anon_sym_AT] = ACTIONS(365),
    [sym__normal_long] = ACTIONS(363),
    [sym__number_arbitrary_radix] = ACTIONS(363),
    [anon_sym_SQUOTE] = ACTIONS(365),
    [anon_sym_RPAREN] = ACTIONS(365),
    [anon_sym_POUND_BANG] = ACTIONS(365),
    [sym__symbol_chars] = ACTIONS(363),
    [sym_number_ratio] = ACTIONS(365),
    [anon_sym_POUND] = ACTIONS(363),
    [sym__number_octal] = ACTIONS(363),
    [anon_sym_DASH_GT] = ACTIONS(363),
    [anon_sym_LPARENquote] = ACTIONS(365),
    [anon_sym_COLON] = ACTIONS(363),
    [anon_sym_POUND_] = ACTIONS(365),
    [sym_member_access] = ACTIONS(365),
    [anon_sym_POUND_POUND] = ACTIONS(365),
    [anon_sym_CARET_DQUOTE] = ACTIONS(365),
    [anon_sym_POUND_LPAREN] = ACTIONS(365),
    [sym_number_double] = ACTIONS(363),
    [anon_sym_POUND_QMARK] = ACTIONS(363),
    [anon_sym_DASH_GT_GT] = ACTIONS(365),
    [anon_sym_some_DASH_GT] = ACTIONS(363),
    [anon_sym_COLON_COLON] = ACTIONS(365),
    [anon_sym_RBRACE] = ACTIONS(365),
    [sym_field_access] = ACTIONS(365),
    [anon_sym_LPAREN] = ACTIONS(363),
    [anon_sym_BQUOTE] = ACTIONS(365),
    [sym_shorthand_function_arg] = ACTIONS(365),
    [sym_nil] = ACTIONS(363),
    [anon_sym_POUND_QMARK_AT] = ACTIONS(365),
    [anon_sym_as_DASH_GT] = ACTIONS(365),
    [anon_sym_some_DASH_GT_GT] = ACTIONS(365),
    [anon_sym_POUND_COLON_COLON_LBRACE] = ACTIONS(365),
    [ts_builtin_sym_end] = ACTIONS(365),
    [sym_new_class] = ACTIONS(365),
    [anon_sym_LBRACK] = ACTIONS(365),
    [anon_sym_POUND_SQUOTE] = ACTIONS(365),
    [anon_sym_BSLASH] = ACTIONS(365),
    [anon_sym_TILDE_AT] = ACTIONS(365),
    [sym_true] = ACTIONS(363),
    [anon_sym_CARET] = ACTIONS(363),
    [anon_sym_DQUOTE] = ACTIONS(365),
  },
  [46] = {
    [ts_builtin_sym_end] = ACTIONS(367),
  },
  [47] = {
    [anon_sym_cond_DASH_GT] = ACTIONS(369),
    [anon_sym_POUND_DQUOTE] = ACTIONS(371),
    [aux_sym_namespace_map_token1] = ACTIONS(371),
    [anon_sym_SEMI] = ACTIONS(371),
    [anon_sym_RBRACK] = ACTIONS(371),
    [anon_sym_TILDE] = ACTIONS(369),
    [sym_number_bigint] = ACTIONS(369),
    [sym_gensym] = ACTIONS(371),
    [sym_false] = ACTIONS(369),
    [anon_sym_CARET_COLON] = ACTIONS(371),
    [sym__number_hex] = ACTIONS(369),
    [anon_sym_cond_DASH_GT_GT] = ACTIONS(371),
    [anon_sym_POUND_LBRACE] = ACTIONS(371),
    [anon_sym_LBRACE] = ACTIONS(371),
    [sym_number_bigdecimal] = ACTIONS(371),
    [anon_sym_AT] = ACTIONS(371),
    [sym__normal_long] = ACTIONS(369),
    [sym__number_arbitrary_radix] = ACTIONS(369),
    [anon_sym_SQUOTE] = ACTIONS(371),
    [anon_sym_RPAREN] = ACTIONS(371),
    [anon_sym_POUND_BANG] = ACTIONS(371),
    [sym__symbol_chars] = ACTIONS(369),
    [sym_number_ratio] = ACTIONS(371),
    [anon_sym_POUND] = ACTIONS(369),
    [sym__number_octal] = ACTIONS(369),
    [anon_sym_DASH_GT] = ACTIONS(369),
    [anon_sym_LPARENquote] = ACTIONS(371),
    [anon_sym_COLON] = ACTIONS(369),
    [anon_sym_POUND_] = ACTIONS(371),
    [sym_member_access] = ACTIONS(371),
    [anon_sym_POUND_POUND] = ACTIONS(371),
    [anon_sym_CARET_DQUOTE] = ACTIONS(371),
    [anon_sym_POUND_LPAREN] = ACTIONS(371),
    [sym_number_double] = ACTIONS(369),
    [anon_sym_POUND_QMARK] = ACTIONS(369),
    [anon_sym_DASH_GT_GT] = ACTIONS(371),
    [anon_sym_some_DASH_GT] = ACTIONS(369),
    [anon_sym_COLON_COLON] = ACTIONS(371),
    [anon_sym_RBRACE] = ACTIONS(371),
    [sym_field_access] = ACTIONS(371),
    [anon_sym_LPAREN] = ACTIONS(369),
    [anon_sym_BQUOTE] = ACTIONS(371),
    [sym_shorthand_function_arg] = ACTIONS(371),
    [sym_nil] = ACTIONS(369),
    [anon_sym_POUND_QMARK_AT] = ACTIONS(371),
    [anon_sym_as_DASH_GT] = ACTIONS(371),
    [anon_sym_some_DASH_GT_GT] = ACTIONS(371),
    [anon_sym_POUND_COLON_COLON_LBRACE] = ACTIONS(371),
    [ts_builtin_sym_end] = ACTIONS(371),
    [sym_new_class] = ACTIONS(371),
    [anon_sym_LBRACK] = ACTIONS(371),
    [anon_sym_POUND_SQUOTE] = ACTIONS(371),
    [anon_sym_BSLASH] = ACTIONS(371),
    [anon_sym_TILDE_AT] = ACTIONS(371),
    [sym_true] = ACTIONS(369),
    [anon_sym_CARET] = ACTIONS(369),
    [anon_sym_DQUOTE] = ACTIONS(371),
  },
  [48] = {
    [anon_sym_cond_DASH_GT] = ACTIONS(373),
    [anon_sym_POUND_DQUOTE] = ACTIONS(375),
    [aux_sym_namespace_map_token1] = ACTIONS(375),
    [anon_sym_SEMI] = ACTIONS(375),
    [anon_sym_RBRACK] = ACTIONS(375),
    [anon_sym_TILDE] = ACTIONS(373),
    [sym_number_bigint] = ACTIONS(373),
    [sym_gensym] = ACTIONS(375),
    [sym_false] = ACTIONS(373),
    [anon_sym_CARET_COLON] = ACTIONS(375),
    [sym__number_hex] = ACTIONS(373),
    [anon_sym_cond_DASH_GT_GT] = ACTIONS(375),
    [anon_sym_POUND_LBRACE] = ACTIONS(375),
    [anon_sym_LBRACE] = ACTIONS(375),
    [sym_number_bigdecimal] = ACTIONS(375),
    [anon_sym_AT] = ACTIONS(375),
    [sym__normal_long] = ACTIONS(373),
    [sym__number_arbitrary_radix] = ACTIONS(373),
    [anon_sym_SQUOTE] = ACTIONS(375),
    [anon_sym_RPAREN] = ACTIONS(375),
    [anon_sym_POUND_BANG] = ACTIONS(375),
    [sym__symbol_chars] = ACTIONS(373),
    [sym_number_ratio] = ACTIONS(375),
    [anon_sym_POUND] = ACTIONS(373),
    [sym__number_octal] = ACTIONS(373),
    [anon_sym_DASH_GT] = ACTIONS(373),
    [anon_sym_LPARENquote] = ACTIONS(375),
    [anon_sym_COLON] = ACTIONS(373),
    [anon_sym_POUND_] = ACTIONS(375),
    [sym_member_access] = ACTIONS(375),
    [anon_sym_POUND_POUND] = ACTIONS(375),
    [anon_sym_CARET_DQUOTE] = ACTIONS(375),
    [anon_sym_POUND_LPAREN] = ACTIONS(375),
    [sym_number_double] = ACTIONS(373),
    [anon_sym_POUND_QMARK] = ACTIONS(373),
    [anon_sym_DASH_GT_GT] = ACTIONS(375),
    [anon_sym_some_DASH_GT] = ACTIONS(373),
    [anon_sym_COLON_COLON] = ACTIONS(375),
    [anon_sym_RBRACE] = ACTIONS(375),
    [sym_field_access] = ACTIONS(375),
    [anon_sym_LPAREN] = ACTIONS(373),
    [anon_sym_BQUOTE] = ACTIONS(375),
    [sym_shorthand_function_arg] = ACTIONS(375),
    [sym_nil] = ACTIONS(373),
    [anon_sym_POUND_QMARK_AT] = ACTIONS(375),
    [anon_sym_as_DASH_GT] = ACTIONS(375),
    [anon_sym_some_DASH_GT_GT] = ACTIONS(375),
    [anon_sym_POUND_COLON_COLON_LBRACE] = ACTIONS(375),
    [ts_builtin_sym_end] = ACTIONS(375),
    [sym_new_class] = ACTIONS(375),
    [anon_sym_LBRACK] = ACTIONS(375),
    [anon_sym_POUND_SQUOTE] = ACTIONS(375),
    [anon_sym_BSLASH] = ACTIONS(375),
    [anon_sym_TILDE_AT] = ACTIONS(375),
    [sym_true] = ACTIONS(373),
    [anon_sym_CARET] = ACTIONS(373),
    [anon_sym_DQUOTE] = ACTIONS(375),
  },
  [49] = {
    [anon_sym_cond_DASH_GT] = ACTIONS(377),
    [anon_sym_POUND_DQUOTE] = ACTIONS(379),
    [aux_sym_namespace_map_token1] = ACTIONS(379),
    [anon_sym_SEMI] = ACTIONS(379),
    [anon_sym_RBRACK] = ACTIONS(379),
    [anon_sym_TILDE] = ACTIONS(377),
    [sym_number_bigint] = ACTIONS(377),
    [sym_gensym] = ACTIONS(379),
    [sym_false] = ACTIONS(377),
    [anon_sym_CARET_COLON] = ACTIONS(379),
    [sym__number_hex] = ACTIONS(377),
    [anon_sym_cond_DASH_GT_GT] = ACTIONS(379),
    [anon_sym_POUND_LBRACE] = ACTIONS(379),
    [anon_sym_LBRACE] = ACTIONS(379),
    [sym_number_bigdecimal] = ACTIONS(379),
    [anon_sym_AT] = ACTIONS(379),
    [sym__normal_long] = ACTIONS(377),
    [sym__number_arbitrary_radix] = ACTIONS(377),
    [anon_sym_SQUOTE] = ACTIONS(379),
    [anon_sym_RPAREN] = ACTIONS(379),
    [anon_sym_POUND_BANG] = ACTIONS(379),
    [sym__symbol_chars] = ACTIONS(377),
    [sym_number_ratio] = ACTIONS(379),
    [anon_sym_POUND] = ACTIONS(377),
    [sym__number_octal] = ACTIONS(377),
    [anon_sym_DASH_GT] = ACTIONS(377),
    [anon_sym_LPARENquote] = ACTIONS(379),
    [anon_sym_COLON] = ACTIONS(377),
    [anon_sym_POUND_] = ACTIONS(379),
    [sym_member_access] = ACTIONS(379),
    [anon_sym_POUND_POUND] = ACTIONS(379),
    [anon_sym_CARET_DQUOTE] = ACTIONS(379),
    [anon_sym_POUND_LPAREN] = ACTIONS(379),
    [sym_number_double] = ACTIONS(377),
    [anon_sym_POUND_QMARK] = ACTIONS(377),
    [anon_sym_DASH_GT_GT] = ACTIONS(379),
    [anon_sym_some_DASH_GT] = ACTIONS(377),
    [anon_sym_COLON_COLON] = ACTIONS(379),
    [anon_sym_RBRACE] = ACTIONS(379),
    [sym_field_access] = ACTIONS(379),
    [anon_sym_LPAREN] = ACTIONS(377),
    [anon_sym_BQUOTE] = ACTIONS(379),
    [sym_shorthand_function_arg] = ACTIONS(379),
    [sym_nil] = ACTIONS(377),
    [anon_sym_POUND_QMARK_AT] = ACTIONS(379),
    [anon_sym_as_DASH_GT] = ACTIONS(379),
    [anon_sym_some_DASH_GT_GT] = ACTIONS(379),
    [anon_sym_POUND_COLON_COLON_LBRACE] = ACTIONS(379),
    [ts_builtin_sym_end] = ACTIONS(379),
    [sym_new_class] = ACTIONS(379),
    [anon_sym_LBRACK] = ACTIONS(379),
    [anon_sym_POUND_SQUOTE] = ACTIONS(379),
    [anon_sym_BSLASH] = ACTIONS(379),
    [anon_sym_TILDE_AT] = ACTIONS(379),
    [sym_true] = ACTIONS(377),
    [anon_sym_CARET] = ACTIONS(377),
    [anon_sym_DQUOTE] = ACTIONS(379),
  },
  [50] = {
    [anon_sym_cond_DASH_GT] = ACTIONS(381),
    [anon_sym_POUND_DQUOTE] = ACTIONS(383),
    [aux_sym_namespace_map_token1] = ACTIONS(383),
    [anon_sym_SEMI] = ACTIONS(383),
    [anon_sym_RBRACK] = ACTIONS(383),
    [anon_sym_TILDE] = ACTIONS(381),
    [sym_number_bigint] = ACTIONS(381),
    [sym_gensym] = ACTIONS(383),
    [sym_false] = ACTIONS(381),
    [anon_sym_CARET_COLON] = ACTIONS(383),
    [sym__number_hex] = ACTIONS(381),
    [anon_sym_cond_DASH_GT_GT] = ACTIONS(383),
    [anon_sym_POUND_LBRACE] = ACTIONS(383),
    [anon_sym_LBRACE] = ACTIONS(383),
    [sym_number_bigdecimal] = ACTIONS(383),
    [anon_sym_AT] = ACTIONS(383),
    [sym__normal_long] = ACTIONS(381),
    [sym__number_arbitrary_radix] = ACTIONS(381),
    [anon_sym_SQUOTE] = ACTIONS(383),
    [anon_sym_RPAREN] = ACTIONS(383),
    [anon_sym_POUND_BANG] = ACTIONS(383),
    [sym__symbol_chars] = ACTIONS(381),
    [sym_number_ratio] = ACTIONS(383),
    [anon_sym_POUND] = ACTIONS(381),
    [sym__number_octal] = ACTIONS(381),
    [anon_sym_DASH_GT] = ACTIONS(381),
    [anon_sym_LPARENquote] = ACTIONS(383),
    [anon_sym_COLON] = ACTIONS(381),
    [anon_sym_POUND_] = ACTIONS(383),
    [sym_member_access] = ACTIONS(383),
    [anon_sym_POUND_POUND] = ACTIONS(383),
    [anon_sym_CARET_DQUOTE] = ACTIONS(383),
    [anon_sym_POUND_LPAREN] = ACTIONS(383),
    [sym_number_double] = ACTIONS(381),
    [anon_sym_POUND_QMARK] = ACTIONS(381),
    [anon_sym_DASH_GT_GT] = ACTIONS(383),
    [anon_sym_some_DASH_GT] = ACTIONS(381),
    [anon_sym_COLON_COLON] = ACTIONS(383),
    [anon_sym_RBRACE] = ACTIONS(383),
    [sym_field_access] = ACTIONS(383),
    [anon_sym_LPAREN] = ACTIONS(381),
    [anon_sym_BQUOTE] = ACTIONS(383),
    [sym_shorthand_function_arg] = ACTIONS(383),
    [sym_nil] = ACTIONS(381),
    [anon_sym_POUND_QMARK_AT] = ACTIONS(383),
    [anon_sym_as_DASH_GT] = ACTIONS(383),
    [anon_sym_some_DASH_GT_GT] = ACTIONS(383),
    [anon_sym_POUND_COLON_COLON_LBRACE] = ACTIONS(383),
    [ts_builtin_sym_end] = ACTIONS(383),
    [sym_new_class] = ACTIONS(383),
    [anon_sym_LBRACK] = ACTIONS(383),
    [anon_sym_POUND_SQUOTE] = ACTIONS(383),
    [anon_sym_BSLASH] = ACTIONS(383),
    [anon_sym_TILDE_AT] = ACTIONS(383),
    [sym_true] = ACTIONS(381),
    [anon_sym_CARET] = ACTIONS(381),
    [anon_sym_DQUOTE] = ACTIONS(383),
  },
  [51] = {
    [sym_hash_map] = STATE(165),
    [sym__hash_map] = STATE(49),
    [sym_set] = STATE(165),
    [sym__set] = STATE(50),
    [sym_list] = STATE(165),
    [sym__list] = STATE(45),
    [sym_namespace_map] = STATE(49),
    [sym_vector] = STATE(165),
    [sym__vector] = STATE(37),
    [anon_sym_LPAREN] = ACTIONS(267),
    [anon_sym_POUND_COLON_COLON_LBRACE] = ACTIONS(61),
    [anon_sym_POUND_LBRACE] = ACTIONS(43),
    [anon_sym_LBRACK] = ACTIONS(69),
    [aux_sym_namespace_map_token1] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(45),
  },
  [52] = {
    [anon_sym_LPAREN] = ACTIONS(341),
    [anon_sym_POUND_COLON_COLON_LBRACE] = ACTIONS(341),
    [anon_sym_POUND_LBRACE] = ACTIONS(341),
    [anon_sym_LBRACK] = ACTIONS(341),
    [aux_sym_namespace_map_token1] = ACTIONS(341),
    [anon_sym_LBRACE] = ACTIONS(341),
  },
  [53] = {
    [anon_sym_RPAREN] = ACTIONS(85),
    [anon_sym_LPAREN] = ACTIONS(85),
    [anon_sym_POUND_COLON_COLON_LBRACE] = ACTIONS(85),
    [anon_sym_LBRACE] = ACTIONS(85),
    [anon_sym_LBRACK] = ACTIONS(85),
    [aux_sym_namespace_map_token1] = ACTIONS(85),
    [anon_sym_DQUOTE] = ACTIONS(85),
  },
  [54] = {
    [sym_metadata_shorthand] = STATE(40),
    [sym_deref] = STATE(166),
    [sym__collection_literals] = STATE(166),
    [sym_boolean] = STATE(166),
    [sym_character] = STATE(166),
    [sym_string] = STATE(166),
    [sym_tagged_literal] = STATE(166),
    [sym_keyword] = STATE(166),
    [sym__character] = STATE(82),
    [sym__string] = STATE(83),
    [sym__keyword] = STATE(84),
    [sym_vector] = STATE(166),
    [sym_threading_macro] = STATE(96),
    [sym_qualified_symbol] = STATE(96),
    [sym__vector] = STATE(85),
    [sym_shebang_line] = STATE(86),
    [sym_ignore_form] = STATE(86),
    [sym_defn] = STATE(166),
    [sym_syntax_quote] = STATE(166),
    [sym_var_quote] = STATE(166),
    [sym_reader_conditional] = STATE(166),
    [sym_number] = STATE(166),
    [sym__number] = STATE(87),
    [aux_sym_metadata_repeat1] = STATE(40),
    [sym_regex] = STATE(166),
    [sym__regex] = STATE(88),
    [sym__unqualified_keyword] = STATE(84),
    [sym_qualified_keyword] = STATE(84),
    [sym__qualified_symbol] = STATE(89),
    [sym_interop] = STATE(166),
    [sym_hash_map] = STATE(166),
    [sym__hash_map] = STATE(90),
    [sym_set] = STATE(166),
    [sym__set] = STATE(91),
    [sym_comment_macro] = STATE(86),
    [sym__functions] = STATE(166),
    [sym__reader_conditional_symbol] = STATE(92),
    [sym_metadata] = STATE(93),
    [sym_unquote] = STATE(166),
    [sym__literals] = STATE(166),
    [sym_unquote_splice] = STATE(166),
    [sym_symbolic_value] = STATE(166),
    [sym_number_long] = STATE(87),
    [sym__anything] = STATE(166),
    [sym_quote] = STATE(166),
    [sym__quote] = STATE(95),
    [sym_symbol] = STATE(166),
    [sym__symbol] = STATE(96),
    [sym_list] = STATE(166),
    [sym__list] = STATE(97),
    [sym_namespace_map] = STATE(90),
    [sym_comment] = STATE(166),
    [sym_semicolon] = STATE(86),
    [sym_anonymous_function] = STATE(166),
    [sym_shorthand_function] = STATE(166),
    [sym__metadata_map] = STATE(52),
    [anon_sym_DASH_GT] = ACTIONS(87),
    [anon_sym_cond_DASH_GT] = ACTIONS(87),
    [anon_sym_LPARENquote] = ACTIONS(89),
    [anon_sym_POUND_DQUOTE] = ACTIONS(91),
    [anon_sym_COLON] = ACTIONS(93),
    [aux_sym_namespace_map_token1] = ACTIONS(95),
    [anon_sym_POUND_] = ACTIONS(97),
    [anon_sym_SEMI] = ACTIONS(99),
    [sym_member_access] = ACTIONS(101),
    [anon_sym_POUND_POUND] = ACTIONS(103),
    [sym_number_bigint] = ACTIONS(105),
    [sym_gensym] = ACTIONS(385),
    [sym_false] = ACTIONS(109),
    [sym_number_double] = ACTIONS(105),
    [sym__number_hex] = ACTIONS(111),
    [anon_sym_POUND_LPAREN] = ACTIONS(113),
    [anon_sym_CARET_COLON] = ACTIONS(31),
    [anon_sym_CARET_DQUOTE] = ACTIONS(33),
    [anon_sym_TILDE] = ACTIONS(115),
    [anon_sym_POUND_QMARK] = ACTIONS(117),
    [anon_sym_DASH_GT_GT] = ACTIONS(119),
    [anon_sym_cond_DASH_GT_GT] = ACTIONS(119),
    [anon_sym_some_DASH_GT] = ACTIONS(87),
    [anon_sym_COLON_COLON] = ACTIONS(121),
    [anon_sym_POUND_LBRACE] = ACTIONS(123),
    [sym_field_access] = ACTIONS(101),
    [anon_sym_LBRACE] = ACTIONS(125),
    [anon_sym_LPAREN] = ACTIONS(127),
    [sym_number_bigdecimal] = ACTIONS(129),
    [anon_sym_BQUOTE] = ACTIONS(131),
    [sym_shorthand_function_arg] = ACTIONS(385),
    [sym_nil] = ACTIONS(387),
    [sym__normal_long] = ACTIONS(111),
    [sym__number_arbitrary_radix] = ACTIONS(111),
    [anon_sym_AT] = ACTIONS(135),
    [anon_sym_POUND_QMARK_AT] = ACTIONS(137),
    [anon_sym_as_DASH_GT] = ACTIONS(119),
    [anon_sym_some_DASH_GT_GT] = ACTIONS(119),
    [anon_sym_SQUOTE] = ACTIONS(139),
    [anon_sym_POUND_COLON_COLON_LBRACE] = ACTIONS(141),
    [anon_sym_POUND_BANG] = ACTIONS(143),
    [sym_new_class] = ACTIONS(101),
    [sym__symbol_chars] = ACTIONS(145),
    [anon_sym_LBRACK] = ACTIONS(147),
    [sym_number_ratio] = ACTIONS(129),
    [anon_sym_BSLASH] = ACTIONS(149),
    [anon_sym_POUND_SQUOTE] = ACTIONS(151),
    [sym_true] = ACTIONS(109),
    [sym__number_octal] = ACTIONS(111),
    [anon_sym_CARET] = ACTIONS(75),
    [anon_sym_TILDE_AT] = ACTIONS(153),
    [anon_sym_DQUOTE] = ACTIONS(155),
    [anon_sym_POUND] = ACTIONS(157),
  },
  [55] = {
    [aux_sym__regex_repeat1] = STATE(168),
    [aux_sym__regex_token1] = ACTIONS(389),
    [anon_sym_BSLASH_DQUOTE] = ACTIONS(391),
    [anon_sym_DQUOTE] = ACTIONS(393),
  },
  [56] = {
    [sym__keyword_chars] = ACTIONS(395),
  },
  [57] = {
    [anon_sym_LBRACE] = ACTIONS(397),
  },
  [58] = {
    [sym_metadata_shorthand] = STATE(40),
    [sym_deref] = STATE(171),
    [sym__collection_literals] = STATE(171),
    [sym_boolean] = STATE(171),
    [sym_character] = STATE(171),
    [sym_string] = STATE(171),
    [sym_tagged_literal] = STATE(171),
    [sym_keyword] = STATE(171),
    [sym__character] = STATE(82),
    [sym__string] = STATE(83),
    [sym__keyword] = STATE(84),
    [sym_vector] = STATE(171),
    [sym_threading_macro] = STATE(96),
    [sym_qualified_symbol] = STATE(96),
    [sym__vector] = STATE(85),
    [sym_shebang_line] = STATE(86),
    [sym_ignore_form] = STATE(86),
    [sym_defn] = STATE(171),
    [sym_syntax_quote] = STATE(171),
    [sym_var_quote] = STATE(171),
    [sym_reader_conditional] = STATE(171),
    [sym_number] = STATE(171),
    [sym__number] = STATE(87),
    [aux_sym_metadata_repeat1] = STATE(40),
    [sym_regex] = STATE(171),
    [sym__regex] = STATE(88),
    [sym__unqualified_keyword] = STATE(84),
    [sym_qualified_keyword] = STATE(84),
    [sym__qualified_symbol] = STATE(89),
    [sym_interop] = STATE(171),
    [sym_hash_map] = STATE(171),
    [sym__hash_map] = STATE(90),
    [sym_set] = STATE(171),
    [sym__set] = STATE(91),
    [sym_comment_macro] = STATE(86),
    [sym__functions] = STATE(171),
    [sym__reader_conditional_symbol] = STATE(92),
    [sym_metadata] = STATE(93),
    [sym_unquote] = STATE(171),
    [sym__literals] = STATE(171),
    [sym_unquote_splice] = STATE(171),
    [sym_symbolic_value] = STATE(171),
    [sym_number_long] = STATE(87),
    [sym__anything] = STATE(171),
    [sym_quote] = STATE(171),
    [sym__quote] = STATE(95),
    [sym_symbol] = STATE(171),
    [sym__symbol] = STATE(96),
    [sym_list] = STATE(171),
    [sym__list] = STATE(97),
    [sym_namespace_map] = STATE(90),
    [sym_comment] = STATE(171),
    [sym_semicolon] = STATE(86),
    [sym_anonymous_function] = STATE(171),
    [sym_shorthand_function] = STATE(171),
    [sym__metadata_map] = STATE(52),
    [anon_sym_DASH_GT] = ACTIONS(87),
    [anon_sym_cond_DASH_GT] = ACTIONS(87),
    [anon_sym_LPARENquote] = ACTIONS(89),
    [anon_sym_POUND_DQUOTE] = ACTIONS(91),
    [anon_sym_COLON] = ACTIONS(93),
    [aux_sym_namespace_map_token1] = ACTIONS(95),
    [anon_sym_POUND_] = ACTIONS(97),
    [anon_sym_SEMI] = ACTIONS(99),
    [sym_member_access] = ACTIONS(101),
    [anon_sym_POUND_POUND] = ACTIONS(103),
    [sym_number_bigint] = ACTIONS(105),
    [sym_gensym] = ACTIONS(399),
    [sym_false] = ACTIONS(109),
    [sym_number_double] = ACTIONS(105),
    [sym__number_hex] = ACTIONS(111),
    [anon_sym_POUND_LPAREN] = ACTIONS(113),
    [anon_sym_CARET_COLON] = ACTIONS(31),
    [anon_sym_CARET_DQUOTE] = ACTIONS(33),
    [anon_sym_TILDE] = ACTIONS(115),
    [anon_sym_POUND_QMARK] = ACTIONS(117),
    [anon_sym_DASH_GT_GT] = ACTIONS(119),
    [anon_sym_cond_DASH_GT_GT] = ACTIONS(119),
    [anon_sym_some_DASH_GT] = ACTIONS(87),
    [anon_sym_COLON_COLON] = ACTIONS(121),
    [anon_sym_POUND_LBRACE] = ACTIONS(123),
    [sym_field_access] = ACTIONS(101),
    [anon_sym_LBRACE] = ACTIONS(125),
    [anon_sym_LPAREN] = ACTIONS(127),
    [sym_number_bigdecimal] = ACTIONS(129),
    [anon_sym_BQUOTE] = ACTIONS(131),
    [sym_shorthand_function_arg] = ACTIONS(399),
    [sym_nil] = ACTIONS(401),
    [sym__normal_long] = ACTIONS(111),
    [sym__number_arbitrary_radix] = ACTIONS(111),
    [anon_sym_AT] = ACTIONS(135),
    [anon_sym_POUND_QMARK_AT] = ACTIONS(137),
    [anon_sym_as_DASH_GT] = ACTIONS(119),
    [anon_sym_some_DASH_GT_GT] = ACTIONS(119),
    [anon_sym_SQUOTE] = ACTIONS(139),
    [anon_sym_POUND_COLON_COLON_LBRACE] = ACTIONS(141),
    [anon_sym_POUND_BANG] = ACTIONS(143),
    [sym_new_class] = ACTIONS(101),
    [sym__symbol_chars] = ACTIONS(145),
    [anon_sym_LBRACK] = ACTIONS(147),
    [sym_number_ratio] = ACTIONS(129),
    [anon_sym_BSLASH] = ACTIONS(149),
    [anon_sym_POUND_SQUOTE] = ACTIONS(151),
    [sym_true] = ACTIONS(109),
    [sym__number_octal] = ACTIONS(111),
    [anon_sym_CARET] = ACTIONS(75),
    [anon_sym_TILDE_AT] = ACTIONS(153),
    [anon_sym_DQUOTE] = ACTIONS(155),
    [anon_sym_POUND] = ACTIONS(157),
  },
  [59] = {
    [aux_sym_semicolon_token1] = ACTIONS(403),
  },
  [60] = {
    [anon_sym_RPAREN] = ACTIONS(177),
  },
  [61] = {
    [sym_infinity] = ACTIONS(405),
    [sym_negative_infinity] = ACTIONS(405),
    [sym_not_a_number] = ACTIONS(405),
  },
  [62] = {
    [anon_sym_RPAREN] = ACTIONS(183),
  },
  [63] = {
    [anon_sym_RPAREN] = ACTIONS(187),
  },
  [64] = {
    [sym_deref] = STATE(175),
    [sym_boolean] = STATE(175),
    [sym__character] = STATE(34),
    [sym__string] = STATE(35),
    [sym__keyword] = STATE(36),
    [sym_qualified_symbol] = STATE(44),
    [sym__vector] = STATE(37),
    [sym_ignore_form] = STATE(38),
    [sym_var_quote] = STATE(175),
    [sym_number] = STATE(175),
    [sym__reader_conditional_symbol] = STATE(39),
    [aux_sym_metadata_repeat1] = STATE(40),
    [sym_regex] = STATE(175),
    [sym__unqualified_keyword] = STATE(36),
    [sym__qualified_symbol] = STATE(41),
    [sym_hash_map] = STATE(175),
    [sym_set] = STATE(175),
    [sym_comment_macro] = STATE(38),
    [sym_unquote] = STATE(175),
    [sym__literals] = STATE(175),
    [aux_sym_program_repeat1] = STATE(175),
    [sym_symbolic_value] = STATE(175),
    [sym__quote] = STATE(43),
    [sym__symbol] = STATE(44),
    [sym__list] = STATE(45),
    [sym_semicolon] = STATE(38),
    [sym_shorthand_function] = STATE(175),
    [sym_metadata_shorthand] = STATE(40),
    [sym__collection_literals] = STATE(175),
    [sym_tagged_literal] = STATE(175),
    [sym_character] = STATE(175),
    [sym_string] = STATE(175),
    [sym_keyword] = STATE(175),
    [sym_threading_macro] = STATE(44),
    [sym_vector] = STATE(175),
    [sym_shebang_line] = STATE(38),
    [sym_defn] = STATE(175),
    [sym_syntax_quote] = STATE(175),
    [sym_reader_conditional] = STATE(175),
    [sym__number] = STATE(47),
    [sym__regex] = STATE(48),
    [sym_qualified_keyword] = STATE(36),
    [sym_interop] = STATE(175),
    [sym__hash_map] = STATE(49),
    [sym__set] = STATE(50),
    [sym__functions] = STATE(175),
    [sym_metadata] = STATE(51),
    [sym__anything] = STATE(175),
    [sym_unquote_splice] = STATE(175),
    [sym_number_long] = STATE(47),
    [sym_quote] = STATE(175),
    [sym_symbol] = STATE(175),
    [sym_list] = STATE(175),
    [sym_namespace_map] = STATE(49),
    [sym_comment] = STATE(175),
    [sym_anonymous_function] = STATE(175),
    [sym__metadata_map] = STATE(52),
    [anon_sym_DASH_GT] = ACTIONS(3),
    [anon_sym_cond_DASH_GT] = ACTIONS(3),
    [anon_sym_LPARENquote] = ACTIONS(5),
    [anon_sym_POUND_DQUOTE] = ACTIONS(7),
    [anon_sym_COLON] = ACTIONS(9),
    [aux_sym_namespace_map_token1] = ACTIONS(11),
    [anon_sym_POUND_] = ACTIONS(189),
    [anon_sym_SEMI] = ACTIONS(15),
    [sym_member_access] = ACTIONS(17),
    [anon_sym_POUND_POUND] = ACTIONS(19),
    [sym_number_bigint] = ACTIONS(21),
    [sym_gensym] = ACTIONS(407),
    [sym_false] = ACTIONS(25),
    [sym_number_double] = ACTIONS(21),
    [sym__number_hex] = ACTIONS(27),
    [anon_sym_POUND_LPAREN] = ACTIONS(29),
    [anon_sym_CARET_COLON] = ACTIONS(31),
    [anon_sym_CARET_DQUOTE] = ACTIONS(33),
    [anon_sym_TILDE] = ACTIONS(193),
    [anon_sym_POUND_QMARK] = ACTIONS(37),
    [anon_sym_DASH_GT_GT] = ACTIONS(39),
    [anon_sym_cond_DASH_GT_GT] = ACTIONS(39),
    [anon_sym_some_DASH_GT] = ACTIONS(3),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_POUND_LBRACE] = ACTIONS(43),
    [sym_field_access] = ACTIONS(17),
    [anon_sym_LBRACE] = ACTIONS(45),
    [anon_sym_LPAREN] = ACTIONS(47),
    [sym_number_bigdecimal] = ACTIONS(49),
    [anon_sym_BQUOTE] = ACTIONS(195),
    [sym_shorthand_function_arg] = ACTIONS(407),
    [sym_nil] = ACTIONS(409),
    [sym__normal_long] = ACTIONS(27),
    [sym__number_arbitrary_radix] = ACTIONS(27),
    [anon_sym_AT] = ACTIONS(55),
    [anon_sym_POUND_QMARK_AT] = ACTIONS(57),
    [anon_sym_as_DASH_GT] = ACTIONS(39),
    [anon_sym_some_DASH_GT_GT] = ACTIONS(39),
    [anon_sym_SQUOTE] = ACTIONS(199),
    [anon_sym_RPAREN] = ACTIONS(411),
    [anon_sym_POUND_COLON_COLON_LBRACE] = ACTIONS(61),
    [anon_sym_POUND_BANG] = ACTIONS(65),
    [sym_new_class] = ACTIONS(17),
    [sym__symbol_chars] = ACTIONS(67),
    [anon_sym_LBRACK] = ACTIONS(69),
    [sym_number_ratio] = ACTIONS(49),
    [anon_sym_BSLASH] = ACTIONS(71),
    [anon_sym_POUND_SQUOTE] = ACTIONS(73),
    [sym_true] = ACTIONS(25),
    [sym__number_octal] = ACTIONS(27),
    [anon_sym_CARET] = ACTIONS(75),
    [anon_sym_TILDE_AT] = ACTIONS(203),
    [anon_sym_DQUOTE] = ACTIONS(79),
    [anon_sym_POUND] = ACTIONS(81),
  },
  [65] = {
    [sym_metadata_shorthand] = STATE(40),
    [sym_deref] = STATE(176),
    [sym__collection_literals] = STATE(176),
    [sym_boolean] = STATE(176),
    [sym_character] = STATE(176),
    [sym_string] = STATE(176),
    [sym_tagged_literal] = STATE(176),
    [sym_keyword] = STATE(176),
    [sym__character] = STATE(82),
    [sym__string] = STATE(83),
    [sym__keyword] = STATE(84),
    [sym_vector] = STATE(176),
    [sym_threading_macro] = STATE(96),
    [sym_qualified_symbol] = STATE(96),
    [sym__vector] = STATE(85),
    [sym_shebang_line] = STATE(86),
    [sym_ignore_form] = STATE(86),
    [sym_defn] = STATE(176),
    [sym_syntax_quote] = STATE(176),
    [sym_var_quote] = STATE(176),
    [sym_reader_conditional] = STATE(176),
    [sym_number] = STATE(176),
    [sym__number] = STATE(87),
    [aux_sym_metadata_repeat1] = STATE(40),
    [sym_regex] = STATE(176),
    [sym__regex] = STATE(88),
    [sym__unqualified_keyword] = STATE(84),
    [sym_qualified_keyword] = STATE(84),
    [sym__qualified_symbol] = STATE(89),
    [sym_interop] = STATE(176),
    [sym_hash_map] = STATE(176),
    [sym__hash_map] = STATE(90),
    [sym_set] = STATE(176),
    [sym__set] = STATE(91),
    [sym_comment_macro] = STATE(86),
    [sym__functions] = STATE(176),
    [sym__reader_conditional_symbol] = STATE(92),
    [sym_metadata] = STATE(93),
    [sym_unquote] = STATE(176),
    [sym__literals] = STATE(176),
    [sym_unquote_splice] = STATE(176),
    [sym_symbolic_value] = STATE(176),
    [sym_number_long] = STATE(87),
    [sym__anything] = STATE(176),
    [sym_quote] = STATE(176),
    [sym__quote] = STATE(95),
    [sym_symbol] = STATE(176),
    [sym__symbol] = STATE(96),
    [sym_list] = STATE(176),
    [sym__list] = STATE(97),
    [sym_namespace_map] = STATE(90),
    [sym_comment] = STATE(176),
    [sym_semicolon] = STATE(86),
    [sym_anonymous_function] = STATE(176),
    [sym_shorthand_function] = STATE(176),
    [sym__metadata_map] = STATE(52),
    [anon_sym_DASH_GT] = ACTIONS(87),
    [anon_sym_cond_DASH_GT] = ACTIONS(87),
    [anon_sym_LPARENquote] = ACTIONS(89),
    [anon_sym_POUND_DQUOTE] = ACTIONS(91),
    [anon_sym_COLON] = ACTIONS(93),
    [aux_sym_namespace_map_token1] = ACTIONS(95),
    [anon_sym_POUND_] = ACTIONS(97),
    [anon_sym_SEMI] = ACTIONS(99),
    [sym_member_access] = ACTIONS(101),
    [anon_sym_POUND_POUND] = ACTIONS(103),
    [sym_number_bigint] = ACTIONS(105),
    [sym_gensym] = ACTIONS(413),
    [sym_false] = ACTIONS(109),
    [sym_number_double] = ACTIONS(105),
    [sym__number_hex] = ACTIONS(111),
    [anon_sym_POUND_LPAREN] = ACTIONS(113),
    [anon_sym_CARET_COLON] = ACTIONS(31),
    [anon_sym_CARET_DQUOTE] = ACTIONS(33),
    [anon_sym_TILDE] = ACTIONS(115),
    [anon_sym_POUND_QMARK] = ACTIONS(117),
    [anon_sym_DASH_GT_GT] = ACTIONS(119),
    [anon_sym_cond_DASH_GT_GT] = ACTIONS(119),
    [anon_sym_some_DASH_GT] = ACTIONS(87),
    [anon_sym_COLON_COLON] = ACTIONS(121),
    [anon_sym_POUND_LBRACE] = ACTIONS(123),
    [sym_field_access] = ACTIONS(101),
    [anon_sym_LBRACE] = ACTIONS(125),
    [anon_sym_LPAREN] = ACTIONS(127),
    [sym_number_bigdecimal] = ACTIONS(129),
    [anon_sym_BQUOTE] = ACTIONS(131),
    [sym_shorthand_function_arg] = ACTIONS(413),
    [sym_nil] = ACTIONS(415),
    [sym__normal_long] = ACTIONS(111),
    [sym__number_arbitrary_radix] = ACTIONS(111),
    [anon_sym_AT] = ACTIONS(135),
    [anon_sym_POUND_QMARK_AT] = ACTIONS(137),
    [anon_sym_as_DASH_GT] = ACTIONS(119),
    [anon_sym_some_DASH_GT_GT] = ACTIONS(119),
    [anon_sym_SQUOTE] = ACTIONS(139),
    [anon_sym_POUND_COLON_COLON_LBRACE] = ACTIONS(141),
    [anon_sym_POUND_BANG] = ACTIONS(143),
    [sym_new_class] = ACTIONS(101),
    [sym__symbol_chars] = ACTIONS(145),
    [anon_sym_LBRACK] = ACTIONS(147),
    [sym_number_ratio] = ACTIONS(129),
    [anon_sym_BSLASH] = ACTIONS(149),
    [anon_sym_POUND_SQUOTE] = ACTIONS(151),
    [sym_true] = ACTIONS(109),
    [sym__number_octal] = ACTIONS(111),
    [anon_sym_CARET] = ACTIONS(75),
    [anon_sym_TILDE_AT] = ACTIONS(153),
    [anon_sym_DQUOTE] = ACTIONS(155),
    [anon_sym_POUND] = ACTIONS(157),
  },
  [66] = {
    [sym__keyword_chars] = ACTIONS(417),
  },
  [67] = {
    [sym_deref] = STATE(179),
    [sym_boolean] = STATE(179),
    [sym__character] = STATE(34),
    [sym__string] = STATE(35),
    [sym__keyword] = STATE(36),
    [sym_qualified_symbol] = STATE(44),
    [sym__vector] = STATE(37),
    [sym_ignore_form] = STATE(38),
    [sym_var_quote] = STATE(179),
    [sym_number] = STATE(179),
    [sym__reader_conditional_symbol] = STATE(39),
    [aux_sym_metadata_repeat1] = STATE(40),
    [sym_regex] = STATE(179),
    [sym__unqualified_keyword] = STATE(36),
    [sym__qualified_symbol] = STATE(41),
    [sym_hash_map] = STATE(179),
    [sym_set] = STATE(179),
    [sym_comment_macro] = STATE(38),
    [sym_unquote] = STATE(179),
    [sym__literals] = STATE(179),
    [aux_sym_program_repeat1] = STATE(179),
    [sym_symbolic_value] = STATE(179),
    [sym__quote] = STATE(43),
    [sym__symbol] = STATE(44),
    [sym__list] = STATE(45),
    [sym_semicolon] = STATE(38),
    [sym_shorthand_function] = STATE(179),
    [sym_metadata_shorthand] = STATE(40),
    [sym__collection_literals] = STATE(179),
    [sym_tagged_literal] = STATE(179),
    [sym_character] = STATE(179),
    [sym_string] = STATE(179),
    [sym_keyword] = STATE(179),
    [sym_threading_macro] = STATE(44),
    [sym_vector] = STATE(179),
    [sym_shebang_line] = STATE(38),
    [sym_defn] = STATE(179),
    [sym_syntax_quote] = STATE(179),
    [sym_reader_conditional] = STATE(179),
    [sym__number] = STATE(47),
    [sym__regex] = STATE(48),
    [sym_qualified_keyword] = STATE(36),
    [sym_interop] = STATE(179),
    [sym__hash_map] = STATE(49),
    [sym__set] = STATE(50),
    [sym__functions] = STATE(179),
    [sym_metadata] = STATE(51),
    [sym__anything] = STATE(179),
    [sym_unquote_splice] = STATE(179),
    [sym_number_long] = STATE(47),
    [sym_quote] = STATE(179),
    [sym_symbol] = STATE(179),
    [sym_list] = STATE(179),
    [sym_namespace_map] = STATE(49),
    [sym_comment] = STATE(179),
    [sym_anonymous_function] = STATE(179),
    [sym__metadata_map] = STATE(52),
    [anon_sym_DASH_GT] = ACTIONS(3),
    [anon_sym_cond_DASH_GT] = ACTIONS(3),
    [anon_sym_LPARENquote] = ACTIONS(5),
    [anon_sym_POUND_DQUOTE] = ACTIONS(7),
    [anon_sym_COLON] = ACTIONS(9),
    [aux_sym_namespace_map_token1] = ACTIONS(11),
    [anon_sym_POUND_] = ACTIONS(219),
    [anon_sym_SEMI] = ACTIONS(15),
    [sym_member_access] = ACTIONS(17),
    [anon_sym_POUND_POUND] = ACTIONS(19),
    [sym_number_bigint] = ACTIONS(21),
    [sym_gensym] = ACTIONS(419),
    [sym_false] = ACTIONS(25),
    [sym_number_double] = ACTIONS(21),
    [sym__number_hex] = ACTIONS(27),
    [anon_sym_POUND_LPAREN] = ACTIONS(29),
    [anon_sym_CARET_COLON] = ACTIONS(31),
    [anon_sym_CARET_DQUOTE] = ACTIONS(33),
    [anon_sym_TILDE] = ACTIONS(223),
    [anon_sym_POUND_QMARK] = ACTIONS(37),
    [anon_sym_DASH_GT_GT] = ACTIONS(39),
    [anon_sym_cond_DASH_GT_GT] = ACTIONS(39),
    [anon_sym_some_DASH_GT] = ACTIONS(3),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_POUND_LBRACE] = ACTIONS(43),
    [anon_sym_RBRACE] = ACTIONS(421),
    [sym_field_access] = ACTIONS(17),
    [anon_sym_LBRACE] = ACTIONS(45),
    [anon_sym_LPAREN] = ACTIONS(47),
    [sym_number_bigdecimal] = ACTIONS(49),
    [anon_sym_BQUOTE] = ACTIONS(227),
    [sym_shorthand_function_arg] = ACTIONS(419),
    [sym_nil] = ACTIONS(423),
    [sym__normal_long] = ACTIONS(27),
    [sym__number_arbitrary_radix] = ACTIONS(27),
    [anon_sym_AT] = ACTIONS(55),
    [anon_sym_POUND_QMARK_AT] = ACTIONS(57),
    [anon_sym_as_DASH_GT] = ACTIONS(39),
    [anon_sym_some_DASH_GT_GT] = ACTIONS(39),
    [anon_sym_SQUOTE] = ACTIONS(231),
    [anon_sym_POUND_COLON_COLON_LBRACE] = ACTIONS(61),
    [anon_sym_POUND_BANG] = ACTIONS(65),
    [sym_new_class] = ACTIONS(17),
    [sym__symbol_chars] = ACTIONS(67),
    [anon_sym_LBRACK] = ACTIONS(69),
    [sym_number_ratio] = ACTIONS(49),
    [anon_sym_BSLASH] = ACTIONS(71),
    [anon_sym_POUND_SQUOTE] = ACTIONS(73),
    [sym_true] = ACTIONS(25),
    [sym__number_octal] = ACTIONS(27),
    [anon_sym_CARET] = ACTIONS(75),
    [anon_sym_TILDE_AT] = ACTIONS(233),
    [anon_sym_DQUOTE] = ACTIONS(79),
    [anon_sym_POUND] = ACTIONS(81),
  },
  [68] = {
    [sym_deref] = STATE(130),
    [sym_boolean] = STATE(130),
    [sym__character] = STATE(34),
    [sym__string] = STATE(35),
    [sym__keyword] = STATE(36),
    [sym_qualified_symbol] = STATE(44),
    [sym__vector] = STATE(37),
    [sym_ignore_form] = STATE(38),
    [sym_var_quote] = STATE(130),
    [sym_number] = STATE(130),
    [sym__reader_conditional_symbol] = STATE(39),
    [aux_sym_metadata_repeat1] = STATE(40),
    [sym_regex] = STATE(130),
    [sym__unqualified_keyword] = STATE(36),
    [sym__qualified_symbol] = STATE(41),
    [sym_hash_map] = STATE(130),
    [sym_set] = STATE(130),
    [sym_comment_macro] = STATE(38),
    [sym_unquote] = STATE(130),
    [sym__literals] = STATE(130),
    [sym_symbolic_value] = STATE(130),
    [sym__quote] = STATE(43),
    [sym__symbol] = STATE(44),
    [sym__list] = STATE(45),
    [sym__hash_map_kv_pair] = STATE(181),
    [sym_semicolon] = STATE(38),
    [sym_shorthand_function] = STATE(130),
    [sym_metadata_shorthand] = STATE(40),
    [sym__collection_literals] = STATE(130),
    [sym_tagged_literal] = STATE(130),
    [sym_character] = STATE(130),
    [aux_sym__hash_map_repeat1] = STATE(181),
    [sym_string] = STATE(130),
    [sym_keyword] = STATE(130),
    [sym_threading_macro] = STATE(44),
    [sym_vector] = STATE(130),
    [sym__hash_map_key] = STATE(130),
    [sym_shebang_line] = STATE(38),
    [sym_defn] = STATE(130),
    [sym_syntax_quote] = STATE(130),
    [sym_reader_conditional] = STATE(130),
    [sym__number] = STATE(47),
    [sym__regex] = STATE(48),
    [sym_qualified_keyword] = STATE(36),
    [sym_interop] = STATE(130),
    [sym__hash_map] = STATE(49),
    [sym__set] = STATE(50),
    [sym__functions] = STATE(130),
    [sym_metadata] = STATE(51),
    [sym__anything] = STATE(130),
    [sym_unquote_splice] = STATE(130),
    [sym_number_long] = STATE(47),
    [sym_quote] = STATE(130),
    [sym_symbol] = STATE(130),
    [sym_list] = STATE(130),
    [sym_namespace_map] = STATE(49),
    [sym_comment] = STATE(130),
    [sym_anonymous_function] = STATE(130),
    [sym__metadata_map] = STATE(52),
    [anon_sym_DASH_GT] = ACTIONS(3),
    [anon_sym_cond_DASH_GT] = ACTIONS(3),
    [anon_sym_LPARENquote] = ACTIONS(5),
    [anon_sym_POUND_DQUOTE] = ACTIONS(7),
    [anon_sym_COLON] = ACTIONS(9),
    [aux_sym_namespace_map_token1] = ACTIONS(11),
    [anon_sym_POUND_] = ACTIONS(235),
    [anon_sym_SEMI] = ACTIONS(15),
    [sym_member_access] = ACTIONS(17),
    [anon_sym_POUND_POUND] = ACTIONS(19),
    [sym_number_bigint] = ACTIONS(21),
    [sym_gensym] = ACTIONS(237),
    [sym_false] = ACTIONS(25),
    [sym_number_double] = ACTIONS(21),
    [sym__number_hex] = ACTIONS(27),
    [anon_sym_POUND_LPAREN] = ACTIONS(29),
    [anon_sym_CARET_COLON] = ACTIONS(31),
    [anon_sym_CARET_DQUOTE] = ACTIONS(33),
    [anon_sym_TILDE] = ACTIONS(239),
    [anon_sym_POUND_QMARK] = ACTIONS(37),
    [anon_sym_DASH_GT_GT] = ACTIONS(39),
    [anon_sym_cond_DASH_GT_GT] = ACTIONS(39),
    [anon_sym_some_DASH_GT] = ACTIONS(3),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_POUND_LBRACE] = ACTIONS(43),
    [anon_sym_RBRACE] = ACTIONS(425),
    [sym_field_access] = ACTIONS(17),
    [anon_sym_LBRACE] = ACTIONS(45),
    [anon_sym_LPAREN] = ACTIONS(47),
    [sym_number_bigdecimal] = ACTIONS(49),
    [anon_sym_BQUOTE] = ACTIONS(243),
    [sym_shorthand_function_arg] = ACTIONS(237),
    [sym_nil] = ACTIONS(245),
    [sym__normal_long] = ACTIONS(27),
    [sym__number_arbitrary_radix] = ACTIONS(27),
    [anon_sym_AT] = ACTIONS(55),
    [anon_sym_POUND_QMARK_AT] = ACTIONS(57),
    [anon_sym_as_DASH_GT] = ACTIONS(39),
    [anon_sym_some_DASH_GT_GT] = ACTIONS(39),
    [anon_sym_SQUOTE] = ACTIONS(247),
    [anon_sym_POUND_COLON_COLON_LBRACE] = ACTIONS(61),
    [anon_sym_POUND_BANG] = ACTIONS(65),
    [sym_new_class] = ACTIONS(17),
    [sym__symbol_chars] = ACTIONS(67),
    [anon_sym_LBRACK] = ACTIONS(69),
    [sym_number_ratio] = ACTIONS(49),
    [anon_sym_BSLASH] = ACTIONS(71),
    [anon_sym_POUND_SQUOTE] = ACTIONS(73),
    [sym_true] = ACTIONS(25),
    [sym__number_octal] = ACTIONS(27),
    [anon_sym_CARET] = ACTIONS(75),
    [anon_sym_TILDE_AT] = ACTIONS(249),
    [anon_sym_DQUOTE] = ACTIONS(79),
    [anon_sym_POUND] = ACTIONS(81),
  },
  [69] = {
    [sym_deref] = STATE(186),
    [sym_boolean] = STATE(186),
    [sym__character] = STATE(34),
    [sym__string] = STATE(35),
    [sym__keyword] = STATE(36),
    [sym_qualified_symbol] = STATE(44),
    [sym__vector] = STATE(37),
    [sym_ignore_form] = STATE(38),
    [sym_var_quote] = STATE(186),
    [sym_number] = STATE(186),
    [sym__reader_conditional_symbol] = STATE(39),
    [aux_sym_metadata_repeat1] = STATE(40),
    [sym_regex] = STATE(186),
    [sym__unqualified_keyword] = STATE(36),
    [sym__qualified_symbol] = STATE(41),
    [sym_hash_map] = STATE(186),
    [sym_set] = STATE(186),
    [sym_comment_macro] = STATE(38),
    [sym_unquote] = STATE(186),
    [sym__literals] = STATE(186),
    [aux_sym_program_repeat1] = STATE(186),
    [sym_symbolic_value] = STATE(186),
    [sym__quote] = STATE(43),
    [sym__symbol] = STATE(44),
    [sym__list] = STATE(45),
    [sym_semicolon] = STATE(38),
    [sym_shorthand_function] = STATE(186),
    [sym_metadata_shorthand] = STATE(40),
    [sym__collection_literals] = STATE(186),
    [sym_tagged_literal] = STATE(186),
    [sym_character] = STATE(186),
    [sym_string] = STATE(186),
    [sym_keyword] = STATE(186),
    [sym_threading_macro] = STATE(44),
    [sym_vector] = STATE(186),
    [sym_shebang_line] = STATE(38),
    [sym_defn] = STATE(186),
    [sym_syntax_quote] = STATE(186),
    [sym_reader_conditional] = STATE(186),
    [sym__number] = STATE(47),
    [sym__regex] = STATE(48),
    [sym_qualified_keyword] = STATE(36),
    [sym_interop] = STATE(186),
    [sym__hash_map] = STATE(49),
    [sym__set] = STATE(50),
    [sym__functions] = STATE(186),
    [sym_metadata] = STATE(51),
    [sym__anything] = STATE(186),
    [sym_unquote_splice] = STATE(186),
    [sym_number_long] = STATE(47),
    [sym_quote] = STATE(186),
    [sym_symbol] = STATE(186),
    [sym_list] = STATE(186),
    [sym_namespace_map] = STATE(49),
    [sym_comment] = STATE(186),
    [sym_anonymous_function] = STATE(186),
    [sym__metadata_map] = STATE(52),
    [anon_sym_cond_DASH_GT] = ACTIONS(3),
    [anon_sym_POUND_DQUOTE] = ACTIONS(7),
    [aux_sym_namespace_map_token1] = ACTIONS(11),
    [anon_sym_SEMI] = ACTIONS(15),
    [anon_sym_TILDE] = ACTIONS(193),
    [sym_number_bigint] = ACTIONS(21),
    [sym_gensym] = ACTIONS(427),
    [sym_false] = ACTIONS(25),
    [anon_sym_CARET_COLON] = ACTIONS(31),
    [sym__number_hex] = ACTIONS(27),
    [anon_sym_cond_DASH_GT_GT] = ACTIONS(39),
    [anon_sym_POUND_LBRACE] = ACTIONS(43),
    [anon_sym_LBRACE] = ACTIONS(45),
    [sym_number_bigdecimal] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(55),
    [sym__normal_long] = ACTIONS(27),
    [anon_sym_comment] = ACTIONS(429),
    [sym__number_arbitrary_radix] = ACTIONS(27),
    [anon_sym_SQUOTE] = ACTIONS(199),
    [anon_sym_RPAREN] = ACTIONS(431),
    [anon_sym_POUND_BANG] = ACTIONS(65),
    [sym__symbol_chars] = ACTIONS(67),
    [sym_number_ratio] = ACTIONS(49),
    [anon_sym_POUND] = ACTIONS(81),
    [anon_sym_fn] = ACTIONS(433),
    [sym__number_octal] = ACTIONS(27),
    [anon_sym_DASH_GT] = ACTIONS(3),
    [anon_sym_LPARENquote] = ACTIONS(5),
    [anon_sym_COLON] = ACTIONS(9),
    [anon_sym_POUND_] = ACTIONS(189),
    [sym_member_access] = ACTIONS(17),
    [anon_sym_POUND_POUND] = ACTIONS(19),
    [anon_sym_CARET_DQUOTE] = ACTIONS(33),
    [anon_sym_POUND_LPAREN] = ACTIONS(29),
    [sym_number_double] = ACTIONS(21),
    [anon_sym_defn] = ACTIONS(435),
    [anon_sym_POUND_QMARK] = ACTIONS(37),
    [anon_sym_DASH_GT_GT] = ACTIONS(39),
    [anon_sym_some_DASH_GT] = ACTIONS(3),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [sym_field_access] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(47),
    [anon_sym_BQUOTE] = ACTIONS(195),
    [sym_shorthand_function_arg] = ACTIONS(427),
    [sym_nil] = ACTIONS(437),
    [anon_sym_defn_DASH] = ACTIONS(435),
    [anon_sym_POUND_QMARK_AT] = ACTIONS(57),
    [anon_sym_as_DASH_GT] = ACTIONS(39),
    [anon_sym_some_DASH_GT_GT] = ACTIONS(39),
    [anon_sym_POUND_COLON_COLON_LBRACE] = ACTIONS(61),
    [sym_new_class] = ACTIONS(17),
    [anon_sym_LBRACK] = ACTIONS(69),
    [anon_sym_POUND_SQUOTE] = ACTIONS(73),
    [anon_sym_BSLASH] = ACTIONS(71),
    [anon_sym_TILDE_AT] = ACTIONS(203),
    [sym_true] = ACTIONS(25),
    [anon_sym_CARET] = ACTIONS(75),
    [anon_sym_DQUOTE] = ACTIONS(79),
  },
  [70] = {
    [sym_metadata_shorthand] = STATE(40),
    [sym_deref] = STATE(187),
    [sym__collection_literals] = STATE(187),
    [sym_boolean] = STATE(187),
    [sym_character] = STATE(187),
    [sym_string] = STATE(187),
    [sym_tagged_literal] = STATE(187),
    [sym_keyword] = STATE(187),
    [sym__character] = STATE(82),
    [sym__string] = STATE(83),
    [sym__keyword] = STATE(84),
    [sym_vector] = STATE(187),
    [sym_threading_macro] = STATE(96),
    [sym_qualified_symbol] = STATE(96),
    [sym__vector] = STATE(85),
    [sym_shebang_line] = STATE(86),
    [sym_ignore_form] = STATE(86),
    [sym_defn] = STATE(187),
    [sym_syntax_quote] = STATE(187),
    [sym_var_quote] = STATE(187),
    [sym_reader_conditional] = STATE(187),
    [sym_number] = STATE(187),
    [sym__number] = STATE(87),
    [aux_sym_metadata_repeat1] = STATE(40),
    [sym_regex] = STATE(187),
    [sym__regex] = STATE(88),
    [sym__unqualified_keyword] = STATE(84),
    [sym_qualified_keyword] = STATE(84),
    [sym__qualified_symbol] = STATE(89),
    [sym_interop] = STATE(187),
    [sym_hash_map] = STATE(187),
    [sym__hash_map] = STATE(90),
    [sym_set] = STATE(187),
    [sym__set] = STATE(91),
    [sym_comment_macro] = STATE(86),
    [sym__functions] = STATE(187),
    [sym__reader_conditional_symbol] = STATE(92),
    [sym_metadata] = STATE(93),
    [sym_unquote] = STATE(187),
    [sym__literals] = STATE(187),
    [sym_unquote_splice] = STATE(187),
    [sym_symbolic_value] = STATE(187),
    [sym_number_long] = STATE(87),
    [sym__anything] = STATE(187),
    [sym_quote] = STATE(187),
    [sym__quote] = STATE(95),
    [sym_symbol] = STATE(187),
    [sym__symbol] = STATE(96),
    [sym_list] = STATE(187),
    [sym__list] = STATE(97),
    [sym_namespace_map] = STATE(90),
    [sym_comment] = STATE(187),
    [sym_semicolon] = STATE(86),
    [sym_anonymous_function] = STATE(187),
    [sym_shorthand_function] = STATE(187),
    [sym__metadata_map] = STATE(52),
    [anon_sym_DASH_GT] = ACTIONS(87),
    [anon_sym_cond_DASH_GT] = ACTIONS(87),
    [anon_sym_LPARENquote] = ACTIONS(89),
    [anon_sym_POUND_DQUOTE] = ACTIONS(91),
    [anon_sym_COLON] = ACTIONS(93),
    [aux_sym_namespace_map_token1] = ACTIONS(95),
    [anon_sym_POUND_] = ACTIONS(97),
    [anon_sym_SEMI] = ACTIONS(99),
    [sym_member_access] = ACTIONS(101),
    [anon_sym_POUND_POUND] = ACTIONS(103),
    [sym_number_bigint] = ACTIONS(105),
    [sym_gensym] = ACTIONS(439),
    [sym_false] = ACTIONS(109),
    [sym_number_double] = ACTIONS(105),
    [sym__number_hex] = ACTIONS(111),
    [anon_sym_POUND_LPAREN] = ACTIONS(113),
    [anon_sym_CARET_COLON] = ACTIONS(31),
    [anon_sym_CARET_DQUOTE] = ACTIONS(33),
    [anon_sym_TILDE] = ACTIONS(115),
    [anon_sym_POUND_QMARK] = ACTIONS(117),
    [anon_sym_DASH_GT_GT] = ACTIONS(119),
    [anon_sym_cond_DASH_GT_GT] = ACTIONS(119),
    [anon_sym_some_DASH_GT] = ACTIONS(87),
    [anon_sym_COLON_COLON] = ACTIONS(121),
    [anon_sym_POUND_LBRACE] = ACTIONS(123),
    [sym_field_access] = ACTIONS(101),
    [anon_sym_LBRACE] = ACTIONS(125),
    [anon_sym_LPAREN] = ACTIONS(127),
    [sym_number_bigdecimal] = ACTIONS(129),
    [anon_sym_BQUOTE] = ACTIONS(131),
    [sym_shorthand_function_arg] = ACTIONS(439),
    [sym_nil] = ACTIONS(441),
    [sym__normal_long] = ACTIONS(111),
    [sym__number_arbitrary_radix] = ACTIONS(111),
    [anon_sym_AT] = ACTIONS(135),
    [anon_sym_POUND_QMARK_AT] = ACTIONS(137),
    [anon_sym_as_DASH_GT] = ACTIONS(119),
    [anon_sym_some_DASH_GT_GT] = ACTIONS(119),
    [anon_sym_SQUOTE] = ACTIONS(139),
    [anon_sym_POUND_COLON_COLON_LBRACE] = ACTIONS(141),
    [anon_sym_POUND_BANG] = ACTIONS(143),
    [sym_new_class] = ACTIONS(101),
    [sym__symbol_chars] = ACTIONS(145),
    [anon_sym_LBRACK] = ACTIONS(147),
    [sym_number_ratio] = ACTIONS(129),
    [anon_sym_BSLASH] = ACTIONS(149),
    [anon_sym_POUND_SQUOTE] = ACTIONS(151),
    [sym_true] = ACTIONS(109),
    [sym__number_octal] = ACTIONS(111),
    [anon_sym_CARET] = ACTIONS(75),
    [anon_sym_TILDE_AT] = ACTIONS(153),
    [anon_sym_DQUOTE] = ACTIONS(155),
    [anon_sym_POUND] = ACTIONS(157),
  },
  [71] = {
    [sym_threading_macro] = STATE(96),
    [sym_qualified_symbol] = STATE(96),
    [sym_symbol] = STATE(189),
    [sym__symbol] = STATE(96),
    [sym_list] = STATE(189),
    [sym__list] = STATE(97),
    [sym__qualified_symbol] = STATE(89),
    [anon_sym_LPAREN] = ACTIONS(443),
    [anon_sym_DASH_GT] = ACTIONS(87),
    [anon_sym_cond_DASH_GT] = ACTIONS(87),
    [sym__symbol_chars] = ACTIONS(145),
    [anon_sym_DASH_GT_GT] = ACTIONS(119),
    [anon_sym_cond_DASH_GT_GT] = ACTIONS(119),
    [anon_sym_some_DASH_GT] = ACTIONS(87),
    [anon_sym_as_DASH_GT] = ACTIONS(119),
    [anon_sym_some_DASH_GT_GT] = ACTIONS(119),
  },
  [72] = {
    [sym_metadata_shorthand] = STATE(40),
    [sym_deref] = STATE(190),
    [sym__collection_literals] = STATE(190),
    [sym_boolean] = STATE(190),
    [sym_character] = STATE(190),
    [sym_string] = STATE(190),
    [sym_tagged_literal] = STATE(190),
    [sym_keyword] = STATE(190),
    [sym__character] = STATE(82),
    [sym__string] = STATE(83),
    [sym__keyword] = STATE(84),
    [sym_vector] = STATE(190),
    [sym_threading_macro] = STATE(96),
    [sym_qualified_symbol] = STATE(96),
    [sym__vector] = STATE(85),
    [sym_shebang_line] = STATE(86),
    [sym_ignore_form] = STATE(86),
    [sym_defn] = STATE(190),
    [sym_syntax_quote] = STATE(190),
    [sym_var_quote] = STATE(190),
    [sym_reader_conditional] = STATE(190),
    [sym_number] = STATE(190),
    [sym__number] = STATE(87),
    [aux_sym_metadata_repeat1] = STATE(40),
    [sym_regex] = STATE(190),
    [sym__regex] = STATE(88),
    [sym__unqualified_keyword] = STATE(84),
    [sym_qualified_keyword] = STATE(84),
    [sym__qualified_symbol] = STATE(89),
    [sym_interop] = STATE(190),
    [sym_hash_map] = STATE(190),
    [sym__hash_map] = STATE(90),
    [sym_set] = STATE(190),
    [sym__set] = STATE(91),
    [sym_comment_macro] = STATE(86),
    [sym__functions] = STATE(190),
    [sym__reader_conditional_symbol] = STATE(92),
    [sym_metadata] = STATE(93),
    [sym_unquote] = STATE(190),
    [sym__literals] = STATE(190),
    [sym_unquote_splice] = STATE(190),
    [sym_symbolic_value] = STATE(190),
    [sym_number_long] = STATE(87),
    [sym__anything] = STATE(190),
    [sym_quote] = STATE(190),
    [sym__quote] = STATE(95),
    [sym_symbol] = STATE(190),
    [sym__symbol] = STATE(96),
    [sym_list] = STATE(190),
    [sym__list] = STATE(97),
    [sym_namespace_map] = STATE(90),
    [sym_comment] = STATE(190),
    [sym_semicolon] = STATE(86),
    [sym_anonymous_function] = STATE(190),
    [sym_shorthand_function] = STATE(190),
    [sym__metadata_map] = STATE(52),
    [anon_sym_DASH_GT] = ACTIONS(87),
    [anon_sym_cond_DASH_GT] = ACTIONS(87),
    [anon_sym_LPARENquote] = ACTIONS(89),
    [anon_sym_POUND_DQUOTE] = ACTIONS(91),
    [anon_sym_COLON] = ACTIONS(93),
    [aux_sym_namespace_map_token1] = ACTIONS(95),
    [anon_sym_POUND_] = ACTIONS(97),
    [anon_sym_SEMI] = ACTIONS(99),
    [sym_member_access] = ACTIONS(101),
    [anon_sym_POUND_POUND] = ACTIONS(103),
    [sym_number_bigint] = ACTIONS(105),
    [sym_gensym] = ACTIONS(445),
    [sym_false] = ACTIONS(109),
    [sym_number_double] = ACTIONS(105),
    [sym__number_hex] = ACTIONS(111),
    [anon_sym_POUND_LPAREN] = ACTIONS(113),
    [anon_sym_CARET_COLON] = ACTIONS(31),
    [anon_sym_CARET_DQUOTE] = ACTIONS(33),
    [anon_sym_TILDE] = ACTIONS(115),
    [anon_sym_POUND_QMARK] = ACTIONS(117),
    [anon_sym_DASH_GT_GT] = ACTIONS(119),
    [anon_sym_cond_DASH_GT_GT] = ACTIONS(119),
    [anon_sym_some_DASH_GT] = ACTIONS(87),
    [anon_sym_COLON_COLON] = ACTIONS(121),
    [anon_sym_POUND_LBRACE] = ACTIONS(123),
    [sym_field_access] = ACTIONS(101),
    [anon_sym_LBRACE] = ACTIONS(125),
    [anon_sym_LPAREN] = ACTIONS(127),
    [sym_number_bigdecimal] = ACTIONS(129),
    [anon_sym_BQUOTE] = ACTIONS(131),
    [sym_shorthand_function_arg] = ACTIONS(445),
    [sym_nil] = ACTIONS(447),
    [sym__normal_long] = ACTIONS(111),
    [sym__number_arbitrary_radix] = ACTIONS(111),
    [anon_sym_AT] = ACTIONS(135),
    [anon_sym_POUND_QMARK_AT] = ACTIONS(137),
    [anon_sym_as_DASH_GT] = ACTIONS(119),
    [anon_sym_some_DASH_GT_GT] = ACTIONS(119),
    [anon_sym_SQUOTE] = ACTIONS(139),
    [anon_sym_POUND_COLON_COLON_LBRACE] = ACTIONS(141),
    [anon_sym_POUND_BANG] = ACTIONS(143),
    [sym_new_class] = ACTIONS(101),
    [sym__symbol_chars] = ACTIONS(145),
    [anon_sym_LBRACK] = ACTIONS(147),
    [sym_number_ratio] = ACTIONS(129),
    [anon_sym_BSLASH] = ACTIONS(149),
    [anon_sym_POUND_SQUOTE] = ACTIONS(151),
    [sym_true] = ACTIONS(109),
    [sym__number_octal] = ACTIONS(111),
    [anon_sym_CARET] = ACTIONS(75),
    [anon_sym_TILDE_AT] = ACTIONS(153),
    [anon_sym_DQUOTE] = ACTIONS(155),
    [anon_sym_POUND] = ACTIONS(157),
  },
  [73] = {
    [sym_deref] = STATE(130),
    [sym_boolean] = STATE(130),
    [sym__character] = STATE(34),
    [sym__string] = STATE(35),
    [sym__keyword] = STATE(36),
    [sym_qualified_symbol] = STATE(44),
    [sym__vector] = STATE(37),
    [sym_ignore_form] = STATE(38),
    [sym_var_quote] = STATE(130),
    [sym_number] = STATE(130),
    [sym__reader_conditional_symbol] = STATE(39),
    [aux_sym_metadata_repeat1] = STATE(40),
    [sym_regex] = STATE(130),
    [sym__unqualified_keyword] = STATE(36),
    [sym__qualified_symbol] = STATE(41),
    [sym_hash_map] = STATE(130),
    [sym_set] = STATE(130),
    [sym_comment_macro] = STATE(38),
    [sym_unquote] = STATE(130),
    [sym__literals] = STATE(130),
    [sym_symbolic_value] = STATE(130),
    [sym__quote] = STATE(43),
    [sym__symbol] = STATE(44),
    [sym__list] = STATE(45),
    [sym__hash_map_kv_pair] = STATE(192),
    [sym_semicolon] = STATE(38),
    [sym_shorthand_function] = STATE(130),
    [sym_metadata_shorthand] = STATE(40),
    [sym__collection_literals] = STATE(130),
    [sym_tagged_literal] = STATE(130),
    [sym_character] = STATE(130),
    [aux_sym__hash_map_repeat1] = STATE(192),
    [sym_string] = STATE(130),
    [sym_keyword] = STATE(130),
    [sym_threading_macro] = STATE(44),
    [sym_vector] = STATE(130),
    [sym__hash_map_key] = STATE(130),
    [sym_shebang_line] = STATE(38),
    [sym_defn] = STATE(130),
    [sym_syntax_quote] = STATE(130),
    [sym_reader_conditional] = STATE(130),
    [sym__number] = STATE(47),
    [sym__regex] = STATE(48),
    [sym_qualified_keyword] = STATE(36),
    [sym_interop] = STATE(130),
    [sym__hash_map] = STATE(49),
    [sym__set] = STATE(50),
    [sym__functions] = STATE(130),
    [sym_metadata] = STATE(51),
    [sym__anything] = STATE(130),
    [sym_unquote_splice] = STATE(130),
    [sym_number_long] = STATE(47),
    [sym_quote] = STATE(130),
    [sym_symbol] = STATE(130),
    [sym_list] = STATE(130),
    [sym_namespace_map] = STATE(49),
    [sym_comment] = STATE(130),
    [sym_anonymous_function] = STATE(130),
    [sym__metadata_map] = STATE(52),
    [anon_sym_DASH_GT] = ACTIONS(3),
    [anon_sym_cond_DASH_GT] = ACTIONS(3),
    [anon_sym_LPARENquote] = ACTIONS(5),
    [anon_sym_POUND_DQUOTE] = ACTIONS(7),
    [anon_sym_COLON] = ACTIONS(9),
    [aux_sym_namespace_map_token1] = ACTIONS(11),
    [anon_sym_POUND_] = ACTIONS(235),
    [anon_sym_SEMI] = ACTIONS(15),
    [sym_member_access] = ACTIONS(17),
    [anon_sym_POUND_POUND] = ACTIONS(19),
    [sym_number_bigint] = ACTIONS(21),
    [sym_gensym] = ACTIONS(237),
    [sym_false] = ACTIONS(25),
    [sym_number_double] = ACTIONS(21),
    [sym__number_hex] = ACTIONS(27),
    [anon_sym_POUND_LPAREN] = ACTIONS(29),
    [anon_sym_CARET_COLON] = ACTIONS(31),
    [anon_sym_CARET_DQUOTE] = ACTIONS(33),
    [anon_sym_TILDE] = ACTIONS(239),
    [anon_sym_POUND_QMARK] = ACTIONS(37),
    [anon_sym_DASH_GT_GT] = ACTIONS(39),
    [anon_sym_cond_DASH_GT_GT] = ACTIONS(39),
    [anon_sym_some_DASH_GT] = ACTIONS(3),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_POUND_LBRACE] = ACTIONS(43),
    [anon_sym_RBRACE] = ACTIONS(449),
    [sym_field_access] = ACTIONS(17),
    [anon_sym_LBRACE] = ACTIONS(45),
    [anon_sym_LPAREN] = ACTIONS(47),
    [sym_number_bigdecimal] = ACTIONS(49),
    [anon_sym_BQUOTE] = ACTIONS(243),
    [sym_shorthand_function_arg] = ACTIONS(237),
    [sym_nil] = ACTIONS(245),
    [sym__normal_long] = ACTIONS(27),
    [sym__number_arbitrary_radix] = ACTIONS(27),
    [anon_sym_AT] = ACTIONS(55),
    [anon_sym_POUND_QMARK_AT] = ACTIONS(57),
    [anon_sym_as_DASH_GT] = ACTIONS(39),
    [anon_sym_some_DASH_GT_GT] = ACTIONS(39),
    [anon_sym_SQUOTE] = ACTIONS(247),
    [anon_sym_POUND_COLON_COLON_LBRACE] = ACTIONS(61),
    [anon_sym_POUND_BANG] = ACTIONS(65),
    [sym_new_class] = ACTIONS(17),
    [sym__symbol_chars] = ACTIONS(67),
    [anon_sym_LBRACK] = ACTIONS(69),
    [sym_number_ratio] = ACTIONS(49),
    [anon_sym_BSLASH] = ACTIONS(71),
    [anon_sym_POUND_SQUOTE] = ACTIONS(73),
    [sym_true] = ACTIONS(25),
    [sym__number_octal] = ACTIONS(27),
    [anon_sym_CARET] = ACTIONS(75),
    [anon_sym_TILDE_AT] = ACTIONS(249),
    [anon_sym_DQUOTE] = ACTIONS(79),
    [anon_sym_POUND] = ACTIONS(81),
  },
  [74] = {
    [aux_sym_semicolon_token1] = ACTIONS(451),
  },
  [75] = {
    [anon_sym_RPAREN] = ACTIONS(279),
    [anon_sym_LPAREN] = ACTIONS(279),
    [anon_sym_POUND_COLON_COLON_LBRACE] = ACTIONS(279),
    [anon_sym_LBRACE] = ACTIONS(279),
    [anon_sym_LBRACK] = ACTIONS(279),
    [aux_sym_namespace_map_token1] = ACTIONS(279),
    [anon_sym_DQUOTE] = ACTIONS(279),
    [anon_sym_SLASH] = ACTIONS(453),
  },
  [76] = {
    [sym_deref] = STATE(196),
    [sym_boolean] = STATE(196),
    [sym__character] = STATE(34),
    [sym__string] = STATE(35),
    [sym__keyword] = STATE(36),
    [sym_qualified_symbol] = STATE(44),
    [sym__vector] = STATE(37),
    [sym_ignore_form] = STATE(38),
    [sym_var_quote] = STATE(196),
    [sym_number] = STATE(196),
    [sym__reader_conditional_symbol] = STATE(39),
    [aux_sym_metadata_repeat1] = STATE(40),
    [sym_regex] = STATE(196),
    [sym__unqualified_keyword] = STATE(36),
    [sym__qualified_symbol] = STATE(41),
    [sym_hash_map] = STATE(196),
    [sym_set] = STATE(196),
    [sym_comment_macro] = STATE(38),
    [sym_unquote] = STATE(196),
    [sym__literals] = STATE(196),
    [aux_sym_program_repeat1] = STATE(196),
    [sym_symbolic_value] = STATE(196),
    [sym__quote] = STATE(43),
    [sym__symbol] = STATE(44),
    [sym__list] = STATE(45),
    [sym_semicolon] = STATE(38),
    [sym_shorthand_function] = STATE(196),
    [sym_metadata_shorthand] = STATE(40),
    [sym__collection_literals] = STATE(196),
    [sym_tagged_literal] = STATE(196),
    [sym_character] = STATE(196),
    [sym_string] = STATE(196),
    [sym_keyword] = STATE(196),
    [sym_threading_macro] = STATE(44),
    [sym_vector] = STATE(196),
    [sym_shebang_line] = STATE(38),
    [sym_defn] = STATE(196),
    [sym_syntax_quote] = STATE(196),
    [sym_reader_conditional] = STATE(196),
    [sym__number] = STATE(47),
    [sym__regex] = STATE(48),
    [sym_qualified_keyword] = STATE(36),
    [sym_interop] = STATE(196),
    [sym__hash_map] = STATE(49),
    [sym__set] = STATE(50),
    [sym__functions] = STATE(196),
    [sym_metadata] = STATE(51),
    [sym__anything] = STATE(196),
    [sym_unquote_splice] = STATE(196),
    [sym_number_long] = STATE(47),
    [sym_quote] = STATE(196),
    [sym_symbol] = STATE(196),
    [sym_list] = STATE(196),
    [sym_namespace_map] = STATE(49),
    [sym_comment] = STATE(196),
    [sym_anonymous_function] = STATE(196),
    [sym__metadata_map] = STATE(52),
    [anon_sym_DASH_GT] = ACTIONS(3),
    [anon_sym_cond_DASH_GT] = ACTIONS(3),
    [anon_sym_LPARENquote] = ACTIONS(5),
    [anon_sym_POUND_DQUOTE] = ACTIONS(7),
    [anon_sym_COLON] = ACTIONS(9),
    [aux_sym_namespace_map_token1] = ACTIONS(11),
    [anon_sym_POUND_] = ACTIONS(283),
    [anon_sym_SEMI] = ACTIONS(15),
    [sym_member_access] = ACTIONS(17),
    [anon_sym_RBRACK] = ACTIONS(455),
    [anon_sym_POUND_POUND] = ACTIONS(19),
    [sym_number_bigint] = ACTIONS(21),
    [sym_gensym] = ACTIONS(457),
    [sym_false] = ACTIONS(25),
    [sym_number_double] = ACTIONS(21),
    [sym__number_hex] = ACTIONS(27),
    [anon_sym_POUND_LPAREN] = ACTIONS(29),
    [anon_sym_CARET_COLON] = ACTIONS(31),
    [anon_sym_CARET_DQUOTE] = ACTIONS(33),
    [anon_sym_TILDE] = ACTIONS(289),
    [anon_sym_POUND_QMARK] = ACTIONS(37),
    [anon_sym_DASH_GT_GT] = ACTIONS(39),
    [anon_sym_cond_DASH_GT_GT] = ACTIONS(39),
    [anon_sym_some_DASH_GT] = ACTIONS(3),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_POUND_LBRACE] = ACTIONS(43),
    [sym_field_access] = ACTIONS(17),
    [anon_sym_LBRACE] = ACTIONS(45),
    [anon_sym_LPAREN] = ACTIONS(47),
    [sym_number_bigdecimal] = ACTIONS(49),
    [anon_sym_BQUOTE] = ACTIONS(291),
    [sym_shorthand_function_arg] = ACTIONS(457),
    [sym_nil] = ACTIONS(459),
    [sym__normal_long] = ACTIONS(27),
    [sym__number_arbitrary_radix] = ACTIONS(27),
    [anon_sym_AT] = ACTIONS(55),
    [anon_sym_POUND_QMARK_AT] = ACTIONS(57),
    [anon_sym_as_DASH_GT] = ACTIONS(39),
    [anon_sym_some_DASH_GT_GT] = ACTIONS(39),
    [anon_sym_SQUOTE] = ACTIONS(295),
    [anon_sym_POUND_COLON_COLON_LBRACE] = ACTIONS(61),
    [anon_sym_POUND_BANG] = ACTIONS(65),
    [sym_new_class] = ACTIONS(17),
    [sym__symbol_chars] = ACTIONS(67),
    [anon_sym_LBRACK] = ACTIONS(69),
    [sym_number_ratio] = ACTIONS(49),
    [anon_sym_BSLASH] = ACTIONS(71),
    [anon_sym_POUND_SQUOTE] = ACTIONS(73),
    [sym_true] = ACTIONS(25),
    [sym__number_octal] = ACTIONS(27),
    [anon_sym_CARET] = ACTIONS(75),
    [anon_sym_TILDE_AT] = ACTIONS(297),
    [anon_sym_DQUOTE] = ACTIONS(79),
    [anon_sym_POUND] = ACTIONS(81),
  },
  [77] = {
    [sym__special_char] = STATE(198),
    [sym__unicode_char] = STATE(198),
    [sym__octal_char] = STATE(198),
    [anon_sym_formfeed] = ACTIONS(461),
    [anon_sym_o] = ACTIONS(463),
    [anon_sym_tab] = ACTIONS(461),
    [sym__normal_char] = ACTIONS(465),
    [anon_sym_backspace] = ACTIONS(461),
    [anon_sym_newline] = ACTIONS(461),
    [anon_sym_return] = ACTIONS(461),
    [anon_sym_space] = ACTIONS(461),
    [anon_sym_u] = ACTIONS(467),
  },
  [78] = {
    [sym_threading_macro] = STATE(96),
    [sym_qualified_symbol] = STATE(96),
    [sym_symbol] = STATE(200),
    [sym__symbol] = STATE(96),
    [sym__qualified_symbol] = STATE(89),
    [anon_sym_DASH_GT] = ACTIONS(87),
    [anon_sym_cond_DASH_GT] = ACTIONS(87),
    [sym__symbol_chars] = ACTIONS(145),
    [anon_sym_DASH_GT_GT] = ACTIONS(119),
    [anon_sym_cond_DASH_GT_GT] = ACTIONS(119),
    [anon_sym_some_DASH_GT] = ACTIONS(87),
    [anon_sym_as_DASH_GT] = ACTIONS(119),
    [anon_sym_some_DASH_GT_GT] = ACTIONS(119),
  },
  [79] = {
    [sym_metadata_shorthand] = STATE(40),
    [sym_deref] = STATE(201),
    [sym__collection_literals] = STATE(201),
    [sym_boolean] = STATE(201),
    [sym_character] = STATE(201),
    [sym_string] = STATE(201),
    [sym_tagged_literal] = STATE(201),
    [sym_keyword] = STATE(201),
    [sym__character] = STATE(82),
    [sym__string] = STATE(83),
    [sym__keyword] = STATE(84),
    [sym_vector] = STATE(201),
    [sym_threading_macro] = STATE(96),
    [sym_qualified_symbol] = STATE(96),
    [sym__vector] = STATE(85),
    [sym_shebang_line] = STATE(86),
    [sym_ignore_form] = STATE(86),
    [sym_defn] = STATE(201),
    [sym_syntax_quote] = STATE(201),
    [sym_var_quote] = STATE(201),
    [sym_reader_conditional] = STATE(201),
    [sym_number] = STATE(201),
    [sym__number] = STATE(87),
    [aux_sym_metadata_repeat1] = STATE(40),
    [sym_regex] = STATE(201),
    [sym__regex] = STATE(88),
    [sym__unqualified_keyword] = STATE(84),
    [sym_qualified_keyword] = STATE(84),
    [sym__qualified_symbol] = STATE(89),
    [sym_interop] = STATE(201),
    [sym_hash_map] = STATE(201),
    [sym__hash_map] = STATE(90),
    [sym_set] = STATE(201),
    [sym__set] = STATE(91),
    [sym_comment_macro] = STATE(86),
    [sym__functions] = STATE(201),
    [sym__reader_conditional_symbol] = STATE(92),
    [sym_metadata] = STATE(93),
    [sym_unquote] = STATE(201),
    [sym__literals] = STATE(201),
    [sym_unquote_splice] = STATE(201),
    [sym_symbolic_value] = STATE(201),
    [sym_number_long] = STATE(87),
    [sym__anything] = STATE(201),
    [sym_quote] = STATE(201),
    [sym__quote] = STATE(95),
    [sym_symbol] = STATE(201),
    [sym__symbol] = STATE(96),
    [sym_list] = STATE(201),
    [sym__list] = STATE(97),
    [sym_namespace_map] = STATE(90),
    [sym_comment] = STATE(201),
    [sym_semicolon] = STATE(86),
    [sym_anonymous_function] = STATE(201),
    [sym_shorthand_function] = STATE(201),
    [sym__metadata_map] = STATE(52),
    [anon_sym_DASH_GT] = ACTIONS(87),
    [anon_sym_cond_DASH_GT] = ACTIONS(87),
    [anon_sym_LPARENquote] = ACTIONS(89),
    [anon_sym_POUND_DQUOTE] = ACTIONS(91),
    [anon_sym_COLON] = ACTIONS(93),
    [aux_sym_namespace_map_token1] = ACTIONS(95),
    [anon_sym_POUND_] = ACTIONS(97),
    [anon_sym_SEMI] = ACTIONS(99),
    [sym_member_access] = ACTIONS(101),
    [anon_sym_POUND_POUND] = ACTIONS(103),
    [sym_number_bigint] = ACTIONS(105),
    [sym_gensym] = ACTIONS(469),
    [sym_false] = ACTIONS(109),
    [sym_number_double] = ACTIONS(105),
    [sym__number_hex] = ACTIONS(111),
    [anon_sym_POUND_LPAREN] = ACTIONS(113),
    [anon_sym_CARET_COLON] = ACTIONS(31),
    [anon_sym_CARET_DQUOTE] = ACTIONS(33),
    [anon_sym_TILDE] = ACTIONS(115),
    [anon_sym_POUND_QMARK] = ACTIONS(117),
    [anon_sym_DASH_GT_GT] = ACTIONS(119),
    [anon_sym_cond_DASH_GT_GT] = ACTIONS(119),
    [anon_sym_some_DASH_GT] = ACTIONS(87),
    [anon_sym_COLON_COLON] = ACTIONS(121),
    [anon_sym_POUND_LBRACE] = ACTIONS(123),
    [sym_field_access] = ACTIONS(101),
    [anon_sym_LBRACE] = ACTIONS(125),
    [anon_sym_LPAREN] = ACTIONS(127),
    [sym_number_bigdecimal] = ACTIONS(129),
    [anon_sym_BQUOTE] = ACTIONS(131),
    [sym_shorthand_function_arg] = ACTIONS(469),
    [sym_nil] = ACTIONS(471),
    [sym__normal_long] = ACTIONS(111),
    [sym__number_arbitrary_radix] = ACTIONS(111),
    [anon_sym_AT] = ACTIONS(135),
    [anon_sym_POUND_QMARK_AT] = ACTIONS(137),
    [anon_sym_as_DASH_GT] = ACTIONS(119),
    [anon_sym_some_DASH_GT_GT] = ACTIONS(119),
    [anon_sym_SQUOTE] = ACTIONS(139),
    [anon_sym_POUND_COLON_COLON_LBRACE] = ACTIONS(141),
    [anon_sym_POUND_BANG] = ACTIONS(143),
    [sym_new_class] = ACTIONS(101),
    [sym__symbol_chars] = ACTIONS(145),
    [anon_sym_LBRACK] = ACTIONS(147),
    [sym_number_ratio] = ACTIONS(129),
    [anon_sym_BSLASH] = ACTIONS(149),
    [anon_sym_POUND_SQUOTE] = ACTIONS(151),
    [sym_true] = ACTIONS(109),
    [sym__number_octal] = ACTIONS(111),
    [anon_sym_CARET] = ACTIONS(75),
    [anon_sym_TILDE_AT] = ACTIONS(153),
    [anon_sym_DQUOTE] = ACTIONS(155),
    [anon_sym_POUND] = ACTIONS(157),
  },
  [80] = {
    [aux_sym__string_repeat1] = STATE(203),
    [anon_sym_DQUOTE] = ACTIONS(473),
    [anon_sym_BSLASH_DQUOTE] = ACTIONS(475),
    [aux_sym__string_token1] = ACTIONS(477),
  },
  [81] = {
    [sym__qualified_symbol] = STATE(205),
    [sym__symbol_chars] = ACTIONS(479),
  },
  [82] = {
    [anon_sym_RPAREN] = ACTIONS(321),
  },
  [83] = {
    [anon_sym_RPAREN] = ACTIONS(325),
    [anon_sym_LPAREN] = ACTIONS(325),
    [anon_sym_POUND_COLON_COLON_LBRACE] = ACTIONS(325),
    [anon_sym_LBRACK] = ACTIONS(325),
    [aux_sym_namespace_map_token1] = ACTIONS(325),
    [anon_sym_LBRACE] = ACTIONS(325),
  },
  [84] = {
    [anon_sym_RPAREN] = ACTIONS(329),
  },
  [85] = {
    [anon_sym_RPAREN] = ACTIONS(333),
  },
  [86] = {
    [anon_sym_RPAREN] = ACTIONS(337),
  },
  [87] = {
    [anon_sym_RPAREN] = ACTIONS(371),
  },
  [88] = {
    [anon_sym_RPAREN] = ACTIONS(375),
  },
  [89] = {
    [anon_sym_RPAREN] = ACTIONS(347),
    [anon_sym_LPAREN] = ACTIONS(347),
    [anon_sym_POUND_COLON_COLON_LBRACE] = ACTIONS(347),
    [anon_sym_LBRACE] = ACTIONS(347),
    [anon_sym_LBRACK] = ACTIONS(347),
    [aux_sym_namespace_map_token1] = ACTIONS(347),
    [anon_sym_DQUOTE] = ACTIONS(347),
  },
  [90] = {
    [anon_sym_RPAREN] = ACTIONS(379),
    [anon_sym_LPAREN] = ACTIONS(379),
    [anon_sym_POUND_COLON_COLON_LBRACE] = ACTIONS(379),
    [anon_sym_POUND_LBRACE] = ACTIONS(379),
    [anon_sym_LBRACK] = ACTIONS(379),
    [aux_sym_namespace_map_token1] = ACTIONS(379),
    [anon_sym_LBRACE] = ACTIONS(379),
  },
  [91] = {
    [anon_sym_RPAREN] = ACTIONS(383),
  },
  [92] = {
    [anon_sym_LPAREN] = ACTIONS(481),
  },
  [93] = {
    [sym_hash_map] = STATE(207),
    [sym__hash_map] = STATE(90),
    [sym_set] = STATE(207),
    [sym__set] = STATE(91),
    [sym_list] = STATE(207),
    [sym__list] = STATE(97),
    [sym_namespace_map] = STATE(90),
    [sym_vector] = STATE(207),
    [sym__vector] = STATE(85),
    [anon_sym_LPAREN] = ACTIONS(443),
    [anon_sym_POUND_COLON_COLON_LBRACE] = ACTIONS(141),
    [anon_sym_POUND_LBRACE] = ACTIONS(123),
    [anon_sym_LBRACK] = ACTIONS(147),
    [aux_sym_namespace_map_token1] = ACTIONS(95),
    [anon_sym_LBRACE] = ACTIONS(125),
  },
  [94] = {
    [anon_sym_RPAREN] = ACTIONS(483),
  },
  [95] = {
    [anon_sym_RPAREN] = ACTIONS(357),
  },
  [96] = {
    [anon_sym_RPAREN] = ACTIONS(361),
    [anon_sym_LPAREN] = ACTIONS(361),
    [anon_sym_POUND_COLON_COLON_LBRACE] = ACTIONS(361),
    [anon_sym_LBRACE] = ACTIONS(361),
    [anon_sym_LBRACK] = ACTIONS(361),
    [aux_sym_namespace_map_token1] = ACTIONS(361),
    [anon_sym_DQUOTE] = ACTIONS(361),
  },
  [97] = {
    [anon_sym_RPAREN] = ACTIONS(365),
  },
  [98] = {
    [anon_sym_cond_DASH_GT] = ACTIONS(485),
    [anon_sym_POUND_DQUOTE] = ACTIONS(487),
    [aux_sym_namespace_map_token1] = ACTIONS(487),
    [anon_sym_SEMI] = ACTIONS(487),
    [anon_sym_RBRACK] = ACTIONS(487),
    [anon_sym_TILDE] = ACTIONS(485),
    [sym_number_bigint] = ACTIONS(485),
    [sym_gensym] = ACTIONS(487),
    [sym_false] = ACTIONS(485),
    [anon_sym_CARET_COLON] = ACTIONS(487),
    [sym__number_hex] = ACTIONS(485),
    [anon_sym_cond_DASH_GT_GT] = ACTIONS(487),
    [anon_sym_POUND_LBRACE] = ACTIONS(487),
    [anon_sym_LBRACE] = ACTIONS(487),
    [sym_number_bigdecimal] = ACTIONS(487),
    [anon_sym_AT] = ACTIONS(487),
    [sym__normal_long] = ACTIONS(485),
    [sym__number_arbitrary_radix] = ACTIONS(485),
    [anon_sym_SQUOTE] = ACTIONS(487),
    [anon_sym_RPAREN] = ACTIONS(487),
    [anon_sym_POUND_BANG] = ACTIONS(487),
    [sym__symbol_chars] = ACTIONS(485),
    [sym_number_ratio] = ACTIONS(487),
    [anon_sym_POUND] = ACTIONS(485),
    [sym__number_octal] = ACTIONS(485),
    [anon_sym_DASH_GT] = ACTIONS(485),
    [anon_sym_LPARENquote] = ACTIONS(487),
    [anon_sym_COLON] = ACTIONS(485),
    [anon_sym_POUND_] = ACTIONS(487),
    [sym_member_access] = ACTIONS(487),
    [anon_sym_POUND_POUND] = ACTIONS(487),
    [anon_sym_CARET_DQUOTE] = ACTIONS(487),
    [anon_sym_POUND_LPAREN] = ACTIONS(487),
    [sym_number_double] = ACTIONS(485),
    [anon_sym_POUND_QMARK] = ACTIONS(485),
    [anon_sym_DASH_GT_GT] = ACTIONS(487),
    [anon_sym_some_DASH_GT] = ACTIONS(485),
    [anon_sym_COLON_COLON] = ACTIONS(487),
    [anon_sym_RBRACE] = ACTIONS(487),
    [sym_field_access] = ACTIONS(487),
    [anon_sym_LPAREN] = ACTIONS(485),
    [anon_sym_BQUOTE] = ACTIONS(487),
    [sym_shorthand_function_arg] = ACTIONS(487),
    [sym_nil] = ACTIONS(485),
    [anon_sym_POUND_QMARK_AT] = ACTIONS(487),
    [anon_sym_as_DASH_GT] = ACTIONS(487),
    [anon_sym_some_DASH_GT_GT] = ACTIONS(487),
    [anon_sym_POUND_COLON_COLON_LBRACE] = ACTIONS(487),
    [ts_builtin_sym_end] = ACTIONS(487),
    [sym_new_class] = ACTIONS(487),
    [anon_sym_LBRACK] = ACTIONS(487),
    [anon_sym_POUND_SQUOTE] = ACTIONS(487),
    [anon_sym_BSLASH] = ACTIONS(487),
    [anon_sym_TILDE_AT] = ACTIONS(487),
    [sym_true] = ACTIONS(485),
    [anon_sym_CARET] = ACTIONS(485),
    [anon_sym_DQUOTE] = ACTIONS(487),
  },
  [99] = {
    [aux_sym__regex_repeat1] = STATE(210),
    [aux_sym__regex_token1] = ACTIONS(489),
    [anon_sym_BSLASH_DQUOTE] = ACTIONS(491),
    [anon_sym_DQUOTE] = ACTIONS(493),
  },
  [100] = {
    [anon_sym_cond_DASH_GT] = ACTIONS(495),
    [anon_sym_POUND_DQUOTE] = ACTIONS(497),
    [aux_sym_namespace_map_token1] = ACTIONS(497),
    [anon_sym_SEMI] = ACTIONS(497),
    [anon_sym_RBRACK] = ACTIONS(497),
    [anon_sym_TILDE] = ACTIONS(495),
    [sym_number_bigint] = ACTIONS(495),
    [sym_gensym] = ACTIONS(497),
    [sym_false] = ACTIONS(495),
    [anon_sym_CARET_COLON] = ACTIONS(497),
    [sym__number_hex] = ACTIONS(495),
    [anon_sym_cond_DASH_GT_GT] = ACTIONS(497),
    [anon_sym_POUND_LBRACE] = ACTIONS(497),
    [anon_sym_LBRACE] = ACTIONS(497),
    [sym_number_bigdecimal] = ACTIONS(497),
    [anon_sym_AT] = ACTIONS(497),
    [sym__normal_long] = ACTIONS(495),
    [sym__number_arbitrary_radix] = ACTIONS(495),
    [anon_sym_SQUOTE] = ACTIONS(497),
    [anon_sym_RPAREN] = ACTIONS(497),
    [anon_sym_POUND_BANG] = ACTIONS(497),
    [sym__symbol_chars] = ACTIONS(495),
    [sym_number_ratio] = ACTIONS(497),
    [anon_sym_POUND] = ACTIONS(495),
    [sym__number_octal] = ACTIONS(495),
    [anon_sym_DASH_GT] = ACTIONS(495),
    [anon_sym_LPARENquote] = ACTIONS(497),
    [anon_sym_COLON] = ACTIONS(495),
    [anon_sym_POUND_] = ACTIONS(497),
    [sym_member_access] = ACTIONS(497),
    [anon_sym_POUND_POUND] = ACTIONS(497),
    [anon_sym_CARET_DQUOTE] = ACTIONS(497),
    [anon_sym_POUND_LPAREN] = ACTIONS(497),
    [sym_number_double] = ACTIONS(495),
    [anon_sym_POUND_QMARK] = ACTIONS(495),
    [anon_sym_DASH_GT_GT] = ACTIONS(497),
    [anon_sym_some_DASH_GT] = ACTIONS(495),
    [anon_sym_COLON_COLON] = ACTIONS(497),
    [anon_sym_RBRACE] = ACTIONS(497),
    [sym_field_access] = ACTIONS(497),
    [anon_sym_LPAREN] = ACTIONS(495),
    [anon_sym_BQUOTE] = ACTIONS(497),
    [sym_shorthand_function_arg] = ACTIONS(497),
    [sym_nil] = ACTIONS(495),
    [anon_sym_POUND_QMARK_AT] = ACTIONS(497),
    [anon_sym_as_DASH_GT] = ACTIONS(497),
    [anon_sym_some_DASH_GT_GT] = ACTIONS(497),
    [anon_sym_POUND_COLON_COLON_LBRACE] = ACTIONS(497),
    [ts_builtin_sym_end] = ACTIONS(497),
    [sym_new_class] = ACTIONS(497),
    [anon_sym_LBRACK] = ACTIONS(497),
    [anon_sym_POUND_SQUOTE] = ACTIONS(497),
    [anon_sym_BSLASH] = ACTIONS(497),
    [anon_sym_TILDE_AT] = ACTIONS(497),
    [sym_true] = ACTIONS(495),
    [anon_sym_CARET] = ACTIONS(495),
    [anon_sym_DQUOTE] = ACTIONS(497),
  },
  [101] = {
    [sym_deref] = STATE(130),
    [sym_boolean] = STATE(130),
    [sym__character] = STATE(34),
    [sym__string] = STATE(35),
    [sym__keyword] = STATE(36),
    [sym_qualified_symbol] = STATE(44),
    [sym__vector] = STATE(37),
    [sym_ignore_form] = STATE(38),
    [sym_var_quote] = STATE(130),
    [sym_number] = STATE(130),
    [sym__reader_conditional_symbol] = STATE(39),
    [aux_sym_metadata_repeat1] = STATE(40),
    [sym_regex] = STATE(130),
    [sym__unqualified_keyword] = STATE(36),
    [sym__qualified_symbol] = STATE(41),
    [sym_hash_map] = STATE(130),
    [sym_set] = STATE(130),
    [sym_comment_macro] = STATE(38),
    [sym_unquote] = STATE(130),
    [sym__literals] = STATE(130),
    [sym_symbolic_value] = STATE(130),
    [sym__quote] = STATE(43),
    [sym__symbol] = STATE(44),
    [sym__list] = STATE(45),
    [sym__hash_map_kv_pair] = STATE(212),
    [sym_semicolon] = STATE(38),
    [sym_shorthand_function] = STATE(130),
    [sym_metadata_shorthand] = STATE(40),
    [sym__collection_literals] = STATE(130),
    [sym_tagged_literal] = STATE(130),
    [sym_character] = STATE(130),
    [aux_sym__hash_map_repeat1] = STATE(212),
    [sym_string] = STATE(130),
    [sym_keyword] = STATE(130),
    [sym_threading_macro] = STATE(44),
    [sym_vector] = STATE(130),
    [sym__hash_map_key] = STATE(130),
    [sym_shebang_line] = STATE(38),
    [sym_defn] = STATE(130),
    [sym_syntax_quote] = STATE(130),
    [sym_reader_conditional] = STATE(130),
    [sym__number] = STATE(47),
    [sym__regex] = STATE(48),
    [sym_qualified_keyword] = STATE(36),
    [sym_interop] = STATE(130),
    [sym__hash_map] = STATE(49),
    [sym__set] = STATE(50),
    [sym__functions] = STATE(130),
    [sym_metadata] = STATE(51),
    [sym__anything] = STATE(130),
    [sym_unquote_splice] = STATE(130),
    [sym_number_long] = STATE(47),
    [sym_quote] = STATE(130),
    [sym_symbol] = STATE(130),
    [sym_list] = STATE(130),
    [sym_namespace_map] = STATE(49),
    [sym_comment] = STATE(130),
    [sym_anonymous_function] = STATE(130),
    [sym__metadata_map] = STATE(52),
    [anon_sym_DASH_GT] = ACTIONS(3),
    [anon_sym_cond_DASH_GT] = ACTIONS(3),
    [anon_sym_LPARENquote] = ACTIONS(5),
    [anon_sym_POUND_DQUOTE] = ACTIONS(7),
    [anon_sym_COLON] = ACTIONS(9),
    [aux_sym_namespace_map_token1] = ACTIONS(11),
    [anon_sym_POUND_] = ACTIONS(235),
    [anon_sym_SEMI] = ACTIONS(15),
    [sym_member_access] = ACTIONS(17),
    [anon_sym_POUND_POUND] = ACTIONS(19),
    [sym_number_bigint] = ACTIONS(21),
    [sym_gensym] = ACTIONS(237),
    [sym_false] = ACTIONS(25),
    [sym_number_double] = ACTIONS(21),
    [sym__number_hex] = ACTIONS(27),
    [anon_sym_POUND_LPAREN] = ACTIONS(29),
    [anon_sym_CARET_COLON] = ACTIONS(31),
    [anon_sym_CARET_DQUOTE] = ACTIONS(33),
    [anon_sym_TILDE] = ACTIONS(239),
    [anon_sym_POUND_QMARK] = ACTIONS(37),
    [anon_sym_DASH_GT_GT] = ACTIONS(39),
    [anon_sym_cond_DASH_GT_GT] = ACTIONS(39),
    [anon_sym_some_DASH_GT] = ACTIONS(3),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_POUND_LBRACE] = ACTIONS(43),
    [anon_sym_RBRACE] = ACTIONS(499),
    [sym_field_access] = ACTIONS(17),
    [anon_sym_LBRACE] = ACTIONS(45),
    [anon_sym_LPAREN] = ACTIONS(47),
    [sym_number_bigdecimal] = ACTIONS(49),
    [anon_sym_BQUOTE] = ACTIONS(243),
    [sym_shorthand_function_arg] = ACTIONS(237),
    [sym_nil] = ACTIONS(245),
    [sym__normal_long] = ACTIONS(27),
    [sym__number_arbitrary_radix] = ACTIONS(27),
    [anon_sym_AT] = ACTIONS(55),
    [anon_sym_POUND_QMARK_AT] = ACTIONS(57),
    [anon_sym_as_DASH_GT] = ACTIONS(39),
    [anon_sym_some_DASH_GT_GT] = ACTIONS(39),
    [anon_sym_SQUOTE] = ACTIONS(247),
    [anon_sym_POUND_COLON_COLON_LBRACE] = ACTIONS(61),
    [anon_sym_POUND_BANG] = ACTIONS(65),
    [sym_new_class] = ACTIONS(17),
    [sym__symbol_chars] = ACTIONS(67),
    [anon_sym_LBRACK] = ACTIONS(69),
    [sym_number_ratio] = ACTIONS(49),
    [anon_sym_BSLASH] = ACTIONS(71),
    [anon_sym_POUND_SQUOTE] = ACTIONS(73),
    [sym_true] = ACTIONS(25),
    [sym__number_octal] = ACTIONS(27),
    [anon_sym_CARET] = ACTIONS(75),
    [anon_sym_TILDE_AT] = ACTIONS(249),
    [anon_sym_DQUOTE] = ACTIONS(79),
    [anon_sym_POUND] = ACTIONS(81),
  },
  [102] = {
    [anon_sym_cond_DASH_GT] = ACTIONS(501),
    [anon_sym_POUND_DQUOTE] = ACTIONS(503),
    [aux_sym_namespace_map_token1] = ACTIONS(503),
    [anon_sym_SEMI] = ACTIONS(503),
    [anon_sym_RBRACK] = ACTIONS(503),
    [anon_sym_TILDE] = ACTIONS(501),
    [sym_number_bigint] = ACTIONS(501),
    [sym_gensym] = ACTIONS(503),
    [sym_false] = ACTIONS(501),
    [anon_sym_CARET_COLON] = ACTIONS(503),
    [sym__number_hex] = ACTIONS(501),
    [anon_sym_cond_DASH_GT_GT] = ACTIONS(503),
    [anon_sym_POUND_LBRACE] = ACTIONS(503),
    [anon_sym_LBRACE] = ACTIONS(503),
    [sym_number_bigdecimal] = ACTIONS(503),
    [anon_sym_AT] = ACTIONS(503),
    [sym__normal_long] = ACTIONS(501),
    [sym__number_arbitrary_radix] = ACTIONS(501),
    [anon_sym_SQUOTE] = ACTIONS(503),
    [anon_sym_RPAREN] = ACTIONS(503),
    [anon_sym_POUND_BANG] = ACTIONS(503),
    [sym__symbol_chars] = ACTIONS(501),
    [sym_number_ratio] = ACTIONS(503),
    [anon_sym_POUND] = ACTIONS(501),
    [sym__number_octal] = ACTIONS(501),
    [anon_sym_DASH_GT] = ACTIONS(501),
    [anon_sym_LPARENquote] = ACTIONS(503),
    [anon_sym_COLON] = ACTIONS(501),
    [anon_sym_POUND_] = ACTIONS(503),
    [sym_member_access] = ACTIONS(503),
    [anon_sym_POUND_POUND] = ACTIONS(503),
    [anon_sym_CARET_DQUOTE] = ACTIONS(503),
    [anon_sym_POUND_LPAREN] = ACTIONS(503),
    [sym_number_double] = ACTIONS(501),
    [anon_sym_POUND_QMARK] = ACTIONS(501),
    [anon_sym_DASH_GT_GT] = ACTIONS(503),
    [anon_sym_some_DASH_GT] = ACTIONS(501),
    [anon_sym_COLON_COLON] = ACTIONS(503),
    [anon_sym_RBRACE] = ACTIONS(503),
    [sym_field_access] = ACTIONS(503),
    [anon_sym_LPAREN] = ACTIONS(501),
    [anon_sym_BQUOTE] = ACTIONS(503),
    [sym_shorthand_function_arg] = ACTIONS(503),
    [sym_nil] = ACTIONS(501),
    [anon_sym_POUND_QMARK_AT] = ACTIONS(503),
    [anon_sym_as_DASH_GT] = ACTIONS(503),
    [anon_sym_some_DASH_GT_GT] = ACTIONS(503),
    [anon_sym_POUND_COLON_COLON_LBRACE] = ACTIONS(503),
    [ts_builtin_sym_end] = ACTIONS(503),
    [sym_new_class] = ACTIONS(503),
    [anon_sym_LBRACK] = ACTIONS(503),
    [anon_sym_POUND_SQUOTE] = ACTIONS(503),
    [anon_sym_BSLASH] = ACTIONS(503),
    [anon_sym_TILDE_AT] = ACTIONS(503),
    [sym_true] = ACTIONS(501),
    [anon_sym_CARET] = ACTIONS(501),
    [anon_sym_DQUOTE] = ACTIONS(503),
  },
  [103] = {
    [anon_sym_cond_DASH_GT] = ACTIONS(505),
    [anon_sym_POUND_DQUOTE] = ACTIONS(507),
    [aux_sym_namespace_map_token1] = ACTIONS(507),
    [anon_sym_SEMI] = ACTIONS(507),
    [anon_sym_RBRACK] = ACTIONS(507),
    [anon_sym_TILDE] = ACTIONS(505),
    [sym_number_bigint] = ACTIONS(505),
    [sym_gensym] = ACTIONS(507),
    [sym_false] = ACTIONS(505),
    [anon_sym_CARET_COLON] = ACTIONS(507),
    [sym__number_hex] = ACTIONS(505),
    [anon_sym_cond_DASH_GT_GT] = ACTIONS(507),
    [anon_sym_POUND_LBRACE] = ACTIONS(507),
    [anon_sym_LBRACE] = ACTIONS(507),
    [sym_number_bigdecimal] = ACTIONS(507),
    [anon_sym_AT] = ACTIONS(507),
    [sym__normal_long] = ACTIONS(505),
    [sym__number_arbitrary_radix] = ACTIONS(505),
    [anon_sym_SQUOTE] = ACTIONS(507),
    [anon_sym_RPAREN] = ACTIONS(507),
    [anon_sym_POUND_BANG] = ACTIONS(507),
    [sym__symbol_chars] = ACTIONS(505),
    [sym_number_ratio] = ACTIONS(507),
    [anon_sym_POUND] = ACTIONS(505),
    [sym__number_octal] = ACTIONS(505),
    [anon_sym_DASH_GT] = ACTIONS(505),
    [anon_sym_LPARENquote] = ACTIONS(507),
    [anon_sym_COLON] = ACTIONS(505),
    [anon_sym_POUND_] = ACTIONS(507),
    [sym_member_access] = ACTIONS(507),
    [anon_sym_POUND_POUND] = ACTIONS(507),
    [anon_sym_CARET_DQUOTE] = ACTIONS(507),
    [anon_sym_POUND_LPAREN] = ACTIONS(507),
    [sym_number_double] = ACTIONS(505),
    [anon_sym_POUND_QMARK] = ACTIONS(505),
    [anon_sym_DASH_GT_GT] = ACTIONS(507),
    [anon_sym_some_DASH_GT] = ACTIONS(505),
    [anon_sym_COLON_COLON] = ACTIONS(507),
    [anon_sym_RBRACE] = ACTIONS(507),
    [sym_field_access] = ACTIONS(507),
    [anon_sym_LPAREN] = ACTIONS(505),
    [anon_sym_BQUOTE] = ACTIONS(507),
    [sym_shorthand_function_arg] = ACTIONS(507),
    [sym_nil] = ACTIONS(505),
    [anon_sym_POUND_QMARK_AT] = ACTIONS(507),
    [anon_sym_as_DASH_GT] = ACTIONS(507),
    [anon_sym_some_DASH_GT_GT] = ACTIONS(507),
    [anon_sym_POUND_COLON_COLON_LBRACE] = ACTIONS(507),
    [ts_builtin_sym_end] = ACTIONS(507),
    [sym_new_class] = ACTIONS(507),
    [anon_sym_LBRACK] = ACTIONS(507),
    [anon_sym_POUND_SQUOTE] = ACTIONS(507),
    [anon_sym_BSLASH] = ACTIONS(507),
    [anon_sym_TILDE_AT] = ACTIONS(507),
    [sym_true] = ACTIONS(505),
    [anon_sym_CARET] = ACTIONS(505),
    [anon_sym_DQUOTE] = ACTIONS(507),
  },
  [104] = {
    [anon_sym_cond_DASH_GT] = ACTIONS(509),
    [anon_sym_POUND_DQUOTE] = ACTIONS(511),
    [aux_sym_namespace_map_token1] = ACTIONS(511),
    [anon_sym_SEMI] = ACTIONS(511),
    [anon_sym_RBRACK] = ACTIONS(511),
    [anon_sym_TILDE] = ACTIONS(509),
    [sym_number_bigint] = ACTIONS(509),
    [sym_gensym] = ACTIONS(511),
    [sym_false] = ACTIONS(509),
    [anon_sym_CARET_COLON] = ACTIONS(511),
    [sym__number_hex] = ACTIONS(509),
    [anon_sym_cond_DASH_GT_GT] = ACTIONS(511),
    [anon_sym_POUND_LBRACE] = ACTIONS(511),
    [anon_sym_LBRACE] = ACTIONS(511),
    [sym_number_bigdecimal] = ACTIONS(511),
    [anon_sym_AT] = ACTIONS(511),
    [sym__normal_long] = ACTIONS(509),
    [sym__number_arbitrary_radix] = ACTIONS(509),
    [anon_sym_SQUOTE] = ACTIONS(511),
    [anon_sym_RPAREN] = ACTIONS(511),
    [anon_sym_POUND_BANG] = ACTIONS(511),
    [sym__symbol_chars] = ACTIONS(509),
    [sym_number_ratio] = ACTIONS(511),
    [anon_sym_POUND] = ACTIONS(509),
    [sym__number_octal] = ACTIONS(509),
    [anon_sym_DASH_GT] = ACTIONS(509),
    [anon_sym_LPARENquote] = ACTIONS(511),
    [anon_sym_COLON] = ACTIONS(509),
    [anon_sym_POUND_] = ACTIONS(511),
    [sym_member_access] = ACTIONS(511),
    [anon_sym_POUND_POUND] = ACTIONS(511),
    [anon_sym_CARET_DQUOTE] = ACTIONS(511),
    [anon_sym_POUND_LPAREN] = ACTIONS(511),
    [sym_number_double] = ACTIONS(509),
    [anon_sym_POUND_QMARK] = ACTIONS(509),
    [anon_sym_DASH_GT_GT] = ACTIONS(511),
    [anon_sym_some_DASH_GT] = ACTIONS(509),
    [anon_sym_COLON_COLON] = ACTIONS(511),
    [anon_sym_RBRACE] = ACTIONS(511),
    [sym_field_access] = ACTIONS(511),
    [anon_sym_LPAREN] = ACTIONS(509),
    [anon_sym_BQUOTE] = ACTIONS(511),
    [sym_shorthand_function_arg] = ACTIONS(511),
    [sym_nil] = ACTIONS(509),
    [anon_sym_POUND_QMARK_AT] = ACTIONS(511),
    [anon_sym_as_DASH_GT] = ACTIONS(511),
    [anon_sym_some_DASH_GT_GT] = ACTIONS(511),
    [anon_sym_POUND_COLON_COLON_LBRACE] = ACTIONS(511),
    [ts_builtin_sym_end] = ACTIONS(511),
    [sym_new_class] = ACTIONS(511),
    [anon_sym_LBRACK] = ACTIONS(511),
    [anon_sym_POUND_SQUOTE] = ACTIONS(511),
    [anon_sym_BSLASH] = ACTIONS(511),
    [anon_sym_TILDE_AT] = ACTIONS(511),
    [sym_true] = ACTIONS(509),
    [anon_sym_CARET] = ACTIONS(509),
    [anon_sym_DQUOTE] = ACTIONS(511),
  },
  [105] = {
    [sym_metadata_shorthand] = STATE(40),
    [sym_deref] = STATE(102),
    [sym__collection_literals] = STATE(102),
    [sym_boolean] = STATE(102),
    [sym_character] = STATE(102),
    [sym_string] = STATE(102),
    [sym_tagged_literal] = STATE(102),
    [sym_keyword] = STATE(102),
    [sym__character] = STATE(34),
    [sym__string] = STATE(35),
    [sym__keyword] = STATE(36),
    [sym_vector] = STATE(102),
    [sym_threading_macro] = STATE(44),
    [sym_qualified_symbol] = STATE(44),
    [sym__vector] = STATE(37),
    [sym_shebang_line] = STATE(38),
    [sym_ignore_form] = STATE(38),
    [sym_defn] = STATE(102),
    [sym_syntax_quote] = STATE(102),
    [sym_var_quote] = STATE(102),
    [sym_reader_conditional] = STATE(102),
    [sym_number] = STATE(102),
    [sym__number] = STATE(47),
    [aux_sym_metadata_repeat1] = STATE(40),
    [sym_regex] = STATE(102),
    [sym__regex] = STATE(48),
    [sym__unqualified_keyword] = STATE(36),
    [sym_qualified_keyword] = STATE(36),
    [sym__qualified_symbol] = STATE(41),
    [sym_interop] = STATE(102),
    [sym_hash_map] = STATE(102),
    [sym__hash_map] = STATE(49),
    [sym_set] = STATE(102),
    [sym__set] = STATE(50),
    [sym_comment_macro] = STATE(38),
    [sym__functions] = STATE(102),
    [sym__reader_conditional_symbol] = STATE(39),
    [sym_metadata] = STATE(51),
    [sym_unquote] = STATE(102),
    [sym__literals] = STATE(102),
    [sym_unquote_splice] = STATE(102),
    [sym_symbolic_value] = STATE(102),
    [sym_number_long] = STATE(47),
    [sym__anything] = STATE(102),
    [sym_quote] = STATE(102),
    [sym__quote] = STATE(43),
    [sym_symbol] = STATE(102),
    [sym__symbol] = STATE(44),
    [sym_list] = STATE(102),
    [sym__list] = STATE(45),
    [sym_namespace_map] = STATE(49),
    [sym_comment] = STATE(102),
    [sym_semicolon] = STATE(38),
    [sym_anonymous_function] = STATE(102),
    [sym_shorthand_function] = STATE(102),
    [sym__metadata_map] = STATE(52),
    [anon_sym_DASH_GT] = ACTIONS(3),
    [anon_sym_cond_DASH_GT] = ACTIONS(3),
    [anon_sym_LPARENquote] = ACTIONS(5),
    [anon_sym_POUND_DQUOTE] = ACTIONS(7),
    [anon_sym_COLON] = ACTIONS(9),
    [aux_sym_namespace_map_token1] = ACTIONS(11),
    [anon_sym_POUND_] = ACTIONS(189),
    [anon_sym_SEMI] = ACTIONS(15),
    [sym_member_access] = ACTIONS(17),
    [anon_sym_POUND_POUND] = ACTIONS(19),
    [sym_number_bigint] = ACTIONS(21),
    [sym_gensym] = ACTIONS(169),
    [sym_false] = ACTIONS(25),
    [sym_number_double] = ACTIONS(21),
    [sym__number_hex] = ACTIONS(27),
    [anon_sym_POUND_LPAREN] = ACTIONS(29),
    [anon_sym_CARET_COLON] = ACTIONS(31),
    [anon_sym_CARET_DQUOTE] = ACTIONS(33),
    [anon_sym_TILDE] = ACTIONS(193),
    [anon_sym_POUND_QMARK] = ACTIONS(37),
    [anon_sym_DASH_GT_GT] = ACTIONS(39),
    [anon_sym_cond_DASH_GT_GT] = ACTIONS(39),
    [anon_sym_some_DASH_GT] = ACTIONS(3),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_POUND_LBRACE] = ACTIONS(43),
    [sym_field_access] = ACTIONS(17),
    [anon_sym_LBRACE] = ACTIONS(45),
    [anon_sym_LPAREN] = ACTIONS(47),
    [sym_number_bigdecimal] = ACTIONS(49),
    [anon_sym_BQUOTE] = ACTIONS(195),
    [sym_shorthand_function_arg] = ACTIONS(169),
    [sym_nil] = ACTIONS(171),
    [sym__normal_long] = ACTIONS(27),
    [sym__number_arbitrary_radix] = ACTIONS(27),
    [anon_sym_AT] = ACTIONS(55),
    [anon_sym_POUND_QMARK_AT] = ACTIONS(57),
    [anon_sym_as_DASH_GT] = ACTIONS(39),
    [anon_sym_some_DASH_GT_GT] = ACTIONS(39),
    [anon_sym_SQUOTE] = ACTIONS(199),
    [anon_sym_POUND_COLON_COLON_LBRACE] = ACTIONS(61),
    [anon_sym_POUND_BANG] = ACTIONS(65),
    [sym_new_class] = ACTIONS(17),
    [sym__symbol_chars] = ACTIONS(67),
    [anon_sym_LBRACK] = ACTIONS(69),
    [sym_number_ratio] = ACTIONS(49),
    [anon_sym_BSLASH] = ACTIONS(71),
    [anon_sym_POUND_SQUOTE] = ACTIONS(73),
    [sym_true] = ACTIONS(25),
    [sym__number_octal] = ACTIONS(27),
    [anon_sym_CARET] = ACTIONS(75),
    [anon_sym_TILDE_AT] = ACTIONS(203),
    [anon_sym_DQUOTE] = ACTIONS(79),
    [anon_sym_POUND] = ACTIONS(81),
  },
  [106] = {
    [sym_metadata_shorthand] = STATE(40),
    [sym_deref] = STATE(114),
    [sym__collection_literals] = STATE(114),
    [sym_boolean] = STATE(114),
    [sym_character] = STATE(114),
    [sym_string] = STATE(114),
    [sym_tagged_literal] = STATE(114),
    [sym_keyword] = STATE(114),
    [sym__character] = STATE(34),
    [sym__string] = STATE(35),
    [sym__keyword] = STATE(36),
    [sym_vector] = STATE(114),
    [sym_threading_macro] = STATE(44),
    [sym_qualified_symbol] = STATE(44),
    [sym__vector] = STATE(37),
    [sym_shebang_line] = STATE(38),
    [sym_ignore_form] = STATE(38),
    [sym_defn] = STATE(114),
    [sym_syntax_quote] = STATE(114),
    [sym_var_quote] = STATE(114),
    [sym_reader_conditional] = STATE(114),
    [sym_number] = STATE(114),
    [sym__number] = STATE(47),
    [aux_sym_metadata_repeat1] = STATE(40),
    [sym_regex] = STATE(114),
    [sym__regex] = STATE(48),
    [sym__unqualified_keyword] = STATE(36),
    [sym_qualified_keyword] = STATE(36),
    [sym__qualified_symbol] = STATE(41),
    [sym_interop] = STATE(114),
    [sym_hash_map] = STATE(114),
    [sym__hash_map] = STATE(49),
    [sym_set] = STATE(114),
    [sym__set] = STATE(50),
    [sym_comment_macro] = STATE(38),
    [sym__functions] = STATE(114),
    [sym__reader_conditional_symbol] = STATE(39),
    [sym_metadata] = STATE(51),
    [sym_unquote] = STATE(114),
    [sym__literals] = STATE(114),
    [sym_unquote_splice] = STATE(114),
    [sym_symbolic_value] = STATE(114),
    [sym_number_long] = STATE(47),
    [sym__anything] = STATE(114),
    [sym_quote] = STATE(114),
    [sym__quote] = STATE(43),
    [sym_symbol] = STATE(114),
    [sym__symbol] = STATE(44),
    [sym_list] = STATE(114),
    [sym__list] = STATE(45),
    [sym_namespace_map] = STATE(49),
    [sym_comment] = STATE(114),
    [sym_semicolon] = STATE(38),
    [sym_anonymous_function] = STATE(114),
    [sym_shorthand_function] = STATE(114),
    [sym__metadata_map] = STATE(52),
    [anon_sym_DASH_GT] = ACTIONS(3),
    [anon_sym_cond_DASH_GT] = ACTIONS(3),
    [anon_sym_LPARENquote] = ACTIONS(5),
    [anon_sym_POUND_DQUOTE] = ACTIONS(7),
    [anon_sym_COLON] = ACTIONS(9),
    [aux_sym_namespace_map_token1] = ACTIONS(11),
    [anon_sym_POUND_] = ACTIONS(189),
    [anon_sym_SEMI] = ACTIONS(15),
    [sym_member_access] = ACTIONS(17),
    [anon_sym_POUND_POUND] = ACTIONS(19),
    [sym_number_bigint] = ACTIONS(21),
    [sym_gensym] = ACTIONS(213),
    [sym_false] = ACTIONS(25),
    [sym_number_double] = ACTIONS(21),
    [sym__number_hex] = ACTIONS(27),
    [anon_sym_POUND_LPAREN] = ACTIONS(29),
    [anon_sym_CARET_COLON] = ACTIONS(31),
    [anon_sym_CARET_DQUOTE] = ACTIONS(33),
    [anon_sym_TILDE] = ACTIONS(193),
    [anon_sym_POUND_QMARK] = ACTIONS(37),
    [anon_sym_DASH_GT_GT] = ACTIONS(39),
    [anon_sym_cond_DASH_GT_GT] = ACTIONS(39),
    [anon_sym_some_DASH_GT] = ACTIONS(3),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_POUND_LBRACE] = ACTIONS(43),
    [sym_field_access] = ACTIONS(17),
    [anon_sym_LBRACE] = ACTIONS(45),
    [anon_sym_LPAREN] = ACTIONS(47),
    [sym_number_bigdecimal] = ACTIONS(49),
    [anon_sym_BQUOTE] = ACTIONS(195),
    [sym_shorthand_function_arg] = ACTIONS(213),
    [sym_nil] = ACTIONS(215),
    [sym__normal_long] = ACTIONS(27),
    [sym__number_arbitrary_radix] = ACTIONS(27),
    [anon_sym_AT] = ACTIONS(55),
    [anon_sym_POUND_QMARK_AT] = ACTIONS(57),
    [anon_sym_as_DASH_GT] = ACTIONS(39),
    [anon_sym_some_DASH_GT_GT] = ACTIONS(39),
    [anon_sym_SQUOTE] = ACTIONS(199),
    [anon_sym_POUND_COLON_COLON_LBRACE] = ACTIONS(61),
    [anon_sym_POUND_BANG] = ACTIONS(65),
    [sym_new_class] = ACTIONS(17),
    [sym__symbol_chars] = ACTIONS(67),
    [anon_sym_LBRACK] = ACTIONS(69),
    [sym_number_ratio] = ACTIONS(49),
    [anon_sym_BSLASH] = ACTIONS(71),
    [anon_sym_POUND_SQUOTE] = ACTIONS(73),
    [sym_true] = ACTIONS(25),
    [sym__number_octal] = ACTIONS(27),
    [anon_sym_CARET] = ACTIONS(75),
    [anon_sym_TILDE_AT] = ACTIONS(203),
    [anon_sym_DQUOTE] = ACTIONS(79),
    [anon_sym_POUND] = ACTIONS(81),
  },
  [107] = {
    [sym_metadata_shorthand] = STATE(40),
    [sym_deref] = STATE(136),
    [sym__collection_literals] = STATE(136),
    [sym_boolean] = STATE(136),
    [sym_character] = STATE(136),
    [sym_string] = STATE(136),
    [sym_tagged_literal] = STATE(136),
    [sym_keyword] = STATE(136),
    [sym__character] = STATE(34),
    [sym__string] = STATE(35),
    [sym__keyword] = STATE(36),
    [sym_vector] = STATE(136),
    [sym_threading_macro] = STATE(44),
    [sym_qualified_symbol] = STATE(44),
    [sym__vector] = STATE(37),
    [sym_shebang_line] = STATE(38),
    [sym_ignore_form] = STATE(38),
    [sym_defn] = STATE(136),
    [sym_syntax_quote] = STATE(136),
    [sym_var_quote] = STATE(136),
    [sym_reader_conditional] = STATE(136),
    [sym_number] = STATE(136),
    [sym__number] = STATE(47),
    [aux_sym_metadata_repeat1] = STATE(40),
    [sym_regex] = STATE(136),
    [sym__regex] = STATE(48),
    [sym__unqualified_keyword] = STATE(36),
    [sym_qualified_keyword] = STATE(36),
    [sym__qualified_symbol] = STATE(41),
    [sym_interop] = STATE(136),
    [sym_hash_map] = STATE(136),
    [sym__hash_map] = STATE(49),
    [sym_set] = STATE(136),
    [sym__set] = STATE(50),
    [sym_comment_macro] = STATE(38),
    [sym__functions] = STATE(136),
    [sym__reader_conditional_symbol] = STATE(39),
    [sym_metadata] = STATE(51),
    [sym_unquote] = STATE(136),
    [sym__literals] = STATE(136),
    [sym_unquote_splice] = STATE(136),
    [sym_symbolic_value] = STATE(136),
    [sym_number_long] = STATE(47),
    [sym__anything] = STATE(136),
    [sym_quote] = STATE(136),
    [sym__quote] = STATE(43),
    [sym_symbol] = STATE(136),
    [sym__symbol] = STATE(44),
    [sym_list] = STATE(136),
    [sym__list] = STATE(45),
    [sym_namespace_map] = STATE(49),
    [sym_comment] = STATE(136),
    [sym_semicolon] = STATE(38),
    [sym_anonymous_function] = STATE(136),
    [sym_shorthand_function] = STATE(136),
    [sym__metadata_map] = STATE(52),
    [anon_sym_DASH_GT] = ACTIONS(3),
    [anon_sym_cond_DASH_GT] = ACTIONS(3),
    [anon_sym_LPARENquote] = ACTIONS(5),
    [anon_sym_POUND_DQUOTE] = ACTIONS(7),
    [anon_sym_COLON] = ACTIONS(9),
    [aux_sym_namespace_map_token1] = ACTIONS(11),
    [anon_sym_POUND_] = ACTIONS(189),
    [anon_sym_SEMI] = ACTIONS(15),
    [sym_member_access] = ACTIONS(17),
    [anon_sym_POUND_POUND] = ACTIONS(19),
    [sym_number_bigint] = ACTIONS(21),
    [sym_gensym] = ACTIONS(263),
    [sym_false] = ACTIONS(25),
    [sym_number_double] = ACTIONS(21),
    [sym__number_hex] = ACTIONS(27),
    [anon_sym_POUND_LPAREN] = ACTIONS(29),
    [anon_sym_CARET_COLON] = ACTIONS(31),
    [anon_sym_CARET_DQUOTE] = ACTIONS(33),
    [anon_sym_TILDE] = ACTIONS(193),
    [anon_sym_POUND_QMARK] = ACTIONS(37),
    [anon_sym_DASH_GT_GT] = ACTIONS(39),
    [anon_sym_cond_DASH_GT_GT] = ACTIONS(39),
    [anon_sym_some_DASH_GT] = ACTIONS(3),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_POUND_LBRACE] = ACTIONS(43),
    [sym_field_access] = ACTIONS(17),
    [anon_sym_LBRACE] = ACTIONS(45),
    [anon_sym_LPAREN] = ACTIONS(47),
    [sym_number_bigdecimal] = ACTIONS(49),
    [anon_sym_BQUOTE] = ACTIONS(195),
    [sym_shorthand_function_arg] = ACTIONS(263),
    [sym_nil] = ACTIONS(265),
    [sym__normal_long] = ACTIONS(27),
    [sym__number_arbitrary_radix] = ACTIONS(27),
    [anon_sym_AT] = ACTIONS(55),
    [anon_sym_POUND_QMARK_AT] = ACTIONS(57),
    [anon_sym_as_DASH_GT] = ACTIONS(39),
    [anon_sym_some_DASH_GT_GT] = ACTIONS(39),
    [anon_sym_SQUOTE] = ACTIONS(199),
    [anon_sym_POUND_COLON_COLON_LBRACE] = ACTIONS(61),
    [anon_sym_POUND_BANG] = ACTIONS(65),
    [sym_new_class] = ACTIONS(17),
    [sym__symbol_chars] = ACTIONS(67),
    [anon_sym_LBRACK] = ACTIONS(69),
    [sym_number_ratio] = ACTIONS(49),
    [anon_sym_BSLASH] = ACTIONS(71),
    [anon_sym_POUND_SQUOTE] = ACTIONS(73),
    [sym_true] = ACTIONS(25),
    [sym__number_octal] = ACTIONS(27),
    [anon_sym_CARET] = ACTIONS(75),
    [anon_sym_TILDE_AT] = ACTIONS(203),
    [anon_sym_DQUOTE] = ACTIONS(79),
    [anon_sym_POUND] = ACTIONS(81),
  },
  [108] = {
    [sym_metadata_shorthand] = STATE(40),
    [sym_deref] = STATE(139),
    [sym__collection_literals] = STATE(139),
    [sym_boolean] = STATE(139),
    [sym_character] = STATE(139),
    [sym_string] = STATE(139),
    [sym_tagged_literal] = STATE(139),
    [sym_keyword] = STATE(139),
    [sym__character] = STATE(34),
    [sym__string] = STATE(35),
    [sym__keyword] = STATE(36),
    [sym_vector] = STATE(139),
    [sym_threading_macro] = STATE(44),
    [sym_qualified_symbol] = STATE(44),
    [sym__vector] = STATE(37),
    [sym_shebang_line] = STATE(38),
    [sym_ignore_form] = STATE(38),
    [sym_defn] = STATE(139),
    [sym_syntax_quote] = STATE(139),
    [sym_var_quote] = STATE(139),
    [sym_reader_conditional] = STATE(139),
    [sym_number] = STATE(139),
    [sym__number] = STATE(47),
    [aux_sym_metadata_repeat1] = STATE(40),
    [sym_regex] = STATE(139),
    [sym__regex] = STATE(48),
    [sym__unqualified_keyword] = STATE(36),
    [sym_qualified_keyword] = STATE(36),
    [sym__qualified_symbol] = STATE(41),
    [sym_interop] = STATE(139),
    [sym_hash_map] = STATE(139),
    [sym__hash_map] = STATE(49),
    [sym_set] = STATE(139),
    [sym__set] = STATE(50),
    [sym_comment_macro] = STATE(38),
    [sym__functions] = STATE(139),
    [sym__reader_conditional_symbol] = STATE(39),
    [sym_metadata] = STATE(51),
    [sym_unquote] = STATE(139),
    [sym__literals] = STATE(139),
    [sym_unquote_splice] = STATE(139),
    [sym_symbolic_value] = STATE(139),
    [sym_number_long] = STATE(47),
    [sym__anything] = STATE(139),
    [sym_quote] = STATE(139),
    [sym__quote] = STATE(43),
    [sym_symbol] = STATE(139),
    [sym__symbol] = STATE(44),
    [sym_list] = STATE(139),
    [sym__list] = STATE(45),
    [sym_namespace_map] = STATE(49),
    [sym_comment] = STATE(139),
    [sym_semicolon] = STATE(38),
    [sym_anonymous_function] = STATE(139),
    [sym_shorthand_function] = STATE(139),
    [sym__metadata_map] = STATE(52),
    [anon_sym_DASH_GT] = ACTIONS(3),
    [anon_sym_cond_DASH_GT] = ACTIONS(3),
    [anon_sym_LPARENquote] = ACTIONS(5),
    [anon_sym_POUND_DQUOTE] = ACTIONS(7),
    [anon_sym_COLON] = ACTIONS(9),
    [aux_sym_namespace_map_token1] = ACTIONS(11),
    [anon_sym_POUND_] = ACTIONS(189),
    [anon_sym_SEMI] = ACTIONS(15),
    [sym_member_access] = ACTIONS(17),
    [anon_sym_POUND_POUND] = ACTIONS(19),
    [sym_number_bigint] = ACTIONS(21),
    [sym_gensym] = ACTIONS(269),
    [sym_false] = ACTIONS(25),
    [sym_number_double] = ACTIONS(21),
    [sym__number_hex] = ACTIONS(27),
    [anon_sym_POUND_LPAREN] = ACTIONS(29),
    [anon_sym_CARET_COLON] = ACTIONS(31),
    [anon_sym_CARET_DQUOTE] = ACTIONS(33),
    [anon_sym_TILDE] = ACTIONS(193),
    [anon_sym_POUND_QMARK] = ACTIONS(37),
    [anon_sym_DASH_GT_GT] = ACTIONS(39),
    [anon_sym_cond_DASH_GT_GT] = ACTIONS(39),
    [anon_sym_some_DASH_GT] = ACTIONS(3),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_POUND_LBRACE] = ACTIONS(43),
    [sym_field_access] = ACTIONS(17),
    [anon_sym_LBRACE] = ACTIONS(45),
    [anon_sym_LPAREN] = ACTIONS(47),
    [sym_number_bigdecimal] = ACTIONS(49),
    [anon_sym_BQUOTE] = ACTIONS(195),
    [sym_shorthand_function_arg] = ACTIONS(269),
    [sym_nil] = ACTIONS(271),
    [sym__normal_long] = ACTIONS(27),
    [sym__number_arbitrary_radix] = ACTIONS(27),
    [anon_sym_AT] = ACTIONS(55),
    [anon_sym_POUND_QMARK_AT] = ACTIONS(57),
    [anon_sym_as_DASH_GT] = ACTIONS(39),
    [anon_sym_some_DASH_GT_GT] = ACTIONS(39),
    [anon_sym_SQUOTE] = ACTIONS(199),
    [anon_sym_POUND_COLON_COLON_LBRACE] = ACTIONS(61),
    [anon_sym_POUND_BANG] = ACTIONS(65),
    [sym_new_class] = ACTIONS(17),
    [sym__symbol_chars] = ACTIONS(67),
    [anon_sym_LBRACK] = ACTIONS(69),
    [sym_number_ratio] = ACTIONS(49),
    [anon_sym_BSLASH] = ACTIONS(71),
    [anon_sym_POUND_SQUOTE] = ACTIONS(73),
    [sym_true] = ACTIONS(25),
    [sym__number_octal] = ACTIONS(27),
    [anon_sym_CARET] = ACTIONS(75),
    [anon_sym_TILDE_AT] = ACTIONS(203),
    [anon_sym_DQUOTE] = ACTIONS(79),
    [anon_sym_POUND] = ACTIONS(81),
  },
  [109] = {
    [anon_sym_cond_DASH_GT] = ACTIONS(513),
    [anon_sym_POUND_DQUOTE] = ACTIONS(515),
    [aux_sym_namespace_map_token1] = ACTIONS(515),
    [anon_sym_SEMI] = ACTIONS(515),
    [anon_sym_RBRACK] = ACTIONS(515),
    [anon_sym_TILDE] = ACTIONS(513),
    [sym_number_bigint] = ACTIONS(513),
    [sym_gensym] = ACTIONS(515),
    [sym_false] = ACTIONS(513),
    [anon_sym_CARET_COLON] = ACTIONS(515),
    [sym__number_hex] = ACTIONS(513),
    [anon_sym_cond_DASH_GT_GT] = ACTIONS(515),
    [anon_sym_POUND_LBRACE] = ACTIONS(515),
    [anon_sym_LBRACE] = ACTIONS(515),
    [sym_number_bigdecimal] = ACTIONS(515),
    [anon_sym_AT] = ACTIONS(515),
    [sym__normal_long] = ACTIONS(513),
    [sym__number_arbitrary_radix] = ACTIONS(513),
    [anon_sym_SQUOTE] = ACTIONS(515),
    [anon_sym_RPAREN] = ACTIONS(515),
    [anon_sym_POUND_BANG] = ACTIONS(515),
    [sym__symbol_chars] = ACTIONS(513),
    [sym_number_ratio] = ACTIONS(515),
    [anon_sym_POUND] = ACTIONS(513),
    [sym__number_octal] = ACTIONS(513),
    [anon_sym_DASH_GT] = ACTIONS(513),
    [anon_sym_LPARENquote] = ACTIONS(515),
    [anon_sym_COLON] = ACTIONS(513),
    [anon_sym_POUND_] = ACTIONS(515),
    [sym_member_access] = ACTIONS(515),
    [anon_sym_POUND_POUND] = ACTIONS(515),
    [anon_sym_CARET_DQUOTE] = ACTIONS(515),
    [anon_sym_POUND_LPAREN] = ACTIONS(515),
    [sym_number_double] = ACTIONS(513),
    [anon_sym_POUND_QMARK] = ACTIONS(513),
    [anon_sym_DASH_GT_GT] = ACTIONS(515),
    [anon_sym_some_DASH_GT] = ACTIONS(513),
    [anon_sym_COLON_COLON] = ACTIONS(515),
    [anon_sym_RBRACE] = ACTIONS(515),
    [sym_field_access] = ACTIONS(515),
    [anon_sym_LPAREN] = ACTIONS(513),
    [anon_sym_BQUOTE] = ACTIONS(515),
    [sym_shorthand_function_arg] = ACTIONS(515),
    [sym_nil] = ACTIONS(513),
    [anon_sym_POUND_QMARK_AT] = ACTIONS(515),
    [anon_sym_as_DASH_GT] = ACTIONS(515),
    [anon_sym_some_DASH_GT_GT] = ACTIONS(515),
    [anon_sym_POUND_COLON_COLON_LBRACE] = ACTIONS(515),
    [ts_builtin_sym_end] = ACTIONS(515),
    [sym_new_class] = ACTIONS(515),
    [anon_sym_LBRACK] = ACTIONS(515),
    [anon_sym_POUND_SQUOTE] = ACTIONS(515),
    [anon_sym_BSLASH] = ACTIONS(515),
    [anon_sym_TILDE_AT] = ACTIONS(515),
    [sym_true] = ACTIONS(513),
    [anon_sym_CARET] = ACTIONS(513),
    [anon_sym_DQUOTE] = ACTIONS(515),
  },
  [110] = {
    [sym_metadata_shorthand] = STATE(40),
    [sym_deref] = STATE(156),
    [sym__collection_literals] = STATE(156),
    [sym_boolean] = STATE(156),
    [sym_character] = STATE(156),
    [sym_string] = STATE(156),
    [sym_tagged_literal] = STATE(156),
    [sym_keyword] = STATE(156),
    [sym__character] = STATE(34),
    [sym__string] = STATE(35),
    [sym__keyword] = STATE(36),
    [sym_vector] = STATE(156),
    [sym_threading_macro] = STATE(44),
    [sym_qualified_symbol] = STATE(44),
    [sym__vector] = STATE(37),
    [sym_shebang_line] = STATE(38),
    [sym_ignore_form] = STATE(38),
    [sym_defn] = STATE(156),
    [sym_syntax_quote] = STATE(156),
    [sym_var_quote] = STATE(156),
    [sym_reader_conditional] = STATE(156),
    [sym_number] = STATE(156),
    [sym__number] = STATE(47),
    [aux_sym_metadata_repeat1] = STATE(40),
    [sym_regex] = STATE(156),
    [sym__regex] = STATE(48),
    [sym__unqualified_keyword] = STATE(36),
    [sym_qualified_keyword] = STATE(36),
    [sym__qualified_symbol] = STATE(41),
    [sym_interop] = STATE(156),
    [sym_hash_map] = STATE(156),
    [sym__hash_map] = STATE(49),
    [sym_set] = STATE(156),
    [sym__set] = STATE(50),
    [sym_comment_macro] = STATE(38),
    [sym__functions] = STATE(156),
    [sym__reader_conditional_symbol] = STATE(39),
    [sym_metadata] = STATE(51),
    [sym_unquote] = STATE(156),
    [sym__literals] = STATE(156),
    [sym_unquote_splice] = STATE(156),
    [sym_symbolic_value] = STATE(156),
    [sym_number_long] = STATE(47),
    [sym__anything] = STATE(156),
    [sym_quote] = STATE(156),
    [sym__quote] = STATE(43),
    [sym_symbol] = STATE(156),
    [sym__symbol] = STATE(44),
    [sym_list] = STATE(156),
    [sym__list] = STATE(45),
    [sym_namespace_map] = STATE(49),
    [sym_comment] = STATE(156),
    [sym_semicolon] = STATE(38),
    [sym_anonymous_function] = STATE(156),
    [sym_shorthand_function] = STATE(156),
    [sym__metadata_map] = STATE(52),
    [anon_sym_DASH_GT] = ACTIONS(3),
    [anon_sym_cond_DASH_GT] = ACTIONS(3),
    [anon_sym_LPARENquote] = ACTIONS(5),
    [anon_sym_POUND_DQUOTE] = ACTIONS(7),
    [anon_sym_COLON] = ACTIONS(9),
    [aux_sym_namespace_map_token1] = ACTIONS(11),
    [anon_sym_POUND_] = ACTIONS(189),
    [anon_sym_SEMI] = ACTIONS(15),
    [sym_member_access] = ACTIONS(17),
    [anon_sym_POUND_POUND] = ACTIONS(19),
    [sym_number_bigint] = ACTIONS(21),
    [sym_gensym] = ACTIONS(307),
    [sym_false] = ACTIONS(25),
    [sym_number_double] = ACTIONS(21),
    [sym__number_hex] = ACTIONS(27),
    [anon_sym_POUND_LPAREN] = ACTIONS(29),
    [anon_sym_CARET_COLON] = ACTIONS(31),
    [anon_sym_CARET_DQUOTE] = ACTIONS(33),
    [anon_sym_TILDE] = ACTIONS(193),
    [anon_sym_POUND_QMARK] = ACTIONS(37),
    [anon_sym_DASH_GT_GT] = ACTIONS(39),
    [anon_sym_cond_DASH_GT_GT] = ACTIONS(39),
    [anon_sym_some_DASH_GT] = ACTIONS(3),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_POUND_LBRACE] = ACTIONS(43),
    [sym_field_access] = ACTIONS(17),
    [anon_sym_LBRACE] = ACTIONS(45),
    [anon_sym_LPAREN] = ACTIONS(47),
    [sym_number_bigdecimal] = ACTIONS(49),
    [anon_sym_BQUOTE] = ACTIONS(195),
    [sym_shorthand_function_arg] = ACTIONS(307),
    [sym_nil] = ACTIONS(309),
    [sym__normal_long] = ACTIONS(27),
    [sym__number_arbitrary_radix] = ACTIONS(27),
    [anon_sym_AT] = ACTIONS(55),
    [anon_sym_POUND_QMARK_AT] = ACTIONS(57),
    [anon_sym_as_DASH_GT] = ACTIONS(39),
    [anon_sym_some_DASH_GT_GT] = ACTIONS(39),
    [anon_sym_SQUOTE] = ACTIONS(199),
    [anon_sym_POUND_COLON_COLON_LBRACE] = ACTIONS(61),
    [anon_sym_POUND_BANG] = ACTIONS(65),
    [sym_new_class] = ACTIONS(17),
    [sym__symbol_chars] = ACTIONS(67),
    [anon_sym_LBRACK] = ACTIONS(69),
    [sym_number_ratio] = ACTIONS(49),
    [anon_sym_BSLASH] = ACTIONS(71),
    [anon_sym_POUND_SQUOTE] = ACTIONS(73),
    [sym_true] = ACTIONS(25),
    [sym__number_octal] = ACTIONS(27),
    [anon_sym_CARET] = ACTIONS(75),
    [anon_sym_TILDE_AT] = ACTIONS(203),
    [anon_sym_DQUOTE] = ACTIONS(79),
    [anon_sym_POUND] = ACTIONS(81),
  },
  [111] = {
    [sym_deref] = STATE(214),
    [sym_boolean] = STATE(214),
    [sym__character] = STATE(34),
    [sym__string] = STATE(35),
    [sym__keyword] = STATE(36),
    [sym_qualified_symbol] = STATE(44),
    [sym__vector] = STATE(37),
    [sym_ignore_form] = STATE(38),
    [sym_var_quote] = STATE(214),
    [sym_number] = STATE(214),
    [sym__reader_conditional_symbol] = STATE(39),
    [aux_sym_metadata_repeat1] = STATE(40),
    [sym_regex] = STATE(214),
    [sym__unqualified_keyword] = STATE(36),
    [sym__qualified_symbol] = STATE(41),
    [sym_hash_map] = STATE(214),
    [sym_set] = STATE(214),
    [sym_comment_macro] = STATE(38),
    [sym_unquote] = STATE(214),
    [sym__literals] = STATE(214),
    [aux_sym_program_repeat1] = STATE(214),
    [sym_symbolic_value] = STATE(214),
    [sym__quote] = STATE(43),
    [sym__symbol] = STATE(44),
    [sym__list] = STATE(45),
    [sym_semicolon] = STATE(38),
    [sym_shorthand_function] = STATE(214),
    [sym_metadata_shorthand] = STATE(40),
    [sym__collection_literals] = STATE(214),
    [sym_tagged_literal] = STATE(214),
    [sym_character] = STATE(214),
    [sym_string] = STATE(214),
    [sym_keyword] = STATE(214),
    [sym_threading_macro] = STATE(44),
    [sym_vector] = STATE(214),
    [sym_shebang_line] = STATE(38),
    [sym_defn] = STATE(214),
    [sym_syntax_quote] = STATE(214),
    [sym_reader_conditional] = STATE(214),
    [sym__number] = STATE(47),
    [sym__regex] = STATE(48),
    [sym_qualified_keyword] = STATE(36),
    [sym_interop] = STATE(214),
    [sym__hash_map] = STATE(49),
    [sym__set] = STATE(50),
    [sym__functions] = STATE(214),
    [sym_metadata] = STATE(51),
    [sym__anything] = STATE(214),
    [sym_unquote_splice] = STATE(214),
    [sym_number_long] = STATE(47),
    [sym_quote] = STATE(214),
    [sym_symbol] = STATE(214),
    [sym_list] = STATE(214),
    [sym_namespace_map] = STATE(49),
    [sym_comment] = STATE(214),
    [sym_anonymous_function] = STATE(214),
    [sym__metadata_map] = STATE(52),
    [anon_sym_DASH_GT] = ACTIONS(3),
    [anon_sym_cond_DASH_GT] = ACTIONS(3),
    [anon_sym_LPARENquote] = ACTIONS(5),
    [anon_sym_POUND_DQUOTE] = ACTIONS(7),
    [anon_sym_COLON] = ACTIONS(9),
    [aux_sym_namespace_map_token1] = ACTIONS(11),
    [anon_sym_POUND_] = ACTIONS(189),
    [anon_sym_SEMI] = ACTIONS(15),
    [sym_member_access] = ACTIONS(17),
    [anon_sym_POUND_POUND] = ACTIONS(19),
    [sym_number_bigint] = ACTIONS(21),
    [sym_gensym] = ACTIONS(517),
    [sym_false] = ACTIONS(25),
    [sym_number_double] = ACTIONS(21),
    [sym__number_hex] = ACTIONS(27),
    [anon_sym_POUND_LPAREN] = ACTIONS(29),
    [anon_sym_CARET_COLON] = ACTIONS(31),
    [anon_sym_CARET_DQUOTE] = ACTIONS(33),
    [anon_sym_TILDE] = ACTIONS(193),
    [anon_sym_POUND_QMARK] = ACTIONS(37),
    [anon_sym_DASH_GT_GT] = ACTIONS(39),
    [anon_sym_cond_DASH_GT_GT] = ACTIONS(39),
    [anon_sym_some_DASH_GT] = ACTIONS(3),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_POUND_LBRACE] = ACTIONS(43),
    [sym_field_access] = ACTIONS(17),
    [anon_sym_LBRACE] = ACTIONS(45),
    [anon_sym_LPAREN] = ACTIONS(47),
    [sym_number_bigdecimal] = ACTIONS(49),
    [anon_sym_BQUOTE] = ACTIONS(195),
    [sym_shorthand_function_arg] = ACTIONS(517),
    [sym_nil] = ACTIONS(519),
    [sym__normal_long] = ACTIONS(27),
    [sym__number_arbitrary_radix] = ACTIONS(27),
    [anon_sym_AT] = ACTIONS(55),
    [anon_sym_POUND_QMARK_AT] = ACTIONS(57),
    [anon_sym_as_DASH_GT] = ACTIONS(39),
    [anon_sym_some_DASH_GT_GT] = ACTIONS(39),
    [anon_sym_SQUOTE] = ACTIONS(199),
    [anon_sym_RPAREN] = ACTIONS(521),
    [anon_sym_POUND_COLON_COLON_LBRACE] = ACTIONS(61),
    [anon_sym_POUND_BANG] = ACTIONS(65),
    [sym_new_class] = ACTIONS(17),
    [sym__symbol_chars] = ACTIONS(67),
    [anon_sym_LBRACK] = ACTIONS(69),
    [sym_number_ratio] = ACTIONS(49),
    [anon_sym_BSLASH] = ACTIONS(71),
    [anon_sym_POUND_SQUOTE] = ACTIONS(73),
    [sym_true] = ACTIONS(25),
    [sym__number_octal] = ACTIONS(27),
    [anon_sym_CARET] = ACTIONS(75),
    [anon_sym_TILDE_AT] = ACTIONS(203),
    [anon_sym_DQUOTE] = ACTIONS(79),
    [anon_sym_POUND] = ACTIONS(81),
  },
  [112] = {
    [anon_sym_LPAREN] = ACTIONS(523),
    [anon_sym_DASH_GT] = ACTIONS(525),
    [anon_sym_cond_DASH_GT] = ACTIONS(525),
    [aux_sym_namespace_map_token1] = ACTIONS(523),
    [anon_sym_as_DASH_GT] = ACTIONS(523),
    [anon_sym_CARET_DQUOTE] = ACTIONS(523),
    [anon_sym_some_DASH_GT_GT] = ACTIONS(523),
    [anon_sym_CARET_COLON] = ACTIONS(523),
    [anon_sym_POUND_COLON_COLON_LBRACE] = ACTIONS(523),
    [sym__symbol_chars] = ACTIONS(525),
    [anon_sym_LBRACK] = ACTIONS(523),
    [anon_sym_DASH_GT_GT] = ACTIONS(523),
    [anon_sym_cond_DASH_GT_GT] = ACTIONS(523),
    [anon_sym_some_DASH_GT] = ACTIONS(525),
    [anon_sym_CARET] = ACTIONS(525),
    [anon_sym_POUND_LBRACE] = ACTIONS(523),
    [anon_sym_LBRACE] = ACTIONS(523),
  },
  [113] = {
    [aux_sym__string_repeat1] = STATE(216),
    [anon_sym_DQUOTE] = ACTIONS(527),
    [anon_sym_BSLASH_DQUOTE] = ACTIONS(529),
    [aux_sym__string_token1] = ACTIONS(531),
  },
  [114] = {
    [anon_sym_cond_DASH_GT] = ACTIONS(533),
    [anon_sym_POUND_DQUOTE] = ACTIONS(535),
    [aux_sym_namespace_map_token1] = ACTIONS(535),
    [anon_sym_SEMI] = ACTIONS(535),
    [anon_sym_RBRACK] = ACTIONS(535),
    [anon_sym_TILDE] = ACTIONS(533),
    [sym_number_bigint] = ACTIONS(533),
    [sym_gensym] = ACTIONS(535),
    [sym_false] = ACTIONS(533),
    [anon_sym_CARET_COLON] = ACTIONS(535),
    [sym__number_hex] = ACTIONS(533),
    [anon_sym_cond_DASH_GT_GT] = ACTIONS(535),
    [anon_sym_POUND_LBRACE] = ACTIONS(535),
    [anon_sym_LBRACE] = ACTIONS(535),
    [sym_number_bigdecimal] = ACTIONS(535),
    [anon_sym_AT] = ACTIONS(535),
    [sym__normal_long] = ACTIONS(533),
    [sym__number_arbitrary_radix] = ACTIONS(533),
    [anon_sym_SQUOTE] = ACTIONS(535),
    [anon_sym_RPAREN] = ACTIONS(535),
    [anon_sym_POUND_BANG] = ACTIONS(535),
    [sym__symbol_chars] = ACTIONS(533),
    [sym_number_ratio] = ACTIONS(535),
    [anon_sym_POUND] = ACTIONS(533),
    [sym__number_octal] = ACTIONS(533),
    [anon_sym_DASH_GT] = ACTIONS(533),
    [anon_sym_LPARENquote] = ACTIONS(535),
    [anon_sym_COLON] = ACTIONS(533),
    [anon_sym_POUND_] = ACTIONS(535),
    [sym_member_access] = ACTIONS(535),
    [anon_sym_POUND_POUND] = ACTIONS(535),
    [anon_sym_CARET_DQUOTE] = ACTIONS(535),
    [anon_sym_POUND_LPAREN] = ACTIONS(535),
    [sym_number_double] = ACTIONS(533),
    [anon_sym_POUND_QMARK] = ACTIONS(533),
    [anon_sym_DASH_GT_GT] = ACTIONS(535),
    [anon_sym_some_DASH_GT] = ACTIONS(533),
    [anon_sym_COLON_COLON] = ACTIONS(535),
    [anon_sym_RBRACE] = ACTIONS(535),
    [sym_field_access] = ACTIONS(535),
    [anon_sym_LPAREN] = ACTIONS(533),
    [anon_sym_BQUOTE] = ACTIONS(535),
    [sym_shorthand_function_arg] = ACTIONS(535),
    [sym_nil] = ACTIONS(533),
    [anon_sym_POUND_QMARK_AT] = ACTIONS(535),
    [anon_sym_as_DASH_GT] = ACTIONS(535),
    [anon_sym_some_DASH_GT_GT] = ACTIONS(535),
    [anon_sym_POUND_COLON_COLON_LBRACE] = ACTIONS(535),
    [ts_builtin_sym_end] = ACTIONS(535),
    [sym_new_class] = ACTIONS(535),
    [anon_sym_LBRACK] = ACTIONS(535),
    [anon_sym_POUND_SQUOTE] = ACTIONS(535),
    [anon_sym_BSLASH] = ACTIONS(535),
    [anon_sym_TILDE_AT] = ACTIONS(535),
    [sym_true] = ACTIONS(533),
    [anon_sym_CARET] = ACTIONS(533),
    [anon_sym_DQUOTE] = ACTIONS(535),
  },
  [115] = {
    [anon_sym_cond_DASH_GT] = ACTIONS(537),
    [anon_sym_POUND_DQUOTE] = ACTIONS(539),
    [aux_sym_namespace_map_token1] = ACTIONS(539),
    [anon_sym_SEMI] = ACTIONS(539),
    [anon_sym_RBRACK] = ACTIONS(539),
    [anon_sym_TILDE] = ACTIONS(537),
    [sym_number_bigint] = ACTIONS(537),
    [sym_gensym] = ACTIONS(539),
    [sym_false] = ACTIONS(537),
    [anon_sym_CARET_COLON] = ACTIONS(539),
    [sym__number_hex] = ACTIONS(537),
    [anon_sym_cond_DASH_GT_GT] = ACTIONS(539),
    [anon_sym_POUND_LBRACE] = ACTIONS(539),
    [anon_sym_LBRACE] = ACTIONS(539),
    [sym_number_bigdecimal] = ACTIONS(539),
    [anon_sym_AT] = ACTIONS(539),
    [sym__normal_long] = ACTIONS(537),
    [sym__number_arbitrary_radix] = ACTIONS(537),
    [anon_sym_SQUOTE] = ACTIONS(539),
    [anon_sym_RPAREN] = ACTIONS(539),
    [anon_sym_POUND_BANG] = ACTIONS(539),
    [sym__symbol_chars] = ACTIONS(537),
    [sym_number_ratio] = ACTIONS(539),
    [anon_sym_POUND] = ACTIONS(537),
    [sym__number_octal] = ACTIONS(537),
    [anon_sym_DASH_GT] = ACTIONS(537),
    [anon_sym_LPARENquote] = ACTIONS(539),
    [anon_sym_COLON] = ACTIONS(537),
    [anon_sym_POUND_] = ACTIONS(539),
    [sym_member_access] = ACTIONS(539),
    [anon_sym_POUND_POUND] = ACTIONS(539),
    [anon_sym_CARET_DQUOTE] = ACTIONS(539),
    [anon_sym_POUND_LPAREN] = ACTIONS(539),
    [sym_number_double] = ACTIONS(537),
    [anon_sym_POUND_QMARK] = ACTIONS(537),
    [anon_sym_DASH_GT_GT] = ACTIONS(539),
    [anon_sym_some_DASH_GT] = ACTIONS(537),
    [anon_sym_COLON_COLON] = ACTIONS(539),
    [anon_sym_RBRACE] = ACTIONS(539),
    [sym_field_access] = ACTIONS(539),
    [anon_sym_LPAREN] = ACTIONS(537),
    [anon_sym_BQUOTE] = ACTIONS(539),
    [sym_shorthand_function_arg] = ACTIONS(539),
    [sym_nil] = ACTIONS(537),
    [anon_sym_POUND_QMARK_AT] = ACTIONS(539),
    [anon_sym_as_DASH_GT] = ACTIONS(539),
    [anon_sym_some_DASH_GT_GT] = ACTIONS(539),
    [anon_sym_SLASH] = ACTIONS(541),
    [anon_sym_POUND_COLON_COLON_LBRACE] = ACTIONS(539),
    [ts_builtin_sym_end] = ACTIONS(539),
    [sym_new_class] = ACTIONS(539),
    [anon_sym_LBRACK] = ACTIONS(539),
    [anon_sym_POUND_SQUOTE] = ACTIONS(539),
    [anon_sym_BSLASH] = ACTIONS(539),
    [anon_sym_TILDE_AT] = ACTIONS(539),
    [sym_true] = ACTIONS(537),
    [anon_sym_CARET] = ACTIONS(537),
    [anon_sym_DQUOTE] = ACTIONS(539),
  },
  [116] = {
    [sym_metadata_shorthand] = STATE(40),
    [sym_deref] = STATE(102),
    [sym__collection_literals] = STATE(102),
    [sym_boolean] = STATE(102),
    [sym_character] = STATE(102),
    [sym_string] = STATE(102),
    [sym_tagged_literal] = STATE(102),
    [sym_keyword] = STATE(102),
    [sym__character] = STATE(34),
    [sym__string] = STATE(35),
    [sym__keyword] = STATE(36),
    [sym_vector] = STATE(102),
    [sym_threading_macro] = STATE(44),
    [sym_qualified_symbol] = STATE(44),
    [sym__vector] = STATE(37),
    [sym_shebang_line] = STATE(38),
    [sym_ignore_form] = STATE(38),
    [sym_defn] = STATE(102),
    [sym_syntax_quote] = STATE(102),
    [sym_var_quote] = STATE(102),
    [sym_reader_conditional] = STATE(102),
    [sym_number] = STATE(102),
    [sym__number] = STATE(47),
    [aux_sym_metadata_repeat1] = STATE(40),
    [sym_regex] = STATE(102),
    [sym__regex] = STATE(48),
    [sym__unqualified_keyword] = STATE(36),
    [sym_qualified_keyword] = STATE(36),
    [sym__qualified_symbol] = STATE(41),
    [sym_interop] = STATE(102),
    [sym_hash_map] = STATE(102),
    [sym__hash_map] = STATE(49),
    [sym_set] = STATE(102),
    [sym__set] = STATE(50),
    [sym_comment_macro] = STATE(38),
    [sym__functions] = STATE(102),
    [sym__reader_conditional_symbol] = STATE(39),
    [sym_metadata] = STATE(51),
    [sym_unquote] = STATE(102),
    [sym__literals] = STATE(102),
    [sym_unquote_splice] = STATE(102),
    [sym_symbolic_value] = STATE(102),
    [sym_number_long] = STATE(47),
    [sym__anything] = STATE(102),
    [sym_quote] = STATE(102),
    [sym__quote] = STATE(43),
    [sym_symbol] = STATE(102),
    [sym__symbol] = STATE(44),
    [sym_list] = STATE(102),
    [sym__list] = STATE(45),
    [sym_namespace_map] = STATE(49),
    [sym_comment] = STATE(102),
    [sym_semicolon] = STATE(38),
    [sym_anonymous_function] = STATE(102),
    [sym_shorthand_function] = STATE(102),
    [sym__metadata_map] = STATE(52),
    [anon_sym_DASH_GT] = ACTIONS(3),
    [anon_sym_cond_DASH_GT] = ACTIONS(3),
    [anon_sym_LPARENquote] = ACTIONS(5),
    [anon_sym_POUND_DQUOTE] = ACTIONS(7),
    [anon_sym_COLON] = ACTIONS(9),
    [aux_sym_namespace_map_token1] = ACTIONS(11),
    [anon_sym_POUND_] = ACTIONS(219),
    [anon_sym_SEMI] = ACTIONS(15),
    [sym_member_access] = ACTIONS(17),
    [anon_sym_POUND_POUND] = ACTIONS(19),
    [sym_number_bigint] = ACTIONS(21),
    [sym_gensym] = ACTIONS(169),
    [sym_false] = ACTIONS(25),
    [sym_number_double] = ACTIONS(21),
    [sym__number_hex] = ACTIONS(27),
    [anon_sym_POUND_LPAREN] = ACTIONS(29),
    [anon_sym_CARET_COLON] = ACTIONS(31),
    [anon_sym_CARET_DQUOTE] = ACTIONS(33),
    [anon_sym_TILDE] = ACTIONS(223),
    [anon_sym_POUND_QMARK] = ACTIONS(37),
    [anon_sym_DASH_GT_GT] = ACTIONS(39),
    [anon_sym_cond_DASH_GT_GT] = ACTIONS(39),
    [anon_sym_some_DASH_GT] = ACTIONS(3),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_POUND_LBRACE] = ACTIONS(43),
    [sym_field_access] = ACTIONS(17),
    [anon_sym_LBRACE] = ACTIONS(45),
    [anon_sym_LPAREN] = ACTIONS(47),
    [sym_number_bigdecimal] = ACTIONS(49),
    [anon_sym_BQUOTE] = ACTIONS(227),
    [sym_shorthand_function_arg] = ACTIONS(169),
    [sym_nil] = ACTIONS(171),
    [sym__normal_long] = ACTIONS(27),
    [sym__number_arbitrary_radix] = ACTIONS(27),
    [anon_sym_AT] = ACTIONS(55),
    [anon_sym_POUND_QMARK_AT] = ACTIONS(57),
    [anon_sym_as_DASH_GT] = ACTIONS(39),
    [anon_sym_some_DASH_GT_GT] = ACTIONS(39),
    [anon_sym_SQUOTE] = ACTIONS(231),
    [anon_sym_POUND_COLON_COLON_LBRACE] = ACTIONS(61),
    [anon_sym_POUND_BANG] = ACTIONS(65),
    [sym_new_class] = ACTIONS(17),
    [sym__symbol_chars] = ACTIONS(67),
    [anon_sym_LBRACK] = ACTIONS(69),
    [sym_number_ratio] = ACTIONS(49),
    [anon_sym_BSLASH] = ACTIONS(71),
    [anon_sym_POUND_SQUOTE] = ACTIONS(73),
    [sym_true] = ACTIONS(25),
    [sym__number_octal] = ACTIONS(27),
    [anon_sym_CARET] = ACTIONS(75),
    [anon_sym_TILDE_AT] = ACTIONS(233),
    [anon_sym_DQUOTE] = ACTIONS(79),
    [anon_sym_POUND] = ACTIONS(81),
  },
  [117] = {
    [sym_metadata_shorthand] = STATE(40),
    [sym_deref] = STATE(114),
    [sym__collection_literals] = STATE(114),
    [sym_boolean] = STATE(114),
    [sym_character] = STATE(114),
    [sym_string] = STATE(114),
    [sym_tagged_literal] = STATE(114),
    [sym_keyword] = STATE(114),
    [sym__character] = STATE(34),
    [sym__string] = STATE(35),
    [sym__keyword] = STATE(36),
    [sym_vector] = STATE(114),
    [sym_threading_macro] = STATE(44),
    [sym_qualified_symbol] = STATE(44),
    [sym__vector] = STATE(37),
    [sym_shebang_line] = STATE(38),
    [sym_ignore_form] = STATE(38),
    [sym_defn] = STATE(114),
    [sym_syntax_quote] = STATE(114),
    [sym_var_quote] = STATE(114),
    [sym_reader_conditional] = STATE(114),
    [sym_number] = STATE(114),
    [sym__number] = STATE(47),
    [aux_sym_metadata_repeat1] = STATE(40),
    [sym_regex] = STATE(114),
    [sym__regex] = STATE(48),
    [sym__unqualified_keyword] = STATE(36),
    [sym_qualified_keyword] = STATE(36),
    [sym__qualified_symbol] = STATE(41),
    [sym_interop] = STATE(114),
    [sym_hash_map] = STATE(114),
    [sym__hash_map] = STATE(49),
    [sym_set] = STATE(114),
    [sym__set] = STATE(50),
    [sym_comment_macro] = STATE(38),
    [sym__functions] = STATE(114),
    [sym__reader_conditional_symbol] = STATE(39),
    [sym_metadata] = STATE(51),
    [sym_unquote] = STATE(114),
    [sym__literals] = STATE(114),
    [sym_unquote_splice] = STATE(114),
    [sym_symbolic_value] = STATE(114),
    [sym_number_long] = STATE(47),
    [sym__anything] = STATE(114),
    [sym_quote] = STATE(114),
    [sym__quote] = STATE(43),
    [sym_symbol] = STATE(114),
    [sym__symbol] = STATE(44),
    [sym_list] = STATE(114),
    [sym__list] = STATE(45),
    [sym_namespace_map] = STATE(49),
    [sym_comment] = STATE(114),
    [sym_semicolon] = STATE(38),
    [sym_anonymous_function] = STATE(114),
    [sym_shorthand_function] = STATE(114),
    [sym__metadata_map] = STATE(52),
    [anon_sym_DASH_GT] = ACTIONS(3),
    [anon_sym_cond_DASH_GT] = ACTIONS(3),
    [anon_sym_LPARENquote] = ACTIONS(5),
    [anon_sym_POUND_DQUOTE] = ACTIONS(7),
    [anon_sym_COLON] = ACTIONS(9),
    [aux_sym_namespace_map_token1] = ACTIONS(11),
    [anon_sym_POUND_] = ACTIONS(219),
    [anon_sym_SEMI] = ACTIONS(15),
    [sym_member_access] = ACTIONS(17),
    [anon_sym_POUND_POUND] = ACTIONS(19),
    [sym_number_bigint] = ACTIONS(21),
    [sym_gensym] = ACTIONS(213),
    [sym_false] = ACTIONS(25),
    [sym_number_double] = ACTIONS(21),
    [sym__number_hex] = ACTIONS(27),
    [anon_sym_POUND_LPAREN] = ACTIONS(29),
    [anon_sym_CARET_COLON] = ACTIONS(31),
    [anon_sym_CARET_DQUOTE] = ACTIONS(33),
    [anon_sym_TILDE] = ACTIONS(223),
    [anon_sym_POUND_QMARK] = ACTIONS(37),
    [anon_sym_DASH_GT_GT] = ACTIONS(39),
    [anon_sym_cond_DASH_GT_GT] = ACTIONS(39),
    [anon_sym_some_DASH_GT] = ACTIONS(3),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_POUND_LBRACE] = ACTIONS(43),
    [sym_field_access] = ACTIONS(17),
    [anon_sym_LBRACE] = ACTIONS(45),
    [anon_sym_LPAREN] = ACTIONS(47),
    [sym_number_bigdecimal] = ACTIONS(49),
    [anon_sym_BQUOTE] = ACTIONS(227),
    [sym_shorthand_function_arg] = ACTIONS(213),
    [sym_nil] = ACTIONS(215),
    [sym__normal_long] = ACTIONS(27),
    [sym__number_arbitrary_radix] = ACTIONS(27),
    [anon_sym_AT] = ACTIONS(55),
    [anon_sym_POUND_QMARK_AT] = ACTIONS(57),
    [anon_sym_as_DASH_GT] = ACTIONS(39),
    [anon_sym_some_DASH_GT_GT] = ACTIONS(39),
    [anon_sym_SQUOTE] = ACTIONS(231),
    [anon_sym_POUND_COLON_COLON_LBRACE] = ACTIONS(61),
    [anon_sym_POUND_BANG] = ACTIONS(65),
    [sym_new_class] = ACTIONS(17),
    [sym__symbol_chars] = ACTIONS(67),
    [anon_sym_LBRACK] = ACTIONS(69),
    [sym_number_ratio] = ACTIONS(49),
    [anon_sym_BSLASH] = ACTIONS(71),
    [anon_sym_POUND_SQUOTE] = ACTIONS(73),
    [sym_true] = ACTIONS(25),
    [sym__number_octal] = ACTIONS(27),
    [anon_sym_CARET] = ACTIONS(75),
    [anon_sym_TILDE_AT] = ACTIONS(233),
    [anon_sym_DQUOTE] = ACTIONS(79),
    [anon_sym_POUND] = ACTIONS(81),
  },
  [118] = {
    [anon_sym_cond_DASH_GT] = ACTIONS(543),
    [anon_sym_POUND_DQUOTE] = ACTIONS(545),
    [aux_sym_namespace_map_token1] = ACTIONS(545),
    [anon_sym_SEMI] = ACTIONS(545),
    [anon_sym_RBRACK] = ACTIONS(545),
    [anon_sym_TILDE] = ACTIONS(543),
    [sym_number_bigint] = ACTIONS(543),
    [sym_gensym] = ACTIONS(545),
    [sym_false] = ACTIONS(543),
    [anon_sym_CARET_COLON] = ACTIONS(545),
    [sym__number_hex] = ACTIONS(543),
    [anon_sym_cond_DASH_GT_GT] = ACTIONS(545),
    [anon_sym_POUND_LBRACE] = ACTIONS(545),
    [anon_sym_LBRACE] = ACTIONS(545),
    [sym_number_bigdecimal] = ACTIONS(545),
    [anon_sym_AT] = ACTIONS(545),
    [sym__normal_long] = ACTIONS(543),
    [sym__number_arbitrary_radix] = ACTIONS(543),
    [anon_sym_SQUOTE] = ACTIONS(545),
    [anon_sym_RPAREN] = ACTIONS(545),
    [anon_sym_POUND_BANG] = ACTIONS(545),
    [sym__symbol_chars] = ACTIONS(543),
    [sym_number_ratio] = ACTIONS(545),
    [anon_sym_POUND] = ACTIONS(543),
    [sym__number_octal] = ACTIONS(543),
    [anon_sym_DASH_GT] = ACTIONS(543),
    [anon_sym_LPARENquote] = ACTIONS(545),
    [anon_sym_COLON] = ACTIONS(543),
    [anon_sym_POUND_] = ACTIONS(545),
    [sym_member_access] = ACTIONS(545),
    [anon_sym_POUND_POUND] = ACTIONS(545),
    [anon_sym_CARET_DQUOTE] = ACTIONS(545),
    [anon_sym_POUND_LPAREN] = ACTIONS(545),
    [sym_number_double] = ACTIONS(543),
    [anon_sym_POUND_QMARK] = ACTIONS(543),
    [anon_sym_DASH_GT_GT] = ACTIONS(545),
    [anon_sym_some_DASH_GT] = ACTIONS(543),
    [anon_sym_COLON_COLON] = ACTIONS(545),
    [anon_sym_RBRACE] = ACTIONS(545),
    [sym_field_access] = ACTIONS(545),
    [anon_sym_LPAREN] = ACTIONS(543),
    [anon_sym_BQUOTE] = ACTIONS(545),
    [sym_shorthand_function_arg] = ACTIONS(545),
    [sym_nil] = ACTIONS(543),
    [anon_sym_POUND_QMARK_AT] = ACTIONS(545),
    [anon_sym_as_DASH_GT] = ACTIONS(545),
    [anon_sym_some_DASH_GT_GT] = ACTIONS(545),
    [anon_sym_POUND_COLON_COLON_LBRACE] = ACTIONS(545),
    [ts_builtin_sym_end] = ACTIONS(545),
    [sym_new_class] = ACTIONS(545),
    [anon_sym_LBRACK] = ACTIONS(545),
    [anon_sym_POUND_SQUOTE] = ACTIONS(545),
    [anon_sym_BSLASH] = ACTIONS(545),
    [anon_sym_TILDE_AT] = ACTIONS(545),
    [sym_true] = ACTIONS(543),
    [anon_sym_CARET] = ACTIONS(543),
    [anon_sym_DQUOTE] = ACTIONS(545),
  },
  [119] = {
    [sym_metadata_shorthand] = STATE(40),
    [sym_deref] = STATE(136),
    [sym__collection_literals] = STATE(136),
    [sym_boolean] = STATE(136),
    [sym_character] = STATE(136),
    [sym_string] = STATE(136),
    [sym_tagged_literal] = STATE(136),
    [sym_keyword] = STATE(136),
    [sym__character] = STATE(34),
    [sym__string] = STATE(35),
    [sym__keyword] = STATE(36),
    [sym_vector] = STATE(136),
    [sym_threading_macro] = STATE(44),
    [sym_qualified_symbol] = STATE(44),
    [sym__vector] = STATE(37),
    [sym_shebang_line] = STATE(38),
    [sym_ignore_form] = STATE(38),
    [sym_defn] = STATE(136),
    [sym_syntax_quote] = STATE(136),
    [sym_var_quote] = STATE(136),
    [sym_reader_conditional] = STATE(136),
    [sym_number] = STATE(136),
    [sym__number] = STATE(47),
    [aux_sym_metadata_repeat1] = STATE(40),
    [sym_regex] = STATE(136),
    [sym__regex] = STATE(48),
    [sym__unqualified_keyword] = STATE(36),
    [sym_qualified_keyword] = STATE(36),
    [sym__qualified_symbol] = STATE(41),
    [sym_interop] = STATE(136),
    [sym_hash_map] = STATE(136),
    [sym__hash_map] = STATE(49),
    [sym_set] = STATE(136),
    [sym__set] = STATE(50),
    [sym_comment_macro] = STATE(38),
    [sym__functions] = STATE(136),
    [sym__reader_conditional_symbol] = STATE(39),
    [sym_metadata] = STATE(51),
    [sym_unquote] = STATE(136),
    [sym__literals] = STATE(136),
    [sym_unquote_splice] = STATE(136),
    [sym_symbolic_value] = STATE(136),
    [sym_number_long] = STATE(47),
    [sym__anything] = STATE(136),
    [sym_quote] = STATE(136),
    [sym__quote] = STATE(43),
    [sym_symbol] = STATE(136),
    [sym__symbol] = STATE(44),
    [sym_list] = STATE(136),
    [sym__list] = STATE(45),
    [sym_namespace_map] = STATE(49),
    [sym_comment] = STATE(136),
    [sym_semicolon] = STATE(38),
    [sym_anonymous_function] = STATE(136),
    [sym_shorthand_function] = STATE(136),
    [sym__metadata_map] = STATE(52),
    [anon_sym_DASH_GT] = ACTIONS(3),
    [anon_sym_cond_DASH_GT] = ACTIONS(3),
    [anon_sym_LPARENquote] = ACTIONS(5),
    [anon_sym_POUND_DQUOTE] = ACTIONS(7),
    [anon_sym_COLON] = ACTIONS(9),
    [aux_sym_namespace_map_token1] = ACTIONS(11),
    [anon_sym_POUND_] = ACTIONS(219),
    [anon_sym_SEMI] = ACTIONS(15),
    [sym_member_access] = ACTIONS(17),
    [anon_sym_POUND_POUND] = ACTIONS(19),
    [sym_number_bigint] = ACTIONS(21),
    [sym_gensym] = ACTIONS(263),
    [sym_false] = ACTIONS(25),
    [sym_number_double] = ACTIONS(21),
    [sym__number_hex] = ACTIONS(27),
    [anon_sym_POUND_LPAREN] = ACTIONS(29),
    [anon_sym_CARET_COLON] = ACTIONS(31),
    [anon_sym_CARET_DQUOTE] = ACTIONS(33),
    [anon_sym_TILDE] = ACTIONS(223),
    [anon_sym_POUND_QMARK] = ACTIONS(37),
    [anon_sym_DASH_GT_GT] = ACTIONS(39),
    [anon_sym_cond_DASH_GT_GT] = ACTIONS(39),
    [anon_sym_some_DASH_GT] = ACTIONS(3),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_POUND_LBRACE] = ACTIONS(43),
    [sym_field_access] = ACTIONS(17),
    [anon_sym_LBRACE] = ACTIONS(45),
    [anon_sym_LPAREN] = ACTIONS(47),
    [sym_number_bigdecimal] = ACTIONS(49),
    [anon_sym_BQUOTE] = ACTIONS(227),
    [sym_shorthand_function_arg] = ACTIONS(263),
    [sym_nil] = ACTIONS(265),
    [sym__normal_long] = ACTIONS(27),
    [sym__number_arbitrary_radix] = ACTIONS(27),
    [anon_sym_AT] = ACTIONS(55),
    [anon_sym_POUND_QMARK_AT] = ACTIONS(57),
    [anon_sym_as_DASH_GT] = ACTIONS(39),
    [anon_sym_some_DASH_GT_GT] = ACTIONS(39),
    [anon_sym_SQUOTE] = ACTIONS(231),
    [anon_sym_POUND_COLON_COLON_LBRACE] = ACTIONS(61),
    [anon_sym_POUND_BANG] = ACTIONS(65),
    [sym_new_class] = ACTIONS(17),
    [sym__symbol_chars] = ACTIONS(67),
    [anon_sym_LBRACK] = ACTIONS(69),
    [sym_number_ratio] = ACTIONS(49),
    [anon_sym_BSLASH] = ACTIONS(71),
    [anon_sym_POUND_SQUOTE] = ACTIONS(73),
    [sym_true] = ACTIONS(25),
    [sym__number_octal] = ACTIONS(27),
    [anon_sym_CARET] = ACTIONS(75),
    [anon_sym_TILDE_AT] = ACTIONS(233),
    [anon_sym_DQUOTE] = ACTIONS(79),
    [anon_sym_POUND] = ACTIONS(81),
  },
  [120] = {
    [sym_metadata_shorthand] = STATE(40),
    [sym_deref] = STATE(139),
    [sym__collection_literals] = STATE(139),
    [sym_boolean] = STATE(139),
    [sym_character] = STATE(139),
    [sym_string] = STATE(139),
    [sym_tagged_literal] = STATE(139),
    [sym_keyword] = STATE(139),
    [sym__character] = STATE(34),
    [sym__string] = STATE(35),
    [sym__keyword] = STATE(36),
    [sym_vector] = STATE(139),
    [sym_threading_macro] = STATE(44),
    [sym_qualified_symbol] = STATE(44),
    [sym__vector] = STATE(37),
    [sym_shebang_line] = STATE(38),
    [sym_ignore_form] = STATE(38),
    [sym_defn] = STATE(139),
    [sym_syntax_quote] = STATE(139),
    [sym_var_quote] = STATE(139),
    [sym_reader_conditional] = STATE(139),
    [sym_number] = STATE(139),
    [sym__number] = STATE(47),
    [aux_sym_metadata_repeat1] = STATE(40),
    [sym_regex] = STATE(139),
    [sym__regex] = STATE(48),
    [sym__unqualified_keyword] = STATE(36),
    [sym_qualified_keyword] = STATE(36),
    [sym__qualified_symbol] = STATE(41),
    [sym_interop] = STATE(139),
    [sym_hash_map] = STATE(139),
    [sym__hash_map] = STATE(49),
    [sym_set] = STATE(139),
    [sym__set] = STATE(50),
    [sym_comment_macro] = STATE(38),
    [sym__functions] = STATE(139),
    [sym__reader_conditional_symbol] = STATE(39),
    [sym_metadata] = STATE(51),
    [sym_unquote] = STATE(139),
    [sym__literals] = STATE(139),
    [sym_unquote_splice] = STATE(139),
    [sym_symbolic_value] = STATE(139),
    [sym_number_long] = STATE(47),
    [sym__anything] = STATE(139),
    [sym_quote] = STATE(139),
    [sym__quote] = STATE(43),
    [sym_symbol] = STATE(139),
    [sym__symbol] = STATE(44),
    [sym_list] = STATE(139),
    [sym__list] = STATE(45),
    [sym_namespace_map] = STATE(49),
    [sym_comment] = STATE(139),
    [sym_semicolon] = STATE(38),
    [sym_anonymous_function] = STATE(139),
    [sym_shorthand_function] = STATE(139),
    [sym__metadata_map] = STATE(52),
    [anon_sym_DASH_GT] = ACTIONS(3),
    [anon_sym_cond_DASH_GT] = ACTIONS(3),
    [anon_sym_LPARENquote] = ACTIONS(5),
    [anon_sym_POUND_DQUOTE] = ACTIONS(7),
    [anon_sym_COLON] = ACTIONS(9),
    [aux_sym_namespace_map_token1] = ACTIONS(11),
    [anon_sym_POUND_] = ACTIONS(219),
    [anon_sym_SEMI] = ACTIONS(15),
    [sym_member_access] = ACTIONS(17),
    [anon_sym_POUND_POUND] = ACTIONS(19),
    [sym_number_bigint] = ACTIONS(21),
    [sym_gensym] = ACTIONS(269),
    [sym_false] = ACTIONS(25),
    [sym_number_double] = ACTIONS(21),
    [sym__number_hex] = ACTIONS(27),
    [anon_sym_POUND_LPAREN] = ACTIONS(29),
    [anon_sym_CARET_COLON] = ACTIONS(31),
    [anon_sym_CARET_DQUOTE] = ACTIONS(33),
    [anon_sym_TILDE] = ACTIONS(223),
    [anon_sym_POUND_QMARK] = ACTIONS(37),
    [anon_sym_DASH_GT_GT] = ACTIONS(39),
    [anon_sym_cond_DASH_GT_GT] = ACTIONS(39),
    [anon_sym_some_DASH_GT] = ACTIONS(3),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_POUND_LBRACE] = ACTIONS(43),
    [sym_field_access] = ACTIONS(17),
    [anon_sym_LBRACE] = ACTIONS(45),
    [anon_sym_LPAREN] = ACTIONS(47),
    [sym_number_bigdecimal] = ACTIONS(49),
    [anon_sym_BQUOTE] = ACTIONS(227),
    [sym_shorthand_function_arg] = ACTIONS(269),
    [sym_nil] = ACTIONS(271),
    [sym__normal_long] = ACTIONS(27),
    [sym__number_arbitrary_radix] = ACTIONS(27),
    [anon_sym_AT] = ACTIONS(55),
    [anon_sym_POUND_QMARK_AT] = ACTIONS(57),
    [anon_sym_as_DASH_GT] = ACTIONS(39),
    [anon_sym_some_DASH_GT_GT] = ACTIONS(39),
    [anon_sym_SQUOTE] = ACTIONS(231),
    [anon_sym_POUND_COLON_COLON_LBRACE] = ACTIONS(61),
    [anon_sym_POUND_BANG] = ACTIONS(65),
    [sym_new_class] = ACTIONS(17),
    [sym__symbol_chars] = ACTIONS(67),
    [anon_sym_LBRACK] = ACTIONS(69),
    [sym_number_ratio] = ACTIONS(49),
    [anon_sym_BSLASH] = ACTIONS(71),
    [anon_sym_POUND_SQUOTE] = ACTIONS(73),
    [sym_true] = ACTIONS(25),
    [sym__number_octal] = ACTIONS(27),
    [anon_sym_CARET] = ACTIONS(75),
    [anon_sym_TILDE_AT] = ACTIONS(233),
    [anon_sym_DQUOTE] = ACTIONS(79),
    [anon_sym_POUND] = ACTIONS(81),
  },
  [121] = {
    [sym_metadata_shorthand] = STATE(40),
    [sym_deref] = STATE(156),
    [sym__collection_literals] = STATE(156),
    [sym_boolean] = STATE(156),
    [sym_character] = STATE(156),
    [sym_string] = STATE(156),
    [sym_tagged_literal] = STATE(156),
    [sym_keyword] = STATE(156),
    [sym__character] = STATE(34),
    [sym__string] = STATE(35),
    [sym__keyword] = STATE(36),
    [sym_vector] = STATE(156),
    [sym_threading_macro] = STATE(44),
    [sym_qualified_symbol] = STATE(44),
    [sym__vector] = STATE(37),
    [sym_shebang_line] = STATE(38),
    [sym_ignore_form] = STATE(38),
    [sym_defn] = STATE(156),
    [sym_syntax_quote] = STATE(156),
    [sym_var_quote] = STATE(156),
    [sym_reader_conditional] = STATE(156),
    [sym_number] = STATE(156),
    [sym__number] = STATE(47),
    [aux_sym_metadata_repeat1] = STATE(40),
    [sym_regex] = STATE(156),
    [sym__regex] = STATE(48),
    [sym__unqualified_keyword] = STATE(36),
    [sym_qualified_keyword] = STATE(36),
    [sym__qualified_symbol] = STATE(41),
    [sym_interop] = STATE(156),
    [sym_hash_map] = STATE(156),
    [sym__hash_map] = STATE(49),
    [sym_set] = STATE(156),
    [sym__set] = STATE(50),
    [sym_comment_macro] = STATE(38),
    [sym__functions] = STATE(156),
    [sym__reader_conditional_symbol] = STATE(39),
    [sym_metadata] = STATE(51),
    [sym_unquote] = STATE(156),
    [sym__literals] = STATE(156),
    [sym_unquote_splice] = STATE(156),
    [sym_symbolic_value] = STATE(156),
    [sym_number_long] = STATE(47),
    [sym__anything] = STATE(156),
    [sym_quote] = STATE(156),
    [sym__quote] = STATE(43),
    [sym_symbol] = STATE(156),
    [sym__symbol] = STATE(44),
    [sym_list] = STATE(156),
    [sym__list] = STATE(45),
    [sym_namespace_map] = STATE(49),
    [sym_comment] = STATE(156),
    [sym_semicolon] = STATE(38),
    [sym_anonymous_function] = STATE(156),
    [sym_shorthand_function] = STATE(156),
    [sym__metadata_map] = STATE(52),
    [anon_sym_DASH_GT] = ACTIONS(3),
    [anon_sym_cond_DASH_GT] = ACTIONS(3),
    [anon_sym_LPARENquote] = ACTIONS(5),
    [anon_sym_POUND_DQUOTE] = ACTIONS(7),
    [anon_sym_COLON] = ACTIONS(9),
    [aux_sym_namespace_map_token1] = ACTIONS(11),
    [anon_sym_POUND_] = ACTIONS(219),
    [anon_sym_SEMI] = ACTIONS(15),
    [sym_member_access] = ACTIONS(17),
    [anon_sym_POUND_POUND] = ACTIONS(19),
    [sym_number_bigint] = ACTIONS(21),
    [sym_gensym] = ACTIONS(307),
    [sym_false] = ACTIONS(25),
    [sym_number_double] = ACTIONS(21),
    [sym__number_hex] = ACTIONS(27),
    [anon_sym_POUND_LPAREN] = ACTIONS(29),
    [anon_sym_CARET_COLON] = ACTIONS(31),
    [anon_sym_CARET_DQUOTE] = ACTIONS(33),
    [anon_sym_TILDE] = ACTIONS(223),
    [anon_sym_POUND_QMARK] = ACTIONS(37),
    [anon_sym_DASH_GT_GT] = ACTIONS(39),
    [anon_sym_cond_DASH_GT_GT] = ACTIONS(39),
    [anon_sym_some_DASH_GT] = ACTIONS(3),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_POUND_LBRACE] = ACTIONS(43),
    [sym_field_access] = ACTIONS(17),
    [anon_sym_LBRACE] = ACTIONS(45),
    [anon_sym_LPAREN] = ACTIONS(47),
    [sym_number_bigdecimal] = ACTIONS(49),
    [anon_sym_BQUOTE] = ACTIONS(227),
    [sym_shorthand_function_arg] = ACTIONS(307),
    [sym_nil] = ACTIONS(309),
    [sym__normal_long] = ACTIONS(27),
    [sym__number_arbitrary_radix] = ACTIONS(27),
    [anon_sym_AT] = ACTIONS(55),
    [anon_sym_POUND_QMARK_AT] = ACTIONS(57),
    [anon_sym_as_DASH_GT] = ACTIONS(39),
    [anon_sym_some_DASH_GT_GT] = ACTIONS(39),
    [anon_sym_SQUOTE] = ACTIONS(231),
    [anon_sym_POUND_COLON_COLON_LBRACE] = ACTIONS(61),
    [anon_sym_POUND_BANG] = ACTIONS(65),
    [sym_new_class] = ACTIONS(17),
    [sym__symbol_chars] = ACTIONS(67),
    [anon_sym_LBRACK] = ACTIONS(69),
    [sym_number_ratio] = ACTIONS(49),
    [anon_sym_BSLASH] = ACTIONS(71),
    [anon_sym_POUND_SQUOTE] = ACTIONS(73),
    [sym_true] = ACTIONS(25),
    [sym__number_octal] = ACTIONS(27),
    [anon_sym_CARET] = ACTIONS(75),
    [anon_sym_TILDE_AT] = ACTIONS(233),
    [anon_sym_DQUOTE] = ACTIONS(79),
    [anon_sym_POUND] = ACTIONS(81),
  },
  [122] = {
    [sym_deref] = STATE(219),
    [sym_boolean] = STATE(219),
    [sym__character] = STATE(34),
    [sym__string] = STATE(35),
    [sym__keyword] = STATE(36),
    [sym_qualified_symbol] = STATE(44),
    [sym__vector] = STATE(37),
    [sym_ignore_form] = STATE(38),
    [sym_var_quote] = STATE(219),
    [sym_number] = STATE(219),
    [sym__reader_conditional_symbol] = STATE(39),
    [aux_sym_metadata_repeat1] = STATE(40),
    [sym_regex] = STATE(219),
    [sym__unqualified_keyword] = STATE(36),
    [sym__qualified_symbol] = STATE(41),
    [sym_hash_map] = STATE(219),
    [sym_set] = STATE(219),
    [sym_comment_macro] = STATE(38),
    [sym_unquote] = STATE(219),
    [sym__literals] = STATE(219),
    [aux_sym_program_repeat1] = STATE(219),
    [sym_symbolic_value] = STATE(219),
    [sym__quote] = STATE(43),
    [sym__symbol] = STATE(44),
    [sym__list] = STATE(45),
    [sym_semicolon] = STATE(38),
    [sym_shorthand_function] = STATE(219),
    [sym_metadata_shorthand] = STATE(40),
    [sym__collection_literals] = STATE(219),
    [sym_tagged_literal] = STATE(219),
    [sym_character] = STATE(219),
    [sym_string] = STATE(219),
    [sym_keyword] = STATE(219),
    [sym_threading_macro] = STATE(44),
    [sym_vector] = STATE(219),
    [sym_shebang_line] = STATE(38),
    [sym_defn] = STATE(219),
    [sym_syntax_quote] = STATE(219),
    [sym_reader_conditional] = STATE(219),
    [sym__number] = STATE(47),
    [sym__regex] = STATE(48),
    [sym_qualified_keyword] = STATE(36),
    [sym_interop] = STATE(219),
    [sym__hash_map] = STATE(49),
    [sym__set] = STATE(50),
    [sym__functions] = STATE(219),
    [sym_metadata] = STATE(51),
    [sym__anything] = STATE(219),
    [sym_unquote_splice] = STATE(219),
    [sym_number_long] = STATE(47),
    [sym_quote] = STATE(219),
    [sym_symbol] = STATE(219),
    [sym_list] = STATE(219),
    [sym_namespace_map] = STATE(49),
    [sym_comment] = STATE(219),
    [sym_anonymous_function] = STATE(219),
    [sym__metadata_map] = STATE(52),
    [anon_sym_DASH_GT] = ACTIONS(3),
    [anon_sym_cond_DASH_GT] = ACTIONS(3),
    [anon_sym_LPARENquote] = ACTIONS(5),
    [anon_sym_POUND_DQUOTE] = ACTIONS(7),
    [anon_sym_COLON] = ACTIONS(9),
    [aux_sym_namespace_map_token1] = ACTIONS(11),
    [anon_sym_POUND_] = ACTIONS(219),
    [anon_sym_SEMI] = ACTIONS(15),
    [sym_member_access] = ACTIONS(17),
    [anon_sym_POUND_POUND] = ACTIONS(19),
    [sym_number_bigint] = ACTIONS(21),
    [sym_gensym] = ACTIONS(547),
    [sym_false] = ACTIONS(25),
    [sym_number_double] = ACTIONS(21),
    [sym__number_hex] = ACTIONS(27),
    [anon_sym_POUND_LPAREN] = ACTIONS(29),
    [anon_sym_CARET_COLON] = ACTIONS(31),
    [anon_sym_CARET_DQUOTE] = ACTIONS(33),
    [anon_sym_TILDE] = ACTIONS(223),
    [anon_sym_POUND_QMARK] = ACTIONS(37),
    [anon_sym_DASH_GT_GT] = ACTIONS(39),
    [anon_sym_cond_DASH_GT_GT] = ACTIONS(39),
    [anon_sym_some_DASH_GT] = ACTIONS(3),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_POUND_LBRACE] = ACTIONS(43),
    [anon_sym_RBRACE] = ACTIONS(549),
    [sym_field_access] = ACTIONS(17),
    [anon_sym_LBRACE] = ACTIONS(45),
    [anon_sym_LPAREN] = ACTIONS(47),
    [sym_number_bigdecimal] = ACTIONS(49),
    [anon_sym_BQUOTE] = ACTIONS(227),
    [sym_shorthand_function_arg] = ACTIONS(547),
    [sym_nil] = ACTIONS(551),
    [sym__normal_long] = ACTIONS(27),
    [sym__number_arbitrary_radix] = ACTIONS(27),
    [anon_sym_AT] = ACTIONS(55),
    [anon_sym_POUND_QMARK_AT] = ACTIONS(57),
    [anon_sym_as_DASH_GT] = ACTIONS(39),
    [anon_sym_some_DASH_GT_GT] = ACTIONS(39),
    [anon_sym_SQUOTE] = ACTIONS(231),
    [anon_sym_POUND_COLON_COLON_LBRACE] = ACTIONS(61),
    [anon_sym_POUND_BANG] = ACTIONS(65),
    [sym_new_class] = ACTIONS(17),
    [sym__symbol_chars] = ACTIONS(67),
    [anon_sym_LBRACK] = ACTIONS(69),
    [sym_number_ratio] = ACTIONS(49),
    [anon_sym_BSLASH] = ACTIONS(71),
    [anon_sym_POUND_SQUOTE] = ACTIONS(73),
    [sym_true] = ACTIONS(25),
    [sym__number_octal] = ACTIONS(27),
    [anon_sym_CARET] = ACTIONS(75),
    [anon_sym_TILDE_AT] = ACTIONS(233),
    [anon_sym_DQUOTE] = ACTIONS(79),
    [anon_sym_POUND] = ACTIONS(81),
  },
  [123] = {
    [sym_metadata_shorthand] = STATE(40),
    [sym_deref] = STATE(102),
    [sym__collection_literals] = STATE(102),
    [sym_boolean] = STATE(102),
    [sym_character] = STATE(102),
    [sym_string] = STATE(102),
    [sym_tagged_literal] = STATE(102),
    [sym_keyword] = STATE(102),
    [sym__character] = STATE(34),
    [sym__string] = STATE(35),
    [sym__keyword] = STATE(36),
    [sym_vector] = STATE(102),
    [sym_threading_macro] = STATE(44),
    [sym_qualified_symbol] = STATE(44),
    [sym__vector] = STATE(37),
    [sym_shebang_line] = STATE(38),
    [sym_ignore_form] = STATE(38),
    [sym_defn] = STATE(102),
    [sym_syntax_quote] = STATE(102),
    [sym_var_quote] = STATE(102),
    [sym_reader_conditional] = STATE(102),
    [sym_number] = STATE(102),
    [sym__number] = STATE(47),
    [aux_sym_metadata_repeat1] = STATE(40),
    [sym_regex] = STATE(102),
    [sym__regex] = STATE(48),
    [sym__unqualified_keyword] = STATE(36),
    [sym_qualified_keyword] = STATE(36),
    [sym__qualified_symbol] = STATE(41),
    [sym_interop] = STATE(102),
    [sym_hash_map] = STATE(102),
    [sym__hash_map] = STATE(49),
    [sym_set] = STATE(102),
    [sym__set] = STATE(50),
    [sym_comment_macro] = STATE(38),
    [sym__functions] = STATE(102),
    [sym__reader_conditional_symbol] = STATE(39),
    [sym_metadata] = STATE(51),
    [sym_unquote] = STATE(102),
    [sym__literals] = STATE(102),
    [sym_unquote_splice] = STATE(102),
    [sym_symbolic_value] = STATE(102),
    [sym_number_long] = STATE(47),
    [sym__anything] = STATE(102),
    [sym_quote] = STATE(102),
    [sym__quote] = STATE(43),
    [sym_symbol] = STATE(102),
    [sym__symbol] = STATE(44),
    [sym_list] = STATE(102),
    [sym__list] = STATE(45),
    [sym_namespace_map] = STATE(49),
    [sym_comment] = STATE(102),
    [sym_semicolon] = STATE(38),
    [sym_anonymous_function] = STATE(102),
    [sym_shorthand_function] = STATE(102),
    [sym__metadata_map] = STATE(52),
    [anon_sym_DASH_GT] = ACTIONS(3),
    [anon_sym_cond_DASH_GT] = ACTIONS(3),
    [anon_sym_LPARENquote] = ACTIONS(5),
    [anon_sym_POUND_DQUOTE] = ACTIONS(7),
    [anon_sym_COLON] = ACTIONS(9),
    [aux_sym_namespace_map_token1] = ACTIONS(11),
    [anon_sym_POUND_] = ACTIONS(235),
    [anon_sym_SEMI] = ACTIONS(15),
    [sym_member_access] = ACTIONS(17),
    [anon_sym_POUND_POUND] = ACTIONS(19),
    [sym_number_bigint] = ACTIONS(21),
    [sym_gensym] = ACTIONS(169),
    [sym_false] = ACTIONS(25),
    [sym_number_double] = ACTIONS(21),
    [sym__number_hex] = ACTIONS(27),
    [anon_sym_POUND_LPAREN] = ACTIONS(29),
    [anon_sym_CARET_COLON] = ACTIONS(31),
    [anon_sym_CARET_DQUOTE] = ACTIONS(33),
    [anon_sym_TILDE] = ACTIONS(239),
    [anon_sym_POUND_QMARK] = ACTIONS(37),
    [anon_sym_DASH_GT_GT] = ACTIONS(39),
    [anon_sym_cond_DASH_GT_GT] = ACTIONS(39),
    [anon_sym_some_DASH_GT] = ACTIONS(3),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_POUND_LBRACE] = ACTIONS(43),
    [sym_field_access] = ACTIONS(17),
    [anon_sym_LBRACE] = ACTIONS(45),
    [anon_sym_LPAREN] = ACTIONS(47),
    [sym_number_bigdecimal] = ACTIONS(49),
    [anon_sym_BQUOTE] = ACTIONS(243),
    [sym_shorthand_function_arg] = ACTIONS(169),
    [sym_nil] = ACTIONS(171),
    [sym__normal_long] = ACTIONS(27),
    [sym__number_arbitrary_radix] = ACTIONS(27),
    [anon_sym_AT] = ACTIONS(55),
    [anon_sym_POUND_QMARK_AT] = ACTIONS(57),
    [anon_sym_as_DASH_GT] = ACTIONS(39),
    [anon_sym_some_DASH_GT_GT] = ACTIONS(39),
    [anon_sym_SQUOTE] = ACTIONS(247),
    [anon_sym_POUND_COLON_COLON_LBRACE] = ACTIONS(61),
    [anon_sym_POUND_BANG] = ACTIONS(65),
    [sym_new_class] = ACTIONS(17),
    [sym__symbol_chars] = ACTIONS(67),
    [anon_sym_LBRACK] = ACTIONS(69),
    [sym_number_ratio] = ACTIONS(49),
    [anon_sym_BSLASH] = ACTIONS(71),
    [anon_sym_POUND_SQUOTE] = ACTIONS(73),
    [sym_true] = ACTIONS(25),
    [sym__number_octal] = ACTIONS(27),
    [anon_sym_CARET] = ACTIONS(75),
    [anon_sym_TILDE_AT] = ACTIONS(249),
    [anon_sym_DQUOTE] = ACTIONS(79),
    [anon_sym_POUND] = ACTIONS(81),
  },
  [124] = {
    [sym_metadata_shorthand] = STATE(40),
    [sym_deref] = STATE(114),
    [sym__collection_literals] = STATE(114),
    [sym_boolean] = STATE(114),
    [sym_character] = STATE(114),
    [sym_string] = STATE(114),
    [sym_tagged_literal] = STATE(114),
    [sym_keyword] = STATE(114),
    [sym__character] = STATE(34),
    [sym__string] = STATE(35),
    [sym__keyword] = STATE(36),
    [sym_vector] = STATE(114),
    [sym_threading_macro] = STATE(44),
    [sym_qualified_symbol] = STATE(44),
    [sym__vector] = STATE(37),
    [sym_shebang_line] = STATE(38),
    [sym_ignore_form] = STATE(38),
    [sym_defn] = STATE(114),
    [sym_syntax_quote] = STATE(114),
    [sym_var_quote] = STATE(114),
    [sym_reader_conditional] = STATE(114),
    [sym_number] = STATE(114),
    [sym__number] = STATE(47),
    [aux_sym_metadata_repeat1] = STATE(40),
    [sym_regex] = STATE(114),
    [sym__regex] = STATE(48),
    [sym__unqualified_keyword] = STATE(36),
    [sym_qualified_keyword] = STATE(36),
    [sym__qualified_symbol] = STATE(41),
    [sym_interop] = STATE(114),
    [sym_hash_map] = STATE(114),
    [sym__hash_map] = STATE(49),
    [sym_set] = STATE(114),
    [sym__set] = STATE(50),
    [sym_comment_macro] = STATE(38),
    [sym__functions] = STATE(114),
    [sym__reader_conditional_symbol] = STATE(39),
    [sym_metadata] = STATE(51),
    [sym_unquote] = STATE(114),
    [sym__literals] = STATE(114),
    [sym_unquote_splice] = STATE(114),
    [sym_symbolic_value] = STATE(114),
    [sym_number_long] = STATE(47),
    [sym__anything] = STATE(114),
    [sym_quote] = STATE(114),
    [sym__quote] = STATE(43),
    [sym_symbol] = STATE(114),
    [sym__symbol] = STATE(44),
    [sym_list] = STATE(114),
    [sym__list] = STATE(45),
    [sym_namespace_map] = STATE(49),
    [sym_comment] = STATE(114),
    [sym_semicolon] = STATE(38),
    [sym_anonymous_function] = STATE(114),
    [sym_shorthand_function] = STATE(114),
    [sym__metadata_map] = STATE(52),
    [anon_sym_DASH_GT] = ACTIONS(3),
    [anon_sym_cond_DASH_GT] = ACTIONS(3),
    [anon_sym_LPARENquote] = ACTIONS(5),
    [anon_sym_POUND_DQUOTE] = ACTIONS(7),
    [anon_sym_COLON] = ACTIONS(9),
    [aux_sym_namespace_map_token1] = ACTIONS(11),
    [anon_sym_POUND_] = ACTIONS(235),
    [anon_sym_SEMI] = ACTIONS(15),
    [sym_member_access] = ACTIONS(17),
    [anon_sym_POUND_POUND] = ACTIONS(19),
    [sym_number_bigint] = ACTIONS(21),
    [sym_gensym] = ACTIONS(213),
    [sym_false] = ACTIONS(25),
    [sym_number_double] = ACTIONS(21),
    [sym__number_hex] = ACTIONS(27),
    [anon_sym_POUND_LPAREN] = ACTIONS(29),
    [anon_sym_CARET_COLON] = ACTIONS(31),
    [anon_sym_CARET_DQUOTE] = ACTIONS(33),
    [anon_sym_TILDE] = ACTIONS(239),
    [anon_sym_POUND_QMARK] = ACTIONS(37),
    [anon_sym_DASH_GT_GT] = ACTIONS(39),
    [anon_sym_cond_DASH_GT_GT] = ACTIONS(39),
    [anon_sym_some_DASH_GT] = ACTIONS(3),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_POUND_LBRACE] = ACTIONS(43),
    [sym_field_access] = ACTIONS(17),
    [anon_sym_LBRACE] = ACTIONS(45),
    [anon_sym_LPAREN] = ACTIONS(47),
    [sym_number_bigdecimal] = ACTIONS(49),
    [anon_sym_BQUOTE] = ACTIONS(243),
    [sym_shorthand_function_arg] = ACTIONS(213),
    [sym_nil] = ACTIONS(215),
    [sym__normal_long] = ACTIONS(27),
    [sym__number_arbitrary_radix] = ACTIONS(27),
    [anon_sym_AT] = ACTIONS(55),
    [anon_sym_POUND_QMARK_AT] = ACTIONS(57),
    [anon_sym_as_DASH_GT] = ACTIONS(39),
    [anon_sym_some_DASH_GT_GT] = ACTIONS(39),
    [anon_sym_SQUOTE] = ACTIONS(247),
    [anon_sym_POUND_COLON_COLON_LBRACE] = ACTIONS(61),
    [anon_sym_POUND_BANG] = ACTIONS(65),
    [sym_new_class] = ACTIONS(17),
    [sym__symbol_chars] = ACTIONS(67),
    [anon_sym_LBRACK] = ACTIONS(69),
    [sym_number_ratio] = ACTIONS(49),
    [anon_sym_BSLASH] = ACTIONS(71),
    [anon_sym_POUND_SQUOTE] = ACTIONS(73),
    [sym_true] = ACTIONS(25),
    [sym__number_octal] = ACTIONS(27),
    [anon_sym_CARET] = ACTIONS(75),
    [anon_sym_TILDE_AT] = ACTIONS(249),
    [anon_sym_DQUOTE] = ACTIONS(79),
    [anon_sym_POUND] = ACTIONS(81),
  },
  [125] = {
    [anon_sym_cond_DASH_GT] = ACTIONS(553),
    [anon_sym_POUND_DQUOTE] = ACTIONS(555),
    [aux_sym_namespace_map_token1] = ACTIONS(555),
    [anon_sym_SEMI] = ACTIONS(555),
    [anon_sym_RBRACK] = ACTIONS(555),
    [anon_sym_TILDE] = ACTIONS(553),
    [sym_number_bigint] = ACTIONS(553),
    [sym_gensym] = ACTIONS(555),
    [sym_false] = ACTIONS(553),
    [anon_sym_CARET_COLON] = ACTIONS(555),
    [sym__number_hex] = ACTIONS(553),
    [anon_sym_cond_DASH_GT_GT] = ACTIONS(555),
    [anon_sym_POUND_LBRACE] = ACTIONS(555),
    [anon_sym_LBRACE] = ACTIONS(555),
    [sym_number_bigdecimal] = ACTIONS(555),
    [anon_sym_AT] = ACTIONS(555),
    [sym__normal_long] = ACTIONS(553),
    [sym__number_arbitrary_radix] = ACTIONS(553),
    [anon_sym_SQUOTE] = ACTIONS(555),
    [anon_sym_RPAREN] = ACTIONS(555),
    [anon_sym_POUND_BANG] = ACTIONS(555),
    [sym__symbol_chars] = ACTIONS(553),
    [sym_number_ratio] = ACTIONS(555),
    [anon_sym_POUND] = ACTIONS(553),
    [sym__number_octal] = ACTIONS(553),
    [anon_sym_DASH_GT] = ACTIONS(553),
    [anon_sym_LPARENquote] = ACTIONS(555),
    [anon_sym_COLON] = ACTIONS(553),
    [anon_sym_POUND_] = ACTIONS(555),
    [sym_member_access] = ACTIONS(555),
    [anon_sym_POUND_POUND] = ACTIONS(555),
    [anon_sym_CARET_DQUOTE] = ACTIONS(555),
    [anon_sym_POUND_LPAREN] = ACTIONS(555),
    [sym_number_double] = ACTIONS(553),
    [anon_sym_POUND_QMARK] = ACTIONS(553),
    [anon_sym_DASH_GT_GT] = ACTIONS(555),
    [anon_sym_some_DASH_GT] = ACTIONS(553),
    [anon_sym_COLON_COLON] = ACTIONS(555),
    [anon_sym_RBRACE] = ACTIONS(555),
    [sym_field_access] = ACTIONS(555),
    [anon_sym_LPAREN] = ACTIONS(553),
    [anon_sym_BQUOTE] = ACTIONS(555),
    [sym_shorthand_function_arg] = ACTIONS(555),
    [sym_nil] = ACTIONS(553),
    [anon_sym_POUND_QMARK_AT] = ACTIONS(555),
    [anon_sym_as_DASH_GT] = ACTIONS(555),
    [anon_sym_some_DASH_GT_GT] = ACTIONS(555),
    [anon_sym_POUND_COLON_COLON_LBRACE] = ACTIONS(555),
    [ts_builtin_sym_end] = ACTIONS(555),
    [sym_new_class] = ACTIONS(555),
    [anon_sym_LBRACK] = ACTIONS(555),
    [anon_sym_POUND_SQUOTE] = ACTIONS(555),
    [anon_sym_BSLASH] = ACTIONS(555),
    [anon_sym_TILDE_AT] = ACTIONS(555),
    [sym_true] = ACTIONS(553),
    [anon_sym_CARET] = ACTIONS(553),
    [anon_sym_DQUOTE] = ACTIONS(555),
  },
  [126] = {
    [sym_metadata_shorthand] = STATE(40),
    [sym_deref] = STATE(136),
    [sym__collection_literals] = STATE(136),
    [sym_boolean] = STATE(136),
    [sym_character] = STATE(136),
    [sym_string] = STATE(136),
    [sym_tagged_literal] = STATE(136),
    [sym_keyword] = STATE(136),
    [sym__character] = STATE(34),
    [sym__string] = STATE(35),
    [sym__keyword] = STATE(36),
    [sym_vector] = STATE(136),
    [sym_threading_macro] = STATE(44),
    [sym_qualified_symbol] = STATE(44),
    [sym__vector] = STATE(37),
    [sym_shebang_line] = STATE(38),
    [sym_ignore_form] = STATE(38),
    [sym_defn] = STATE(136),
    [sym_syntax_quote] = STATE(136),
    [sym_var_quote] = STATE(136),
    [sym_reader_conditional] = STATE(136),
    [sym_number] = STATE(136),
    [sym__number] = STATE(47),
    [aux_sym_metadata_repeat1] = STATE(40),
    [sym_regex] = STATE(136),
    [sym__regex] = STATE(48),
    [sym__unqualified_keyword] = STATE(36),
    [sym_qualified_keyword] = STATE(36),
    [sym__qualified_symbol] = STATE(41),
    [sym_interop] = STATE(136),
    [sym_hash_map] = STATE(136),
    [sym__hash_map] = STATE(49),
    [sym_set] = STATE(136),
    [sym__set] = STATE(50),
    [sym_comment_macro] = STATE(38),
    [sym__functions] = STATE(136),
    [sym__reader_conditional_symbol] = STATE(39),
    [sym_metadata] = STATE(51),
    [sym_unquote] = STATE(136),
    [sym__literals] = STATE(136),
    [sym_unquote_splice] = STATE(136),
    [sym_symbolic_value] = STATE(136),
    [sym_number_long] = STATE(47),
    [sym__anything] = STATE(136),
    [sym_quote] = STATE(136),
    [sym__quote] = STATE(43),
    [sym_symbol] = STATE(136),
    [sym__symbol] = STATE(44),
    [sym_list] = STATE(136),
    [sym__list] = STATE(45),
    [sym_namespace_map] = STATE(49),
    [sym_comment] = STATE(136),
    [sym_semicolon] = STATE(38),
    [sym_anonymous_function] = STATE(136),
    [sym_shorthand_function] = STATE(136),
    [sym__metadata_map] = STATE(52),
    [anon_sym_DASH_GT] = ACTIONS(3),
    [anon_sym_cond_DASH_GT] = ACTIONS(3),
    [anon_sym_LPARENquote] = ACTIONS(5),
    [anon_sym_POUND_DQUOTE] = ACTIONS(7),
    [anon_sym_COLON] = ACTIONS(9),
    [aux_sym_namespace_map_token1] = ACTIONS(11),
    [anon_sym_POUND_] = ACTIONS(235),
    [anon_sym_SEMI] = ACTIONS(15),
    [sym_member_access] = ACTIONS(17),
    [anon_sym_POUND_POUND] = ACTIONS(19),
    [sym_number_bigint] = ACTIONS(21),
    [sym_gensym] = ACTIONS(263),
    [sym_false] = ACTIONS(25),
    [sym_number_double] = ACTIONS(21),
    [sym__number_hex] = ACTIONS(27),
    [anon_sym_POUND_LPAREN] = ACTIONS(29),
    [anon_sym_CARET_COLON] = ACTIONS(31),
    [anon_sym_CARET_DQUOTE] = ACTIONS(33),
    [anon_sym_TILDE] = ACTIONS(239),
    [anon_sym_POUND_QMARK] = ACTIONS(37),
    [anon_sym_DASH_GT_GT] = ACTIONS(39),
    [anon_sym_cond_DASH_GT_GT] = ACTIONS(39),
    [anon_sym_some_DASH_GT] = ACTIONS(3),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_POUND_LBRACE] = ACTIONS(43),
    [sym_field_access] = ACTIONS(17),
    [anon_sym_LBRACE] = ACTIONS(45),
    [anon_sym_LPAREN] = ACTIONS(47),
    [sym_number_bigdecimal] = ACTIONS(49),
    [anon_sym_BQUOTE] = ACTIONS(243),
    [sym_shorthand_function_arg] = ACTIONS(263),
    [sym_nil] = ACTIONS(265),
    [sym__normal_long] = ACTIONS(27),
    [sym__number_arbitrary_radix] = ACTIONS(27),
    [anon_sym_AT] = ACTIONS(55),
    [anon_sym_POUND_QMARK_AT] = ACTIONS(57),
    [anon_sym_as_DASH_GT] = ACTIONS(39),
    [anon_sym_some_DASH_GT_GT] = ACTIONS(39),
    [anon_sym_SQUOTE] = ACTIONS(247),
    [anon_sym_POUND_COLON_COLON_LBRACE] = ACTIONS(61),
    [anon_sym_POUND_BANG] = ACTIONS(65),
    [sym_new_class] = ACTIONS(17),
    [sym__symbol_chars] = ACTIONS(67),
    [anon_sym_LBRACK] = ACTIONS(69),
    [sym_number_ratio] = ACTIONS(49),
    [anon_sym_BSLASH] = ACTIONS(71),
    [anon_sym_POUND_SQUOTE] = ACTIONS(73),
    [sym_true] = ACTIONS(25),
    [sym__number_octal] = ACTIONS(27),
    [anon_sym_CARET] = ACTIONS(75),
    [anon_sym_TILDE_AT] = ACTIONS(249),
    [anon_sym_DQUOTE] = ACTIONS(79),
    [anon_sym_POUND] = ACTIONS(81),
  },
  [127] = {
    [sym_metadata_shorthand] = STATE(40),
    [sym_deref] = STATE(139),
    [sym__collection_literals] = STATE(139),
    [sym_boolean] = STATE(139),
    [sym_character] = STATE(139),
    [sym_string] = STATE(139),
    [sym_tagged_literal] = STATE(139),
    [sym_keyword] = STATE(139),
    [sym__character] = STATE(34),
    [sym__string] = STATE(35),
    [sym__keyword] = STATE(36),
    [sym_vector] = STATE(139),
    [sym_threading_macro] = STATE(44),
    [sym_qualified_symbol] = STATE(44),
    [sym__vector] = STATE(37),
    [sym_shebang_line] = STATE(38),
    [sym_ignore_form] = STATE(38),
    [sym_defn] = STATE(139),
    [sym_syntax_quote] = STATE(139),
    [sym_var_quote] = STATE(139),
    [sym_reader_conditional] = STATE(139),
    [sym_number] = STATE(139),
    [sym__number] = STATE(47),
    [aux_sym_metadata_repeat1] = STATE(40),
    [sym_regex] = STATE(139),
    [sym__regex] = STATE(48),
    [sym__unqualified_keyword] = STATE(36),
    [sym_qualified_keyword] = STATE(36),
    [sym__qualified_symbol] = STATE(41),
    [sym_interop] = STATE(139),
    [sym_hash_map] = STATE(139),
    [sym__hash_map] = STATE(49),
    [sym_set] = STATE(139),
    [sym__set] = STATE(50),
    [sym_comment_macro] = STATE(38),
    [sym__functions] = STATE(139),
    [sym__reader_conditional_symbol] = STATE(39),
    [sym_metadata] = STATE(51),
    [sym_unquote] = STATE(139),
    [sym__literals] = STATE(139),
    [sym_unquote_splice] = STATE(139),
    [sym_symbolic_value] = STATE(139),
    [sym_number_long] = STATE(47),
    [sym__anything] = STATE(139),
    [sym_quote] = STATE(139),
    [sym__quote] = STATE(43),
    [sym_symbol] = STATE(139),
    [sym__symbol] = STATE(44),
    [sym_list] = STATE(139),
    [sym__list] = STATE(45),
    [sym_namespace_map] = STATE(49),
    [sym_comment] = STATE(139),
    [sym_semicolon] = STATE(38),
    [sym_anonymous_function] = STATE(139),
    [sym_shorthand_function] = STATE(139),
    [sym__metadata_map] = STATE(52),
    [anon_sym_DASH_GT] = ACTIONS(3),
    [anon_sym_cond_DASH_GT] = ACTIONS(3),
    [anon_sym_LPARENquote] = ACTIONS(5),
    [anon_sym_POUND_DQUOTE] = ACTIONS(7),
    [anon_sym_COLON] = ACTIONS(9),
    [aux_sym_namespace_map_token1] = ACTIONS(11),
    [anon_sym_POUND_] = ACTIONS(235),
    [anon_sym_SEMI] = ACTIONS(15),
    [sym_member_access] = ACTIONS(17),
    [anon_sym_POUND_POUND] = ACTIONS(19),
    [sym_number_bigint] = ACTIONS(21),
    [sym_gensym] = ACTIONS(269),
    [sym_false] = ACTIONS(25),
    [sym_number_double] = ACTIONS(21),
    [sym__number_hex] = ACTIONS(27),
    [anon_sym_POUND_LPAREN] = ACTIONS(29),
    [anon_sym_CARET_COLON] = ACTIONS(31),
    [anon_sym_CARET_DQUOTE] = ACTIONS(33),
    [anon_sym_TILDE] = ACTIONS(239),
    [anon_sym_POUND_QMARK] = ACTIONS(37),
    [anon_sym_DASH_GT_GT] = ACTIONS(39),
    [anon_sym_cond_DASH_GT_GT] = ACTIONS(39),
    [anon_sym_some_DASH_GT] = ACTIONS(3),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_POUND_LBRACE] = ACTIONS(43),
    [sym_field_access] = ACTIONS(17),
    [anon_sym_LBRACE] = ACTIONS(45),
    [anon_sym_LPAREN] = ACTIONS(47),
    [sym_number_bigdecimal] = ACTIONS(49),
    [anon_sym_BQUOTE] = ACTIONS(243),
    [sym_shorthand_function_arg] = ACTIONS(269),
    [sym_nil] = ACTIONS(271),
    [sym__normal_long] = ACTIONS(27),
    [sym__number_arbitrary_radix] = ACTIONS(27),
    [anon_sym_AT] = ACTIONS(55),
    [anon_sym_POUND_QMARK_AT] = ACTIONS(57),
    [anon_sym_as_DASH_GT] = ACTIONS(39),
    [anon_sym_some_DASH_GT_GT] = ACTIONS(39),
    [anon_sym_SQUOTE] = ACTIONS(247),
    [anon_sym_POUND_COLON_COLON_LBRACE] = ACTIONS(61),
    [anon_sym_POUND_BANG] = ACTIONS(65),
    [sym_new_class] = ACTIONS(17),
    [sym__symbol_chars] = ACTIONS(67),
    [anon_sym_LBRACK] = ACTIONS(69),
    [sym_number_ratio] = ACTIONS(49),
    [anon_sym_BSLASH] = ACTIONS(71),
    [anon_sym_POUND_SQUOTE] = ACTIONS(73),
    [sym_true] = ACTIONS(25),
    [sym__number_octal] = ACTIONS(27),
    [anon_sym_CARET] = ACTIONS(75),
    [anon_sym_TILDE_AT] = ACTIONS(249),
    [anon_sym_DQUOTE] = ACTIONS(79),
    [anon_sym_POUND] = ACTIONS(81),
  },
  [128] = {
    [sym_metadata_shorthand] = STATE(40),
    [sym_deref] = STATE(156),
    [sym__collection_literals] = STATE(156),
    [sym_boolean] = STATE(156),
    [sym_character] = STATE(156),
    [sym_string] = STATE(156),
    [sym_tagged_literal] = STATE(156),
    [sym_keyword] = STATE(156),
    [sym__character] = STATE(34),
    [sym__string] = STATE(35),
    [sym__keyword] = STATE(36),
    [sym_vector] = STATE(156),
    [sym_threading_macro] = STATE(44),
    [sym_qualified_symbol] = STATE(44),
    [sym__vector] = STATE(37),
    [sym_shebang_line] = STATE(38),
    [sym_ignore_form] = STATE(38),
    [sym_defn] = STATE(156),
    [sym_syntax_quote] = STATE(156),
    [sym_var_quote] = STATE(156),
    [sym_reader_conditional] = STATE(156),
    [sym_number] = STATE(156),
    [sym__number] = STATE(47),
    [aux_sym_metadata_repeat1] = STATE(40),
    [sym_regex] = STATE(156),
    [sym__regex] = STATE(48),
    [sym__unqualified_keyword] = STATE(36),
    [sym_qualified_keyword] = STATE(36),
    [sym__qualified_symbol] = STATE(41),
    [sym_interop] = STATE(156),
    [sym_hash_map] = STATE(156),
    [sym__hash_map] = STATE(49),
    [sym_set] = STATE(156),
    [sym__set] = STATE(50),
    [sym_comment_macro] = STATE(38),
    [sym__functions] = STATE(156),
    [sym__reader_conditional_symbol] = STATE(39),
    [sym_metadata] = STATE(51),
    [sym_unquote] = STATE(156),
    [sym__literals] = STATE(156),
    [sym_unquote_splice] = STATE(156),
    [sym_symbolic_value] = STATE(156),
    [sym_number_long] = STATE(47),
    [sym__anything] = STATE(156),
    [sym_quote] = STATE(156),
    [sym__quote] = STATE(43),
    [sym_symbol] = STATE(156),
    [sym__symbol] = STATE(44),
    [sym_list] = STATE(156),
    [sym__list] = STATE(45),
    [sym_namespace_map] = STATE(49),
    [sym_comment] = STATE(156),
    [sym_semicolon] = STATE(38),
    [sym_anonymous_function] = STATE(156),
    [sym_shorthand_function] = STATE(156),
    [sym__metadata_map] = STATE(52),
    [anon_sym_DASH_GT] = ACTIONS(3),
    [anon_sym_cond_DASH_GT] = ACTIONS(3),
    [anon_sym_LPARENquote] = ACTIONS(5),
    [anon_sym_POUND_DQUOTE] = ACTIONS(7),
    [anon_sym_COLON] = ACTIONS(9),
    [aux_sym_namespace_map_token1] = ACTIONS(11),
    [anon_sym_POUND_] = ACTIONS(235),
    [anon_sym_SEMI] = ACTIONS(15),
    [sym_member_access] = ACTIONS(17),
    [anon_sym_POUND_POUND] = ACTIONS(19),
    [sym_number_bigint] = ACTIONS(21),
    [sym_gensym] = ACTIONS(307),
    [sym_false] = ACTIONS(25),
    [sym_number_double] = ACTIONS(21),
    [sym__number_hex] = ACTIONS(27),
    [anon_sym_POUND_LPAREN] = ACTIONS(29),
    [anon_sym_CARET_COLON] = ACTIONS(31),
    [anon_sym_CARET_DQUOTE] = ACTIONS(33),
    [anon_sym_TILDE] = ACTIONS(239),
    [anon_sym_POUND_QMARK] = ACTIONS(37),
    [anon_sym_DASH_GT_GT] = ACTIONS(39),
    [anon_sym_cond_DASH_GT_GT] = ACTIONS(39),
    [anon_sym_some_DASH_GT] = ACTIONS(3),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_POUND_LBRACE] = ACTIONS(43),
    [sym_field_access] = ACTIONS(17),
    [anon_sym_LBRACE] = ACTIONS(45),
    [anon_sym_LPAREN] = ACTIONS(47),
    [sym_number_bigdecimal] = ACTIONS(49),
    [anon_sym_BQUOTE] = ACTIONS(243),
    [sym_shorthand_function_arg] = ACTIONS(307),
    [sym_nil] = ACTIONS(309),
    [sym__normal_long] = ACTIONS(27),
    [sym__number_arbitrary_radix] = ACTIONS(27),
    [anon_sym_AT] = ACTIONS(55),
    [anon_sym_POUND_QMARK_AT] = ACTIONS(57),
    [anon_sym_as_DASH_GT] = ACTIONS(39),
    [anon_sym_some_DASH_GT_GT] = ACTIONS(39),
    [anon_sym_SQUOTE] = ACTIONS(247),
    [anon_sym_POUND_COLON_COLON_LBRACE] = ACTIONS(61),
    [anon_sym_POUND_BANG] = ACTIONS(65),
    [sym_new_class] = ACTIONS(17),
    [sym__symbol_chars] = ACTIONS(67),
    [anon_sym_LBRACK] = ACTIONS(69),
    [sym_number_ratio] = ACTIONS(49),
    [anon_sym_BSLASH] = ACTIONS(71),
    [anon_sym_POUND_SQUOTE] = ACTIONS(73),
    [sym_true] = ACTIONS(25),
    [sym__number_octal] = ACTIONS(27),
    [anon_sym_CARET] = ACTIONS(75),
    [anon_sym_TILDE_AT] = ACTIONS(249),
    [anon_sym_DQUOTE] = ACTIONS(79),
    [anon_sym_POUND] = ACTIONS(81),
  },
  [129] = {
    [sym_deref] = STATE(130),
    [sym_boolean] = STATE(130),
    [sym__character] = STATE(34),
    [sym__string] = STATE(35),
    [sym__keyword] = STATE(36),
    [sym_qualified_symbol] = STATE(44),
    [sym__vector] = STATE(37),
    [sym_ignore_form] = STATE(38),
    [sym_var_quote] = STATE(130),
    [sym_number] = STATE(130),
    [sym__reader_conditional_symbol] = STATE(39),
    [aux_sym_metadata_repeat1] = STATE(40),
    [sym_regex] = STATE(130),
    [sym__unqualified_keyword] = STATE(36),
    [sym__qualified_symbol] = STATE(41),
    [sym_hash_map] = STATE(130),
    [sym_set] = STATE(130),
    [sym_comment_macro] = STATE(38),
    [sym_unquote] = STATE(130),
    [sym__literals] = STATE(130),
    [sym_symbolic_value] = STATE(130),
    [sym__quote] = STATE(43),
    [sym__symbol] = STATE(44),
    [sym__list] = STATE(45),
    [sym__hash_map_kv_pair] = STATE(221),
    [sym_semicolon] = STATE(38),
    [sym_shorthand_function] = STATE(130),
    [sym_metadata_shorthand] = STATE(40),
    [sym__collection_literals] = STATE(130),
    [sym_tagged_literal] = STATE(130),
    [sym_character] = STATE(130),
    [aux_sym__hash_map_repeat1] = STATE(221),
    [sym_string] = STATE(130),
    [sym_keyword] = STATE(130),
    [sym_threading_macro] = STATE(44),
    [sym_vector] = STATE(130),
    [sym__hash_map_key] = STATE(130),
    [sym_shebang_line] = STATE(38),
    [sym_defn] = STATE(130),
    [sym_syntax_quote] = STATE(130),
    [sym_reader_conditional] = STATE(130),
    [sym__number] = STATE(47),
    [sym__regex] = STATE(48),
    [sym_qualified_keyword] = STATE(36),
    [sym_interop] = STATE(130),
    [sym__hash_map] = STATE(49),
    [sym__set] = STATE(50),
    [sym__functions] = STATE(130),
    [sym_metadata] = STATE(51),
    [sym__anything] = STATE(130),
    [sym_unquote_splice] = STATE(130),
    [sym_number_long] = STATE(47),
    [sym_quote] = STATE(130),
    [sym_symbol] = STATE(130),
    [sym_list] = STATE(130),
    [sym_namespace_map] = STATE(49),
    [sym_comment] = STATE(130),
    [sym_anonymous_function] = STATE(130),
    [sym__metadata_map] = STATE(52),
    [anon_sym_DASH_GT] = ACTIONS(3),
    [anon_sym_cond_DASH_GT] = ACTIONS(3),
    [anon_sym_LPARENquote] = ACTIONS(5),
    [anon_sym_POUND_DQUOTE] = ACTIONS(7),
    [anon_sym_COLON] = ACTIONS(9),
    [aux_sym_namespace_map_token1] = ACTIONS(11),
    [anon_sym_POUND_] = ACTIONS(235),
    [anon_sym_SEMI] = ACTIONS(15),
    [sym_member_access] = ACTIONS(17),
    [anon_sym_POUND_POUND] = ACTIONS(19),
    [sym_number_bigint] = ACTIONS(21),
    [sym_gensym] = ACTIONS(237),
    [sym_false] = ACTIONS(25),
    [sym_number_double] = ACTIONS(21),
    [sym__number_hex] = ACTIONS(27),
    [anon_sym_POUND_LPAREN] = ACTIONS(29),
    [anon_sym_CARET_COLON] = ACTIONS(31),
    [anon_sym_CARET_DQUOTE] = ACTIONS(33),
    [anon_sym_TILDE] = ACTIONS(239),
    [anon_sym_POUND_QMARK] = ACTIONS(37),
    [anon_sym_DASH_GT_GT] = ACTIONS(39),
    [anon_sym_cond_DASH_GT_GT] = ACTIONS(39),
    [anon_sym_some_DASH_GT] = ACTIONS(3),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_POUND_LBRACE] = ACTIONS(43),
    [anon_sym_RBRACE] = ACTIONS(557),
    [sym_field_access] = ACTIONS(17),
    [anon_sym_LBRACE] = ACTIONS(45),
    [anon_sym_LPAREN] = ACTIONS(47),
    [sym_number_bigdecimal] = ACTIONS(49),
    [anon_sym_BQUOTE] = ACTIONS(243),
    [sym_shorthand_function_arg] = ACTIONS(237),
    [sym_nil] = ACTIONS(245),
    [sym__normal_long] = ACTIONS(27),
    [sym__number_arbitrary_radix] = ACTIONS(27),
    [anon_sym_AT] = ACTIONS(55),
    [anon_sym_POUND_QMARK_AT] = ACTIONS(57),
    [anon_sym_as_DASH_GT] = ACTIONS(39),
    [anon_sym_some_DASH_GT_GT] = ACTIONS(39),
    [anon_sym_SQUOTE] = ACTIONS(247),
    [anon_sym_POUND_COLON_COLON_LBRACE] = ACTIONS(61),
    [anon_sym_POUND_BANG] = ACTIONS(65),
    [sym_new_class] = ACTIONS(17),
    [sym__symbol_chars] = ACTIONS(67),
    [anon_sym_LBRACK] = ACTIONS(69),
    [sym_number_ratio] = ACTIONS(49),
    [anon_sym_BSLASH] = ACTIONS(71),
    [anon_sym_POUND_SQUOTE] = ACTIONS(73),
    [sym_true] = ACTIONS(25),
    [sym__number_octal] = ACTIONS(27),
    [anon_sym_CARET] = ACTIONS(75),
    [anon_sym_TILDE_AT] = ACTIONS(249),
    [anon_sym_DQUOTE] = ACTIONS(79),
    [anon_sym_POUND] = ACTIONS(81),
  },
  [130] = {
    [sym_deref] = STATE(222),
    [sym_boolean] = STATE(222),
    [sym__character] = STATE(34),
    [sym__string] = STATE(35),
    [sym__keyword] = STATE(36),
    [sym_qualified_symbol] = STATE(44),
    [sym__vector] = STATE(37),
    [sym__hash_map_value] = STATE(222),
    [sym_ignore_form] = STATE(38),
    [sym_var_quote] = STATE(222),
    [sym_number] = STATE(222),
    [sym__reader_conditional_symbol] = STATE(39),
    [aux_sym_metadata_repeat1] = STATE(40),
    [sym_regex] = STATE(222),
    [sym__unqualified_keyword] = STATE(36),
    [sym__qualified_symbol] = STATE(41),
    [sym_hash_map] = STATE(222),
    [sym_set] = STATE(222),
    [sym_comment_macro] = STATE(38),
    [sym_unquote] = STATE(222),
    [sym__literals] = STATE(222),
    [sym_symbolic_value] = STATE(222),
    [sym__quote] = STATE(43),
    [sym__symbol] = STATE(44),
    [sym__list] = STATE(45),
    [sym_semicolon] = STATE(38),
    [sym_shorthand_function] = STATE(222),
    [sym_metadata_shorthand] = STATE(40),
    [sym__collection_literals] = STATE(222),
    [sym_tagged_literal] = STATE(222),
    [sym_character] = STATE(222),
    [sym_string] = STATE(222),
    [sym_keyword] = STATE(222),
    [sym_threading_macro] = STATE(44),
    [sym_vector] = STATE(222),
    [sym_shebang_line] = STATE(38),
    [sym_defn] = STATE(222),
    [sym_syntax_quote] = STATE(222),
    [sym_reader_conditional] = STATE(222),
    [sym__number] = STATE(47),
    [sym__regex] = STATE(48),
    [sym_qualified_keyword] = STATE(36),
    [sym_interop] = STATE(222),
    [sym__hash_map] = STATE(49),
    [sym__set] = STATE(50),
    [sym__functions] = STATE(222),
    [sym_metadata] = STATE(51),
    [sym__anything] = STATE(222),
    [sym_unquote_splice] = STATE(222),
    [sym_number_long] = STATE(47),
    [sym_quote] = STATE(222),
    [sym_symbol] = STATE(222),
    [sym_list] = STATE(222),
    [sym_namespace_map] = STATE(49),
    [sym_comment] = STATE(222),
    [sym_anonymous_function] = STATE(222),
    [sym__metadata_map] = STATE(52),
    [anon_sym_DASH_GT] = ACTIONS(3),
    [anon_sym_cond_DASH_GT] = ACTIONS(3),
    [anon_sym_LPARENquote] = ACTIONS(5),
    [anon_sym_POUND_DQUOTE] = ACTIONS(7),
    [anon_sym_COLON] = ACTIONS(9),
    [aux_sym_namespace_map_token1] = ACTIONS(11),
    [anon_sym_POUND_] = ACTIONS(219),
    [anon_sym_SEMI] = ACTIONS(15),
    [sym_member_access] = ACTIONS(17),
    [anon_sym_POUND_POUND] = ACTIONS(19),
    [sym_number_bigint] = ACTIONS(21),
    [sym_gensym] = ACTIONS(559),
    [sym_false] = ACTIONS(25),
    [sym_number_double] = ACTIONS(21),
    [sym__number_hex] = ACTIONS(27),
    [anon_sym_POUND_LPAREN] = ACTIONS(29),
    [anon_sym_CARET_COLON] = ACTIONS(31),
    [anon_sym_CARET_DQUOTE] = ACTIONS(33),
    [anon_sym_TILDE] = ACTIONS(223),
    [anon_sym_POUND_QMARK] = ACTIONS(37),
    [anon_sym_DASH_GT_GT] = ACTIONS(39),
    [anon_sym_cond_DASH_GT_GT] = ACTIONS(39),
    [anon_sym_some_DASH_GT] = ACTIONS(3),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_POUND_LBRACE] = ACTIONS(43),
    [sym_field_access] = ACTIONS(17),
    [anon_sym_LBRACE] = ACTIONS(45),
    [anon_sym_LPAREN] = ACTIONS(47),
    [sym_number_bigdecimal] = ACTIONS(49),
    [anon_sym_BQUOTE] = ACTIONS(227),
    [sym_shorthand_function_arg] = ACTIONS(559),
    [sym_nil] = ACTIONS(561),
    [sym__normal_long] = ACTIONS(27),
    [sym__number_arbitrary_radix] = ACTIONS(27),
    [anon_sym_AT] = ACTIONS(55),
    [anon_sym_POUND_QMARK_AT] = ACTIONS(57),
    [anon_sym_as_DASH_GT] = ACTIONS(39),
    [anon_sym_some_DASH_GT_GT] = ACTIONS(39),
    [anon_sym_SQUOTE] = ACTIONS(231),
    [anon_sym_POUND_COLON_COLON_LBRACE] = ACTIONS(61),
    [anon_sym_POUND_BANG] = ACTIONS(65),
    [sym_new_class] = ACTIONS(17),
    [sym__symbol_chars] = ACTIONS(67),
    [anon_sym_LBRACK] = ACTIONS(69),
    [sym_number_ratio] = ACTIONS(49),
    [anon_sym_BSLASH] = ACTIONS(71),
    [anon_sym_POUND_SQUOTE] = ACTIONS(73),
    [sym_true] = ACTIONS(25),
    [sym__number_octal] = ACTIONS(27),
    [anon_sym_CARET] = ACTIONS(75),
    [anon_sym_TILDE_AT] = ACTIONS(233),
    [anon_sym_DQUOTE] = ACTIONS(79),
    [anon_sym_POUND] = ACTIONS(81),
  },
  [131] = {
    [sym_deref] = STATE(224),
    [sym_boolean] = STATE(224),
    [sym__character] = STATE(34),
    [sym__string] = STATE(35),
    [sym__keyword] = STATE(36),
    [sym_qualified_symbol] = STATE(44),
    [sym__vector] = STATE(37),
    [sym_ignore_form] = STATE(38),
    [sym_var_quote] = STATE(224),
    [sym_number] = STATE(224),
    [sym__reader_conditional_symbol] = STATE(39),
    [aux_sym_metadata_repeat1] = STATE(40),
    [sym_regex] = STATE(224),
    [sym__unqualified_keyword] = STATE(36),
    [sym__qualified_symbol] = STATE(41),
    [sym_hash_map] = STATE(224),
    [sym_set] = STATE(224),
    [sym_comment_macro] = STATE(38),
    [sym_unquote] = STATE(224),
    [sym__literals] = STATE(224),
    [aux_sym_program_repeat1] = STATE(224),
    [sym_symbolic_value] = STATE(224),
    [sym__quote] = STATE(43),
    [sym__symbol] = STATE(44),
    [sym__list] = STATE(45),
    [sym_semicolon] = STATE(38),
    [sym_shorthand_function] = STATE(224),
    [sym_metadata_shorthand] = STATE(40),
    [sym__collection_literals] = STATE(224),
    [sym_tagged_literal] = STATE(224),
    [sym_character] = STATE(224),
    [sym_string] = STATE(224),
    [sym_keyword] = STATE(224),
    [sym_threading_macro] = STATE(44),
    [sym_vector] = STATE(224),
    [sym_shebang_line] = STATE(38),
    [sym_defn] = STATE(224),
    [sym_syntax_quote] = STATE(224),
    [sym_reader_conditional] = STATE(224),
    [sym__number] = STATE(47),
    [sym__regex] = STATE(48),
    [sym_qualified_keyword] = STATE(36),
    [sym_interop] = STATE(224),
    [sym__hash_map] = STATE(49),
    [sym__set] = STATE(50),
    [sym__functions] = STATE(224),
    [sym_metadata] = STATE(51),
    [sym__anything] = STATE(224),
    [sym_unquote_splice] = STATE(224),
    [sym_number_long] = STATE(47),
    [sym_quote] = STATE(224),
    [sym_symbol] = STATE(224),
    [sym_list] = STATE(224),
    [sym_namespace_map] = STATE(49),
    [sym_comment] = STATE(224),
    [sym_anonymous_function] = STATE(224),
    [sym__metadata_map] = STATE(52),
    [anon_sym_DASH_GT] = ACTIONS(3),
    [anon_sym_cond_DASH_GT] = ACTIONS(3),
    [anon_sym_LPARENquote] = ACTIONS(5),
    [anon_sym_POUND_DQUOTE] = ACTIONS(7),
    [anon_sym_COLON] = ACTIONS(9),
    [aux_sym_namespace_map_token1] = ACTIONS(11),
    [anon_sym_POUND_] = ACTIONS(189),
    [anon_sym_SEMI] = ACTIONS(15),
    [sym_member_access] = ACTIONS(17),
    [anon_sym_POUND_POUND] = ACTIONS(19),
    [sym_number_bigint] = ACTIONS(21),
    [sym_gensym] = ACTIONS(563),
    [sym_false] = ACTIONS(25),
    [sym_number_double] = ACTIONS(21),
    [sym__number_hex] = ACTIONS(27),
    [anon_sym_POUND_LPAREN] = ACTIONS(29),
    [anon_sym_CARET_COLON] = ACTIONS(31),
    [anon_sym_CARET_DQUOTE] = ACTIONS(33),
    [anon_sym_TILDE] = ACTIONS(193),
    [anon_sym_POUND_QMARK] = ACTIONS(37),
    [anon_sym_DASH_GT_GT] = ACTIONS(39),
    [anon_sym_cond_DASH_GT_GT] = ACTIONS(39),
    [anon_sym_some_DASH_GT] = ACTIONS(3),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_POUND_LBRACE] = ACTIONS(43),
    [sym_field_access] = ACTIONS(17),
    [anon_sym_LBRACE] = ACTIONS(45),
    [anon_sym_LPAREN] = ACTIONS(47),
    [sym_number_bigdecimal] = ACTIONS(49),
    [anon_sym_BQUOTE] = ACTIONS(195),
    [sym_shorthand_function_arg] = ACTIONS(563),
    [sym_nil] = ACTIONS(565),
    [sym__normal_long] = ACTIONS(27),
    [sym__number_arbitrary_radix] = ACTIONS(27),
    [anon_sym_AT] = ACTIONS(55),
    [anon_sym_POUND_QMARK_AT] = ACTIONS(57),
    [anon_sym_as_DASH_GT] = ACTIONS(39),
    [anon_sym_some_DASH_GT_GT] = ACTIONS(39),
    [anon_sym_SQUOTE] = ACTIONS(199),
    [anon_sym_RPAREN] = ACTIONS(567),
    [anon_sym_POUND_COLON_COLON_LBRACE] = ACTIONS(61),
    [anon_sym_POUND_BANG] = ACTIONS(65),
    [sym_new_class] = ACTIONS(17),
    [sym__symbol_chars] = ACTIONS(67),
    [anon_sym_LBRACK] = ACTIONS(69),
    [sym_number_ratio] = ACTIONS(49),
    [anon_sym_BSLASH] = ACTIONS(71),
    [anon_sym_POUND_SQUOTE] = ACTIONS(73),
    [sym_true] = ACTIONS(25),
    [sym__number_octal] = ACTIONS(27),
    [anon_sym_CARET] = ACTIONS(75),
    [anon_sym_TILDE_AT] = ACTIONS(203),
    [anon_sym_DQUOTE] = ACTIONS(79),
    [anon_sym_POUND] = ACTIONS(81),
  },
  [132] = {
    [anon_sym_cond_DASH_GT] = ACTIONS(569),
    [anon_sym_POUND_DQUOTE] = ACTIONS(571),
    [aux_sym_namespace_map_token1] = ACTIONS(571),
    [anon_sym_SEMI] = ACTIONS(571),
    [anon_sym_RBRACK] = ACTIONS(571),
    [anon_sym_TILDE] = ACTIONS(569),
    [sym_number_bigint] = ACTIONS(569),
    [sym_gensym] = ACTIONS(571),
    [sym_false] = ACTIONS(569),
    [anon_sym_CARET_COLON] = ACTIONS(571),
    [sym__number_hex] = ACTIONS(569),
    [anon_sym_cond_DASH_GT_GT] = ACTIONS(571),
    [anon_sym_POUND_LBRACE] = ACTIONS(571),
    [anon_sym_LBRACE] = ACTIONS(571),
    [sym_number_bigdecimal] = ACTIONS(571),
    [anon_sym_AT] = ACTIONS(571),
    [sym__normal_long] = ACTIONS(569),
    [sym__number_arbitrary_radix] = ACTIONS(569),
    [anon_sym_SQUOTE] = ACTIONS(571),
    [anon_sym_RPAREN] = ACTIONS(571),
    [anon_sym_POUND_BANG] = ACTIONS(571),
    [sym__symbol_chars] = ACTIONS(569),
    [sym_number_ratio] = ACTIONS(571),
    [anon_sym_POUND] = ACTIONS(569),
    [sym__number_octal] = ACTIONS(569),
    [anon_sym_DASH_GT] = ACTIONS(569),
    [anon_sym_LPARENquote] = ACTIONS(571),
    [anon_sym_COLON] = ACTIONS(569),
    [anon_sym_POUND_] = ACTIONS(571),
    [sym_member_access] = ACTIONS(571),
    [anon_sym_POUND_POUND] = ACTIONS(571),
    [anon_sym_CARET_DQUOTE] = ACTIONS(571),
    [anon_sym_POUND_LPAREN] = ACTIONS(571),
    [sym_number_double] = ACTIONS(569),
    [anon_sym_POUND_QMARK] = ACTIONS(569),
    [anon_sym_DASH_GT_GT] = ACTIONS(571),
    [anon_sym_some_DASH_GT] = ACTIONS(569),
    [anon_sym_COLON_COLON] = ACTIONS(571),
    [anon_sym_RBRACE] = ACTIONS(571),
    [sym_field_access] = ACTIONS(571),
    [anon_sym_LPAREN] = ACTIONS(569),
    [anon_sym_BQUOTE] = ACTIONS(571),
    [sym_shorthand_function_arg] = ACTIONS(571),
    [sym_nil] = ACTIONS(569),
    [anon_sym_POUND_QMARK_AT] = ACTIONS(571),
    [anon_sym_as_DASH_GT] = ACTIONS(571),
    [anon_sym_some_DASH_GT_GT] = ACTIONS(571),
    [anon_sym_POUND_COLON_COLON_LBRACE] = ACTIONS(571),
    [ts_builtin_sym_end] = ACTIONS(571),
    [sym_new_class] = ACTIONS(571),
    [anon_sym_LBRACK] = ACTIONS(571),
    [anon_sym_POUND_SQUOTE] = ACTIONS(571),
    [anon_sym_BSLASH] = ACTIONS(571),
    [anon_sym_TILDE_AT] = ACTIONS(571),
    [sym_true] = ACTIONS(569),
    [anon_sym_CARET] = ACTIONS(569),
    [anon_sym_DQUOTE] = ACTIONS(571),
  },
  [133] = {
    [sym__qualified_symbol] = STATE(89),
    [sym_function_name] = STATE(227),
    [sym__single_arity_fn] = STATE(226),
    [sym_symbol] = STATE(228),
    [sym__symbol] = STATE(96),
    [sym__multi_arity_fn] = STATE(226),
    [sym_threading_macro] = STATE(96),
    [sym_qualified_symbol] = STATE(96),
    [aux_sym__multi_arity_fn_repeat1] = STATE(229),
    [sym__after_the_fn_name] = STATE(226),
    [sym__vector] = STATE(37),
    [sym_params] = STATE(230),
    [sym_vector] = STATE(231),
    [anon_sym_LPAREN] = ACTIONS(573),
    [anon_sym_DASH_GT] = ACTIONS(87),
    [anon_sym_cond_DASH_GT] = ACTIONS(87),
    [sym__symbol_chars] = ACTIONS(145),
    [anon_sym_LBRACK] = ACTIONS(69),
    [anon_sym_DASH_GT_GT] = ACTIONS(119),
    [anon_sym_cond_DASH_GT_GT] = ACTIONS(119),
    [anon_sym_some_DASH_GT] = ACTIONS(87),
    [anon_sym_as_DASH_GT] = ACTIONS(119),
    [anon_sym_some_DASH_GT_GT] = ACTIONS(119),
  },
  [134] = {
    [sym_metadata_shorthand] = STATE(234),
    [sym_function_name] = STATE(233),
    [sym__metadata_map] = STATE(236),
    [sym_symbol] = STATE(228),
    [sym__symbol] = STATE(96),
    [sym_threading_macro] = STATE(96),
    [sym_qualified_symbol] = STATE(96),
    [aux_sym_metadata_repeat1] = STATE(234),
    [sym_metadata] = STATE(235),
    [sym__qualified_symbol] = STATE(89),
    [anon_sym_DASH_GT] = ACTIONS(87),
    [anon_sym_cond_DASH_GT] = ACTIONS(87),
    [sym__symbol_chars] = ACTIONS(145),
    [anon_sym_DASH_GT_GT] = ACTIONS(119),
    [anon_sym_cond_DASH_GT_GT] = ACTIONS(119),
    [anon_sym_some_DASH_GT] = ACTIONS(87),
    [anon_sym_CARET] = ACTIONS(575),
    [anon_sym_as_DASH_GT] = ACTIONS(119),
    [anon_sym_CARET_DQUOTE] = ACTIONS(33),
    [anon_sym_some_DASH_GT_GT] = ACTIONS(119),
    [anon_sym_CARET_COLON] = ACTIONS(31),
  },
  [135] = {
    [sym_deref] = STATE(214),
    [sym_boolean] = STATE(214),
    [sym__character] = STATE(34),
    [sym__string] = STATE(35),
    [sym__keyword] = STATE(36),
    [sym_qualified_symbol] = STATE(44),
    [sym__vector] = STATE(37),
    [sym_ignore_form] = STATE(38),
    [sym_var_quote] = STATE(214),
    [sym_number] = STATE(214),
    [sym__reader_conditional_symbol] = STATE(39),
    [aux_sym_metadata_repeat1] = STATE(40),
    [sym_regex] = STATE(214),
    [sym__unqualified_keyword] = STATE(36),
    [sym__qualified_symbol] = STATE(41),
    [sym_hash_map] = STATE(214),
    [sym_set] = STATE(214),
    [sym_comment_macro] = STATE(38),
    [sym_unquote] = STATE(214),
    [sym__literals] = STATE(214),
    [aux_sym_program_repeat1] = STATE(214),
    [sym_symbolic_value] = STATE(214),
    [sym__quote] = STATE(43),
    [sym__symbol] = STATE(44),
    [sym__list] = STATE(45),
    [sym_semicolon] = STATE(38),
    [sym_shorthand_function] = STATE(214),
    [sym_metadata_shorthand] = STATE(40),
    [sym__collection_literals] = STATE(214),
    [sym_tagged_literal] = STATE(214),
    [sym_character] = STATE(214),
    [sym_string] = STATE(214),
    [sym_keyword] = STATE(214),
    [sym_threading_macro] = STATE(44),
    [sym_vector] = STATE(214),
    [sym_shebang_line] = STATE(38),
    [sym_defn] = STATE(214),
    [sym_syntax_quote] = STATE(214),
    [sym_reader_conditional] = STATE(214),
    [sym__number] = STATE(47),
    [sym__regex] = STATE(48),
    [sym_qualified_keyword] = STATE(36),
    [sym_interop] = STATE(214),
    [sym__hash_map] = STATE(49),
    [sym__set] = STATE(50),
    [sym__functions] = STATE(214),
    [sym_metadata] = STATE(51),
    [sym__anything] = STATE(214),
    [sym_unquote_splice] = STATE(214),
    [sym_number_long] = STATE(47),
    [sym_quote] = STATE(214),
    [sym_symbol] = STATE(214),
    [sym_list] = STATE(214),
    [sym_namespace_map] = STATE(49),
    [sym_comment] = STATE(214),
    [sym_anonymous_function] = STATE(214),
    [sym__metadata_map] = STATE(52),
    [anon_sym_DASH_GT] = ACTIONS(3),
    [anon_sym_cond_DASH_GT] = ACTIONS(3),
    [anon_sym_LPARENquote] = ACTIONS(5),
    [anon_sym_POUND_DQUOTE] = ACTIONS(7),
    [anon_sym_COLON] = ACTIONS(9),
    [aux_sym_namespace_map_token1] = ACTIONS(11),
    [anon_sym_POUND_] = ACTIONS(189),
    [anon_sym_SEMI] = ACTIONS(15),
    [sym_member_access] = ACTIONS(17),
    [anon_sym_POUND_POUND] = ACTIONS(19),
    [sym_number_bigint] = ACTIONS(21),
    [sym_gensym] = ACTIONS(517),
    [sym_false] = ACTIONS(25),
    [sym_number_double] = ACTIONS(21),
    [sym__number_hex] = ACTIONS(27),
    [anon_sym_POUND_LPAREN] = ACTIONS(29),
    [anon_sym_CARET_COLON] = ACTIONS(31),
    [anon_sym_CARET_DQUOTE] = ACTIONS(33),
    [anon_sym_TILDE] = ACTIONS(193),
    [anon_sym_POUND_QMARK] = ACTIONS(37),
    [anon_sym_DASH_GT_GT] = ACTIONS(39),
    [anon_sym_cond_DASH_GT_GT] = ACTIONS(39),
    [anon_sym_some_DASH_GT] = ACTIONS(3),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_POUND_LBRACE] = ACTIONS(43),
    [sym_field_access] = ACTIONS(17),
    [anon_sym_LBRACE] = ACTIONS(45),
    [anon_sym_LPAREN] = ACTIONS(47),
    [sym_number_bigdecimal] = ACTIONS(49),
    [anon_sym_BQUOTE] = ACTIONS(195),
    [sym_shorthand_function_arg] = ACTIONS(517),
    [sym_nil] = ACTIONS(519),
    [sym__normal_long] = ACTIONS(27),
    [sym__number_arbitrary_radix] = ACTIONS(27),
    [anon_sym_AT] = ACTIONS(55),
    [anon_sym_POUND_QMARK_AT] = ACTIONS(57),
    [anon_sym_as_DASH_GT] = ACTIONS(39),
    [anon_sym_some_DASH_GT_GT] = ACTIONS(39),
    [anon_sym_SQUOTE] = ACTIONS(199),
    [anon_sym_RPAREN] = ACTIONS(577),
    [anon_sym_POUND_COLON_COLON_LBRACE] = ACTIONS(61),
    [anon_sym_POUND_BANG] = ACTIONS(65),
    [sym_new_class] = ACTIONS(17),
    [sym__symbol_chars] = ACTIONS(67),
    [anon_sym_LBRACK] = ACTIONS(69),
    [sym_number_ratio] = ACTIONS(49),
    [anon_sym_BSLASH] = ACTIONS(71),
    [anon_sym_POUND_SQUOTE] = ACTIONS(73),
    [sym_true] = ACTIONS(25),
    [sym__number_octal] = ACTIONS(27),
    [anon_sym_CARET] = ACTIONS(75),
    [anon_sym_TILDE_AT] = ACTIONS(203),
    [anon_sym_DQUOTE] = ACTIONS(79),
    [anon_sym_POUND] = ACTIONS(81),
  },
  [136] = {
    [anon_sym_cond_DASH_GT] = ACTIONS(579),
    [anon_sym_POUND_DQUOTE] = ACTIONS(581),
    [aux_sym_namespace_map_token1] = ACTIONS(581),
    [anon_sym_SEMI] = ACTIONS(581),
    [anon_sym_RBRACK] = ACTIONS(581),
    [anon_sym_TILDE] = ACTIONS(579),
    [sym_number_bigint] = ACTIONS(579),
    [sym_gensym] = ACTIONS(581),
    [sym_false] = ACTIONS(579),
    [anon_sym_CARET_COLON] = ACTIONS(581),
    [sym__number_hex] = ACTIONS(579),
    [anon_sym_cond_DASH_GT_GT] = ACTIONS(581),
    [anon_sym_POUND_LBRACE] = ACTIONS(581),
    [anon_sym_LBRACE] = ACTIONS(581),
    [sym_number_bigdecimal] = ACTIONS(581),
    [anon_sym_AT] = ACTIONS(581),
    [sym__normal_long] = ACTIONS(579),
    [sym__number_arbitrary_radix] = ACTIONS(579),
    [anon_sym_SQUOTE] = ACTIONS(581),
    [anon_sym_RPAREN] = ACTIONS(581),
    [anon_sym_POUND_BANG] = ACTIONS(581),
    [sym__symbol_chars] = ACTIONS(579),
    [sym_number_ratio] = ACTIONS(581),
    [anon_sym_POUND] = ACTIONS(579),
    [sym__number_octal] = ACTIONS(579),
    [anon_sym_DASH_GT] = ACTIONS(579),
    [anon_sym_LPARENquote] = ACTIONS(581),
    [anon_sym_COLON] = ACTIONS(579),
    [anon_sym_POUND_] = ACTIONS(581),
    [sym_member_access] = ACTIONS(581),
    [anon_sym_POUND_POUND] = ACTIONS(581),
    [anon_sym_CARET_DQUOTE] = ACTIONS(581),
    [anon_sym_POUND_LPAREN] = ACTIONS(581),
    [sym_number_double] = ACTIONS(579),
    [anon_sym_POUND_QMARK] = ACTIONS(579),
    [anon_sym_DASH_GT_GT] = ACTIONS(581),
    [anon_sym_some_DASH_GT] = ACTIONS(579),
    [anon_sym_COLON_COLON] = ACTIONS(581),
    [anon_sym_RBRACE] = ACTIONS(581),
    [sym_field_access] = ACTIONS(581),
    [anon_sym_LPAREN] = ACTIONS(579),
    [anon_sym_BQUOTE] = ACTIONS(581),
    [sym_shorthand_function_arg] = ACTIONS(581),
    [sym_nil] = ACTIONS(579),
    [anon_sym_POUND_QMARK_AT] = ACTIONS(581),
    [anon_sym_as_DASH_GT] = ACTIONS(581),
    [anon_sym_some_DASH_GT_GT] = ACTIONS(581),
    [anon_sym_POUND_COLON_COLON_LBRACE] = ACTIONS(581),
    [ts_builtin_sym_end] = ACTIONS(581),
    [sym_new_class] = ACTIONS(581),
    [anon_sym_LBRACK] = ACTIONS(581),
    [anon_sym_POUND_SQUOTE] = ACTIONS(581),
    [anon_sym_BSLASH] = ACTIONS(581),
    [anon_sym_TILDE_AT] = ACTIONS(581),
    [sym_true] = ACTIONS(579),
    [anon_sym_CARET] = ACTIONS(579),
    [anon_sym_DQUOTE] = ACTIONS(581),
  },
  [137] = {
    [sym_deref] = STATE(135),
    [sym_boolean] = STATE(135),
    [sym__character] = STATE(34),
    [sym__string] = STATE(35),
    [sym__keyword] = STATE(36),
    [sym_qualified_symbol] = STATE(44),
    [sym__vector] = STATE(37),
    [sym_ignore_form] = STATE(38),
    [sym_var_quote] = STATE(135),
    [sym_number] = STATE(135),
    [sym__reader_conditional_symbol] = STATE(39),
    [aux_sym_metadata_repeat1] = STATE(40),
    [sym_regex] = STATE(135),
    [sym__unqualified_keyword] = STATE(36),
    [sym__qualified_symbol] = STATE(41),
    [sym_hash_map] = STATE(135),
    [sym_set] = STATE(135),
    [sym_comment_macro] = STATE(38),
    [sym_unquote] = STATE(135),
    [sym__literals] = STATE(135),
    [aux_sym_program_repeat1] = STATE(135),
    [sym_symbolic_value] = STATE(135),
    [sym__quote] = STATE(43),
    [sym__symbol] = STATE(44),
    [sym__list] = STATE(45),
    [sym_semicolon] = STATE(38),
    [sym_shorthand_function] = STATE(135),
    [sym_metadata_shorthand] = STATE(40),
    [sym__collection_literals] = STATE(135),
    [sym_tagged_literal] = STATE(135),
    [sym_character] = STATE(135),
    [sym_string] = STATE(135),
    [sym_keyword] = STATE(135),
    [sym_threading_macro] = STATE(44),
    [sym_vector] = STATE(135),
    [sym_shebang_line] = STATE(38),
    [sym_defn] = STATE(135),
    [sym_syntax_quote] = STATE(135),
    [sym_reader_conditional] = STATE(135),
    [sym__number] = STATE(47),
    [sym__regex] = STATE(48),
    [sym_qualified_keyword] = STATE(36),
    [sym_interop] = STATE(135),
    [sym__hash_map] = STATE(49),
    [sym__set] = STATE(50),
    [sym__functions] = STATE(135),
    [sym_metadata] = STATE(51),
    [sym__anything] = STATE(135),
    [sym_unquote_splice] = STATE(135),
    [sym_number_long] = STATE(47),
    [sym_quote] = STATE(135),
    [sym_symbol] = STATE(135),
    [sym_list] = STATE(135),
    [sym_namespace_map] = STATE(49),
    [sym_comment] = STATE(135),
    [sym_anonymous_function] = STATE(135),
    [sym__metadata_map] = STATE(52),
    [anon_sym_DASH_GT] = ACTIONS(3),
    [anon_sym_cond_DASH_GT] = ACTIONS(3),
    [anon_sym_LPARENquote] = ACTIONS(5),
    [anon_sym_POUND_DQUOTE] = ACTIONS(7),
    [anon_sym_COLON] = ACTIONS(9),
    [aux_sym_namespace_map_token1] = ACTIONS(11),
    [anon_sym_POUND_] = ACTIONS(189),
    [anon_sym_SEMI] = ACTIONS(15),
    [sym_member_access] = ACTIONS(17),
    [anon_sym_POUND_POUND] = ACTIONS(19),
    [sym_number_bigint] = ACTIONS(21),
    [sym_gensym] = ACTIONS(251),
    [sym_false] = ACTIONS(25),
    [sym_number_double] = ACTIONS(21),
    [sym__number_hex] = ACTIONS(27),
    [anon_sym_POUND_LPAREN] = ACTIONS(29),
    [anon_sym_CARET_COLON] = ACTIONS(31),
    [anon_sym_CARET_DQUOTE] = ACTIONS(33),
    [anon_sym_TILDE] = ACTIONS(193),
    [anon_sym_POUND_QMARK] = ACTIONS(37),
    [anon_sym_DASH_GT_GT] = ACTIONS(39),
    [anon_sym_cond_DASH_GT_GT] = ACTIONS(39),
    [anon_sym_some_DASH_GT] = ACTIONS(3),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_POUND_LBRACE] = ACTIONS(43),
    [sym_field_access] = ACTIONS(17),
    [anon_sym_LBRACE] = ACTIONS(45),
    [anon_sym_LPAREN] = ACTIONS(47),
    [sym_number_bigdecimal] = ACTIONS(49),
    [anon_sym_BQUOTE] = ACTIONS(195),
    [sym_shorthand_function_arg] = ACTIONS(251),
    [sym_nil] = ACTIONS(261),
    [sym__normal_long] = ACTIONS(27),
    [sym__number_arbitrary_radix] = ACTIONS(27),
    [anon_sym_AT] = ACTIONS(55),
    [anon_sym_POUND_QMARK_AT] = ACTIONS(57),
    [anon_sym_as_DASH_GT] = ACTIONS(39),
    [anon_sym_some_DASH_GT_GT] = ACTIONS(39),
    [anon_sym_SQUOTE] = ACTIONS(199),
    [anon_sym_RPAREN] = ACTIONS(255),
    [anon_sym_POUND_COLON_COLON_LBRACE] = ACTIONS(61),
    [anon_sym_POUND_BANG] = ACTIONS(65),
    [sym_new_class] = ACTIONS(17),
    [sym__symbol_chars] = ACTIONS(67),
    [anon_sym_LBRACK] = ACTIONS(69),
    [sym_number_ratio] = ACTIONS(49),
    [anon_sym_BSLASH] = ACTIONS(71),
    [anon_sym_POUND_SQUOTE] = ACTIONS(73),
    [sym_true] = ACTIONS(25),
    [sym__number_octal] = ACTIONS(27),
    [anon_sym_CARET] = ACTIONS(75),
    [anon_sym_TILDE_AT] = ACTIONS(203),
    [anon_sym_DQUOTE] = ACTIONS(79),
    [anon_sym_POUND] = ACTIONS(81),
  },
  [138] = {
    [anon_sym_cond_DASH_GT] = ACTIONS(583),
    [anon_sym_POUND_DQUOTE] = ACTIONS(585),
    [aux_sym_namespace_map_token1] = ACTIONS(585),
    [anon_sym_SEMI] = ACTIONS(585),
    [anon_sym_RBRACK] = ACTIONS(585),
    [anon_sym_TILDE] = ACTIONS(583),
    [sym_number_bigint] = ACTIONS(583),
    [sym_gensym] = ACTIONS(585),
    [sym_false] = ACTIONS(583),
    [anon_sym_CARET_COLON] = ACTIONS(585),
    [sym__number_hex] = ACTIONS(583),
    [anon_sym_cond_DASH_GT_GT] = ACTIONS(585),
    [anon_sym_POUND_LBRACE] = ACTIONS(585),
    [anon_sym_LBRACE] = ACTIONS(585),
    [sym_number_bigdecimal] = ACTIONS(585),
    [anon_sym_AT] = ACTIONS(585),
    [sym__normal_long] = ACTIONS(583),
    [sym__number_arbitrary_radix] = ACTIONS(583),
    [anon_sym_SQUOTE] = ACTIONS(585),
    [anon_sym_RPAREN] = ACTIONS(585),
    [anon_sym_POUND_BANG] = ACTIONS(585),
    [sym__symbol_chars] = ACTIONS(583),
    [sym_number_ratio] = ACTIONS(585),
    [anon_sym_POUND] = ACTIONS(583),
    [sym__number_octal] = ACTIONS(583),
    [anon_sym_DASH_GT] = ACTIONS(583),
    [anon_sym_LPARENquote] = ACTIONS(585),
    [anon_sym_COLON] = ACTIONS(583),
    [anon_sym_POUND_] = ACTIONS(585),
    [sym_member_access] = ACTIONS(585),
    [anon_sym_POUND_POUND] = ACTIONS(585),
    [anon_sym_CARET_DQUOTE] = ACTIONS(585),
    [anon_sym_POUND_LPAREN] = ACTIONS(585),
    [sym_number_double] = ACTIONS(583),
    [anon_sym_POUND_QMARK] = ACTIONS(583),
    [anon_sym_DASH_GT_GT] = ACTIONS(585),
    [anon_sym_some_DASH_GT] = ACTIONS(583),
    [anon_sym_COLON_COLON] = ACTIONS(585),
    [anon_sym_RBRACE] = ACTIONS(585),
    [sym_field_access] = ACTIONS(585),
    [anon_sym_LPAREN] = ACTIONS(583),
    [anon_sym_BQUOTE] = ACTIONS(585),
    [sym_shorthand_function_arg] = ACTIONS(585),
    [sym_nil] = ACTIONS(583),
    [anon_sym_POUND_QMARK_AT] = ACTIONS(585),
    [anon_sym_as_DASH_GT] = ACTIONS(585),
    [anon_sym_some_DASH_GT_GT] = ACTIONS(585),
    [anon_sym_POUND_COLON_COLON_LBRACE] = ACTIONS(585),
    [ts_builtin_sym_end] = ACTIONS(585),
    [sym_new_class] = ACTIONS(585),
    [anon_sym_LBRACK] = ACTIONS(585),
    [anon_sym_POUND_SQUOTE] = ACTIONS(585),
    [anon_sym_BSLASH] = ACTIONS(585),
    [anon_sym_TILDE_AT] = ACTIONS(585),
    [sym_true] = ACTIONS(583),
    [anon_sym_CARET] = ACTIONS(583),
    [anon_sym_DQUOTE] = ACTIONS(585),
  },
  [139] = {
    [anon_sym_cond_DASH_GT] = ACTIONS(587),
    [anon_sym_POUND_DQUOTE] = ACTIONS(589),
    [aux_sym_namespace_map_token1] = ACTIONS(589),
    [anon_sym_SEMI] = ACTIONS(589),
    [anon_sym_RBRACK] = ACTIONS(589),
    [anon_sym_TILDE] = ACTIONS(587),
    [sym_number_bigint] = ACTIONS(587),
    [sym_gensym] = ACTIONS(589),
    [sym_false] = ACTIONS(587),
    [anon_sym_CARET_COLON] = ACTIONS(589),
    [sym__number_hex] = ACTIONS(587),
    [anon_sym_cond_DASH_GT_GT] = ACTIONS(589),
    [anon_sym_POUND_LBRACE] = ACTIONS(589),
    [anon_sym_LBRACE] = ACTIONS(589),
    [sym_number_bigdecimal] = ACTIONS(589),
    [anon_sym_AT] = ACTIONS(589),
    [sym__normal_long] = ACTIONS(587),
    [sym__number_arbitrary_radix] = ACTIONS(587),
    [anon_sym_SQUOTE] = ACTIONS(589),
    [anon_sym_RPAREN] = ACTIONS(589),
    [anon_sym_POUND_BANG] = ACTIONS(589),
    [sym__symbol_chars] = ACTIONS(587),
    [sym_number_ratio] = ACTIONS(589),
    [anon_sym_POUND] = ACTIONS(587),
    [sym__number_octal] = ACTIONS(587),
    [anon_sym_DASH_GT] = ACTIONS(587),
    [anon_sym_LPARENquote] = ACTIONS(589),
    [anon_sym_COLON] = ACTIONS(587),
    [anon_sym_POUND_] = ACTIONS(589),
    [sym_member_access] = ACTIONS(589),
    [anon_sym_POUND_POUND] = ACTIONS(589),
    [anon_sym_CARET_DQUOTE] = ACTIONS(589),
    [anon_sym_POUND_LPAREN] = ACTIONS(589),
    [sym_number_double] = ACTIONS(587),
    [anon_sym_POUND_QMARK] = ACTIONS(587),
    [anon_sym_DASH_GT_GT] = ACTIONS(589),
    [anon_sym_some_DASH_GT] = ACTIONS(587),
    [anon_sym_COLON_COLON] = ACTIONS(589),
    [anon_sym_RBRACE] = ACTIONS(589),
    [sym_field_access] = ACTIONS(589),
    [anon_sym_LPAREN] = ACTIONS(587),
    [anon_sym_BQUOTE] = ACTIONS(589),
    [sym_shorthand_function_arg] = ACTIONS(589),
    [sym_nil] = ACTIONS(587),
    [anon_sym_POUND_QMARK_AT] = ACTIONS(589),
    [anon_sym_as_DASH_GT] = ACTIONS(589),
    [anon_sym_some_DASH_GT_GT] = ACTIONS(589),
    [anon_sym_POUND_COLON_COLON_LBRACE] = ACTIONS(589),
    [ts_builtin_sym_end] = ACTIONS(589),
    [sym_new_class] = ACTIONS(589),
    [anon_sym_LBRACK] = ACTIONS(589),
    [anon_sym_POUND_SQUOTE] = ACTIONS(589),
    [anon_sym_BSLASH] = ACTIONS(589),
    [anon_sym_TILDE_AT] = ACTIONS(589),
    [sym_true] = ACTIONS(587),
    [anon_sym_CARET] = ACTIONS(587),
    [anon_sym_DQUOTE] = ACTIONS(589),
  },
  [140] = {
    [anon_sym_cond_DASH_GT] = ACTIONS(591),
    [anon_sym_POUND_DQUOTE] = ACTIONS(593),
    [aux_sym_namespace_map_token1] = ACTIONS(593),
    [anon_sym_SEMI] = ACTIONS(593),
    [anon_sym_RBRACK] = ACTIONS(593),
    [anon_sym_TILDE] = ACTIONS(591),
    [sym_number_bigint] = ACTIONS(591),
    [sym_gensym] = ACTIONS(593),
    [sym_false] = ACTIONS(591),
    [anon_sym_CARET_COLON] = ACTIONS(593),
    [sym__number_hex] = ACTIONS(591),
    [anon_sym_cond_DASH_GT_GT] = ACTIONS(593),
    [anon_sym_POUND_LBRACE] = ACTIONS(593),
    [anon_sym_LBRACE] = ACTIONS(593),
    [sym_number_bigdecimal] = ACTIONS(593),
    [anon_sym_AT] = ACTIONS(593),
    [sym__normal_long] = ACTIONS(591),
    [sym__number_arbitrary_radix] = ACTIONS(591),
    [anon_sym_SQUOTE] = ACTIONS(593),
    [anon_sym_RPAREN] = ACTIONS(593),
    [anon_sym_POUND_BANG] = ACTIONS(593),
    [sym__symbol_chars] = ACTIONS(591),
    [sym_number_ratio] = ACTIONS(593),
    [anon_sym_POUND] = ACTIONS(591),
    [sym__number_octal] = ACTIONS(591),
    [anon_sym_DASH_GT] = ACTIONS(591),
    [anon_sym_LPARENquote] = ACTIONS(593),
    [anon_sym_COLON] = ACTIONS(591),
    [anon_sym_POUND_] = ACTIONS(593),
    [sym_member_access] = ACTIONS(593),
    [anon_sym_POUND_POUND] = ACTIONS(593),
    [anon_sym_CARET_DQUOTE] = ACTIONS(593),
    [anon_sym_POUND_LPAREN] = ACTIONS(593),
    [sym_number_double] = ACTIONS(591),
    [anon_sym_POUND_QMARK] = ACTIONS(591),
    [anon_sym_DASH_GT_GT] = ACTIONS(593),
    [anon_sym_some_DASH_GT] = ACTIONS(591),
    [anon_sym_COLON_COLON] = ACTIONS(593),
    [anon_sym_RBRACE] = ACTIONS(593),
    [sym_field_access] = ACTIONS(593),
    [anon_sym_LPAREN] = ACTIONS(591),
    [anon_sym_BQUOTE] = ACTIONS(593),
    [sym_shorthand_function_arg] = ACTIONS(593),
    [sym_nil] = ACTIONS(591),
    [anon_sym_POUND_QMARK_AT] = ACTIONS(593),
    [anon_sym_as_DASH_GT] = ACTIONS(593),
    [anon_sym_some_DASH_GT_GT] = ACTIONS(593),
    [anon_sym_POUND_COLON_COLON_LBRACE] = ACTIONS(593),
    [ts_builtin_sym_end] = ACTIONS(593),
    [sym_new_class] = ACTIONS(593),
    [anon_sym_LBRACK] = ACTIONS(593),
    [anon_sym_POUND_SQUOTE] = ACTIONS(593),
    [anon_sym_BSLASH] = ACTIONS(593),
    [anon_sym_TILDE_AT] = ACTIONS(593),
    [sym_true] = ACTIONS(591),
    [anon_sym_CARET] = ACTIONS(591),
    [anon_sym_DQUOTE] = ACTIONS(593),
  },
  [141] = {
    [sym_deref] = STATE(130),
    [sym_boolean] = STATE(130),
    [sym__character] = STATE(34),
    [sym__string] = STATE(35),
    [sym__keyword] = STATE(36),
    [sym_qualified_symbol] = STATE(44),
    [sym__vector] = STATE(37),
    [sym_ignore_form] = STATE(38),
    [sym_var_quote] = STATE(130),
    [sym_number] = STATE(130),
    [sym__reader_conditional_symbol] = STATE(39),
    [aux_sym_metadata_repeat1] = STATE(40),
    [sym_regex] = STATE(130),
    [sym__unqualified_keyword] = STATE(36),
    [sym__qualified_symbol] = STATE(41),
    [sym_hash_map] = STATE(130),
    [sym_set] = STATE(130),
    [sym_comment_macro] = STATE(38),
    [sym_unquote] = STATE(130),
    [sym__literals] = STATE(130),
    [sym_symbolic_value] = STATE(130),
    [sym__quote] = STATE(43),
    [sym__symbol] = STATE(44),
    [sym__list] = STATE(45),
    [sym__hash_map_kv_pair] = STATE(221),
    [sym_semicolon] = STATE(38),
    [sym_shorthand_function] = STATE(130),
    [sym_metadata_shorthand] = STATE(40),
    [sym__collection_literals] = STATE(130),
    [sym_tagged_literal] = STATE(130),
    [sym_character] = STATE(130),
    [aux_sym__hash_map_repeat1] = STATE(221),
    [sym_string] = STATE(130),
    [sym_keyword] = STATE(130),
    [sym_threading_macro] = STATE(44),
    [sym_vector] = STATE(130),
    [sym__hash_map_key] = STATE(130),
    [sym_shebang_line] = STATE(38),
    [sym_defn] = STATE(130),
    [sym_syntax_quote] = STATE(130),
    [sym_reader_conditional] = STATE(130),
    [sym__number] = STATE(47),
    [sym__regex] = STATE(48),
    [sym_qualified_keyword] = STATE(36),
    [sym_interop] = STATE(130),
    [sym__hash_map] = STATE(49),
    [sym__set] = STATE(50),
    [sym__functions] = STATE(130),
    [sym_metadata] = STATE(51),
    [sym__anything] = STATE(130),
    [sym_unquote_splice] = STATE(130),
    [sym_number_long] = STATE(47),
    [sym_quote] = STATE(130),
    [sym_symbol] = STATE(130),
    [sym_list] = STATE(130),
    [sym_namespace_map] = STATE(49),
    [sym_comment] = STATE(130),
    [sym_anonymous_function] = STATE(130),
    [sym__metadata_map] = STATE(52),
    [anon_sym_DASH_GT] = ACTIONS(3),
    [anon_sym_cond_DASH_GT] = ACTIONS(3),
    [anon_sym_LPARENquote] = ACTIONS(5),
    [anon_sym_POUND_DQUOTE] = ACTIONS(7),
    [anon_sym_COLON] = ACTIONS(9),
    [aux_sym_namespace_map_token1] = ACTIONS(11),
    [anon_sym_POUND_] = ACTIONS(235),
    [anon_sym_SEMI] = ACTIONS(15),
    [sym_member_access] = ACTIONS(17),
    [anon_sym_POUND_POUND] = ACTIONS(19),
    [sym_number_bigint] = ACTIONS(21),
    [sym_gensym] = ACTIONS(237),
    [sym_false] = ACTIONS(25),
    [sym_number_double] = ACTIONS(21),
    [sym__number_hex] = ACTIONS(27),
    [anon_sym_POUND_LPAREN] = ACTIONS(29),
    [anon_sym_CARET_COLON] = ACTIONS(31),
    [anon_sym_CARET_DQUOTE] = ACTIONS(33),
    [anon_sym_TILDE] = ACTIONS(239),
    [anon_sym_POUND_QMARK] = ACTIONS(37),
    [anon_sym_DASH_GT_GT] = ACTIONS(39),
    [anon_sym_cond_DASH_GT_GT] = ACTIONS(39),
    [anon_sym_some_DASH_GT] = ACTIONS(3),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_POUND_LBRACE] = ACTIONS(43),
    [anon_sym_RBRACE] = ACTIONS(499),
    [sym_field_access] = ACTIONS(17),
    [anon_sym_LBRACE] = ACTIONS(45),
    [anon_sym_LPAREN] = ACTIONS(47),
    [sym_number_bigdecimal] = ACTIONS(49),
    [anon_sym_BQUOTE] = ACTIONS(243),
    [sym_shorthand_function_arg] = ACTIONS(237),
    [sym_nil] = ACTIONS(245),
    [sym__normal_long] = ACTIONS(27),
    [sym__number_arbitrary_radix] = ACTIONS(27),
    [anon_sym_AT] = ACTIONS(55),
    [anon_sym_POUND_QMARK_AT] = ACTIONS(57),
    [anon_sym_as_DASH_GT] = ACTIONS(39),
    [anon_sym_some_DASH_GT_GT] = ACTIONS(39),
    [anon_sym_SQUOTE] = ACTIONS(247),
    [anon_sym_POUND_COLON_COLON_LBRACE] = ACTIONS(61),
    [anon_sym_POUND_BANG] = ACTIONS(65),
    [sym_new_class] = ACTIONS(17),
    [sym__symbol_chars] = ACTIONS(67),
    [anon_sym_LBRACK] = ACTIONS(69),
    [sym_number_ratio] = ACTIONS(49),
    [anon_sym_BSLASH] = ACTIONS(71),
    [anon_sym_POUND_SQUOTE] = ACTIONS(73),
    [sym_true] = ACTIONS(25),
    [sym__number_octal] = ACTIONS(27),
    [anon_sym_CARET] = ACTIONS(75),
    [anon_sym_TILDE_AT] = ACTIONS(249),
    [anon_sym_DQUOTE] = ACTIONS(79),
    [anon_sym_POUND] = ACTIONS(81),
  },
  [142] = {
    [anon_sym_cond_DASH_GT] = ACTIONS(595),
    [anon_sym_POUND_DQUOTE] = ACTIONS(597),
    [aux_sym_namespace_map_token1] = ACTIONS(597),
    [anon_sym_SEMI] = ACTIONS(597),
    [anon_sym_RBRACK] = ACTIONS(597),
    [anon_sym_TILDE] = ACTIONS(595),
    [sym_number_bigint] = ACTIONS(595),
    [sym_gensym] = ACTIONS(597),
    [sym_false] = ACTIONS(595),
    [anon_sym_CARET_COLON] = ACTIONS(597),
    [sym__number_hex] = ACTIONS(595),
    [anon_sym_cond_DASH_GT_GT] = ACTIONS(597),
    [anon_sym_POUND_LBRACE] = ACTIONS(597),
    [anon_sym_LBRACE] = ACTIONS(597),
    [sym_number_bigdecimal] = ACTIONS(597),
    [anon_sym_AT] = ACTIONS(597),
    [sym__normal_long] = ACTIONS(595),
    [sym__number_arbitrary_radix] = ACTIONS(595),
    [anon_sym_SQUOTE] = ACTIONS(597),
    [anon_sym_RPAREN] = ACTIONS(597),
    [anon_sym_POUND_BANG] = ACTIONS(597),
    [sym__symbol_chars] = ACTIONS(595),
    [sym_number_ratio] = ACTIONS(597),
    [anon_sym_POUND] = ACTIONS(595),
    [sym__number_octal] = ACTIONS(595),
    [anon_sym_DASH_GT] = ACTIONS(595),
    [anon_sym_LPARENquote] = ACTIONS(597),
    [anon_sym_COLON] = ACTIONS(595),
    [anon_sym_POUND_] = ACTIONS(597),
    [sym_member_access] = ACTIONS(597),
    [anon_sym_POUND_POUND] = ACTIONS(597),
    [anon_sym_CARET_DQUOTE] = ACTIONS(597),
    [anon_sym_POUND_LPAREN] = ACTIONS(597),
    [sym_number_double] = ACTIONS(595),
    [anon_sym_POUND_QMARK] = ACTIONS(595),
    [anon_sym_DASH_GT_GT] = ACTIONS(597),
    [anon_sym_some_DASH_GT] = ACTIONS(595),
    [anon_sym_COLON_COLON] = ACTIONS(597),
    [anon_sym_RBRACE] = ACTIONS(597),
    [sym_field_access] = ACTIONS(597),
    [anon_sym_LPAREN] = ACTIONS(595),
    [anon_sym_BQUOTE] = ACTIONS(597),
    [sym_shorthand_function_arg] = ACTIONS(597),
    [sym_nil] = ACTIONS(595),
    [anon_sym_POUND_QMARK_AT] = ACTIONS(597),
    [anon_sym_as_DASH_GT] = ACTIONS(597),
    [anon_sym_some_DASH_GT_GT] = ACTIONS(597),
    [anon_sym_POUND_COLON_COLON_LBRACE] = ACTIONS(597),
    [ts_builtin_sym_end] = ACTIONS(597),
    [sym_new_class] = ACTIONS(597),
    [anon_sym_LBRACK] = ACTIONS(597),
    [anon_sym_POUND_SQUOTE] = ACTIONS(597),
    [anon_sym_BSLASH] = ACTIONS(597),
    [anon_sym_TILDE_AT] = ACTIONS(597),
    [sym_true] = ACTIONS(595),
    [anon_sym_CARET] = ACTIONS(595),
    [anon_sym_DQUOTE] = ACTIONS(597),
  },
  [143] = {
    [sym__symbol_chars] = ACTIONS(599),
  },
  [144] = {
    [sym_metadata_shorthand] = STATE(40),
    [sym_deref] = STATE(102),
    [sym__collection_literals] = STATE(102),
    [sym_boolean] = STATE(102),
    [sym_character] = STATE(102),
    [sym_string] = STATE(102),
    [sym_tagged_literal] = STATE(102),
    [sym_keyword] = STATE(102),
    [sym__character] = STATE(34),
    [sym__string] = STATE(35),
    [sym__keyword] = STATE(36),
    [sym_vector] = STATE(102),
    [sym_threading_macro] = STATE(44),
    [sym_qualified_symbol] = STATE(44),
    [sym__vector] = STATE(37),
    [sym_shebang_line] = STATE(38),
    [sym_ignore_form] = STATE(38),
    [sym_defn] = STATE(102),
    [sym_syntax_quote] = STATE(102),
    [sym_var_quote] = STATE(102),
    [sym_reader_conditional] = STATE(102),
    [sym_number] = STATE(102),
    [sym__number] = STATE(47),
    [aux_sym_metadata_repeat1] = STATE(40),
    [sym_regex] = STATE(102),
    [sym__regex] = STATE(48),
    [sym__unqualified_keyword] = STATE(36),
    [sym_qualified_keyword] = STATE(36),
    [sym__qualified_symbol] = STATE(41),
    [sym_interop] = STATE(102),
    [sym_hash_map] = STATE(102),
    [sym__hash_map] = STATE(49),
    [sym_set] = STATE(102),
    [sym__set] = STATE(50),
    [sym_comment_macro] = STATE(38),
    [sym__functions] = STATE(102),
    [sym__reader_conditional_symbol] = STATE(39),
    [sym_metadata] = STATE(51),
    [sym_unquote] = STATE(102),
    [sym__literals] = STATE(102),
    [sym_unquote_splice] = STATE(102),
    [sym_symbolic_value] = STATE(102),
    [sym_number_long] = STATE(47),
    [sym__anything] = STATE(102),
    [sym_quote] = STATE(102),
    [sym__quote] = STATE(43),
    [sym_symbol] = STATE(102),
    [sym__symbol] = STATE(44),
    [sym_list] = STATE(102),
    [sym__list] = STATE(45),
    [sym_namespace_map] = STATE(49),
    [sym_comment] = STATE(102),
    [sym_semicolon] = STATE(38),
    [sym_anonymous_function] = STATE(102),
    [sym_shorthand_function] = STATE(102),
    [sym__metadata_map] = STATE(52),
    [anon_sym_DASH_GT] = ACTIONS(3),
    [anon_sym_cond_DASH_GT] = ACTIONS(3),
    [anon_sym_LPARENquote] = ACTIONS(5),
    [anon_sym_POUND_DQUOTE] = ACTIONS(7),
    [anon_sym_COLON] = ACTIONS(9),
    [aux_sym_namespace_map_token1] = ACTIONS(11),
    [anon_sym_POUND_] = ACTIONS(283),
    [anon_sym_SEMI] = ACTIONS(15),
    [sym_member_access] = ACTIONS(17),
    [anon_sym_POUND_POUND] = ACTIONS(19),
    [sym_number_bigint] = ACTIONS(21),
    [sym_gensym] = ACTIONS(169),
    [sym_false] = ACTIONS(25),
    [sym_number_double] = ACTIONS(21),
    [sym__number_hex] = ACTIONS(27),
    [anon_sym_POUND_LPAREN] = ACTIONS(29),
    [anon_sym_CARET_COLON] = ACTIONS(31),
    [anon_sym_CARET_DQUOTE] = ACTIONS(33),
    [anon_sym_TILDE] = ACTIONS(289),
    [anon_sym_POUND_QMARK] = ACTIONS(37),
    [anon_sym_DASH_GT_GT] = ACTIONS(39),
    [anon_sym_cond_DASH_GT_GT] = ACTIONS(39),
    [anon_sym_some_DASH_GT] = ACTIONS(3),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_POUND_LBRACE] = ACTIONS(43),
    [sym_field_access] = ACTIONS(17),
    [anon_sym_LBRACE] = ACTIONS(45),
    [anon_sym_LPAREN] = ACTIONS(47),
    [sym_number_bigdecimal] = ACTIONS(49),
    [anon_sym_BQUOTE] = ACTIONS(291),
    [sym_shorthand_function_arg] = ACTIONS(169),
    [sym_nil] = ACTIONS(171),
    [sym__normal_long] = ACTIONS(27),
    [sym__number_arbitrary_radix] = ACTIONS(27),
    [anon_sym_AT] = ACTIONS(55),
    [anon_sym_POUND_QMARK_AT] = ACTIONS(57),
    [anon_sym_as_DASH_GT] = ACTIONS(39),
    [anon_sym_some_DASH_GT_GT] = ACTIONS(39),
    [anon_sym_SQUOTE] = ACTIONS(295),
    [anon_sym_POUND_COLON_COLON_LBRACE] = ACTIONS(61),
    [anon_sym_POUND_BANG] = ACTIONS(65),
    [sym_new_class] = ACTIONS(17),
    [sym__symbol_chars] = ACTIONS(67),
    [anon_sym_LBRACK] = ACTIONS(69),
    [sym_number_ratio] = ACTIONS(49),
    [anon_sym_BSLASH] = ACTIONS(71),
    [anon_sym_POUND_SQUOTE] = ACTIONS(73),
    [sym_true] = ACTIONS(25),
    [sym__number_octal] = ACTIONS(27),
    [anon_sym_CARET] = ACTIONS(75),
    [anon_sym_TILDE_AT] = ACTIONS(297),
    [anon_sym_DQUOTE] = ACTIONS(79),
    [anon_sym_POUND] = ACTIONS(81),
  },
  [145] = {
    [anon_sym_cond_DASH_GT] = ACTIONS(601),
    [anon_sym_POUND_DQUOTE] = ACTIONS(603),
    [aux_sym_namespace_map_token1] = ACTIONS(603),
    [anon_sym_SEMI] = ACTIONS(603),
    [anon_sym_RBRACK] = ACTIONS(603),
    [anon_sym_TILDE] = ACTIONS(601),
    [sym_number_bigint] = ACTIONS(601),
    [sym_gensym] = ACTIONS(603),
    [sym_false] = ACTIONS(601),
    [anon_sym_CARET_COLON] = ACTIONS(603),
    [sym__number_hex] = ACTIONS(601),
    [anon_sym_cond_DASH_GT_GT] = ACTIONS(603),
    [anon_sym_POUND_LBRACE] = ACTIONS(603),
    [anon_sym_LBRACE] = ACTIONS(603),
    [sym_number_bigdecimal] = ACTIONS(603),
    [anon_sym_AT] = ACTIONS(603),
    [sym__normal_long] = ACTIONS(601),
    [sym__number_arbitrary_radix] = ACTIONS(601),
    [anon_sym_SQUOTE] = ACTIONS(603),
    [anon_sym_RPAREN] = ACTIONS(603),
    [anon_sym_POUND_BANG] = ACTIONS(603),
    [sym__symbol_chars] = ACTIONS(601),
    [sym_number_ratio] = ACTIONS(603),
    [anon_sym_POUND] = ACTIONS(601),
    [sym__number_octal] = ACTIONS(601),
    [anon_sym_DASH_GT] = ACTIONS(601),
    [anon_sym_LPARENquote] = ACTIONS(603),
    [anon_sym_COLON] = ACTIONS(601),
    [anon_sym_POUND_] = ACTIONS(603),
    [sym_member_access] = ACTIONS(603),
    [anon_sym_POUND_POUND] = ACTIONS(603),
    [anon_sym_CARET_DQUOTE] = ACTIONS(603),
    [anon_sym_POUND_LPAREN] = ACTIONS(603),
    [sym_number_double] = ACTIONS(601),
    [anon_sym_POUND_QMARK] = ACTIONS(601),
    [anon_sym_DASH_GT_GT] = ACTIONS(603),
    [anon_sym_some_DASH_GT] = ACTIONS(601),
    [anon_sym_COLON_COLON] = ACTIONS(603),
    [anon_sym_RBRACE] = ACTIONS(603),
    [sym_field_access] = ACTIONS(603),
    [anon_sym_LPAREN] = ACTIONS(601),
    [anon_sym_BQUOTE] = ACTIONS(603),
    [sym_shorthand_function_arg] = ACTIONS(603),
    [sym_nil] = ACTIONS(601),
    [anon_sym_POUND_QMARK_AT] = ACTIONS(603),
    [anon_sym_as_DASH_GT] = ACTIONS(603),
    [anon_sym_some_DASH_GT_GT] = ACTIONS(603),
    [anon_sym_POUND_COLON_COLON_LBRACE] = ACTIONS(603),
    [ts_builtin_sym_end] = ACTIONS(603),
    [sym_new_class] = ACTIONS(603),
    [anon_sym_LBRACK] = ACTIONS(603),
    [anon_sym_POUND_SQUOTE] = ACTIONS(603),
    [anon_sym_BSLASH] = ACTIONS(603),
    [anon_sym_TILDE_AT] = ACTIONS(603),
    [sym_true] = ACTIONS(601),
    [anon_sym_CARET] = ACTIONS(601),
    [anon_sym_DQUOTE] = ACTIONS(603),
  },
  [146] = {
    [sym_metadata_shorthand] = STATE(40),
    [sym_deref] = STATE(114),
    [sym__collection_literals] = STATE(114),
    [sym_boolean] = STATE(114),
    [sym_character] = STATE(114),
    [sym_string] = STATE(114),
    [sym_tagged_literal] = STATE(114),
    [sym_keyword] = STATE(114),
    [sym__character] = STATE(34),
    [sym__string] = STATE(35),
    [sym__keyword] = STATE(36),
    [sym_vector] = STATE(114),
    [sym_threading_macro] = STATE(44),
    [sym_qualified_symbol] = STATE(44),
    [sym__vector] = STATE(37),
    [sym_shebang_line] = STATE(38),
    [sym_ignore_form] = STATE(38),
    [sym_defn] = STATE(114),
    [sym_syntax_quote] = STATE(114),
    [sym_var_quote] = STATE(114),
    [sym_reader_conditional] = STATE(114),
    [sym_number] = STATE(114),
    [sym__number] = STATE(47),
    [aux_sym_metadata_repeat1] = STATE(40),
    [sym_regex] = STATE(114),
    [sym__regex] = STATE(48),
    [sym__unqualified_keyword] = STATE(36),
    [sym_qualified_keyword] = STATE(36),
    [sym__qualified_symbol] = STATE(41),
    [sym_interop] = STATE(114),
    [sym_hash_map] = STATE(114),
    [sym__hash_map] = STATE(49),
    [sym_set] = STATE(114),
    [sym__set] = STATE(50),
    [sym_comment_macro] = STATE(38),
    [sym__functions] = STATE(114),
    [sym__reader_conditional_symbol] = STATE(39),
    [sym_metadata] = STATE(51),
    [sym_unquote] = STATE(114),
    [sym__literals] = STATE(114),
    [sym_unquote_splice] = STATE(114),
    [sym_symbolic_value] = STATE(114),
    [sym_number_long] = STATE(47),
    [sym__anything] = STATE(114),
    [sym_quote] = STATE(114),
    [sym__quote] = STATE(43),
    [sym_symbol] = STATE(114),
    [sym__symbol] = STATE(44),
    [sym_list] = STATE(114),
    [sym__list] = STATE(45),
    [sym_namespace_map] = STATE(49),
    [sym_comment] = STATE(114),
    [sym_semicolon] = STATE(38),
    [sym_anonymous_function] = STATE(114),
    [sym_shorthand_function] = STATE(114),
    [sym__metadata_map] = STATE(52),
    [anon_sym_DASH_GT] = ACTIONS(3),
    [anon_sym_cond_DASH_GT] = ACTIONS(3),
    [anon_sym_LPARENquote] = ACTIONS(5),
    [anon_sym_POUND_DQUOTE] = ACTIONS(7),
    [anon_sym_COLON] = ACTIONS(9),
    [aux_sym_namespace_map_token1] = ACTIONS(11),
    [anon_sym_POUND_] = ACTIONS(283),
    [anon_sym_SEMI] = ACTIONS(15),
    [sym_member_access] = ACTIONS(17),
    [anon_sym_POUND_POUND] = ACTIONS(19),
    [sym_number_bigint] = ACTIONS(21),
    [sym_gensym] = ACTIONS(213),
    [sym_false] = ACTIONS(25),
    [sym_number_double] = ACTIONS(21),
    [sym__number_hex] = ACTIONS(27),
    [anon_sym_POUND_LPAREN] = ACTIONS(29),
    [anon_sym_CARET_COLON] = ACTIONS(31),
    [anon_sym_CARET_DQUOTE] = ACTIONS(33),
    [anon_sym_TILDE] = ACTIONS(289),
    [anon_sym_POUND_QMARK] = ACTIONS(37),
    [anon_sym_DASH_GT_GT] = ACTIONS(39),
    [anon_sym_cond_DASH_GT_GT] = ACTIONS(39),
    [anon_sym_some_DASH_GT] = ACTIONS(3),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_POUND_LBRACE] = ACTIONS(43),
    [sym_field_access] = ACTIONS(17),
    [anon_sym_LBRACE] = ACTIONS(45),
    [anon_sym_LPAREN] = ACTIONS(47),
    [sym_number_bigdecimal] = ACTIONS(49),
    [anon_sym_BQUOTE] = ACTIONS(291),
    [sym_shorthand_function_arg] = ACTIONS(213),
    [sym_nil] = ACTIONS(215),
    [sym__normal_long] = ACTIONS(27),
    [sym__number_arbitrary_radix] = ACTIONS(27),
    [anon_sym_AT] = ACTIONS(55),
    [anon_sym_POUND_QMARK_AT] = ACTIONS(57),
    [anon_sym_as_DASH_GT] = ACTIONS(39),
    [anon_sym_some_DASH_GT_GT] = ACTIONS(39),
    [anon_sym_SQUOTE] = ACTIONS(295),
    [anon_sym_POUND_COLON_COLON_LBRACE] = ACTIONS(61),
    [anon_sym_POUND_BANG] = ACTIONS(65),
    [sym_new_class] = ACTIONS(17),
    [sym__symbol_chars] = ACTIONS(67),
    [anon_sym_LBRACK] = ACTIONS(69),
    [sym_number_ratio] = ACTIONS(49),
    [anon_sym_BSLASH] = ACTIONS(71),
    [anon_sym_POUND_SQUOTE] = ACTIONS(73),
    [sym_true] = ACTIONS(25),
    [sym__number_octal] = ACTIONS(27),
    [anon_sym_CARET] = ACTIONS(75),
    [anon_sym_TILDE_AT] = ACTIONS(297),
    [anon_sym_DQUOTE] = ACTIONS(79),
    [anon_sym_POUND] = ACTIONS(81),
  },
  [147] = {
    [sym_metadata_shorthand] = STATE(40),
    [sym_deref] = STATE(136),
    [sym__collection_literals] = STATE(136),
    [sym_boolean] = STATE(136),
    [sym_character] = STATE(136),
    [sym_string] = STATE(136),
    [sym_tagged_literal] = STATE(136),
    [sym_keyword] = STATE(136),
    [sym__character] = STATE(34),
    [sym__string] = STATE(35),
    [sym__keyword] = STATE(36),
    [sym_vector] = STATE(136),
    [sym_threading_macro] = STATE(44),
    [sym_qualified_symbol] = STATE(44),
    [sym__vector] = STATE(37),
    [sym_shebang_line] = STATE(38),
    [sym_ignore_form] = STATE(38),
    [sym_defn] = STATE(136),
    [sym_syntax_quote] = STATE(136),
    [sym_var_quote] = STATE(136),
    [sym_reader_conditional] = STATE(136),
    [sym_number] = STATE(136),
    [sym__number] = STATE(47),
    [aux_sym_metadata_repeat1] = STATE(40),
    [sym_regex] = STATE(136),
    [sym__regex] = STATE(48),
    [sym__unqualified_keyword] = STATE(36),
    [sym_qualified_keyword] = STATE(36),
    [sym__qualified_symbol] = STATE(41),
    [sym_interop] = STATE(136),
    [sym_hash_map] = STATE(136),
    [sym__hash_map] = STATE(49),
    [sym_set] = STATE(136),
    [sym__set] = STATE(50),
    [sym_comment_macro] = STATE(38),
    [sym__functions] = STATE(136),
    [sym__reader_conditional_symbol] = STATE(39),
    [sym_metadata] = STATE(51),
    [sym_unquote] = STATE(136),
    [sym__literals] = STATE(136),
    [sym_unquote_splice] = STATE(136),
    [sym_symbolic_value] = STATE(136),
    [sym_number_long] = STATE(47),
    [sym__anything] = STATE(136),
    [sym_quote] = STATE(136),
    [sym__quote] = STATE(43),
    [sym_symbol] = STATE(136),
    [sym__symbol] = STATE(44),
    [sym_list] = STATE(136),
    [sym__list] = STATE(45),
    [sym_namespace_map] = STATE(49),
    [sym_comment] = STATE(136),
    [sym_semicolon] = STATE(38),
    [sym_anonymous_function] = STATE(136),
    [sym_shorthand_function] = STATE(136),
    [sym__metadata_map] = STATE(52),
    [anon_sym_DASH_GT] = ACTIONS(3),
    [anon_sym_cond_DASH_GT] = ACTIONS(3),
    [anon_sym_LPARENquote] = ACTIONS(5),
    [anon_sym_POUND_DQUOTE] = ACTIONS(7),
    [anon_sym_COLON] = ACTIONS(9),
    [aux_sym_namespace_map_token1] = ACTIONS(11),
    [anon_sym_POUND_] = ACTIONS(283),
    [anon_sym_SEMI] = ACTIONS(15),
    [sym_member_access] = ACTIONS(17),
    [anon_sym_POUND_POUND] = ACTIONS(19),
    [sym_number_bigint] = ACTIONS(21),
    [sym_gensym] = ACTIONS(263),
    [sym_false] = ACTIONS(25),
    [sym_number_double] = ACTIONS(21),
    [sym__number_hex] = ACTIONS(27),
    [anon_sym_POUND_LPAREN] = ACTIONS(29),
    [anon_sym_CARET_COLON] = ACTIONS(31),
    [anon_sym_CARET_DQUOTE] = ACTIONS(33),
    [anon_sym_TILDE] = ACTIONS(289),
    [anon_sym_POUND_QMARK] = ACTIONS(37),
    [anon_sym_DASH_GT_GT] = ACTIONS(39),
    [anon_sym_cond_DASH_GT_GT] = ACTIONS(39),
    [anon_sym_some_DASH_GT] = ACTIONS(3),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_POUND_LBRACE] = ACTIONS(43),
    [sym_field_access] = ACTIONS(17),
    [anon_sym_LBRACE] = ACTIONS(45),
    [anon_sym_LPAREN] = ACTIONS(47),
    [sym_number_bigdecimal] = ACTIONS(49),
    [anon_sym_BQUOTE] = ACTIONS(291),
    [sym_shorthand_function_arg] = ACTIONS(263),
    [sym_nil] = ACTIONS(265),
    [sym__normal_long] = ACTIONS(27),
    [sym__number_arbitrary_radix] = ACTIONS(27),
    [anon_sym_AT] = ACTIONS(55),
    [anon_sym_POUND_QMARK_AT] = ACTIONS(57),
    [anon_sym_as_DASH_GT] = ACTIONS(39),
    [anon_sym_some_DASH_GT_GT] = ACTIONS(39),
    [anon_sym_SQUOTE] = ACTIONS(295),
    [anon_sym_POUND_COLON_COLON_LBRACE] = ACTIONS(61),
    [anon_sym_POUND_BANG] = ACTIONS(65),
    [sym_new_class] = ACTIONS(17),
    [sym__symbol_chars] = ACTIONS(67),
    [anon_sym_LBRACK] = ACTIONS(69),
    [sym_number_ratio] = ACTIONS(49),
    [anon_sym_BSLASH] = ACTIONS(71),
    [anon_sym_POUND_SQUOTE] = ACTIONS(73),
    [sym_true] = ACTIONS(25),
    [sym__number_octal] = ACTIONS(27),
    [anon_sym_CARET] = ACTIONS(75),
    [anon_sym_TILDE_AT] = ACTIONS(297),
    [anon_sym_DQUOTE] = ACTIONS(79),
    [anon_sym_POUND] = ACTIONS(81),
  },
  [148] = {
    [sym_metadata_shorthand] = STATE(40),
    [sym_deref] = STATE(139),
    [sym__collection_literals] = STATE(139),
    [sym_boolean] = STATE(139),
    [sym_character] = STATE(139),
    [sym_string] = STATE(139),
    [sym_tagged_literal] = STATE(139),
    [sym_keyword] = STATE(139),
    [sym__character] = STATE(34),
    [sym__string] = STATE(35),
    [sym__keyword] = STATE(36),
    [sym_vector] = STATE(139),
    [sym_threading_macro] = STATE(44),
    [sym_qualified_symbol] = STATE(44),
    [sym__vector] = STATE(37),
    [sym_shebang_line] = STATE(38),
    [sym_ignore_form] = STATE(38),
    [sym_defn] = STATE(139),
    [sym_syntax_quote] = STATE(139),
    [sym_var_quote] = STATE(139),
    [sym_reader_conditional] = STATE(139),
    [sym_number] = STATE(139),
    [sym__number] = STATE(47),
    [aux_sym_metadata_repeat1] = STATE(40),
    [sym_regex] = STATE(139),
    [sym__regex] = STATE(48),
    [sym__unqualified_keyword] = STATE(36),
    [sym_qualified_keyword] = STATE(36),
    [sym__qualified_symbol] = STATE(41),
    [sym_interop] = STATE(139),
    [sym_hash_map] = STATE(139),
    [sym__hash_map] = STATE(49),
    [sym_set] = STATE(139),
    [sym__set] = STATE(50),
    [sym_comment_macro] = STATE(38),
    [sym__functions] = STATE(139),
    [sym__reader_conditional_symbol] = STATE(39),
    [sym_metadata] = STATE(51),
    [sym_unquote] = STATE(139),
    [sym__literals] = STATE(139),
    [sym_unquote_splice] = STATE(139),
    [sym_symbolic_value] = STATE(139),
    [sym_number_long] = STATE(47),
    [sym__anything] = STATE(139),
    [sym_quote] = STATE(139),
    [sym__quote] = STATE(43),
    [sym_symbol] = STATE(139),
    [sym__symbol] = STATE(44),
    [sym_list] = STATE(139),
    [sym__list] = STATE(45),
    [sym_namespace_map] = STATE(49),
    [sym_comment] = STATE(139),
    [sym_semicolon] = STATE(38),
    [sym_anonymous_function] = STATE(139),
    [sym_shorthand_function] = STATE(139),
    [sym__metadata_map] = STATE(52),
    [anon_sym_DASH_GT] = ACTIONS(3),
    [anon_sym_cond_DASH_GT] = ACTIONS(3),
    [anon_sym_LPARENquote] = ACTIONS(5),
    [anon_sym_POUND_DQUOTE] = ACTIONS(7),
    [anon_sym_COLON] = ACTIONS(9),
    [aux_sym_namespace_map_token1] = ACTIONS(11),
    [anon_sym_POUND_] = ACTIONS(283),
    [anon_sym_SEMI] = ACTIONS(15),
    [sym_member_access] = ACTIONS(17),
    [anon_sym_POUND_POUND] = ACTIONS(19),
    [sym_number_bigint] = ACTIONS(21),
    [sym_gensym] = ACTIONS(269),
    [sym_false] = ACTIONS(25),
    [sym_number_double] = ACTIONS(21),
    [sym__number_hex] = ACTIONS(27),
    [anon_sym_POUND_LPAREN] = ACTIONS(29),
    [anon_sym_CARET_COLON] = ACTIONS(31),
    [anon_sym_CARET_DQUOTE] = ACTIONS(33),
    [anon_sym_TILDE] = ACTIONS(289),
    [anon_sym_POUND_QMARK] = ACTIONS(37),
    [anon_sym_DASH_GT_GT] = ACTIONS(39),
    [anon_sym_cond_DASH_GT_GT] = ACTIONS(39),
    [anon_sym_some_DASH_GT] = ACTIONS(3),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_POUND_LBRACE] = ACTIONS(43),
    [sym_field_access] = ACTIONS(17),
    [anon_sym_LBRACE] = ACTIONS(45),
    [anon_sym_LPAREN] = ACTIONS(47),
    [sym_number_bigdecimal] = ACTIONS(49),
    [anon_sym_BQUOTE] = ACTIONS(291),
    [sym_shorthand_function_arg] = ACTIONS(269),
    [sym_nil] = ACTIONS(271),
    [sym__normal_long] = ACTIONS(27),
    [sym__number_arbitrary_radix] = ACTIONS(27),
    [anon_sym_AT] = ACTIONS(55),
    [anon_sym_POUND_QMARK_AT] = ACTIONS(57),
    [anon_sym_as_DASH_GT] = ACTIONS(39),
    [anon_sym_some_DASH_GT_GT] = ACTIONS(39),
    [anon_sym_SQUOTE] = ACTIONS(295),
    [anon_sym_POUND_COLON_COLON_LBRACE] = ACTIONS(61),
    [anon_sym_POUND_BANG] = ACTIONS(65),
    [sym_new_class] = ACTIONS(17),
    [sym__symbol_chars] = ACTIONS(67),
    [anon_sym_LBRACK] = ACTIONS(69),
    [sym_number_ratio] = ACTIONS(49),
    [anon_sym_BSLASH] = ACTIONS(71),
    [anon_sym_POUND_SQUOTE] = ACTIONS(73),
    [sym_true] = ACTIONS(25),
    [sym__number_octal] = ACTIONS(27),
    [anon_sym_CARET] = ACTIONS(75),
    [anon_sym_TILDE_AT] = ACTIONS(297),
    [anon_sym_DQUOTE] = ACTIONS(79),
    [anon_sym_POUND] = ACTIONS(81),
  },
  [149] = {
    [sym_metadata_shorthand] = STATE(40),
    [sym_deref] = STATE(156),
    [sym__collection_literals] = STATE(156),
    [sym_boolean] = STATE(156),
    [sym_character] = STATE(156),
    [sym_string] = STATE(156),
    [sym_tagged_literal] = STATE(156),
    [sym_keyword] = STATE(156),
    [sym__character] = STATE(34),
    [sym__string] = STATE(35),
    [sym__keyword] = STATE(36),
    [sym_vector] = STATE(156),
    [sym_threading_macro] = STATE(44),
    [sym_qualified_symbol] = STATE(44),
    [sym__vector] = STATE(37),
    [sym_shebang_line] = STATE(38),
    [sym_ignore_form] = STATE(38),
    [sym_defn] = STATE(156),
    [sym_syntax_quote] = STATE(156),
    [sym_var_quote] = STATE(156),
    [sym_reader_conditional] = STATE(156),
    [sym_number] = STATE(156),
    [sym__number] = STATE(47),
    [aux_sym_metadata_repeat1] = STATE(40),
    [sym_regex] = STATE(156),
    [sym__regex] = STATE(48),
    [sym__unqualified_keyword] = STATE(36),
    [sym_qualified_keyword] = STATE(36),
    [sym__qualified_symbol] = STATE(41),
    [sym_interop] = STATE(156),
    [sym_hash_map] = STATE(156),
    [sym__hash_map] = STATE(49),
    [sym_set] = STATE(156),
    [sym__set] = STATE(50),
    [sym_comment_macro] = STATE(38),
    [sym__functions] = STATE(156),
    [sym__reader_conditional_symbol] = STATE(39),
    [sym_metadata] = STATE(51),
    [sym_unquote] = STATE(156),
    [sym__literals] = STATE(156),
    [sym_unquote_splice] = STATE(156),
    [sym_symbolic_value] = STATE(156),
    [sym_number_long] = STATE(47),
    [sym__anything] = STATE(156),
    [sym_quote] = STATE(156),
    [sym__quote] = STATE(43),
    [sym_symbol] = STATE(156),
    [sym__symbol] = STATE(44),
    [sym_list] = STATE(156),
    [sym__list] = STATE(45),
    [sym_namespace_map] = STATE(49),
    [sym_comment] = STATE(156),
    [sym_semicolon] = STATE(38),
    [sym_anonymous_function] = STATE(156),
    [sym_shorthand_function] = STATE(156),
    [sym__metadata_map] = STATE(52),
    [anon_sym_DASH_GT] = ACTIONS(3),
    [anon_sym_cond_DASH_GT] = ACTIONS(3),
    [anon_sym_LPARENquote] = ACTIONS(5),
    [anon_sym_POUND_DQUOTE] = ACTIONS(7),
    [anon_sym_COLON] = ACTIONS(9),
    [aux_sym_namespace_map_token1] = ACTIONS(11),
    [anon_sym_POUND_] = ACTIONS(283),
    [anon_sym_SEMI] = ACTIONS(15),
    [sym_member_access] = ACTIONS(17),
    [anon_sym_POUND_POUND] = ACTIONS(19),
    [sym_number_bigint] = ACTIONS(21),
    [sym_gensym] = ACTIONS(307),
    [sym_false] = ACTIONS(25),
    [sym_number_double] = ACTIONS(21),
    [sym__number_hex] = ACTIONS(27),
    [anon_sym_POUND_LPAREN] = ACTIONS(29),
    [anon_sym_CARET_COLON] = ACTIONS(31),
    [anon_sym_CARET_DQUOTE] = ACTIONS(33),
    [anon_sym_TILDE] = ACTIONS(289),
    [anon_sym_POUND_QMARK] = ACTIONS(37),
    [anon_sym_DASH_GT_GT] = ACTIONS(39),
    [anon_sym_cond_DASH_GT_GT] = ACTIONS(39),
    [anon_sym_some_DASH_GT] = ACTIONS(3),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_POUND_LBRACE] = ACTIONS(43),
    [sym_field_access] = ACTIONS(17),
    [anon_sym_LBRACE] = ACTIONS(45),
    [anon_sym_LPAREN] = ACTIONS(47),
    [sym_number_bigdecimal] = ACTIONS(49),
    [anon_sym_BQUOTE] = ACTIONS(291),
    [sym_shorthand_function_arg] = ACTIONS(307),
    [sym_nil] = ACTIONS(309),
    [sym__normal_long] = ACTIONS(27),
    [sym__number_arbitrary_radix] = ACTIONS(27),
    [anon_sym_AT] = ACTIONS(55),
    [anon_sym_POUND_QMARK_AT] = ACTIONS(57),
    [anon_sym_as_DASH_GT] = ACTIONS(39),
    [anon_sym_some_DASH_GT_GT] = ACTIONS(39),
    [anon_sym_SQUOTE] = ACTIONS(295),
    [anon_sym_POUND_COLON_COLON_LBRACE] = ACTIONS(61),
    [anon_sym_POUND_BANG] = ACTIONS(65),
    [sym_new_class] = ACTIONS(17),
    [sym__symbol_chars] = ACTIONS(67),
    [anon_sym_LBRACK] = ACTIONS(69),
    [sym_number_ratio] = ACTIONS(49),
    [anon_sym_BSLASH] = ACTIONS(71),
    [anon_sym_POUND_SQUOTE] = ACTIONS(73),
    [sym_true] = ACTIONS(25),
    [sym__number_octal] = ACTIONS(27),
    [anon_sym_CARET] = ACTIONS(75),
    [anon_sym_TILDE_AT] = ACTIONS(297),
    [anon_sym_DQUOTE] = ACTIONS(79),
    [anon_sym_POUND] = ACTIONS(81),
  },
  [150] = {
    [sym_deref] = STATE(240),
    [sym_boolean] = STATE(240),
    [sym__character] = STATE(34),
    [sym__string] = STATE(35),
    [sym__keyword] = STATE(36),
    [sym_qualified_symbol] = STATE(44),
    [sym__vector] = STATE(37),
    [sym_ignore_form] = STATE(38),
    [sym_var_quote] = STATE(240),
    [sym_number] = STATE(240),
    [sym__reader_conditional_symbol] = STATE(39),
    [aux_sym_metadata_repeat1] = STATE(40),
    [sym_regex] = STATE(240),
    [sym__unqualified_keyword] = STATE(36),
    [sym__qualified_symbol] = STATE(41),
    [sym_hash_map] = STATE(240),
    [sym_set] = STATE(240),
    [sym_comment_macro] = STATE(38),
    [sym_unquote] = STATE(240),
    [sym__literals] = STATE(240),
    [aux_sym_program_repeat1] = STATE(240),
    [sym_symbolic_value] = STATE(240),
    [sym__quote] = STATE(43),
    [sym__symbol] = STATE(44),
    [sym__list] = STATE(45),
    [sym_semicolon] = STATE(38),
    [sym_shorthand_function] = STATE(240),
    [sym_metadata_shorthand] = STATE(40),
    [sym__collection_literals] = STATE(240),
    [sym_tagged_literal] = STATE(240),
    [sym_character] = STATE(240),
    [sym_string] = STATE(240),
    [sym_keyword] = STATE(240),
    [sym_threading_macro] = STATE(44),
    [sym_vector] = STATE(240),
    [sym_shebang_line] = STATE(38),
    [sym_defn] = STATE(240),
    [sym_syntax_quote] = STATE(240),
    [sym_reader_conditional] = STATE(240),
    [sym__number] = STATE(47),
    [sym__regex] = STATE(48),
    [sym_qualified_keyword] = STATE(36),
    [sym_interop] = STATE(240),
    [sym__hash_map] = STATE(49),
    [sym__set] = STATE(50),
    [sym__functions] = STATE(240),
    [sym_metadata] = STATE(51),
    [sym__anything] = STATE(240),
    [sym_unquote_splice] = STATE(240),
    [sym_number_long] = STATE(47),
    [sym_quote] = STATE(240),
    [sym_symbol] = STATE(240),
    [sym_list] = STATE(240),
    [sym_namespace_map] = STATE(49),
    [sym_comment] = STATE(240),
    [sym_anonymous_function] = STATE(240),
    [sym__metadata_map] = STATE(52),
    [anon_sym_DASH_GT] = ACTIONS(3),
    [anon_sym_cond_DASH_GT] = ACTIONS(3),
    [anon_sym_LPARENquote] = ACTIONS(5),
    [anon_sym_POUND_DQUOTE] = ACTIONS(7),
    [anon_sym_COLON] = ACTIONS(9),
    [aux_sym_namespace_map_token1] = ACTIONS(11),
    [anon_sym_POUND_] = ACTIONS(283),
    [anon_sym_SEMI] = ACTIONS(15),
    [sym_member_access] = ACTIONS(17),
    [anon_sym_RBRACK] = ACTIONS(605),
    [anon_sym_POUND_POUND] = ACTIONS(19),
    [sym_number_bigint] = ACTIONS(21),
    [sym_gensym] = ACTIONS(607),
    [sym_false] = ACTIONS(25),
    [sym_number_double] = ACTIONS(21),
    [sym__number_hex] = ACTIONS(27),
    [anon_sym_POUND_LPAREN] = ACTIONS(29),
    [anon_sym_CARET_COLON] = ACTIONS(31),
    [anon_sym_CARET_DQUOTE] = ACTIONS(33),
    [anon_sym_TILDE] = ACTIONS(289),
    [anon_sym_POUND_QMARK] = ACTIONS(37),
    [anon_sym_DASH_GT_GT] = ACTIONS(39),
    [anon_sym_cond_DASH_GT_GT] = ACTIONS(39),
    [anon_sym_some_DASH_GT] = ACTIONS(3),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_POUND_LBRACE] = ACTIONS(43),
    [sym_field_access] = ACTIONS(17),
    [anon_sym_LBRACE] = ACTIONS(45),
    [anon_sym_LPAREN] = ACTIONS(47),
    [sym_number_bigdecimal] = ACTIONS(49),
    [anon_sym_BQUOTE] = ACTIONS(291),
    [sym_shorthand_function_arg] = ACTIONS(607),
    [sym_nil] = ACTIONS(609),
    [sym__normal_long] = ACTIONS(27),
    [sym__number_arbitrary_radix] = ACTIONS(27),
    [anon_sym_AT] = ACTIONS(55),
    [anon_sym_POUND_QMARK_AT] = ACTIONS(57),
    [anon_sym_as_DASH_GT] = ACTIONS(39),
    [anon_sym_some_DASH_GT_GT] = ACTIONS(39),
    [anon_sym_SQUOTE] = ACTIONS(295),
    [anon_sym_POUND_COLON_COLON_LBRACE] = ACTIONS(61),
    [anon_sym_POUND_BANG] = ACTIONS(65),
    [sym_new_class] = ACTIONS(17),
    [sym__symbol_chars] = ACTIONS(67),
    [anon_sym_LBRACK] = ACTIONS(69),
    [sym_number_ratio] = ACTIONS(49),
    [anon_sym_BSLASH] = ACTIONS(71),
    [anon_sym_POUND_SQUOTE] = ACTIONS(73),
    [sym_true] = ACTIONS(25),
    [sym__number_octal] = ACTIONS(27),
    [anon_sym_CARET] = ACTIONS(75),
    [anon_sym_TILDE_AT] = ACTIONS(297),
    [anon_sym_DQUOTE] = ACTIONS(79),
    [anon_sym_POUND] = ACTIONS(81),
  },
  [151] = {
    [sym__octal_num] = STATE(241),
    [aux_sym__octal_num_token3] = ACTIONS(611),
    [aux_sym__octal_num_token1] = ACTIONS(613),
    [aux_sym__octal_num_token2] = ACTIONS(611),
  },
  [152] = {
    [anon_sym_cond_DASH_GT] = ACTIONS(615),
    [anon_sym_POUND_DQUOTE] = ACTIONS(617),
    [aux_sym_namespace_map_token1] = ACTIONS(617),
    [anon_sym_SEMI] = ACTIONS(617),
    [anon_sym_RBRACK] = ACTIONS(617),
    [anon_sym_TILDE] = ACTIONS(615),
    [sym_number_bigint] = ACTIONS(615),
    [sym_gensym] = ACTIONS(617),
    [sym_false] = ACTIONS(615),
    [anon_sym_CARET_COLON] = ACTIONS(617),
    [sym__number_hex] = ACTIONS(615),
    [anon_sym_cond_DASH_GT_GT] = ACTIONS(617),
    [anon_sym_POUND_LBRACE] = ACTIONS(617),
    [anon_sym_LBRACE] = ACTIONS(617),
    [sym_number_bigdecimal] = ACTIONS(617),
    [anon_sym_AT] = ACTIONS(617),
    [sym__normal_long] = ACTIONS(615),
    [sym__number_arbitrary_radix] = ACTIONS(615),
    [anon_sym_SQUOTE] = ACTIONS(617),
    [anon_sym_RPAREN] = ACTIONS(617),
    [anon_sym_POUND_BANG] = ACTIONS(617),
    [sym__symbol_chars] = ACTIONS(615),
    [sym_number_ratio] = ACTIONS(617),
    [anon_sym_POUND] = ACTIONS(615),
    [sym__number_octal] = ACTIONS(615),
    [anon_sym_DASH_GT] = ACTIONS(615),
    [anon_sym_LPARENquote] = ACTIONS(617),
    [anon_sym_COLON] = ACTIONS(615),
    [anon_sym_POUND_] = ACTIONS(617),
    [sym_member_access] = ACTIONS(617),
    [anon_sym_POUND_POUND] = ACTIONS(617),
    [anon_sym_CARET_DQUOTE] = ACTIONS(617),
    [anon_sym_POUND_LPAREN] = ACTIONS(617),
    [sym_number_double] = ACTIONS(615),
    [anon_sym_POUND_QMARK] = ACTIONS(615),
    [anon_sym_DASH_GT_GT] = ACTIONS(617),
    [anon_sym_some_DASH_GT] = ACTIONS(615),
    [anon_sym_COLON_COLON] = ACTIONS(617),
    [anon_sym_RBRACE] = ACTIONS(617),
    [sym_field_access] = ACTIONS(617),
    [anon_sym_LPAREN] = ACTIONS(615),
    [anon_sym_BQUOTE] = ACTIONS(617),
    [sym_shorthand_function_arg] = ACTIONS(617),
    [sym_nil] = ACTIONS(615),
    [anon_sym_POUND_QMARK_AT] = ACTIONS(617),
    [anon_sym_as_DASH_GT] = ACTIONS(617),
    [anon_sym_some_DASH_GT_GT] = ACTIONS(617),
    [anon_sym_POUND_COLON_COLON_LBRACE] = ACTIONS(617),
    [ts_builtin_sym_end] = ACTIONS(617),
    [sym_new_class] = ACTIONS(617),
    [anon_sym_LBRACK] = ACTIONS(617),
    [anon_sym_POUND_SQUOTE] = ACTIONS(617),
    [anon_sym_BSLASH] = ACTIONS(617),
    [anon_sym_TILDE_AT] = ACTIONS(617),
    [sym_true] = ACTIONS(615),
    [anon_sym_CARET] = ACTIONS(615),
    [anon_sym_DQUOTE] = ACTIONS(617),
  },
  [153] = {
    [sym__hex_char] = ACTIONS(619),
  },
  [154] = {
    [anon_sym_cond_DASH_GT] = ACTIONS(621),
    [anon_sym_POUND_DQUOTE] = ACTIONS(623),
    [aux_sym_namespace_map_token1] = ACTIONS(623),
    [anon_sym_SEMI] = ACTIONS(623),
    [anon_sym_RBRACK] = ACTIONS(623),
    [anon_sym_TILDE] = ACTIONS(621),
    [sym_number_bigint] = ACTIONS(621),
    [sym_gensym] = ACTIONS(623),
    [sym_false] = ACTIONS(621),
    [anon_sym_CARET_COLON] = ACTIONS(623),
    [sym__number_hex] = ACTIONS(621),
    [anon_sym_cond_DASH_GT_GT] = ACTIONS(623),
    [anon_sym_POUND_LBRACE] = ACTIONS(623),
    [anon_sym_LBRACE] = ACTIONS(623),
    [sym_number_bigdecimal] = ACTIONS(623),
    [anon_sym_AT] = ACTIONS(623),
    [sym__normal_long] = ACTIONS(621),
    [sym__number_arbitrary_radix] = ACTIONS(621),
    [anon_sym_SQUOTE] = ACTIONS(623),
    [anon_sym_RPAREN] = ACTIONS(623),
    [anon_sym_POUND_BANG] = ACTIONS(623),
    [sym__symbol_chars] = ACTIONS(621),
    [sym_number_ratio] = ACTIONS(623),
    [anon_sym_POUND] = ACTIONS(621),
    [sym__number_octal] = ACTIONS(621),
    [anon_sym_DASH_GT] = ACTIONS(621),
    [anon_sym_LPARENquote] = ACTIONS(623),
    [anon_sym_COLON] = ACTIONS(621),
    [anon_sym_POUND_] = ACTIONS(623),
    [sym_member_access] = ACTIONS(623),
    [anon_sym_POUND_POUND] = ACTIONS(623),
    [anon_sym_CARET_DQUOTE] = ACTIONS(623),
    [anon_sym_POUND_LPAREN] = ACTIONS(623),
    [sym_number_double] = ACTIONS(621),
    [anon_sym_POUND_QMARK] = ACTIONS(621),
    [anon_sym_DASH_GT_GT] = ACTIONS(623),
    [anon_sym_some_DASH_GT] = ACTIONS(621),
    [anon_sym_COLON_COLON] = ACTIONS(623),
    [anon_sym_RBRACE] = ACTIONS(623),
    [sym_field_access] = ACTIONS(623),
    [anon_sym_LPAREN] = ACTIONS(621),
    [anon_sym_BQUOTE] = ACTIONS(623),
    [sym_shorthand_function_arg] = ACTIONS(623),
    [sym_nil] = ACTIONS(621),
    [anon_sym_POUND_QMARK_AT] = ACTIONS(623),
    [anon_sym_as_DASH_GT] = ACTIONS(623),
    [anon_sym_some_DASH_GT_GT] = ACTIONS(623),
    [anon_sym_POUND_COLON_COLON_LBRACE] = ACTIONS(623),
    [ts_builtin_sym_end] = ACTIONS(623),
    [sym_new_class] = ACTIONS(623),
    [anon_sym_LBRACK] = ACTIONS(623),
    [anon_sym_POUND_SQUOTE] = ACTIONS(623),
    [anon_sym_BSLASH] = ACTIONS(623),
    [anon_sym_TILDE_AT] = ACTIONS(623),
    [sym_true] = ACTIONS(621),
    [anon_sym_CARET] = ACTIONS(621),
    [anon_sym_DQUOTE] = ACTIONS(623),
  },
  [155] = {
    [anon_sym_LPAREN] = ACTIONS(625),
    [anon_sym_POUND_COLON_COLON_LBRACE] = ACTIONS(625),
    [anon_sym_POUND_LBRACE] = ACTIONS(625),
    [anon_sym_LBRACK] = ACTIONS(625),
    [aux_sym_namespace_map_token1] = ACTIONS(625),
    [anon_sym_LBRACE] = ACTIONS(625),
  },
  [156] = {
    [anon_sym_cond_DASH_GT] = ACTIONS(627),
    [anon_sym_POUND_DQUOTE] = ACTIONS(629),
    [aux_sym_namespace_map_token1] = ACTIONS(629),
    [anon_sym_SEMI] = ACTIONS(629),
    [anon_sym_RBRACK] = ACTIONS(629),
    [anon_sym_TILDE] = ACTIONS(627),
    [sym_number_bigint] = ACTIONS(627),
    [sym_gensym] = ACTIONS(629),
    [sym_false] = ACTIONS(627),
    [anon_sym_CARET_COLON] = ACTIONS(629),
    [sym__number_hex] = ACTIONS(627),
    [anon_sym_cond_DASH_GT_GT] = ACTIONS(629),
    [anon_sym_POUND_LBRACE] = ACTIONS(629),
    [anon_sym_LBRACE] = ACTIONS(629),
    [sym_number_bigdecimal] = ACTIONS(629),
    [anon_sym_AT] = ACTIONS(629),
    [sym__normal_long] = ACTIONS(627),
    [sym__number_arbitrary_radix] = ACTIONS(627),
    [anon_sym_SQUOTE] = ACTIONS(629),
    [anon_sym_RPAREN] = ACTIONS(629),
    [anon_sym_POUND_BANG] = ACTIONS(629),
    [sym__symbol_chars] = ACTIONS(627),
    [sym_number_ratio] = ACTIONS(629),
    [anon_sym_POUND] = ACTIONS(627),
    [sym__number_octal] = ACTIONS(627),
    [anon_sym_DASH_GT] = ACTIONS(627),
    [anon_sym_LPARENquote] = ACTIONS(629),
    [anon_sym_COLON] = ACTIONS(627),
    [anon_sym_POUND_] = ACTIONS(629),
    [sym_member_access] = ACTIONS(629),
    [anon_sym_POUND_POUND] = ACTIONS(629),
    [anon_sym_CARET_DQUOTE] = ACTIONS(629),
    [anon_sym_POUND_LPAREN] = ACTIONS(629),
    [sym_number_double] = ACTIONS(627),
    [anon_sym_POUND_QMARK] = ACTIONS(627),
    [anon_sym_DASH_GT_GT] = ACTIONS(629),
    [anon_sym_some_DASH_GT] = ACTIONS(627),
    [anon_sym_COLON_COLON] = ACTIONS(629),
    [anon_sym_RBRACE] = ACTIONS(629),
    [sym_field_access] = ACTIONS(629),
    [anon_sym_LPAREN] = ACTIONS(627),
    [anon_sym_BQUOTE] = ACTIONS(629),
    [sym_shorthand_function_arg] = ACTIONS(629),
    [sym_nil] = ACTIONS(627),
    [anon_sym_POUND_QMARK_AT] = ACTIONS(629),
    [anon_sym_as_DASH_GT] = ACTIONS(629),
    [anon_sym_some_DASH_GT_GT] = ACTIONS(629),
    [anon_sym_POUND_COLON_COLON_LBRACE] = ACTIONS(629),
    [ts_builtin_sym_end] = ACTIONS(629),
    [sym_new_class] = ACTIONS(629),
    [anon_sym_LBRACK] = ACTIONS(629),
    [anon_sym_POUND_SQUOTE] = ACTIONS(629),
    [anon_sym_BSLASH] = ACTIONS(629),
    [anon_sym_TILDE_AT] = ACTIONS(629),
    [sym_true] = ACTIONS(627),
    [anon_sym_CARET] = ACTIONS(627),
    [anon_sym_DQUOTE] = ACTIONS(629),
  },
  [157] = {
    [anon_sym_cond_DASH_GT] = ACTIONS(631),
    [anon_sym_POUND_DQUOTE] = ACTIONS(633),
    [aux_sym_namespace_map_token1] = ACTIONS(633),
    [anon_sym_SEMI] = ACTIONS(633),
    [anon_sym_RBRACK] = ACTIONS(633),
    [anon_sym_TILDE] = ACTIONS(631),
    [sym_number_bigint] = ACTIONS(631),
    [sym_gensym] = ACTIONS(633),
    [sym_false] = ACTIONS(631),
    [anon_sym_CARET_COLON] = ACTIONS(633),
    [sym__number_hex] = ACTIONS(631),
    [anon_sym_cond_DASH_GT_GT] = ACTIONS(633),
    [anon_sym_POUND_LBRACE] = ACTIONS(633),
    [anon_sym_LBRACE] = ACTIONS(633),
    [sym_number_bigdecimal] = ACTIONS(633),
    [anon_sym_AT] = ACTIONS(633),
    [sym__normal_long] = ACTIONS(631),
    [sym__number_arbitrary_radix] = ACTIONS(631),
    [anon_sym_SQUOTE] = ACTIONS(633),
    [anon_sym_RPAREN] = ACTIONS(633),
    [anon_sym_POUND_BANG] = ACTIONS(633),
    [sym__symbol_chars] = ACTIONS(631),
    [sym_number_ratio] = ACTIONS(633),
    [anon_sym_POUND] = ACTIONS(631),
    [sym__number_octal] = ACTIONS(631),
    [anon_sym_DASH_GT] = ACTIONS(631),
    [anon_sym_LPARENquote] = ACTIONS(633),
    [anon_sym_COLON] = ACTIONS(631),
    [anon_sym_POUND_] = ACTIONS(633),
    [sym_member_access] = ACTIONS(633),
    [anon_sym_POUND_POUND] = ACTIONS(633),
    [anon_sym_CARET_DQUOTE] = ACTIONS(633),
    [anon_sym_POUND_LPAREN] = ACTIONS(633),
    [sym_number_double] = ACTIONS(631),
    [anon_sym_POUND_QMARK] = ACTIONS(631),
    [anon_sym_DASH_GT_GT] = ACTIONS(633),
    [anon_sym_some_DASH_GT] = ACTIONS(631),
    [anon_sym_COLON_COLON] = ACTIONS(633),
    [anon_sym_RBRACE] = ACTIONS(633),
    [sym_field_access] = ACTIONS(633),
    [anon_sym_LPAREN] = ACTIONS(631),
    [anon_sym_BQUOTE] = ACTIONS(633),
    [sym_shorthand_function_arg] = ACTIONS(633),
    [sym_nil] = ACTIONS(631),
    [anon_sym_POUND_QMARK_AT] = ACTIONS(633),
    [anon_sym_as_DASH_GT] = ACTIONS(633),
    [anon_sym_some_DASH_GT_GT] = ACTIONS(633),
    [anon_sym_POUND_COLON_COLON_LBRACE] = ACTIONS(633),
    [ts_builtin_sym_end] = ACTIONS(633),
    [sym_new_class] = ACTIONS(633),
    [anon_sym_LBRACK] = ACTIONS(633),
    [anon_sym_POUND_SQUOTE] = ACTIONS(633),
    [anon_sym_BSLASH] = ACTIONS(633),
    [anon_sym_TILDE_AT] = ACTIONS(633),
    [sym_true] = ACTIONS(631),
    [anon_sym_CARET] = ACTIONS(631),
    [anon_sym_DQUOTE] = ACTIONS(633),
  },
  [158] = {
    [aux_sym__string_repeat1] = STATE(216),
    [anon_sym_DQUOTE] = ACTIONS(635),
    [anon_sym_BSLASH_DQUOTE] = ACTIONS(529),
    [aux_sym__string_token1] = ACTIONS(531),
  },
  [159] = {
    [anon_sym_cond_DASH_GT] = ACTIONS(637),
    [anon_sym_POUND_DQUOTE] = ACTIONS(639),
    [aux_sym_namespace_map_token1] = ACTIONS(639),
    [anon_sym_SEMI] = ACTIONS(639),
    [anon_sym_RBRACK] = ACTIONS(639),
    [anon_sym_TILDE] = ACTIONS(637),
    [sym_number_bigint] = ACTIONS(637),
    [sym_gensym] = ACTIONS(639),
    [sym_false] = ACTIONS(637),
    [anon_sym_CARET_COLON] = ACTIONS(639),
    [sym__number_hex] = ACTIONS(637),
    [anon_sym_cond_DASH_GT_GT] = ACTIONS(639),
    [anon_sym_POUND_LBRACE] = ACTIONS(639),
    [anon_sym_LBRACE] = ACTIONS(639),
    [sym_number_bigdecimal] = ACTIONS(639),
    [anon_sym_AT] = ACTIONS(639),
    [sym__normal_long] = ACTIONS(637),
    [sym__number_arbitrary_radix] = ACTIONS(637),
    [anon_sym_SQUOTE] = ACTIONS(639),
    [anon_sym_RPAREN] = ACTIONS(639),
    [anon_sym_POUND_BANG] = ACTIONS(639),
    [sym__symbol_chars] = ACTIONS(637),
    [sym_number_ratio] = ACTIONS(639),
    [anon_sym_POUND] = ACTIONS(637),
    [sym__number_octal] = ACTIONS(637),
    [anon_sym_DASH_GT] = ACTIONS(637),
    [anon_sym_LPARENquote] = ACTIONS(639),
    [anon_sym_COLON] = ACTIONS(637),
    [anon_sym_POUND_] = ACTIONS(639),
    [sym_member_access] = ACTIONS(639),
    [anon_sym_POUND_POUND] = ACTIONS(639),
    [anon_sym_CARET_DQUOTE] = ACTIONS(639),
    [anon_sym_POUND_LPAREN] = ACTIONS(639),
    [sym_number_double] = ACTIONS(637),
    [anon_sym_POUND_QMARK] = ACTIONS(637),
    [anon_sym_DASH_GT_GT] = ACTIONS(639),
    [anon_sym_some_DASH_GT] = ACTIONS(637),
    [anon_sym_COLON_COLON] = ACTIONS(639),
    [anon_sym_RBRACE] = ACTIONS(639),
    [sym_field_access] = ACTIONS(639),
    [anon_sym_LPAREN] = ACTIONS(637),
    [anon_sym_BQUOTE] = ACTIONS(639),
    [sym_shorthand_function_arg] = ACTIONS(639),
    [sym_nil] = ACTIONS(637),
    [anon_sym_POUND_QMARK_AT] = ACTIONS(639),
    [anon_sym_as_DASH_GT] = ACTIONS(639),
    [anon_sym_some_DASH_GT_GT] = ACTIONS(639),
    [anon_sym_SLASH] = ACTIONS(281),
    [anon_sym_POUND_COLON_COLON_LBRACE] = ACTIONS(639),
    [ts_builtin_sym_end] = ACTIONS(639),
    [sym_new_class] = ACTIONS(639),
    [anon_sym_LBRACK] = ACTIONS(639),
    [anon_sym_POUND_SQUOTE] = ACTIONS(639),
    [anon_sym_BSLASH] = ACTIONS(639),
    [anon_sym_TILDE_AT] = ACTIONS(639),
    [sym_true] = ACTIONS(637),
    [anon_sym_CARET] = ACTIONS(637),
    [anon_sym_DQUOTE] = ACTIONS(639),
  },
  [160] = {
    [anon_sym_cond_DASH_GT] = ACTIONS(637),
    [anon_sym_POUND_DQUOTE] = ACTIONS(639),
    [aux_sym_namespace_map_token1] = ACTIONS(639),
    [anon_sym_SEMI] = ACTIONS(639),
    [anon_sym_RBRACK] = ACTIONS(639),
    [anon_sym_TILDE] = ACTIONS(637),
    [sym_number_bigint] = ACTIONS(637),
    [sym_gensym] = ACTIONS(639),
    [sym_false] = ACTIONS(637),
    [anon_sym_CARET_COLON] = ACTIONS(639),
    [sym__number_hex] = ACTIONS(637),
    [anon_sym_cond_DASH_GT_GT] = ACTIONS(639),
    [anon_sym_POUND_LBRACE] = ACTIONS(639),
    [anon_sym_LBRACE] = ACTIONS(639),
    [sym_number_bigdecimal] = ACTIONS(639),
    [anon_sym_AT] = ACTIONS(639),
    [sym__normal_long] = ACTIONS(637),
    [sym__number_arbitrary_radix] = ACTIONS(637),
    [anon_sym_SQUOTE] = ACTIONS(639),
    [anon_sym_RPAREN] = ACTIONS(639),
    [anon_sym_POUND_BANG] = ACTIONS(639),
    [sym__symbol_chars] = ACTIONS(637),
    [sym_number_ratio] = ACTIONS(639),
    [anon_sym_POUND] = ACTIONS(637),
    [sym__number_octal] = ACTIONS(637),
    [anon_sym_DASH_GT] = ACTIONS(637),
    [anon_sym_LPARENquote] = ACTIONS(639),
    [anon_sym_COLON] = ACTIONS(637),
    [anon_sym_POUND_] = ACTIONS(639),
    [sym_member_access] = ACTIONS(639),
    [anon_sym_POUND_POUND] = ACTIONS(639),
    [anon_sym_CARET_DQUOTE] = ACTIONS(639),
    [anon_sym_POUND_LPAREN] = ACTIONS(639),
    [sym_number_double] = ACTIONS(637),
    [anon_sym_POUND_QMARK] = ACTIONS(637),
    [anon_sym_DASH_GT_GT] = ACTIONS(639),
    [anon_sym_some_DASH_GT] = ACTIONS(637),
    [anon_sym_COLON_COLON] = ACTIONS(639),
    [anon_sym_RBRACE] = ACTIONS(639),
    [sym_field_access] = ACTIONS(639),
    [anon_sym_LPAREN] = ACTIONS(637),
    [anon_sym_BQUOTE] = ACTIONS(639),
    [sym_shorthand_function_arg] = ACTIONS(639),
    [sym_nil] = ACTIONS(637),
    [anon_sym_POUND_QMARK_AT] = ACTIONS(639),
    [anon_sym_as_DASH_GT] = ACTIONS(639),
    [anon_sym_some_DASH_GT_GT] = ACTIONS(639),
    [anon_sym_POUND_COLON_COLON_LBRACE] = ACTIONS(639),
    [ts_builtin_sym_end] = ACTIONS(639),
    [sym_new_class] = ACTIONS(639),
    [anon_sym_LBRACK] = ACTIONS(639),
    [anon_sym_POUND_SQUOTE] = ACTIONS(639),
    [anon_sym_BSLASH] = ACTIONS(639),
    [anon_sym_TILDE_AT] = ACTIONS(639),
    [sym_true] = ACTIONS(637),
    [anon_sym_CARET] = ACTIONS(637),
    [anon_sym_DQUOTE] = ACTIONS(639),
  },
  [161] = {
    [sym__keyword] = STATE(36),
    [sym_keyword] = STATE(246),
    [sym__unqualified_keyword] = STATE(36),
    [sym_qualified_keyword] = STATE(36),
    [aux_sym_reader_conditional_repeat1] = STATE(245),
    [anon_sym_RPAREN] = ACTIONS(641),
    [anon_sym_COLON] = ACTIONS(9),
    [anon_sym_COLON_COLON] = ACTIONS(41),
  },
  [162] = {
    [sym__symbol_chars] = ACTIONS(205),
  },
  [163] = {
    [sym_metadata_shorthand] = STATE(163),
    [aux_sym_metadata_repeat1] = STATE(163),
    [anon_sym_LPAREN] = ACTIONS(643),
    [anon_sym_POUND_COLON_COLON_LBRACE] = ACTIONS(643),
    [anon_sym_CARET_COLON] = ACTIONS(645),
    [anon_sym_LBRACK] = ACTIONS(643),
    [aux_sym_namespace_map_token1] = ACTIONS(643),
    [anon_sym_CARET] = ACTIONS(648),
    [anon_sym_POUND_LBRACE] = ACTIONS(643),
    [anon_sym_CARET_DQUOTE] = ACTIONS(651),
    [anon_sym_LBRACE] = ACTIONS(643),
  },
  [164] = {
    [sym_deref] = STATE(164),
    [sym_boolean] = STATE(164),
    [sym__character] = STATE(34),
    [sym__string] = STATE(35),
    [sym__keyword] = STATE(36),
    [sym_qualified_symbol] = STATE(44),
    [sym__vector] = STATE(37),
    [sym_ignore_form] = STATE(38),
    [sym_var_quote] = STATE(164),
    [sym_number] = STATE(164),
    [sym__reader_conditional_symbol] = STATE(39),
    [aux_sym_metadata_repeat1] = STATE(40),
    [sym_regex] = STATE(164),
    [sym__unqualified_keyword] = STATE(36),
    [sym__qualified_symbol] = STATE(41),
    [sym_hash_map] = STATE(164),
    [sym_set] = STATE(164),
    [sym_comment_macro] = STATE(38),
    [sym_unquote] = STATE(164),
    [sym__literals] = STATE(164),
    [aux_sym_program_repeat1] = STATE(164),
    [sym_symbolic_value] = STATE(164),
    [sym__quote] = STATE(43),
    [sym__symbol] = STATE(44),
    [sym__list] = STATE(45),
    [sym_semicolon] = STATE(38),
    [sym_shorthand_function] = STATE(164),
    [sym_metadata_shorthand] = STATE(40),
    [sym__collection_literals] = STATE(164),
    [sym_tagged_literal] = STATE(164),
    [sym_character] = STATE(164),
    [sym_string] = STATE(164),
    [sym_keyword] = STATE(164),
    [sym_threading_macro] = STATE(44),
    [sym_vector] = STATE(164),
    [sym_shebang_line] = STATE(38),
    [sym_defn] = STATE(164),
    [sym_syntax_quote] = STATE(164),
    [sym_reader_conditional] = STATE(164),
    [sym__number] = STATE(47),
    [sym__regex] = STATE(48),
    [sym_qualified_keyword] = STATE(36),
    [sym_interop] = STATE(164),
    [sym__hash_map] = STATE(49),
    [sym__set] = STATE(50),
    [sym__functions] = STATE(164),
    [sym_metadata] = STATE(51),
    [sym__anything] = STATE(164),
    [sym_unquote_splice] = STATE(164),
    [sym_number_long] = STATE(47),
    [sym_quote] = STATE(164),
    [sym_symbol] = STATE(164),
    [sym_list] = STATE(164),
    [sym_namespace_map] = STATE(49),
    [sym_comment] = STATE(164),
    [sym_anonymous_function] = STATE(164),
    [sym__metadata_map] = STATE(52),
    [anon_sym_DASH_GT] = ACTIONS(654),
    [anon_sym_cond_DASH_GT] = ACTIONS(654),
    [anon_sym_LPARENquote] = ACTIONS(657),
    [anon_sym_POUND_DQUOTE] = ACTIONS(660),
    [anon_sym_COLON] = ACTIONS(663),
    [aux_sym_namespace_map_token1] = ACTIONS(666),
    [anon_sym_POUND_] = ACTIONS(669),
    [anon_sym_SEMI] = ACTIONS(672),
    [sym_member_access] = ACTIONS(675),
    [anon_sym_POUND_POUND] = ACTIONS(678),
    [sym_number_bigint] = ACTIONS(681),
    [anon_sym_CARET_DQUOTE] = ACTIONS(684),
    [sym_false] = ACTIONS(687),
    [sym_number_double] = ACTIONS(681),
    [sym__number_hex] = ACTIONS(690),
    [anon_sym_POUND_LPAREN] = ACTIONS(693),
    [anon_sym_CARET_COLON] = ACTIONS(696),
    [anon_sym_TILDE] = ACTIONS(699),
    [sym_gensym] = ACTIONS(702),
    [anon_sym_POUND_QMARK] = ACTIONS(705),
    [anon_sym_DASH_GT_GT] = ACTIONS(708),
    [anon_sym_cond_DASH_GT_GT] = ACTIONS(708),
    [anon_sym_some_DASH_GT] = ACTIONS(654),
    [anon_sym_COLON_COLON] = ACTIONS(711),
    [anon_sym_POUND_LBRACE] = ACTIONS(714),
    [sym_field_access] = ACTIONS(675),
    [anon_sym_LBRACE] = ACTIONS(717),
    [anon_sym_LPAREN] = ACTIONS(720),
    [sym_number_bigdecimal] = ACTIONS(723),
    [anon_sym_BQUOTE] = ACTIONS(726),
    [sym__normal_long] = ACTIONS(690),
    [sym_nil] = ACTIONS(729),
    [sym__number_arbitrary_radix] = ACTIONS(690),
    [sym_shorthand_function_arg] = ACTIONS(702),
    [anon_sym_AT] = ACTIONS(732),
    [anon_sym_POUND_QMARK_AT] = ACTIONS(735),
    [anon_sym_as_DASH_GT] = ACTIONS(708),
    [anon_sym_some_DASH_GT_GT] = ACTIONS(708),
    [anon_sym_SQUOTE] = ACTIONS(738),
    [anon_sym_POUND_COLON_COLON_LBRACE] = ACTIONS(741),
    [anon_sym_POUND_BANG] = ACTIONS(744),
    [sym_new_class] = ACTIONS(675),
    [sym__symbol_chars] = ACTIONS(747),
    [anon_sym_LBRACK] = ACTIONS(750),
    [sym_number_ratio] = ACTIONS(723),
    [anon_sym_BSLASH] = ACTIONS(753),
    [anon_sym_POUND_SQUOTE] = ACTIONS(756),
    [sym_true] = ACTIONS(687),
    [sym__number_octal] = ACTIONS(690),
    [anon_sym_CARET] = ACTIONS(759),
    [anon_sym_TILDE_AT] = ACTIONS(762),
    [anon_sym_DQUOTE] = ACTIONS(765),
    [anon_sym_POUND] = ACTIONS(768),
    [ts_builtin_sym_end] = ACTIONS(771),
  },
  [165] = {
    [anon_sym_cond_DASH_GT] = ACTIONS(773),
    [anon_sym_POUND_DQUOTE] = ACTIONS(775),
    [aux_sym_namespace_map_token1] = ACTIONS(775),
    [anon_sym_SEMI] = ACTIONS(775),
    [anon_sym_RBRACK] = ACTIONS(775),
    [anon_sym_TILDE] = ACTIONS(773),
    [sym_number_bigint] = ACTIONS(773),
    [sym_gensym] = ACTIONS(775),
    [sym_false] = ACTIONS(773),
    [anon_sym_CARET_COLON] = ACTIONS(775),
    [sym__number_hex] = ACTIONS(773),
    [anon_sym_cond_DASH_GT_GT] = ACTIONS(775),
    [anon_sym_POUND_LBRACE] = ACTIONS(775),
    [anon_sym_LBRACE] = ACTIONS(775),
    [sym_number_bigdecimal] = ACTIONS(775),
    [anon_sym_AT] = ACTIONS(775),
    [sym__normal_long] = ACTIONS(773),
    [sym__number_arbitrary_radix] = ACTIONS(773),
    [anon_sym_SQUOTE] = ACTIONS(775),
    [anon_sym_RPAREN] = ACTIONS(775),
    [anon_sym_POUND_BANG] = ACTIONS(775),
    [sym__symbol_chars] = ACTIONS(773),
    [sym_number_ratio] = ACTIONS(775),
    [anon_sym_POUND] = ACTIONS(773),
    [sym__number_octal] = ACTIONS(773),
    [anon_sym_DASH_GT] = ACTIONS(773),
    [anon_sym_LPARENquote] = ACTIONS(775),
    [anon_sym_COLON] = ACTIONS(773),
    [anon_sym_POUND_] = ACTIONS(775),
    [sym_member_access] = ACTIONS(775),
    [anon_sym_POUND_POUND] = ACTIONS(775),
    [anon_sym_CARET_DQUOTE] = ACTIONS(775),
    [anon_sym_POUND_LPAREN] = ACTIONS(775),
    [sym_number_double] = ACTIONS(773),
    [anon_sym_POUND_QMARK] = ACTIONS(773),
    [anon_sym_DASH_GT_GT] = ACTIONS(775),
    [anon_sym_some_DASH_GT] = ACTIONS(773),
    [anon_sym_COLON_COLON] = ACTIONS(775),
    [anon_sym_RBRACE] = ACTIONS(775),
    [sym_field_access] = ACTIONS(775),
    [anon_sym_LPAREN] = ACTIONS(773),
    [anon_sym_BQUOTE] = ACTIONS(775),
    [sym_shorthand_function_arg] = ACTIONS(775),
    [sym_nil] = ACTIONS(773),
    [anon_sym_POUND_QMARK_AT] = ACTIONS(775),
    [anon_sym_as_DASH_GT] = ACTIONS(775),
    [anon_sym_some_DASH_GT_GT] = ACTIONS(775),
    [anon_sym_POUND_COLON_COLON_LBRACE] = ACTIONS(775),
    [ts_builtin_sym_end] = ACTIONS(775),
    [sym_new_class] = ACTIONS(775),
    [anon_sym_LBRACK] = ACTIONS(775),
    [anon_sym_POUND_SQUOTE] = ACTIONS(775),
    [anon_sym_BSLASH] = ACTIONS(775),
    [anon_sym_TILDE_AT] = ACTIONS(775),
    [sym_true] = ACTIONS(773),
    [anon_sym_CARET] = ACTIONS(773),
    [anon_sym_DQUOTE] = ACTIONS(775),
  },
  [166] = {
    [anon_sym_RPAREN] = ACTIONS(777),
  },
  [167] = {
    [anon_sym_RPAREN] = ACTIONS(487),
  },
  [168] = {
    [aux_sym__regex_repeat1] = STATE(210),
    [aux_sym__regex_token1] = ACTIONS(489),
    [anon_sym_BSLASH_DQUOTE] = ACTIONS(491),
    [anon_sym_DQUOTE] = ACTIONS(779),
  },
  [169] = {
    [anon_sym_RPAREN] = ACTIONS(497),
  },
  [170] = {
    [sym_deref] = STATE(130),
    [sym_boolean] = STATE(130),
    [sym__character] = STATE(34),
    [sym__string] = STATE(35),
    [sym__keyword] = STATE(36),
    [sym_qualified_symbol] = STATE(44),
    [sym__vector] = STATE(37),
    [sym_ignore_form] = STATE(38),
    [sym_var_quote] = STATE(130),
    [sym_number] = STATE(130),
    [sym__reader_conditional_symbol] = STATE(39),
    [aux_sym_metadata_repeat1] = STATE(40),
    [sym_regex] = STATE(130),
    [sym__unqualified_keyword] = STATE(36),
    [sym__qualified_symbol] = STATE(41),
    [sym_hash_map] = STATE(130),
    [sym_set] = STATE(130),
    [sym_comment_macro] = STATE(38),
    [sym_unquote] = STATE(130),
    [sym__literals] = STATE(130),
    [sym_symbolic_value] = STATE(130),
    [sym__quote] = STATE(43),
    [sym__symbol] = STATE(44),
    [sym__list] = STATE(45),
    [sym__hash_map_kv_pair] = STATE(250),
    [sym_semicolon] = STATE(38),
    [sym_shorthand_function] = STATE(130),
    [sym_metadata_shorthand] = STATE(40),
    [sym__collection_literals] = STATE(130),
    [sym_tagged_literal] = STATE(130),
    [sym_character] = STATE(130),
    [aux_sym__hash_map_repeat1] = STATE(250),
    [sym_string] = STATE(130),
    [sym_keyword] = STATE(130),
    [sym_threading_macro] = STATE(44),
    [sym_vector] = STATE(130),
    [sym__hash_map_key] = STATE(130),
    [sym_shebang_line] = STATE(38),
    [sym_defn] = STATE(130),
    [sym_syntax_quote] = STATE(130),
    [sym_reader_conditional] = STATE(130),
    [sym__number] = STATE(47),
    [sym__regex] = STATE(48),
    [sym_qualified_keyword] = STATE(36),
    [sym_interop] = STATE(130),
    [sym__hash_map] = STATE(49),
    [sym__set] = STATE(50),
    [sym__functions] = STATE(130),
    [sym_metadata] = STATE(51),
    [sym__anything] = STATE(130),
    [sym_unquote_splice] = STATE(130),
    [sym_number_long] = STATE(47),
    [sym_quote] = STATE(130),
    [sym_symbol] = STATE(130),
    [sym_list] = STATE(130),
    [sym_namespace_map] = STATE(49),
    [sym_comment] = STATE(130),
    [sym_anonymous_function] = STATE(130),
    [sym__metadata_map] = STATE(52),
    [anon_sym_DASH_GT] = ACTIONS(3),
    [anon_sym_cond_DASH_GT] = ACTIONS(3),
    [anon_sym_LPARENquote] = ACTIONS(5),
    [anon_sym_POUND_DQUOTE] = ACTIONS(7),
    [anon_sym_COLON] = ACTIONS(9),
    [aux_sym_namespace_map_token1] = ACTIONS(11),
    [anon_sym_POUND_] = ACTIONS(235),
    [anon_sym_SEMI] = ACTIONS(15),
    [sym_member_access] = ACTIONS(17),
    [anon_sym_POUND_POUND] = ACTIONS(19),
    [sym_number_bigint] = ACTIONS(21),
    [sym_gensym] = ACTIONS(237),
    [sym_false] = ACTIONS(25),
    [sym_number_double] = ACTIONS(21),
    [sym__number_hex] = ACTIONS(27),
    [anon_sym_POUND_LPAREN] = ACTIONS(29),
    [anon_sym_CARET_COLON] = ACTIONS(31),
    [anon_sym_CARET_DQUOTE] = ACTIONS(33),
    [anon_sym_TILDE] = ACTIONS(239),
    [anon_sym_POUND_QMARK] = ACTIONS(37),
    [anon_sym_DASH_GT_GT] = ACTIONS(39),
    [anon_sym_cond_DASH_GT_GT] = ACTIONS(39),
    [anon_sym_some_DASH_GT] = ACTIONS(3),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_POUND_LBRACE] = ACTIONS(43),
    [anon_sym_RBRACE] = ACTIONS(781),
    [sym_field_access] = ACTIONS(17),
    [anon_sym_LBRACE] = ACTIONS(45),
    [anon_sym_LPAREN] = ACTIONS(47),
    [sym_number_bigdecimal] = ACTIONS(49),
    [anon_sym_BQUOTE] = ACTIONS(243),
    [sym_shorthand_function_arg] = ACTIONS(237),
    [sym_nil] = ACTIONS(245),
    [sym__normal_long] = ACTIONS(27),
    [sym__number_arbitrary_radix] = ACTIONS(27),
    [anon_sym_AT] = ACTIONS(55),
    [anon_sym_POUND_QMARK_AT] = ACTIONS(57),
    [anon_sym_as_DASH_GT] = ACTIONS(39),
    [anon_sym_some_DASH_GT_GT] = ACTIONS(39),
    [anon_sym_SQUOTE] = ACTIONS(247),
    [anon_sym_POUND_COLON_COLON_LBRACE] = ACTIONS(61),
    [anon_sym_POUND_BANG] = ACTIONS(65),
    [sym_new_class] = ACTIONS(17),
    [sym__symbol_chars] = ACTIONS(67),
    [anon_sym_LBRACK] = ACTIONS(69),
    [sym_number_ratio] = ACTIONS(49),
    [anon_sym_BSLASH] = ACTIONS(71),
    [anon_sym_POUND_SQUOTE] = ACTIONS(73),
    [sym_true] = ACTIONS(25),
    [sym__number_octal] = ACTIONS(27),
    [anon_sym_CARET] = ACTIONS(75),
    [anon_sym_TILDE_AT] = ACTIONS(249),
    [anon_sym_DQUOTE] = ACTIONS(79),
    [anon_sym_POUND] = ACTIONS(81),
  },
  [171] = {
    [anon_sym_RPAREN] = ACTIONS(503),
  },
  [172] = {
    [anon_sym_RPAREN] = ACTIONS(507),
  },
  [173] = {
    [anon_sym_RPAREN] = ACTIONS(511),
  },
  [174] = {
    [anon_sym_RPAREN] = ACTIONS(515),
  },
  [175] = {
    [sym_deref] = STATE(214),
    [sym_boolean] = STATE(214),
    [sym__character] = STATE(34),
    [sym__string] = STATE(35),
    [sym__keyword] = STATE(36),
    [sym_qualified_symbol] = STATE(44),
    [sym__vector] = STATE(37),
    [sym_ignore_form] = STATE(38),
    [sym_var_quote] = STATE(214),
    [sym_number] = STATE(214),
    [sym__reader_conditional_symbol] = STATE(39),
    [aux_sym_metadata_repeat1] = STATE(40),
    [sym_regex] = STATE(214),
    [sym__unqualified_keyword] = STATE(36),
    [sym__qualified_symbol] = STATE(41),
    [sym_hash_map] = STATE(214),
    [sym_set] = STATE(214),
    [sym_comment_macro] = STATE(38),
    [sym_unquote] = STATE(214),
    [sym__literals] = STATE(214),
    [aux_sym_program_repeat1] = STATE(214),
    [sym_symbolic_value] = STATE(214),
    [sym__quote] = STATE(43),
    [sym__symbol] = STATE(44),
    [sym__list] = STATE(45),
    [sym_semicolon] = STATE(38),
    [sym_shorthand_function] = STATE(214),
    [sym_metadata_shorthand] = STATE(40),
    [sym__collection_literals] = STATE(214),
    [sym_tagged_literal] = STATE(214),
    [sym_character] = STATE(214),
    [sym_string] = STATE(214),
    [sym_keyword] = STATE(214),
    [sym_threading_macro] = STATE(44),
    [sym_vector] = STATE(214),
    [sym_shebang_line] = STATE(38),
    [sym_defn] = STATE(214),
    [sym_syntax_quote] = STATE(214),
    [sym_reader_conditional] = STATE(214),
    [sym__number] = STATE(47),
    [sym__regex] = STATE(48),
    [sym_qualified_keyword] = STATE(36),
    [sym_interop] = STATE(214),
    [sym__hash_map] = STATE(49),
    [sym__set] = STATE(50),
    [sym__functions] = STATE(214),
    [sym_metadata] = STATE(51),
    [sym__anything] = STATE(214),
    [sym_unquote_splice] = STATE(214),
    [sym_number_long] = STATE(47),
    [sym_quote] = STATE(214),
    [sym_symbol] = STATE(214),
    [sym_list] = STATE(214),
    [sym_namespace_map] = STATE(49),
    [sym_comment] = STATE(214),
    [sym_anonymous_function] = STATE(214),
    [sym__metadata_map] = STATE(52),
    [anon_sym_DASH_GT] = ACTIONS(3),
    [anon_sym_cond_DASH_GT] = ACTIONS(3),
    [anon_sym_LPARENquote] = ACTIONS(5),
    [anon_sym_POUND_DQUOTE] = ACTIONS(7),
    [anon_sym_COLON] = ACTIONS(9),
    [aux_sym_namespace_map_token1] = ACTIONS(11),
    [anon_sym_POUND_] = ACTIONS(189),
    [anon_sym_SEMI] = ACTIONS(15),
    [sym_member_access] = ACTIONS(17),
    [anon_sym_POUND_POUND] = ACTIONS(19),
    [sym_number_bigint] = ACTIONS(21),
    [sym_gensym] = ACTIONS(517),
    [sym_false] = ACTIONS(25),
    [sym_number_double] = ACTIONS(21),
    [sym__number_hex] = ACTIONS(27),
    [anon_sym_POUND_LPAREN] = ACTIONS(29),
    [anon_sym_CARET_COLON] = ACTIONS(31),
    [anon_sym_CARET_DQUOTE] = ACTIONS(33),
    [anon_sym_TILDE] = ACTIONS(193),
    [anon_sym_POUND_QMARK] = ACTIONS(37),
    [anon_sym_DASH_GT_GT] = ACTIONS(39),
    [anon_sym_cond_DASH_GT_GT] = ACTIONS(39),
    [anon_sym_some_DASH_GT] = ACTIONS(3),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_POUND_LBRACE] = ACTIONS(43),
    [sym_field_access] = ACTIONS(17),
    [anon_sym_LBRACE] = ACTIONS(45),
    [anon_sym_LPAREN] = ACTIONS(47),
    [sym_number_bigdecimal] = ACTIONS(49),
    [anon_sym_BQUOTE] = ACTIONS(195),
    [sym_shorthand_function_arg] = ACTIONS(517),
    [sym_nil] = ACTIONS(519),
    [sym__normal_long] = ACTIONS(27),
    [sym__number_arbitrary_radix] = ACTIONS(27),
    [anon_sym_AT] = ACTIONS(55),
    [anon_sym_POUND_QMARK_AT] = ACTIONS(57),
    [anon_sym_as_DASH_GT] = ACTIONS(39),
    [anon_sym_some_DASH_GT_GT] = ACTIONS(39),
    [anon_sym_SQUOTE] = ACTIONS(199),
    [anon_sym_RPAREN] = ACTIONS(783),
    [anon_sym_POUND_COLON_COLON_LBRACE] = ACTIONS(61),
    [anon_sym_POUND_BANG] = ACTIONS(65),
    [sym_new_class] = ACTIONS(17),
    [sym__symbol_chars] = ACTIONS(67),
    [anon_sym_LBRACK] = ACTIONS(69),
    [sym_number_ratio] = ACTIONS(49),
    [anon_sym_BSLASH] = ACTIONS(71),
    [anon_sym_POUND_SQUOTE] = ACTIONS(73),
    [sym_true] = ACTIONS(25),
    [sym__number_octal] = ACTIONS(27),
    [anon_sym_CARET] = ACTIONS(75),
    [anon_sym_TILDE_AT] = ACTIONS(203),
    [anon_sym_DQUOTE] = ACTIONS(79),
    [anon_sym_POUND] = ACTIONS(81),
  },
  [176] = {
    [anon_sym_RPAREN] = ACTIONS(535),
  },
  [177] = {
    [anon_sym_RPAREN] = ACTIONS(539),
    [anon_sym_SLASH] = ACTIONS(785),
  },
  [178] = {
    [anon_sym_RPAREN] = ACTIONS(545),
  },
  [179] = {
    [sym_deref] = STATE(219),
    [sym_boolean] = STATE(219),
    [sym__character] = STATE(34),
    [sym__string] = STATE(35),
    [sym__keyword] = STATE(36),
    [sym_qualified_symbol] = STATE(44),
    [sym__vector] = STATE(37),
    [sym_ignore_form] = STATE(38),
    [sym_var_quote] = STATE(219),
    [sym_number] = STATE(219),
    [sym__reader_conditional_symbol] = STATE(39),
    [aux_sym_metadata_repeat1] = STATE(40),
    [sym_regex] = STATE(219),
    [sym__unqualified_keyword] = STATE(36),
    [sym__qualified_symbol] = STATE(41),
    [sym_hash_map] = STATE(219),
    [sym_set] = STATE(219),
    [sym_comment_macro] = STATE(38),
    [sym_unquote] = STATE(219),
    [sym__literals] = STATE(219),
    [aux_sym_program_repeat1] = STATE(219),
    [sym_symbolic_value] = STATE(219),
    [sym__quote] = STATE(43),
    [sym__symbol] = STATE(44),
    [sym__list] = STATE(45),
    [sym_semicolon] = STATE(38),
    [sym_shorthand_function] = STATE(219),
    [sym_metadata_shorthand] = STATE(40),
    [sym__collection_literals] = STATE(219),
    [sym_tagged_literal] = STATE(219),
    [sym_character] = STATE(219),
    [sym_string] = STATE(219),
    [sym_keyword] = STATE(219),
    [sym_threading_macro] = STATE(44),
    [sym_vector] = STATE(219),
    [sym_shebang_line] = STATE(38),
    [sym_defn] = STATE(219),
    [sym_syntax_quote] = STATE(219),
    [sym_reader_conditional] = STATE(219),
    [sym__number] = STATE(47),
    [sym__regex] = STATE(48),
    [sym_qualified_keyword] = STATE(36),
    [sym_interop] = STATE(219),
    [sym__hash_map] = STATE(49),
    [sym__set] = STATE(50),
    [sym__functions] = STATE(219),
    [sym_metadata] = STATE(51),
    [sym__anything] = STATE(219),
    [sym_unquote_splice] = STATE(219),
    [sym_number_long] = STATE(47),
    [sym_quote] = STATE(219),
    [sym_symbol] = STATE(219),
    [sym_list] = STATE(219),
    [sym_namespace_map] = STATE(49),
    [sym_comment] = STATE(219),
    [sym_anonymous_function] = STATE(219),
    [sym__metadata_map] = STATE(52),
    [anon_sym_DASH_GT] = ACTIONS(3),
    [anon_sym_cond_DASH_GT] = ACTIONS(3),
    [anon_sym_LPARENquote] = ACTIONS(5),
    [anon_sym_POUND_DQUOTE] = ACTIONS(7),
    [anon_sym_COLON] = ACTIONS(9),
    [aux_sym_namespace_map_token1] = ACTIONS(11),
    [anon_sym_POUND_] = ACTIONS(219),
    [anon_sym_SEMI] = ACTIONS(15),
    [sym_member_access] = ACTIONS(17),
    [anon_sym_POUND_POUND] = ACTIONS(19),
    [sym_number_bigint] = ACTIONS(21),
    [sym_gensym] = ACTIONS(547),
    [sym_false] = ACTIONS(25),
    [sym_number_double] = ACTIONS(21),
    [sym__number_hex] = ACTIONS(27),
    [anon_sym_POUND_LPAREN] = ACTIONS(29),
    [anon_sym_CARET_COLON] = ACTIONS(31),
    [anon_sym_CARET_DQUOTE] = ACTIONS(33),
    [anon_sym_TILDE] = ACTIONS(223),
    [anon_sym_POUND_QMARK] = ACTIONS(37),
    [anon_sym_DASH_GT_GT] = ACTIONS(39),
    [anon_sym_cond_DASH_GT_GT] = ACTIONS(39),
    [anon_sym_some_DASH_GT] = ACTIONS(3),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_POUND_LBRACE] = ACTIONS(43),
    [anon_sym_RBRACE] = ACTIONS(787),
    [sym_field_access] = ACTIONS(17),
    [anon_sym_LBRACE] = ACTIONS(45),
    [anon_sym_LPAREN] = ACTIONS(47),
    [sym_number_bigdecimal] = ACTIONS(49),
    [anon_sym_BQUOTE] = ACTIONS(227),
    [sym_shorthand_function_arg] = ACTIONS(547),
    [sym_nil] = ACTIONS(551),
    [sym__normal_long] = ACTIONS(27),
    [sym__number_arbitrary_radix] = ACTIONS(27),
    [anon_sym_AT] = ACTIONS(55),
    [anon_sym_POUND_QMARK_AT] = ACTIONS(57),
    [anon_sym_as_DASH_GT] = ACTIONS(39),
    [anon_sym_some_DASH_GT_GT] = ACTIONS(39),
    [anon_sym_SQUOTE] = ACTIONS(231),
    [anon_sym_POUND_COLON_COLON_LBRACE] = ACTIONS(61),
    [anon_sym_POUND_BANG] = ACTIONS(65),
    [sym_new_class] = ACTIONS(17),
    [sym__symbol_chars] = ACTIONS(67),
    [anon_sym_LBRACK] = ACTIONS(69),
    [sym_number_ratio] = ACTIONS(49),
    [anon_sym_BSLASH] = ACTIONS(71),
    [anon_sym_POUND_SQUOTE] = ACTIONS(73),
    [sym_true] = ACTIONS(25),
    [sym__number_octal] = ACTIONS(27),
    [anon_sym_CARET] = ACTIONS(75),
    [anon_sym_TILDE_AT] = ACTIONS(233),
    [anon_sym_DQUOTE] = ACTIONS(79),
    [anon_sym_POUND] = ACTIONS(81),
  },
  [180] = {
    [anon_sym_RPAREN] = ACTIONS(555),
    [anon_sym_LPAREN] = ACTIONS(555),
    [anon_sym_POUND_COLON_COLON_LBRACE] = ACTIONS(555),
    [anon_sym_POUND_LBRACE] = ACTIONS(555),
    [anon_sym_LBRACK] = ACTIONS(555),
    [aux_sym_namespace_map_token1] = ACTIONS(555),
    [anon_sym_LBRACE] = ACTIONS(555),
  },
  [181] = {
    [sym_deref] = STATE(130),
    [sym_boolean] = STATE(130),
    [sym__character] = STATE(34),
    [sym__string] = STATE(35),
    [sym__keyword] = STATE(36),
    [sym_qualified_symbol] = STATE(44),
    [sym__vector] = STATE(37),
    [sym_ignore_form] = STATE(38),
    [sym_var_quote] = STATE(130),
    [sym_number] = STATE(130),
    [sym__reader_conditional_symbol] = STATE(39),
    [aux_sym_metadata_repeat1] = STATE(40),
    [sym_regex] = STATE(130),
    [sym__unqualified_keyword] = STATE(36),
    [sym__qualified_symbol] = STATE(41),
    [sym_hash_map] = STATE(130),
    [sym_set] = STATE(130),
    [sym_comment_macro] = STATE(38),
    [sym_unquote] = STATE(130),
    [sym__literals] = STATE(130),
    [sym_symbolic_value] = STATE(130),
    [sym__quote] = STATE(43),
    [sym__symbol] = STATE(44),
    [sym__list] = STATE(45),
    [sym__hash_map_kv_pair] = STATE(221),
    [sym_semicolon] = STATE(38),
    [sym_shorthand_function] = STATE(130),
    [sym_metadata_shorthand] = STATE(40),
    [sym__collection_literals] = STATE(130),
    [sym_tagged_literal] = STATE(130),
    [sym_character] = STATE(130),
    [aux_sym__hash_map_repeat1] = STATE(221),
    [sym_string] = STATE(130),
    [sym_keyword] = STATE(130),
    [sym_threading_macro] = STATE(44),
    [sym_vector] = STATE(130),
    [sym__hash_map_key] = STATE(130),
    [sym_shebang_line] = STATE(38),
    [sym_defn] = STATE(130),
    [sym_syntax_quote] = STATE(130),
    [sym_reader_conditional] = STATE(130),
    [sym__number] = STATE(47),
    [sym__regex] = STATE(48),
    [sym_qualified_keyword] = STATE(36),
    [sym_interop] = STATE(130),
    [sym__hash_map] = STATE(49),
    [sym__set] = STATE(50),
    [sym__functions] = STATE(130),
    [sym_metadata] = STATE(51),
    [sym__anything] = STATE(130),
    [sym_unquote_splice] = STATE(130),
    [sym_number_long] = STATE(47),
    [sym_quote] = STATE(130),
    [sym_symbol] = STATE(130),
    [sym_list] = STATE(130),
    [sym_namespace_map] = STATE(49),
    [sym_comment] = STATE(130),
    [sym_anonymous_function] = STATE(130),
    [sym__metadata_map] = STATE(52),
    [anon_sym_DASH_GT] = ACTIONS(3),
    [anon_sym_cond_DASH_GT] = ACTIONS(3),
    [anon_sym_LPARENquote] = ACTIONS(5),
    [anon_sym_POUND_DQUOTE] = ACTIONS(7),
    [anon_sym_COLON] = ACTIONS(9),
    [aux_sym_namespace_map_token1] = ACTIONS(11),
    [anon_sym_POUND_] = ACTIONS(235),
    [anon_sym_SEMI] = ACTIONS(15),
    [sym_member_access] = ACTIONS(17),
    [anon_sym_POUND_POUND] = ACTIONS(19),
    [sym_number_bigint] = ACTIONS(21),
    [sym_gensym] = ACTIONS(237),
    [sym_false] = ACTIONS(25),
    [sym_number_double] = ACTIONS(21),
    [sym__number_hex] = ACTIONS(27),
    [anon_sym_POUND_LPAREN] = ACTIONS(29),
    [anon_sym_CARET_COLON] = ACTIONS(31),
    [anon_sym_CARET_DQUOTE] = ACTIONS(33),
    [anon_sym_TILDE] = ACTIONS(239),
    [anon_sym_POUND_QMARK] = ACTIONS(37),
    [anon_sym_DASH_GT_GT] = ACTIONS(39),
    [anon_sym_cond_DASH_GT_GT] = ACTIONS(39),
    [anon_sym_some_DASH_GT] = ACTIONS(3),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_POUND_LBRACE] = ACTIONS(43),
    [anon_sym_RBRACE] = ACTIONS(789),
    [sym_field_access] = ACTIONS(17),
    [anon_sym_LBRACE] = ACTIONS(45),
    [anon_sym_LPAREN] = ACTIONS(47),
    [sym_number_bigdecimal] = ACTIONS(49),
    [anon_sym_BQUOTE] = ACTIONS(243),
    [sym_shorthand_function_arg] = ACTIONS(237),
    [sym_nil] = ACTIONS(245),
    [sym__normal_long] = ACTIONS(27),
    [sym__number_arbitrary_radix] = ACTIONS(27),
    [anon_sym_AT] = ACTIONS(55),
    [anon_sym_POUND_QMARK_AT] = ACTIONS(57),
    [anon_sym_as_DASH_GT] = ACTIONS(39),
    [anon_sym_some_DASH_GT_GT] = ACTIONS(39),
    [anon_sym_SQUOTE] = ACTIONS(247),
    [anon_sym_POUND_COLON_COLON_LBRACE] = ACTIONS(61),
    [anon_sym_POUND_BANG] = ACTIONS(65),
    [sym_new_class] = ACTIONS(17),
    [sym__symbol_chars] = ACTIONS(67),
    [anon_sym_LBRACK] = ACTIONS(69),
    [sym_number_ratio] = ACTIONS(49),
    [anon_sym_BSLASH] = ACTIONS(71),
    [anon_sym_POUND_SQUOTE] = ACTIONS(73),
    [sym_true] = ACTIONS(25),
    [sym__number_octal] = ACTIONS(27),
    [anon_sym_CARET] = ACTIONS(75),
    [anon_sym_TILDE_AT] = ACTIONS(249),
    [anon_sym_DQUOTE] = ACTIONS(79),
    [anon_sym_POUND] = ACTIONS(81),
  },
  [182] = {
    [sym_deref] = STATE(256),
    [sym_boolean] = STATE(256),
    [sym__character] = STATE(34),
    [sym__string] = STATE(35),
    [sym__keyword] = STATE(36),
    [sym_qualified_symbol] = STATE(44),
    [sym__vector] = STATE(37),
    [sym_ignore_form] = STATE(38),
    [sym_var_quote] = STATE(256),
    [sym_number] = STATE(256),
    [sym__reader_conditional_symbol] = STATE(39),
    [aux_sym_metadata_repeat1] = STATE(40),
    [sym_regex] = STATE(256),
    [sym__unqualified_keyword] = STATE(36),
    [sym__qualified_symbol] = STATE(41),
    [sym_hash_map] = STATE(256),
    [sym_set] = STATE(256),
    [sym_comment_macro] = STATE(38),
    [sym_unquote] = STATE(256),
    [sym__literals] = STATE(256),
    [aux_sym_program_repeat1] = STATE(256),
    [sym_symbolic_value] = STATE(256),
    [sym__quote] = STATE(43),
    [sym__symbol] = STATE(44),
    [sym__list] = STATE(45),
    [sym_semicolon] = STATE(38),
    [sym_shorthand_function] = STATE(256),
    [sym_metadata_shorthand] = STATE(40),
    [sym__collection_literals] = STATE(256),
    [sym_tagged_literal] = STATE(256),
    [sym_character] = STATE(256),
    [sym_string] = STATE(256),
    [sym_keyword] = STATE(256),
    [sym_threading_macro] = STATE(44),
    [sym_vector] = STATE(256),
    [sym_shebang_line] = STATE(38),
    [sym_defn] = STATE(256),
    [sym_syntax_quote] = STATE(256),
    [sym_reader_conditional] = STATE(256),
    [sym__number] = STATE(47),
    [sym__regex] = STATE(48),
    [sym_qualified_keyword] = STATE(36),
    [sym_interop] = STATE(256),
    [sym__hash_map] = STATE(49),
    [sym__set] = STATE(50),
    [sym__functions] = STATE(256),
    [sym_metadata] = STATE(51),
    [sym__anything] = STATE(256),
    [sym_unquote_splice] = STATE(256),
    [sym_number_long] = STATE(47),
    [sym_quote] = STATE(256),
    [sym_symbol] = STATE(256),
    [sym_list] = STATE(256),
    [sym_namespace_map] = STATE(49),
    [sym_comment] = STATE(256),
    [sym_anonymous_function] = STATE(256),
    [sym__metadata_map] = STATE(52),
    [anon_sym_DASH_GT] = ACTIONS(3),
    [anon_sym_cond_DASH_GT] = ACTIONS(3),
    [anon_sym_LPARENquote] = ACTIONS(5),
    [anon_sym_POUND_DQUOTE] = ACTIONS(7),
    [anon_sym_COLON] = ACTIONS(9),
    [aux_sym_namespace_map_token1] = ACTIONS(11),
    [anon_sym_POUND_] = ACTIONS(189),
    [anon_sym_SEMI] = ACTIONS(15),
    [sym_member_access] = ACTIONS(17),
    [anon_sym_POUND_POUND] = ACTIONS(19),
    [sym_number_bigint] = ACTIONS(21),
    [sym_gensym] = ACTIONS(791),
    [sym_false] = ACTIONS(25),
    [sym_number_double] = ACTIONS(21),
    [sym__number_hex] = ACTIONS(27),
    [anon_sym_POUND_LPAREN] = ACTIONS(29),
    [anon_sym_CARET_COLON] = ACTIONS(31),
    [anon_sym_CARET_DQUOTE] = ACTIONS(33),
    [anon_sym_TILDE] = ACTIONS(193),
    [anon_sym_POUND_QMARK] = ACTIONS(37),
    [anon_sym_DASH_GT_GT] = ACTIONS(39),
    [anon_sym_cond_DASH_GT_GT] = ACTIONS(39),
    [anon_sym_some_DASH_GT] = ACTIONS(3),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_POUND_LBRACE] = ACTIONS(43),
    [sym_field_access] = ACTIONS(17),
    [anon_sym_LBRACE] = ACTIONS(45),
    [anon_sym_LPAREN] = ACTIONS(47),
    [sym_number_bigdecimal] = ACTIONS(49),
    [anon_sym_BQUOTE] = ACTIONS(195),
    [sym_shorthand_function_arg] = ACTIONS(791),
    [sym_nil] = ACTIONS(793),
    [sym__normal_long] = ACTIONS(27),
    [sym__number_arbitrary_radix] = ACTIONS(27),
    [anon_sym_AT] = ACTIONS(55),
    [anon_sym_POUND_QMARK_AT] = ACTIONS(57),
    [anon_sym_as_DASH_GT] = ACTIONS(39),
    [anon_sym_some_DASH_GT_GT] = ACTIONS(39),
    [anon_sym_SQUOTE] = ACTIONS(199),
    [anon_sym_RPAREN] = ACTIONS(795),
    [anon_sym_POUND_COLON_COLON_LBRACE] = ACTIONS(61),
    [anon_sym_POUND_BANG] = ACTIONS(65),
    [sym_new_class] = ACTIONS(17),
    [sym__symbol_chars] = ACTIONS(67),
    [anon_sym_LBRACK] = ACTIONS(69),
    [sym_number_ratio] = ACTIONS(49),
    [anon_sym_BSLASH] = ACTIONS(71),
    [anon_sym_POUND_SQUOTE] = ACTIONS(73),
    [sym_true] = ACTIONS(25),
    [sym__number_octal] = ACTIONS(27),
    [anon_sym_CARET] = ACTIONS(75),
    [anon_sym_TILDE_AT] = ACTIONS(203),
    [anon_sym_DQUOTE] = ACTIONS(79),
    [anon_sym_POUND] = ACTIONS(81),
  },
  [183] = {
    [anon_sym_RPAREN] = ACTIONS(571),
  },
  [184] = {
    [sym__qualified_symbol] = STATE(89),
    [sym_function_name] = STATE(258),
    [sym__single_arity_fn] = STATE(257),
    [sym_symbol] = STATE(228),
    [sym__symbol] = STATE(96),
    [sym__multi_arity_fn] = STATE(257),
    [sym_threading_macro] = STATE(96),
    [sym_qualified_symbol] = STATE(96),
    [aux_sym__multi_arity_fn_repeat1] = STATE(229),
    [sym__after_the_fn_name] = STATE(257),
    [sym__vector] = STATE(37),
    [sym_params] = STATE(230),
    [sym_vector] = STATE(231),
    [anon_sym_LPAREN] = ACTIONS(573),
    [anon_sym_DASH_GT] = ACTIONS(87),
    [anon_sym_cond_DASH_GT] = ACTIONS(87),
    [sym__symbol_chars] = ACTIONS(145),
    [anon_sym_LBRACK] = ACTIONS(69),
    [anon_sym_DASH_GT_GT] = ACTIONS(119),
    [anon_sym_cond_DASH_GT_GT] = ACTIONS(119),
    [anon_sym_some_DASH_GT] = ACTIONS(87),
    [anon_sym_as_DASH_GT] = ACTIONS(119),
    [anon_sym_some_DASH_GT_GT] = ACTIONS(119),
  },
  [185] = {
    [sym_metadata_shorthand] = STATE(234),
    [sym_function_name] = STATE(259),
    [sym__metadata_map] = STATE(236),
    [sym_symbol] = STATE(228),
    [sym__symbol] = STATE(96),
    [sym_threading_macro] = STATE(96),
    [sym_qualified_symbol] = STATE(96),
    [aux_sym_metadata_repeat1] = STATE(234),
    [sym_metadata] = STATE(260),
    [sym__qualified_symbol] = STATE(89),
    [anon_sym_DASH_GT] = ACTIONS(87),
    [anon_sym_cond_DASH_GT] = ACTIONS(87),
    [sym__symbol_chars] = ACTIONS(145),
    [anon_sym_DASH_GT_GT] = ACTIONS(119),
    [anon_sym_cond_DASH_GT_GT] = ACTIONS(119),
    [anon_sym_some_DASH_GT] = ACTIONS(87),
    [anon_sym_CARET] = ACTIONS(575),
    [anon_sym_as_DASH_GT] = ACTIONS(119),
    [anon_sym_CARET_DQUOTE] = ACTIONS(33),
    [anon_sym_some_DASH_GT_GT] = ACTIONS(119),
    [anon_sym_CARET_COLON] = ACTIONS(31),
  },
  [186] = {
    [sym_deref] = STATE(214),
    [sym_boolean] = STATE(214),
    [sym__character] = STATE(34),
    [sym__string] = STATE(35),
    [sym__keyword] = STATE(36),
    [sym_qualified_symbol] = STATE(44),
    [sym__vector] = STATE(37),
    [sym_ignore_form] = STATE(38),
    [sym_var_quote] = STATE(214),
    [sym_number] = STATE(214),
    [sym__reader_conditional_symbol] = STATE(39),
    [aux_sym_metadata_repeat1] = STATE(40),
    [sym_regex] = STATE(214),
    [sym__unqualified_keyword] = STATE(36),
    [sym__qualified_symbol] = STATE(41),
    [sym_hash_map] = STATE(214),
    [sym_set] = STATE(214),
    [sym_comment_macro] = STATE(38),
    [sym_unquote] = STATE(214),
    [sym__literals] = STATE(214),
    [aux_sym_program_repeat1] = STATE(214),
    [sym_symbolic_value] = STATE(214),
    [sym__quote] = STATE(43),
    [sym__symbol] = STATE(44),
    [sym__list] = STATE(45),
    [sym_semicolon] = STATE(38),
    [sym_shorthand_function] = STATE(214),
    [sym_metadata_shorthand] = STATE(40),
    [sym__collection_literals] = STATE(214),
    [sym_tagged_literal] = STATE(214),
    [sym_character] = STATE(214),
    [sym_string] = STATE(214),
    [sym_keyword] = STATE(214),
    [sym_threading_macro] = STATE(44),
    [sym_vector] = STATE(214),
    [sym_shebang_line] = STATE(38),
    [sym_defn] = STATE(214),
    [sym_syntax_quote] = STATE(214),
    [sym_reader_conditional] = STATE(214),
    [sym__number] = STATE(47),
    [sym__regex] = STATE(48),
    [sym_qualified_keyword] = STATE(36),
    [sym_interop] = STATE(214),
    [sym__hash_map] = STATE(49),
    [sym__set] = STATE(50),
    [sym__functions] = STATE(214),
    [sym_metadata] = STATE(51),
    [sym__anything] = STATE(214),
    [sym_unquote_splice] = STATE(214),
    [sym_number_long] = STATE(47),
    [sym_quote] = STATE(214),
    [sym_symbol] = STATE(214),
    [sym_list] = STATE(214),
    [sym_namespace_map] = STATE(49),
    [sym_comment] = STATE(214),
    [sym_anonymous_function] = STATE(214),
    [sym__metadata_map] = STATE(52),
    [anon_sym_DASH_GT] = ACTIONS(3),
    [anon_sym_cond_DASH_GT] = ACTIONS(3),
    [anon_sym_LPARENquote] = ACTIONS(5),
    [anon_sym_POUND_DQUOTE] = ACTIONS(7),
    [anon_sym_COLON] = ACTIONS(9),
    [aux_sym_namespace_map_token1] = ACTIONS(11),
    [anon_sym_POUND_] = ACTIONS(189),
    [anon_sym_SEMI] = ACTIONS(15),
    [sym_member_access] = ACTIONS(17),
    [anon_sym_POUND_POUND] = ACTIONS(19),
    [sym_number_bigint] = ACTIONS(21),
    [sym_gensym] = ACTIONS(517),
    [sym_false] = ACTIONS(25),
    [sym_number_double] = ACTIONS(21),
    [sym__number_hex] = ACTIONS(27),
    [anon_sym_POUND_LPAREN] = ACTIONS(29),
    [anon_sym_CARET_COLON] = ACTIONS(31),
    [anon_sym_CARET_DQUOTE] = ACTIONS(33),
    [anon_sym_TILDE] = ACTIONS(193),
    [anon_sym_POUND_QMARK] = ACTIONS(37),
    [anon_sym_DASH_GT_GT] = ACTIONS(39),
    [anon_sym_cond_DASH_GT_GT] = ACTIONS(39),
    [anon_sym_some_DASH_GT] = ACTIONS(3),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_POUND_LBRACE] = ACTIONS(43),
    [sym_field_access] = ACTIONS(17),
    [anon_sym_LBRACE] = ACTIONS(45),
    [anon_sym_LPAREN] = ACTIONS(47),
    [sym_number_bigdecimal] = ACTIONS(49),
    [anon_sym_BQUOTE] = ACTIONS(195),
    [sym_shorthand_function_arg] = ACTIONS(517),
    [sym_nil] = ACTIONS(519),
    [sym__normal_long] = ACTIONS(27),
    [sym__number_arbitrary_radix] = ACTIONS(27),
    [anon_sym_AT] = ACTIONS(55),
    [anon_sym_POUND_QMARK_AT] = ACTIONS(57),
    [anon_sym_as_DASH_GT] = ACTIONS(39),
    [anon_sym_some_DASH_GT_GT] = ACTIONS(39),
    [anon_sym_SQUOTE] = ACTIONS(199),
    [anon_sym_RPAREN] = ACTIONS(797),
    [anon_sym_POUND_COLON_COLON_LBRACE] = ACTIONS(61),
    [anon_sym_POUND_BANG] = ACTIONS(65),
    [sym_new_class] = ACTIONS(17),
    [sym__symbol_chars] = ACTIONS(67),
    [anon_sym_LBRACK] = ACTIONS(69),
    [sym_number_ratio] = ACTIONS(49),
    [anon_sym_BSLASH] = ACTIONS(71),
    [anon_sym_POUND_SQUOTE] = ACTIONS(73),
    [sym_true] = ACTIONS(25),
    [sym__number_octal] = ACTIONS(27),
    [anon_sym_CARET] = ACTIONS(75),
    [anon_sym_TILDE_AT] = ACTIONS(203),
    [anon_sym_DQUOTE] = ACTIONS(79),
    [anon_sym_POUND] = ACTIONS(81),
  },
  [187] = {
    [anon_sym_RPAREN] = ACTIONS(581),
  },
  [188] = {
    [sym_deref] = STATE(186),
    [sym_boolean] = STATE(186),
    [sym__character] = STATE(34),
    [sym__string] = STATE(35),
    [sym__keyword] = STATE(36),
    [sym_qualified_symbol] = STATE(44),
    [sym__vector] = STATE(37),
    [sym_ignore_form] = STATE(38),
    [sym_var_quote] = STATE(186),
    [sym_number] = STATE(186),
    [sym__reader_conditional_symbol] = STATE(39),
    [aux_sym_metadata_repeat1] = STATE(40),
    [sym_regex] = STATE(186),
    [sym__unqualified_keyword] = STATE(36),
    [sym__qualified_symbol] = STATE(41),
    [sym_hash_map] = STATE(186),
    [sym_set] = STATE(186),
    [sym_comment_macro] = STATE(38),
    [sym_unquote] = STATE(186),
    [sym__literals] = STATE(186),
    [aux_sym_program_repeat1] = STATE(186),
    [sym_symbolic_value] = STATE(186),
    [sym__quote] = STATE(43),
    [sym__symbol] = STATE(44),
    [sym__list] = STATE(45),
    [sym_semicolon] = STATE(38),
    [sym_shorthand_function] = STATE(186),
    [sym_metadata_shorthand] = STATE(40),
    [sym__collection_literals] = STATE(186),
    [sym_tagged_literal] = STATE(186),
    [sym_character] = STATE(186),
    [sym_string] = STATE(186),
    [sym_keyword] = STATE(186),
    [sym_threading_macro] = STATE(44),
    [sym_vector] = STATE(186),
    [sym_shebang_line] = STATE(38),
    [sym_defn] = STATE(186),
    [sym_syntax_quote] = STATE(186),
    [sym_reader_conditional] = STATE(186),
    [sym__number] = STATE(47),
    [sym__regex] = STATE(48),
    [sym_qualified_keyword] = STATE(36),
    [sym_interop] = STATE(186),
    [sym__hash_map] = STATE(49),
    [sym__set] = STATE(50),
    [sym__functions] = STATE(186),
    [sym_metadata] = STATE(51),
    [sym__anything] = STATE(186),
    [sym_unquote_splice] = STATE(186),
    [sym_number_long] = STATE(47),
    [sym_quote] = STATE(186),
    [sym_symbol] = STATE(186),
    [sym_list] = STATE(186),
    [sym_namespace_map] = STATE(49),
    [sym_comment] = STATE(186),
    [sym_anonymous_function] = STATE(186),
    [sym__metadata_map] = STATE(52),
    [anon_sym_DASH_GT] = ACTIONS(3),
    [anon_sym_cond_DASH_GT] = ACTIONS(3),
    [anon_sym_LPARENquote] = ACTIONS(5),
    [anon_sym_POUND_DQUOTE] = ACTIONS(7),
    [anon_sym_COLON] = ACTIONS(9),
    [aux_sym_namespace_map_token1] = ACTIONS(11),
    [anon_sym_POUND_] = ACTIONS(189),
    [anon_sym_SEMI] = ACTIONS(15),
    [sym_member_access] = ACTIONS(17),
    [anon_sym_POUND_POUND] = ACTIONS(19),
    [sym_number_bigint] = ACTIONS(21),
    [sym_gensym] = ACTIONS(427),
    [sym_false] = ACTIONS(25),
    [sym_number_double] = ACTIONS(21),
    [sym__number_hex] = ACTIONS(27),
    [anon_sym_POUND_LPAREN] = ACTIONS(29),
    [anon_sym_CARET_COLON] = ACTIONS(31),
    [anon_sym_CARET_DQUOTE] = ACTIONS(33),
    [anon_sym_TILDE] = ACTIONS(193),
    [anon_sym_POUND_QMARK] = ACTIONS(37),
    [anon_sym_DASH_GT_GT] = ACTIONS(39),
    [anon_sym_cond_DASH_GT_GT] = ACTIONS(39),
    [anon_sym_some_DASH_GT] = ACTIONS(3),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_POUND_LBRACE] = ACTIONS(43),
    [sym_field_access] = ACTIONS(17),
    [anon_sym_LBRACE] = ACTIONS(45),
    [anon_sym_LPAREN] = ACTIONS(47),
    [sym_number_bigdecimal] = ACTIONS(49),
    [anon_sym_BQUOTE] = ACTIONS(195),
    [sym_shorthand_function_arg] = ACTIONS(427),
    [sym_nil] = ACTIONS(437),
    [sym__normal_long] = ACTIONS(27),
    [sym__number_arbitrary_radix] = ACTIONS(27),
    [anon_sym_AT] = ACTIONS(55),
    [anon_sym_POUND_QMARK_AT] = ACTIONS(57),
    [anon_sym_as_DASH_GT] = ACTIONS(39),
    [anon_sym_some_DASH_GT_GT] = ACTIONS(39),
    [anon_sym_SQUOTE] = ACTIONS(199),
    [anon_sym_RPAREN] = ACTIONS(431),
    [anon_sym_POUND_COLON_COLON_LBRACE] = ACTIONS(61),
    [anon_sym_POUND_BANG] = ACTIONS(65),
    [sym_new_class] = ACTIONS(17),
    [sym__symbol_chars] = ACTIONS(67),
    [anon_sym_LBRACK] = ACTIONS(69),
    [sym_number_ratio] = ACTIONS(49),
    [anon_sym_BSLASH] = ACTIONS(71),
    [anon_sym_POUND_SQUOTE] = ACTIONS(73),
    [sym_true] = ACTIONS(25),
    [sym__number_octal] = ACTIONS(27),
    [anon_sym_CARET] = ACTIONS(75),
    [anon_sym_TILDE_AT] = ACTIONS(203),
    [anon_sym_DQUOTE] = ACTIONS(79),
    [anon_sym_POUND] = ACTIONS(81),
  },
  [189] = {
    [anon_sym_RPAREN] = ACTIONS(585),
  },
  [190] = {
    [anon_sym_RPAREN] = ACTIONS(589),
  },
  [191] = {
    [anon_sym_RPAREN] = ACTIONS(593),
    [anon_sym_LPAREN] = ACTIONS(593),
    [anon_sym_POUND_COLON_COLON_LBRACE] = ACTIONS(593),
    [anon_sym_POUND_LBRACE] = ACTIONS(593),
    [anon_sym_LBRACK] = ACTIONS(593),
    [aux_sym_namespace_map_token1] = ACTIONS(593),
    [anon_sym_LBRACE] = ACTIONS(593),
  },
  [192] = {
    [sym_deref] = STATE(130),
    [sym_boolean] = STATE(130),
    [sym__character] = STATE(34),
    [sym__string] = STATE(35),
    [sym__keyword] = STATE(36),
    [sym_qualified_symbol] = STATE(44),
    [sym__vector] = STATE(37),
    [sym_ignore_form] = STATE(38),
    [sym_var_quote] = STATE(130),
    [sym_number] = STATE(130),
    [sym__reader_conditional_symbol] = STATE(39),
    [aux_sym_metadata_repeat1] = STATE(40),
    [sym_regex] = STATE(130),
    [sym__unqualified_keyword] = STATE(36),
    [sym__qualified_symbol] = STATE(41),
    [sym_hash_map] = STATE(130),
    [sym_set] = STATE(130),
    [sym_comment_macro] = STATE(38),
    [sym_unquote] = STATE(130),
    [sym__literals] = STATE(130),
    [sym_symbolic_value] = STATE(130),
    [sym__quote] = STATE(43),
    [sym__symbol] = STATE(44),
    [sym__list] = STATE(45),
    [sym__hash_map_kv_pair] = STATE(221),
    [sym_semicolon] = STATE(38),
    [sym_shorthand_function] = STATE(130),
    [sym_metadata_shorthand] = STATE(40),
    [sym__collection_literals] = STATE(130),
    [sym_tagged_literal] = STATE(130),
    [sym_character] = STATE(130),
    [aux_sym__hash_map_repeat1] = STATE(221),
    [sym_string] = STATE(130),
    [sym_keyword] = STATE(130),
    [sym_threading_macro] = STATE(44),
    [sym_vector] = STATE(130),
    [sym__hash_map_key] = STATE(130),
    [sym_shebang_line] = STATE(38),
    [sym_defn] = STATE(130),
    [sym_syntax_quote] = STATE(130),
    [sym_reader_conditional] = STATE(130),
    [sym__number] = STATE(47),
    [sym__regex] = STATE(48),
    [sym_qualified_keyword] = STATE(36),
    [sym_interop] = STATE(130),
    [sym__hash_map] = STATE(49),
    [sym__set] = STATE(50),
    [sym__functions] = STATE(130),
    [sym_metadata] = STATE(51),
    [sym__anything] = STATE(130),
    [sym_unquote_splice] = STATE(130),
    [sym_number_long] = STATE(47),
    [sym_quote] = STATE(130),
    [sym_symbol] = STATE(130),
    [sym_list] = STATE(130),
    [sym_namespace_map] = STATE(49),
    [sym_comment] = STATE(130),
    [sym_anonymous_function] = STATE(130),
    [sym__metadata_map] = STATE(52),
    [anon_sym_DASH_GT] = ACTIONS(3),
    [anon_sym_cond_DASH_GT] = ACTIONS(3),
    [anon_sym_LPARENquote] = ACTIONS(5),
    [anon_sym_POUND_DQUOTE] = ACTIONS(7),
    [anon_sym_COLON] = ACTIONS(9),
    [aux_sym_namespace_map_token1] = ACTIONS(11),
    [anon_sym_POUND_] = ACTIONS(235),
    [anon_sym_SEMI] = ACTIONS(15),
    [sym_member_access] = ACTIONS(17),
    [anon_sym_POUND_POUND] = ACTIONS(19),
    [sym_number_bigint] = ACTIONS(21),
    [sym_gensym] = ACTIONS(237),
    [sym_false] = ACTIONS(25),
    [sym_number_double] = ACTIONS(21),
    [sym__number_hex] = ACTIONS(27),
    [anon_sym_POUND_LPAREN] = ACTIONS(29),
    [anon_sym_CARET_COLON] = ACTIONS(31),
    [anon_sym_CARET_DQUOTE] = ACTIONS(33),
    [anon_sym_TILDE] = ACTIONS(239),
    [anon_sym_POUND_QMARK] = ACTIONS(37),
    [anon_sym_DASH_GT_GT] = ACTIONS(39),
    [anon_sym_cond_DASH_GT_GT] = ACTIONS(39),
    [anon_sym_some_DASH_GT] = ACTIONS(3),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_POUND_LBRACE] = ACTIONS(43),
    [anon_sym_RBRACE] = ACTIONS(781),
    [sym_field_access] = ACTIONS(17),
    [anon_sym_LBRACE] = ACTIONS(45),
    [anon_sym_LPAREN] = ACTIONS(47),
    [sym_number_bigdecimal] = ACTIONS(49),
    [anon_sym_BQUOTE] = ACTIONS(243),
    [sym_shorthand_function_arg] = ACTIONS(237),
    [sym_nil] = ACTIONS(245),
    [sym__normal_long] = ACTIONS(27),
    [sym__number_arbitrary_radix] = ACTIONS(27),
    [anon_sym_AT] = ACTIONS(55),
    [anon_sym_POUND_QMARK_AT] = ACTIONS(57),
    [anon_sym_as_DASH_GT] = ACTIONS(39),
    [anon_sym_some_DASH_GT_GT] = ACTIONS(39),
    [anon_sym_SQUOTE] = ACTIONS(247),
    [anon_sym_POUND_COLON_COLON_LBRACE] = ACTIONS(61),
    [anon_sym_POUND_BANG] = ACTIONS(65),
    [sym_new_class] = ACTIONS(17),
    [sym__symbol_chars] = ACTIONS(67),
    [anon_sym_LBRACK] = ACTIONS(69),
    [sym_number_ratio] = ACTIONS(49),
    [anon_sym_BSLASH] = ACTIONS(71),
    [anon_sym_POUND_SQUOTE] = ACTIONS(73),
    [sym_true] = ACTIONS(25),
    [sym__number_octal] = ACTIONS(27),
    [anon_sym_CARET] = ACTIONS(75),
    [anon_sym_TILDE_AT] = ACTIONS(249),
    [anon_sym_DQUOTE] = ACTIONS(79),
    [anon_sym_POUND] = ACTIONS(81),
  },
  [193] = {
    [anon_sym_RPAREN] = ACTIONS(597),
  },
  [194] = {
    [sym__symbol_chars] = ACTIONS(799),
  },
  [195] = {
    [anon_sym_RPAREN] = ACTIONS(603),
  },
  [196] = {
    [sym_deref] = STATE(240),
    [sym_boolean] = STATE(240),
    [sym__character] = STATE(34),
    [sym__string] = STATE(35),
    [sym__keyword] = STATE(36),
    [sym_qualified_symbol] = STATE(44),
    [sym__vector] = STATE(37),
    [sym_ignore_form] = STATE(38),
    [sym_var_quote] = STATE(240),
    [sym_number] = STATE(240),
    [sym__reader_conditional_symbol] = STATE(39),
    [aux_sym_metadata_repeat1] = STATE(40),
    [sym_regex] = STATE(240),
    [sym__unqualified_keyword] = STATE(36),
    [sym__qualified_symbol] = STATE(41),
    [sym_hash_map] = STATE(240),
    [sym_set] = STATE(240),
    [sym_comment_macro] = STATE(38),
    [sym_unquote] = STATE(240),
    [sym__literals] = STATE(240),
    [aux_sym_program_repeat1] = STATE(240),
    [sym_symbolic_value] = STATE(240),
    [sym__quote] = STATE(43),
    [sym__symbol] = STATE(44),
    [sym__list] = STATE(45),
    [sym_semicolon] = STATE(38),
    [sym_shorthand_function] = STATE(240),
    [sym_metadata_shorthand] = STATE(40),
    [sym__collection_literals] = STATE(240),
    [sym_tagged_literal] = STATE(240),
    [sym_character] = STATE(240),
    [sym_string] = STATE(240),
    [sym_keyword] = STATE(240),
    [sym_threading_macro] = STATE(44),
    [sym_vector] = STATE(240),
    [sym_shebang_line] = STATE(38),
    [sym_defn] = STATE(240),
    [sym_syntax_quote] = STATE(240),
    [sym_reader_conditional] = STATE(240),
    [sym__number] = STATE(47),
    [sym__regex] = STATE(48),
    [sym_qualified_keyword] = STATE(36),
    [sym_interop] = STATE(240),
    [sym__hash_map] = STATE(49),
    [sym__set] = STATE(50),
    [sym__functions] = STATE(240),
    [sym_metadata] = STATE(51),
    [sym__anything] = STATE(240),
    [sym_unquote_splice] = STATE(240),
    [sym_number_long] = STATE(47),
    [sym_quote] = STATE(240),
    [sym_symbol] = STATE(240),
    [sym_list] = STATE(240),
    [sym_namespace_map] = STATE(49),
    [sym_comment] = STATE(240),
    [sym_anonymous_function] = STATE(240),
    [sym__metadata_map] = STATE(52),
    [anon_sym_DASH_GT] = ACTIONS(3),
    [anon_sym_cond_DASH_GT] = ACTIONS(3),
    [anon_sym_LPARENquote] = ACTIONS(5),
    [anon_sym_POUND_DQUOTE] = ACTIONS(7),
    [anon_sym_COLON] = ACTIONS(9),
    [aux_sym_namespace_map_token1] = ACTIONS(11),
    [anon_sym_POUND_] = ACTIONS(283),
    [anon_sym_SEMI] = ACTIONS(15),
    [sym_member_access] = ACTIONS(17),
    [anon_sym_RBRACK] = ACTIONS(801),
    [anon_sym_POUND_POUND] = ACTIONS(19),
    [sym_number_bigint] = ACTIONS(21),
    [sym_gensym] = ACTIONS(607),
    [sym_false] = ACTIONS(25),
    [sym_number_double] = ACTIONS(21),
    [sym__number_hex] = ACTIONS(27),
    [anon_sym_POUND_LPAREN] = ACTIONS(29),
    [anon_sym_CARET_COLON] = ACTIONS(31),
    [anon_sym_CARET_DQUOTE] = ACTIONS(33),
    [anon_sym_TILDE] = ACTIONS(289),
    [anon_sym_POUND_QMARK] = ACTIONS(37),
    [anon_sym_DASH_GT_GT] = ACTIONS(39),
    [anon_sym_cond_DASH_GT_GT] = ACTIONS(39),
    [anon_sym_some_DASH_GT] = ACTIONS(3),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_POUND_LBRACE] = ACTIONS(43),
    [sym_field_access] = ACTIONS(17),
    [anon_sym_LBRACE] = ACTIONS(45),
    [anon_sym_LPAREN] = ACTIONS(47),
    [sym_number_bigdecimal] = ACTIONS(49),
    [anon_sym_BQUOTE] = ACTIONS(291),
    [sym_shorthand_function_arg] = ACTIONS(607),
    [sym_nil] = ACTIONS(609),
    [sym__normal_long] = ACTIONS(27),
    [sym__number_arbitrary_radix] = ACTIONS(27),
    [anon_sym_AT] = ACTIONS(55),
    [anon_sym_POUND_QMARK_AT] = ACTIONS(57),
    [anon_sym_as_DASH_GT] = ACTIONS(39),
    [anon_sym_some_DASH_GT_GT] = ACTIONS(39),
    [anon_sym_SQUOTE] = ACTIONS(295),
    [anon_sym_POUND_COLON_COLON_LBRACE] = ACTIONS(61),
    [anon_sym_POUND_BANG] = ACTIONS(65),
    [sym_new_class] = ACTIONS(17),
    [sym__symbol_chars] = ACTIONS(67),
    [anon_sym_LBRACK] = ACTIONS(69),
    [sym_number_ratio] = ACTIONS(49),
    [anon_sym_BSLASH] = ACTIONS(71),
    [anon_sym_POUND_SQUOTE] = ACTIONS(73),
    [sym_true] = ACTIONS(25),
    [sym__number_octal] = ACTIONS(27),
    [anon_sym_CARET] = ACTIONS(75),
    [anon_sym_TILDE_AT] = ACTIONS(297),
    [anon_sym_DQUOTE] = ACTIONS(79),
    [anon_sym_POUND] = ACTIONS(81),
  },
  [197] = {
    [sym__octal_num] = STATE(264),
    [aux_sym__octal_num_token3] = ACTIONS(803),
    [aux_sym__octal_num_token1] = ACTIONS(805),
    [aux_sym__octal_num_token2] = ACTIONS(803),
  },
  [198] = {
    [anon_sym_RPAREN] = ACTIONS(617),
  },
  [199] = {
    [sym__hex_char] = ACTIONS(807),
  },
  [200] = {
    [anon_sym_RPAREN] = ACTIONS(623),
  },
  [201] = {
    [anon_sym_RPAREN] = ACTIONS(629),
  },
  [202] = {
    [anon_sym_RPAREN] = ACTIONS(633),
    [anon_sym_LPAREN] = ACTIONS(633),
    [anon_sym_POUND_COLON_COLON_LBRACE] = ACTIONS(633),
    [anon_sym_LBRACK] = ACTIONS(633),
    [aux_sym_namespace_map_token1] = ACTIONS(633),
    [anon_sym_LBRACE] = ACTIONS(633),
  },
  [203] = {
    [aux_sym__string_repeat1] = STATE(216),
    [anon_sym_DQUOTE] = ACTIONS(809),
    [anon_sym_BSLASH_DQUOTE] = ACTIONS(529),
    [aux_sym__string_token1] = ACTIONS(531),
  },
  [204] = {
    [anon_sym_RPAREN] = ACTIONS(639),
    [anon_sym_SLASH] = ACTIONS(453),
  },
  [205] = {
    [anon_sym_RPAREN] = ACTIONS(639),
  },
  [206] = {
    [sym__keyword] = STATE(36),
    [sym_keyword] = STATE(246),
    [sym__unqualified_keyword] = STATE(36),
    [sym_qualified_keyword] = STATE(36),
    [aux_sym_reader_conditional_repeat1] = STATE(268),
    [anon_sym_RPAREN] = ACTIONS(811),
    [anon_sym_COLON] = ACTIONS(9),
    [anon_sym_COLON_COLON] = ACTIONS(41),
  },
  [207] = {
    [anon_sym_RPAREN] = ACTIONS(775),
  },
  [208] = {
    [anon_sym_cond_DASH_GT] = ACTIONS(813),
    [anon_sym_POUND_DQUOTE] = ACTIONS(815),
    [aux_sym_namespace_map_token1] = ACTIONS(815),
    [anon_sym_SEMI] = ACTIONS(815),
    [anon_sym_RBRACK] = ACTIONS(815),
    [anon_sym_TILDE] = ACTIONS(813),
    [sym_number_bigint] = ACTIONS(813),
    [sym_gensym] = ACTIONS(815),
    [sym_false] = ACTIONS(813),
    [anon_sym_CARET_COLON] = ACTIONS(815),
    [sym__number_hex] = ACTIONS(813),
    [anon_sym_cond_DASH_GT_GT] = ACTIONS(815),
    [anon_sym_POUND_LBRACE] = ACTIONS(815),
    [anon_sym_LBRACE] = ACTIONS(815),
    [sym_number_bigdecimal] = ACTIONS(815),
    [anon_sym_AT] = ACTIONS(815),
    [sym__normal_long] = ACTIONS(813),
    [sym__number_arbitrary_radix] = ACTIONS(813),
    [anon_sym_SQUOTE] = ACTIONS(815),
    [anon_sym_RPAREN] = ACTIONS(815),
    [anon_sym_POUND_BANG] = ACTIONS(815),
    [sym__symbol_chars] = ACTIONS(813),
    [sym_number_ratio] = ACTIONS(815),
    [anon_sym_POUND] = ACTIONS(813),
    [sym__number_octal] = ACTIONS(813),
    [anon_sym_DASH_GT] = ACTIONS(813),
    [anon_sym_LPARENquote] = ACTIONS(815),
    [anon_sym_COLON] = ACTIONS(813),
    [anon_sym_POUND_] = ACTIONS(815),
    [sym_member_access] = ACTIONS(815),
    [anon_sym_POUND_POUND] = ACTIONS(815),
    [anon_sym_CARET_DQUOTE] = ACTIONS(815),
    [anon_sym_POUND_LPAREN] = ACTIONS(815),
    [sym_number_double] = ACTIONS(813),
    [anon_sym_POUND_QMARK] = ACTIONS(813),
    [anon_sym_DASH_GT_GT] = ACTIONS(815),
    [anon_sym_some_DASH_GT] = ACTIONS(813),
    [anon_sym_COLON_COLON] = ACTIONS(815),
    [anon_sym_RBRACE] = ACTIONS(815),
    [sym_field_access] = ACTIONS(815),
    [anon_sym_LPAREN] = ACTIONS(813),
    [anon_sym_BQUOTE] = ACTIONS(815),
    [sym_shorthand_function_arg] = ACTIONS(815),
    [sym_nil] = ACTIONS(813),
    [anon_sym_POUND_QMARK_AT] = ACTIONS(815),
    [anon_sym_as_DASH_GT] = ACTIONS(815),
    [anon_sym_some_DASH_GT_GT] = ACTIONS(815),
    [anon_sym_POUND_COLON_COLON_LBRACE] = ACTIONS(815),
    [ts_builtin_sym_end] = ACTIONS(815),
    [sym_new_class] = ACTIONS(815),
    [anon_sym_LBRACK] = ACTIONS(815),
    [anon_sym_POUND_SQUOTE] = ACTIONS(815),
    [anon_sym_BSLASH] = ACTIONS(815),
    [anon_sym_TILDE_AT] = ACTIONS(815),
    [sym_true] = ACTIONS(813),
    [anon_sym_CARET] = ACTIONS(813),
    [anon_sym_DQUOTE] = ACTIONS(815),
  },
  [209] = {
    [anon_sym_cond_DASH_GT] = ACTIONS(817),
    [anon_sym_POUND_DQUOTE] = ACTIONS(819),
    [aux_sym_namespace_map_token1] = ACTIONS(819),
    [anon_sym_SEMI] = ACTIONS(819),
    [anon_sym_RBRACK] = ACTIONS(819),
    [anon_sym_TILDE] = ACTIONS(817),
    [sym_number_bigint] = ACTIONS(817),
    [sym_gensym] = ACTIONS(819),
    [sym_false] = ACTIONS(817),
    [anon_sym_CARET_COLON] = ACTIONS(819),
    [sym__number_hex] = ACTIONS(817),
    [anon_sym_cond_DASH_GT_GT] = ACTIONS(819),
    [anon_sym_POUND_LBRACE] = ACTIONS(819),
    [anon_sym_LBRACE] = ACTIONS(819),
    [sym_number_bigdecimal] = ACTIONS(819),
    [anon_sym_AT] = ACTIONS(819),
    [sym__normal_long] = ACTIONS(817),
    [sym__number_arbitrary_radix] = ACTIONS(817),
    [anon_sym_SQUOTE] = ACTIONS(819),
    [anon_sym_RPAREN] = ACTIONS(819),
    [anon_sym_POUND_BANG] = ACTIONS(819),
    [sym__symbol_chars] = ACTIONS(817),
    [sym_number_ratio] = ACTIONS(819),
    [anon_sym_POUND] = ACTIONS(817),
    [sym__number_octal] = ACTIONS(817),
    [anon_sym_DASH_GT] = ACTIONS(817),
    [anon_sym_LPARENquote] = ACTIONS(819),
    [anon_sym_COLON] = ACTIONS(817),
    [anon_sym_POUND_] = ACTIONS(819),
    [sym_member_access] = ACTIONS(819),
    [anon_sym_POUND_POUND] = ACTIONS(819),
    [anon_sym_CARET_DQUOTE] = ACTIONS(819),
    [anon_sym_POUND_LPAREN] = ACTIONS(819),
    [sym_number_double] = ACTIONS(817),
    [anon_sym_POUND_QMARK] = ACTIONS(817),
    [anon_sym_DASH_GT_GT] = ACTIONS(819),
    [anon_sym_some_DASH_GT] = ACTIONS(817),
    [anon_sym_COLON_COLON] = ACTIONS(819),
    [anon_sym_RBRACE] = ACTIONS(819),
    [sym_field_access] = ACTIONS(819),
    [anon_sym_LPAREN] = ACTIONS(817),
    [anon_sym_BQUOTE] = ACTIONS(819),
    [sym_shorthand_function_arg] = ACTIONS(819),
    [sym_nil] = ACTIONS(817),
    [anon_sym_POUND_QMARK_AT] = ACTIONS(819),
    [anon_sym_as_DASH_GT] = ACTIONS(819),
    [anon_sym_some_DASH_GT_GT] = ACTIONS(819),
    [anon_sym_POUND_COLON_COLON_LBRACE] = ACTIONS(819),
    [ts_builtin_sym_end] = ACTIONS(819),
    [sym_new_class] = ACTIONS(819),
    [anon_sym_LBRACK] = ACTIONS(819),
    [anon_sym_POUND_SQUOTE] = ACTIONS(819),
    [anon_sym_BSLASH] = ACTIONS(819),
    [anon_sym_TILDE_AT] = ACTIONS(819),
    [sym_true] = ACTIONS(817),
    [anon_sym_CARET] = ACTIONS(817),
    [anon_sym_DQUOTE] = ACTIONS(819),
  },
  [210] = {
    [aux_sym__regex_repeat1] = STATE(210),
    [anon_sym_DQUOTE] = ACTIONS(821),
    [anon_sym_BSLASH_DQUOTE] = ACTIONS(823),
    [aux_sym__regex_token1] = ACTIONS(826),
  },
  [211] = {
    [anon_sym_cond_DASH_GT] = ACTIONS(829),
    [anon_sym_POUND_DQUOTE] = ACTIONS(831),
    [aux_sym_namespace_map_token1] = ACTIONS(831),
    [anon_sym_SEMI] = ACTIONS(831),
    [anon_sym_RBRACK] = ACTIONS(831),
    [anon_sym_TILDE] = ACTIONS(829),
    [sym_number_bigint] = ACTIONS(829),
    [sym_gensym] = ACTIONS(831),
    [sym_false] = ACTIONS(829),
    [anon_sym_CARET_COLON] = ACTIONS(831),
    [sym__number_hex] = ACTIONS(829),
    [anon_sym_cond_DASH_GT_GT] = ACTIONS(831),
    [anon_sym_POUND_LBRACE] = ACTIONS(831),
    [anon_sym_LBRACE] = ACTIONS(831),
    [sym_number_bigdecimal] = ACTIONS(831),
    [anon_sym_AT] = ACTIONS(831),
    [sym__normal_long] = ACTIONS(829),
    [sym__number_arbitrary_radix] = ACTIONS(829),
    [anon_sym_SQUOTE] = ACTIONS(831),
    [anon_sym_RPAREN] = ACTIONS(831),
    [anon_sym_POUND_BANG] = ACTIONS(831),
    [sym__symbol_chars] = ACTIONS(829),
    [sym_number_ratio] = ACTIONS(831),
    [anon_sym_POUND] = ACTIONS(829),
    [sym__number_octal] = ACTIONS(829),
    [anon_sym_DASH_GT] = ACTIONS(829),
    [anon_sym_LPARENquote] = ACTIONS(831),
    [anon_sym_COLON] = ACTIONS(829),
    [anon_sym_POUND_] = ACTIONS(831),
    [sym_member_access] = ACTIONS(831),
    [anon_sym_POUND_POUND] = ACTIONS(831),
    [anon_sym_CARET_DQUOTE] = ACTIONS(831),
    [anon_sym_POUND_LPAREN] = ACTIONS(831),
    [sym_number_double] = ACTIONS(829),
    [anon_sym_POUND_QMARK] = ACTIONS(829),
    [anon_sym_DASH_GT_GT] = ACTIONS(831),
    [anon_sym_some_DASH_GT] = ACTIONS(829),
    [anon_sym_COLON_COLON] = ACTIONS(831),
    [anon_sym_RBRACE] = ACTIONS(831),
    [sym_field_access] = ACTIONS(831),
    [anon_sym_LPAREN] = ACTIONS(829),
    [anon_sym_BQUOTE] = ACTIONS(831),
    [sym_shorthand_function_arg] = ACTIONS(831),
    [sym_nil] = ACTIONS(829),
    [anon_sym_POUND_QMARK_AT] = ACTIONS(831),
    [anon_sym_as_DASH_GT] = ACTIONS(831),
    [anon_sym_some_DASH_GT_GT] = ACTIONS(831),
    [anon_sym_POUND_COLON_COLON_LBRACE] = ACTIONS(831),
    [ts_builtin_sym_end] = ACTIONS(831),
    [sym_new_class] = ACTIONS(831),
    [anon_sym_LBRACK] = ACTIONS(831),
    [anon_sym_POUND_SQUOTE] = ACTIONS(831),
    [anon_sym_BSLASH] = ACTIONS(831),
    [anon_sym_TILDE_AT] = ACTIONS(831),
    [sym_true] = ACTIONS(829),
    [anon_sym_CARET] = ACTIONS(829),
    [anon_sym_DQUOTE] = ACTIONS(831),
  },
  [212] = {
    [sym_deref] = STATE(130),
    [sym_boolean] = STATE(130),
    [sym__character] = STATE(34),
    [sym__string] = STATE(35),
    [sym__keyword] = STATE(36),
    [sym_qualified_symbol] = STATE(44),
    [sym__vector] = STATE(37),
    [sym_ignore_form] = STATE(38),
    [sym_var_quote] = STATE(130),
    [sym_number] = STATE(130),
    [sym__reader_conditional_symbol] = STATE(39),
    [aux_sym_metadata_repeat1] = STATE(40),
    [sym_regex] = STATE(130),
    [sym__unqualified_keyword] = STATE(36),
    [sym__qualified_symbol] = STATE(41),
    [sym_hash_map] = STATE(130),
    [sym_set] = STATE(130),
    [sym_comment_macro] = STATE(38),
    [sym_unquote] = STATE(130),
    [sym__literals] = STATE(130),
    [sym_symbolic_value] = STATE(130),
    [sym__quote] = STATE(43),
    [sym__symbol] = STATE(44),
    [sym__list] = STATE(45),
    [sym__hash_map_kv_pair] = STATE(221),
    [sym_semicolon] = STATE(38),
    [sym_shorthand_function] = STATE(130),
    [sym_metadata_shorthand] = STATE(40),
    [sym__collection_literals] = STATE(130),
    [sym_tagged_literal] = STATE(130),
    [sym_character] = STATE(130),
    [aux_sym__hash_map_repeat1] = STATE(221),
    [sym_string] = STATE(130),
    [sym_keyword] = STATE(130),
    [sym_threading_macro] = STATE(44),
    [sym_vector] = STATE(130),
    [sym__hash_map_key] = STATE(130),
    [sym_shebang_line] = STATE(38),
    [sym_defn] = STATE(130),
    [sym_syntax_quote] = STATE(130),
    [sym_reader_conditional] = STATE(130),
    [sym__number] = STATE(47),
    [sym__regex] = STATE(48),
    [sym_qualified_keyword] = STATE(36),
    [sym_interop] = STATE(130),
    [sym__hash_map] = STATE(49),
    [sym__set] = STATE(50),
    [sym__functions] = STATE(130),
    [sym_metadata] = STATE(51),
    [sym__anything] = STATE(130),
    [sym_unquote_splice] = STATE(130),
    [sym_number_long] = STATE(47),
    [sym_quote] = STATE(130),
    [sym_symbol] = STATE(130),
    [sym_list] = STATE(130),
    [sym_namespace_map] = STATE(49),
    [sym_comment] = STATE(130),
    [sym_anonymous_function] = STATE(130),
    [sym__metadata_map] = STATE(52),
    [anon_sym_DASH_GT] = ACTIONS(3),
    [anon_sym_cond_DASH_GT] = ACTIONS(3),
    [anon_sym_LPARENquote] = ACTIONS(5),
    [anon_sym_POUND_DQUOTE] = ACTIONS(7),
    [anon_sym_COLON] = ACTIONS(9),
    [aux_sym_namespace_map_token1] = ACTIONS(11),
    [anon_sym_POUND_] = ACTIONS(235),
    [anon_sym_SEMI] = ACTIONS(15),
    [sym_member_access] = ACTIONS(17),
    [anon_sym_POUND_POUND] = ACTIONS(19),
    [sym_number_bigint] = ACTIONS(21),
    [sym_gensym] = ACTIONS(237),
    [sym_false] = ACTIONS(25),
    [sym_number_double] = ACTIONS(21),
    [sym__number_hex] = ACTIONS(27),
    [anon_sym_POUND_LPAREN] = ACTIONS(29),
    [anon_sym_CARET_COLON] = ACTIONS(31),
    [anon_sym_CARET_DQUOTE] = ACTIONS(33),
    [anon_sym_TILDE] = ACTIONS(239),
    [anon_sym_POUND_QMARK] = ACTIONS(37),
    [anon_sym_DASH_GT_GT] = ACTIONS(39),
    [anon_sym_cond_DASH_GT_GT] = ACTIONS(39),
    [anon_sym_some_DASH_GT] = ACTIONS(3),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_POUND_LBRACE] = ACTIONS(43),
    [anon_sym_RBRACE] = ACTIONS(833),
    [sym_field_access] = ACTIONS(17),
    [anon_sym_LBRACE] = ACTIONS(45),
    [anon_sym_LPAREN] = ACTIONS(47),
    [sym_number_bigdecimal] = ACTIONS(49),
    [anon_sym_BQUOTE] = ACTIONS(243),
    [sym_shorthand_function_arg] = ACTIONS(237),
    [sym_nil] = ACTIONS(245),
    [sym__normal_long] = ACTIONS(27),
    [sym__number_arbitrary_radix] = ACTIONS(27),
    [anon_sym_AT] = ACTIONS(55),
    [anon_sym_POUND_QMARK_AT] = ACTIONS(57),
    [anon_sym_as_DASH_GT] = ACTIONS(39),
    [anon_sym_some_DASH_GT_GT] = ACTIONS(39),
    [anon_sym_SQUOTE] = ACTIONS(247),
    [anon_sym_POUND_COLON_COLON_LBRACE] = ACTIONS(61),
    [anon_sym_POUND_BANG] = ACTIONS(65),
    [sym_new_class] = ACTIONS(17),
    [sym__symbol_chars] = ACTIONS(67),
    [anon_sym_LBRACK] = ACTIONS(69),
    [sym_number_ratio] = ACTIONS(49),
    [anon_sym_BSLASH] = ACTIONS(71),
    [anon_sym_POUND_SQUOTE] = ACTIONS(73),
    [sym_true] = ACTIONS(25),
    [sym__number_octal] = ACTIONS(27),
    [anon_sym_CARET] = ACTIONS(75),
    [anon_sym_TILDE_AT] = ACTIONS(249),
    [anon_sym_DQUOTE] = ACTIONS(79),
    [anon_sym_POUND] = ACTIONS(81),
  },
  [213] = {
    [anon_sym_cond_DASH_GT] = ACTIONS(835),
    [anon_sym_POUND_DQUOTE] = ACTIONS(837),
    [aux_sym_namespace_map_token1] = ACTIONS(837),
    [anon_sym_SEMI] = ACTIONS(837),
    [anon_sym_RBRACK] = ACTIONS(837),
    [anon_sym_TILDE] = ACTIONS(835),
    [sym_number_bigint] = ACTIONS(835),
    [sym_gensym] = ACTIONS(837),
    [sym_false] = ACTIONS(835),
    [anon_sym_CARET_COLON] = ACTIONS(837),
    [sym__number_hex] = ACTIONS(835),
    [anon_sym_cond_DASH_GT_GT] = ACTIONS(837),
    [anon_sym_POUND_LBRACE] = ACTIONS(837),
    [anon_sym_LBRACE] = ACTIONS(837),
    [sym_number_bigdecimal] = ACTIONS(837),
    [anon_sym_AT] = ACTIONS(837),
    [sym__normal_long] = ACTIONS(835),
    [sym__number_arbitrary_radix] = ACTIONS(835),
    [anon_sym_SQUOTE] = ACTIONS(837),
    [anon_sym_RPAREN] = ACTIONS(837),
    [anon_sym_POUND_BANG] = ACTIONS(837),
    [sym__symbol_chars] = ACTIONS(835),
    [sym_number_ratio] = ACTIONS(837),
    [anon_sym_POUND] = ACTIONS(835),
    [sym__number_octal] = ACTIONS(835),
    [anon_sym_DASH_GT] = ACTIONS(835),
    [anon_sym_LPARENquote] = ACTIONS(837),
    [anon_sym_COLON] = ACTIONS(835),
    [anon_sym_POUND_] = ACTIONS(837),
    [sym_member_access] = ACTIONS(837),
    [anon_sym_POUND_POUND] = ACTIONS(837),
    [anon_sym_CARET_DQUOTE] = ACTIONS(837),
    [anon_sym_POUND_LPAREN] = ACTIONS(837),
    [sym_number_double] = ACTIONS(835),
    [anon_sym_POUND_QMARK] = ACTIONS(835),
    [anon_sym_DASH_GT_GT] = ACTIONS(837),
    [anon_sym_some_DASH_GT] = ACTIONS(835),
    [anon_sym_COLON_COLON] = ACTIONS(837),
    [anon_sym_RBRACE] = ACTIONS(837),
    [sym_field_access] = ACTIONS(837),
    [anon_sym_LPAREN] = ACTIONS(835),
    [anon_sym_BQUOTE] = ACTIONS(837),
    [sym_shorthand_function_arg] = ACTIONS(837),
    [sym_nil] = ACTIONS(835),
    [anon_sym_POUND_QMARK_AT] = ACTIONS(837),
    [anon_sym_as_DASH_GT] = ACTIONS(837),
    [anon_sym_some_DASH_GT_GT] = ACTIONS(837),
    [anon_sym_POUND_COLON_COLON_LBRACE] = ACTIONS(837),
    [ts_builtin_sym_end] = ACTIONS(837),
    [sym_new_class] = ACTIONS(837),
    [anon_sym_LBRACK] = ACTIONS(837),
    [anon_sym_POUND_SQUOTE] = ACTIONS(837),
    [anon_sym_BSLASH] = ACTIONS(837),
    [anon_sym_TILDE_AT] = ACTIONS(837),
    [sym_true] = ACTIONS(835),
    [anon_sym_CARET] = ACTIONS(835),
    [anon_sym_DQUOTE] = ACTIONS(837),
  },
  [214] = {
    [sym_deref] = STATE(214),
    [sym_boolean] = STATE(214),
    [sym__character] = STATE(34),
    [sym__string] = STATE(35),
    [sym__keyword] = STATE(36),
    [sym_qualified_symbol] = STATE(44),
    [sym__vector] = STATE(37),
    [sym_ignore_form] = STATE(38),
    [sym_var_quote] = STATE(214),
    [sym_number] = STATE(214),
    [sym__reader_conditional_symbol] = STATE(39),
    [aux_sym_metadata_repeat1] = STATE(40),
    [sym_regex] = STATE(214),
    [sym__unqualified_keyword] = STATE(36),
    [sym__qualified_symbol] = STATE(41),
    [sym_hash_map] = STATE(214),
    [sym_set] = STATE(214),
    [sym_comment_macro] = STATE(38),
    [sym_unquote] = STATE(214),
    [sym__literals] = STATE(214),
    [aux_sym_program_repeat1] = STATE(214),
    [sym_symbolic_value] = STATE(214),
    [sym__quote] = STATE(43),
    [sym__symbol] = STATE(44),
    [sym__list] = STATE(45),
    [sym_semicolon] = STATE(38),
    [sym_shorthand_function] = STATE(214),
    [sym_metadata_shorthand] = STATE(40),
    [sym__collection_literals] = STATE(214),
    [sym_tagged_literal] = STATE(214),
    [sym_character] = STATE(214),
    [sym_string] = STATE(214),
    [sym_keyword] = STATE(214),
    [sym_threading_macro] = STATE(44),
    [sym_vector] = STATE(214),
    [sym_shebang_line] = STATE(38),
    [sym_defn] = STATE(214),
    [sym_syntax_quote] = STATE(214),
    [sym_reader_conditional] = STATE(214),
    [sym__number] = STATE(47),
    [sym__regex] = STATE(48),
    [sym_qualified_keyword] = STATE(36),
    [sym_interop] = STATE(214),
    [sym__hash_map] = STATE(49),
    [sym__set] = STATE(50),
    [sym__functions] = STATE(214),
    [sym_metadata] = STATE(51),
    [sym__anything] = STATE(214),
    [sym_unquote_splice] = STATE(214),
    [sym_number_long] = STATE(47),
    [sym_quote] = STATE(214),
    [sym_symbol] = STATE(214),
    [sym_list] = STATE(214),
    [sym_namespace_map] = STATE(49),
    [sym_comment] = STATE(214),
    [sym_anonymous_function] = STATE(214),
    [sym__metadata_map] = STATE(52),
    [anon_sym_DASH_GT] = ACTIONS(654),
    [anon_sym_cond_DASH_GT] = ACTIONS(654),
    [anon_sym_LPARENquote] = ACTIONS(657),
    [anon_sym_POUND_DQUOTE] = ACTIONS(660),
    [anon_sym_COLON] = ACTIONS(663),
    [aux_sym_namespace_map_token1] = ACTIONS(666),
    [anon_sym_POUND_] = ACTIONS(839),
    [anon_sym_SEMI] = ACTIONS(672),
    [sym_member_access] = ACTIONS(675),
    [anon_sym_POUND_POUND] = ACTIONS(678),
    [sym_number_bigint] = ACTIONS(681),
    [anon_sym_CARET_DQUOTE] = ACTIONS(684),
    [sym_false] = ACTIONS(687),
    [sym_number_double] = ACTIONS(681),
    [sym__number_hex] = ACTIONS(690),
    [anon_sym_POUND_LPAREN] = ACTIONS(693),
    [anon_sym_CARET_COLON] = ACTIONS(696),
    [anon_sym_TILDE] = ACTIONS(842),
    [sym_gensym] = ACTIONS(845),
    [anon_sym_POUND_QMARK] = ACTIONS(705),
    [anon_sym_DASH_GT_GT] = ACTIONS(708),
    [anon_sym_cond_DASH_GT_GT] = ACTIONS(708),
    [anon_sym_some_DASH_GT] = ACTIONS(654),
    [anon_sym_COLON_COLON] = ACTIONS(711),
    [anon_sym_POUND_LBRACE] = ACTIONS(714),
    [sym_field_access] = ACTIONS(675),
    [anon_sym_LBRACE] = ACTIONS(717),
    [anon_sym_LPAREN] = ACTIONS(720),
    [sym_number_bigdecimal] = ACTIONS(723),
    [anon_sym_BQUOTE] = ACTIONS(848),
    [sym__normal_long] = ACTIONS(690),
    [sym_nil] = ACTIONS(851),
    [sym__number_arbitrary_radix] = ACTIONS(690),
    [sym_shorthand_function_arg] = ACTIONS(845),
    [anon_sym_AT] = ACTIONS(732),
    [anon_sym_POUND_QMARK_AT] = ACTIONS(735),
    [anon_sym_as_DASH_GT] = ACTIONS(708),
    [anon_sym_some_DASH_GT_GT] = ACTIONS(708),
    [anon_sym_SQUOTE] = ACTIONS(854),
    [anon_sym_RPAREN] = ACTIONS(771),
    [anon_sym_POUND_COLON_COLON_LBRACE] = ACTIONS(741),
    [anon_sym_POUND_BANG] = ACTIONS(744),
    [sym_new_class] = ACTIONS(675),
    [sym__symbol_chars] = ACTIONS(747),
    [anon_sym_LBRACK] = ACTIONS(750),
    [sym_number_ratio] = ACTIONS(723),
    [anon_sym_BSLASH] = ACTIONS(753),
    [anon_sym_POUND_SQUOTE] = ACTIONS(756),
    [sym_true] = ACTIONS(687),
    [sym__number_octal] = ACTIONS(690),
    [anon_sym_CARET] = ACTIONS(759),
    [anon_sym_TILDE_AT] = ACTIONS(857),
    [anon_sym_DQUOTE] = ACTIONS(765),
    [anon_sym_POUND] = ACTIONS(768),
  },
  [215] = {
    [anon_sym_LPAREN] = ACTIONS(860),
    [anon_sym_DASH_GT] = ACTIONS(862),
    [anon_sym_cond_DASH_GT] = ACTIONS(862),
    [aux_sym_namespace_map_token1] = ACTIONS(860),
    [anon_sym_as_DASH_GT] = ACTIONS(860),
    [anon_sym_CARET_DQUOTE] = ACTIONS(860),
    [anon_sym_some_DASH_GT_GT] = ACTIONS(860),
    [anon_sym_CARET_COLON] = ACTIONS(860),
    [anon_sym_POUND_COLON_COLON_LBRACE] = ACTIONS(860),
    [sym__symbol_chars] = ACTIONS(862),
    [anon_sym_LBRACK] = ACTIONS(860),
    [anon_sym_DASH_GT_GT] = ACTIONS(860),
    [anon_sym_cond_DASH_GT_GT] = ACTIONS(860),
    [anon_sym_some_DASH_GT] = ACTIONS(862),
    [anon_sym_CARET] = ACTIONS(862),
    [anon_sym_POUND_LBRACE] = ACTIONS(860),
    [anon_sym_LBRACE] = ACTIONS(860),
  },
  [216] = {
    [aux_sym__string_repeat1] = STATE(216),
    [anon_sym_DQUOTE] = ACTIONS(864),
    [anon_sym_BSLASH_DQUOTE] = ACTIONS(866),
    [aux_sym__string_token1] = ACTIONS(869),
  },
  [217] = {
    [sym__keyword_chars] = ACTIONS(872),
  },
  [218] = {
    [anon_sym_cond_DASH_GT] = ACTIONS(874),
    [anon_sym_POUND_DQUOTE] = ACTIONS(876),
    [aux_sym_namespace_map_token1] = ACTIONS(876),
    [anon_sym_SEMI] = ACTIONS(876),
    [anon_sym_RBRACK] = ACTIONS(876),
    [anon_sym_TILDE] = ACTIONS(874),
    [sym_number_bigint] = ACTIONS(874),
    [sym_gensym] = ACTIONS(876),
    [sym_false] = ACTIONS(874),
    [anon_sym_CARET_COLON] = ACTIONS(876),
    [sym__number_hex] = ACTIONS(874),
    [anon_sym_cond_DASH_GT_GT] = ACTIONS(876),
    [anon_sym_POUND_LBRACE] = ACTIONS(876),
    [anon_sym_LBRACE] = ACTIONS(876),
    [sym_number_bigdecimal] = ACTIONS(876),
    [anon_sym_AT] = ACTIONS(876),
    [sym__normal_long] = ACTIONS(874),
    [sym__number_arbitrary_radix] = ACTIONS(874),
    [anon_sym_SQUOTE] = ACTIONS(876),
    [anon_sym_RPAREN] = ACTIONS(876),
    [anon_sym_POUND_BANG] = ACTIONS(876),
    [sym__symbol_chars] = ACTIONS(874),
    [sym_number_ratio] = ACTIONS(876),
    [anon_sym_POUND] = ACTIONS(874),
    [sym__number_octal] = ACTIONS(874),
    [anon_sym_DASH_GT] = ACTIONS(874),
    [anon_sym_LPARENquote] = ACTIONS(876),
    [anon_sym_COLON] = ACTIONS(874),
    [anon_sym_POUND_] = ACTIONS(876),
    [sym_member_access] = ACTIONS(876),
    [anon_sym_POUND_POUND] = ACTIONS(876),
    [anon_sym_CARET_DQUOTE] = ACTIONS(876),
    [anon_sym_POUND_LPAREN] = ACTIONS(876),
    [sym_number_double] = ACTIONS(874),
    [anon_sym_POUND_QMARK] = ACTIONS(874),
    [anon_sym_DASH_GT_GT] = ACTIONS(876),
    [anon_sym_some_DASH_GT] = ACTIONS(874),
    [anon_sym_COLON_COLON] = ACTIONS(876),
    [anon_sym_RBRACE] = ACTIONS(876),
    [sym_field_access] = ACTIONS(876),
    [anon_sym_LPAREN] = ACTIONS(874),
    [anon_sym_BQUOTE] = ACTIONS(876),
    [sym_shorthand_function_arg] = ACTIONS(876),
    [sym_nil] = ACTIONS(874),
    [anon_sym_POUND_QMARK_AT] = ACTIONS(876),
    [anon_sym_as_DASH_GT] = ACTIONS(876),
    [anon_sym_some_DASH_GT_GT] = ACTIONS(876),
    [anon_sym_POUND_COLON_COLON_LBRACE] = ACTIONS(876),
    [ts_builtin_sym_end] = ACTIONS(876),
    [sym_new_class] = ACTIONS(876),
    [anon_sym_LBRACK] = ACTIONS(876),
    [anon_sym_POUND_SQUOTE] = ACTIONS(876),
    [anon_sym_BSLASH] = ACTIONS(876),
    [anon_sym_TILDE_AT] = ACTIONS(876),
    [sym_true] = ACTIONS(874),
    [anon_sym_CARET] = ACTIONS(874),
    [anon_sym_DQUOTE] = ACTIONS(876),
  },
  [219] = {
    [sym_deref] = STATE(219),
    [sym_boolean] = STATE(219),
    [sym__character] = STATE(34),
    [sym__string] = STATE(35),
    [sym__keyword] = STATE(36),
    [sym_qualified_symbol] = STATE(44),
    [sym__vector] = STATE(37),
    [sym_ignore_form] = STATE(38),
    [sym_var_quote] = STATE(219),
    [sym_number] = STATE(219),
    [sym__reader_conditional_symbol] = STATE(39),
    [aux_sym_metadata_repeat1] = STATE(40),
    [sym_regex] = STATE(219),
    [sym__unqualified_keyword] = STATE(36),
    [sym__qualified_symbol] = STATE(41),
    [sym_hash_map] = STATE(219),
    [sym_set] = STATE(219),
    [sym_comment_macro] = STATE(38),
    [sym_unquote] = STATE(219),
    [sym__literals] = STATE(219),
    [aux_sym_program_repeat1] = STATE(219),
    [sym_symbolic_value] = STATE(219),
    [sym__quote] = STATE(43),
    [sym__symbol] = STATE(44),
    [sym__list] = STATE(45),
    [sym_semicolon] = STATE(38),
    [sym_shorthand_function] = STATE(219),
    [sym_metadata_shorthand] = STATE(40),
    [sym__collection_literals] = STATE(219),
    [sym_tagged_literal] = STATE(219),
    [sym_character] = STATE(219),
    [sym_string] = STATE(219),
    [sym_keyword] = STATE(219),
    [sym_threading_macro] = STATE(44),
    [sym_vector] = STATE(219),
    [sym_shebang_line] = STATE(38),
    [sym_defn] = STATE(219),
    [sym_syntax_quote] = STATE(219),
    [sym_reader_conditional] = STATE(219),
    [sym__number] = STATE(47),
    [sym__regex] = STATE(48),
    [sym_qualified_keyword] = STATE(36),
    [sym_interop] = STATE(219),
    [sym__hash_map] = STATE(49),
    [sym__set] = STATE(50),
    [sym__functions] = STATE(219),
    [sym_metadata] = STATE(51),
    [sym__anything] = STATE(219),
    [sym_unquote_splice] = STATE(219),
    [sym_number_long] = STATE(47),
    [sym_quote] = STATE(219),
    [sym_symbol] = STATE(219),
    [sym_list] = STATE(219),
    [sym_namespace_map] = STATE(49),
    [sym_comment] = STATE(219),
    [sym_anonymous_function] = STATE(219),
    [sym__metadata_map] = STATE(52),
    [anon_sym_DASH_GT] = ACTIONS(654),
    [anon_sym_cond_DASH_GT] = ACTIONS(654),
    [anon_sym_LPARENquote] = ACTIONS(657),
    [anon_sym_POUND_DQUOTE] = ACTIONS(660),
    [anon_sym_COLON] = ACTIONS(663),
    [aux_sym_namespace_map_token1] = ACTIONS(666),
    [anon_sym_POUND_] = ACTIONS(878),
    [anon_sym_SEMI] = ACTIONS(672),
    [sym_member_access] = ACTIONS(675),
    [anon_sym_POUND_POUND] = ACTIONS(678),
    [sym_number_bigint] = ACTIONS(681),
    [anon_sym_CARET_DQUOTE] = ACTIONS(684),
    [sym_false] = ACTIONS(687),
    [sym_number_double] = ACTIONS(681),
    [sym__number_hex] = ACTIONS(690),
    [anon_sym_POUND_LPAREN] = ACTIONS(693),
    [anon_sym_CARET_COLON] = ACTIONS(696),
    [anon_sym_TILDE] = ACTIONS(881),
    [sym_gensym] = ACTIONS(884),
    [anon_sym_POUND_QMARK] = ACTIONS(705),
    [anon_sym_DASH_GT_GT] = ACTIONS(708),
    [anon_sym_cond_DASH_GT_GT] = ACTIONS(708),
    [anon_sym_some_DASH_GT] = ACTIONS(654),
    [anon_sym_COLON_COLON] = ACTIONS(711),
    [anon_sym_POUND_LBRACE] = ACTIONS(714),
    [anon_sym_RBRACE] = ACTIONS(771),
    [sym_field_access] = ACTIONS(675),
    [anon_sym_LBRACE] = ACTIONS(717),
    [anon_sym_LPAREN] = ACTIONS(720),
    [sym_number_bigdecimal] = ACTIONS(723),
    [anon_sym_BQUOTE] = ACTIONS(887),
    [sym__normal_long] = ACTIONS(690),
    [sym_nil] = ACTIONS(890),
    [sym__number_arbitrary_radix] = ACTIONS(690),
    [sym_shorthand_function_arg] = ACTIONS(884),
    [anon_sym_AT] = ACTIONS(732),
    [anon_sym_POUND_QMARK_AT] = ACTIONS(735),
    [anon_sym_as_DASH_GT] = ACTIONS(708),
    [anon_sym_some_DASH_GT_GT] = ACTIONS(708),
    [anon_sym_SQUOTE] = ACTIONS(893),
    [anon_sym_POUND_COLON_COLON_LBRACE] = ACTIONS(741),
    [anon_sym_POUND_BANG] = ACTIONS(744),
    [sym_new_class] = ACTIONS(675),
    [sym__symbol_chars] = ACTIONS(747),
    [anon_sym_LBRACK] = ACTIONS(750),
    [sym_number_ratio] = ACTIONS(723),
    [anon_sym_BSLASH] = ACTIONS(753),
    [anon_sym_POUND_SQUOTE] = ACTIONS(756),
    [sym_true] = ACTIONS(687),
    [sym__number_octal] = ACTIONS(690),
    [anon_sym_CARET] = ACTIONS(759),
    [anon_sym_TILDE_AT] = ACTIONS(896),
    [anon_sym_DQUOTE] = ACTIONS(765),
    [anon_sym_POUND] = ACTIONS(768),
  },
  [220] = {
    [anon_sym_cond_DASH_GT] = ACTIONS(899),
    [anon_sym_POUND_DQUOTE] = ACTIONS(901),
    [aux_sym_namespace_map_token1] = ACTIONS(901),
    [anon_sym_SEMI] = ACTIONS(901),
    [anon_sym_RBRACK] = ACTIONS(901),
    [anon_sym_TILDE] = ACTIONS(899),
    [sym_number_bigint] = ACTIONS(899),
    [sym_gensym] = ACTIONS(901),
    [sym_false] = ACTIONS(899),
    [anon_sym_CARET_COLON] = ACTIONS(901),
    [sym__number_hex] = ACTIONS(899),
    [anon_sym_cond_DASH_GT_GT] = ACTIONS(901),
    [anon_sym_POUND_LBRACE] = ACTIONS(901),
    [anon_sym_LBRACE] = ACTIONS(901),
    [sym_number_bigdecimal] = ACTIONS(901),
    [anon_sym_AT] = ACTIONS(901),
    [sym__normal_long] = ACTIONS(899),
    [sym__number_arbitrary_radix] = ACTIONS(899),
    [anon_sym_SQUOTE] = ACTIONS(901),
    [anon_sym_RPAREN] = ACTIONS(901),
    [anon_sym_POUND_BANG] = ACTIONS(901),
    [sym__symbol_chars] = ACTIONS(899),
    [sym_number_ratio] = ACTIONS(901),
    [anon_sym_POUND] = ACTIONS(899),
    [sym__number_octal] = ACTIONS(899),
    [anon_sym_DASH_GT] = ACTIONS(899),
    [anon_sym_LPARENquote] = ACTIONS(901),
    [anon_sym_COLON] = ACTIONS(899),
    [anon_sym_POUND_] = ACTIONS(901),
    [sym_member_access] = ACTIONS(901),
    [anon_sym_POUND_POUND] = ACTIONS(901),
    [anon_sym_CARET_DQUOTE] = ACTIONS(901),
    [anon_sym_POUND_LPAREN] = ACTIONS(901),
    [sym_number_double] = ACTIONS(899),
    [anon_sym_POUND_QMARK] = ACTIONS(899),
    [anon_sym_DASH_GT_GT] = ACTIONS(901),
    [anon_sym_some_DASH_GT] = ACTIONS(899),
    [anon_sym_COLON_COLON] = ACTIONS(901),
    [anon_sym_RBRACE] = ACTIONS(901),
    [sym_field_access] = ACTIONS(901),
    [anon_sym_LPAREN] = ACTIONS(899),
    [anon_sym_BQUOTE] = ACTIONS(901),
    [sym_shorthand_function_arg] = ACTIONS(901),
    [sym_nil] = ACTIONS(899),
    [anon_sym_POUND_QMARK_AT] = ACTIONS(901),
    [anon_sym_as_DASH_GT] = ACTIONS(901),
    [anon_sym_some_DASH_GT_GT] = ACTIONS(901),
    [anon_sym_POUND_COLON_COLON_LBRACE] = ACTIONS(901),
    [ts_builtin_sym_end] = ACTIONS(901),
    [sym_new_class] = ACTIONS(901),
    [anon_sym_LBRACK] = ACTIONS(901),
    [anon_sym_POUND_SQUOTE] = ACTIONS(901),
    [anon_sym_BSLASH] = ACTIONS(901),
    [anon_sym_TILDE_AT] = ACTIONS(901),
    [sym_true] = ACTIONS(899),
    [anon_sym_CARET] = ACTIONS(899),
    [anon_sym_DQUOTE] = ACTIONS(901),
  },
  [221] = {
    [sym_deref] = STATE(130),
    [sym_boolean] = STATE(130),
    [sym__character] = STATE(34),
    [sym__string] = STATE(35),
    [sym__keyword] = STATE(36),
    [sym_qualified_symbol] = STATE(44),
    [sym__vector] = STATE(37),
    [sym_ignore_form] = STATE(38),
    [sym_var_quote] = STATE(130),
    [sym_number] = STATE(130),
    [sym__reader_conditional_symbol] = STATE(39),
    [aux_sym_metadata_repeat1] = STATE(40),
    [sym_regex] = STATE(130),
    [sym__unqualified_keyword] = STATE(36),
    [sym__qualified_symbol] = STATE(41),
    [sym_hash_map] = STATE(130),
    [sym_set] = STATE(130),
    [sym_comment_macro] = STATE(38),
    [sym_unquote] = STATE(130),
    [sym__literals] = STATE(130),
    [sym_symbolic_value] = STATE(130),
    [sym__quote] = STATE(43),
    [sym__symbol] = STATE(44),
    [sym__list] = STATE(45),
    [sym__hash_map_kv_pair] = STATE(221),
    [sym_semicolon] = STATE(38),
    [sym_shorthand_function] = STATE(130),
    [sym_metadata_shorthand] = STATE(40),
    [sym__collection_literals] = STATE(130),
    [sym_tagged_literal] = STATE(130),
    [sym_character] = STATE(130),
    [aux_sym__hash_map_repeat1] = STATE(221),
    [sym_string] = STATE(130),
    [sym_keyword] = STATE(130),
    [sym_threading_macro] = STATE(44),
    [sym_vector] = STATE(130),
    [sym__hash_map_key] = STATE(130),
    [sym_shebang_line] = STATE(38),
    [sym_defn] = STATE(130),
    [sym_syntax_quote] = STATE(130),
    [sym_reader_conditional] = STATE(130),
    [sym__number] = STATE(47),
    [sym__regex] = STATE(48),
    [sym_qualified_keyword] = STATE(36),
    [sym_interop] = STATE(130),
    [sym__hash_map] = STATE(49),
    [sym__set] = STATE(50),
    [sym__functions] = STATE(130),
    [sym_metadata] = STATE(51),
    [sym__anything] = STATE(130),
    [sym_unquote_splice] = STATE(130),
    [sym_number_long] = STATE(47),
    [sym_quote] = STATE(130),
    [sym_symbol] = STATE(130),
    [sym_list] = STATE(130),
    [sym_namespace_map] = STATE(49),
    [sym_comment] = STATE(130),
    [sym_anonymous_function] = STATE(130),
    [sym__metadata_map] = STATE(52),
    [anon_sym_DASH_GT] = ACTIONS(903),
    [anon_sym_cond_DASH_GT] = ACTIONS(903),
    [anon_sym_LPARENquote] = ACTIONS(906),
    [anon_sym_POUND_DQUOTE] = ACTIONS(909),
    [anon_sym_COLON] = ACTIONS(912),
    [aux_sym_namespace_map_token1] = ACTIONS(915),
    [anon_sym_POUND_] = ACTIONS(918),
    [anon_sym_SEMI] = ACTIONS(921),
    [sym_member_access] = ACTIONS(924),
    [anon_sym_POUND_POUND] = ACTIONS(927),
    [sym_number_bigint] = ACTIONS(930),
    [anon_sym_CARET_DQUOTE] = ACTIONS(933),
    [sym_false] = ACTIONS(936),
    [sym_number_double] = ACTIONS(930),
    [sym__number_hex] = ACTIONS(939),
    [anon_sym_POUND_LPAREN] = ACTIONS(942),
    [anon_sym_CARET_COLON] = ACTIONS(945),
    [anon_sym_TILDE] = ACTIONS(948),
    [sym_gensym] = ACTIONS(951),
    [anon_sym_POUND_QMARK] = ACTIONS(954),
    [anon_sym_DASH_GT_GT] = ACTIONS(957),
    [anon_sym_cond_DASH_GT_GT] = ACTIONS(957),
    [anon_sym_some_DASH_GT] = ACTIONS(903),
    [anon_sym_COLON_COLON] = ACTIONS(960),
    [anon_sym_POUND_LBRACE] = ACTIONS(963),
    [anon_sym_RBRACE] = ACTIONS(966),
    [sym_field_access] = ACTIONS(924),
    [anon_sym_LBRACE] = ACTIONS(968),
    [anon_sym_LPAREN] = ACTIONS(971),
    [sym_number_bigdecimal] = ACTIONS(974),
    [anon_sym_BQUOTE] = ACTIONS(977),
    [sym__normal_long] = ACTIONS(939),
    [sym_nil] = ACTIONS(980),
    [sym__number_arbitrary_radix] = ACTIONS(939),
    [sym_shorthand_function_arg] = ACTIONS(951),
    [anon_sym_AT] = ACTIONS(983),
    [anon_sym_POUND_QMARK_AT] = ACTIONS(986),
    [anon_sym_as_DASH_GT] = ACTIONS(957),
    [anon_sym_some_DASH_GT_GT] = ACTIONS(957),
    [anon_sym_SQUOTE] = ACTIONS(989),
    [anon_sym_POUND_COLON_COLON_LBRACE] = ACTIONS(992),
    [anon_sym_POUND_BANG] = ACTIONS(995),
    [sym_new_class] = ACTIONS(924),
    [sym__symbol_chars] = ACTIONS(998),
    [anon_sym_LBRACK] = ACTIONS(1001),
    [sym_number_ratio] = ACTIONS(974),
    [anon_sym_BSLASH] = ACTIONS(1004),
    [anon_sym_POUND_SQUOTE] = ACTIONS(1007),
    [sym_true] = ACTIONS(936),
    [sym__number_octal] = ACTIONS(939),
    [anon_sym_CARET] = ACTIONS(1010),
    [anon_sym_TILDE_AT] = ACTIONS(1013),
    [anon_sym_DQUOTE] = ACTIONS(1016),
    [anon_sym_POUND] = ACTIONS(1019),
  },
  [222] = {
    [anon_sym_DASH_GT] = ACTIONS(1022),
    [anon_sym_cond_DASH_GT] = ACTIONS(1022),
    [anon_sym_LPARENquote] = ACTIONS(1024),
    [anon_sym_POUND_DQUOTE] = ACTIONS(1024),
    [anon_sym_COLON] = ACTIONS(1022),
    [aux_sym_namespace_map_token1] = ACTIONS(1024),
    [anon_sym_POUND_] = ACTIONS(1024),
    [anon_sym_SEMI] = ACTIONS(1024),
    [sym_member_access] = ACTIONS(1024),
    [anon_sym_POUND_POUND] = ACTIONS(1024),
    [sym_number_bigint] = ACTIONS(1022),
    [anon_sym_CARET_DQUOTE] = ACTIONS(1024),
    [sym_false] = ACTIONS(1022),
    [sym_number_double] = ACTIONS(1022),
    [sym__number_hex] = ACTIONS(1022),
    [anon_sym_POUND_LPAREN] = ACTIONS(1024),
    [anon_sym_CARET_COLON] = ACTIONS(1024),
    [anon_sym_TILDE] = ACTIONS(1022),
    [sym_gensym] = ACTIONS(1024),
    [anon_sym_POUND_QMARK] = ACTIONS(1022),
    [anon_sym_DASH_GT_GT] = ACTIONS(1024),
    [anon_sym_cond_DASH_GT_GT] = ACTIONS(1024),
    [anon_sym_some_DASH_GT] = ACTIONS(1022),
    [anon_sym_COLON_COLON] = ACTIONS(1024),
    [anon_sym_POUND_LBRACE] = ACTIONS(1024),
    [anon_sym_RBRACE] = ACTIONS(1024),
    [sym_field_access] = ACTIONS(1024),
    [anon_sym_LBRACE] = ACTIONS(1024),
    [anon_sym_LPAREN] = ACTIONS(1022),
    [sym_number_bigdecimal] = ACTIONS(1024),
    [anon_sym_BQUOTE] = ACTIONS(1024),
    [sym__normal_long] = ACTIONS(1022),
    [sym_nil] = ACTIONS(1022),
    [sym__number_arbitrary_radix] = ACTIONS(1022),
    [sym_shorthand_function_arg] = ACTIONS(1024),
    [anon_sym_AT] = ACTIONS(1024),
    [anon_sym_POUND_QMARK_AT] = ACTIONS(1024),
    [anon_sym_as_DASH_GT] = ACTIONS(1024),
    [anon_sym_some_DASH_GT_GT] = ACTIONS(1024),
    [anon_sym_SQUOTE] = ACTIONS(1024),
    [anon_sym_POUND_COLON_COLON_LBRACE] = ACTIONS(1024),
    [anon_sym_POUND_BANG] = ACTIONS(1024),
    [sym_new_class] = ACTIONS(1024),
    [sym__symbol_chars] = ACTIONS(1022),
    [anon_sym_LBRACK] = ACTIONS(1024),
    [sym_number_ratio] = ACTIONS(1024),
    [anon_sym_BSLASH] = ACTIONS(1024),
    [anon_sym_POUND_SQUOTE] = ACTIONS(1024),
    [sym_true] = ACTIONS(1022),
    [sym__number_octal] = ACTIONS(1022),
    [anon_sym_CARET] = ACTIONS(1022),
    [anon_sym_TILDE_AT] = ACTIONS(1024),
    [anon_sym_DQUOTE] = ACTIONS(1024),
    [anon_sym_POUND] = ACTIONS(1022),
  },
  [223] = {
    [anon_sym_cond_DASH_GT] = ACTIONS(1026),
    [anon_sym_POUND_DQUOTE] = ACTIONS(1028),
    [aux_sym_namespace_map_token1] = ACTIONS(1028),
    [anon_sym_SEMI] = ACTIONS(1028),
    [anon_sym_RBRACK] = ACTIONS(1028),
    [anon_sym_TILDE] = ACTIONS(1026),
    [sym_number_bigint] = ACTIONS(1026),
    [sym_gensym] = ACTIONS(1028),
    [sym_false] = ACTIONS(1026),
    [anon_sym_CARET_COLON] = ACTIONS(1028),
    [sym__number_hex] = ACTIONS(1026),
    [anon_sym_cond_DASH_GT_GT] = ACTIONS(1028),
    [anon_sym_POUND_LBRACE] = ACTIONS(1028),
    [anon_sym_LBRACE] = ACTIONS(1028),
    [sym_number_bigdecimal] = ACTIONS(1028),
    [anon_sym_AT] = ACTIONS(1028),
    [sym__normal_long] = ACTIONS(1026),
    [sym__number_arbitrary_radix] = ACTIONS(1026),
    [anon_sym_SQUOTE] = ACTIONS(1028),
    [anon_sym_RPAREN] = ACTIONS(1028),
    [anon_sym_POUND_BANG] = ACTIONS(1028),
    [sym__symbol_chars] = ACTIONS(1026),
    [sym_number_ratio] = ACTIONS(1028),
    [anon_sym_POUND] = ACTIONS(1026),
    [sym__number_octal] = ACTIONS(1026),
    [anon_sym_DASH_GT] = ACTIONS(1026),
    [anon_sym_LPARENquote] = ACTIONS(1028),
    [anon_sym_COLON] = ACTIONS(1026),
    [anon_sym_POUND_] = ACTIONS(1028),
    [sym_member_access] = ACTIONS(1028),
    [anon_sym_POUND_POUND] = ACTIONS(1028),
    [anon_sym_CARET_DQUOTE] = ACTIONS(1028),
    [anon_sym_POUND_LPAREN] = ACTIONS(1028),
    [sym_number_double] = ACTIONS(1026),
    [anon_sym_POUND_QMARK] = ACTIONS(1026),
    [anon_sym_DASH_GT_GT] = ACTIONS(1028),
    [anon_sym_some_DASH_GT] = ACTIONS(1026),
    [anon_sym_COLON_COLON] = ACTIONS(1028),
    [anon_sym_RBRACE] = ACTIONS(1028),
    [sym_field_access] = ACTIONS(1028),
    [anon_sym_LPAREN] = ACTIONS(1026),
    [anon_sym_BQUOTE] = ACTIONS(1028),
    [sym_shorthand_function_arg] = ACTIONS(1028),
    [sym_nil] = ACTIONS(1026),
    [anon_sym_POUND_QMARK_AT] = ACTIONS(1028),
    [anon_sym_as_DASH_GT] = ACTIONS(1028),
    [anon_sym_some_DASH_GT_GT] = ACTIONS(1028),
    [anon_sym_POUND_COLON_COLON_LBRACE] = ACTIONS(1028),
    [ts_builtin_sym_end] = ACTIONS(1028),
    [sym_new_class] = ACTIONS(1028),
    [anon_sym_LBRACK] = ACTIONS(1028),
    [anon_sym_POUND_SQUOTE] = ACTIONS(1028),
    [anon_sym_BSLASH] = ACTIONS(1028),
    [anon_sym_TILDE_AT] = ACTIONS(1028),
    [sym_true] = ACTIONS(1026),
    [anon_sym_CARET] = ACTIONS(1026),
    [anon_sym_DQUOTE] = ACTIONS(1028),
  },
  [224] = {
    [sym_deref] = STATE(214),
    [sym_boolean] = STATE(214),
    [sym__character] = STATE(34),
    [sym__string] = STATE(35),
    [sym__keyword] = STATE(36),
    [sym_qualified_symbol] = STATE(44),
    [sym__vector] = STATE(37),
    [sym_ignore_form] = STATE(38),
    [sym_var_quote] = STATE(214),
    [sym_number] = STATE(214),
    [sym__reader_conditional_symbol] = STATE(39),
    [aux_sym_metadata_repeat1] = STATE(40),
    [sym_regex] = STATE(214),
    [sym__unqualified_keyword] = STATE(36),
    [sym__qualified_symbol] = STATE(41),
    [sym_hash_map] = STATE(214),
    [sym_set] = STATE(214),
    [sym_comment_macro] = STATE(38),
    [sym_unquote] = STATE(214),
    [sym__literals] = STATE(214),
    [aux_sym_program_repeat1] = STATE(214),
    [sym_symbolic_value] = STATE(214),
    [sym__quote] = STATE(43),
    [sym__symbol] = STATE(44),
    [sym__list] = STATE(45),
    [sym_semicolon] = STATE(38),
    [sym_shorthand_function] = STATE(214),
    [sym_metadata_shorthand] = STATE(40),
    [sym__collection_literals] = STATE(214),
    [sym_tagged_literal] = STATE(214),
    [sym_character] = STATE(214),
    [sym_string] = STATE(214),
    [sym_keyword] = STATE(214),
    [sym_threading_macro] = STATE(44),
    [sym_vector] = STATE(214),
    [sym_shebang_line] = STATE(38),
    [sym_defn] = STATE(214),
    [sym_syntax_quote] = STATE(214),
    [sym_reader_conditional] = STATE(214),
    [sym__number] = STATE(47),
    [sym__regex] = STATE(48),
    [sym_qualified_keyword] = STATE(36),
    [sym_interop] = STATE(214),
    [sym__hash_map] = STATE(49),
    [sym__set] = STATE(50),
    [sym__functions] = STATE(214),
    [sym_metadata] = STATE(51),
    [sym__anything] = STATE(214),
    [sym_unquote_splice] = STATE(214),
    [sym_number_long] = STATE(47),
    [sym_quote] = STATE(214),
    [sym_symbol] = STATE(214),
    [sym_list] = STATE(214),
    [sym_namespace_map] = STATE(49),
    [sym_comment] = STATE(214),
    [sym_anonymous_function] = STATE(214),
    [sym__metadata_map] = STATE(52),
    [anon_sym_DASH_GT] = ACTIONS(3),
    [anon_sym_cond_DASH_GT] = ACTIONS(3),
    [anon_sym_LPARENquote] = ACTIONS(5),
    [anon_sym_POUND_DQUOTE] = ACTIONS(7),
    [anon_sym_COLON] = ACTIONS(9),
    [aux_sym_namespace_map_token1] = ACTIONS(11),
    [anon_sym_POUND_] = ACTIONS(189),
    [anon_sym_SEMI] = ACTIONS(15),
    [sym_member_access] = ACTIONS(17),
    [anon_sym_POUND_POUND] = ACTIONS(19),
    [sym_number_bigint] = ACTIONS(21),
    [sym_gensym] = ACTIONS(517),
    [sym_false] = ACTIONS(25),
    [sym_number_double] = ACTIONS(21),
    [sym__number_hex] = ACTIONS(27),
    [anon_sym_POUND_LPAREN] = ACTIONS(29),
    [anon_sym_CARET_COLON] = ACTIONS(31),
    [anon_sym_CARET_DQUOTE] = ACTIONS(33),
    [anon_sym_TILDE] = ACTIONS(193),
    [anon_sym_POUND_QMARK] = ACTIONS(37),
    [anon_sym_DASH_GT_GT] = ACTIONS(39),
    [anon_sym_cond_DASH_GT_GT] = ACTIONS(39),
    [anon_sym_some_DASH_GT] = ACTIONS(3),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_POUND_LBRACE] = ACTIONS(43),
    [sym_field_access] = ACTIONS(17),
    [anon_sym_LBRACE] = ACTIONS(45),
    [anon_sym_LPAREN] = ACTIONS(47),
    [sym_number_bigdecimal] = ACTIONS(49),
    [anon_sym_BQUOTE] = ACTIONS(195),
    [sym_shorthand_function_arg] = ACTIONS(517),
    [sym_nil] = ACTIONS(519),
    [sym__normal_long] = ACTIONS(27),
    [sym__number_arbitrary_radix] = ACTIONS(27),
    [anon_sym_AT] = ACTIONS(55),
    [anon_sym_POUND_QMARK_AT] = ACTIONS(57),
    [anon_sym_as_DASH_GT] = ACTIONS(39),
    [anon_sym_some_DASH_GT_GT] = ACTIONS(39),
    [anon_sym_SQUOTE] = ACTIONS(199),
    [anon_sym_RPAREN] = ACTIONS(1030),
    [anon_sym_POUND_COLON_COLON_LBRACE] = ACTIONS(61),
    [anon_sym_POUND_BANG] = ACTIONS(65),
    [sym_new_class] = ACTIONS(17),
    [sym__symbol_chars] = ACTIONS(67),
    [anon_sym_LBRACK] = ACTIONS(69),
    [sym_number_ratio] = ACTIONS(49),
    [anon_sym_BSLASH] = ACTIONS(71),
    [anon_sym_POUND_SQUOTE] = ACTIONS(73),
    [sym_true] = ACTIONS(25),
    [sym__number_octal] = ACTIONS(27),
    [anon_sym_CARET] = ACTIONS(75),
    [anon_sym_TILDE_AT] = ACTIONS(203),
    [anon_sym_DQUOTE] = ACTIONS(79),
    [anon_sym_POUND] = ACTIONS(81),
  },
  [225] = {
    [sym__single_arity_fn] = STATE(272),
    [sym_vector] = STATE(231),
    [sym__vector] = STATE(37),
    [sym_params] = STATE(230),
    [anon_sym_LBRACK] = ACTIONS(69),
  },
  [226] = {
    [anon_sym_RPAREN] = ACTIONS(1032),
  },
  [227] = {
    [aux_sym__multi_arity_fn_repeat1] = STATE(229),
    [sym__single_arity_fn] = STATE(274),
    [sym_vector] = STATE(231),
    [sym__vector] = STATE(37),
    [sym_params] = STATE(230),
    [sym__after_the_fn_name] = STATE(274),
    [sym__multi_arity_fn] = STATE(274),
    [anon_sym_LPAREN] = ACTIONS(573),
    [anon_sym_LBRACK] = ACTIONS(69),
  },
  [228] = {
    [anon_sym_LPAREN] = ACTIONS(1034),
    [anon_sym_POUND_COLON_COLON_LBRACE] = ACTIONS(1034),
    [anon_sym_LBRACE] = ACTIONS(1034),
    [anon_sym_LBRACK] = ACTIONS(1034),
    [aux_sym_namespace_map_token1] = ACTIONS(1034),
    [anon_sym_DQUOTE] = ACTIONS(1034),
  },
  [229] = {
    [aux_sym__multi_arity_fn_repeat1] = STATE(275),
    [anon_sym_RPAREN] = ACTIONS(1036),
    [anon_sym_LPAREN] = ACTIONS(573),
  },
  [230] = {
    [sym_deref] = STATE(276),
    [sym_boolean] = STATE(276),
    [sym__character] = STATE(34),
    [sym__string] = STATE(35),
    [sym__keyword] = STATE(36),
    [sym_qualified_symbol] = STATE(44),
    [sym__vector] = STATE(37),
    [sym_ignore_form] = STATE(38),
    [sym_var_quote] = STATE(276),
    [sym_number] = STATE(276),
    [sym__reader_conditional_symbol] = STATE(39),
    [aux_sym_metadata_repeat1] = STATE(40),
    [sym_regex] = STATE(276),
    [sym__unqualified_keyword] = STATE(36),
    [sym__qualified_symbol] = STATE(41),
    [sym_hash_map] = STATE(276),
    [sym_set] = STATE(276),
    [sym_comment_macro] = STATE(38),
    [sym_unquote] = STATE(276),
    [sym__literals] = STATE(276),
    [aux_sym_program_repeat1] = STATE(276),
    [sym_symbolic_value] = STATE(276),
    [sym__quote] = STATE(43),
    [sym__symbol] = STATE(44),
    [sym__list] = STATE(45),
    [sym_semicolon] = STATE(38),
    [sym_shorthand_function] = STATE(276),
    [sym_metadata_shorthand] = STATE(40),
    [sym__collection_literals] = STATE(276),
    [sym_tagged_literal] = STATE(276),
    [sym_character] = STATE(276),
    [sym_string] = STATE(276),
    [sym_keyword] = STATE(276),
    [sym_threading_macro] = STATE(44),
    [sym_vector] = STATE(276),
    [sym_shebang_line] = STATE(38),
    [sym_defn] = STATE(276),
    [sym_syntax_quote] = STATE(276),
    [sym_reader_conditional] = STATE(276),
    [sym__number] = STATE(47),
    [sym__regex] = STATE(48),
    [sym_qualified_keyword] = STATE(36),
    [sym_interop] = STATE(276),
    [sym__hash_map] = STATE(49),
    [sym__set] = STATE(50),
    [sym__functions] = STATE(276),
    [sym_function_body] = STATE(277),
    [sym_metadata] = STATE(51),
    [sym__anything] = STATE(276),
    [sym_unquote_splice] = STATE(276),
    [sym_number_long] = STATE(47),
    [sym_quote] = STATE(276),
    [sym_symbol] = STATE(276),
    [sym_list] = STATE(276),
    [sym_namespace_map] = STATE(49),
    [sym_comment] = STATE(276),
    [sym_anonymous_function] = STATE(276),
    [sym__metadata_map] = STATE(52),
    [anon_sym_DASH_GT] = ACTIONS(3),
    [anon_sym_cond_DASH_GT] = ACTIONS(3),
    [anon_sym_LPARENquote] = ACTIONS(5),
    [anon_sym_POUND_DQUOTE] = ACTIONS(7),
    [anon_sym_COLON] = ACTIONS(9),
    [aux_sym_namespace_map_token1] = ACTIONS(11),
    [anon_sym_POUND_] = ACTIONS(189),
    [anon_sym_SEMI] = ACTIONS(15),
    [sym_member_access] = ACTIONS(17),
    [anon_sym_POUND_POUND] = ACTIONS(19),
    [sym_number_bigint] = ACTIONS(21),
    [sym_gensym] = ACTIONS(1038),
    [sym_false] = ACTIONS(25),
    [sym_number_double] = ACTIONS(21),
    [sym__number_hex] = ACTIONS(27),
    [anon_sym_POUND_LPAREN] = ACTIONS(29),
    [anon_sym_CARET_COLON] = ACTIONS(31),
    [anon_sym_CARET_DQUOTE] = ACTIONS(33),
    [anon_sym_TILDE] = ACTIONS(193),
    [anon_sym_POUND_QMARK] = ACTIONS(37),
    [anon_sym_DASH_GT_GT] = ACTIONS(39),
    [anon_sym_cond_DASH_GT_GT] = ACTIONS(39),
    [anon_sym_some_DASH_GT] = ACTIONS(3),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_POUND_LBRACE] = ACTIONS(43),
    [sym_field_access] = ACTIONS(17),
    [anon_sym_LBRACE] = ACTIONS(45),
    [anon_sym_LPAREN] = ACTIONS(47),
    [sym_number_bigdecimal] = ACTIONS(49),
    [anon_sym_BQUOTE] = ACTIONS(195),
    [sym_shorthand_function_arg] = ACTIONS(1038),
    [sym_nil] = ACTIONS(1040),
    [sym__normal_long] = ACTIONS(27),
    [sym__number_arbitrary_radix] = ACTIONS(27),
    [anon_sym_AT] = ACTIONS(55),
    [anon_sym_POUND_QMARK_AT] = ACTIONS(57),
    [anon_sym_as_DASH_GT] = ACTIONS(39),
    [anon_sym_some_DASH_GT_GT] = ACTIONS(39),
    [anon_sym_SQUOTE] = ACTIONS(199),
    [anon_sym_RPAREN] = ACTIONS(1042),
    [anon_sym_POUND_COLON_COLON_LBRACE] = ACTIONS(61),
    [anon_sym_POUND_BANG] = ACTIONS(65),
    [sym_new_class] = ACTIONS(17),
    [sym__symbol_chars] = ACTIONS(67),
    [anon_sym_LBRACK] = ACTIONS(69),
    [sym_number_ratio] = ACTIONS(49),
    [anon_sym_BSLASH] = ACTIONS(71),
    [anon_sym_POUND_SQUOTE] = ACTIONS(73),
    [sym_true] = ACTIONS(25),
    [sym__number_octal] = ACTIONS(27),
    [anon_sym_CARET] = ACTIONS(75),
    [anon_sym_TILDE_AT] = ACTIONS(203),
    [anon_sym_DQUOTE] = ACTIONS(79),
    [anon_sym_POUND] = ACTIONS(81),
  },
  [231] = {
    [anon_sym_DASH_GT] = ACTIONS(1044),
    [anon_sym_cond_DASH_GT] = ACTIONS(1044),
    [anon_sym_LPARENquote] = ACTIONS(1046),
    [anon_sym_POUND_DQUOTE] = ACTIONS(1046),
    [anon_sym_COLON] = ACTIONS(1044),
    [aux_sym_namespace_map_token1] = ACTIONS(1046),
    [anon_sym_POUND_] = ACTIONS(1046),
    [anon_sym_SEMI] = ACTIONS(1046),
    [sym_member_access] = ACTIONS(1046),
    [anon_sym_POUND_POUND] = ACTIONS(1046),
    [sym_number_bigint] = ACTIONS(1044),
    [anon_sym_CARET_DQUOTE] = ACTIONS(1046),
    [sym_false] = ACTIONS(1044),
    [sym_number_double] = ACTIONS(1044),
    [sym__number_hex] = ACTIONS(1044),
    [anon_sym_POUND_LPAREN] = ACTIONS(1046),
    [anon_sym_CARET_COLON] = ACTIONS(1046),
    [anon_sym_TILDE] = ACTIONS(1044),
    [sym_gensym] = ACTIONS(1046),
    [anon_sym_POUND_QMARK] = ACTIONS(1044),
    [anon_sym_DASH_GT_GT] = ACTIONS(1046),
    [anon_sym_cond_DASH_GT_GT] = ACTIONS(1046),
    [anon_sym_some_DASH_GT] = ACTIONS(1044),
    [anon_sym_COLON_COLON] = ACTIONS(1046),
    [anon_sym_POUND_LBRACE] = ACTIONS(1046),
    [sym_field_access] = ACTIONS(1046),
    [anon_sym_LBRACE] = ACTIONS(1046),
    [anon_sym_LPAREN] = ACTIONS(1044),
    [sym_number_bigdecimal] = ACTIONS(1046),
    [anon_sym_BQUOTE] = ACTIONS(1046),
    [sym__normal_long] = ACTIONS(1044),
    [sym_nil] = ACTIONS(1044),
    [sym__number_arbitrary_radix] = ACTIONS(1044),
    [sym_shorthand_function_arg] = ACTIONS(1046),
    [anon_sym_AT] = ACTIONS(1046),
    [anon_sym_POUND_QMARK_AT] = ACTIONS(1046),
    [anon_sym_as_DASH_GT] = ACTIONS(1046),
    [anon_sym_some_DASH_GT_GT] = ACTIONS(1046),
    [anon_sym_SQUOTE] = ACTIONS(1046),
    [anon_sym_RPAREN] = ACTIONS(1046),
    [anon_sym_POUND_COLON_COLON_LBRACE] = ACTIONS(1046),
    [anon_sym_POUND_BANG] = ACTIONS(1046),
    [sym_new_class] = ACTIONS(1046),
    [sym__symbol_chars] = ACTIONS(1044),
    [anon_sym_LBRACK] = ACTIONS(1046),
    [sym_number_ratio] = ACTIONS(1046),
    [anon_sym_BSLASH] = ACTIONS(1046),
    [anon_sym_POUND_SQUOTE] = ACTIONS(1046),
    [sym_true] = ACTIONS(1044),
    [sym__number_octal] = ACTIONS(1044),
    [anon_sym_CARET] = ACTIONS(1044),
    [anon_sym_TILDE_AT] = ACTIONS(1046),
    [anon_sym_DQUOTE] = ACTIONS(1046),
    [anon_sym_POUND] = ACTIONS(1044),
  },
  [232] = {
    [sym_hash_map] = STATE(281),
    [sym__hash_map] = STATE(282),
    [sym_namespace_map] = STATE(282),
    [anon_sym_POUND_COLON_COLON_LBRACE] = ACTIONS(1048),
    [sym__symbol_chars] = ACTIONS(205),
    [aux_sym_namespace_map_token1] = ACTIONS(1050),
    [anon_sym_LBRACE] = ACTIONS(1052),
  },
  [233] = {
    [sym_hash_map] = STATE(283),
    [sym__hash_map] = STATE(90),
    [sym__single_arity_fn] = STATE(287),
    [sym_docstring] = STATE(284),
    [sym_string] = STATE(285),
    [sym__string] = STATE(83),
    [sym__multi_arity_fn] = STATE(287),
    [sym_namespace_map] = STATE(90),
    [aux_sym__multi_arity_fn_repeat1] = STATE(229),
    [sym_attr_map] = STATE(286),
    [sym_vector] = STATE(231),
    [sym__vector] = STATE(37),
    [sym_params] = STATE(230),
    [sym__after_the_fn_name] = STATE(287),
    [anon_sym_LPAREN] = ACTIONS(573),
    [anon_sym_POUND_COLON_COLON_LBRACE] = ACTIONS(141),
    [anon_sym_LBRACE] = ACTIONS(125),
    [anon_sym_DQUOTE] = ACTIONS(155),
    [aux_sym_namespace_map_token1] = ACTIONS(95),
    [anon_sym_LBRACK] = ACTIONS(69),
  },
  [234] = {
    [sym_metadata_shorthand] = STATE(288),
    [aux_sym_metadata_repeat1] = STATE(288),
    [anon_sym_DASH_GT] = ACTIONS(1054),
    [anon_sym_cond_DASH_GT] = ACTIONS(1054),
    [sym__symbol_chars] = ACTIONS(1054),
    [anon_sym_DASH_GT_GT] = ACTIONS(341),
    [anon_sym_cond_DASH_GT_GT] = ACTIONS(341),
    [anon_sym_some_DASH_GT] = ACTIONS(1054),
    [anon_sym_CARET] = ACTIONS(343),
    [anon_sym_as_DASH_GT] = ACTIONS(341),
    [anon_sym_CARET_DQUOTE] = ACTIONS(33),
    [anon_sym_some_DASH_GT_GT] = ACTIONS(341),
    [anon_sym_CARET_COLON] = ACTIONS(31),
  },
  [235] = {
    [sym_threading_macro] = STATE(96),
    [sym_qualified_symbol] = STATE(96),
    [sym_symbol] = STATE(228),
    [sym__symbol] = STATE(96),
    [sym_function_name] = STATE(289),
    [sym__qualified_symbol] = STATE(89),
    [anon_sym_DASH_GT] = ACTIONS(87),
    [anon_sym_cond_DASH_GT] = ACTIONS(87),
    [sym__symbol_chars] = ACTIONS(145),
    [anon_sym_DASH_GT_GT] = ACTIONS(119),
    [anon_sym_cond_DASH_GT_GT] = ACTIONS(119),
    [anon_sym_some_DASH_GT] = ACTIONS(87),
    [anon_sym_as_DASH_GT] = ACTIONS(119),
    [anon_sym_some_DASH_GT_GT] = ACTIONS(119),
  },
  [236] = {
    [anon_sym_DASH_GT] = ACTIONS(1054),
    [anon_sym_cond_DASH_GT] = ACTIONS(1054),
    [sym__symbol_chars] = ACTIONS(1054),
    [anon_sym_DASH_GT_GT] = ACTIONS(341),
    [anon_sym_cond_DASH_GT_GT] = ACTIONS(341),
    [anon_sym_some_DASH_GT] = ACTIONS(1054),
    [anon_sym_as_DASH_GT] = ACTIONS(341),
    [anon_sym_some_DASH_GT_GT] = ACTIONS(341),
  },
  [237] = {
    [anon_sym_cond_DASH_GT] = ACTIONS(1056),
    [anon_sym_POUND_DQUOTE] = ACTIONS(1058),
    [aux_sym_namespace_map_token1] = ACTIONS(1058),
    [anon_sym_SEMI] = ACTIONS(1058),
    [anon_sym_RBRACK] = ACTIONS(1058),
    [anon_sym_TILDE] = ACTIONS(1056),
    [sym_number_bigint] = ACTIONS(1056),
    [sym_gensym] = ACTIONS(1058),
    [sym_false] = ACTIONS(1056),
    [anon_sym_CARET_COLON] = ACTIONS(1058),
    [sym__number_hex] = ACTIONS(1056),
    [anon_sym_cond_DASH_GT_GT] = ACTIONS(1058),
    [anon_sym_POUND_LBRACE] = ACTIONS(1058),
    [anon_sym_LBRACE] = ACTIONS(1058),
    [sym_number_bigdecimal] = ACTIONS(1058),
    [anon_sym_AT] = ACTIONS(1058),
    [sym__normal_long] = ACTIONS(1056),
    [sym__number_arbitrary_radix] = ACTIONS(1056),
    [anon_sym_SQUOTE] = ACTIONS(1058),
    [anon_sym_RPAREN] = ACTIONS(1058),
    [anon_sym_POUND_BANG] = ACTIONS(1058),
    [sym__symbol_chars] = ACTIONS(1056),
    [sym_number_ratio] = ACTIONS(1058),
    [anon_sym_POUND] = ACTIONS(1056),
    [sym__number_octal] = ACTIONS(1056),
    [anon_sym_DASH_GT] = ACTIONS(1056),
    [anon_sym_LPARENquote] = ACTIONS(1058),
    [anon_sym_COLON] = ACTIONS(1056),
    [anon_sym_POUND_] = ACTIONS(1058),
    [sym_member_access] = ACTIONS(1058),
    [anon_sym_POUND_POUND] = ACTIONS(1058),
    [anon_sym_CARET_DQUOTE] = ACTIONS(1058),
    [anon_sym_POUND_LPAREN] = ACTIONS(1058),
    [sym_number_double] = ACTIONS(1056),
    [anon_sym_POUND_QMARK] = ACTIONS(1056),
    [anon_sym_DASH_GT_GT] = ACTIONS(1058),
    [anon_sym_some_DASH_GT] = ACTIONS(1056),
    [anon_sym_COLON_COLON] = ACTIONS(1058),
    [anon_sym_RBRACE] = ACTIONS(1058),
    [sym_field_access] = ACTIONS(1058),
    [anon_sym_LPAREN] = ACTIONS(1056),
    [anon_sym_BQUOTE] = ACTIONS(1058),
    [sym_shorthand_function_arg] = ACTIONS(1058),
    [sym_nil] = ACTIONS(1056),
    [anon_sym_POUND_QMARK_AT] = ACTIONS(1058),
    [anon_sym_as_DASH_GT] = ACTIONS(1058),
    [anon_sym_some_DASH_GT_GT] = ACTIONS(1058),
    [anon_sym_POUND_COLON_COLON_LBRACE] = ACTIONS(1058),
    [ts_builtin_sym_end] = ACTIONS(1058),
    [sym_new_class] = ACTIONS(1058),
    [anon_sym_LBRACK] = ACTIONS(1058),
    [anon_sym_POUND_SQUOTE] = ACTIONS(1058),
    [anon_sym_BSLASH] = ACTIONS(1058),
    [anon_sym_TILDE_AT] = ACTIONS(1058),
    [sym_true] = ACTIONS(1056),
    [anon_sym_CARET] = ACTIONS(1056),
    [anon_sym_DQUOTE] = ACTIONS(1058),
  },
  [238] = {
    [anon_sym_cond_DASH_GT] = ACTIONS(1060),
    [anon_sym_POUND_DQUOTE] = ACTIONS(1062),
    [aux_sym_namespace_map_token1] = ACTIONS(1062),
    [anon_sym_SEMI] = ACTIONS(1062),
    [anon_sym_RBRACK] = ACTIONS(1062),
    [anon_sym_TILDE] = ACTIONS(1060),
    [sym_number_bigint] = ACTIONS(1060),
    [sym_gensym] = ACTIONS(1062),
    [sym_false] = ACTIONS(1060),
    [anon_sym_CARET_COLON] = ACTIONS(1062),
    [sym__number_hex] = ACTIONS(1060),
    [anon_sym_cond_DASH_GT_GT] = ACTIONS(1062),
    [anon_sym_POUND_LBRACE] = ACTIONS(1062),
    [anon_sym_LBRACE] = ACTIONS(1062),
    [sym_number_bigdecimal] = ACTIONS(1062),
    [anon_sym_AT] = ACTIONS(1062),
    [sym__normal_long] = ACTIONS(1060),
    [sym__number_arbitrary_radix] = ACTIONS(1060),
    [anon_sym_SQUOTE] = ACTIONS(1062),
    [anon_sym_RPAREN] = ACTIONS(1062),
    [anon_sym_POUND_BANG] = ACTIONS(1062),
    [sym__symbol_chars] = ACTIONS(1060),
    [sym_number_ratio] = ACTIONS(1062),
    [anon_sym_POUND] = ACTIONS(1060),
    [sym__number_octal] = ACTIONS(1060),
    [anon_sym_DASH_GT] = ACTIONS(1060),
    [anon_sym_LPARENquote] = ACTIONS(1062),
    [anon_sym_COLON] = ACTIONS(1060),
    [anon_sym_POUND_] = ACTIONS(1062),
    [sym_member_access] = ACTIONS(1062),
    [anon_sym_POUND_POUND] = ACTIONS(1062),
    [anon_sym_CARET_DQUOTE] = ACTIONS(1062),
    [anon_sym_POUND_LPAREN] = ACTIONS(1062),
    [sym_number_double] = ACTIONS(1060),
    [anon_sym_POUND_QMARK] = ACTIONS(1060),
    [anon_sym_DASH_GT_GT] = ACTIONS(1062),
    [anon_sym_some_DASH_GT] = ACTIONS(1060),
    [anon_sym_COLON_COLON] = ACTIONS(1062),
    [anon_sym_RBRACE] = ACTIONS(1062),
    [sym_field_access] = ACTIONS(1062),
    [anon_sym_LPAREN] = ACTIONS(1060),
    [anon_sym_BQUOTE] = ACTIONS(1062),
    [sym_shorthand_function_arg] = ACTIONS(1062),
    [sym_nil] = ACTIONS(1060),
    [anon_sym_POUND_QMARK_AT] = ACTIONS(1062),
    [anon_sym_as_DASH_GT] = ACTIONS(1062),
    [anon_sym_some_DASH_GT_GT] = ACTIONS(1062),
    [anon_sym_POUND_COLON_COLON_LBRACE] = ACTIONS(1062),
    [ts_builtin_sym_end] = ACTIONS(1062),
    [sym_new_class] = ACTIONS(1062),
    [anon_sym_LBRACK] = ACTIONS(1062),
    [anon_sym_POUND_SQUOTE] = ACTIONS(1062),
    [anon_sym_BSLASH] = ACTIONS(1062),
    [anon_sym_TILDE_AT] = ACTIONS(1062),
    [sym_true] = ACTIONS(1060),
    [anon_sym_CARET] = ACTIONS(1060),
    [anon_sym_DQUOTE] = ACTIONS(1062),
  },
  [239] = {
    [anon_sym_cond_DASH_GT] = ACTIONS(1064),
    [anon_sym_POUND_DQUOTE] = ACTIONS(1066),
    [aux_sym_namespace_map_token1] = ACTIONS(1066),
    [anon_sym_SEMI] = ACTIONS(1066),
    [anon_sym_RBRACK] = ACTIONS(1066),
    [anon_sym_TILDE] = ACTIONS(1064),
    [sym_number_bigint] = ACTIONS(1064),
    [sym_gensym] = ACTIONS(1066),
    [sym_false] = ACTIONS(1064),
    [anon_sym_CARET_COLON] = ACTIONS(1066),
    [sym__number_hex] = ACTIONS(1064),
    [anon_sym_cond_DASH_GT_GT] = ACTIONS(1066),
    [anon_sym_POUND_LBRACE] = ACTIONS(1066),
    [anon_sym_LBRACE] = ACTIONS(1066),
    [sym_number_bigdecimal] = ACTIONS(1066),
    [anon_sym_AT] = ACTIONS(1066),
    [sym__normal_long] = ACTIONS(1064),
    [sym__number_arbitrary_radix] = ACTIONS(1064),
    [anon_sym_SQUOTE] = ACTIONS(1066),
    [anon_sym_RPAREN] = ACTIONS(1066),
    [anon_sym_POUND_BANG] = ACTIONS(1066),
    [sym__symbol_chars] = ACTIONS(1064),
    [sym_number_ratio] = ACTIONS(1066),
    [anon_sym_POUND] = ACTIONS(1064),
    [sym__number_octal] = ACTIONS(1064),
    [anon_sym_DASH_GT] = ACTIONS(1064),
    [anon_sym_LPARENquote] = ACTIONS(1066),
    [anon_sym_COLON] = ACTIONS(1064),
    [anon_sym_POUND_] = ACTIONS(1066),
    [sym_member_access] = ACTIONS(1066),
    [anon_sym_POUND_POUND] = ACTIONS(1066),
    [anon_sym_CARET_DQUOTE] = ACTIONS(1066),
    [anon_sym_POUND_LPAREN] = ACTIONS(1066),
    [sym_number_double] = ACTIONS(1064),
    [anon_sym_POUND_QMARK] = ACTIONS(1064),
    [anon_sym_DASH_GT_GT] = ACTIONS(1066),
    [anon_sym_some_DASH_GT] = ACTIONS(1064),
    [anon_sym_COLON_COLON] = ACTIONS(1066),
    [anon_sym_RBRACE] = ACTIONS(1066),
    [sym_field_access] = ACTIONS(1066),
    [anon_sym_LPAREN] = ACTIONS(1064),
    [anon_sym_BQUOTE] = ACTIONS(1066),
    [sym_shorthand_function_arg] = ACTIONS(1066),
    [sym_nil] = ACTIONS(1064),
    [anon_sym_POUND_QMARK_AT] = ACTIONS(1066),
    [anon_sym_as_DASH_GT] = ACTIONS(1066),
    [anon_sym_some_DASH_GT_GT] = ACTIONS(1066),
    [anon_sym_POUND_COLON_COLON_LBRACE] = ACTIONS(1066),
    [ts_builtin_sym_end] = ACTIONS(1066),
    [sym_new_class] = ACTIONS(1066),
    [anon_sym_LBRACK] = ACTIONS(1066),
    [anon_sym_POUND_SQUOTE] = ACTIONS(1066),
    [anon_sym_BSLASH] = ACTIONS(1066),
    [anon_sym_TILDE_AT] = ACTIONS(1066),
    [sym_true] = ACTIONS(1064),
    [anon_sym_CARET] = ACTIONS(1064),
    [anon_sym_DQUOTE] = ACTIONS(1066),
  },
  [240] = {
    [sym_deref] = STATE(240),
    [sym_boolean] = STATE(240),
    [sym__character] = STATE(34),
    [sym__string] = STATE(35),
    [sym__keyword] = STATE(36),
    [sym_qualified_symbol] = STATE(44),
    [sym__vector] = STATE(37),
    [sym_ignore_form] = STATE(38),
    [sym_var_quote] = STATE(240),
    [sym_number] = STATE(240),
    [sym__reader_conditional_symbol] = STATE(39),
    [aux_sym_metadata_repeat1] = STATE(40),
    [sym_regex] = STATE(240),
    [sym__unqualified_keyword] = STATE(36),
    [sym__qualified_symbol] = STATE(41),
    [sym_hash_map] = STATE(240),
    [sym_set] = STATE(240),
    [sym_comment_macro] = STATE(38),
    [sym_unquote] = STATE(240),
    [sym__literals] = STATE(240),
    [aux_sym_program_repeat1] = STATE(240),
    [sym_symbolic_value] = STATE(240),
    [sym__quote] = STATE(43),
    [sym__symbol] = STATE(44),
    [sym__list] = STATE(45),
    [sym_semicolon] = STATE(38),
    [sym_shorthand_function] = STATE(240),
    [sym_metadata_shorthand] = STATE(40),
    [sym__collection_literals] = STATE(240),
    [sym_tagged_literal] = STATE(240),
    [sym_character] = STATE(240),
    [sym_string] = STATE(240),
    [sym_keyword] = STATE(240),
    [sym_threading_macro] = STATE(44),
    [sym_vector] = STATE(240),
    [sym_shebang_line] = STATE(38),
    [sym_defn] = STATE(240),
    [sym_syntax_quote] = STATE(240),
    [sym_reader_conditional] = STATE(240),
    [sym__number] = STATE(47),
    [sym__regex] = STATE(48),
    [sym_qualified_keyword] = STATE(36),
    [sym_interop] = STATE(240),
    [sym__hash_map] = STATE(49),
    [sym__set] = STATE(50),
    [sym__functions] = STATE(240),
    [sym_metadata] = STATE(51),
    [sym__anything] = STATE(240),
    [sym_unquote_splice] = STATE(240),
    [sym_number_long] = STATE(47),
    [sym_quote] = STATE(240),
    [sym_symbol] = STATE(240),
    [sym_list] = STATE(240),
    [sym_namespace_map] = STATE(49),
    [sym_comment] = STATE(240),
    [sym_anonymous_function] = STATE(240),
    [sym__metadata_map] = STATE(52),
    [anon_sym_DASH_GT] = ACTIONS(654),
    [anon_sym_cond_DASH_GT] = ACTIONS(654),
    [anon_sym_LPARENquote] = ACTIONS(657),
    [anon_sym_POUND_DQUOTE] = ACTIONS(660),
    [anon_sym_COLON] = ACTIONS(663),
    [aux_sym_namespace_map_token1] = ACTIONS(666),
    [anon_sym_POUND_] = ACTIONS(1068),
    [anon_sym_SEMI] = ACTIONS(672),
    [sym_member_access] = ACTIONS(675),
    [anon_sym_RBRACK] = ACTIONS(771),
    [anon_sym_POUND_POUND] = ACTIONS(678),
    [sym_number_bigint] = ACTIONS(681),
    [anon_sym_CARET_DQUOTE] = ACTIONS(684),
    [sym_false] = ACTIONS(687),
    [sym_number_double] = ACTIONS(681),
    [sym__number_hex] = ACTIONS(690),
    [anon_sym_POUND_LPAREN] = ACTIONS(693),
    [anon_sym_CARET_COLON] = ACTIONS(696),
    [anon_sym_TILDE] = ACTIONS(1071),
    [sym_gensym] = ACTIONS(1074),
    [anon_sym_POUND_QMARK] = ACTIONS(705),
    [anon_sym_DASH_GT_GT] = ACTIONS(708),
    [anon_sym_cond_DASH_GT_GT] = ACTIONS(708),
    [anon_sym_some_DASH_GT] = ACTIONS(654),
    [anon_sym_COLON_COLON] = ACTIONS(711),
    [anon_sym_POUND_LBRACE] = ACTIONS(714),
    [sym_field_access] = ACTIONS(675),
    [anon_sym_LBRACE] = ACTIONS(717),
    [anon_sym_LPAREN] = ACTIONS(720),
    [sym_number_bigdecimal] = ACTIONS(723),
    [anon_sym_BQUOTE] = ACTIONS(1077),
    [sym__normal_long] = ACTIONS(690),
    [sym_nil] = ACTIONS(1080),
    [sym__number_arbitrary_radix] = ACTIONS(690),
    [sym_shorthand_function_arg] = ACTIONS(1074),
    [anon_sym_AT] = ACTIONS(732),
    [anon_sym_POUND_QMARK_AT] = ACTIONS(735),
    [anon_sym_as_DASH_GT] = ACTIONS(708),
    [anon_sym_some_DASH_GT_GT] = ACTIONS(708),
    [anon_sym_SQUOTE] = ACTIONS(1083),
    [anon_sym_POUND_COLON_COLON_LBRACE] = ACTIONS(741),
    [anon_sym_POUND_BANG] = ACTIONS(744),
    [sym_new_class] = ACTIONS(675),
    [sym__symbol_chars] = ACTIONS(747),
    [anon_sym_LBRACK] = ACTIONS(750),
    [sym_number_ratio] = ACTIONS(723),
    [anon_sym_BSLASH] = ACTIONS(753),
    [anon_sym_POUND_SQUOTE] = ACTIONS(756),
    [sym_true] = ACTIONS(687),
    [sym__number_octal] = ACTIONS(690),
    [anon_sym_CARET] = ACTIONS(759),
    [anon_sym_TILDE_AT] = ACTIONS(1086),
    [anon_sym_DQUOTE] = ACTIONS(765),
    [anon_sym_POUND] = ACTIONS(768),
  },
  [241] = {
    [anon_sym_cond_DASH_GT] = ACTIONS(1089),
    [anon_sym_POUND_DQUOTE] = ACTIONS(1091),
    [aux_sym_namespace_map_token1] = ACTIONS(1091),
    [anon_sym_SEMI] = ACTIONS(1091),
    [anon_sym_RBRACK] = ACTIONS(1091),
    [anon_sym_TILDE] = ACTIONS(1089),
    [sym_number_bigint] = ACTIONS(1089),
    [sym_gensym] = ACTIONS(1091),
    [sym_false] = ACTIONS(1089),
    [anon_sym_CARET_COLON] = ACTIONS(1091),
    [sym__number_hex] = ACTIONS(1089),
    [anon_sym_cond_DASH_GT_GT] = ACTIONS(1091),
    [anon_sym_POUND_LBRACE] = ACTIONS(1091),
    [anon_sym_LBRACE] = ACTIONS(1091),
    [sym_number_bigdecimal] = ACTIONS(1091),
    [anon_sym_AT] = ACTIONS(1091),
    [sym__normal_long] = ACTIONS(1089),
    [sym__number_arbitrary_radix] = ACTIONS(1089),
    [anon_sym_SQUOTE] = ACTIONS(1091),
    [anon_sym_RPAREN] = ACTIONS(1091),
    [anon_sym_POUND_BANG] = ACTIONS(1091),
    [sym__symbol_chars] = ACTIONS(1089),
    [sym_number_ratio] = ACTIONS(1091),
    [anon_sym_POUND] = ACTIONS(1089),
    [sym__number_octal] = ACTIONS(1089),
    [anon_sym_DASH_GT] = ACTIONS(1089),
    [anon_sym_LPARENquote] = ACTIONS(1091),
    [anon_sym_COLON] = ACTIONS(1089),
    [anon_sym_POUND_] = ACTIONS(1091),
    [sym_member_access] = ACTIONS(1091),
    [anon_sym_POUND_POUND] = ACTIONS(1091),
    [anon_sym_CARET_DQUOTE] = ACTIONS(1091),
    [anon_sym_POUND_LPAREN] = ACTIONS(1091),
    [sym_number_double] = ACTIONS(1089),
    [anon_sym_POUND_QMARK] = ACTIONS(1089),
    [anon_sym_DASH_GT_GT] = ACTIONS(1091),
    [anon_sym_some_DASH_GT] = ACTIONS(1089),
    [anon_sym_COLON_COLON] = ACTIONS(1091),
    [anon_sym_RBRACE] = ACTIONS(1091),
    [sym_field_access] = ACTIONS(1091),
    [anon_sym_LPAREN] = ACTIONS(1089),
    [anon_sym_BQUOTE] = ACTIONS(1091),
    [sym_shorthand_function_arg] = ACTIONS(1091),
    [sym_nil] = ACTIONS(1089),
    [anon_sym_POUND_QMARK_AT] = ACTIONS(1091),
    [anon_sym_as_DASH_GT] = ACTIONS(1091),
    [anon_sym_some_DASH_GT_GT] = ACTIONS(1091),
    [anon_sym_POUND_COLON_COLON_LBRACE] = ACTIONS(1091),
    [ts_builtin_sym_end] = ACTIONS(1091),
    [sym_new_class] = ACTIONS(1091),
    [anon_sym_LBRACK] = ACTIONS(1091),
    [anon_sym_POUND_SQUOTE] = ACTIONS(1091),
    [anon_sym_BSLASH] = ACTIONS(1091),
    [anon_sym_TILDE_AT] = ACTIONS(1091),
    [sym_true] = ACTIONS(1089),
    [anon_sym_CARET] = ACTIONS(1089),
    [anon_sym_DQUOTE] = ACTIONS(1091),
  },
  [242] = {
    [sym__hex_char] = ACTIONS(1093),
  },
  [243] = {
    [anon_sym_cond_DASH_GT] = ACTIONS(1095),
    [anon_sym_POUND_DQUOTE] = ACTIONS(1097),
    [aux_sym_namespace_map_token1] = ACTIONS(1097),
    [anon_sym_SEMI] = ACTIONS(1097),
    [anon_sym_RBRACK] = ACTIONS(1097),
    [anon_sym_TILDE] = ACTIONS(1095),
    [sym_number_bigint] = ACTIONS(1095),
    [sym_gensym] = ACTIONS(1097),
    [sym_false] = ACTIONS(1095),
    [anon_sym_CARET_COLON] = ACTIONS(1097),
    [sym__number_hex] = ACTIONS(1095),
    [anon_sym_cond_DASH_GT_GT] = ACTIONS(1097),
    [anon_sym_POUND_LBRACE] = ACTIONS(1097),
    [anon_sym_LBRACE] = ACTIONS(1097),
    [sym_number_bigdecimal] = ACTIONS(1097),
    [anon_sym_AT] = ACTIONS(1097),
    [sym__normal_long] = ACTIONS(1095),
    [sym__number_arbitrary_radix] = ACTIONS(1095),
    [anon_sym_SQUOTE] = ACTIONS(1097),
    [anon_sym_RPAREN] = ACTIONS(1097),
    [anon_sym_POUND_BANG] = ACTIONS(1097),
    [sym__symbol_chars] = ACTIONS(1095),
    [sym_number_ratio] = ACTIONS(1097),
    [anon_sym_POUND] = ACTIONS(1095),
    [sym__number_octal] = ACTIONS(1095),
    [anon_sym_DASH_GT] = ACTIONS(1095),
    [anon_sym_LPARENquote] = ACTIONS(1097),
    [anon_sym_COLON] = ACTIONS(1095),
    [anon_sym_POUND_] = ACTIONS(1097),
    [sym_member_access] = ACTIONS(1097),
    [anon_sym_POUND_POUND] = ACTIONS(1097),
    [anon_sym_CARET_DQUOTE] = ACTIONS(1097),
    [anon_sym_POUND_LPAREN] = ACTIONS(1097),
    [sym_number_double] = ACTIONS(1095),
    [anon_sym_POUND_QMARK] = ACTIONS(1095),
    [anon_sym_DASH_GT_GT] = ACTIONS(1097),
    [anon_sym_some_DASH_GT] = ACTIONS(1095),
    [anon_sym_COLON_COLON] = ACTIONS(1097),
    [anon_sym_RBRACE] = ACTIONS(1097),
    [sym_field_access] = ACTIONS(1097),
    [anon_sym_LPAREN] = ACTIONS(1095),
    [anon_sym_BQUOTE] = ACTIONS(1097),
    [sym_shorthand_function_arg] = ACTIONS(1097),
    [sym_nil] = ACTIONS(1095),
    [anon_sym_POUND_QMARK_AT] = ACTIONS(1097),
    [anon_sym_as_DASH_GT] = ACTIONS(1097),
    [anon_sym_some_DASH_GT_GT] = ACTIONS(1097),
    [anon_sym_POUND_COLON_COLON_LBRACE] = ACTIONS(1097),
    [ts_builtin_sym_end] = ACTIONS(1097),
    [sym_new_class] = ACTIONS(1097),
    [anon_sym_LBRACK] = ACTIONS(1097),
    [anon_sym_POUND_SQUOTE] = ACTIONS(1097),
    [anon_sym_BSLASH] = ACTIONS(1097),
    [anon_sym_TILDE_AT] = ACTIONS(1097),
    [sym_true] = ACTIONS(1095),
    [anon_sym_CARET] = ACTIONS(1095),
    [anon_sym_DQUOTE] = ACTIONS(1097),
  },
  [244] = {
    [anon_sym_cond_DASH_GT] = ACTIONS(1099),
    [anon_sym_POUND_DQUOTE] = ACTIONS(1101),
    [aux_sym_namespace_map_token1] = ACTIONS(1101),
    [anon_sym_SEMI] = ACTIONS(1101),
    [anon_sym_RBRACK] = ACTIONS(1101),
    [anon_sym_TILDE] = ACTIONS(1099),
    [sym_number_bigint] = ACTIONS(1099),
    [sym_gensym] = ACTIONS(1101),
    [sym_false] = ACTIONS(1099),
    [anon_sym_CARET_COLON] = ACTIONS(1101),
    [sym__number_hex] = ACTIONS(1099),
    [anon_sym_cond_DASH_GT_GT] = ACTIONS(1101),
    [anon_sym_POUND_LBRACE] = ACTIONS(1101),
    [anon_sym_LBRACE] = ACTIONS(1101),
    [sym_number_bigdecimal] = ACTIONS(1101),
    [anon_sym_AT] = ACTIONS(1101),
    [sym__normal_long] = ACTIONS(1099),
    [sym__number_arbitrary_radix] = ACTIONS(1099),
    [anon_sym_SQUOTE] = ACTIONS(1101),
    [anon_sym_RPAREN] = ACTIONS(1101),
    [anon_sym_POUND_BANG] = ACTIONS(1101),
    [sym__symbol_chars] = ACTIONS(1099),
    [sym_number_ratio] = ACTIONS(1101),
    [anon_sym_POUND] = ACTIONS(1099),
    [sym__number_octal] = ACTIONS(1099),
    [anon_sym_DASH_GT] = ACTIONS(1099),
    [anon_sym_LPARENquote] = ACTIONS(1101),
    [anon_sym_COLON] = ACTIONS(1099),
    [anon_sym_POUND_] = ACTIONS(1101),
    [sym_member_access] = ACTIONS(1101),
    [anon_sym_POUND_POUND] = ACTIONS(1101),
    [anon_sym_CARET_DQUOTE] = ACTIONS(1101),
    [anon_sym_POUND_LPAREN] = ACTIONS(1101),
    [sym_number_double] = ACTIONS(1099),
    [anon_sym_POUND_QMARK] = ACTIONS(1099),
    [anon_sym_DASH_GT_GT] = ACTIONS(1101),
    [anon_sym_some_DASH_GT] = ACTIONS(1099),
    [anon_sym_COLON_COLON] = ACTIONS(1101),
    [anon_sym_RBRACE] = ACTIONS(1101),
    [sym_field_access] = ACTIONS(1101),
    [anon_sym_LPAREN] = ACTIONS(1099),
    [anon_sym_BQUOTE] = ACTIONS(1101),
    [sym_shorthand_function_arg] = ACTIONS(1101),
    [sym_nil] = ACTIONS(1099),
    [anon_sym_POUND_QMARK_AT] = ACTIONS(1101),
    [anon_sym_as_DASH_GT] = ACTIONS(1101),
    [anon_sym_some_DASH_GT_GT] = ACTIONS(1101),
    [anon_sym_POUND_COLON_COLON_LBRACE] = ACTIONS(1101),
    [ts_builtin_sym_end] = ACTIONS(1101),
    [sym_new_class] = ACTIONS(1101),
    [anon_sym_LBRACK] = ACTIONS(1101),
    [anon_sym_POUND_SQUOTE] = ACTIONS(1101),
    [anon_sym_BSLASH] = ACTIONS(1101),
    [anon_sym_TILDE_AT] = ACTIONS(1101),
    [sym_true] = ACTIONS(1099),
    [anon_sym_CARET] = ACTIONS(1099),
    [anon_sym_DQUOTE] = ACTIONS(1101),
  },
  [245] = {
    [sym__keyword] = STATE(36),
    [sym_keyword] = STATE(246),
    [sym__unqualified_keyword] = STATE(36),
    [sym_qualified_keyword] = STATE(36),
    [aux_sym_reader_conditional_repeat1] = STATE(292),
    [anon_sym_RPAREN] = ACTIONS(1103),
    [anon_sym_COLON] = ACTIONS(9),
    [anon_sym_COLON_COLON] = ACTIONS(41),
  },
  [246] = {
    [sym_metadata_shorthand] = STATE(40),
    [sym_deref] = STATE(298),
    [sym__collection_literals] = STATE(298),
    [sym_boolean] = STATE(298),
    [sym_character] = STATE(298),
    [sym_string] = STATE(298),
    [sym_tagged_literal] = STATE(298),
    [sym_keyword] = STATE(298),
    [sym__character] = STATE(34),
    [sym__string] = STATE(35),
    [sym__keyword] = STATE(36),
    [sym_vector] = STATE(298),
    [sym_threading_macro] = STATE(44),
    [sym_qualified_symbol] = STATE(44),
    [sym__vector] = STATE(37),
    [sym_shebang_line] = STATE(38),
    [sym_ignore_form] = STATE(38),
    [sym_defn] = STATE(298),
    [sym_syntax_quote] = STATE(298),
    [sym_var_quote] = STATE(298),
    [sym_reader_conditional] = STATE(298),
    [sym_number] = STATE(298),
    [sym__number] = STATE(47),
    [aux_sym_metadata_repeat1] = STATE(40),
    [sym_regex] = STATE(298),
    [sym__regex] = STATE(48),
    [sym__unqualified_keyword] = STATE(36),
    [sym_qualified_keyword] = STATE(36),
    [sym__qualified_symbol] = STATE(41),
    [sym_interop] = STATE(298),
    [sym_hash_map] = STATE(298),
    [sym__hash_map] = STATE(49),
    [sym_set] = STATE(298),
    [sym__set] = STATE(50),
    [sym_comment_macro] = STATE(38),
    [sym__functions] = STATE(298),
    [sym__reader_conditional_symbol] = STATE(39),
    [sym_metadata] = STATE(51),
    [sym_unquote] = STATE(298),
    [sym__literals] = STATE(298),
    [sym_unquote_splice] = STATE(298),
    [sym_symbolic_value] = STATE(298),
    [sym_number_long] = STATE(47),
    [sym__anything] = STATE(298),
    [sym_quote] = STATE(298),
    [sym__quote] = STATE(43),
    [sym_symbol] = STATE(298),
    [sym__symbol] = STATE(44),
    [sym_list] = STATE(298),
    [sym__list] = STATE(45),
    [sym_namespace_map] = STATE(49),
    [sym_comment] = STATE(298),
    [sym_semicolon] = STATE(38),
    [sym_anonymous_function] = STATE(298),
    [sym_shorthand_function] = STATE(298),
    [sym__metadata_map] = STATE(52),
    [anon_sym_DASH_GT] = ACTIONS(3),
    [anon_sym_cond_DASH_GT] = ACTIONS(3),
    [anon_sym_LPARENquote] = ACTIONS(5),
    [anon_sym_POUND_DQUOTE] = ACTIONS(7),
    [anon_sym_COLON] = ACTIONS(9),
    [aux_sym_namespace_map_token1] = ACTIONS(11),
    [anon_sym_POUND_] = ACTIONS(1105),
    [anon_sym_SEMI] = ACTIONS(15),
    [sym_member_access] = ACTIONS(17),
    [anon_sym_POUND_POUND] = ACTIONS(19),
    [sym_number_bigint] = ACTIONS(21),
    [sym_gensym] = ACTIONS(1107),
    [sym_false] = ACTIONS(25),
    [sym_number_double] = ACTIONS(21),
    [sym__number_hex] = ACTIONS(27),
    [anon_sym_POUND_LPAREN] = ACTIONS(29),
    [anon_sym_CARET_COLON] = ACTIONS(31),
    [anon_sym_CARET_DQUOTE] = ACTIONS(33),
    [anon_sym_TILDE] = ACTIONS(1109),
    [anon_sym_POUND_QMARK] = ACTIONS(37),
    [anon_sym_DASH_GT_GT] = ACTIONS(39),
    [anon_sym_cond_DASH_GT_GT] = ACTIONS(39),
    [anon_sym_some_DASH_GT] = ACTIONS(3),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_POUND_LBRACE] = ACTIONS(43),
    [sym_field_access] = ACTIONS(17),
    [anon_sym_LBRACE] = ACTIONS(45),
    [anon_sym_LPAREN] = ACTIONS(47),
    [sym_number_bigdecimal] = ACTIONS(49),
    [anon_sym_BQUOTE] = ACTIONS(1111),
    [sym_shorthand_function_arg] = ACTIONS(1107),
    [sym_nil] = ACTIONS(1113),
    [sym__normal_long] = ACTIONS(27),
    [sym__number_arbitrary_radix] = ACTIONS(27),
    [anon_sym_AT] = ACTIONS(55),
    [anon_sym_POUND_QMARK_AT] = ACTIONS(57),
    [anon_sym_as_DASH_GT] = ACTIONS(39),
    [anon_sym_some_DASH_GT_GT] = ACTIONS(39),
    [anon_sym_SQUOTE] = ACTIONS(1115),
    [anon_sym_POUND_COLON_COLON_LBRACE] = ACTIONS(61),
    [anon_sym_POUND_BANG] = ACTIONS(65),
    [sym_new_class] = ACTIONS(17),
    [sym__symbol_chars] = ACTIONS(67),
    [anon_sym_LBRACK] = ACTIONS(69),
    [sym_number_ratio] = ACTIONS(49),
    [anon_sym_BSLASH] = ACTIONS(71),
    [anon_sym_POUND_SQUOTE] = ACTIONS(73),
    [sym_true] = ACTIONS(25),
    [sym__number_octal] = ACTIONS(27),
    [anon_sym_CARET] = ACTIONS(75),
    [anon_sym_TILDE_AT] = ACTIONS(1117),
    [anon_sym_DQUOTE] = ACTIONS(79),
    [anon_sym_POUND] = ACTIONS(81),
  },
  [247] = {
    [anon_sym_RPAREN] = ACTIONS(815),
  },
  [248] = {
    [anon_sym_RPAREN] = ACTIONS(819),
  },
  [249] = {
    [anon_sym_RPAREN] = ACTIONS(831),
    [anon_sym_LPAREN] = ACTIONS(831),
    [anon_sym_POUND_COLON_COLON_LBRACE] = ACTIONS(831),
    [anon_sym_POUND_LBRACE] = ACTIONS(831),
    [anon_sym_LBRACK] = ACTIONS(831),
    [aux_sym_namespace_map_token1] = ACTIONS(831),
    [anon_sym_LBRACE] = ACTIONS(831),
  },
  [250] = {
    [sym_deref] = STATE(130),
    [sym_boolean] = STATE(130),
    [sym__character] = STATE(34),
    [sym__string] = STATE(35),
    [sym__keyword] = STATE(36),
    [sym_qualified_symbol] = STATE(44),
    [sym__vector] = STATE(37),
    [sym_ignore_form] = STATE(38),
    [sym_var_quote] = STATE(130),
    [sym_number] = STATE(130),
    [sym__reader_conditional_symbol] = STATE(39),
    [aux_sym_metadata_repeat1] = STATE(40),
    [sym_regex] = STATE(130),
    [sym__unqualified_keyword] = STATE(36),
    [sym__qualified_symbol] = STATE(41),
    [sym_hash_map] = STATE(130),
    [sym_set] = STATE(130),
    [sym_comment_macro] = STATE(38),
    [sym_unquote] = STATE(130),
    [sym__literals] = STATE(130),
    [sym_symbolic_value] = STATE(130),
    [sym__quote] = STATE(43),
    [sym__symbol] = STATE(44),
    [sym__list] = STATE(45),
    [sym__hash_map_kv_pair] = STATE(221),
    [sym_semicolon] = STATE(38),
    [sym_shorthand_function] = STATE(130),
    [sym_metadata_shorthand] = STATE(40),
    [sym__collection_literals] = STATE(130),
    [sym_tagged_literal] = STATE(130),
    [sym_character] = STATE(130),
    [aux_sym__hash_map_repeat1] = STATE(221),
    [sym_string] = STATE(130),
    [sym_keyword] = STATE(130),
    [sym_threading_macro] = STATE(44),
    [sym_vector] = STATE(130),
    [sym__hash_map_key] = STATE(130),
    [sym_shebang_line] = STATE(38),
    [sym_defn] = STATE(130),
    [sym_syntax_quote] = STATE(130),
    [sym_reader_conditional] = STATE(130),
    [sym__number] = STATE(47),
    [sym__regex] = STATE(48),
    [sym_qualified_keyword] = STATE(36),
    [sym_interop] = STATE(130),
    [sym__hash_map] = STATE(49),
    [sym__set] = STATE(50),
    [sym__functions] = STATE(130),
    [sym_metadata] = STATE(51),
    [sym__anything] = STATE(130),
    [sym_unquote_splice] = STATE(130),
    [sym_number_long] = STATE(47),
    [sym_quote] = STATE(130),
    [sym_symbol] = STATE(130),
    [sym_list] = STATE(130),
    [sym_namespace_map] = STATE(49),
    [sym_comment] = STATE(130),
    [sym_anonymous_function] = STATE(130),
    [sym__metadata_map] = STATE(52),
    [anon_sym_DASH_GT] = ACTIONS(3),
    [anon_sym_cond_DASH_GT] = ACTIONS(3),
    [anon_sym_LPARENquote] = ACTIONS(5),
    [anon_sym_POUND_DQUOTE] = ACTIONS(7),
    [anon_sym_COLON] = ACTIONS(9),
    [aux_sym_namespace_map_token1] = ACTIONS(11),
    [anon_sym_POUND_] = ACTIONS(235),
    [anon_sym_SEMI] = ACTIONS(15),
    [sym_member_access] = ACTIONS(17),
    [anon_sym_POUND_POUND] = ACTIONS(19),
    [sym_number_bigint] = ACTIONS(21),
    [sym_gensym] = ACTIONS(237),
    [sym_false] = ACTIONS(25),
    [sym_number_double] = ACTIONS(21),
    [sym__number_hex] = ACTIONS(27),
    [anon_sym_POUND_LPAREN] = ACTIONS(29),
    [anon_sym_CARET_COLON] = ACTIONS(31),
    [anon_sym_CARET_DQUOTE] = ACTIONS(33),
    [anon_sym_TILDE] = ACTIONS(239),
    [anon_sym_POUND_QMARK] = ACTIONS(37),
    [anon_sym_DASH_GT_GT] = ACTIONS(39),
    [anon_sym_cond_DASH_GT_GT] = ACTIONS(39),
    [anon_sym_some_DASH_GT] = ACTIONS(3),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_POUND_LBRACE] = ACTIONS(43),
    [anon_sym_RBRACE] = ACTIONS(1119),
    [sym_field_access] = ACTIONS(17),
    [anon_sym_LBRACE] = ACTIONS(45),
    [anon_sym_LPAREN] = ACTIONS(47),
    [sym_number_bigdecimal] = ACTIONS(49),
    [anon_sym_BQUOTE] = ACTIONS(243),
    [sym_shorthand_function_arg] = ACTIONS(237),
    [sym_nil] = ACTIONS(245),
    [sym__normal_long] = ACTIONS(27),
    [sym__number_arbitrary_radix] = ACTIONS(27),
    [anon_sym_AT] = ACTIONS(55),
    [anon_sym_POUND_QMARK_AT] = ACTIONS(57),
    [anon_sym_as_DASH_GT] = ACTIONS(39),
    [anon_sym_some_DASH_GT_GT] = ACTIONS(39),
    [anon_sym_SQUOTE] = ACTIONS(247),
    [anon_sym_POUND_COLON_COLON_LBRACE] = ACTIONS(61),
    [anon_sym_POUND_BANG] = ACTIONS(65),
    [sym_new_class] = ACTIONS(17),
    [sym__symbol_chars] = ACTIONS(67),
    [anon_sym_LBRACK] = ACTIONS(69),
    [sym_number_ratio] = ACTIONS(49),
    [anon_sym_BSLASH] = ACTIONS(71),
    [anon_sym_POUND_SQUOTE] = ACTIONS(73),
    [sym_true] = ACTIONS(25),
    [sym__number_octal] = ACTIONS(27),
    [anon_sym_CARET] = ACTIONS(75),
    [anon_sym_TILDE_AT] = ACTIONS(249),
    [anon_sym_DQUOTE] = ACTIONS(79),
    [anon_sym_POUND] = ACTIONS(81),
  },
  [251] = {
    [anon_sym_RPAREN] = ACTIONS(837),
  },
  [252] = {
    [sym__keyword_chars] = ACTIONS(1121),
  },
  [253] = {
    [anon_sym_RPAREN] = ACTIONS(876),
  },
  [254] = {
    [anon_sym_RPAREN] = ACTIONS(901),
    [anon_sym_LPAREN] = ACTIONS(901),
    [anon_sym_POUND_COLON_COLON_LBRACE] = ACTIONS(901),
    [anon_sym_POUND_LBRACE] = ACTIONS(901),
    [anon_sym_LBRACK] = ACTIONS(901),
    [aux_sym_namespace_map_token1] = ACTIONS(901),
    [anon_sym_LBRACE] = ACTIONS(901),
  },
  [255] = {
    [anon_sym_RPAREN] = ACTIONS(1028),
  },
  [256] = {
    [sym_deref] = STATE(214),
    [sym_boolean] = STATE(214),
    [sym__character] = STATE(34),
    [sym__string] = STATE(35),
    [sym__keyword] = STATE(36),
    [sym_qualified_symbol] = STATE(44),
    [sym__vector] = STATE(37),
    [sym_ignore_form] = STATE(38),
    [sym_var_quote] = STATE(214),
    [sym_number] = STATE(214),
    [sym__reader_conditional_symbol] = STATE(39),
    [aux_sym_metadata_repeat1] = STATE(40),
    [sym_regex] = STATE(214),
    [sym__unqualified_keyword] = STATE(36),
    [sym__qualified_symbol] = STATE(41),
    [sym_hash_map] = STATE(214),
    [sym_set] = STATE(214),
    [sym_comment_macro] = STATE(38),
    [sym_unquote] = STATE(214),
    [sym__literals] = STATE(214),
    [aux_sym_program_repeat1] = STATE(214),
    [sym_symbolic_value] = STATE(214),
    [sym__quote] = STATE(43),
    [sym__symbol] = STATE(44),
    [sym__list] = STATE(45),
    [sym_semicolon] = STATE(38),
    [sym_shorthand_function] = STATE(214),
    [sym_metadata_shorthand] = STATE(40),
    [sym__collection_literals] = STATE(214),
    [sym_tagged_literal] = STATE(214),
    [sym_character] = STATE(214),
    [sym_string] = STATE(214),
    [sym_keyword] = STATE(214),
    [sym_threading_macro] = STATE(44),
    [sym_vector] = STATE(214),
    [sym_shebang_line] = STATE(38),
    [sym_defn] = STATE(214),
    [sym_syntax_quote] = STATE(214),
    [sym_reader_conditional] = STATE(214),
    [sym__number] = STATE(47),
    [sym__regex] = STATE(48),
    [sym_qualified_keyword] = STATE(36),
    [sym_interop] = STATE(214),
    [sym__hash_map] = STATE(49),
    [sym__set] = STATE(50),
    [sym__functions] = STATE(214),
    [sym_metadata] = STATE(51),
    [sym__anything] = STATE(214),
    [sym_unquote_splice] = STATE(214),
    [sym_number_long] = STATE(47),
    [sym_quote] = STATE(214),
    [sym_symbol] = STATE(214),
    [sym_list] = STATE(214),
    [sym_namespace_map] = STATE(49),
    [sym_comment] = STATE(214),
    [sym_anonymous_function] = STATE(214),
    [sym__metadata_map] = STATE(52),
    [anon_sym_DASH_GT] = ACTIONS(3),
    [anon_sym_cond_DASH_GT] = ACTIONS(3),
    [anon_sym_LPARENquote] = ACTIONS(5),
    [anon_sym_POUND_DQUOTE] = ACTIONS(7),
    [anon_sym_COLON] = ACTIONS(9),
    [aux_sym_namespace_map_token1] = ACTIONS(11),
    [anon_sym_POUND_] = ACTIONS(189),
    [anon_sym_SEMI] = ACTIONS(15),
    [sym_member_access] = ACTIONS(17),
    [anon_sym_POUND_POUND] = ACTIONS(19),
    [sym_number_bigint] = ACTIONS(21),
    [sym_gensym] = ACTIONS(517),
    [sym_false] = ACTIONS(25),
    [sym_number_double] = ACTIONS(21),
    [sym__number_hex] = ACTIONS(27),
    [anon_sym_POUND_LPAREN] = ACTIONS(29),
    [anon_sym_CARET_COLON] = ACTIONS(31),
    [anon_sym_CARET_DQUOTE] = ACTIONS(33),
    [anon_sym_TILDE] = ACTIONS(193),
    [anon_sym_POUND_QMARK] = ACTIONS(37),
    [anon_sym_DASH_GT_GT] = ACTIONS(39),
    [anon_sym_cond_DASH_GT_GT] = ACTIONS(39),
    [anon_sym_some_DASH_GT] = ACTIONS(3),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_POUND_LBRACE] = ACTIONS(43),
    [sym_field_access] = ACTIONS(17),
    [anon_sym_LBRACE] = ACTIONS(45),
    [anon_sym_LPAREN] = ACTIONS(47),
    [sym_number_bigdecimal] = ACTIONS(49),
    [anon_sym_BQUOTE] = ACTIONS(195),
    [sym_shorthand_function_arg] = ACTIONS(517),
    [sym_nil] = ACTIONS(519),
    [sym__normal_long] = ACTIONS(27),
    [sym__number_arbitrary_radix] = ACTIONS(27),
    [anon_sym_AT] = ACTIONS(55),
    [anon_sym_POUND_QMARK_AT] = ACTIONS(57),
    [anon_sym_as_DASH_GT] = ACTIONS(39),
    [anon_sym_some_DASH_GT_GT] = ACTIONS(39),
    [anon_sym_SQUOTE] = ACTIONS(199),
    [anon_sym_RPAREN] = ACTIONS(1123),
    [anon_sym_POUND_COLON_COLON_LBRACE] = ACTIONS(61),
    [anon_sym_POUND_BANG] = ACTIONS(65),
    [sym_new_class] = ACTIONS(17),
    [sym__symbol_chars] = ACTIONS(67),
    [anon_sym_LBRACK] = ACTIONS(69),
    [sym_number_ratio] = ACTIONS(49),
    [anon_sym_BSLASH] = ACTIONS(71),
    [anon_sym_POUND_SQUOTE] = ACTIONS(73),
    [sym_true] = ACTIONS(25),
    [sym__number_octal] = ACTIONS(27),
    [anon_sym_CARET] = ACTIONS(75),
    [anon_sym_TILDE_AT] = ACTIONS(203),
    [anon_sym_DQUOTE] = ACTIONS(79),
    [anon_sym_POUND] = ACTIONS(81),
  },
  [257] = {
    [anon_sym_RPAREN] = ACTIONS(1125),
  },
  [258] = {
    [aux_sym__multi_arity_fn_repeat1] = STATE(229),
    [sym__single_arity_fn] = STATE(303),
    [sym_vector] = STATE(231),
    [sym__vector] = STATE(37),
    [sym_params] = STATE(230),
    [sym__after_the_fn_name] = STATE(303),
    [sym__multi_arity_fn] = STATE(303),
    [anon_sym_LPAREN] = ACTIONS(573),
    [anon_sym_LBRACK] = ACTIONS(69),
  },
  [259] = {
    [sym_hash_map] = STATE(283),
    [sym__hash_map] = STATE(90),
    [sym__single_arity_fn] = STATE(306),
    [sym_docstring] = STATE(304),
    [sym_string] = STATE(285),
    [sym__string] = STATE(83),
    [sym__multi_arity_fn] = STATE(306),
    [sym_namespace_map] = STATE(90),
    [aux_sym__multi_arity_fn_repeat1] = STATE(229),
    [sym_attr_map] = STATE(305),
    [sym_vector] = STATE(231),
    [sym__vector] = STATE(37),
    [sym_params] = STATE(230),
    [sym__after_the_fn_name] = STATE(306),
    [anon_sym_LPAREN] = ACTIONS(573),
    [anon_sym_POUND_COLON_COLON_LBRACE] = ACTIONS(141),
    [anon_sym_LBRACE] = ACTIONS(125),
    [anon_sym_DQUOTE] = ACTIONS(155),
    [aux_sym_namespace_map_token1] = ACTIONS(95),
    [anon_sym_LBRACK] = ACTIONS(69),
  },
  [260] = {
    [sym_threading_macro] = STATE(96),
    [sym_qualified_symbol] = STATE(96),
    [sym_symbol] = STATE(228),
    [sym__symbol] = STATE(96),
    [sym_function_name] = STATE(307),
    [sym__qualified_symbol] = STATE(89),
    [anon_sym_DASH_GT] = ACTIONS(87),
    [anon_sym_cond_DASH_GT] = ACTIONS(87),
    [sym__symbol_chars] = ACTIONS(145),
    [anon_sym_DASH_GT_GT] = ACTIONS(119),
    [anon_sym_cond_DASH_GT_GT] = ACTIONS(119),
    [anon_sym_some_DASH_GT] = ACTIONS(87),
    [anon_sym_as_DASH_GT] = ACTIONS(119),
    [anon_sym_some_DASH_GT_GT] = ACTIONS(119),
  },
  [261] = {
    [anon_sym_RPAREN] = ACTIONS(1058),
  },
  [262] = {
    [anon_sym_RPAREN] = ACTIONS(1062),
    [anon_sym_LPAREN] = ACTIONS(1062),
    [anon_sym_POUND_COLON_COLON_LBRACE] = ACTIONS(1062),
    [anon_sym_LBRACE] = ACTIONS(1062),
    [anon_sym_LBRACK] = ACTIONS(1062),
    [aux_sym_namespace_map_token1] = ACTIONS(1062),
    [anon_sym_DQUOTE] = ACTIONS(1062),
  },
  [263] = {
    [anon_sym_RPAREN] = ACTIONS(1066),
  },
  [264] = {
    [anon_sym_RPAREN] = ACTIONS(1091),
  },
  [265] = {
    [sym__hex_char] = ACTIONS(1127),
  },
  [266] = {
    [anon_sym_RPAREN] = ACTIONS(1097),
    [anon_sym_LPAREN] = ACTIONS(1097),
    [anon_sym_POUND_COLON_COLON_LBRACE] = ACTIONS(1097),
    [anon_sym_LBRACK] = ACTIONS(1097),
    [aux_sym_namespace_map_token1] = ACTIONS(1097),
    [anon_sym_LBRACE] = ACTIONS(1097),
  },
  [267] = {
    [anon_sym_RPAREN] = ACTIONS(1101),
  },
  [268] = {
    [sym__keyword] = STATE(36),
    [sym_keyword] = STATE(246),
    [sym__unqualified_keyword] = STATE(36),
    [sym_qualified_keyword] = STATE(36),
    [aux_sym_reader_conditional_repeat1] = STATE(292),
    [anon_sym_RPAREN] = ACTIONS(1129),
    [anon_sym_COLON] = ACTIONS(9),
    [anon_sym_COLON_COLON] = ACTIONS(41),
  },
  [269] = {
    [anon_sym_cond_DASH_GT] = ACTIONS(1131),
    [anon_sym_POUND_DQUOTE] = ACTIONS(1133),
    [aux_sym_namespace_map_token1] = ACTIONS(1133),
    [anon_sym_SEMI] = ACTIONS(1133),
    [anon_sym_RBRACK] = ACTIONS(1133),
    [anon_sym_TILDE] = ACTIONS(1131),
    [sym_number_bigint] = ACTIONS(1131),
    [sym_gensym] = ACTIONS(1133),
    [sym_false] = ACTIONS(1131),
    [anon_sym_CARET_COLON] = ACTIONS(1133),
    [sym__number_hex] = ACTIONS(1131),
    [anon_sym_cond_DASH_GT_GT] = ACTIONS(1133),
    [anon_sym_POUND_LBRACE] = ACTIONS(1133),
    [anon_sym_LBRACE] = ACTIONS(1133),
    [sym_number_bigdecimal] = ACTIONS(1133),
    [anon_sym_AT] = ACTIONS(1133),
    [sym__normal_long] = ACTIONS(1131),
    [sym__number_arbitrary_radix] = ACTIONS(1131),
    [anon_sym_SQUOTE] = ACTIONS(1133),
    [anon_sym_RPAREN] = ACTIONS(1133),
    [anon_sym_POUND_BANG] = ACTIONS(1133),
    [sym__symbol_chars] = ACTIONS(1131),
    [sym_number_ratio] = ACTIONS(1133),
    [anon_sym_POUND] = ACTIONS(1131),
    [sym__number_octal] = ACTIONS(1131),
    [anon_sym_DASH_GT] = ACTIONS(1131),
    [anon_sym_LPARENquote] = ACTIONS(1133),
    [anon_sym_COLON] = ACTIONS(1131),
    [anon_sym_POUND_] = ACTIONS(1133),
    [sym_member_access] = ACTIONS(1133),
    [anon_sym_POUND_POUND] = ACTIONS(1133),
    [anon_sym_CARET_DQUOTE] = ACTIONS(1133),
    [anon_sym_POUND_LPAREN] = ACTIONS(1133),
    [sym_number_double] = ACTIONS(1131),
    [anon_sym_POUND_QMARK] = ACTIONS(1131),
    [anon_sym_DASH_GT_GT] = ACTIONS(1133),
    [anon_sym_some_DASH_GT] = ACTIONS(1131),
    [anon_sym_COLON_COLON] = ACTIONS(1133),
    [anon_sym_RBRACE] = ACTIONS(1133),
    [sym_field_access] = ACTIONS(1133),
    [anon_sym_LPAREN] = ACTIONS(1131),
    [anon_sym_BQUOTE] = ACTIONS(1133),
    [sym_shorthand_function_arg] = ACTIONS(1133),
    [sym_nil] = ACTIONS(1131),
    [anon_sym_POUND_QMARK_AT] = ACTIONS(1133),
    [anon_sym_as_DASH_GT] = ACTIONS(1133),
    [anon_sym_some_DASH_GT_GT] = ACTIONS(1133),
    [anon_sym_POUND_COLON_COLON_LBRACE] = ACTIONS(1133),
    [ts_builtin_sym_end] = ACTIONS(1133),
    [sym_new_class] = ACTIONS(1133),
    [anon_sym_LBRACK] = ACTIONS(1133),
    [anon_sym_POUND_SQUOTE] = ACTIONS(1133),
    [anon_sym_BSLASH] = ACTIONS(1133),
    [anon_sym_TILDE_AT] = ACTIONS(1133),
    [sym_true] = ACTIONS(1131),
    [anon_sym_CARET] = ACTIONS(1131),
    [anon_sym_DQUOTE] = ACTIONS(1133),
  },
  [270] = {
    [anon_sym_cond_DASH_GT] = ACTIONS(1135),
    [anon_sym_POUND_DQUOTE] = ACTIONS(1137),
    [aux_sym_namespace_map_token1] = ACTIONS(1137),
    [anon_sym_SEMI] = ACTIONS(1137),
    [anon_sym_RBRACK] = ACTIONS(1137),
    [anon_sym_TILDE] = ACTIONS(1135),
    [sym_number_bigint] = ACTIONS(1135),
    [sym_gensym] = ACTIONS(1137),
    [sym_false] = ACTIONS(1135),
    [anon_sym_CARET_COLON] = ACTIONS(1137),
    [sym__number_hex] = ACTIONS(1135),
    [anon_sym_cond_DASH_GT_GT] = ACTIONS(1137),
    [anon_sym_POUND_LBRACE] = ACTIONS(1137),
    [anon_sym_LBRACE] = ACTIONS(1137),
    [sym_number_bigdecimal] = ACTIONS(1137),
    [anon_sym_AT] = ACTIONS(1137),
    [sym__normal_long] = ACTIONS(1135),
    [sym__number_arbitrary_radix] = ACTIONS(1135),
    [anon_sym_SQUOTE] = ACTIONS(1137),
    [anon_sym_RPAREN] = ACTIONS(1137),
    [anon_sym_POUND_BANG] = ACTIONS(1137),
    [sym__symbol_chars] = ACTIONS(1135),
    [sym_number_ratio] = ACTIONS(1137),
    [anon_sym_POUND] = ACTIONS(1135),
    [sym__number_octal] = ACTIONS(1135),
    [anon_sym_DASH_GT] = ACTIONS(1135),
    [anon_sym_LPARENquote] = ACTIONS(1137),
    [anon_sym_COLON] = ACTIONS(1135),
    [anon_sym_POUND_] = ACTIONS(1137),
    [sym_member_access] = ACTIONS(1137),
    [anon_sym_POUND_POUND] = ACTIONS(1137),
    [anon_sym_CARET_DQUOTE] = ACTIONS(1137),
    [anon_sym_POUND_LPAREN] = ACTIONS(1137),
    [sym_number_double] = ACTIONS(1135),
    [anon_sym_POUND_QMARK] = ACTIONS(1135),
    [anon_sym_DASH_GT_GT] = ACTIONS(1137),
    [anon_sym_some_DASH_GT] = ACTIONS(1135),
    [anon_sym_COLON_COLON] = ACTIONS(1137),
    [anon_sym_RBRACE] = ACTIONS(1137),
    [sym_field_access] = ACTIONS(1137),
    [anon_sym_LPAREN] = ACTIONS(1135),
    [anon_sym_BQUOTE] = ACTIONS(1137),
    [sym_shorthand_function_arg] = ACTIONS(1137),
    [sym_nil] = ACTIONS(1135),
    [anon_sym_POUND_QMARK_AT] = ACTIONS(1137),
    [anon_sym_as_DASH_GT] = ACTIONS(1137),
    [anon_sym_some_DASH_GT_GT] = ACTIONS(1137),
    [anon_sym_POUND_COLON_COLON_LBRACE] = ACTIONS(1137),
    [ts_builtin_sym_end] = ACTIONS(1137),
    [sym_new_class] = ACTIONS(1137),
    [anon_sym_LBRACK] = ACTIONS(1137),
    [anon_sym_POUND_SQUOTE] = ACTIONS(1137),
    [anon_sym_BSLASH] = ACTIONS(1137),
    [anon_sym_TILDE_AT] = ACTIONS(1137),
    [sym_true] = ACTIONS(1135),
    [anon_sym_CARET] = ACTIONS(1135),
    [anon_sym_DQUOTE] = ACTIONS(1137),
  },
  [271] = {
    [anon_sym_cond_DASH_GT] = ACTIONS(1139),
    [anon_sym_POUND_DQUOTE] = ACTIONS(1141),
    [aux_sym_namespace_map_token1] = ACTIONS(1141),
    [anon_sym_SEMI] = ACTIONS(1141),
    [anon_sym_RBRACK] = ACTIONS(1141),
    [anon_sym_TILDE] = ACTIONS(1139),
    [sym_number_bigint] = ACTIONS(1139),
    [sym_gensym] = ACTIONS(1141),
    [sym_false] = ACTIONS(1139),
    [anon_sym_CARET_COLON] = ACTIONS(1141),
    [sym__number_hex] = ACTIONS(1139),
    [anon_sym_cond_DASH_GT_GT] = ACTIONS(1141),
    [anon_sym_POUND_LBRACE] = ACTIONS(1141),
    [anon_sym_LBRACE] = ACTIONS(1141),
    [sym_number_bigdecimal] = ACTIONS(1141),
    [anon_sym_AT] = ACTIONS(1141),
    [sym__normal_long] = ACTIONS(1139),
    [sym__number_arbitrary_radix] = ACTIONS(1139),
    [anon_sym_SQUOTE] = ACTIONS(1141),
    [anon_sym_RPAREN] = ACTIONS(1141),
    [anon_sym_POUND_BANG] = ACTIONS(1141),
    [sym__symbol_chars] = ACTIONS(1139),
    [sym_number_ratio] = ACTIONS(1141),
    [anon_sym_POUND] = ACTIONS(1139),
    [sym__number_octal] = ACTIONS(1139),
    [anon_sym_DASH_GT] = ACTIONS(1139),
    [anon_sym_LPARENquote] = ACTIONS(1141),
    [anon_sym_COLON] = ACTIONS(1139),
    [anon_sym_POUND_] = ACTIONS(1141),
    [sym_member_access] = ACTIONS(1141),
    [anon_sym_POUND_POUND] = ACTIONS(1141),
    [anon_sym_CARET_DQUOTE] = ACTIONS(1141),
    [anon_sym_POUND_LPAREN] = ACTIONS(1141),
    [sym_number_double] = ACTIONS(1139),
    [anon_sym_POUND_QMARK] = ACTIONS(1139),
    [anon_sym_DASH_GT_GT] = ACTIONS(1141),
    [anon_sym_some_DASH_GT] = ACTIONS(1139),
    [anon_sym_COLON_COLON] = ACTIONS(1141),
    [anon_sym_RBRACE] = ACTIONS(1141),
    [sym_field_access] = ACTIONS(1141),
    [anon_sym_LPAREN] = ACTIONS(1139),
    [anon_sym_BQUOTE] = ACTIONS(1141),
    [sym_shorthand_function_arg] = ACTIONS(1141),
    [sym_nil] = ACTIONS(1139),
    [anon_sym_POUND_QMARK_AT] = ACTIONS(1141),
    [anon_sym_as_DASH_GT] = ACTIONS(1141),
    [anon_sym_some_DASH_GT_GT] = ACTIONS(1141),
    [anon_sym_POUND_COLON_COLON_LBRACE] = ACTIONS(1141),
    [ts_builtin_sym_end] = ACTIONS(1141),
    [sym_new_class] = ACTIONS(1141),
    [anon_sym_LBRACK] = ACTIONS(1141),
    [anon_sym_POUND_SQUOTE] = ACTIONS(1141),
    [anon_sym_BSLASH] = ACTIONS(1141),
    [anon_sym_TILDE_AT] = ACTIONS(1141),
    [sym_true] = ACTIONS(1139),
    [anon_sym_CARET] = ACTIONS(1139),
    [anon_sym_DQUOTE] = ACTIONS(1141),
  },
  [272] = {
    [anon_sym_RPAREN] = ACTIONS(1143),
  },
  [273] = {
    [anon_sym_cond_DASH_GT] = ACTIONS(1145),
    [anon_sym_POUND_DQUOTE] = ACTIONS(1147),
    [aux_sym_namespace_map_token1] = ACTIONS(1147),
    [anon_sym_SEMI] = ACTIONS(1147),
    [anon_sym_RBRACK] = ACTIONS(1147),
    [anon_sym_TILDE] = ACTIONS(1145),
    [sym_number_bigint] = ACTIONS(1145),
    [sym_gensym] = ACTIONS(1147),
    [sym_false] = ACTIONS(1145),
    [anon_sym_CARET_COLON] = ACTIONS(1147),
    [sym__number_hex] = ACTIONS(1145),
    [anon_sym_cond_DASH_GT_GT] = ACTIONS(1147),
    [anon_sym_POUND_LBRACE] = ACTIONS(1147),
    [anon_sym_LBRACE] = ACTIONS(1147),
    [sym_number_bigdecimal] = ACTIONS(1147),
    [anon_sym_AT] = ACTIONS(1147),
    [sym__normal_long] = ACTIONS(1145),
    [sym__number_arbitrary_radix] = ACTIONS(1145),
    [anon_sym_SQUOTE] = ACTIONS(1147),
    [anon_sym_RPAREN] = ACTIONS(1147),
    [anon_sym_POUND_BANG] = ACTIONS(1147),
    [sym__symbol_chars] = ACTIONS(1145),
    [sym_number_ratio] = ACTIONS(1147),
    [anon_sym_POUND] = ACTIONS(1145),
    [sym__number_octal] = ACTIONS(1145),
    [anon_sym_DASH_GT] = ACTIONS(1145),
    [anon_sym_LPARENquote] = ACTIONS(1147),
    [anon_sym_COLON] = ACTIONS(1145),
    [anon_sym_POUND_] = ACTIONS(1147),
    [sym_member_access] = ACTIONS(1147),
    [anon_sym_POUND_POUND] = ACTIONS(1147),
    [anon_sym_CARET_DQUOTE] = ACTIONS(1147),
    [anon_sym_POUND_LPAREN] = ACTIONS(1147),
    [sym_number_double] = ACTIONS(1145),
    [anon_sym_POUND_QMARK] = ACTIONS(1145),
    [anon_sym_DASH_GT_GT] = ACTIONS(1147),
    [anon_sym_some_DASH_GT] = ACTIONS(1145),
    [anon_sym_COLON_COLON] = ACTIONS(1147),
    [anon_sym_RBRACE] = ACTIONS(1147),
    [sym_field_access] = ACTIONS(1147),
    [anon_sym_LPAREN] = ACTIONS(1145),
    [anon_sym_BQUOTE] = ACTIONS(1147),
    [sym_shorthand_function_arg] = ACTIONS(1147),
    [sym_nil] = ACTIONS(1145),
    [anon_sym_POUND_QMARK_AT] = ACTIONS(1147),
    [anon_sym_as_DASH_GT] = ACTIONS(1147),
    [anon_sym_some_DASH_GT_GT] = ACTIONS(1147),
    [anon_sym_POUND_COLON_COLON_LBRACE] = ACTIONS(1147),
    [ts_builtin_sym_end] = ACTIONS(1147),
    [sym_new_class] = ACTIONS(1147),
    [anon_sym_LBRACK] = ACTIONS(1147),
    [anon_sym_POUND_SQUOTE] = ACTIONS(1147),
    [anon_sym_BSLASH] = ACTIONS(1147),
    [anon_sym_TILDE_AT] = ACTIONS(1147),
    [sym_true] = ACTIONS(1145),
    [anon_sym_CARET] = ACTIONS(1145),
    [anon_sym_DQUOTE] = ACTIONS(1147),
  },
  [274] = {
    [anon_sym_RPAREN] = ACTIONS(1149),
  },
  [275] = {
    [aux_sym__multi_arity_fn_repeat1] = STATE(275),
    [anon_sym_RPAREN] = ACTIONS(1151),
    [anon_sym_LPAREN] = ACTIONS(1153),
  },
  [276] = {
    [sym_deref] = STATE(214),
    [sym_boolean] = STATE(214),
    [sym__character] = STATE(34),
    [sym__string] = STATE(35),
    [sym__keyword] = STATE(36),
    [sym_qualified_symbol] = STATE(44),
    [sym__vector] = STATE(37),
    [sym_ignore_form] = STATE(38),
    [sym_var_quote] = STATE(214),
    [sym_number] = STATE(214),
    [sym__reader_conditional_symbol] = STATE(39),
    [aux_sym_metadata_repeat1] = STATE(40),
    [sym_regex] = STATE(214),
    [sym__unqualified_keyword] = STATE(36),
    [sym__qualified_symbol] = STATE(41),
    [sym_hash_map] = STATE(214),
    [sym_set] = STATE(214),
    [sym_comment_macro] = STATE(38),
    [sym_unquote] = STATE(214),
    [sym__literals] = STATE(214),
    [aux_sym_program_repeat1] = STATE(214),
    [sym_symbolic_value] = STATE(214),
    [sym__quote] = STATE(43),
    [sym__symbol] = STATE(44),
    [sym__list] = STATE(45),
    [sym_semicolon] = STATE(38),
    [sym_shorthand_function] = STATE(214),
    [sym_metadata_shorthand] = STATE(40),
    [sym__collection_literals] = STATE(214),
    [sym_tagged_literal] = STATE(214),
    [sym_character] = STATE(214),
    [sym_string] = STATE(214),
    [sym_keyword] = STATE(214),
    [sym_threading_macro] = STATE(44),
    [sym_vector] = STATE(214),
    [sym_shebang_line] = STATE(38),
    [sym_defn] = STATE(214),
    [sym_syntax_quote] = STATE(214),
    [sym_reader_conditional] = STATE(214),
    [sym__number] = STATE(47),
    [sym__regex] = STATE(48),
    [sym_qualified_keyword] = STATE(36),
    [sym_interop] = STATE(214),
    [sym__hash_map] = STATE(49),
    [sym__set] = STATE(50),
    [sym__functions] = STATE(214),
    [sym_metadata] = STATE(51),
    [sym__anything] = STATE(214),
    [sym_unquote_splice] = STATE(214),
    [sym_number_long] = STATE(47),
    [sym_quote] = STATE(214),
    [sym_symbol] = STATE(214),
    [sym_list] = STATE(214),
    [sym_namespace_map] = STATE(49),
    [sym_comment] = STATE(214),
    [sym_anonymous_function] = STATE(214),
    [sym__metadata_map] = STATE(52),
    [anon_sym_DASH_GT] = ACTIONS(3),
    [anon_sym_cond_DASH_GT] = ACTIONS(3),
    [anon_sym_LPARENquote] = ACTIONS(5),
    [anon_sym_POUND_DQUOTE] = ACTIONS(7),
    [anon_sym_COLON] = ACTIONS(9),
    [aux_sym_namespace_map_token1] = ACTIONS(11),
    [anon_sym_POUND_] = ACTIONS(189),
    [anon_sym_SEMI] = ACTIONS(15),
    [sym_member_access] = ACTIONS(17),
    [anon_sym_POUND_POUND] = ACTIONS(19),
    [sym_number_bigint] = ACTIONS(21),
    [sym_gensym] = ACTIONS(517),
    [sym_false] = ACTIONS(25),
    [sym_number_double] = ACTIONS(21),
    [sym__number_hex] = ACTIONS(27),
    [anon_sym_POUND_LPAREN] = ACTIONS(29),
    [anon_sym_CARET_COLON] = ACTIONS(31),
    [anon_sym_CARET_DQUOTE] = ACTIONS(33),
    [anon_sym_TILDE] = ACTIONS(193),
    [anon_sym_POUND_QMARK] = ACTIONS(37),
    [anon_sym_DASH_GT_GT] = ACTIONS(39),
    [anon_sym_cond_DASH_GT_GT] = ACTIONS(39),
    [anon_sym_some_DASH_GT] = ACTIONS(3),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_POUND_LBRACE] = ACTIONS(43),
    [sym_field_access] = ACTIONS(17),
    [anon_sym_LBRACE] = ACTIONS(45),
    [anon_sym_LPAREN] = ACTIONS(47),
    [sym_number_bigdecimal] = ACTIONS(49),
    [anon_sym_BQUOTE] = ACTIONS(195),
    [sym_shorthand_function_arg] = ACTIONS(517),
    [sym_nil] = ACTIONS(519),
    [sym__normal_long] = ACTIONS(27),
    [sym__number_arbitrary_radix] = ACTIONS(27),
    [anon_sym_AT] = ACTIONS(55),
    [anon_sym_POUND_QMARK_AT] = ACTIONS(57),
    [anon_sym_as_DASH_GT] = ACTIONS(39),
    [anon_sym_some_DASH_GT_GT] = ACTIONS(39),
    [anon_sym_SQUOTE] = ACTIONS(199),
    [anon_sym_RPAREN] = ACTIONS(1156),
    [anon_sym_POUND_COLON_COLON_LBRACE] = ACTIONS(61),
    [anon_sym_POUND_BANG] = ACTIONS(65),
    [sym_new_class] = ACTIONS(17),
    [sym__symbol_chars] = ACTIONS(67),
    [anon_sym_LBRACK] = ACTIONS(69),
    [sym_number_ratio] = ACTIONS(49),
    [anon_sym_BSLASH] = ACTIONS(71),
    [anon_sym_POUND_SQUOTE] = ACTIONS(73),
    [sym_true] = ACTIONS(25),
    [sym__number_octal] = ACTIONS(27),
    [anon_sym_CARET] = ACTIONS(75),
    [anon_sym_TILDE_AT] = ACTIONS(203),
    [anon_sym_DQUOTE] = ACTIONS(79),
    [anon_sym_POUND] = ACTIONS(81),
  },
  [277] = {
    [anon_sym_RPAREN] = ACTIONS(1158),
  },
  [278] = {
    [sym_deref] = STATE(130),
    [sym_boolean] = STATE(130),
    [sym__character] = STATE(34),
    [sym__string] = STATE(35),
    [sym__keyword] = STATE(36),
    [sym_qualified_symbol] = STATE(44),
    [sym__vector] = STATE(37),
    [sym_ignore_form] = STATE(38),
    [sym_var_quote] = STATE(130),
    [sym_number] = STATE(130),
    [sym__reader_conditional_symbol] = STATE(39),
    [aux_sym_metadata_repeat1] = STATE(40),
    [sym_regex] = STATE(130),
    [sym__unqualified_keyword] = STATE(36),
    [sym__qualified_symbol] = STATE(41),
    [sym_hash_map] = STATE(130),
    [sym_set] = STATE(130),
    [sym_comment_macro] = STATE(38),
    [sym_unquote] = STATE(130),
    [sym__literals] = STATE(130),
    [sym_symbolic_value] = STATE(130),
    [sym__quote] = STATE(43),
    [sym__symbol] = STATE(44),
    [sym__list] = STATE(45),
    [sym__hash_map_kv_pair] = STATE(313),
    [sym_semicolon] = STATE(38),
    [sym_shorthand_function] = STATE(130),
    [sym_metadata_shorthand] = STATE(40),
    [sym__collection_literals] = STATE(130),
    [sym_tagged_literal] = STATE(130),
    [sym_character] = STATE(130),
    [aux_sym__hash_map_repeat1] = STATE(313),
    [sym_string] = STATE(130),
    [sym_keyword] = STATE(130),
    [sym_threading_macro] = STATE(44),
    [sym_vector] = STATE(130),
    [sym__hash_map_key] = STATE(130),
    [sym_shebang_line] = STATE(38),
    [sym_defn] = STATE(130),
    [sym_syntax_quote] = STATE(130),
    [sym_reader_conditional] = STATE(130),
    [sym__number] = STATE(47),
    [sym__regex] = STATE(48),
    [sym_qualified_keyword] = STATE(36),
    [sym_interop] = STATE(130),
    [sym__hash_map] = STATE(49),
    [sym__set] = STATE(50),
    [sym__functions] = STATE(130),
    [sym_metadata] = STATE(51),
    [sym__anything] = STATE(130),
    [sym_unquote_splice] = STATE(130),
    [sym_number_long] = STATE(47),
    [sym_quote] = STATE(130),
    [sym_symbol] = STATE(130),
    [sym_list] = STATE(130),
    [sym_namespace_map] = STATE(49),
    [sym_comment] = STATE(130),
    [sym_anonymous_function] = STATE(130),
    [sym__metadata_map] = STATE(52),
    [anon_sym_DASH_GT] = ACTIONS(3),
    [anon_sym_cond_DASH_GT] = ACTIONS(3),
    [anon_sym_LPARENquote] = ACTIONS(5),
    [anon_sym_POUND_DQUOTE] = ACTIONS(7),
    [anon_sym_COLON] = ACTIONS(9),
    [aux_sym_namespace_map_token1] = ACTIONS(11),
    [anon_sym_POUND_] = ACTIONS(235),
    [anon_sym_SEMI] = ACTIONS(15),
    [sym_member_access] = ACTIONS(17),
    [anon_sym_POUND_POUND] = ACTIONS(19),
    [sym_number_bigint] = ACTIONS(21),
    [sym_gensym] = ACTIONS(237),
    [sym_false] = ACTIONS(25),
    [sym_number_double] = ACTIONS(21),
    [sym__number_hex] = ACTIONS(27),
    [anon_sym_POUND_LPAREN] = ACTIONS(29),
    [anon_sym_CARET_COLON] = ACTIONS(31),
    [anon_sym_CARET_DQUOTE] = ACTIONS(33),
    [anon_sym_TILDE] = ACTIONS(239),
    [anon_sym_POUND_QMARK] = ACTIONS(37),
    [anon_sym_DASH_GT_GT] = ACTIONS(39),
    [anon_sym_cond_DASH_GT_GT] = ACTIONS(39),
    [anon_sym_some_DASH_GT] = ACTIONS(3),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_POUND_LBRACE] = ACTIONS(43),
    [anon_sym_RBRACE] = ACTIONS(1160),
    [sym_field_access] = ACTIONS(17),
    [anon_sym_LBRACE] = ACTIONS(45),
    [anon_sym_LPAREN] = ACTIONS(47),
    [sym_number_bigdecimal] = ACTIONS(49),
    [anon_sym_BQUOTE] = ACTIONS(243),
    [sym_shorthand_function_arg] = ACTIONS(237),
    [sym_nil] = ACTIONS(245),
    [sym__normal_long] = ACTIONS(27),
    [sym__number_arbitrary_radix] = ACTIONS(27),
    [anon_sym_AT] = ACTIONS(55),
    [anon_sym_POUND_QMARK_AT] = ACTIONS(57),
    [anon_sym_as_DASH_GT] = ACTIONS(39),
    [anon_sym_some_DASH_GT_GT] = ACTIONS(39),
    [anon_sym_SQUOTE] = ACTIONS(247),
    [anon_sym_POUND_COLON_COLON_LBRACE] = ACTIONS(61),
    [anon_sym_POUND_BANG] = ACTIONS(65),
    [sym_new_class] = ACTIONS(17),
    [sym__symbol_chars] = ACTIONS(67),
    [anon_sym_LBRACK] = ACTIONS(69),
    [sym_number_ratio] = ACTIONS(49),
    [anon_sym_BSLASH] = ACTIONS(71),
    [anon_sym_POUND_SQUOTE] = ACTIONS(73),
    [sym_true] = ACTIONS(25),
    [sym__number_octal] = ACTIONS(27),
    [anon_sym_CARET] = ACTIONS(75),
    [anon_sym_TILDE_AT] = ACTIONS(249),
    [anon_sym_DQUOTE] = ACTIONS(79),
    [anon_sym_POUND] = ACTIONS(81),
  },
  [279] = {
    [anon_sym_LBRACE] = ACTIONS(1162),
  },
  [280] = {
    [sym_deref] = STATE(130),
    [sym_boolean] = STATE(130),
    [sym__character] = STATE(34),
    [sym__string] = STATE(35),
    [sym__keyword] = STATE(36),
    [sym_qualified_symbol] = STATE(44),
    [sym__vector] = STATE(37),
    [sym_ignore_form] = STATE(38),
    [sym_var_quote] = STATE(130),
    [sym_number] = STATE(130),
    [sym__reader_conditional_symbol] = STATE(39),
    [aux_sym_metadata_repeat1] = STATE(40),
    [sym_regex] = STATE(130),
    [sym__unqualified_keyword] = STATE(36),
    [sym__qualified_symbol] = STATE(41),
    [sym_hash_map] = STATE(130),
    [sym_set] = STATE(130),
    [sym_comment_macro] = STATE(38),
    [sym_unquote] = STATE(130),
    [sym__literals] = STATE(130),
    [sym_symbolic_value] = STATE(130),
    [sym__quote] = STATE(43),
    [sym__symbol] = STATE(44),
    [sym__list] = STATE(45),
    [sym__hash_map_kv_pair] = STATE(316),
    [sym_semicolon] = STATE(38),
    [sym_shorthand_function] = STATE(130),
    [sym_metadata_shorthand] = STATE(40),
    [sym__collection_literals] = STATE(130),
    [sym_tagged_literal] = STATE(130),
    [sym_character] = STATE(130),
    [aux_sym__hash_map_repeat1] = STATE(316),
    [sym_string] = STATE(130),
    [sym_keyword] = STATE(130),
    [sym_threading_macro] = STATE(44),
    [sym_vector] = STATE(130),
    [sym__hash_map_key] = STATE(130),
    [sym_shebang_line] = STATE(38),
    [sym_defn] = STATE(130),
    [sym_syntax_quote] = STATE(130),
    [sym_reader_conditional] = STATE(130),
    [sym__number] = STATE(47),
    [sym__regex] = STATE(48),
    [sym_qualified_keyword] = STATE(36),
    [sym_interop] = STATE(130),
    [sym__hash_map] = STATE(49),
    [sym__set] = STATE(50),
    [sym__functions] = STATE(130),
    [sym_metadata] = STATE(51),
    [sym__anything] = STATE(130),
    [sym_unquote_splice] = STATE(130),
    [sym_number_long] = STATE(47),
    [sym_quote] = STATE(130),
    [sym_symbol] = STATE(130),
    [sym_list] = STATE(130),
    [sym_namespace_map] = STATE(49),
    [sym_comment] = STATE(130),
    [sym_anonymous_function] = STATE(130),
    [sym__metadata_map] = STATE(52),
    [anon_sym_DASH_GT] = ACTIONS(3),
    [anon_sym_cond_DASH_GT] = ACTIONS(3),
    [anon_sym_LPARENquote] = ACTIONS(5),
    [anon_sym_POUND_DQUOTE] = ACTIONS(7),
    [anon_sym_COLON] = ACTIONS(9),
    [aux_sym_namespace_map_token1] = ACTIONS(11),
    [anon_sym_POUND_] = ACTIONS(235),
    [anon_sym_SEMI] = ACTIONS(15),
    [sym_member_access] = ACTIONS(17),
    [anon_sym_POUND_POUND] = ACTIONS(19),
    [sym_number_bigint] = ACTIONS(21),
    [sym_gensym] = ACTIONS(237),
    [sym_false] = ACTIONS(25),
    [sym_number_double] = ACTIONS(21),
    [sym__number_hex] = ACTIONS(27),
    [anon_sym_POUND_LPAREN] = ACTIONS(29),
    [anon_sym_CARET_COLON] = ACTIONS(31),
    [anon_sym_CARET_DQUOTE] = ACTIONS(33),
    [anon_sym_TILDE] = ACTIONS(239),
    [anon_sym_POUND_QMARK] = ACTIONS(37),
    [anon_sym_DASH_GT_GT] = ACTIONS(39),
    [anon_sym_cond_DASH_GT_GT] = ACTIONS(39),
    [anon_sym_some_DASH_GT] = ACTIONS(3),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_POUND_LBRACE] = ACTIONS(43),
    [anon_sym_RBRACE] = ACTIONS(1164),
    [sym_field_access] = ACTIONS(17),
    [anon_sym_LBRACE] = ACTIONS(45),
    [anon_sym_LPAREN] = ACTIONS(47),
    [sym_number_bigdecimal] = ACTIONS(49),
    [anon_sym_BQUOTE] = ACTIONS(243),
    [sym_shorthand_function_arg] = ACTIONS(237),
    [sym_nil] = ACTIONS(245),
    [sym__normal_long] = ACTIONS(27),
    [sym__number_arbitrary_radix] = ACTIONS(27),
    [anon_sym_AT] = ACTIONS(55),
    [anon_sym_POUND_QMARK_AT] = ACTIONS(57),
    [anon_sym_as_DASH_GT] = ACTIONS(39),
    [anon_sym_some_DASH_GT_GT] = ACTIONS(39),
    [anon_sym_SQUOTE] = ACTIONS(247),
    [anon_sym_POUND_COLON_COLON_LBRACE] = ACTIONS(61),
    [anon_sym_POUND_BANG] = ACTIONS(65),
    [sym_new_class] = ACTIONS(17),
    [sym__symbol_chars] = ACTIONS(67),
    [anon_sym_LBRACK] = ACTIONS(69),
    [sym_number_ratio] = ACTIONS(49),
    [anon_sym_BSLASH] = ACTIONS(71),
    [anon_sym_POUND_SQUOTE] = ACTIONS(73),
    [sym_true] = ACTIONS(25),
    [sym__number_octal] = ACTIONS(27),
    [anon_sym_CARET] = ACTIONS(75),
    [anon_sym_TILDE_AT] = ACTIONS(249),
    [anon_sym_DQUOTE] = ACTIONS(79),
    [anon_sym_POUND] = ACTIONS(81),
  },
  [281] = {
    [anon_sym_DASH_GT] = ACTIONS(1166),
    [anon_sym_cond_DASH_GT] = ACTIONS(1166),
    [sym__symbol_chars] = ACTIONS(1166),
    [anon_sym_DASH_GT_GT] = ACTIONS(625),
    [anon_sym_cond_DASH_GT_GT] = ACTIONS(625),
    [anon_sym_some_DASH_GT] = ACTIONS(1166),
    [anon_sym_as_DASH_GT] = ACTIONS(625),
    [anon_sym_some_DASH_GT_GT] = ACTIONS(625),
  },
  [282] = {
    [anon_sym_DASH_GT] = ACTIONS(377),
    [anon_sym_cond_DASH_GT] = ACTIONS(377),
    [sym__symbol_chars] = ACTIONS(377),
    [anon_sym_DASH_GT_GT] = ACTIONS(379),
    [anon_sym_cond_DASH_GT_GT] = ACTIONS(379),
    [anon_sym_some_DASH_GT] = ACTIONS(377),
    [anon_sym_as_DASH_GT] = ACTIONS(379),
    [anon_sym_some_DASH_GT_GT] = ACTIONS(379),
  },
  [283] = {
    [anon_sym_LPAREN] = ACTIONS(1168),
    [anon_sym_LBRACK] = ACTIONS(1168),
  },
  [284] = {
    [sym_hash_map] = STATE(283),
    [sym__hash_map] = STATE(90),
    [sym__single_arity_fn] = STATE(318),
    [sym_namespace_map] = STATE(90),
    [sym__multi_arity_fn] = STATE(318),
    [aux_sym__multi_arity_fn_repeat1] = STATE(229),
    [sym_attr_map] = STATE(317),
    [sym_vector] = STATE(231),
    [sym__vector] = STATE(37),
    [sym_params] = STATE(230),
    [sym__after_the_fn_name] = STATE(318),
    [anon_sym_LPAREN] = ACTIONS(573),
    [anon_sym_POUND_COLON_COLON_LBRACE] = ACTIONS(141),
    [anon_sym_LBRACK] = ACTIONS(69),
    [aux_sym_namespace_map_token1] = ACTIONS(95),
    [anon_sym_LBRACE] = ACTIONS(125),
  },
  [285] = {
    [anon_sym_LPAREN] = ACTIONS(1170),
    [anon_sym_POUND_COLON_COLON_LBRACE] = ACTIONS(1170),
    [anon_sym_LBRACK] = ACTIONS(1170),
    [aux_sym_namespace_map_token1] = ACTIONS(1170),
    [anon_sym_LBRACE] = ACTIONS(1170),
  },
  [286] = {
    [aux_sym__multi_arity_fn_repeat1] = STATE(229),
    [sym__single_arity_fn] = STATE(318),
    [sym_vector] = STATE(231),
    [sym__vector] = STATE(37),
    [sym_params] = STATE(230),
    [sym__after_the_fn_name] = STATE(318),
    [sym__multi_arity_fn] = STATE(318),
    [anon_sym_LPAREN] = ACTIONS(573),
    [anon_sym_LBRACK] = ACTIONS(69),
  },
  [287] = {
    [anon_sym_RPAREN] = ACTIONS(1172),
  },
  [288] = {
    [sym_metadata_shorthand] = STATE(288),
    [aux_sym_metadata_repeat1] = STATE(288),
    [anon_sym_DASH_GT] = ACTIONS(1174),
    [anon_sym_cond_DASH_GT] = ACTIONS(1174),
    [sym__symbol_chars] = ACTIONS(1174),
    [anon_sym_DASH_GT_GT] = ACTIONS(643),
    [anon_sym_cond_DASH_GT_GT] = ACTIONS(643),
    [anon_sym_some_DASH_GT] = ACTIONS(1174),
    [anon_sym_CARET] = ACTIONS(648),
    [anon_sym_as_DASH_GT] = ACTIONS(643),
    [anon_sym_CARET_DQUOTE] = ACTIONS(651),
    [anon_sym_some_DASH_GT_GT] = ACTIONS(643),
    [anon_sym_CARET_COLON] = ACTIONS(645),
  },
  [289] = {
    [sym_hash_map] = STATE(283),
    [sym__hash_map] = STATE(90),
    [sym__single_arity_fn] = STATE(318),
    [sym_docstring] = STATE(320),
    [sym_string] = STATE(285),
    [sym__string] = STATE(83),
    [sym__multi_arity_fn] = STATE(318),
    [sym_namespace_map] = STATE(90),
    [aux_sym__multi_arity_fn_repeat1] = STATE(229),
    [sym_attr_map] = STATE(317),
    [sym_vector] = STATE(231),
    [sym__vector] = STATE(37),
    [sym_params] = STATE(230),
    [sym__after_the_fn_name] = STATE(318),
    [anon_sym_LPAREN] = ACTIONS(573),
    [anon_sym_POUND_COLON_COLON_LBRACE] = ACTIONS(141),
    [anon_sym_LBRACE] = ACTIONS(125),
    [anon_sym_DQUOTE] = ACTIONS(155),
    [aux_sym_namespace_map_token1] = ACTIONS(95),
    [anon_sym_LBRACK] = ACTIONS(69),
  },
  [290] = {
    [sym__hex_char] = ACTIONS(1176),
  },
  [291] = {
    [anon_sym_cond_DASH_GT] = ACTIONS(1178),
    [anon_sym_POUND_DQUOTE] = ACTIONS(1180),
    [aux_sym_namespace_map_token1] = ACTIONS(1180),
    [anon_sym_SEMI] = ACTIONS(1180),
    [anon_sym_RBRACK] = ACTIONS(1180),
    [anon_sym_TILDE] = ACTIONS(1178),
    [sym_number_bigint] = ACTIONS(1178),
    [sym_gensym] = ACTIONS(1180),
    [sym_false] = ACTIONS(1178),
    [anon_sym_CARET_COLON] = ACTIONS(1180),
    [sym__number_hex] = ACTIONS(1178),
    [anon_sym_cond_DASH_GT_GT] = ACTIONS(1180),
    [anon_sym_POUND_LBRACE] = ACTIONS(1180),
    [anon_sym_LBRACE] = ACTIONS(1180),
    [sym_number_bigdecimal] = ACTIONS(1180),
    [anon_sym_AT] = ACTIONS(1180),
    [sym__normal_long] = ACTIONS(1178),
    [sym__number_arbitrary_radix] = ACTIONS(1178),
    [anon_sym_SQUOTE] = ACTIONS(1180),
    [anon_sym_RPAREN] = ACTIONS(1180),
    [anon_sym_POUND_BANG] = ACTIONS(1180),
    [sym__symbol_chars] = ACTIONS(1178),
    [sym_number_ratio] = ACTIONS(1180),
    [anon_sym_POUND] = ACTIONS(1178),
    [sym__number_octal] = ACTIONS(1178),
    [anon_sym_DASH_GT] = ACTIONS(1178),
    [anon_sym_LPARENquote] = ACTIONS(1180),
    [anon_sym_COLON] = ACTIONS(1178),
    [anon_sym_POUND_] = ACTIONS(1180),
    [sym_member_access] = ACTIONS(1180),
    [anon_sym_POUND_POUND] = ACTIONS(1180),
    [anon_sym_CARET_DQUOTE] = ACTIONS(1180),
    [anon_sym_POUND_LPAREN] = ACTIONS(1180),
    [sym_number_double] = ACTIONS(1178),
    [anon_sym_POUND_QMARK] = ACTIONS(1178),
    [anon_sym_DASH_GT_GT] = ACTIONS(1180),
    [anon_sym_some_DASH_GT] = ACTIONS(1178),
    [anon_sym_COLON_COLON] = ACTIONS(1180),
    [anon_sym_RBRACE] = ACTIONS(1180),
    [sym_field_access] = ACTIONS(1180),
    [anon_sym_LPAREN] = ACTIONS(1178),
    [anon_sym_BQUOTE] = ACTIONS(1180),
    [sym_shorthand_function_arg] = ACTIONS(1180),
    [sym_nil] = ACTIONS(1178),
    [anon_sym_POUND_QMARK_AT] = ACTIONS(1180),
    [anon_sym_as_DASH_GT] = ACTIONS(1180),
    [anon_sym_some_DASH_GT_GT] = ACTIONS(1180),
    [anon_sym_POUND_COLON_COLON_LBRACE] = ACTIONS(1180),
    [ts_builtin_sym_end] = ACTIONS(1180),
    [sym_new_class] = ACTIONS(1180),
    [anon_sym_LBRACK] = ACTIONS(1180),
    [anon_sym_POUND_SQUOTE] = ACTIONS(1180),
    [anon_sym_BSLASH] = ACTIONS(1180),
    [anon_sym_TILDE_AT] = ACTIONS(1180),
    [sym_true] = ACTIONS(1178),
    [anon_sym_CARET] = ACTIONS(1178),
    [anon_sym_DQUOTE] = ACTIONS(1180),
  },
  [292] = {
    [sym__keyword] = STATE(36),
    [sym_keyword] = STATE(246),
    [sym__unqualified_keyword] = STATE(36),
    [sym_qualified_keyword] = STATE(36),
    [aux_sym_reader_conditional_repeat1] = STATE(292),
    [anon_sym_RPAREN] = ACTIONS(1182),
    [anon_sym_COLON] = ACTIONS(1184),
    [anon_sym_COLON_COLON] = ACTIONS(1187),
  },
  [293] = {
    [sym_metadata_shorthand] = STATE(40),
    [sym_deref] = STATE(102),
    [sym__collection_literals] = STATE(102),
    [sym_boolean] = STATE(102),
    [sym_character] = STATE(102),
    [sym_string] = STATE(102),
    [sym_tagged_literal] = STATE(102),
    [sym_keyword] = STATE(102),
    [sym__character] = STATE(34),
    [sym__string] = STATE(35),
    [sym__keyword] = STATE(36),
    [sym_vector] = STATE(102),
    [sym_threading_macro] = STATE(44),
    [sym_qualified_symbol] = STATE(44),
    [sym__vector] = STATE(37),
    [sym_shebang_line] = STATE(38),
    [sym_ignore_form] = STATE(38),
    [sym_defn] = STATE(102),
    [sym_syntax_quote] = STATE(102),
    [sym_var_quote] = STATE(102),
    [sym_reader_conditional] = STATE(102),
    [sym_number] = STATE(102),
    [sym__number] = STATE(47),
    [aux_sym_metadata_repeat1] = STATE(40),
    [sym_regex] = STATE(102),
    [sym__regex] = STATE(48),
    [sym__unqualified_keyword] = STATE(36),
    [sym_qualified_keyword] = STATE(36),
    [sym__qualified_symbol] = STATE(41),
    [sym_interop] = STATE(102),
    [sym_hash_map] = STATE(102),
    [sym__hash_map] = STATE(49),
    [sym_set] = STATE(102),
    [sym__set] = STATE(50),
    [sym_comment_macro] = STATE(38),
    [sym__functions] = STATE(102),
    [sym__reader_conditional_symbol] = STATE(39),
    [sym_metadata] = STATE(51),
    [sym_unquote] = STATE(102),
    [sym__literals] = STATE(102),
    [sym_unquote_splice] = STATE(102),
    [sym_symbolic_value] = STATE(102),
    [sym_number_long] = STATE(47),
    [sym__anything] = STATE(102),
    [sym_quote] = STATE(102),
    [sym__quote] = STATE(43),
    [sym_symbol] = STATE(102),
    [sym__symbol] = STATE(44),
    [sym_list] = STATE(102),
    [sym__list] = STATE(45),
    [sym_namespace_map] = STATE(49),
    [sym_comment] = STATE(102),
    [sym_semicolon] = STATE(38),
    [sym_anonymous_function] = STATE(102),
    [sym_shorthand_function] = STATE(102),
    [sym__metadata_map] = STATE(52),
    [anon_sym_DASH_GT] = ACTIONS(3),
    [anon_sym_cond_DASH_GT] = ACTIONS(3),
    [anon_sym_LPARENquote] = ACTIONS(5),
    [anon_sym_POUND_DQUOTE] = ACTIONS(7),
    [anon_sym_COLON] = ACTIONS(9),
    [aux_sym_namespace_map_token1] = ACTIONS(11),
    [anon_sym_POUND_] = ACTIONS(1105),
    [anon_sym_SEMI] = ACTIONS(15),
    [sym_member_access] = ACTIONS(17),
    [anon_sym_POUND_POUND] = ACTIONS(19),
    [sym_number_bigint] = ACTIONS(21),
    [sym_gensym] = ACTIONS(169),
    [sym_false] = ACTIONS(25),
    [sym_number_double] = ACTIONS(21),
    [sym__number_hex] = ACTIONS(27),
    [anon_sym_POUND_LPAREN] = ACTIONS(29),
    [anon_sym_CARET_COLON] = ACTIONS(31),
    [anon_sym_CARET_DQUOTE] = ACTIONS(33),
    [anon_sym_TILDE] = ACTIONS(1109),
    [anon_sym_POUND_QMARK] = ACTIONS(37),
    [anon_sym_DASH_GT_GT] = ACTIONS(39),
    [anon_sym_cond_DASH_GT_GT] = ACTIONS(39),
    [anon_sym_some_DASH_GT] = ACTIONS(3),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_POUND_LBRACE] = ACTIONS(43),
    [sym_field_access] = ACTIONS(17),
    [anon_sym_LBRACE] = ACTIONS(45),
    [anon_sym_LPAREN] = ACTIONS(47),
    [sym_number_bigdecimal] = ACTIONS(49),
    [anon_sym_BQUOTE] = ACTIONS(1111),
    [sym_shorthand_function_arg] = ACTIONS(169),
    [sym_nil] = ACTIONS(171),
    [sym__normal_long] = ACTIONS(27),
    [sym__number_arbitrary_radix] = ACTIONS(27),
    [anon_sym_AT] = ACTIONS(55),
    [anon_sym_POUND_QMARK_AT] = ACTIONS(57),
    [anon_sym_as_DASH_GT] = ACTIONS(39),
    [anon_sym_some_DASH_GT_GT] = ACTIONS(39),
    [anon_sym_SQUOTE] = ACTIONS(1115),
    [anon_sym_POUND_COLON_COLON_LBRACE] = ACTIONS(61),
    [anon_sym_POUND_BANG] = ACTIONS(65),
    [sym_new_class] = ACTIONS(17),
    [sym__symbol_chars] = ACTIONS(67),
    [anon_sym_LBRACK] = ACTIONS(69),
    [sym_number_ratio] = ACTIONS(49),
    [anon_sym_BSLASH] = ACTIONS(71),
    [anon_sym_POUND_SQUOTE] = ACTIONS(73),
    [sym_true] = ACTIONS(25),
    [sym__number_octal] = ACTIONS(27),
    [anon_sym_CARET] = ACTIONS(75),
    [anon_sym_TILDE_AT] = ACTIONS(1117),
    [anon_sym_DQUOTE] = ACTIONS(79),
    [anon_sym_POUND] = ACTIONS(81),
  },
  [294] = {
    [sym_metadata_shorthand] = STATE(40),
    [sym_deref] = STATE(114),
    [sym__collection_literals] = STATE(114),
    [sym_boolean] = STATE(114),
    [sym_character] = STATE(114),
    [sym_string] = STATE(114),
    [sym_tagged_literal] = STATE(114),
    [sym_keyword] = STATE(114),
    [sym__character] = STATE(34),
    [sym__string] = STATE(35),
    [sym__keyword] = STATE(36),
    [sym_vector] = STATE(114),
    [sym_threading_macro] = STATE(44),
    [sym_qualified_symbol] = STATE(44),
    [sym__vector] = STATE(37),
    [sym_shebang_line] = STATE(38),
    [sym_ignore_form] = STATE(38),
    [sym_defn] = STATE(114),
    [sym_syntax_quote] = STATE(114),
    [sym_var_quote] = STATE(114),
    [sym_reader_conditional] = STATE(114),
    [sym_number] = STATE(114),
    [sym__number] = STATE(47),
    [aux_sym_metadata_repeat1] = STATE(40),
    [sym_regex] = STATE(114),
    [sym__regex] = STATE(48),
    [sym__unqualified_keyword] = STATE(36),
    [sym_qualified_keyword] = STATE(36),
    [sym__qualified_symbol] = STATE(41),
    [sym_interop] = STATE(114),
    [sym_hash_map] = STATE(114),
    [sym__hash_map] = STATE(49),
    [sym_set] = STATE(114),
    [sym__set] = STATE(50),
    [sym_comment_macro] = STATE(38),
    [sym__functions] = STATE(114),
    [sym__reader_conditional_symbol] = STATE(39),
    [sym_metadata] = STATE(51),
    [sym_unquote] = STATE(114),
    [sym__literals] = STATE(114),
    [sym_unquote_splice] = STATE(114),
    [sym_symbolic_value] = STATE(114),
    [sym_number_long] = STATE(47),
    [sym__anything] = STATE(114),
    [sym_quote] = STATE(114),
    [sym__quote] = STATE(43),
    [sym_symbol] = STATE(114),
    [sym__symbol] = STATE(44),
    [sym_list] = STATE(114),
    [sym__list] = STATE(45),
    [sym_namespace_map] = STATE(49),
    [sym_comment] = STATE(114),
    [sym_semicolon] = STATE(38),
    [sym_anonymous_function] = STATE(114),
    [sym_shorthand_function] = STATE(114),
    [sym__metadata_map] = STATE(52),
    [anon_sym_DASH_GT] = ACTIONS(3),
    [anon_sym_cond_DASH_GT] = ACTIONS(3),
    [anon_sym_LPARENquote] = ACTIONS(5),
    [anon_sym_POUND_DQUOTE] = ACTIONS(7),
    [anon_sym_COLON] = ACTIONS(9),
    [aux_sym_namespace_map_token1] = ACTIONS(11),
    [anon_sym_POUND_] = ACTIONS(1105),
    [anon_sym_SEMI] = ACTIONS(15),
    [sym_member_access] = ACTIONS(17),
    [anon_sym_POUND_POUND] = ACTIONS(19),
    [sym_number_bigint] = ACTIONS(21),
    [sym_gensym] = ACTIONS(213),
    [sym_false] = ACTIONS(25),
    [sym_number_double] = ACTIONS(21),
    [sym__number_hex] = ACTIONS(27),
    [anon_sym_POUND_LPAREN] = ACTIONS(29),
    [anon_sym_CARET_COLON] = ACTIONS(31),
    [anon_sym_CARET_DQUOTE] = ACTIONS(33),
    [anon_sym_TILDE] = ACTIONS(1109),
    [anon_sym_POUND_QMARK] = ACTIONS(37),
    [anon_sym_DASH_GT_GT] = ACTIONS(39),
    [anon_sym_cond_DASH_GT_GT] = ACTIONS(39),
    [anon_sym_some_DASH_GT] = ACTIONS(3),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_POUND_LBRACE] = ACTIONS(43),
    [sym_field_access] = ACTIONS(17),
    [anon_sym_LBRACE] = ACTIONS(45),
    [anon_sym_LPAREN] = ACTIONS(47),
    [sym_number_bigdecimal] = ACTIONS(49),
    [anon_sym_BQUOTE] = ACTIONS(1111),
    [sym_shorthand_function_arg] = ACTIONS(213),
    [sym_nil] = ACTIONS(215),
    [sym__normal_long] = ACTIONS(27),
    [sym__number_arbitrary_radix] = ACTIONS(27),
    [anon_sym_AT] = ACTIONS(55),
    [anon_sym_POUND_QMARK_AT] = ACTIONS(57),
    [anon_sym_as_DASH_GT] = ACTIONS(39),
    [anon_sym_some_DASH_GT_GT] = ACTIONS(39),
    [anon_sym_SQUOTE] = ACTIONS(1115),
    [anon_sym_POUND_COLON_COLON_LBRACE] = ACTIONS(61),
    [anon_sym_POUND_BANG] = ACTIONS(65),
    [sym_new_class] = ACTIONS(17),
    [sym__symbol_chars] = ACTIONS(67),
    [anon_sym_LBRACK] = ACTIONS(69),
    [sym_number_ratio] = ACTIONS(49),
    [anon_sym_BSLASH] = ACTIONS(71),
    [anon_sym_POUND_SQUOTE] = ACTIONS(73),
    [sym_true] = ACTIONS(25),
    [sym__number_octal] = ACTIONS(27),
    [anon_sym_CARET] = ACTIONS(75),
    [anon_sym_TILDE_AT] = ACTIONS(1117),
    [anon_sym_DQUOTE] = ACTIONS(79),
    [anon_sym_POUND] = ACTIONS(81),
  },
  [295] = {
    [sym_metadata_shorthand] = STATE(40),
    [sym_deref] = STATE(136),
    [sym__collection_literals] = STATE(136),
    [sym_boolean] = STATE(136),
    [sym_character] = STATE(136),
    [sym_string] = STATE(136),
    [sym_tagged_literal] = STATE(136),
    [sym_keyword] = STATE(136),
    [sym__character] = STATE(34),
    [sym__string] = STATE(35),
    [sym__keyword] = STATE(36),
    [sym_vector] = STATE(136),
    [sym_threading_macro] = STATE(44),
    [sym_qualified_symbol] = STATE(44),
    [sym__vector] = STATE(37),
    [sym_shebang_line] = STATE(38),
    [sym_ignore_form] = STATE(38),
    [sym_defn] = STATE(136),
    [sym_syntax_quote] = STATE(136),
    [sym_var_quote] = STATE(136),
    [sym_reader_conditional] = STATE(136),
    [sym_number] = STATE(136),
    [sym__number] = STATE(47),
    [aux_sym_metadata_repeat1] = STATE(40),
    [sym_regex] = STATE(136),
    [sym__regex] = STATE(48),
    [sym__unqualified_keyword] = STATE(36),
    [sym_qualified_keyword] = STATE(36),
    [sym__qualified_symbol] = STATE(41),
    [sym_interop] = STATE(136),
    [sym_hash_map] = STATE(136),
    [sym__hash_map] = STATE(49),
    [sym_set] = STATE(136),
    [sym__set] = STATE(50),
    [sym_comment_macro] = STATE(38),
    [sym__functions] = STATE(136),
    [sym__reader_conditional_symbol] = STATE(39),
    [sym_metadata] = STATE(51),
    [sym_unquote] = STATE(136),
    [sym__literals] = STATE(136),
    [sym_unquote_splice] = STATE(136),
    [sym_symbolic_value] = STATE(136),
    [sym_number_long] = STATE(47),
    [sym__anything] = STATE(136),
    [sym_quote] = STATE(136),
    [sym__quote] = STATE(43),
    [sym_symbol] = STATE(136),
    [sym__symbol] = STATE(44),
    [sym_list] = STATE(136),
    [sym__list] = STATE(45),
    [sym_namespace_map] = STATE(49),
    [sym_comment] = STATE(136),
    [sym_semicolon] = STATE(38),
    [sym_anonymous_function] = STATE(136),
    [sym_shorthand_function] = STATE(136),
    [sym__metadata_map] = STATE(52),
    [anon_sym_DASH_GT] = ACTIONS(3),
    [anon_sym_cond_DASH_GT] = ACTIONS(3),
    [anon_sym_LPARENquote] = ACTIONS(5),
    [anon_sym_POUND_DQUOTE] = ACTIONS(7),
    [anon_sym_COLON] = ACTIONS(9),
    [aux_sym_namespace_map_token1] = ACTIONS(11),
    [anon_sym_POUND_] = ACTIONS(1105),
    [anon_sym_SEMI] = ACTIONS(15),
    [sym_member_access] = ACTIONS(17),
    [anon_sym_POUND_POUND] = ACTIONS(19),
    [sym_number_bigint] = ACTIONS(21),
    [sym_gensym] = ACTIONS(263),
    [sym_false] = ACTIONS(25),
    [sym_number_double] = ACTIONS(21),
    [sym__number_hex] = ACTIONS(27),
    [anon_sym_POUND_LPAREN] = ACTIONS(29),
    [anon_sym_CARET_COLON] = ACTIONS(31),
    [anon_sym_CARET_DQUOTE] = ACTIONS(33),
    [anon_sym_TILDE] = ACTIONS(1109),
    [anon_sym_POUND_QMARK] = ACTIONS(37),
    [anon_sym_DASH_GT_GT] = ACTIONS(39),
    [anon_sym_cond_DASH_GT_GT] = ACTIONS(39),
    [anon_sym_some_DASH_GT] = ACTIONS(3),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_POUND_LBRACE] = ACTIONS(43),
    [sym_field_access] = ACTIONS(17),
    [anon_sym_LBRACE] = ACTIONS(45),
    [anon_sym_LPAREN] = ACTIONS(47),
    [sym_number_bigdecimal] = ACTIONS(49),
    [anon_sym_BQUOTE] = ACTIONS(1111),
    [sym_shorthand_function_arg] = ACTIONS(263),
    [sym_nil] = ACTIONS(265),
    [sym__normal_long] = ACTIONS(27),
    [sym__number_arbitrary_radix] = ACTIONS(27),
    [anon_sym_AT] = ACTIONS(55),
    [anon_sym_POUND_QMARK_AT] = ACTIONS(57),
    [anon_sym_as_DASH_GT] = ACTIONS(39),
    [anon_sym_some_DASH_GT_GT] = ACTIONS(39),
    [anon_sym_SQUOTE] = ACTIONS(1115),
    [anon_sym_POUND_COLON_COLON_LBRACE] = ACTIONS(61),
    [anon_sym_POUND_BANG] = ACTIONS(65),
    [sym_new_class] = ACTIONS(17),
    [sym__symbol_chars] = ACTIONS(67),
    [anon_sym_LBRACK] = ACTIONS(69),
    [sym_number_ratio] = ACTIONS(49),
    [anon_sym_BSLASH] = ACTIONS(71),
    [anon_sym_POUND_SQUOTE] = ACTIONS(73),
    [sym_true] = ACTIONS(25),
    [sym__number_octal] = ACTIONS(27),
    [anon_sym_CARET] = ACTIONS(75),
    [anon_sym_TILDE_AT] = ACTIONS(1117),
    [anon_sym_DQUOTE] = ACTIONS(79),
    [anon_sym_POUND] = ACTIONS(81),
  },
  [296] = {
    [sym_metadata_shorthand] = STATE(40),
    [sym_deref] = STATE(139),
    [sym__collection_literals] = STATE(139),
    [sym_boolean] = STATE(139),
    [sym_character] = STATE(139),
    [sym_string] = STATE(139),
    [sym_tagged_literal] = STATE(139),
    [sym_keyword] = STATE(139),
    [sym__character] = STATE(34),
    [sym__string] = STATE(35),
    [sym__keyword] = STATE(36),
    [sym_vector] = STATE(139),
    [sym_threading_macro] = STATE(44),
    [sym_qualified_symbol] = STATE(44),
    [sym__vector] = STATE(37),
    [sym_shebang_line] = STATE(38),
    [sym_ignore_form] = STATE(38),
    [sym_defn] = STATE(139),
    [sym_syntax_quote] = STATE(139),
    [sym_var_quote] = STATE(139),
    [sym_reader_conditional] = STATE(139),
    [sym_number] = STATE(139),
    [sym__number] = STATE(47),
    [aux_sym_metadata_repeat1] = STATE(40),
    [sym_regex] = STATE(139),
    [sym__regex] = STATE(48),
    [sym__unqualified_keyword] = STATE(36),
    [sym_qualified_keyword] = STATE(36),
    [sym__qualified_symbol] = STATE(41),
    [sym_interop] = STATE(139),
    [sym_hash_map] = STATE(139),
    [sym__hash_map] = STATE(49),
    [sym_set] = STATE(139),
    [sym__set] = STATE(50),
    [sym_comment_macro] = STATE(38),
    [sym__functions] = STATE(139),
    [sym__reader_conditional_symbol] = STATE(39),
    [sym_metadata] = STATE(51),
    [sym_unquote] = STATE(139),
    [sym__literals] = STATE(139),
    [sym_unquote_splice] = STATE(139),
    [sym_symbolic_value] = STATE(139),
    [sym_number_long] = STATE(47),
    [sym__anything] = STATE(139),
    [sym_quote] = STATE(139),
    [sym__quote] = STATE(43),
    [sym_symbol] = STATE(139),
    [sym__symbol] = STATE(44),
    [sym_list] = STATE(139),
    [sym__list] = STATE(45),
    [sym_namespace_map] = STATE(49),
    [sym_comment] = STATE(139),
    [sym_semicolon] = STATE(38),
    [sym_anonymous_function] = STATE(139),
    [sym_shorthand_function] = STATE(139),
    [sym__metadata_map] = STATE(52),
    [anon_sym_DASH_GT] = ACTIONS(3),
    [anon_sym_cond_DASH_GT] = ACTIONS(3),
    [anon_sym_LPARENquote] = ACTIONS(5),
    [anon_sym_POUND_DQUOTE] = ACTIONS(7),
    [anon_sym_COLON] = ACTIONS(9),
    [aux_sym_namespace_map_token1] = ACTIONS(11),
    [anon_sym_POUND_] = ACTIONS(1105),
    [anon_sym_SEMI] = ACTIONS(15),
    [sym_member_access] = ACTIONS(17),
    [anon_sym_POUND_POUND] = ACTIONS(19),
    [sym_number_bigint] = ACTIONS(21),
    [sym_gensym] = ACTIONS(269),
    [sym_false] = ACTIONS(25),
    [sym_number_double] = ACTIONS(21),
    [sym__number_hex] = ACTIONS(27),
    [anon_sym_POUND_LPAREN] = ACTIONS(29),
    [anon_sym_CARET_COLON] = ACTIONS(31),
    [anon_sym_CARET_DQUOTE] = ACTIONS(33),
    [anon_sym_TILDE] = ACTIONS(1109),
    [anon_sym_POUND_QMARK] = ACTIONS(37),
    [anon_sym_DASH_GT_GT] = ACTIONS(39),
    [anon_sym_cond_DASH_GT_GT] = ACTIONS(39),
    [anon_sym_some_DASH_GT] = ACTIONS(3),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_POUND_LBRACE] = ACTIONS(43),
    [sym_field_access] = ACTIONS(17),
    [anon_sym_LBRACE] = ACTIONS(45),
    [anon_sym_LPAREN] = ACTIONS(47),
    [sym_number_bigdecimal] = ACTIONS(49),
    [anon_sym_BQUOTE] = ACTIONS(1111),
    [sym_shorthand_function_arg] = ACTIONS(269),
    [sym_nil] = ACTIONS(271),
    [sym__normal_long] = ACTIONS(27),
    [sym__number_arbitrary_radix] = ACTIONS(27),
    [anon_sym_AT] = ACTIONS(55),
    [anon_sym_POUND_QMARK_AT] = ACTIONS(57),
    [anon_sym_as_DASH_GT] = ACTIONS(39),
    [anon_sym_some_DASH_GT_GT] = ACTIONS(39),
    [anon_sym_SQUOTE] = ACTIONS(1115),
    [anon_sym_POUND_COLON_COLON_LBRACE] = ACTIONS(61),
    [anon_sym_POUND_BANG] = ACTIONS(65),
    [sym_new_class] = ACTIONS(17),
    [sym__symbol_chars] = ACTIONS(67),
    [anon_sym_LBRACK] = ACTIONS(69),
    [sym_number_ratio] = ACTIONS(49),
    [anon_sym_BSLASH] = ACTIONS(71),
    [anon_sym_POUND_SQUOTE] = ACTIONS(73),
    [sym_true] = ACTIONS(25),
    [sym__number_octal] = ACTIONS(27),
    [anon_sym_CARET] = ACTIONS(75),
    [anon_sym_TILDE_AT] = ACTIONS(1117),
    [anon_sym_DQUOTE] = ACTIONS(79),
    [anon_sym_POUND] = ACTIONS(81),
  },
  [297] = {
    [sym_metadata_shorthand] = STATE(40),
    [sym_deref] = STATE(156),
    [sym__collection_literals] = STATE(156),
    [sym_boolean] = STATE(156),
    [sym_character] = STATE(156),
    [sym_string] = STATE(156),
    [sym_tagged_literal] = STATE(156),
    [sym_keyword] = STATE(156),
    [sym__character] = STATE(34),
    [sym__string] = STATE(35),
    [sym__keyword] = STATE(36),
    [sym_vector] = STATE(156),
    [sym_threading_macro] = STATE(44),
    [sym_qualified_symbol] = STATE(44),
    [sym__vector] = STATE(37),
    [sym_shebang_line] = STATE(38),
    [sym_ignore_form] = STATE(38),
    [sym_defn] = STATE(156),
    [sym_syntax_quote] = STATE(156),
    [sym_var_quote] = STATE(156),
    [sym_reader_conditional] = STATE(156),
    [sym_number] = STATE(156),
    [sym__number] = STATE(47),
    [aux_sym_metadata_repeat1] = STATE(40),
    [sym_regex] = STATE(156),
    [sym__regex] = STATE(48),
    [sym__unqualified_keyword] = STATE(36),
    [sym_qualified_keyword] = STATE(36),
    [sym__qualified_symbol] = STATE(41),
    [sym_interop] = STATE(156),
    [sym_hash_map] = STATE(156),
    [sym__hash_map] = STATE(49),
    [sym_set] = STATE(156),
    [sym__set] = STATE(50),
    [sym_comment_macro] = STATE(38),
    [sym__functions] = STATE(156),
    [sym__reader_conditional_symbol] = STATE(39),
    [sym_metadata] = STATE(51),
    [sym_unquote] = STATE(156),
    [sym__literals] = STATE(156),
    [sym_unquote_splice] = STATE(156),
    [sym_symbolic_value] = STATE(156),
    [sym_number_long] = STATE(47),
    [sym__anything] = STATE(156),
    [sym_quote] = STATE(156),
    [sym__quote] = STATE(43),
    [sym_symbol] = STATE(156),
    [sym__symbol] = STATE(44),
    [sym_list] = STATE(156),
    [sym__list] = STATE(45),
    [sym_namespace_map] = STATE(49),
    [sym_comment] = STATE(156),
    [sym_semicolon] = STATE(38),
    [sym_anonymous_function] = STATE(156),
    [sym_shorthand_function] = STATE(156),
    [sym__metadata_map] = STATE(52),
    [anon_sym_DASH_GT] = ACTIONS(3),
    [anon_sym_cond_DASH_GT] = ACTIONS(3),
    [anon_sym_LPARENquote] = ACTIONS(5),
    [anon_sym_POUND_DQUOTE] = ACTIONS(7),
    [anon_sym_COLON] = ACTIONS(9),
    [aux_sym_namespace_map_token1] = ACTIONS(11),
    [anon_sym_POUND_] = ACTIONS(1105),
    [anon_sym_SEMI] = ACTIONS(15),
    [sym_member_access] = ACTIONS(17),
    [anon_sym_POUND_POUND] = ACTIONS(19),
    [sym_number_bigint] = ACTIONS(21),
    [sym_gensym] = ACTIONS(307),
    [sym_false] = ACTIONS(25),
    [sym_number_double] = ACTIONS(21),
    [sym__number_hex] = ACTIONS(27),
    [anon_sym_POUND_LPAREN] = ACTIONS(29),
    [anon_sym_CARET_COLON] = ACTIONS(31),
    [anon_sym_CARET_DQUOTE] = ACTIONS(33),
    [anon_sym_TILDE] = ACTIONS(1109),
    [anon_sym_POUND_QMARK] = ACTIONS(37),
    [anon_sym_DASH_GT_GT] = ACTIONS(39),
    [anon_sym_cond_DASH_GT_GT] = ACTIONS(39),
    [anon_sym_some_DASH_GT] = ACTIONS(3),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_POUND_LBRACE] = ACTIONS(43),
    [sym_field_access] = ACTIONS(17),
    [anon_sym_LBRACE] = ACTIONS(45),
    [anon_sym_LPAREN] = ACTIONS(47),
    [sym_number_bigdecimal] = ACTIONS(49),
    [anon_sym_BQUOTE] = ACTIONS(1111),
    [sym_shorthand_function_arg] = ACTIONS(307),
    [sym_nil] = ACTIONS(309),
    [sym__normal_long] = ACTIONS(27),
    [sym__number_arbitrary_radix] = ACTIONS(27),
    [anon_sym_AT] = ACTIONS(55),
    [anon_sym_POUND_QMARK_AT] = ACTIONS(57),
    [anon_sym_as_DASH_GT] = ACTIONS(39),
    [anon_sym_some_DASH_GT_GT] = ACTIONS(39),
    [anon_sym_SQUOTE] = ACTIONS(1115),
    [anon_sym_POUND_COLON_COLON_LBRACE] = ACTIONS(61),
    [anon_sym_POUND_BANG] = ACTIONS(65),
    [sym_new_class] = ACTIONS(17),
    [sym__symbol_chars] = ACTIONS(67),
    [anon_sym_LBRACK] = ACTIONS(69),
    [sym_number_ratio] = ACTIONS(49),
    [anon_sym_BSLASH] = ACTIONS(71),
    [anon_sym_POUND_SQUOTE] = ACTIONS(73),
    [sym_true] = ACTIONS(25),
    [sym__number_octal] = ACTIONS(27),
    [anon_sym_CARET] = ACTIONS(75),
    [anon_sym_TILDE_AT] = ACTIONS(1117),
    [anon_sym_DQUOTE] = ACTIONS(79),
    [anon_sym_POUND] = ACTIONS(81),
  },
  [298] = {
    [anon_sym_RPAREN] = ACTIONS(1182),
    [anon_sym_COLON] = ACTIONS(1190),
    [anon_sym_COLON_COLON] = ACTIONS(1182),
  },
  [299] = {
    [anon_sym_RPAREN] = ACTIONS(1133),
    [anon_sym_LPAREN] = ACTIONS(1133),
    [anon_sym_POUND_COLON_COLON_LBRACE] = ACTIONS(1133),
    [anon_sym_POUND_LBRACE] = ACTIONS(1133),
    [anon_sym_LBRACK] = ACTIONS(1133),
    [aux_sym_namespace_map_token1] = ACTIONS(1133),
    [anon_sym_LBRACE] = ACTIONS(1133),
  },
  [300] = {
    [anon_sym_RPAREN] = ACTIONS(1137),
  },
  [301] = {
    [anon_sym_RPAREN] = ACTIONS(1141),
  },
  [302] = {
    [anon_sym_RPAREN] = ACTIONS(1147),
  },
  [303] = {
    [anon_sym_RPAREN] = ACTIONS(1192),
  },
  [304] = {
    [sym_hash_map] = STATE(283),
    [sym__hash_map] = STATE(90),
    [sym__single_arity_fn] = STATE(324),
    [sym_namespace_map] = STATE(90),
    [sym__multi_arity_fn] = STATE(324),
    [aux_sym__multi_arity_fn_repeat1] = STATE(229),
    [sym_attr_map] = STATE(323),
    [sym_vector] = STATE(231),
    [sym__vector] = STATE(37),
    [sym_params] = STATE(230),
    [sym__after_the_fn_name] = STATE(324),
    [anon_sym_LPAREN] = ACTIONS(573),
    [anon_sym_POUND_COLON_COLON_LBRACE] = ACTIONS(141),
    [anon_sym_LBRACK] = ACTIONS(69),
    [aux_sym_namespace_map_token1] = ACTIONS(95),
    [anon_sym_LBRACE] = ACTIONS(125),
  },
  [305] = {
    [aux_sym__multi_arity_fn_repeat1] = STATE(229),
    [sym__single_arity_fn] = STATE(324),
    [sym_vector] = STATE(231),
    [sym__vector] = STATE(37),
    [sym_params] = STATE(230),
    [sym__after_the_fn_name] = STATE(324),
    [sym__multi_arity_fn] = STATE(324),
    [anon_sym_LPAREN] = ACTIONS(573),
    [anon_sym_LBRACK] = ACTIONS(69),
  },
  [306] = {
    [anon_sym_RPAREN] = ACTIONS(1194),
  },
  [307] = {
    [sym_hash_map] = STATE(283),
    [sym__hash_map] = STATE(90),
    [sym__single_arity_fn] = STATE(324),
    [sym_docstring] = STATE(326),
    [sym_string] = STATE(285),
    [sym__string] = STATE(83),
    [sym__multi_arity_fn] = STATE(324),
    [sym_namespace_map] = STATE(90),
    [aux_sym__multi_arity_fn_repeat1] = STATE(229),
    [sym_attr_map] = STATE(323),
    [sym_vector] = STATE(231),
    [sym__vector] = STATE(37),
    [sym_params] = STATE(230),
    [sym__after_the_fn_name] = STATE(324),
    [anon_sym_LPAREN] = ACTIONS(573),
    [anon_sym_POUND_COLON_COLON_LBRACE] = ACTIONS(141),
    [anon_sym_LBRACE] = ACTIONS(125),
    [anon_sym_DQUOTE] = ACTIONS(155),
    [aux_sym_namespace_map_token1] = ACTIONS(95),
    [anon_sym_LBRACK] = ACTIONS(69),
  },
  [308] = {
    [sym__hex_char] = ACTIONS(1196),
  },
  [309] = {
    [anon_sym_RPAREN] = ACTIONS(1180),
  },
  [310] = {
    [anon_sym_RPAREN] = ACTIONS(1198),
    [anon_sym_LPAREN] = ACTIONS(1198),
  },
  [311] = {
    [anon_sym_cond_DASH_GT] = ACTIONS(1200),
    [anon_sym_POUND_DQUOTE] = ACTIONS(1202),
    [aux_sym_namespace_map_token1] = ACTIONS(1202),
    [anon_sym_SEMI] = ACTIONS(1202),
    [anon_sym_RBRACK] = ACTIONS(1202),
    [anon_sym_TILDE] = ACTIONS(1200),
    [sym_number_bigint] = ACTIONS(1200),
    [sym_gensym] = ACTIONS(1202),
    [sym_false] = ACTIONS(1200),
    [anon_sym_CARET_COLON] = ACTIONS(1202),
    [sym__number_hex] = ACTIONS(1200),
    [anon_sym_cond_DASH_GT_GT] = ACTIONS(1202),
    [anon_sym_POUND_LBRACE] = ACTIONS(1202),
    [anon_sym_LBRACE] = ACTIONS(1202),
    [sym_number_bigdecimal] = ACTIONS(1202),
    [anon_sym_AT] = ACTIONS(1202),
    [sym__normal_long] = ACTIONS(1200),
    [sym__number_arbitrary_radix] = ACTIONS(1200),
    [anon_sym_SQUOTE] = ACTIONS(1202),
    [anon_sym_RPAREN] = ACTIONS(1202),
    [anon_sym_POUND_BANG] = ACTIONS(1202),
    [sym__symbol_chars] = ACTIONS(1200),
    [sym_number_ratio] = ACTIONS(1202),
    [anon_sym_POUND] = ACTIONS(1200),
    [sym__number_octal] = ACTIONS(1200),
    [anon_sym_DASH_GT] = ACTIONS(1200),
    [anon_sym_LPARENquote] = ACTIONS(1202),
    [anon_sym_COLON] = ACTIONS(1200),
    [anon_sym_POUND_] = ACTIONS(1202),
    [sym_member_access] = ACTIONS(1202),
    [anon_sym_POUND_POUND] = ACTIONS(1202),
    [anon_sym_CARET_DQUOTE] = ACTIONS(1202),
    [anon_sym_POUND_LPAREN] = ACTIONS(1202),
    [sym_number_double] = ACTIONS(1200),
    [anon_sym_POUND_QMARK] = ACTIONS(1200),
    [anon_sym_DASH_GT_GT] = ACTIONS(1202),
    [anon_sym_some_DASH_GT] = ACTIONS(1200),
    [anon_sym_COLON_COLON] = ACTIONS(1202),
    [anon_sym_RBRACE] = ACTIONS(1202),
    [sym_field_access] = ACTIONS(1202),
    [anon_sym_LPAREN] = ACTIONS(1200),
    [anon_sym_BQUOTE] = ACTIONS(1202),
    [sym_shorthand_function_arg] = ACTIONS(1202),
    [sym_nil] = ACTIONS(1200),
    [anon_sym_POUND_QMARK_AT] = ACTIONS(1202),
    [anon_sym_as_DASH_GT] = ACTIONS(1202),
    [anon_sym_some_DASH_GT_GT] = ACTIONS(1202),
    [anon_sym_POUND_COLON_COLON_LBRACE] = ACTIONS(1202),
    [ts_builtin_sym_end] = ACTIONS(1202),
    [sym_new_class] = ACTIONS(1202),
    [anon_sym_LBRACK] = ACTIONS(1202),
    [anon_sym_POUND_SQUOTE] = ACTIONS(1202),
    [anon_sym_BSLASH] = ACTIONS(1202),
    [anon_sym_TILDE_AT] = ACTIONS(1202),
    [sym_true] = ACTIONS(1200),
    [anon_sym_CARET] = ACTIONS(1200),
    [anon_sym_DQUOTE] = ACTIONS(1202),
  },
  [312] = {
    [anon_sym_DASH_GT] = ACTIONS(591),
    [anon_sym_cond_DASH_GT] = ACTIONS(591),
    [sym__symbol_chars] = ACTIONS(591),
    [anon_sym_DASH_GT_GT] = ACTIONS(593),
    [anon_sym_cond_DASH_GT_GT] = ACTIONS(593),
    [anon_sym_some_DASH_GT] = ACTIONS(591),
    [anon_sym_as_DASH_GT] = ACTIONS(593),
    [anon_sym_some_DASH_GT_GT] = ACTIONS(593),
  },
  [313] = {
    [sym_deref] = STATE(130),
    [sym_boolean] = STATE(130),
    [sym__character] = STATE(34),
    [sym__string] = STATE(35),
    [sym__keyword] = STATE(36),
    [sym_qualified_symbol] = STATE(44),
    [sym__vector] = STATE(37),
    [sym_ignore_form] = STATE(38),
    [sym_var_quote] = STATE(130),
    [sym_number] = STATE(130),
    [sym__reader_conditional_symbol] = STATE(39),
    [aux_sym_metadata_repeat1] = STATE(40),
    [sym_regex] = STATE(130),
    [sym__unqualified_keyword] = STATE(36),
    [sym__qualified_symbol] = STATE(41),
    [sym_hash_map] = STATE(130),
    [sym_set] = STATE(130),
    [sym_comment_macro] = STATE(38),
    [sym_unquote] = STATE(130),
    [sym__literals] = STATE(130),
    [sym_symbolic_value] = STATE(130),
    [sym__quote] = STATE(43),
    [sym__symbol] = STATE(44),
    [sym__list] = STATE(45),
    [sym__hash_map_kv_pair] = STATE(221),
    [sym_semicolon] = STATE(38),
    [sym_shorthand_function] = STATE(130),
    [sym_metadata_shorthand] = STATE(40),
    [sym__collection_literals] = STATE(130),
    [sym_tagged_literal] = STATE(130),
    [sym_character] = STATE(130),
    [aux_sym__hash_map_repeat1] = STATE(221),
    [sym_string] = STATE(130),
    [sym_keyword] = STATE(130),
    [sym_threading_macro] = STATE(44),
    [sym_vector] = STATE(130),
    [sym__hash_map_key] = STATE(130),
    [sym_shebang_line] = STATE(38),
    [sym_defn] = STATE(130),
    [sym_syntax_quote] = STATE(130),
    [sym_reader_conditional] = STATE(130),
    [sym__number] = STATE(47),
    [sym__regex] = STATE(48),
    [sym_qualified_keyword] = STATE(36),
    [sym_interop] = STATE(130),
    [sym__hash_map] = STATE(49),
    [sym__set] = STATE(50),
    [sym__functions] = STATE(130),
    [sym_metadata] = STATE(51),
    [sym__anything] = STATE(130),
    [sym_unquote_splice] = STATE(130),
    [sym_number_long] = STATE(47),
    [sym_quote] = STATE(130),
    [sym_symbol] = STATE(130),
    [sym_list] = STATE(130),
    [sym_namespace_map] = STATE(49),
    [sym_comment] = STATE(130),
    [sym_anonymous_function] = STATE(130),
    [sym__metadata_map] = STATE(52),
    [anon_sym_DASH_GT] = ACTIONS(3),
    [anon_sym_cond_DASH_GT] = ACTIONS(3),
    [anon_sym_LPARENquote] = ACTIONS(5),
    [anon_sym_POUND_DQUOTE] = ACTIONS(7),
    [anon_sym_COLON] = ACTIONS(9),
    [aux_sym_namespace_map_token1] = ACTIONS(11),
    [anon_sym_POUND_] = ACTIONS(235),
    [anon_sym_SEMI] = ACTIONS(15),
    [sym_member_access] = ACTIONS(17),
    [anon_sym_POUND_POUND] = ACTIONS(19),
    [sym_number_bigint] = ACTIONS(21),
    [sym_gensym] = ACTIONS(237),
    [sym_false] = ACTIONS(25),
    [sym_number_double] = ACTIONS(21),
    [sym__number_hex] = ACTIONS(27),
    [anon_sym_POUND_LPAREN] = ACTIONS(29),
    [anon_sym_CARET_COLON] = ACTIONS(31),
    [anon_sym_CARET_DQUOTE] = ACTIONS(33),
    [anon_sym_TILDE] = ACTIONS(239),
    [anon_sym_POUND_QMARK] = ACTIONS(37),
    [anon_sym_DASH_GT_GT] = ACTIONS(39),
    [anon_sym_cond_DASH_GT_GT] = ACTIONS(39),
    [anon_sym_some_DASH_GT] = ACTIONS(3),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_POUND_LBRACE] = ACTIONS(43),
    [anon_sym_RBRACE] = ACTIONS(1204),
    [sym_field_access] = ACTIONS(17),
    [anon_sym_LBRACE] = ACTIONS(45),
    [anon_sym_LPAREN] = ACTIONS(47),
    [sym_number_bigdecimal] = ACTIONS(49),
    [anon_sym_BQUOTE] = ACTIONS(243),
    [sym_shorthand_function_arg] = ACTIONS(237),
    [sym_nil] = ACTIONS(245),
    [sym__normal_long] = ACTIONS(27),
    [sym__number_arbitrary_radix] = ACTIONS(27),
    [anon_sym_AT] = ACTIONS(55),
    [anon_sym_POUND_QMARK_AT] = ACTIONS(57),
    [anon_sym_as_DASH_GT] = ACTIONS(39),
    [anon_sym_some_DASH_GT_GT] = ACTIONS(39),
    [anon_sym_SQUOTE] = ACTIONS(247),
    [anon_sym_POUND_COLON_COLON_LBRACE] = ACTIONS(61),
    [anon_sym_POUND_BANG] = ACTIONS(65),
    [sym_new_class] = ACTIONS(17),
    [sym__symbol_chars] = ACTIONS(67),
    [anon_sym_LBRACK] = ACTIONS(69),
    [sym_number_ratio] = ACTIONS(49),
    [anon_sym_BSLASH] = ACTIONS(71),
    [anon_sym_POUND_SQUOTE] = ACTIONS(73),
    [sym_true] = ACTIONS(25),
    [sym__number_octal] = ACTIONS(27),
    [anon_sym_CARET] = ACTIONS(75),
    [anon_sym_TILDE_AT] = ACTIONS(249),
    [anon_sym_DQUOTE] = ACTIONS(79),
    [anon_sym_POUND] = ACTIONS(81),
  },
  [314] = {
    [sym_deref] = STATE(130),
    [sym_boolean] = STATE(130),
    [sym__character] = STATE(34),
    [sym__string] = STATE(35),
    [sym__keyword] = STATE(36),
    [sym_qualified_symbol] = STATE(44),
    [sym__vector] = STATE(37),
    [sym_ignore_form] = STATE(38),
    [sym_var_quote] = STATE(130),
    [sym_number] = STATE(130),
    [sym__reader_conditional_symbol] = STATE(39),
    [aux_sym_metadata_repeat1] = STATE(40),
    [sym_regex] = STATE(130),
    [sym__unqualified_keyword] = STATE(36),
    [sym__qualified_symbol] = STATE(41),
    [sym_hash_map] = STATE(130),
    [sym_set] = STATE(130),
    [sym_comment_macro] = STATE(38),
    [sym_unquote] = STATE(130),
    [sym__literals] = STATE(130),
    [sym_symbolic_value] = STATE(130),
    [sym__quote] = STATE(43),
    [sym__symbol] = STATE(44),
    [sym__list] = STATE(45),
    [sym__hash_map_kv_pair] = STATE(329),
    [sym_semicolon] = STATE(38),
    [sym_shorthand_function] = STATE(130),
    [sym_metadata_shorthand] = STATE(40),
    [sym__collection_literals] = STATE(130),
    [sym_tagged_literal] = STATE(130),
    [sym_character] = STATE(130),
    [aux_sym__hash_map_repeat1] = STATE(329),
    [sym_string] = STATE(130),
    [sym_keyword] = STATE(130),
    [sym_threading_macro] = STATE(44),
    [sym_vector] = STATE(130),
    [sym__hash_map_key] = STATE(130),
    [sym_shebang_line] = STATE(38),
    [sym_defn] = STATE(130),
    [sym_syntax_quote] = STATE(130),
    [sym_reader_conditional] = STATE(130),
    [sym__number] = STATE(47),
    [sym__regex] = STATE(48),
    [sym_qualified_keyword] = STATE(36),
    [sym_interop] = STATE(130),
    [sym__hash_map] = STATE(49),
    [sym__set] = STATE(50),
    [sym__functions] = STATE(130),
    [sym_metadata] = STATE(51),
    [sym__anything] = STATE(130),
    [sym_unquote_splice] = STATE(130),
    [sym_number_long] = STATE(47),
    [sym_quote] = STATE(130),
    [sym_symbol] = STATE(130),
    [sym_list] = STATE(130),
    [sym_namespace_map] = STATE(49),
    [sym_comment] = STATE(130),
    [sym_anonymous_function] = STATE(130),
    [sym__metadata_map] = STATE(52),
    [anon_sym_DASH_GT] = ACTIONS(3),
    [anon_sym_cond_DASH_GT] = ACTIONS(3),
    [anon_sym_LPARENquote] = ACTIONS(5),
    [anon_sym_POUND_DQUOTE] = ACTIONS(7),
    [anon_sym_COLON] = ACTIONS(9),
    [aux_sym_namespace_map_token1] = ACTIONS(11),
    [anon_sym_POUND_] = ACTIONS(235),
    [anon_sym_SEMI] = ACTIONS(15),
    [sym_member_access] = ACTIONS(17),
    [anon_sym_POUND_POUND] = ACTIONS(19),
    [sym_number_bigint] = ACTIONS(21),
    [sym_gensym] = ACTIONS(237),
    [sym_false] = ACTIONS(25),
    [sym_number_double] = ACTIONS(21),
    [sym__number_hex] = ACTIONS(27),
    [anon_sym_POUND_LPAREN] = ACTIONS(29),
    [anon_sym_CARET_COLON] = ACTIONS(31),
    [anon_sym_CARET_DQUOTE] = ACTIONS(33),
    [anon_sym_TILDE] = ACTIONS(239),
    [anon_sym_POUND_QMARK] = ACTIONS(37),
    [anon_sym_DASH_GT_GT] = ACTIONS(39),
    [anon_sym_cond_DASH_GT_GT] = ACTIONS(39),
    [anon_sym_some_DASH_GT] = ACTIONS(3),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_POUND_LBRACE] = ACTIONS(43),
    [anon_sym_RBRACE] = ACTIONS(1204),
    [sym_field_access] = ACTIONS(17),
    [anon_sym_LBRACE] = ACTIONS(45),
    [anon_sym_LPAREN] = ACTIONS(47),
    [sym_number_bigdecimal] = ACTIONS(49),
    [anon_sym_BQUOTE] = ACTIONS(243),
    [sym_shorthand_function_arg] = ACTIONS(237),
    [sym_nil] = ACTIONS(245),
    [sym__normal_long] = ACTIONS(27),
    [sym__number_arbitrary_radix] = ACTIONS(27),
    [anon_sym_AT] = ACTIONS(55),
    [anon_sym_POUND_QMARK_AT] = ACTIONS(57),
    [anon_sym_as_DASH_GT] = ACTIONS(39),
    [anon_sym_some_DASH_GT_GT] = ACTIONS(39),
    [anon_sym_SQUOTE] = ACTIONS(247),
    [anon_sym_POUND_COLON_COLON_LBRACE] = ACTIONS(61),
    [anon_sym_POUND_BANG] = ACTIONS(65),
    [sym_new_class] = ACTIONS(17),
    [sym__symbol_chars] = ACTIONS(67),
    [anon_sym_LBRACK] = ACTIONS(69),
    [sym_number_ratio] = ACTIONS(49),
    [anon_sym_BSLASH] = ACTIONS(71),
    [anon_sym_POUND_SQUOTE] = ACTIONS(73),
    [sym_true] = ACTIONS(25),
    [sym__number_octal] = ACTIONS(27),
    [anon_sym_CARET] = ACTIONS(75),
    [anon_sym_TILDE_AT] = ACTIONS(249),
    [anon_sym_DQUOTE] = ACTIONS(79),
    [anon_sym_POUND] = ACTIONS(81),
  },
  [315] = {
    [anon_sym_DASH_GT] = ACTIONS(553),
    [anon_sym_cond_DASH_GT] = ACTIONS(553),
    [sym__symbol_chars] = ACTIONS(553),
    [anon_sym_DASH_GT_GT] = ACTIONS(555),
    [anon_sym_cond_DASH_GT_GT] = ACTIONS(555),
    [anon_sym_some_DASH_GT] = ACTIONS(553),
    [anon_sym_as_DASH_GT] = ACTIONS(555),
    [anon_sym_some_DASH_GT_GT] = ACTIONS(555),
  },
  [316] = {
    [sym_deref] = STATE(130),
    [sym_boolean] = STATE(130),
    [sym__character] = STATE(34),
    [sym__string] = STATE(35),
    [sym__keyword] = STATE(36),
    [sym_qualified_symbol] = STATE(44),
    [sym__vector] = STATE(37),
    [sym_ignore_form] = STATE(38),
    [sym_var_quote] = STATE(130),
    [sym_number] = STATE(130),
    [sym__reader_conditional_symbol] = STATE(39),
    [aux_sym_metadata_repeat1] = STATE(40),
    [sym_regex] = STATE(130),
    [sym__unqualified_keyword] = STATE(36),
    [sym__qualified_symbol] = STATE(41),
    [sym_hash_map] = STATE(130),
    [sym_set] = STATE(130),
    [sym_comment_macro] = STATE(38),
    [sym_unquote] = STATE(130),
    [sym__literals] = STATE(130),
    [sym_symbolic_value] = STATE(130),
    [sym__quote] = STATE(43),
    [sym__symbol] = STATE(44),
    [sym__list] = STATE(45),
    [sym__hash_map_kv_pair] = STATE(221),
    [sym_semicolon] = STATE(38),
    [sym_shorthand_function] = STATE(130),
    [sym_metadata_shorthand] = STATE(40),
    [sym__collection_literals] = STATE(130),
    [sym_tagged_literal] = STATE(130),
    [sym_character] = STATE(130),
    [aux_sym__hash_map_repeat1] = STATE(221),
    [sym_string] = STATE(130),
    [sym_keyword] = STATE(130),
    [sym_threading_macro] = STATE(44),
    [sym_vector] = STATE(130),
    [sym__hash_map_key] = STATE(130),
    [sym_shebang_line] = STATE(38),
    [sym_defn] = STATE(130),
    [sym_syntax_quote] = STATE(130),
    [sym_reader_conditional] = STATE(130),
    [sym__number] = STATE(47),
    [sym__regex] = STATE(48),
    [sym_qualified_keyword] = STATE(36),
    [sym_interop] = STATE(130),
    [sym__hash_map] = STATE(49),
    [sym__set] = STATE(50),
    [sym__functions] = STATE(130),
    [sym_metadata] = STATE(51),
    [sym__anything] = STATE(130),
    [sym_unquote_splice] = STATE(130),
    [sym_number_long] = STATE(47),
    [sym_quote] = STATE(130),
    [sym_symbol] = STATE(130),
    [sym_list] = STATE(130),
    [sym_namespace_map] = STATE(49),
    [sym_comment] = STATE(130),
    [sym_anonymous_function] = STATE(130),
    [sym__metadata_map] = STATE(52),
    [anon_sym_DASH_GT] = ACTIONS(3),
    [anon_sym_cond_DASH_GT] = ACTIONS(3),
    [anon_sym_LPARENquote] = ACTIONS(5),
    [anon_sym_POUND_DQUOTE] = ACTIONS(7),
    [anon_sym_COLON] = ACTIONS(9),
    [aux_sym_namespace_map_token1] = ACTIONS(11),
    [anon_sym_POUND_] = ACTIONS(235),
    [anon_sym_SEMI] = ACTIONS(15),
    [sym_member_access] = ACTIONS(17),
    [anon_sym_POUND_POUND] = ACTIONS(19),
    [sym_number_bigint] = ACTIONS(21),
    [sym_gensym] = ACTIONS(237),
    [sym_false] = ACTIONS(25),
    [sym_number_double] = ACTIONS(21),
    [sym__number_hex] = ACTIONS(27),
    [anon_sym_POUND_LPAREN] = ACTIONS(29),
    [anon_sym_CARET_COLON] = ACTIONS(31),
    [anon_sym_CARET_DQUOTE] = ACTIONS(33),
    [anon_sym_TILDE] = ACTIONS(239),
    [anon_sym_POUND_QMARK] = ACTIONS(37),
    [anon_sym_DASH_GT_GT] = ACTIONS(39),
    [anon_sym_cond_DASH_GT_GT] = ACTIONS(39),
    [anon_sym_some_DASH_GT] = ACTIONS(3),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_POUND_LBRACE] = ACTIONS(43),
    [anon_sym_RBRACE] = ACTIONS(1206),
    [sym_field_access] = ACTIONS(17),
    [anon_sym_LBRACE] = ACTIONS(45),
    [anon_sym_LPAREN] = ACTIONS(47),
    [sym_number_bigdecimal] = ACTIONS(49),
    [anon_sym_BQUOTE] = ACTIONS(243),
    [sym_shorthand_function_arg] = ACTIONS(237),
    [sym_nil] = ACTIONS(245),
    [sym__normal_long] = ACTIONS(27),
    [sym__number_arbitrary_radix] = ACTIONS(27),
    [anon_sym_AT] = ACTIONS(55),
    [anon_sym_POUND_QMARK_AT] = ACTIONS(57),
    [anon_sym_as_DASH_GT] = ACTIONS(39),
    [anon_sym_some_DASH_GT_GT] = ACTIONS(39),
    [anon_sym_SQUOTE] = ACTIONS(247),
    [anon_sym_POUND_COLON_COLON_LBRACE] = ACTIONS(61),
    [anon_sym_POUND_BANG] = ACTIONS(65),
    [sym_new_class] = ACTIONS(17),
    [sym__symbol_chars] = ACTIONS(67),
    [anon_sym_LBRACK] = ACTIONS(69),
    [sym_number_ratio] = ACTIONS(49),
    [anon_sym_BSLASH] = ACTIONS(71),
    [anon_sym_POUND_SQUOTE] = ACTIONS(73),
    [sym_true] = ACTIONS(25),
    [sym__number_octal] = ACTIONS(27),
    [anon_sym_CARET] = ACTIONS(75),
    [anon_sym_TILDE_AT] = ACTIONS(249),
    [anon_sym_DQUOTE] = ACTIONS(79),
    [anon_sym_POUND] = ACTIONS(81),
  },
  [317] = {
    [aux_sym__multi_arity_fn_repeat1] = STATE(229),
    [sym__single_arity_fn] = STATE(331),
    [sym_vector] = STATE(231),
    [sym__vector] = STATE(37),
    [sym_params] = STATE(230),
    [sym__after_the_fn_name] = STATE(331),
    [sym__multi_arity_fn] = STATE(331),
    [anon_sym_LPAREN] = ACTIONS(573),
    [anon_sym_LBRACK] = ACTIONS(69),
  },
  [318] = {
    [anon_sym_RPAREN] = ACTIONS(1208),
  },
  [319] = {
    [anon_sym_cond_DASH_GT] = ACTIONS(1210),
    [anon_sym_POUND_DQUOTE] = ACTIONS(1212),
    [aux_sym_namespace_map_token1] = ACTIONS(1212),
    [anon_sym_SEMI] = ACTIONS(1212),
    [anon_sym_RBRACK] = ACTIONS(1212),
    [anon_sym_TILDE] = ACTIONS(1210),
    [sym_number_bigint] = ACTIONS(1210),
    [sym_gensym] = ACTIONS(1212),
    [sym_false] = ACTIONS(1210),
    [anon_sym_CARET_COLON] = ACTIONS(1212),
    [sym__number_hex] = ACTIONS(1210),
    [anon_sym_cond_DASH_GT_GT] = ACTIONS(1212),
    [anon_sym_POUND_LBRACE] = ACTIONS(1212),
    [anon_sym_LBRACE] = ACTIONS(1212),
    [sym_number_bigdecimal] = ACTIONS(1212),
    [anon_sym_AT] = ACTIONS(1212),
    [sym__normal_long] = ACTIONS(1210),
    [sym__number_arbitrary_radix] = ACTIONS(1210),
    [anon_sym_SQUOTE] = ACTIONS(1212),
    [anon_sym_RPAREN] = ACTIONS(1212),
    [anon_sym_POUND_BANG] = ACTIONS(1212),
    [sym__symbol_chars] = ACTIONS(1210),
    [sym_number_ratio] = ACTIONS(1212),
    [anon_sym_POUND] = ACTIONS(1210),
    [sym__number_octal] = ACTIONS(1210),
    [anon_sym_DASH_GT] = ACTIONS(1210),
    [anon_sym_LPARENquote] = ACTIONS(1212),
    [anon_sym_COLON] = ACTIONS(1210),
    [anon_sym_POUND_] = ACTIONS(1212),
    [sym_member_access] = ACTIONS(1212),
    [anon_sym_POUND_POUND] = ACTIONS(1212),
    [anon_sym_CARET_DQUOTE] = ACTIONS(1212),
    [anon_sym_POUND_LPAREN] = ACTIONS(1212),
    [sym_number_double] = ACTIONS(1210),
    [anon_sym_POUND_QMARK] = ACTIONS(1210),
    [anon_sym_DASH_GT_GT] = ACTIONS(1212),
    [anon_sym_some_DASH_GT] = ACTIONS(1210),
    [anon_sym_COLON_COLON] = ACTIONS(1212),
    [anon_sym_RBRACE] = ACTIONS(1212),
    [sym_field_access] = ACTIONS(1212),
    [anon_sym_LPAREN] = ACTIONS(1210),
    [anon_sym_BQUOTE] = ACTIONS(1212),
    [sym_shorthand_function_arg] = ACTIONS(1212),
    [sym_nil] = ACTIONS(1210),
    [anon_sym_POUND_QMARK_AT] = ACTIONS(1212),
    [anon_sym_as_DASH_GT] = ACTIONS(1212),
    [anon_sym_some_DASH_GT_GT] = ACTIONS(1212),
    [anon_sym_POUND_COLON_COLON_LBRACE] = ACTIONS(1212),
    [ts_builtin_sym_end] = ACTIONS(1212),
    [sym_new_class] = ACTIONS(1212),
    [anon_sym_LBRACK] = ACTIONS(1212),
    [anon_sym_POUND_SQUOTE] = ACTIONS(1212),
    [anon_sym_BSLASH] = ACTIONS(1212),
    [anon_sym_TILDE_AT] = ACTIONS(1212),
    [sym_true] = ACTIONS(1210),
    [anon_sym_CARET] = ACTIONS(1210),
    [anon_sym_DQUOTE] = ACTIONS(1212),
  },
  [320] = {
    [sym_hash_map] = STATE(283),
    [sym__hash_map] = STATE(90),
    [sym__single_arity_fn] = STATE(331),
    [sym_namespace_map] = STATE(90),
    [sym__multi_arity_fn] = STATE(331),
    [aux_sym__multi_arity_fn_repeat1] = STATE(229),
    [sym_attr_map] = STATE(333),
    [sym_vector] = STATE(231),
    [sym__vector] = STATE(37),
    [sym_params] = STATE(230),
    [sym__after_the_fn_name] = STATE(331),
    [anon_sym_LPAREN] = ACTIONS(573),
    [anon_sym_POUND_COLON_COLON_LBRACE] = ACTIONS(141),
    [anon_sym_LBRACK] = ACTIONS(69),
    [aux_sym_namespace_map_token1] = ACTIONS(95),
    [anon_sym_LBRACE] = ACTIONS(125),
  },
  [321] = {
    [sym__hex_char] = ACTIONS(1214),
  },
  [322] = {
    [anon_sym_RPAREN] = ACTIONS(1202),
  },
  [323] = {
    [aux_sym__multi_arity_fn_repeat1] = STATE(229),
    [sym__single_arity_fn] = STATE(335),
    [sym_vector] = STATE(231),
    [sym__vector] = STATE(37),
    [sym_params] = STATE(230),
    [sym__after_the_fn_name] = STATE(335),
    [sym__multi_arity_fn] = STATE(335),
    [anon_sym_LPAREN] = ACTIONS(573),
    [anon_sym_LBRACK] = ACTIONS(69),
  },
  [324] = {
    [anon_sym_RPAREN] = ACTIONS(1216),
  },
  [325] = {
    [anon_sym_RPAREN] = ACTIONS(1212),
  },
  [326] = {
    [sym_hash_map] = STATE(283),
    [sym__hash_map] = STATE(90),
    [sym__single_arity_fn] = STATE(335),
    [sym_namespace_map] = STATE(90),
    [sym__multi_arity_fn] = STATE(335),
    [aux_sym__multi_arity_fn_repeat1] = STATE(229),
    [sym_attr_map] = STATE(337),
    [sym_vector] = STATE(231),
    [sym__vector] = STATE(37),
    [sym_params] = STATE(230),
    [sym__after_the_fn_name] = STATE(335),
    [anon_sym_LPAREN] = ACTIONS(573),
    [anon_sym_POUND_COLON_COLON_LBRACE] = ACTIONS(141),
    [anon_sym_LBRACK] = ACTIONS(69),
    [aux_sym_namespace_map_token1] = ACTIONS(95),
    [anon_sym_LBRACE] = ACTIONS(125),
  },
  [327] = {
    [sym__hex_char] = ACTIONS(1218),
  },
  [328] = {
    [anon_sym_DASH_GT] = ACTIONS(829),
    [anon_sym_cond_DASH_GT] = ACTIONS(829),
    [sym__symbol_chars] = ACTIONS(829),
    [anon_sym_DASH_GT_GT] = ACTIONS(831),
    [anon_sym_cond_DASH_GT_GT] = ACTIONS(831),
    [anon_sym_some_DASH_GT] = ACTIONS(829),
    [anon_sym_as_DASH_GT] = ACTIONS(831),
    [anon_sym_some_DASH_GT_GT] = ACTIONS(831),
  },
  [329] = {
    [sym_deref] = STATE(130),
    [sym_boolean] = STATE(130),
    [sym__character] = STATE(34),
    [sym__string] = STATE(35),
    [sym__keyword] = STATE(36),
    [sym_qualified_symbol] = STATE(44),
    [sym__vector] = STATE(37),
    [sym_ignore_form] = STATE(38),
    [sym_var_quote] = STATE(130),
    [sym_number] = STATE(130),
    [sym__reader_conditional_symbol] = STATE(39),
    [aux_sym_metadata_repeat1] = STATE(40),
    [sym_regex] = STATE(130),
    [sym__unqualified_keyword] = STATE(36),
    [sym__qualified_symbol] = STATE(41),
    [sym_hash_map] = STATE(130),
    [sym_set] = STATE(130),
    [sym_comment_macro] = STATE(38),
    [sym_unquote] = STATE(130),
    [sym__literals] = STATE(130),
    [sym_symbolic_value] = STATE(130),
    [sym__quote] = STATE(43),
    [sym__symbol] = STATE(44),
    [sym__list] = STATE(45),
    [sym__hash_map_kv_pair] = STATE(221),
    [sym_semicolon] = STATE(38),
    [sym_shorthand_function] = STATE(130),
    [sym_metadata_shorthand] = STATE(40),
    [sym__collection_literals] = STATE(130),
    [sym_tagged_literal] = STATE(130),
    [sym_character] = STATE(130),
    [aux_sym__hash_map_repeat1] = STATE(221),
    [sym_string] = STATE(130),
    [sym_keyword] = STATE(130),
    [sym_threading_macro] = STATE(44),
    [sym_vector] = STATE(130),
    [sym__hash_map_key] = STATE(130),
    [sym_shebang_line] = STATE(38),
    [sym_defn] = STATE(130),
    [sym_syntax_quote] = STATE(130),
    [sym_reader_conditional] = STATE(130),
    [sym__number] = STATE(47),
    [sym__regex] = STATE(48),
    [sym_qualified_keyword] = STATE(36),
    [sym_interop] = STATE(130),
    [sym__hash_map] = STATE(49),
    [sym__set] = STATE(50),
    [sym__functions] = STATE(130),
    [sym_metadata] = STATE(51),
    [sym__anything] = STATE(130),
    [sym_unquote_splice] = STATE(130),
    [sym_number_long] = STATE(47),
    [sym_quote] = STATE(130),
    [sym_symbol] = STATE(130),
    [sym_list] = STATE(130),
    [sym_namespace_map] = STATE(49),
    [sym_comment] = STATE(130),
    [sym_anonymous_function] = STATE(130),
    [sym__metadata_map] = STATE(52),
    [anon_sym_DASH_GT] = ACTIONS(3),
    [anon_sym_cond_DASH_GT] = ACTIONS(3),
    [anon_sym_LPARENquote] = ACTIONS(5),
    [anon_sym_POUND_DQUOTE] = ACTIONS(7),
    [anon_sym_COLON] = ACTIONS(9),
    [aux_sym_namespace_map_token1] = ACTIONS(11),
    [anon_sym_POUND_] = ACTIONS(235),
    [anon_sym_SEMI] = ACTIONS(15),
    [sym_member_access] = ACTIONS(17),
    [anon_sym_POUND_POUND] = ACTIONS(19),
    [sym_number_bigint] = ACTIONS(21),
    [sym_gensym] = ACTIONS(237),
    [sym_false] = ACTIONS(25),
    [sym_number_double] = ACTIONS(21),
    [sym__number_hex] = ACTIONS(27),
    [anon_sym_POUND_LPAREN] = ACTIONS(29),
    [anon_sym_CARET_COLON] = ACTIONS(31),
    [anon_sym_CARET_DQUOTE] = ACTIONS(33),
    [anon_sym_TILDE] = ACTIONS(239),
    [anon_sym_POUND_QMARK] = ACTIONS(37),
    [anon_sym_DASH_GT_GT] = ACTIONS(39),
    [anon_sym_cond_DASH_GT_GT] = ACTIONS(39),
    [anon_sym_some_DASH_GT] = ACTIONS(3),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_POUND_LBRACE] = ACTIONS(43),
    [anon_sym_RBRACE] = ACTIONS(1220),
    [sym_field_access] = ACTIONS(17),
    [anon_sym_LBRACE] = ACTIONS(45),
    [anon_sym_LPAREN] = ACTIONS(47),
    [sym_number_bigdecimal] = ACTIONS(49),
    [anon_sym_BQUOTE] = ACTIONS(243),
    [sym_shorthand_function_arg] = ACTIONS(237),
    [sym_nil] = ACTIONS(245),
    [sym__normal_long] = ACTIONS(27),
    [sym__number_arbitrary_radix] = ACTIONS(27),
    [anon_sym_AT] = ACTIONS(55),
    [anon_sym_POUND_QMARK_AT] = ACTIONS(57),
    [anon_sym_as_DASH_GT] = ACTIONS(39),
    [anon_sym_some_DASH_GT_GT] = ACTIONS(39),
    [anon_sym_SQUOTE] = ACTIONS(247),
    [anon_sym_POUND_COLON_COLON_LBRACE] = ACTIONS(61),
    [anon_sym_POUND_BANG] = ACTIONS(65),
    [sym_new_class] = ACTIONS(17),
    [sym__symbol_chars] = ACTIONS(67),
    [anon_sym_LBRACK] = ACTIONS(69),
    [sym_number_ratio] = ACTIONS(49),
    [anon_sym_BSLASH] = ACTIONS(71),
    [anon_sym_POUND_SQUOTE] = ACTIONS(73),
    [sym_true] = ACTIONS(25),
    [sym__number_octal] = ACTIONS(27),
    [anon_sym_CARET] = ACTIONS(75),
    [anon_sym_TILDE_AT] = ACTIONS(249),
    [anon_sym_DQUOTE] = ACTIONS(79),
    [anon_sym_POUND] = ACTIONS(81),
  },
  [330] = {
    [anon_sym_DASH_GT] = ACTIONS(899),
    [anon_sym_cond_DASH_GT] = ACTIONS(899),
    [sym__symbol_chars] = ACTIONS(899),
    [anon_sym_DASH_GT_GT] = ACTIONS(901),
    [anon_sym_cond_DASH_GT_GT] = ACTIONS(901),
    [anon_sym_some_DASH_GT] = ACTIONS(899),
    [anon_sym_as_DASH_GT] = ACTIONS(901),
    [anon_sym_some_DASH_GT_GT] = ACTIONS(901),
  },
  [331] = {
    [anon_sym_RPAREN] = ACTIONS(1222),
  },
  [332] = {
    [anon_sym_cond_DASH_GT] = ACTIONS(1224),
    [anon_sym_POUND_DQUOTE] = ACTIONS(1226),
    [aux_sym_namespace_map_token1] = ACTIONS(1226),
    [anon_sym_SEMI] = ACTIONS(1226),
    [anon_sym_RBRACK] = ACTIONS(1226),
    [anon_sym_TILDE] = ACTIONS(1224),
    [sym_number_bigint] = ACTIONS(1224),
    [sym_gensym] = ACTIONS(1226),
    [sym_false] = ACTIONS(1224),
    [anon_sym_CARET_COLON] = ACTIONS(1226),
    [sym__number_hex] = ACTIONS(1224),
    [anon_sym_cond_DASH_GT_GT] = ACTIONS(1226),
    [anon_sym_POUND_LBRACE] = ACTIONS(1226),
    [anon_sym_LBRACE] = ACTIONS(1226),
    [sym_number_bigdecimal] = ACTIONS(1226),
    [anon_sym_AT] = ACTIONS(1226),
    [sym__normal_long] = ACTIONS(1224),
    [sym__number_arbitrary_radix] = ACTIONS(1224),
    [anon_sym_SQUOTE] = ACTIONS(1226),
    [anon_sym_RPAREN] = ACTIONS(1226),
    [anon_sym_POUND_BANG] = ACTIONS(1226),
    [sym__symbol_chars] = ACTIONS(1224),
    [sym_number_ratio] = ACTIONS(1226),
    [anon_sym_POUND] = ACTIONS(1224),
    [sym__number_octal] = ACTIONS(1224),
    [anon_sym_DASH_GT] = ACTIONS(1224),
    [anon_sym_LPARENquote] = ACTIONS(1226),
    [anon_sym_COLON] = ACTIONS(1224),
    [anon_sym_POUND_] = ACTIONS(1226),
    [sym_member_access] = ACTIONS(1226),
    [anon_sym_POUND_POUND] = ACTIONS(1226),
    [anon_sym_CARET_DQUOTE] = ACTIONS(1226),
    [anon_sym_POUND_LPAREN] = ACTIONS(1226),
    [sym_number_double] = ACTIONS(1224),
    [anon_sym_POUND_QMARK] = ACTIONS(1224),
    [anon_sym_DASH_GT_GT] = ACTIONS(1226),
    [anon_sym_some_DASH_GT] = ACTIONS(1224),
    [anon_sym_COLON_COLON] = ACTIONS(1226),
    [anon_sym_RBRACE] = ACTIONS(1226),
    [sym_field_access] = ACTIONS(1226),
    [anon_sym_LPAREN] = ACTIONS(1224),
    [anon_sym_BQUOTE] = ACTIONS(1226),
    [sym_shorthand_function_arg] = ACTIONS(1226),
    [sym_nil] = ACTIONS(1224),
    [anon_sym_POUND_QMARK_AT] = ACTIONS(1226),
    [anon_sym_as_DASH_GT] = ACTIONS(1226),
    [anon_sym_some_DASH_GT_GT] = ACTIONS(1226),
    [anon_sym_POUND_COLON_COLON_LBRACE] = ACTIONS(1226),
    [ts_builtin_sym_end] = ACTIONS(1226),
    [sym_new_class] = ACTIONS(1226),
    [anon_sym_LBRACK] = ACTIONS(1226),
    [anon_sym_POUND_SQUOTE] = ACTIONS(1226),
    [anon_sym_BSLASH] = ACTIONS(1226),
    [anon_sym_TILDE_AT] = ACTIONS(1226),
    [sym_true] = ACTIONS(1224),
    [anon_sym_CARET] = ACTIONS(1224),
    [anon_sym_DQUOTE] = ACTIONS(1226),
  },
  [333] = {
    [aux_sym__multi_arity_fn_repeat1] = STATE(229),
    [sym__single_arity_fn] = STATE(341),
    [sym_vector] = STATE(231),
    [sym__vector] = STATE(37),
    [sym_params] = STATE(230),
    [sym__after_the_fn_name] = STATE(341),
    [sym__multi_arity_fn] = STATE(341),
    [anon_sym_LPAREN] = ACTIONS(573),
    [anon_sym_LBRACK] = ACTIONS(69),
  },
  [334] = {
    [anon_sym_cond_DASH_GT] = ACTIONS(1228),
    [anon_sym_POUND_DQUOTE] = ACTIONS(1230),
    [aux_sym_namespace_map_token1] = ACTIONS(1230),
    [anon_sym_SEMI] = ACTIONS(1230),
    [anon_sym_RBRACK] = ACTIONS(1230),
    [anon_sym_TILDE] = ACTIONS(1228),
    [sym_number_bigint] = ACTIONS(1228),
    [sym_gensym] = ACTIONS(1230),
    [sym_false] = ACTIONS(1228),
    [anon_sym_CARET_COLON] = ACTIONS(1230),
    [sym__number_hex] = ACTIONS(1228),
    [anon_sym_cond_DASH_GT_GT] = ACTIONS(1230),
    [anon_sym_POUND_LBRACE] = ACTIONS(1230),
    [anon_sym_LBRACE] = ACTIONS(1230),
    [sym_number_bigdecimal] = ACTIONS(1230),
    [anon_sym_AT] = ACTIONS(1230),
    [sym__normal_long] = ACTIONS(1228),
    [sym__number_arbitrary_radix] = ACTIONS(1228),
    [anon_sym_SQUOTE] = ACTIONS(1230),
    [anon_sym_RPAREN] = ACTIONS(1230),
    [anon_sym_POUND_BANG] = ACTIONS(1230),
    [sym__symbol_chars] = ACTIONS(1228),
    [sym_number_ratio] = ACTIONS(1230),
    [anon_sym_POUND] = ACTIONS(1228),
    [sym__number_octal] = ACTIONS(1228),
    [anon_sym_DASH_GT] = ACTIONS(1228),
    [anon_sym_LPARENquote] = ACTIONS(1230),
    [anon_sym_COLON] = ACTIONS(1228),
    [anon_sym_POUND_] = ACTIONS(1230),
    [sym_member_access] = ACTIONS(1230),
    [anon_sym_POUND_POUND] = ACTIONS(1230),
    [anon_sym_CARET_DQUOTE] = ACTIONS(1230),
    [anon_sym_POUND_LPAREN] = ACTIONS(1230),
    [sym_number_double] = ACTIONS(1228),
    [anon_sym_POUND_QMARK] = ACTIONS(1228),
    [anon_sym_DASH_GT_GT] = ACTIONS(1230),
    [anon_sym_some_DASH_GT] = ACTIONS(1228),
    [anon_sym_COLON_COLON] = ACTIONS(1230),
    [anon_sym_RBRACE] = ACTIONS(1230),
    [sym_field_access] = ACTIONS(1230),
    [anon_sym_LPAREN] = ACTIONS(1228),
    [anon_sym_BQUOTE] = ACTIONS(1230),
    [sym_shorthand_function_arg] = ACTIONS(1230),
    [sym_nil] = ACTIONS(1228),
    [anon_sym_POUND_QMARK_AT] = ACTIONS(1230),
    [anon_sym_as_DASH_GT] = ACTIONS(1230),
    [anon_sym_some_DASH_GT_GT] = ACTIONS(1230),
    [anon_sym_POUND_COLON_COLON_LBRACE] = ACTIONS(1230),
    [ts_builtin_sym_end] = ACTIONS(1230),
    [sym_new_class] = ACTIONS(1230),
    [anon_sym_LBRACK] = ACTIONS(1230),
    [anon_sym_POUND_SQUOTE] = ACTIONS(1230),
    [anon_sym_BSLASH] = ACTIONS(1230),
    [anon_sym_TILDE_AT] = ACTIONS(1230),
    [sym_true] = ACTIONS(1228),
    [anon_sym_CARET] = ACTIONS(1228),
    [anon_sym_DQUOTE] = ACTIONS(1230),
  },
  [335] = {
    [anon_sym_RPAREN] = ACTIONS(1232),
  },
  [336] = {
    [anon_sym_RPAREN] = ACTIONS(1226),
  },
  [337] = {
    [aux_sym__multi_arity_fn_repeat1] = STATE(229),
    [sym__single_arity_fn] = STATE(343),
    [sym_vector] = STATE(231),
    [sym__vector] = STATE(37),
    [sym_params] = STATE(230),
    [sym__after_the_fn_name] = STATE(343),
    [sym__multi_arity_fn] = STATE(343),
    [anon_sym_LPAREN] = ACTIONS(573),
    [anon_sym_LBRACK] = ACTIONS(69),
  },
  [338] = {
    [anon_sym_RPAREN] = ACTIONS(1230),
  },
  [339] = {
    [anon_sym_DASH_GT] = ACTIONS(1131),
    [anon_sym_cond_DASH_GT] = ACTIONS(1131),
    [sym__symbol_chars] = ACTIONS(1131),
    [anon_sym_DASH_GT_GT] = ACTIONS(1133),
    [anon_sym_cond_DASH_GT_GT] = ACTIONS(1133),
    [anon_sym_some_DASH_GT] = ACTIONS(1131),
    [anon_sym_as_DASH_GT] = ACTIONS(1133),
    [anon_sym_some_DASH_GT_GT] = ACTIONS(1133),
  },
  [340] = {
    [anon_sym_cond_DASH_GT] = ACTIONS(1234),
    [anon_sym_POUND_DQUOTE] = ACTIONS(1236),
    [aux_sym_namespace_map_token1] = ACTIONS(1236),
    [anon_sym_SEMI] = ACTIONS(1236),
    [anon_sym_RBRACK] = ACTIONS(1236),
    [anon_sym_TILDE] = ACTIONS(1234),
    [sym_number_bigint] = ACTIONS(1234),
    [sym_gensym] = ACTIONS(1236),
    [sym_false] = ACTIONS(1234),
    [anon_sym_CARET_COLON] = ACTIONS(1236),
    [sym__number_hex] = ACTIONS(1234),
    [anon_sym_cond_DASH_GT_GT] = ACTIONS(1236),
    [anon_sym_POUND_LBRACE] = ACTIONS(1236),
    [anon_sym_LBRACE] = ACTIONS(1236),
    [sym_number_bigdecimal] = ACTIONS(1236),
    [anon_sym_AT] = ACTIONS(1236),
    [sym__normal_long] = ACTIONS(1234),
    [sym__number_arbitrary_radix] = ACTIONS(1234),
    [anon_sym_SQUOTE] = ACTIONS(1236),
    [anon_sym_RPAREN] = ACTIONS(1236),
    [anon_sym_POUND_BANG] = ACTIONS(1236),
    [sym__symbol_chars] = ACTIONS(1234),
    [sym_number_ratio] = ACTIONS(1236),
    [anon_sym_POUND] = ACTIONS(1234),
    [sym__number_octal] = ACTIONS(1234),
    [anon_sym_DASH_GT] = ACTIONS(1234),
    [anon_sym_LPARENquote] = ACTIONS(1236),
    [anon_sym_COLON] = ACTIONS(1234),
    [anon_sym_POUND_] = ACTIONS(1236),
    [sym_member_access] = ACTIONS(1236),
    [anon_sym_POUND_POUND] = ACTIONS(1236),
    [anon_sym_CARET_DQUOTE] = ACTIONS(1236),
    [anon_sym_POUND_LPAREN] = ACTIONS(1236),
    [sym_number_double] = ACTIONS(1234),
    [anon_sym_POUND_QMARK] = ACTIONS(1234),
    [anon_sym_DASH_GT_GT] = ACTIONS(1236),
    [anon_sym_some_DASH_GT] = ACTIONS(1234),
    [anon_sym_COLON_COLON] = ACTIONS(1236),
    [anon_sym_RBRACE] = ACTIONS(1236),
    [sym_field_access] = ACTIONS(1236),
    [anon_sym_LPAREN] = ACTIONS(1234),
    [anon_sym_BQUOTE] = ACTIONS(1236),
    [sym_shorthand_function_arg] = ACTIONS(1236),
    [sym_nil] = ACTIONS(1234),
    [anon_sym_POUND_QMARK_AT] = ACTIONS(1236),
    [anon_sym_as_DASH_GT] = ACTIONS(1236),
    [anon_sym_some_DASH_GT_GT] = ACTIONS(1236),
    [anon_sym_POUND_COLON_COLON_LBRACE] = ACTIONS(1236),
    [ts_builtin_sym_end] = ACTIONS(1236),
    [sym_new_class] = ACTIONS(1236),
    [anon_sym_LBRACK] = ACTIONS(1236),
    [anon_sym_POUND_SQUOTE] = ACTIONS(1236),
    [anon_sym_BSLASH] = ACTIONS(1236),
    [anon_sym_TILDE_AT] = ACTIONS(1236),
    [sym_true] = ACTIONS(1234),
    [anon_sym_CARET] = ACTIONS(1234),
    [anon_sym_DQUOTE] = ACTIONS(1236),
  },
  [341] = {
    [anon_sym_RPAREN] = ACTIONS(1238),
  },
  [342] = {
    [anon_sym_RPAREN] = ACTIONS(1236),
  },
  [343] = {
    [anon_sym_RPAREN] = ACTIONS(1240),
  },
  [344] = {
    [anon_sym_cond_DASH_GT] = ACTIONS(1242),
    [anon_sym_POUND_DQUOTE] = ACTIONS(1244),
    [aux_sym_namespace_map_token1] = ACTIONS(1244),
    [anon_sym_SEMI] = ACTIONS(1244),
    [anon_sym_RBRACK] = ACTIONS(1244),
    [anon_sym_TILDE] = ACTIONS(1242),
    [sym_number_bigint] = ACTIONS(1242),
    [sym_gensym] = ACTIONS(1244),
    [sym_false] = ACTIONS(1242),
    [anon_sym_CARET_COLON] = ACTIONS(1244),
    [sym__number_hex] = ACTIONS(1242),
    [anon_sym_cond_DASH_GT_GT] = ACTIONS(1244),
    [anon_sym_POUND_LBRACE] = ACTIONS(1244),
    [anon_sym_LBRACE] = ACTIONS(1244),
    [sym_number_bigdecimal] = ACTIONS(1244),
    [anon_sym_AT] = ACTIONS(1244),
    [sym__normal_long] = ACTIONS(1242),
    [sym__number_arbitrary_radix] = ACTIONS(1242),
    [anon_sym_SQUOTE] = ACTIONS(1244),
    [anon_sym_RPAREN] = ACTIONS(1244),
    [anon_sym_POUND_BANG] = ACTIONS(1244),
    [sym__symbol_chars] = ACTIONS(1242),
    [sym_number_ratio] = ACTIONS(1244),
    [anon_sym_POUND] = ACTIONS(1242),
    [sym__number_octal] = ACTIONS(1242),
    [anon_sym_DASH_GT] = ACTIONS(1242),
    [anon_sym_LPARENquote] = ACTIONS(1244),
    [anon_sym_COLON] = ACTIONS(1242),
    [anon_sym_POUND_] = ACTIONS(1244),
    [sym_member_access] = ACTIONS(1244),
    [anon_sym_POUND_POUND] = ACTIONS(1244),
    [anon_sym_CARET_DQUOTE] = ACTIONS(1244),
    [anon_sym_POUND_LPAREN] = ACTIONS(1244),
    [sym_number_double] = ACTIONS(1242),
    [anon_sym_POUND_QMARK] = ACTIONS(1242),
    [anon_sym_DASH_GT_GT] = ACTIONS(1244),
    [anon_sym_some_DASH_GT] = ACTIONS(1242),
    [anon_sym_COLON_COLON] = ACTIONS(1244),
    [anon_sym_RBRACE] = ACTIONS(1244),
    [sym_field_access] = ACTIONS(1244),
    [anon_sym_LPAREN] = ACTIONS(1242),
    [anon_sym_BQUOTE] = ACTIONS(1244),
    [sym_shorthand_function_arg] = ACTIONS(1244),
    [sym_nil] = ACTIONS(1242),
    [anon_sym_POUND_QMARK_AT] = ACTIONS(1244),
    [anon_sym_as_DASH_GT] = ACTIONS(1244),
    [anon_sym_some_DASH_GT_GT] = ACTIONS(1244),
    [anon_sym_POUND_COLON_COLON_LBRACE] = ACTIONS(1244),
    [ts_builtin_sym_end] = ACTIONS(1244),
    [sym_new_class] = ACTIONS(1244),
    [anon_sym_LBRACK] = ACTIONS(1244),
    [anon_sym_POUND_SQUOTE] = ACTIONS(1244),
    [anon_sym_BSLASH] = ACTIONS(1244),
    [anon_sym_TILDE_AT] = ACTIONS(1244),
    [sym_true] = ACTIONS(1242),
    [anon_sym_CARET] = ACTIONS(1242),
    [anon_sym_DQUOTE] = ACTIONS(1244),
  },
  [345] = {
    [anon_sym_RPAREN] = ACTIONS(1244),
  },
};

static TSParseActionEntry ts_parse_actions[] = {
  [0] = {.count = 0, .reusable = false},
  [1] = {.count = 1, .reusable = false}, RECOVER(),
  [3] = {.count = 1, .reusable = false}, SHIFT(2),
  [5] = {.count = 1, .reusable = true}, SHIFT(3),
  [7] = {.count = 1, .reusable = true}, SHIFT(4),
  [9] = {.count = 1, .reusable = false}, SHIFT(5),
  [11] = {.count = 1, .reusable = true}, SHIFT(6),
  [13] = {.count = 1, .reusable = true}, SHIFT(7),
  [15] = {.count = 1, .reusable = true}, SHIFT(8),
  [17] = {.count = 1, .reusable = true}, SHIFT(9),
  [19] = {.count = 1, .reusable = true}, SHIFT(10),
  [21] = {.count = 1, .reusable = false}, SHIFT(47),
  [23] = {.count = 1, .reusable = true}, SHIFT(42),
  [25] = {.count = 1, .reusable = false}, SHIFT(11),
  [27] = {.count = 1, .reusable = false}, SHIFT(12),
  [29] = {.count = 1, .reusable = true}, SHIFT(13),
  [31] = {.count = 1, .reusable = true}, SHIFT(14),
  [33] = {.count = 1, .reusable = true}, SHIFT(15),
  [35] = {.count = 1, .reusable = false}, SHIFT(16),
  [37] = {.count = 1, .reusable = false}, SHIFT(39),
  [39] = {.count = 1, .reusable = true}, SHIFT(2),
  [41] = {.count = 1, .reusable = true}, SHIFT(17),
  [43] = {.count = 1, .reusable = true}, SHIFT(18),
  [45] = {.count = 1, .reusable = true}, SHIFT(19),
  [47] = {.count = 1, .reusable = false}, SHIFT(20),
  [49] = {.count = 1, .reusable = true}, SHIFT(47),
  [51] = {.count = 1, .reusable = true}, SHIFT(21),
  [53] = {.count = 1, .reusable = false}, SHIFT(42),
  [55] = {.count = 1, .reusable = true}, SHIFT(22),
  [57] = {.count = 1, .reusable = true}, SHIFT(39),
  [59] = {.count = 1, .reusable = true}, SHIFT(23),
  [61] = {.count = 1, .reusable = true}, SHIFT(24),
  [63] = {.count = 1, .reusable = true}, REDUCE(sym_program, 0),
  [65] = {.count = 1, .reusable = true}, SHIFT(25),
  [67] = {.count = 1, .reusable = false}, SHIFT(26),
  [69] = {.count = 1, .reusable = true}, SHIFT(27),
  [71] = {.count = 1, .reusable = true}, SHIFT(28),
  [73] = {.count = 1, .reusable = true}, SHIFT(29),
  [75] = {.count = 1, .reusable = false}, SHIFT(30),
  [77] = {.count = 1, .reusable = true}, SHIFT(31),
  [79] = {.count = 1, .reusable = true}, SHIFT(32),
  [81] = {.count = 1, .reusable = false}, SHIFT(33),
  [83] = {.count = 1, .reusable = false}, REDUCE(sym_threading_macro, 1),
  [85] = {.count = 1, .reusable = true}, REDUCE(sym_threading_macro, 1),
  [87] = {.count = 1, .reusable = false}, SHIFT(53),
  [89] = {.count = 1, .reusable = true}, SHIFT(54),
  [91] = {.count = 1, .reusable = true}, SHIFT(55),
  [93] = {.count = 1, .reusable = false}, SHIFT(56),
  [95] = {.count = 1, .reusable = true}, SHIFT(57),
  [97] = {.count = 1, .reusable = true}, SHIFT(58),
  [99] = {.count = 1, .reusable = true}, SHIFT(59),
  [101] = {.count = 1, .reusable = true}, SHIFT(60),
  [103] = {.count = 1, .reusable = true}, SHIFT(61),
  [105] = {.count = 1, .reusable = false}, SHIFT(87),
  [107] = {.count = 1, .reusable = true}, SHIFT(94),
  [109] = {.count = 1, .reusable = false}, SHIFT(62),
  [111] = {.count = 1, .reusable = false}, SHIFT(63),
  [113] = {.count = 1, .reusable = true}, SHIFT(64),
  [115] = {.count = 1, .reusable = false}, SHIFT(65),
  [117] = {.count = 1, .reusable = false}, SHIFT(92),
  [119] = {.count = 1, .reusable = true}, SHIFT(53),
  [121] = {.count = 1, .reusable = true}, SHIFT(66),
  [123] = {.count = 1, .reusable = true}, SHIFT(67),
  [125] = {.count = 1, .reusable = true}, SHIFT(68),
  [127] = {.count = 1, .reusable = false}, SHIFT(69),
  [129] = {.count = 1, .reusable = true}, SHIFT(87),
  [131] = {.count = 1, .reusable = true}, SHIFT(70),
  [133] = {.count = 1, .reusable = false}, SHIFT(94),
  [135] = {.count = 1, .reusable = true}, SHIFT(71),
  [137] = {.count = 1, .reusable = true}, SHIFT(92),
  [139] = {.count = 1, .reusable = true}, SHIFT(72),
  [141] = {.count = 1, .reusable = true}, SHIFT(73),
  [143] = {.count = 1, .reusable = true}, SHIFT(74),
  [145] = {.count = 1, .reusable = false}, SHIFT(75),
  [147] = {.count = 1, .reusable = true}, SHIFT(76),
  [149] = {.count = 1, .reusable = true}, SHIFT(77),
  [151] = {.count = 1, .reusable = true}, SHIFT(78),
  [153] = {.count = 1, .reusable = true}, SHIFT(79),
  [155] = {.count = 1, .reusable = true}, SHIFT(80),
  [157] = {.count = 1, .reusable = false}, SHIFT(81),
  [159] = {.count = 1, .reusable = false}, SHIFT(99),
  [161] = {.count = 1, .reusable = true}, SHIFT(99),
  [163] = {.count = 1, .reusable = false}, SHIFT(98),
  [165] = {.count = 1, .reusable = true}, SHIFT(100),
  [167] = {.count = 1, .reusable = true}, SHIFT(101),
  [169] = {.count = 1, .reusable = true}, SHIFT(102),
  [171] = {.count = 1, .reusable = false}, SHIFT(102),
  [173] = {.count = 1, .reusable = true}, SHIFT(103),
  [175] = {.count = 1, .reusable = false}, REDUCE(sym_interop, 1),
  [177] = {.count = 1, .reusable = true}, REDUCE(sym_interop, 1),
  [179] = {.count = 1, .reusable = true}, SHIFT(104),
  [181] = {.count = 1, .reusable = false}, REDUCE(sym_boolean, 1),
  [183] = {.count = 1, .reusable = true}, REDUCE(sym_boolean, 1),
  [185] = {.count = 1, .reusable = false}, REDUCE(sym_number_long, 1),
  [187] = {.count = 1, .reusable = true}, REDUCE(sym_number_long, 1),
  [189] = {.count = 1, .reusable = true}, SHIFT(105),
  [191] = {.count = 1, .reusable = true}, SHIFT(111),
  [193] = {.count = 1, .reusable = false}, SHIFT(106),
  [195] = {.count = 1, .reusable = true}, SHIFT(107),
  [197] = {.count = 1, .reusable = false}, SHIFT(111),
  [199] = {.count = 1, .reusable = true}, SHIFT(108),
  [201] = {.count = 1, .reusable = true}, SHIFT(109),
  [203] = {.count = 1, .reusable = true}, SHIFT(110),
  [205] = {.count = 1, .reusable = true}, SHIFT(112),
  [207] = {.count = 1, .reusable = false}, SHIFT(112),
  [209] = {.count = 1, .reusable = true}, SHIFT(113),
  [211] = {.count = 1, .reusable = false}, SHIFT(113),
  [213] = {.count = 1, .reusable = true}, SHIFT(114),
  [215] = {.count = 1, .reusable = false}, SHIFT(114),
  [217] = {.count = 1, .reusable = true}, SHIFT(115),
  [219] = {.count = 1, .reusable = true}, SHIFT(116),
  [221] = {.count = 1, .reusable = true}, SHIFT(122),
  [223] = {.count = 1, .reusable = false}, SHIFT(117),
  [225] = {.count = 1, .reusable = true}, SHIFT(118),
  [227] = {.count = 1, .reusable = true}, SHIFT(119),
  [229] = {.count = 1, .reusable = false}, SHIFT(122),
  [231] = {.count = 1, .reusable = true}, SHIFT(120),
  [233] = {.count = 1, .reusable = true}, SHIFT(121),
  [235] = {.count = 1, .reusable = true}, SHIFT(123),
  [237] = {.count = 1, .reusable = true}, SHIFT(130),
  [239] = {.count = 1, .reusable = false}, SHIFT(124),
  [241] = {.count = 1, .reusable = true}, SHIFT(125),
  [243] = {.count = 1, .reusable = true}, SHIFT(126),
  [245] = {.count = 1, .reusable = false}, SHIFT(130),
  [247] = {.count = 1, .reusable = true}, SHIFT(127),
  [249] = {.count = 1, .reusable = true}, SHIFT(128),
  [251] = {.count = 1, .reusable = true}, SHIFT(135),
  [253] = {.count = 1, .reusable = false}, SHIFT(131),
  [255] = {.count = 1, .reusable = true}, SHIFT(132),
  [257] = {.count = 1, .reusable = false}, SHIFT(133),
  [259] = {.count = 1, .reusable = false}, SHIFT(134),
  [261] = {.count = 1, .reusable = false}, SHIFT(135),
  [263] = {.count = 1, .reusable = true}, SHIFT(136),
  [265] = {.count = 1, .reusable = false}, SHIFT(136),
  [267] = {.count = 1, .reusable = true}, SHIFT(137),
  [269] = {.count = 1, .reusable = true}, SHIFT(139),
  [271] = {.count = 1, .reusable = false}, SHIFT(139),
  [273] = {.count = 1, .reusable = true}, SHIFT(140),
  [275] = {.count = 1, .reusable = true}, SHIFT(142),
  [277] = {.count = 1, .reusable = false}, REDUCE(sym__symbol, 1),
  [279] = {.count = 1, .reusable = true}, REDUCE(sym__symbol, 1),
  [281] = {.count = 1, .reusable = true}, SHIFT(143),
  [283] = {.count = 1, .reusable = true}, SHIFT(144),
  [285] = {.count = 1, .reusable = true}, SHIFT(145),
  [287] = {.count = 1, .reusable = true}, SHIFT(150),
  [289] = {.count = 1, .reusable = false}, SHIFT(146),
  [291] = {.count = 1, .reusable = true}, SHIFT(147),
  [293] = {.count = 1, .reusable = false}, SHIFT(150),
  [295] = {.count = 1, .reusable = true}, SHIFT(148),
  [297] = {.count = 1, .reusable = true}, SHIFT(149),
  [299] = {.count = 1, .reusable = true}, SHIFT(152),
  [301] = {.count = 1, .reusable = true}, SHIFT(151),
  [303] = {.count = 1, .reusable = false}, SHIFT(152),
  [305] = {.count = 1, .reusable = true}, SHIFT(153),
  [307] = {.count = 1, .reusable = true}, SHIFT(156),
  [309] = {.count = 1, .reusable = false}, SHIFT(156),
  [311] = {.count = 1, .reusable = false}, SHIFT(157),
  [313] = {.count = 1, .reusable = true}, SHIFT(158),
  [315] = {.count = 1, .reusable = false}, SHIFT(158),
  [317] = {.count = 1, .reusable = true}, SHIFT(159),
  [319] = {.count = 1, .reusable = false}, REDUCE(sym_character, 1),
  [321] = {.count = 1, .reusable = true}, REDUCE(sym_character, 1),
  [323] = {.count = 1, .reusable = false}, REDUCE(sym_string, 1),
  [325] = {.count = 1, .reusable = true}, REDUCE(sym_string, 1),
  [327] = {.count = 1, .reusable = false}, REDUCE(sym_keyword, 1),
  [329] = {.count = 1, .reusable = true}, REDUCE(sym_keyword, 1),
  [331] = {.count = 1, .reusable = false}, REDUCE(sym_vector, 1),
  [333] = {.count = 1, .reusable = true}, REDUCE(sym_vector, 1),
  [335] = {.count = 1, .reusable = false}, REDUCE(sym_comment, 1),
  [337] = {.count = 1, .reusable = true}, REDUCE(sym_comment, 1),
  [339] = {.count = 1, .reusable = true}, SHIFT(161),
  [341] = {.count = 1, .reusable = true}, REDUCE(sym_metadata, 1),
  [343] = {.count = 1, .reusable = false}, SHIFT(162),
  [345] = {.count = 1, .reusable = false}, REDUCE(sym_qualified_symbol, 1),
  [347] = {.count = 1, .reusable = true}, REDUCE(sym_qualified_symbol, 1),
  [349] = {.count = 1, .reusable = true}, SHIFT(164),
  [351] = {.count = 1, .reusable = false}, SHIFT(164),
  [353] = {.count = 1, .reusable = true}, REDUCE(sym_program, 1),
  [355] = {.count = 1, .reusable = false}, REDUCE(sym_quote, 1),
  [357] = {.count = 1, .reusable = true}, REDUCE(sym_quote, 1),
  [359] = {.count = 1, .reusable = false}, REDUCE(sym_symbol, 1),
  [361] = {.count = 1, .reusable = true}, REDUCE(sym_symbol, 1),
  [363] = {.count = 1, .reusable = false}, REDUCE(sym_list, 1),
  [365] = {.count = 1, .reusable = true}, REDUCE(sym_list, 1),
  [367] = {.count = 1, .reusable = true},  ACCEPT_INPUT(),
  [369] = {.count = 1, .reusable = false}, REDUCE(sym_number, 1),
  [371] = {.count = 1, .reusable = true}, REDUCE(sym_number, 1),
  [373] = {.count = 1, .reusable = false}, REDUCE(sym_regex, 1),
  [375] = {.count = 1, .reusable = true}, REDUCE(sym_regex, 1),
  [377] = {.count = 1, .reusable = false}, REDUCE(sym_hash_map, 1),
  [379] = {.count = 1, .reusable = true}, REDUCE(sym_hash_map, 1),
  [381] = {.count = 1, .reusable = false}, REDUCE(sym_set, 1),
  [383] = {.count = 1, .reusable = true}, REDUCE(sym_set, 1),
  [385] = {.count = 1, .reusable = true}, SHIFT(166),
  [387] = {.count = 1, .reusable = false}, SHIFT(166),
  [389] = {.count = 1, .reusable = false}, SHIFT(168),
  [391] = {.count = 1, .reusable = true}, SHIFT(168),
  [393] = {.count = 1, .reusable = false}, SHIFT(167),
  [395] = {.count = 1, .reusable = true}, SHIFT(169),
  [397] = {.count = 1, .reusable = true}, SHIFT(170),
  [399] = {.count = 1, .reusable = true}, SHIFT(171),
  [401] = {.count = 1, .reusable = false}, SHIFT(171),
  [403] = {.count = 1, .reusable = true}, SHIFT(172),
  [405] = {.count = 1, .reusable = true}, SHIFT(173),
  [407] = {.count = 1, .reusable = true}, SHIFT(175),
  [409] = {.count = 1, .reusable = false}, SHIFT(175),
  [411] = {.count = 1, .reusable = true}, SHIFT(174),
  [413] = {.count = 1, .reusable = true}, SHIFT(176),
  [415] = {.count = 1, .reusable = false}, SHIFT(176),
  [417] = {.count = 1, .reusable = true}, SHIFT(177),
  [419] = {.count = 1, .reusable = true}, SHIFT(179),
  [421] = {.count = 1, .reusable = true}, SHIFT(178),
  [423] = {.count = 1, .reusable = false}, SHIFT(179),
  [425] = {.count = 1, .reusable = true}, SHIFT(180),
  [427] = {.count = 1, .reusable = true}, SHIFT(186),
  [429] = {.count = 1, .reusable = false}, SHIFT(182),
  [431] = {.count = 1, .reusable = true}, SHIFT(183),
  [433] = {.count = 1, .reusable = false}, SHIFT(184),
  [435] = {.count = 1, .reusable = false}, SHIFT(185),
  [437] = {.count = 1, .reusable = false}, SHIFT(186),
  [439] = {.count = 1, .reusable = true}, SHIFT(187),
  [441] = {.count = 1, .reusable = false}, SHIFT(187),
  [443] = {.count = 1, .reusable = true}, SHIFT(188),
  [445] = {.count = 1, .reusable = true}, SHIFT(190),
  [447] = {.count = 1, .reusable = false}, SHIFT(190),
  [449] = {.count = 1, .reusable = true}, SHIFT(191),
  [451] = {.count = 1, .reusable = true}, SHIFT(193),
  [453] = {.count = 1, .reusable = true}, SHIFT(194),
  [455] = {.count = 1, .reusable = true}, SHIFT(195),
  [457] = {.count = 1, .reusable = true}, SHIFT(196),
  [459] = {.count = 1, .reusable = false}, SHIFT(196),
  [461] = {.count = 1, .reusable = true}, SHIFT(198),
  [463] = {.count = 1, .reusable = true}, SHIFT(197),
  [465] = {.count = 1, .reusable = false}, SHIFT(198),
  [467] = {.count = 1, .reusable = true}, SHIFT(199),
  [469] = {.count = 1, .reusable = true}, SHIFT(201),
  [471] = {.count = 1, .reusable = false}, SHIFT(201),
  [473] = {.count = 1, .reusable = false}, SHIFT(202),
  [475] = {.count = 1, .reusable = true}, SHIFT(203),
  [477] = {.count = 1, .reusable = false}, SHIFT(203),
  [479] = {.count = 1, .reusable = true}, SHIFT(204),
  [481] = {.count = 1, .reusable = true}, SHIFT(206),
  [483] = {.count = 1, .reusable = true}, SHIFT(208),
  [485] = {.count = 1, .reusable = false}, REDUCE(sym__regex, 2),
  [487] = {.count = 1, .reusable = true}, REDUCE(sym__regex, 2),
  [489] = {.count = 1, .reusable = false}, SHIFT(210),
  [491] = {.count = 1, .reusable = true}, SHIFT(210),
  [493] = {.count = 1, .reusable = false}, SHIFT(209),
  [495] = {.count = 1, .reusable = false}, REDUCE(sym__unqualified_keyword, 2),
  [497] = {.count = 1, .reusable = true}, REDUCE(sym__unqualified_keyword, 2),
  [499] = {.count = 1, .reusable = true}, SHIFT(211),
  [501] = {.count = 1, .reusable = false}, REDUCE(sym_ignore_form, 2),
  [503] = {.count = 1, .reusable = true}, REDUCE(sym_ignore_form, 2),
  [505] = {.count = 1, .reusable = false}, REDUCE(sym_semicolon, 2),
  [507] = {.count = 1, .reusable = true}, REDUCE(sym_semicolon, 2),
  [509] = {.count = 1, .reusable = false}, REDUCE(sym_symbolic_value, 2),
  [511] = {.count = 1, .reusable = true}, REDUCE(sym_symbolic_value, 2),
  [513] = {.count = 1, .reusable = false}, REDUCE(sym_shorthand_function, 2),
  [515] = {.count = 1, .reusable = true}, REDUCE(sym_shorthand_function, 2),
  [517] = {.count = 1, .reusable = true}, SHIFT(214),
  [519] = {.count = 1, .reusable = false}, SHIFT(214),
  [521] = {.count = 1, .reusable = true}, SHIFT(213),
  [523] = {.count = 1, .reusable = true}, REDUCE(sym_metadata_shorthand, 2),
  [525] = {.count = 1, .reusable = false}, REDUCE(sym_metadata_shorthand, 2),
  [527] = {.count = 1, .reusable = false}, SHIFT(215),
  [529] = {.count = 1, .reusable = true}, SHIFT(216),
  [531] = {.count = 1, .reusable = false}, SHIFT(216),
  [533] = {.count = 1, .reusable = false}, REDUCE(sym_unquote, 2),
  [535] = {.count = 1, .reusable = true}, REDUCE(sym_unquote, 2),
  [537] = {.count = 1, .reusable = false}, REDUCE(sym_qualified_keyword, 2),
  [539] = {.count = 1, .reusable = true}, REDUCE(sym_qualified_keyword, 2),
  [541] = {.count = 1, .reusable = true}, SHIFT(217),
  [543] = {.count = 1, .reusable = false}, REDUCE(sym__set, 2),
  [545] = {.count = 1, .reusable = true}, REDUCE(sym__set, 2),
  [547] = {.count = 1, .reusable = true}, SHIFT(219),
  [549] = {.count = 1, .reusable = true}, SHIFT(218),
  [551] = {.count = 1, .reusable = false}, SHIFT(219),
  [553] = {.count = 1, .reusable = false}, REDUCE(sym__hash_map, 2),
  [555] = {.count = 1, .reusable = true}, REDUCE(sym__hash_map, 2),
  [557] = {.count = 1, .reusable = true}, SHIFT(220),
  [559] = {.count = 1, .reusable = true}, SHIFT(222),
  [561] = {.count = 1, .reusable = false}, SHIFT(222),
  [563] = {.count = 1, .reusable = true}, SHIFT(224),
  [565] = {.count = 1, .reusable = false}, SHIFT(224),
  [567] = {.count = 1, .reusable = true}, SHIFT(223),
  [569] = {.count = 1, .reusable = false}, REDUCE(sym__list, 2),
  [571] = {.count = 1, .reusable = true}, REDUCE(sym__list, 2),
  [573] = {.count = 1, .reusable = true}, SHIFT(225),
  [575] = {.count = 1, .reusable = false}, SHIFT(232),
  [577] = {.count = 1, .reusable = true}, SHIFT(237),
  [579] = {.count = 1, .reusable = false}, REDUCE(sym_syntax_quote, 2),
  [581] = {.count = 1, .reusable = true}, REDUCE(sym_syntax_quote, 2),
  [583] = {.count = 1, .reusable = false}, REDUCE(sym_deref, 2),
  [585] = {.count = 1, .reusable = true}, REDUCE(sym_deref, 2),
  [587] = {.count = 1, .reusable = false}, REDUCE(sym__quote, 2),
  [589] = {.count = 1, .reusable = true}, REDUCE(sym__quote, 2),
  [591] = {.count = 1, .reusable = false}, REDUCE(sym_namespace_map, 2),
  [593] = {.count = 1, .reusable = true}, REDUCE(sym_namespace_map, 2),
  [595] = {.count = 1, .reusable = false}, REDUCE(sym_shebang_line, 2),
  [597] = {.count = 1, .reusable = true}, REDUCE(sym_shebang_line, 2),
  [599] = {.count = 1, .reusable = true}, SHIFT(238),
  [601] = {.count = 1, .reusable = false}, REDUCE(sym__vector, 2),
  [603] = {.count = 1, .reusable = true}, REDUCE(sym__vector, 2),
  [605] = {.count = 1, .reusable = true}, SHIFT(239),
  [607] = {.count = 1, .reusable = true}, SHIFT(240),
  [609] = {.count = 1, .reusable = false}, SHIFT(240),
  [611] = {.count = 1, .reusable = false}, SHIFT(241),
  [613] = {.count = 1, .reusable = true}, SHIFT(241),
  [615] = {.count = 1, .reusable = false}, REDUCE(sym__character, 2),
  [617] = {.count = 1, .reusable = true}, REDUCE(sym__character, 2),
  [619] = {.count = 1, .reusable = true}, SHIFT(242),
  [621] = {.count = 1, .reusable = false}, REDUCE(sym_var_quote, 2),
  [623] = {.count = 1, .reusable = true}, REDUCE(sym_var_quote, 2),
  [625] = {.count = 1, .reusable = true}, REDUCE(sym__metadata_map, 2),
  [627] = {.count = 1, .reusable = false}, REDUCE(sym_unquote_splice, 2),
  [629] = {.count = 1, .reusable = true}, REDUCE(sym_unquote_splice, 2),
  [631] = {.count = 1, .reusable = false}, REDUCE(sym__string, 2),
  [633] = {.count = 1, .reusable = true}, REDUCE(sym__string, 2),
  [635] = {.count = 1, .reusable = false}, SHIFT(243),
  [637] = {.count = 1, .reusable = false}, REDUCE(sym_tagged_literal, 2),
  [639] = {.count = 1, .reusable = true}, REDUCE(sym_tagged_literal, 2),
  [641] = {.count = 1, .reusable = true}, SHIFT(244),
  [643] = {.count = 1, .reusable = true}, REDUCE(aux_sym_metadata_repeat1, 2),
  [645] = {.count = 2, .reusable = true}, REDUCE(aux_sym_metadata_repeat1, 2), SHIFT_REPEAT(14),
  [648] = {.count = 2, .reusable = false}, REDUCE(aux_sym_metadata_repeat1, 2), SHIFT_REPEAT(162),
  [651] = {.count = 2, .reusable = true}, REDUCE(aux_sym_metadata_repeat1, 2), SHIFT_REPEAT(15),
  [654] = {.count = 2, .reusable = false}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(2),
  [657] = {.count = 2, .reusable = true}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(3),
  [660] = {.count = 2, .reusable = true}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(4),
  [663] = {.count = 2, .reusable = false}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(5),
  [666] = {.count = 2, .reusable = true}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(6),
  [669] = {.count = 2, .reusable = true}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(7),
  [672] = {.count = 2, .reusable = true}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(8),
  [675] = {.count = 2, .reusable = true}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(9),
  [678] = {.count = 2, .reusable = true}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(10),
  [681] = {.count = 2, .reusable = false}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(47),
  [684] = {.count = 2, .reusable = true}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(15),
  [687] = {.count = 2, .reusable = false}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(11),
  [690] = {.count = 2, .reusable = false}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(12),
  [693] = {.count = 2, .reusable = true}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(13),
  [696] = {.count = 2, .reusable = true}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(14),
  [699] = {.count = 2, .reusable = false}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(16),
  [702] = {.count = 2, .reusable = true}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(164),
  [705] = {.count = 2, .reusable = false}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(39),
  [708] = {.count = 2, .reusable = true}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(2),
  [711] = {.count = 2, .reusable = true}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(17),
  [714] = {.count = 2, .reusable = true}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(18),
  [717] = {.count = 2, .reusable = true}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(19),
  [720] = {.count = 2, .reusable = false}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(20),
  [723] = {.count = 2, .reusable = true}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(47),
  [726] = {.count = 2, .reusable = true}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(21),
  [729] = {.count = 2, .reusable = false}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(164),
  [732] = {.count = 2, .reusable = true}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(22),
  [735] = {.count = 2, .reusable = true}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(39),
  [738] = {.count = 2, .reusable = true}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(23),
  [741] = {.count = 2, .reusable = true}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(24),
  [744] = {.count = 2, .reusable = true}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(25),
  [747] = {.count = 2, .reusable = false}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(26),
  [750] = {.count = 2, .reusable = true}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(27),
  [753] = {.count = 2, .reusable = true}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(28),
  [756] = {.count = 2, .reusable = true}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(29),
  [759] = {.count = 2, .reusable = false}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(30),
  [762] = {.count = 2, .reusable = true}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(31),
  [765] = {.count = 2, .reusable = true}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(32),
  [768] = {.count = 2, .reusable = false}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(33),
  [771] = {.count = 1, .reusable = true}, REDUCE(aux_sym_program_repeat1, 2),
  [773] = {.count = 1, .reusable = false}, REDUCE(sym__collection_literals, 2),
  [775] = {.count = 1, .reusable = true}, REDUCE(sym__collection_literals, 2),
  [777] = {.count = 1, .reusable = true}, SHIFT(247),
  [779] = {.count = 1, .reusable = false}, SHIFT(248),
  [781] = {.count = 1, .reusable = true}, SHIFT(249),
  [783] = {.count = 1, .reusable = true}, SHIFT(251),
  [785] = {.count = 1, .reusable = true}, SHIFT(252),
  [787] = {.count = 1, .reusable = true}, SHIFT(253),
  [789] = {.count = 1, .reusable = true}, SHIFT(254),
  [791] = {.count = 1, .reusable = true}, SHIFT(256),
  [793] = {.count = 1, .reusable = false}, SHIFT(256),
  [795] = {.count = 1, .reusable = true}, SHIFT(255),
  [797] = {.count = 1, .reusable = true}, SHIFT(261),
  [799] = {.count = 1, .reusable = true}, SHIFT(262),
  [801] = {.count = 1, .reusable = true}, SHIFT(263),
  [803] = {.count = 1, .reusable = false}, SHIFT(264),
  [805] = {.count = 1, .reusable = true}, SHIFT(264),
  [807] = {.count = 1, .reusable = true}, SHIFT(265),
  [809] = {.count = 1, .reusable = false}, SHIFT(266),
  [811] = {.count = 1, .reusable = true}, SHIFT(267),
  [813] = {.count = 1, .reusable = false}, REDUCE(sym__quote, 3),
  [815] = {.count = 1, .reusable = true}, REDUCE(sym__quote, 3),
  [817] = {.count = 1, .reusable = false}, REDUCE(sym__regex, 3),
  [819] = {.count = 1, .reusable = true}, REDUCE(sym__regex, 3),
  [821] = {.count = 1, .reusable = false}, REDUCE(aux_sym__regex_repeat1, 2),
  [823] = {.count = 2, .reusable = true}, REDUCE(aux_sym__regex_repeat1, 2), SHIFT_REPEAT(210),
  [826] = {.count = 2, .reusable = false}, REDUCE(aux_sym__regex_repeat1, 2), SHIFT_REPEAT(210),
  [829] = {.count = 1, .reusable = false}, REDUCE(sym_namespace_map, 3),
  [831] = {.count = 1, .reusable = true}, REDUCE(sym_namespace_map, 3),
  [833] = {.count = 1, .reusable = true}, SHIFT(269),
  [835] = {.count = 1, .reusable = false}, REDUCE(sym_shorthand_function, 3),
  [837] = {.count = 1, .reusable = true}, REDUCE(sym_shorthand_function, 3),
  [839] = {.count = 2, .reusable = true}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(105),
  [842] = {.count = 2, .reusable = false}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(106),
  [845] = {.count = 2, .reusable = true}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(214),
  [848] = {.count = 2, .reusable = true}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(107),
  [851] = {.count = 2, .reusable = false}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(214),
  [854] = {.count = 2, .reusable = true}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(108),
  [857] = {.count = 2, .reusable = true}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(110),
  [860] = {.count = 1, .reusable = true}, REDUCE(sym_metadata_shorthand, 3),
  [862] = {.count = 1, .reusable = false}, REDUCE(sym_metadata_shorthand, 3),
  [864] = {.count = 1, .reusable = false}, REDUCE(aux_sym__string_repeat1, 2),
  [866] = {.count = 2, .reusable = true}, REDUCE(aux_sym__string_repeat1, 2), SHIFT_REPEAT(216),
  [869] = {.count = 2, .reusable = false}, REDUCE(aux_sym__string_repeat1, 2), SHIFT_REPEAT(216),
  [872] = {.count = 1, .reusable = true}, SHIFT(270),
  [874] = {.count = 1, .reusable = false}, REDUCE(sym__set, 3),
  [876] = {.count = 1, .reusable = true}, REDUCE(sym__set, 3),
  [878] = {.count = 2, .reusable = true}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(116),
  [881] = {.count = 2, .reusable = false}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(117),
  [884] = {.count = 2, .reusable = true}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(219),
  [887] = {.count = 2, .reusable = true}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(119),
  [890] = {.count = 2, .reusable = false}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(219),
  [893] = {.count = 2, .reusable = true}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(120),
  [896] = {.count = 2, .reusable = true}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(121),
  [899] = {.count = 1, .reusable = false}, REDUCE(sym__hash_map, 3),
  [901] = {.count = 1, .reusable = true}, REDUCE(sym__hash_map, 3),
  [903] = {.count = 2, .reusable = false}, REDUCE(aux_sym__hash_map_repeat1, 2), SHIFT_REPEAT(2),
  [906] = {.count = 2, .reusable = true}, REDUCE(aux_sym__hash_map_repeat1, 2), SHIFT_REPEAT(3),
  [909] = {.count = 2, .reusable = true}, REDUCE(aux_sym__hash_map_repeat1, 2), SHIFT_REPEAT(4),
  [912] = {.count = 2, .reusable = false}, REDUCE(aux_sym__hash_map_repeat1, 2), SHIFT_REPEAT(5),
  [915] = {.count = 2, .reusable = true}, REDUCE(aux_sym__hash_map_repeat1, 2), SHIFT_REPEAT(6),
  [918] = {.count = 2, .reusable = true}, REDUCE(aux_sym__hash_map_repeat1, 2), SHIFT_REPEAT(123),
  [921] = {.count = 2, .reusable = true}, REDUCE(aux_sym__hash_map_repeat1, 2), SHIFT_REPEAT(8),
  [924] = {.count = 2, .reusable = true}, REDUCE(aux_sym__hash_map_repeat1, 2), SHIFT_REPEAT(9),
  [927] = {.count = 2, .reusable = true}, REDUCE(aux_sym__hash_map_repeat1, 2), SHIFT_REPEAT(10),
  [930] = {.count = 2, .reusable = false}, REDUCE(aux_sym__hash_map_repeat1, 2), SHIFT_REPEAT(47),
  [933] = {.count = 2, .reusable = true}, REDUCE(aux_sym__hash_map_repeat1, 2), SHIFT_REPEAT(15),
  [936] = {.count = 2, .reusable = false}, REDUCE(aux_sym__hash_map_repeat1, 2), SHIFT_REPEAT(11),
  [939] = {.count = 2, .reusable = false}, REDUCE(aux_sym__hash_map_repeat1, 2), SHIFT_REPEAT(12),
  [942] = {.count = 2, .reusable = true}, REDUCE(aux_sym__hash_map_repeat1, 2), SHIFT_REPEAT(13),
  [945] = {.count = 2, .reusable = true}, REDUCE(aux_sym__hash_map_repeat1, 2), SHIFT_REPEAT(14),
  [948] = {.count = 2, .reusable = false}, REDUCE(aux_sym__hash_map_repeat1, 2), SHIFT_REPEAT(124),
  [951] = {.count = 2, .reusable = true}, REDUCE(aux_sym__hash_map_repeat1, 2), SHIFT_REPEAT(130),
  [954] = {.count = 2, .reusable = false}, REDUCE(aux_sym__hash_map_repeat1, 2), SHIFT_REPEAT(39),
  [957] = {.count = 2, .reusable = true}, REDUCE(aux_sym__hash_map_repeat1, 2), SHIFT_REPEAT(2),
  [960] = {.count = 2, .reusable = true}, REDUCE(aux_sym__hash_map_repeat1, 2), SHIFT_REPEAT(17),
  [963] = {.count = 2, .reusable = true}, REDUCE(aux_sym__hash_map_repeat1, 2), SHIFT_REPEAT(18),
  [966] = {.count = 1, .reusable = true}, REDUCE(aux_sym__hash_map_repeat1, 2),
  [968] = {.count = 2, .reusable = true}, REDUCE(aux_sym__hash_map_repeat1, 2), SHIFT_REPEAT(19),
  [971] = {.count = 2, .reusable = false}, REDUCE(aux_sym__hash_map_repeat1, 2), SHIFT_REPEAT(20),
  [974] = {.count = 2, .reusable = true}, REDUCE(aux_sym__hash_map_repeat1, 2), SHIFT_REPEAT(47),
  [977] = {.count = 2, .reusable = true}, REDUCE(aux_sym__hash_map_repeat1, 2), SHIFT_REPEAT(126),
  [980] = {.count = 2, .reusable = false}, REDUCE(aux_sym__hash_map_repeat1, 2), SHIFT_REPEAT(130),
  [983] = {.count = 2, .reusable = true}, REDUCE(aux_sym__hash_map_repeat1, 2), SHIFT_REPEAT(22),
  [986] = {.count = 2, .reusable = true}, REDUCE(aux_sym__hash_map_repeat1, 2), SHIFT_REPEAT(39),
  [989] = {.count = 2, .reusable = true}, REDUCE(aux_sym__hash_map_repeat1, 2), SHIFT_REPEAT(127),
  [992] = {.count = 2, .reusable = true}, REDUCE(aux_sym__hash_map_repeat1, 2), SHIFT_REPEAT(24),
  [995] = {.count = 2, .reusable = true}, REDUCE(aux_sym__hash_map_repeat1, 2), SHIFT_REPEAT(25),
  [998] = {.count = 2, .reusable = false}, REDUCE(aux_sym__hash_map_repeat1, 2), SHIFT_REPEAT(26),
  [1001] = {.count = 2, .reusable = true}, REDUCE(aux_sym__hash_map_repeat1, 2), SHIFT_REPEAT(27),
  [1004] = {.count = 2, .reusable = true}, REDUCE(aux_sym__hash_map_repeat1, 2), SHIFT_REPEAT(28),
  [1007] = {.count = 2, .reusable = true}, REDUCE(aux_sym__hash_map_repeat1, 2), SHIFT_REPEAT(29),
  [1010] = {.count = 2, .reusable = false}, REDUCE(aux_sym__hash_map_repeat1, 2), SHIFT_REPEAT(30),
  [1013] = {.count = 2, .reusable = true}, REDUCE(aux_sym__hash_map_repeat1, 2), SHIFT_REPEAT(128),
  [1016] = {.count = 2, .reusable = true}, REDUCE(aux_sym__hash_map_repeat1, 2), SHIFT_REPEAT(32),
  [1019] = {.count = 2, .reusable = false}, REDUCE(aux_sym__hash_map_repeat1, 2), SHIFT_REPEAT(33),
  [1022] = {.count = 1, .reusable = false}, REDUCE(sym__hash_map_kv_pair, 2),
  [1024] = {.count = 1, .reusable = true}, REDUCE(sym__hash_map_kv_pair, 2),
  [1026] = {.count = 1, .reusable = false}, REDUCE(sym_comment_macro, 3),
  [1028] = {.count = 1, .reusable = true}, REDUCE(sym_comment_macro, 3),
  [1030] = {.count = 1, .reusable = true}, SHIFT(271),
  [1032] = {.count = 1, .reusable = true}, SHIFT(273),
  [1034] = {.count = 1, .reusable = true}, REDUCE(sym_function_name, 1),
  [1036] = {.count = 1, .reusable = true}, REDUCE(sym__multi_arity_fn, 1),
  [1038] = {.count = 1, .reusable = true}, SHIFT(276),
  [1040] = {.count = 1, .reusable = false}, SHIFT(276),
  [1042] = {.count = 1, .reusable = true}, REDUCE(sym__single_arity_fn, 1),
  [1044] = {.count = 1, .reusable = false}, REDUCE(sym_params, 1),
  [1046] = {.count = 1, .reusable = true}, REDUCE(sym_params, 1),
  [1048] = {.count = 1, .reusable = true}, SHIFT(278),
  [1050] = {.count = 1, .reusable = true}, SHIFT(279),
  [1052] = {.count = 1, .reusable = true}, SHIFT(280),
  [1054] = {.count = 1, .reusable = false}, REDUCE(sym_metadata, 1),
  [1056] = {.count = 1, .reusable = false}, REDUCE(sym__list, 3),
  [1058] = {.count = 1, .reusable = true}, REDUCE(sym__list, 3),
  [1060] = {.count = 1, .reusable = false}, REDUCE(sym__qualified_symbol, 3),
  [1062] = {.count = 1, .reusable = true}, REDUCE(sym__qualified_symbol, 3),
  [1064] = {.count = 1, .reusable = false}, REDUCE(sym__vector, 3),
  [1066] = {.count = 1, .reusable = true}, REDUCE(sym__vector, 3),
  [1068] = {.count = 2, .reusable = true}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(144),
  [1071] = {.count = 2, .reusable = false}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(146),
  [1074] = {.count = 2, .reusable = true}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(240),
  [1077] = {.count = 2, .reusable = true}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(147),
  [1080] = {.count = 2, .reusable = false}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(240),
  [1083] = {.count = 2, .reusable = true}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(148),
  [1086] = {.count = 2, .reusable = true}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(149),
  [1089] = {.count = 1, .reusable = false}, REDUCE(sym__octal_char, 2),
  [1091] = {.count = 1, .reusable = true}, REDUCE(sym__octal_char, 2),
  [1093] = {.count = 1, .reusable = true}, SHIFT(290),
  [1095] = {.count = 1, .reusable = false}, REDUCE(sym__string, 3),
  [1097] = {.count = 1, .reusable = true}, REDUCE(sym__string, 3),
  [1099] = {.count = 1, .reusable = false}, REDUCE(sym_reader_conditional, 3),
  [1101] = {.count = 1, .reusable = true}, REDUCE(sym_reader_conditional, 3),
  [1103] = {.count = 1, .reusable = true}, SHIFT(291),
  [1105] = {.count = 1, .reusable = true}, SHIFT(293),
  [1107] = {.count = 1, .reusable = true}, SHIFT(298),
  [1109] = {.count = 1, .reusable = false}, SHIFT(294),
  [1111] = {.count = 1, .reusable = true}, SHIFT(295),
  [1113] = {.count = 1, .reusable = false}, SHIFT(298),
  [1115] = {.count = 1, .reusable = true}, SHIFT(296),
  [1117] = {.count = 1, .reusable = true}, SHIFT(297),
  [1119] = {.count = 1, .reusable = true}, SHIFT(299),
  [1121] = {.count = 1, .reusable = true}, SHIFT(300),
  [1123] = {.count = 1, .reusable = true}, SHIFT(301),
  [1125] = {.count = 1, .reusable = true}, SHIFT(302),
  [1127] = {.count = 1, .reusable = true}, SHIFT(308),
  [1129] = {.count = 1, .reusable = true}, SHIFT(309),
  [1131] = {.count = 1, .reusable = false}, REDUCE(sym_namespace_map, 4),
  [1133] = {.count = 1, .reusable = true}, REDUCE(sym_namespace_map, 4),
  [1135] = {.count = 1, .reusable = false}, REDUCE(sym_qualified_keyword, 4),
  [1137] = {.count = 1, .reusable = true}, REDUCE(sym_qualified_keyword, 4),
  [1139] = {.count = 1, .reusable = false}, REDUCE(sym_comment_macro, 4),
  [1141] = {.count = 1, .reusable = true}, REDUCE(sym_comment_macro, 4),
  [1143] = {.count = 1, .reusable = true}, SHIFT(310),
  [1145] = {.count = 1, .reusable = false}, REDUCE(sym_anonymous_function, 4),
  [1147] = {.count = 1, .reusable = true}, REDUCE(sym_anonymous_function, 4),
  [1149] = {.count = 1, .reusable = true}, SHIFT(311),
  [1151] = {.count = 1, .reusable = true}, REDUCE(aux_sym__multi_arity_fn_repeat1, 2),
  [1153] = {.count = 2, .reusable = true}, REDUCE(aux_sym__multi_arity_fn_repeat1, 2), SHIFT_REPEAT(225),
  [1156] = {.count = 1, .reusable = true}, REDUCE(sym_function_body, 1),
  [1158] = {.count = 1, .reusable = true}, REDUCE(sym__single_arity_fn, 2),
  [1160] = {.count = 1, .reusable = true}, SHIFT(312),
  [1162] = {.count = 1, .reusable = true}, SHIFT(314),
  [1164] = {.count = 1, .reusable = true}, SHIFT(315),
  [1166] = {.count = 1, .reusable = false}, REDUCE(sym__metadata_map, 2),
  [1168] = {.count = 1, .reusable = true}, REDUCE(sym_attr_map, 1),
  [1170] = {.count = 1, .reusable = true}, REDUCE(sym_docstring, 1),
  [1172] = {.count = 1, .reusable = true}, SHIFT(319),
  [1174] = {.count = 1, .reusable = false}, REDUCE(aux_sym_metadata_repeat1, 2),
  [1176] = {.count = 1, .reusable = true}, SHIFT(321),
  [1178] = {.count = 1, .reusable = false}, REDUCE(sym_reader_conditional, 4),
  [1180] = {.count = 1, .reusable = true}, REDUCE(sym_reader_conditional, 4),
  [1182] = {.count = 1, .reusable = true}, REDUCE(aux_sym_reader_conditional_repeat1, 2),
  [1184] = {.count = 2, .reusable = false}, REDUCE(aux_sym_reader_conditional_repeat1, 2), SHIFT_REPEAT(5),
  [1187] = {.count = 2, .reusable = true}, REDUCE(aux_sym_reader_conditional_repeat1, 2), SHIFT_REPEAT(17),
  [1190] = {.count = 1, .reusable = false}, REDUCE(aux_sym_reader_conditional_repeat1, 2),
  [1192] = {.count = 1, .reusable = true}, SHIFT(322),
  [1194] = {.count = 1, .reusable = true}, SHIFT(325),
  [1196] = {.count = 1, .reusable = true}, SHIFT(327),
  [1198] = {.count = 1, .reusable = true}, REDUCE(aux_sym__multi_arity_fn_repeat1, 3),
  [1200] = {.count = 1, .reusable = false}, REDUCE(sym_anonymous_function, 5),
  [1202] = {.count = 1, .reusable = true}, REDUCE(sym_anonymous_function, 5),
  [1204] = {.count = 1, .reusable = true}, SHIFT(328),
  [1206] = {.count = 1, .reusable = true}, SHIFT(330),
  [1208] = {.count = 1, .reusable = true}, SHIFT(332),
  [1210] = {.count = 1, .reusable = false}, REDUCE(sym_defn, 5),
  [1212] = {.count = 1, .reusable = true}, REDUCE(sym_defn, 5),
  [1214] = {.count = 1, .reusable = true}, SHIFT(334),
  [1216] = {.count = 1, .reusable = true}, SHIFT(336),
  [1218] = {.count = 1, .reusable = true}, SHIFT(338),
  [1220] = {.count = 1, .reusable = true}, SHIFT(339),
  [1222] = {.count = 1, .reusable = true}, SHIFT(340),
  [1224] = {.count = 1, .reusable = false}, REDUCE(sym_defn, 6),
  [1226] = {.count = 1, .reusable = true}, REDUCE(sym_defn, 6),
  [1228] = {.count = 1, .reusable = false}, REDUCE(sym__unicode_char, 5),
  [1230] = {.count = 1, .reusable = true}, REDUCE(sym__unicode_char, 5),
  [1232] = {.count = 1, .reusable = true}, SHIFT(342),
  [1234] = {.count = 1, .reusable = false}, REDUCE(sym_defn, 7),
  [1236] = {.count = 1, .reusable = true}, REDUCE(sym_defn, 7),
  [1238] = {.count = 1, .reusable = true}, SHIFT(344),
  [1240] = {.count = 1, .reusable = true}, SHIFT(345),
  [1242] = {.count = 1, .reusable = false}, REDUCE(sym_defn, 8),
  [1244] = {.count = 1, .reusable = true}, REDUCE(sym_defn, 8),
};

#ifdef _WIN32
#define extern __declspec(dllexport)
#endif

extern const TSLanguage *tree_sitter_clojure() {
  static TSLanguage language = {
    .version = LANGUAGE_VERSION,
    .symbol_count = SYMBOL_COUNT,
    .alias_count = ALIAS_COUNT,
    .token_count = TOKEN_COUNT,
    .symbol_metadata = ts_symbol_metadata,
    .parse_table = (const unsigned short *)ts_parse_table,
    .parse_actions = ts_parse_actions,
    .lex_modes = ts_lex_modes,
    .symbol_names = ts_symbol_names,
    .max_alias_sequence_length = MAX_ALIAS_SEQUENCE_LENGTH,
    .lex_fn = ts_lex,
    .external_token_count = EXTERNAL_TOKEN_COUNT,
  };
  return &language;
}
